-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.32-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema testdata
--

CREATE DATABASE IF NOT EXISTS testdata;
USE testdata;

--
-- Definition of table `benutzer`
--

DROP TABLE IF EXISTS `benutzer`;
CREATE TABLE `benutzer` (
  `BenutzerID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Login` varchar(45) DEFAULT NULL,
  `Passwort` varchar(45) DEFAULT NULL,
  `Vorname` varchar(255) DEFAULT NULL,
  `Nachname` varchar(255) DEFAULT NULL,
  `IstAktiv` tinyint(1) DEFAULT NULL,
  `Standort` varchar(255) DEFAULT NULL,
  `mitMassendownload` tinyint(1) DEFAULT NULL,
  `Tabellengroesse` int(11) DEFAULT NULL,
  `zugriffSamba` tinyint(1) DEFAULT NULL,
  `zugriffWebdav` tinyint(1) DEFAULT NULL,
  `ldapgruppenID` int(11) DEFAULT NULL,
  `metadatensprache` varchar(255) DEFAULT NULL,
  `confVorgangsdatumAnzeigen` tinyint(1) DEFAULT NULL,
  `sessiontimeout` int(11) DEFAULT NULL,
  `css` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`BenutzerID`),
  KEY `FK6564F1FD126095B4` (`ldapgruppenID`),
  KEY `FK6564F1FD78EC6B0F` (`ldapgruppenID`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `benutzer`
--

/*!40000 ALTER TABLE `benutzer` DISABLE KEYS */;
INSERT INTO `benutzer` (`BenutzerID`,`Login`,`Passwort`,`Vorname`,`Nachname`,`IstAktiv`,`Standort`,`mitMassendownload`,`Tabellengroesse`,`zugriffSamba`,`zugriffWebdav`,`ldapgruppenID`,`metadatensprache`,`confVorgangsdatumAnzeigen`,`sessiontimeout`,`css`) VALUES 
 (1,'Test','S3Agvl+yr40=','Test','Tester',1,'Göttingen',0,20,0,0,2,'de',0,2700,'/css/default.css');
/*!40000 ALTER TABLE `benutzer` ENABLE KEYS */;


--
-- Definition of table `benutzergruppen`
--

DROP TABLE IF EXISTS `benutzergruppen`;
CREATE TABLE `benutzergruppen` (
  `BenutzerGruppenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Titel` varchar(45) DEFAULT NULL,
  `Berechtigung` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`BenutzerGruppenID`)
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `benutzergruppen`
--

/*!40000 ALTER TABLE `benutzergruppen` DISABLE KEYS */;
INSERT INTO `benutzergruppen` (`BenutzerGruppenID`,`Titel`,`Berechtigung`) VALUES 
 (1,'Scannen',4),
 (2,'Metadaten Moskau',4),
 (3,'Imagenachbearbeitung',4),
 (4,'Übersetzung',4),
 (5,'Qualitätskontrolle',3),
 (6,'Administration',1),
 (11,'Prozessverwaltung',2),
 (12,'Metadaten',4),
 (13,'Metadaten Hannover',4),
 (14,'Metadaten Berlin',4),
 (15,'Import DMS Göttingen',4),
 (16,'Import DMS Hannover',4),
 (17,'Import DMS Moskau',4),
 (18,'test original',4),
 (19,'Gäste',4),
 (20,'Bestellmanagement',4),
 (21,'AuftragsCD',4),
 (22,'Buchmanager',4);
/*!40000 ALTER TABLE `benutzergruppen` ENABLE KEYS */;


--
-- Definition of table `benutzergruppenmitgliedschaft`
--

DROP TABLE IF EXISTS `benutzergruppenmitgliedschaft`;
CREATE TABLE `benutzergruppenmitgliedschaft` (
  `BenutzerGruppenMitgliedschaftID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `BenutzerID` int(10) unsigned DEFAULT NULL,
  `BenutzerGruppenID` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`BenutzerGruppenMitgliedschaftID`),
  KEY `BenutzerID` (`BenutzerID`),
  KEY `BenutzerGruppenID` (`BenutzerGruppenID`),
  KEY `FK45CBE57830A77454` (`BenutzerGruppenID`),
  KEY `FK45CBE57815EED760` (`BenutzerID`),
  KEY `FK45CBE5781843242F` (`BenutzerGruppenID`),
  KEY `FK45CBE5788896477B` (`BenutzerID`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `benutzergruppenmitgliedschaft`
--

/*!40000 ALTER TABLE `benutzergruppenmitgliedschaft` DISABLE KEYS */;
INSERT INTO `benutzergruppenmitgliedschaft` (`BenutzerGruppenMitgliedschaftID`,`BenutzerID`,`BenutzerGruppenID`) VALUES 
 (1,1,6);
/*!40000 ALTER TABLE `benutzergruppenmitgliedschaft` ENABLE KEYS */;


--
-- Definition of table `datentypen`
--

DROP TABLE IF EXISTS `datentypen`;
CREATE TABLE `datentypen` (
  `DatentypenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Bezeichnung` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`DatentypenID`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `datentypen`
--

/*!40000 ALTER TABLE `datentypen` DISABLE KEYS */;
INSERT INTO `datentypen` (`DatentypenID`,`Bezeichnung`) VALUES 
 (1,'zahl'),
 (2,'string'),
 (3,'boolen'),
 (4,'datum');
/*!40000 ALTER TABLE `datentypen` ENABLE KEYS */;


--
-- Definition of table `history`
--

DROP TABLE IF EXISTS `history`;
CREATE TABLE `history` (
  `historyid` int(11) NOT NULL AUTO_INCREMENT,
  `numericvalue` double DEFAULT NULL,
  `stringvalue` varchar(255) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `processID` int(11) DEFAULT NULL,
  PRIMARY KEY (`historyid`),
  KEY `FK373FE4946640305C` (`processID`)
) ENGINE=MyISAM AUTO_INCREMENT=8620 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `history`
--

/*!40000 ALTER TABLE `history` DISABLE KEYS */;
INSERT INTO `history` (`historyid`,`numericvalue`,`stringvalue`,`type`,`date`,`processID`) VALUES 
 (11,1,'Bibliografische Aufnahme',6,'2009-06-09 15:05:54',10670),
 (12,1,'Bibliografische Aufnahme',7,'2009-06-09 15:05:54',10670),
 (21,1,'Bibliografische Aufnahme',6,'2009-06-09 12:41:29',10664),
 (22,1,'Bibliografische Aufnahme',7,'2009-06-09 12:41:29',10664),
 (23,2,'Scannen',7,'2009-06-10 09:44:12',10664),
 (24,2,'Scannen',6,'2009-06-10 09:44:12',10664),
 (25,2,'Scannen',9,'2009-06-10 09:44:12',10664),
 (26,3,'Qualitätskontrolle',9,'2009-06-10 11:00:00',10664),
 (27,1,'Bibliografische Aufnahme',6,'2009-06-09 11:17:28',10663),
 (28,1,'Bibliografische Aufnahme',7,'2009-06-09 11:17:28',10663),
 (29,1,'Bibliografische Aufnahme',6,'2009-06-09 11:15:34',10662),
 (30,1,'Bibliografische Aufnahme',7,'2009-06-09 11:15:34',10662),
 (31,1,'Bibliografische Aufnahme',6,'2009-06-09 11:13:20',10661),
 (32,1,'Bibliografische Aufnahme',7,'2009-06-09 11:13:20',10661),
 (33,1,'Bibliografische Aufnahme',6,'2009-06-09 11:11:09',10660),
 (34,1,'Bibliografische Aufnahme',7,'2009-06-09 11:11:09',10660),
 (35,15,NULL,4,'2009-06-15 16:10:23',10659),
 (36,1,NULL,5,'2009-06-15 16:10:23',10659),
 (37,1,'Bibliografische Aufnahme',6,'2009-06-09 11:07:32',10658),
 (38,1,'Bibliografische Aufnahme',7,'2009-06-09 11:07:32',10658),
 (39,11,NULL,4,'2009-06-15 16:10:23',10657),
 (40,1,NULL,5,'2009-06-15 16:10:23',10657),
 (41,1,'Bibliografische Aufnahme',6,'2009-06-09 11:05:08',10656),
 (42,1,'Bibliografische Aufnahme',7,'2009-06-09 11:05:08',10656),
 (43,1,'Bibliografische Aufnahme',6,'2009-06-09 11:03:06',10655),
 (44,1,'Bibliografische Aufnahme',7,'2009-06-09 11:03:06',10655),
 (45,12,NULL,4,'2009-06-15 16:10:24',10654),
 (46,1,NULL,5,'2009-06-15 16:10:24',10654),
 (47,1,'Bibliografische Aufnahme',6,'2009-06-09 10:56:38',10653),
 (48,1,'Bibliografische Aufnahme',7,'2009-06-09 10:56:38',10653),
 (49,1,'Bibliografische Aufnahme',6,'2009-06-09 10:50:01',10652),
 (50,1,'Bibliografische Aufnahme',7,'2009-06-09 10:50:01',10652),
 (51,1,'Bibliografische Aufnahme',6,'2009-06-09 10:47:56',10651),
 (52,1,'Bibliografische Aufnahme',7,'2009-06-09 10:47:56',10651),
 (53,1,'Bibliografische Aufnahme',6,'2009-06-09 10:45:54',10650),
 (54,1,'Bibliografische Aufnahme',7,'2009-06-09 10:45:54',10650),
 (55,1,'Bibliografische Aufnahme',6,'2009-06-09 10:43:59',10649),
 (56,1,'Bibliografische Aufnahme',7,'2009-06-09 10:43:59',10649),
 (57,1,'Bibliografische Aufnahme',6,'2009-06-09 10:43:44',10648),
 (58,1,'Bibliografische Aufnahme',7,'2009-06-09 10:43:44',10648),
 (59,1,'Bibliografische Aufnahme',6,'2009-06-09 10:41:14',10647),
 (60,1,'Bibliografische Aufnahme',7,'2009-06-09 10:41:14',10647),
 (61,1,'Bibliografische Aufnahme',6,'2009-06-09 10:40:11',10646),
 (62,1,'Bibliografische Aufnahme',7,'2009-06-09 10:40:11',10646),
 (63,1,'Bibliografische Aufnahme',6,'2009-06-09 10:38:12',10645),
 (64,1,'Bibliografische Aufnahme',7,'2009-06-09 10:38:12',10645),
 (65,1,'Bibliografische Aufnahme',6,'2009-06-09 10:33:25',10644),
 (66,1,'Bibliografische Aufnahme',7,'2009-06-09 10:33:25',10644),
 (67,1,'Bibliografische Aufnahme',6,'2009-06-09 10:06:03',10643),
 (68,1,'Bibliografische Aufnahme',7,'2009-06-09 10:06:03',10643),
 (69,1,'Bibliografische Aufnahme',6,'2009-06-09 10:03:44',10642),
 (70,1,'Bibliografische Aufnahme',7,'2009-06-09 10:03:44',10642),
 (71,1,'Bibliografische Aufnahme',6,'2009-06-09 09:57:33',10641),
 (72,1,'Bibliografische Aufnahme',7,'2009-06-09 09:57:33',10641),
 (73,1,'Bibliografische Aufnahme',6,'2009-06-09 09:55:05',10640),
 (74,1,'Bibliografische Aufnahme',7,'2009-06-09 09:55:05',10640),
 (75,1,'Bibliografische Aufnahme',6,'2009-06-09 08:27:55',10639),
 (76,1,'Bibliografische Aufnahme',7,'2009-06-09 08:27:55',10639),
 (77,1,'Bibliografische Aufnahme',6,'2009-06-09 08:25:14',10638),
 (78,1,'Bibliografische Aufnahme',7,'2009-06-09 08:25:14',10638),
 (111,1,'Bibliografische Aufnahme',6,'2009-06-08 12:47:09',10621),
 (112,1,'Bibliografische Aufnahme',7,'2009-06-08 12:47:09',10621),
 (113,1,'Bibliografische Aufnahme',6,'2009-06-08 12:44:24',10620),
 (114,1,'Bibliografische Aufnahme',7,'2009-06-08 12:44:24',10620),
 (115,2,'Scannen',7,'2009-06-09 14:44:10',10620),
 (116,2,'Scannen',6,'2009-06-09 14:44:10',10620),
 (117,2,'Scannen',9,'2009-06-09 14:44:10',10620),
 (118,3,'Qualitätskontrolle',9,'2009-06-09 17:07:42',10620),
 (119,1,'Bibliografische Aufnahme',6,'2009-06-08 12:41:05',10619),
 (120,1,'Bibliografische Aufnahme',7,'2009-06-08 12:41:05',10619),
 (121,1,'Bibliografische Aufnahme',6,'2009-06-08 12:38:25',10618),
 (122,1,'Bibliografische Aufnahme',7,'2009-06-08 12:38:25',10618),
 (123,16,NULL,4,'2009-06-15 16:10:35',10617),
 (124,1,NULL,5,'2009-06-15 16:10:35',10617),
 (125,1,'Bibliografische Aufnahme',6,'2009-06-08 12:17:21',10616),
 (126,1,'Bibliografische Aufnahme',7,'2009-06-08 12:17:21',10616),
 (127,1,'Bibliografische Aufnahme',6,'2009-06-08 12:15:08',10615),
 (128,1,'Bibliografische Aufnahme',7,'2009-06-08 12:15:08',10615),
 (129,1,'Bibliografische Aufnahme',6,'2009-06-08 12:13:05',10614),
 (130,1,'Bibliografische Aufnahme',7,'2009-06-08 12:13:05',10614),
 (131,1,'Bibliografische Aufnahme',6,'2009-06-08 12:11:02',10613),
 (132,1,'Bibliografische Aufnahme',7,'2009-06-08 12:11:02',10613),
 (135,1,'Bibliografische Aufnahme',6,'2009-06-08 11:57:53',10611),
 (136,1,'Bibliografische Aufnahme',7,'2009-06-08 11:57:53',10611),
 (137,2,'Scannen',6,'2009-06-09 16:07:49',10611),
 (138,2,'Scannen',7,'2009-06-08 11:57:53',10611),
 (141,1,'Bibliografische Aufnahme',6,'2009-06-08 11:53:41',10609),
 (142,1,'Bibliografische Aufnahme',7,'2009-06-08 11:53:41',10609),
 (143,2,'Scannen',6,'2009-06-10 08:55:02',10609),
 (144,2,'Scannen',9,'2009-06-10 08:55:02',10609),
 (145,2,'Scannen',7,'2009-06-08 11:53:41',10609),
 (146,3,'Qualitätskontrolle',7,'2009-06-09 16:11:03',10609),
 (147,3,'Qualitätskontrolle',9,'2009-06-09 16:11:03',10609),
 (150,11,NULL,4,'2009-06-15 16:10:39',10607),
 (151,1,NULL,5,'2009-06-15 16:10:39',10607),
 (156,1,'Bibliografische Aufnahme',6,'2009-06-08 11:45:06',10604),
 (157,1,'Bibliografische Aufnahme',7,'2009-06-08 11:45:06',10604),
 (160,1,'Bibliografische Aufnahme',6,'2009-06-08 11:41:20',10602),
 (161,1,'Bibliografische Aufnahme',7,'2009-06-08 11:41:20',10602),
 (162,2,'Scannen',7,'2009-06-09 14:06:43',10602),
 (163,13,NULL,4,'2009-06-15 16:10:41',10601),
 (164,1,NULL,5,'2009-06-15 16:10:41',10601),
 (167,13,NULL,4,'2009-06-15 16:10:41',10599),
 (168,1,NULL,5,'2009-06-15 16:10:41',10599),
 (169,12,NULL,4,'2009-06-15 16:10:42',10598),
 (170,3,NULL,5,'2009-06-15 16:10:42',10598),
 (173,1,'Bibliografische Aufnahme',6,'2009-06-08 11:24:54',10596),
 (174,1,'Bibliografische Aufnahme',7,'2009-06-08 11:24:54',10596),
 (175,2,'Scannen',6,'2009-06-09 12:46:21',10596),
 (176,2,'Scannen',7,'2009-06-08 11:24:54',10596),
 (177,3,'Qualitätskontrolle',6,'2009-06-09 13:58:32',10596),
 (178,3,'Qualitätskontrolle',7,'2009-06-09 12:46:21',10596),
 (179,4,'Imagenachbearbeitung',6,'2009-06-09 16:04:56',10596),
 (180,4,'Imagenachbearbeitung',7,'2009-06-09 13:58:32',10596),
 (181,1,'Bibliografische Aufnahme',6,'2009-06-08 11:21:06',10595),
 (182,1,'Bibliografische Aufnahme',7,'2009-06-08 11:21:06',10595),
 (183,1,'Bibliografische Aufnahme',6,'2009-06-08 11:20:55',10594),
 (184,1,'Bibliografische Aufnahme',7,'2009-06-08 11:20:55',10594),
 (185,2,'Scannen',6,'2009-06-09 08:35:35',10594),
 (186,2,'Scannen',7,'2009-06-08 11:20:55',10594),
 (187,3,'Qualitätskontrolle',7,'2009-06-09 09:32:43',10594),
 (188,3,'Qualitätskontrolle',6,'2009-06-09 09:32:43',10594),
 (189,3,'Qualitätskontrolle',9,'2009-06-09 09:32:43',10594),
 (190,4,'Imagenachbearbeitung',6,'2009-06-09 16:27:40',10594),
 (191,4,'Imagenachbearbeitung',9,'2009-06-09 16:27:40',10594),
 (192,4,'Imagenachbearbeitung',7,'2009-06-09 09:32:43',10594),
 (193,5,'Struktur- und Metadaten',9,'2009-06-10 11:09:15',10594),
 (201,1,'Bibliografische Aufnahme',6,'2009-06-08 11:18:41',10589),
 (202,1,'Bibliografische Aufnahme',7,'2009-06-08 11:18:41',10589),
 (205,1,'Bibliografische Aufnahme',6,'2009-06-08 11:13:29',10587),
 (206,1,'Bibliografische Aufnahme',7,'2009-06-08 11:13:29',10587),
 (207,2,'Scannen',7,'2009-06-10 09:13:55',10587),
 (208,2,'Scannen',6,'2009-06-10 09:13:55',10587),
 (209,2,'Scannen',9,'2009-06-10 09:13:55',10587),
 (210,3,'Qualitätskontrolle',9,'2009-06-10 10:13:32',10587),
 (213,1,'Bibliografische Aufnahme',6,'2009-06-08 11:05:54',10585),
 (214,1,'Bibliografische Aufnahme',7,'2009-06-08 11:05:54',10585),
 (215,2,'Scannen',6,'2009-06-10 08:42:01',10585),
 (216,2,'Scannen',9,'2009-06-10 08:42:01',10585),
 (217,2,'Scannen',7,'2009-06-08 11:05:54',10585),
 (218,3,'Qualitätskontrolle',6,'2009-06-10 09:14:56',10585),
 (219,3,'Qualitätskontrolle',9,'2009-06-10 09:14:56',10585),
 (220,3,'Qualitätskontrolle',7,'2009-06-10 08:42:01',10585),
 (221,13,NULL,4,'2009-06-15 16:10:46',10584),
 (222,1,NULL,5,'2009-06-15 16:10:46',10584),
 (227,1,'Bibliografische Aufnahme',6,'2009-06-08 10:34:42',10581),
 (228,1,'Bibliografische Aufnahme',7,'2009-06-08 10:34:42',10581),
 (229,2,'Scannen',6,'2009-06-10 09:29:45',10581),
 (230,2,'Scannen',7,'2009-06-08 10:34:42',10581),
 (231,3,'Qualitätskontrolle',6,'2009-06-10 10:22:18',10581),
 (232,3,'Qualitätskontrolle',7,'2009-06-10 09:29:45',10581),
 (233,1,'Bibliografische Aufnahme',6,'2009-06-08 10:31:24',10580),
 (234,1,'Bibliografische Aufnahme',7,'2009-06-08 10:31:24',10580),
 (235,2,'Scannen',6,'2009-06-10 08:25:46',10580),
 (236,2,'Scannen',7,'2009-06-08 10:31:24',10580),
 (237,3,'Qualitätskontrolle',6,'2009-06-10 08:53:28',10580),
 (238,3,'Qualitätskontrolle',7,'2009-06-10 08:25:46',10580),
 (239,1,'Bibliografische Aufnahme',6,'2009-06-08 10:29:14',10579),
 (240,1,'Bibliografische Aufnahme',7,'2009-06-08 10:29:14',10579),
 (241,1,'Bibliografische Aufnahme',6,'2009-06-08 10:27:17',10578),
 (242,1,'Bibliografische Aufnahme',7,'2009-06-08 10:27:17',10578),
 (243,2,'Scannen',6,'2009-06-10 08:16:57',10578),
 (244,2,'Scannen',7,'2009-06-08 10:27:17',10578),
 (245,3,'Qualitätskontrolle',6,'2009-06-10 10:47:38',10578),
 (246,3,'Qualitätskontrolle',7,'2009-06-10 08:16:57',10578),
 (247,1,'Bibliografische Aufnahme',6,'2009-06-08 10:25:19',10577),
 (248,1,'Bibliografische Aufnahme',7,'2009-06-08 10:25:19',10577),
 (249,2,'Scannen',6,'2009-06-09 18:13:00',10577),
 (250,2,'Scannen',7,'2009-06-08 10:25:19',10577),
 (251,3,'Qualitätskontrolle',6,'2009-06-10 08:37:21',10577),
 (252,3,'Qualitätskontrolle',7,'2009-06-09 18:13:00',10577),
 (255,1,'Bibliografische Aufnahme',6,'2009-06-08 10:23:09',10575),
 (256,1,'Bibliografische Aufnahme',7,'2009-06-08 10:23:09',10575),
 (257,2,'Scannen',6,'2009-06-09 16:03:43',10575),
 (258,2,'Scannen',9,'2009-06-09 18:00:02',10575),
 (259,2,'Scannen',7,'2009-06-08 10:23:09',10575),
 (260,3,'Qualitätskontrolle',6,'2009-06-10 08:57:56',10575),
 (261,3,'Qualitätskontrolle',9,'2009-06-10 08:57:56',10575),
 (262,3,'Qualitätskontrolle',7,'2009-06-09 16:03:43',10575),
 (265,12,NULL,4,'2009-06-15 16:10:50',10573),
 (266,1,NULL,5,'2009-06-15 16:10:50',10573),
 (269,1,'Bibliografische Aufnahme',6,'2009-06-08 09:52:35',10571),
 (270,1,'Bibliografische Aufnahme',7,'2009-06-08 09:52:35',10571),
 (271,2,'Scannen',6,'2009-06-09 18:15:26',10571),
 (272,2,'Scannen',9,'2009-06-09 18:15:26',10571),
 (273,2,'Scannen',7,'2009-06-08 09:52:35',10571),
 (274,3,'Qualitätskontrolle',6,'2009-06-09 18:24:27',10571),
 (275,3,'Qualitätskontrolle',9,'2009-06-09 18:24:27',10571),
 (276,3,'Qualitätskontrolle',7,'2009-06-09 18:15:26',10571),
 (279,13,NULL,4,'2009-06-15 16:10:51',10569),
 (280,1,NULL,5,'2009-06-15 16:10:51',10569),
 (281,22,NULL,4,'2009-06-15 16:10:52',10568),
 (282,14,NULL,5,'2009-06-15 16:10:52',10568),
 (283,1,'Bibliografische Aufnahme',6,'2009-06-08 09:27:42',10567),
 (284,1,'Bibliografische Aufnahme',7,'2009-06-08 09:27:42',10567),
 (285,2,'Scannen',6,'2009-06-09 13:45:49',10567),
 (286,2,'Scannen',9,'2009-06-09 18:32:10',10567),
 (287,2,'Scannen',7,'2009-06-08 09:27:42',10567),
 (288,3,'Qualitätskontrolle',6,'2009-06-10 08:15:00',10567),
 (289,3,'Qualitätskontrolle',9,'2009-06-10 08:15:00',10567),
 (290,3,'Qualitätskontrolle',7,'2009-06-09 13:45:49',10567),
 (291,1,'Bibliografische Aufnahme',6,'2009-06-08 08:49:05',10566),
 (292,1,'Bibliografische Aufnahme',7,'2009-06-08 08:49:05',10566),
 (293,1,'Bibliografische Aufnahme',6,'2009-06-08 08:47:06',10565),
 (294,1,'Bibliografische Aufnahme',7,'2009-06-08 08:47:06',10565),
 (295,1,'Bibliografische Aufnahme',6,'2009-06-08 08:33:45',10564),
 (296,1,'Bibliografische Aufnahme',7,'2009-06-08 08:33:45',10564),
 (297,2,'Scannen',6,'2009-06-09 12:10:00',10564),
 (298,2,'Scannen',7,'2009-06-08 08:33:45',10564),
 (299,3,'Qualitätskontrolle',6,'2009-06-09 13:13:38',10564),
 (300,3,'Qualitätskontrolle',7,'2009-06-09 12:10:00',10564),
 (301,4,'Imagenachbearbeitung',6,'2009-06-09 14:26:07',10564),
 (302,4,'Imagenachbearbeitung',7,'2009-06-09 13:13:38',10564),
 (303,1,'Bibliografische Aufnahme',6,'2009-06-08 08:31:48',10563),
 (304,1,'Bibliografische Aufnahme',7,'2009-06-08 08:31:48',10563),
 (305,1,'Bibliografische Aufnahme',6,'2009-06-08 08:29:45',10562),
 (306,1,'Bibliografische Aufnahme',7,'2009-06-08 08:29:45',10562),
 (311,15,NULL,4,'2009-06-15 16:10:55',10559),
 (312,1,NULL,5,'2009-06-15 16:10:55',10559),
 (313,14,NULL,4,'2009-06-15 16:10:55',10558),
 (314,1,NULL,5,'2009-06-15 16:10:55',10558),
 (321,1,'Bibliografische Aufnahme',6,'2009-06-05 11:56:40',10554),
 (322,1,'Bibliografische Aufnahme',7,'2009-06-05 11:56:40',10554),
 (323,2,'Scannen',6,'2009-06-08 17:04:35',10554),
 (324,2,'Scannen',7,'2009-06-05 11:56:40',10554),
 (325,3,'Qualitätskontrolle',6,'2009-06-08 18:31:50',10554),
 (326,3,'Qualitätskontrolle',7,'2009-06-08 17:04:35',10554),
 (327,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:24',10554),
 (328,4,'Imagenachbearbeitung',7,'2009-06-08 18:31:50',10554),
 (329,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:24',10554),
 (332,1,'Bibliografische Aufnahme',6,'2009-06-05 11:54:29',10552),
 (333,1,'Bibliografische Aufnahme',7,'2009-06-05 11:54:29',10552),
 (334,2,'Scannen',6,'2009-06-08 18:12:25',10552),
 (335,2,'Scannen',9,'2009-06-09 17:34:27',10552),
 (336,2,'Scannen',7,'2009-06-05 11:54:29',10552),
 (337,3,'Qualitätskontrolle',9,'2009-06-09 17:40:20',10552),
 (338,15,NULL,4,'2009-06-15 16:10:57',10551),
 (339,1,NULL,5,'2009-06-15 16:10:57',10551),
 (340,1,'Bibliografische Aufnahme',6,'2009-06-05 11:45:52',10550),
 (341,1,'Bibliografische Aufnahme',7,'2009-06-05 11:45:52',10550),
 (342,2,'Scannen',6,'2009-06-08 17:03:33',10550),
 (343,2,'Scannen',7,'2009-06-05 11:45:52',10550),
 (344,3,'Qualitätskontrolle',6,'2009-06-08 17:35:59',10550),
 (345,3,'Qualitätskontrolle',7,'2009-06-08 17:03:33',10550),
 (346,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:20',10550),
 (347,4,'Imagenachbearbeitung',7,'2009-06-08 17:35:59',10550),
 (348,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:20',10550),
 (349,14,NULL,4,'2009-06-15 16:10:58',10549),
 (350,1,NULL,5,'2009-06-15 16:10:58',10549),
 (351,1,'Bibliografische Aufnahme',6,'2009-06-05 11:41:20',10548),
 (352,1,'Bibliografische Aufnahme',7,'2009-06-05 11:41:20',10548),
 (353,2,'Scannen',7,'2009-06-09 18:14:59',10548),
 (354,2,'Scannen',6,'2009-06-09 18:14:59',10548),
 (355,2,'Scannen',9,'2009-06-09 18:14:59',10548),
 (356,3,'Qualitätskontrolle',9,'2009-06-10 11:09:28',10548),
 (357,1,'Bibliografische Aufnahme',6,'2009-06-05 11:38:06',10547),
 (358,1,'Bibliografische Aufnahme',7,'2009-06-05 11:38:06',10547),
 (359,1,'Bibliografische Aufnahme',6,'2009-06-05 11:35:48',10546),
 (360,1,'Bibliografische Aufnahme',7,'2009-06-05 11:35:48',10546),
 (361,2,'Scannen',6,'2009-06-09 09:55:52',10546),
 (362,2,'Scannen',9,'2009-06-10 09:09:25',10546),
 (363,2,'Scannen',7,'2009-06-05 11:35:48',10546),
 (364,3,'Qualitätskontrolle',9,'2009-06-10 10:33:25',10546),
 (365,14,NULL,4,'2009-06-15 16:10:59',10545),
 (366,1,NULL,5,'2009-06-15 16:10:59',10545),
 (367,14,NULL,4,'2009-06-15 16:11:00',10544),
 (368,1,NULL,5,'2009-06-15 16:11:00',10544),
 (369,12,NULL,4,'2009-06-15 16:11:00',10543),
 (370,1,NULL,5,'2009-06-15 16:11:00',10543),
 (371,11,NULL,4,'2009-06-15 16:11:00',10542),
 (372,1,NULL,5,'2009-06-15 16:11:00',10542),
 (373,14,NULL,4,'2009-06-15 16:11:01',10541),
 (374,1,NULL,5,'2009-06-15 16:11:01',10541),
 (375,1,'Bibliografische Aufnahme',6,'2009-06-05 10:52:10',10540),
 (376,1,'Bibliografische Aufnahme',7,'2009-06-05 10:52:10',10540),
 (377,11,NULL,4,'2009-06-15 16:11:01',10539),
 (378,1,NULL,5,'2009-06-15 16:11:01',10539),
 (379,28,NULL,4,'2009-06-15 16:11:02',10538),
 (380,20,NULL,5,'2009-06-15 16:11:02',10538),
 (381,1,'Bibliografische Aufnahme',6,'2009-06-05 10:43:14',10537),
 (382,1,'Bibliografische Aufnahme',7,'2009-06-05 10:43:14',10537),
 (383,2,'Scannen',6,'2009-06-08 16:16:52',10537),
 (384,2,'Scannen',9,'2009-06-08 16:16:52',10537),
 (385,2,'Scannen',7,'2009-06-05 10:43:14',10537),
 (386,3,'Qualitätskontrolle',6,'2009-06-08 16:36:20',10537),
 (387,3,'Qualitätskontrolle',9,'2009-06-08 16:36:20',10537),
 (388,3,'Qualitätskontrolle',7,'2009-06-08 16:16:52',10537),
 (389,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:15',10537),
 (390,4,'Imagenachbearbeitung',7,'2009-06-08 16:36:20',10537),
 (391,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:15',10537),
 (392,14,NULL,4,'2009-06-15 16:11:02',10536),
 (393,1,NULL,5,'2009-06-15 16:11:02',10536),
 (394,12,NULL,4,'2009-06-15 16:11:03',10535),
 (395,1,NULL,5,'2009-06-15 16:11:03',10535),
 (396,13,NULL,4,'2009-06-15 16:11:03',10534),
 (397,1,NULL,5,'2009-06-15 16:11:03',10534),
 (404,1,'Bibliografische Aufnahme',6,'2009-06-05 07:39:36',10530),
 (405,1,'Bibliografische Aufnahme',7,'2009-06-05 07:39:36',10530),
 (406,1,'Bibliografische Aufnahme',6,'2009-06-05 07:34:34',10529),
 (407,1,'Bibliografische Aufnahme',7,'2009-06-05 07:34:34',10529),
 (408,62,NULL,4,'2009-06-15 16:11:05',10528),
 (409,44,NULL,5,'2009-06-15 16:11:05',10528),
 (410,13,NULL,4,'2009-06-15 16:11:06',10527),
 (411,1,NULL,5,'2009-06-15 16:11:06',10527),
 (412,12,NULL,4,'2009-06-15 16:11:06',10526),
 (413,1,NULL,5,'2009-06-15 16:11:06',10526),
 (414,13,NULL,4,'2009-06-15 16:11:06',10525),
 (415,1,NULL,5,'2009-06-15 16:11:06',10525),
 (416,14,NULL,4,'2009-06-15 16:11:07',10524),
 (417,1,NULL,5,'2009-06-15 16:11:07',10524),
 (420,14,NULL,4,'2009-06-15 16:11:07',10522),
 (421,1,NULL,5,'2009-06-15 16:11:07',10522),
 (442,14,NULL,4,'2009-06-15 16:11:11',10511),
 (443,1,NULL,5,'2009-06-15 16:11:11',10511),
 (450,13,NULL,4,'2009-06-15 16:11:13',10507),
 (451,1,NULL,5,'2009-06-15 16:11:13',10507),
 (456,1,'Bibliografische Aufnahme',6,'2009-06-04 13:46:37',10504),
 (457,1,'Bibliografische Aufnahme',7,'2009-06-04 13:46:37',10504),
 (458,47,NULL,4,'2009-06-15 16:11:14',10503),
 (459,30,NULL,5,'2009-06-15 16:11:14',10503),
 (460,1,'Bibliografische Aufnahme',6,'2009-06-04 13:41:47',10502),
 (461,1,'Bibliografische Aufnahme',7,'2009-06-04 13:41:47',10502),
 (462,1,'Bibliografische Aufnahme',6,'2009-06-04 13:17:00',10501),
 (463,1,'Bibliografische Aufnahme',7,'2009-06-04 13:17:00',10501),
 (464,1,'Bibliografische Aufnahme',6,'2009-06-04 13:11:48',10500),
 (465,1,'Bibliografische Aufnahme',7,'2009-06-04 13:11:48',10500),
 (466,2,'Scannen',7,'2009-06-05 18:15:01',10500),
 (467,1,'Bibliografische Aufnahme',6,'2009-06-04 13:08:14',10499),
 (468,1,'Bibliografische Aufnahme',7,'2009-06-04 13:08:14',10499),
 (469,2,'Scannen',6,'2009-06-05 17:23:04',10499),
 (470,2,'Scannen',9,'2009-06-08 14:03:08',10499),
 (471,2,'Scannen',7,'2009-06-04 13:08:14',10499),
 (472,3,'Qualitätskontrolle',6,'2009-06-09 16:45:20',10499),
 (473,3,'Qualitätskontrolle',9,'2009-06-09 16:45:20',10499),
 (474,3,'Qualitätskontrolle',7,'2009-06-05 17:23:04',10499),
 (475,4,'Imagenachbearbeitung',6,'2009-06-10 11:01:08',10499),
 (476,4,'Imagenachbearbeitung',7,'2009-06-09 16:45:20',10499),
 (477,1,'Bibliografische Aufnahme',6,'2009-06-04 12:21:10',10498),
 (478,1,'Bibliografische Aufnahme',7,'2009-06-04 12:21:10',10498),
 (479,1,'Bibliografische Aufnahme',6,'2009-06-04 12:18:19',10497),
 (480,1,'Bibliografische Aufnahme',7,'2009-06-04 12:18:19',10497),
 (481,13,NULL,4,'2009-06-15 16:11:16',10496),
 (482,1,NULL,5,'2009-06-15 16:11:16',10496),
 (483,12,NULL,4,'2009-06-15 16:11:17',10495),
 (484,1,NULL,5,'2009-06-15 16:11:17',10495),
 (485,16,NULL,4,'2009-06-15 16:11:17',10494),
 (486,1,NULL,5,'2009-06-15 16:11:17',10494),
 (487,15,NULL,4,'2009-06-15 16:11:17',10493),
 (488,1,NULL,5,'2009-06-15 16:11:17',10493),
 (489,14,NULL,4,'2009-06-15 16:11:18',10492),
 (490,1,NULL,5,'2009-06-15 16:11:18',10492),
 (491,14,NULL,4,'2009-06-15 16:11:18',10491),
 (492,1,NULL,5,'2009-06-15 16:11:18',10491),
 (493,14,NULL,4,'2009-06-15 16:11:18',10490),
 (494,5,NULL,5,'2009-06-15 16:11:18',10490),
 (495,20,NULL,4,'2009-06-15 16:11:19',10489),
 (496,10,NULL,5,'2009-06-15 16:11:19',10489),
 (497,28,NULL,4,'2009-06-15 16:11:19',10488),
 (498,11,NULL,5,'2009-06-15 16:11:19',10488),
 (501,14,NULL,4,'2009-06-15 16:11:20',10486),
 (502,1,NULL,5,'2009-06-15 16:11:20',10486),
 (509,16,NULL,4,'2009-06-15 16:11:21',10482),
 (510,7,NULL,5,'2009-06-15 16:11:21',10482),
 (511,17,NULL,4,'2009-06-15 16:11:22',10481),
 (512,6,NULL,5,'2009-06-15 16:11:22',10481),
 (513,14,NULL,4,'2009-06-15 16:11:22',10480),
 (514,6,NULL,5,'2009-06-15 16:11:22',10480),
 (515,12,NULL,4,'2009-06-15 16:11:22',10479),
 (516,1,NULL,5,'2009-06-15 16:11:22',10479),
 (517,23,NULL,4,'2009-06-15 16:11:23',10478),
 (518,13,NULL,5,'2009-06-15 16:11:23',10478),
 (519,13,NULL,4,'2009-06-15 16:11:23',10477),
 (520,1,NULL,5,'2009-06-15 16:11:23',10477),
 (523,15,NULL,4,'2009-06-15 16:11:24',10475),
 (524,6,NULL,5,'2009-06-15 16:11:24',10475),
 (525,13,NULL,4,'2009-06-15 16:11:24',10474),
 (526,4,NULL,5,'2009-06-15 16:11:24',10474),
 (527,19,NULL,4,'2009-06-15 16:11:24',10473),
 (528,1,NULL,5,'2009-06-15 16:11:24',10473),
 (529,30,NULL,4,'2009-06-15 16:11:25',10472),
 (530,20,NULL,5,'2009-06-15 16:11:25',10472),
 (531,13,NULL,4,'2009-06-15 16:11:25',10471),
 (532,1,NULL,5,'2009-06-15 16:11:25',10471),
 (533,14,NULL,4,'2009-06-15 16:11:25',10470),
 (534,1,NULL,5,'2009-06-15 16:11:25',10470),
 (535,13,NULL,4,'2009-06-15 16:11:26',10469),
 (536,1,NULL,5,'2009-06-15 16:11:26',10469),
 (537,30,NULL,4,'2009-06-15 16:11:26',10468),
 (538,20,NULL,5,'2009-06-15 16:11:26',10468),
 (539,13,NULL,4,'2009-06-15 16:11:26',10467),
 (540,1,NULL,5,'2009-06-15 16:11:26',10467),
 (541,14,NULL,4,'2009-06-15 16:11:27',10466),
 (542,1,NULL,5,'2009-06-15 16:11:27',10466),
 (543,15,NULL,4,'2009-06-15 16:11:27',10465),
 (544,1,NULL,5,'2009-06-15 16:11:27',10465),
 (553,13,NULL,4,'2009-06-15 16:11:29',10460),
 (554,1,NULL,5,'2009-06-15 16:11:29',10460),
 (555,14,NULL,4,'2009-06-15 16:11:29',10459),
 (556,1,NULL,5,'2009-06-15 16:11:29',10459),
 (557,14,NULL,4,'2009-06-15 16:11:30',10458),
 (558,1,NULL,5,'2009-06-15 16:11:30',10458),
 (561,15,NULL,4,'2009-06-15 16:11:30',10456),
 (562,1,NULL,5,'2009-06-15 16:11:30',10456),
 (563,1,'Bibliografische Aufnahme',6,'2009-06-03 11:38:04',10455),
 (564,1,'Bibliografische Aufnahme',9,'2009-06-03 11:38:04',10455),
 (565,1,'Bibliografische Aufnahme',7,'2009-06-03 11:38:04',10455),
 (566,2,'Scannen',6,'2009-06-04 16:40:19',10455),
 (567,2,'Scannen',9,'2009-06-04 18:52:50',10455),
 (568,2,'Scannen',7,'2009-06-03 11:38:04',10455),
 (569,3,'Qualitätskontrolle',6,'2009-06-05 15:42:40',10455),
 (570,3,'Qualitätskontrolle',9,'2009-06-05 15:42:40',10455),
 (571,3,'Qualitätskontrolle',7,'2009-06-04 16:40:19',10455),
 (572,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:19',10455),
 (573,4,'Imagenachbearbeitung',7,'2009-06-05 15:42:40',10455),
 (574,1,'Bibliografische Aufnahme',6,'2009-06-03 11:35:33',10454),
 (575,1,'Bibliografische Aufnahme',7,'2009-06-03 11:35:33',10454),
 (576,24,NULL,5,'2009-06-15 16:11:31',10453),
 (577,24,NULL,4,'2009-06-15 16:11:32',10452),
 (578,14,NULL,5,'2009-06-15 16:11:32',10452),
 (579,14,NULL,4,'2009-06-15 16:11:32',10451),
 (580,1,NULL,5,'2009-06-15 16:11:32',10451),
 (581,15,NULL,4,'2009-06-15 16:11:32',10450),
 (582,1,NULL,5,'2009-06-15 16:11:32',10450),
 (583,19,NULL,4,'2009-06-15 16:11:33',10449),
 (584,14,NULL,5,'2009-06-15 16:11:33',10449),
 (585,16,NULL,4,'2009-06-15 16:11:33',10448),
 (586,1,NULL,5,'2009-06-15 16:11:33',10448),
 (587,13,NULL,4,'2009-06-15 16:11:33',10447),
 (588,1,NULL,5,'2009-06-15 16:11:33',10447),
 (589,22,NULL,4,'2009-06-15 16:11:34',10446),
 (590,11,NULL,5,'2009-06-15 16:11:34',10446),
 (591,40,NULL,4,'2009-06-15 16:11:34',10445),
 (592,28,NULL,5,'2009-06-15 16:11:34',10445),
 (593,1,'Bibliografische Aufnahme',6,'2009-06-03 10:38:12',10444),
 (594,1,'Bibliografische Aufnahme',7,'2009-06-03 10:38:12',10444),
 (595,2,'Scannen',6,'2009-06-05 15:13:54',10444),
 (596,2,'Scannen',7,'2009-06-03 10:38:12',10444),
 (597,3,'Qualitätskontrolle',6,'2009-06-05 18:53:45',10444),
 (598,3,'Qualitätskontrolle',7,'2009-06-05 15:13:54',10444),
 (599,4,'Imagenachbearbeitung',6,'2009-06-08 14:03:51',10444),
 (600,4,'Imagenachbearbeitung',7,'2009-06-05 18:53:45',10444),
 (601,5,'Struktur- und Metadaten',7,'2009-06-09 14:25:54',10444),
 (602,1,'Bibliografische Aufnahme',6,'2009-06-03 10:35:55',10443),
 (603,1,'Bibliografische Aufnahme',7,'2009-06-03 10:35:55',10443),
 (604,2,'Scannen',6,'2009-06-08 10:41:30',10443),
 (605,2,'Scannen',7,'2009-06-03 10:35:55',10443),
 (606,3,'Qualitätskontrolle',6,'2009-06-09 14:25:42',10443),
 (607,3,'Qualitätskontrolle',7,'2009-06-08 10:41:30',10443),
 (608,4,'Imagenachbearbeitung',6,'2009-06-09 17:30:35',10443),
 (609,4,'Imagenachbearbeitung',7,'2009-06-09 14:25:42',10443),
 (610,17,NULL,4,'2009-06-15 16:11:35',10442),
 (611,7,NULL,5,'2009-06-15 16:11:35',10442),
 (612,1,'Bibliografische Aufnahme',6,'2009-06-03 10:33:50',10441),
 (613,1,'Bibliografische Aufnahme',7,'2009-06-03 10:33:50',10441),
 (614,2,'Scannen',6,'2009-06-05 08:54:08',10441),
 (615,2,'Scannen',9,'2009-06-05 11:12:58',10441),
 (616,2,'Scannen',7,'2009-06-03 10:33:50',10441),
 (617,3,'Qualitätskontrolle',6,'2009-06-08 08:35:50',10441),
 (618,3,'Qualitätskontrolle',9,'2009-06-08 08:35:50',10441),
 (619,3,'Qualitätskontrolle',7,'2009-06-05 08:54:08',10441),
 (620,4,'Imagenachbearbeitung',6,'2009-06-08 11:20:16',10441),
 (621,4,'Imagenachbearbeitung',7,'2009-06-08 08:35:50',10441),
 (622,1,'Bibliografische Aufnahme',6,'2009-06-03 10:31:33',10440),
 (623,1,'Bibliografische Aufnahme',7,'2009-06-03 10:31:33',10440),
 (624,2,'Scannen',7,'2009-06-05 06:56:21',10440),
 (625,2,'Scannen',6,'2009-06-04 09:00:50',10440),
 (626,2,'Scannen',9,'2009-06-05 06:56:21',10440),
 (627,3,'Qualitätskontrolle',9,'2009-06-09 15:06:33',10440),
 (628,83,NULL,4,'2009-06-15 16:11:36',10439),
 (629,65,NULL,5,'2009-06-15 16:11:36',10439),
 (630,24,NULL,4,'2009-06-15 16:11:37',10438),
 (631,16,NULL,5,'2009-06-15 16:11:37',10438),
 (632,13,NULL,4,'2009-06-15 16:11:37',10437),
 (633,1,NULL,5,'2009-06-15 16:11:37',10437),
 (634,15,NULL,4,'2009-06-15 16:11:37',10435),
 (635,33,NULL,5,'2009-06-15 16:11:37',10435),
 (636,30,NULL,4,'2009-06-15 16:11:38',10434),
 (637,2,NULL,5,'2009-06-15 16:11:38',10434),
 (638,1,'Bibliografische Aufnahme',6,'2009-06-03 08:15:32',10433),
 (639,1,'Bibliografische Aufnahme',7,'2009-06-03 08:15:32',10433),
 (640,2,'Scannen',6,'2009-06-04 16:14:41',10433),
 (641,2,'Scannen',9,'2009-06-05 15:22:44',10433),
 (642,2,'Scannen',7,'2009-06-03 08:15:32',10433),
 (643,3,'Qualitätskontrolle',6,'2009-06-05 16:52:38',10433),
 (644,3,'Qualitätskontrolle',9,'2009-06-05 16:52:38',10433),
 (645,3,'Qualitätskontrolle',7,'2009-06-04 16:14:41',10433),
 (646,4,'Imagenachbearbeitung',6,'2009-06-05 19:02:56',10433),
 (647,4,'Imagenachbearbeitung',7,'2009-06-05 16:52:38',10433),
 (648,1,'Bibliografische Aufnahme',6,'2009-06-03 08:12:13',10432),
 (649,1,'Bibliografische Aufnahme',7,'2009-06-03 08:12:13',10432),
 (650,2,'Scannen',6,'2009-06-08 18:12:39',10432),
 (651,2,'Scannen',9,'2009-06-09 12:07:42',10432),
 (652,2,'Scannen',7,'2009-06-03 08:12:13',10432),
 (653,3,'Qualitätskontrolle',6,'2009-06-09 14:26:13',10432),
 (654,3,'Qualitätskontrolle',9,'2009-06-09 14:26:13',10432),
 (655,3,'Qualitätskontrolle',7,'2009-06-08 18:12:39',10432),
 (656,4,'Imagenachbearbeitung',6,'2009-06-09 18:08:21',10432),
 (657,4,'Imagenachbearbeitung',7,'2009-06-09 14:26:13',10432),
 (658,1,'Bibliografische Aufnahme',6,'2009-06-02 17:22:35',10431),
 (659,1,'Bibliografische Aufnahme',7,'2009-06-02 17:22:35',10431),
 (660,2,'Scannen',6,'2009-06-05 15:57:06',10431),
 (661,2,'Scannen',9,'2009-06-05 15:57:06',10431),
 (662,2,'Scannen',7,'2009-06-02 17:22:35',10431),
 (663,3,'Qualitätskontrolle',6,'2009-06-05 18:07:23',10431),
 (664,3,'Qualitätskontrolle',9,'2009-06-05 18:07:23',10431),
 (665,3,'Qualitätskontrolle',7,'2009-06-05 15:57:06',10431),
 (666,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:27',10431),
 (667,4,'Imagenachbearbeitung',7,'2009-06-05 18:07:23',10431),
 (668,26,NULL,4,'2009-06-15 16:11:39',10430),
 (669,27,NULL,5,'2009-06-15 16:11:39',10430),
 (670,23,NULL,4,'2009-06-15 16:11:39',10429),
 (671,11,NULL,5,'2009-06-15 16:11:39',10429),
 (672,24,NULL,4,'2009-06-15 16:11:40',10428),
 (673,2,NULL,5,'2009-06-15 16:11:40',10428),
 (674,24,NULL,4,'2009-06-15 16:11:40',10427),
 (675,28,NULL,5,'2009-06-15 16:11:40',10427),
 (686,28,NULL,4,'2009-06-15 16:11:42',10421),
 (687,12,NULL,5,'2009-06-15 16:11:42',10421),
 (692,13,NULL,4,'2009-06-15 16:11:43',10418),
 (693,6,NULL,5,'2009-06-15 16:11:43',10418),
 (698,30,NULL,4,'2009-06-15 16:11:44',10415),
 (699,16,NULL,5,'2009-06-15 16:11:44',10415),
 (702,28,NULL,4,'2009-06-15 16:11:46',10413),
 (703,20,NULL,5,'2009-06-15 16:11:46',10413),
 (704,56,NULL,4,'2009-06-15 16:11:46',10412),
 (705,48,NULL,5,'2009-06-15 16:11:46',10412),
 (714,18,NULL,4,'2009-06-15 16:11:48',10407),
 (715,10,NULL,5,'2009-06-15 16:11:48',10407),
 (716,14,NULL,4,'2009-06-15 16:11:48',10406),
 (717,1,NULL,5,'2009-06-15 16:11:48',10406),
 (718,34,NULL,4,'2009-06-15 16:11:48',10405),
 (719,24,NULL,5,'2009-06-15 16:11:48',10405),
 (720,13,NULL,4,'2009-06-15 16:11:49',10404),
 (721,1,NULL,5,'2009-06-15 16:11:49',10404),
 (722,30,NULL,4,'2009-06-15 16:11:49',10403),
 (723,14,NULL,5,'2009-06-15 16:11:49',10403),
 (724,26,NULL,4,'2009-06-15 16:11:49',10402),
 (725,10,NULL,5,'2009-06-15 16:11:49',10402),
 (728,66,NULL,4,'2009-06-15 16:11:50',10400),
 (729,53,NULL,5,'2009-06-15 16:11:50',10400),
 (730,77,NULL,4,'2009-06-15 16:11:51',10399),
 (731,54,NULL,5,'2009-06-15 16:11:51',10399),
 (732,50,NULL,4,'2009-06-15 16:11:51',10398),
 (733,27,NULL,5,'2009-06-15 16:11:51',10398),
 (840,25,NULL,4,'2009-06-15 16:12:11',10344),
 (841,18,NULL,5,'2009-06-15 16:12:11',10344),
 (7821,1,'Bibliografische Aufnahme',6,'2009-06-09 11:09:18',10659),
 (7822,1,'Bibliografische Aufnahme',7,'2009-06-09 11:09:18',10659),
 (7823,1,'Bibliografische Aufnahme',6,'2009-06-09 11:05:40',10657),
 (7824,1,'Bibliografische Aufnahme',7,'2009-06-09 11:05:40',10657),
 (7825,1,'Bibliografische Aufnahme',6,'2009-06-09 11:02:33',10654),
 (7826,1,'Bibliografische Aufnahme',7,'2009-06-09 11:02:33',10654),
 (7827,1,'Bibliografische Aufnahme',6,'2009-06-08 12:20:36',10617),
 (7828,1,'Bibliografische Aufnahme',7,'2009-06-08 12:20:36',10617),
 (7829,2,'Scannen',6,'2009-06-09 16:08:02',10617),
 (7830,2,'Scannen',7,'2009-06-08 12:20:36',10617),
 (7831,3,'Qualitätskontrolle',6,'2009-06-10 10:31:58',10617),
 (7832,3,'Qualitätskontrolle',7,'2009-06-09 16:08:02',10617),
 (7833,1,'Bibliografische Aufnahme',6,'2009-06-08 11:48:43',10607),
 (7834,1,'Bibliografische Aufnahme',7,'2009-06-08 11:48:43',10607),
 (7835,1,'Bibliografische Aufnahme',6,'2009-06-08 11:41:00',10601),
 (7836,1,'Bibliografische Aufnahme',7,'2009-06-08 11:41:00',10601),
 (7837,1,'Bibliografische Aufnahme',6,'2009-06-08 11:35:52',10599),
 (7838,1,'Bibliografische Aufnahme',7,'2009-06-08 11:35:52',10599),
 (7839,1,'Bibliografische Aufnahme',6,'2009-06-08 11:29:02',10598),
 (7840,1,'Bibliografische Aufnahme',7,'2009-06-08 11:29:02',10598),
 (7841,2,'Scannen',6,'2009-06-09 08:49:07',10598),
 (7842,2,'Scannen',7,'2009-06-08 11:29:02',10598),
 (7843,3,'Qualitätskontrolle',6,'2009-06-09 09:48:12',10598),
 (7844,3,'Qualitätskontrolle',7,'2009-06-09 08:49:07',10598),
 (7845,4,'Imagenachbearbeitung',6,'2009-06-09 14:06:05',10598),
 (7846,4,'Imagenachbearbeitung',7,'2009-06-09 09:48:12',10598),
 (7849,1,'Bibliografische Aufnahme',6,'2009-06-08 11:04:13',10584),
 (7850,1,'Bibliografische Aufnahme',7,'2009-06-08 11:04:13',10584),
 (7851,2,'Scannen',6,'2009-06-09 13:19:30',10584),
 (7852,2,'Scannen',7,'2009-06-08 11:04:13',10584),
 (7853,3,'Qualitätskontrolle',6,'2009-06-09 13:52:54',10584),
 (7854,3,'Qualitätskontrolle',7,'2009-06-09 13:19:30',10584),
 (7855,4,'Imagenachbearbeitung',6,'2009-06-09 16:04:57',10584),
 (7856,4,'Imagenachbearbeitung',7,'2009-06-09 13:52:54',10584),
 (7857,1,'Bibliografische Aufnahme',6,'2009-06-08 09:58:43',10573),
 (7858,1,'Bibliografische Aufnahme',7,'2009-06-08 09:58:43',10573),
 (7859,2,'Scannen',6,'2009-06-10 07:11:41',10573),
 (7860,2,'Scannen',7,'2009-06-08 09:58:43',10573),
 (7861,3,'Qualitätskontrolle',6,'2009-06-10 08:10:38',10573),
 (7862,3,'Qualitätskontrolle',7,'2009-06-10 07:11:41',10573),
 (7863,1,'Bibliografische Aufnahme',6,'2009-06-08 09:47:38',10569),
 (7864,1,'Bibliografische Aufnahme',7,'2009-06-08 09:47:38',10569),
 (7865,1,'Bibliografische Aufnahme',6,'2009-06-08 09:32:24',10568),
 (7866,1,'Bibliografische Aufnahme',7,'2009-06-08 09:32:24',10568),
 (7867,2,'Scannen',6,'2009-06-09 08:06:36',10568),
 (7868,2,'Scannen',7,'2009-06-08 09:32:24',10568),
 (7869,3,'Qualitätskontrolle',6,'2009-06-09 10:00:58',10568),
 (7870,3,'Qualitätskontrolle',7,'2009-06-09 08:06:36',10568),
 (7871,4,'Imagenachbearbeitung',6,'2009-06-09 12:47:42',10568),
 (7872,4,'Imagenachbearbeitung',7,'2009-06-09 10:00:58',10568),
 (7873,5,'Struktur- und Metadaten',6,'2009-06-09 14:49:00',10568),
 (7874,5,'Struktur- und Metadaten',7,'2009-06-09 12:47:42',10568),
 (7875,1,'Bibliografische Aufnahme',6,'2009-06-05 12:23:55',10559),
 (7876,1,'Bibliografische Aufnahme',7,'2009-06-05 12:23:55',10559),
 (7877,1,'Bibliografische Aufnahme',6,'2009-06-05 12:11:53',10558),
 (7878,1,'Bibliografische Aufnahme',7,'2009-06-05 12:11:53',10558),
 (7879,1,'Bibliografische Aufnahme',6,'2009-06-05 11:50:28',10551),
 (7880,1,'Bibliografische Aufnahme',7,'2009-06-05 11:50:28',10551),
 (7881,2,'Scannen',6,'2009-06-08 17:35:54',10551),
 (7882,2,'Scannen',7,'2009-06-05 11:50:28',10551),
 (7883,3,'Qualitätskontrolle',6,'2009-06-08 18:21:29',10551),
 (7884,3,'Qualitätskontrolle',7,'2009-06-08 17:35:54',10551),
 (7885,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:28',10551),
 (7886,4,'Imagenachbearbeitung',7,'2009-06-08 18:21:29',10551),
 (7887,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:28',10551),
 (7888,1,'Bibliografische Aufnahme',6,'2009-06-05 11:42:24',10549),
 (7889,1,'Bibliografische Aufnahme',7,'2009-06-05 11:42:24',10549),
 (7890,1,'Bibliografische Aufnahme',6,'2009-06-05 11:15:05',10545),
 (7891,1,'Bibliografische Aufnahme',7,'2009-06-05 11:15:05',10545),
 (7892,2,'Scannen',6,'2009-06-10 09:41:49',10545),
 (7893,2,'Scannen',9,'2009-06-10 11:08:41',10545),
 (7894,2,'Scannen',7,'2009-06-05 11:15:05',10545),
 (7895,3,'Qualitätskontrolle',9,'2009-06-10 10:48:06',10545),
 (7896,1,'Bibliografische Aufnahme',6,'2009-06-05 11:08:42',10544),
 (7897,1,'Bibliografische Aufnahme',7,'2009-06-05 11:08:42',10544),
 (7898,2,'Scannen',6,'2009-06-09 16:03:32',10544),
 (7899,2,'Scannen',9,'2009-06-10 10:00:23',10544),
 (7900,2,'Scannen',7,'2009-06-05 11:08:42',10544),
 (7901,3,'Qualitätskontrolle',9,'2009-06-10 10:52:22',10544),
 (7902,1,'Bibliografische Aufnahme',6,'2009-06-05 11:02:28',10543),
 (7903,1,'Bibliografische Aufnahme',7,'2009-06-05 11:02:28',10543),
 (7904,2,'Scannen',6,'2009-06-08 09:41:01',10543),
 (7905,2,'Scannen',7,'2009-06-05 11:02:28',10543),
 (7906,3,'Qualitätskontrolle',6,'2009-06-08 10:55:40',10543),
 (7907,3,'Qualitätskontrolle',7,'2009-06-08 09:41:01',10543),
 (7908,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:18',10543),
 (7909,4,'Imagenachbearbeitung',7,'2009-06-08 10:55:40',10543),
 (7910,1,'Bibliografische Aufnahme',6,'2009-06-05 10:58:02',10542),
 (7911,1,'Bibliografische Aufnahme',7,'2009-06-05 10:58:02',10542),
 (7912,2,'Scannen',6,'2009-06-08 13:54:34',10542),
 (7913,2,'Scannen',7,'2009-06-05 10:58:02',10542),
 (7914,3,'Qualitätskontrolle',6,'2009-06-08 16:58:25',10542),
 (7915,3,'Qualitätskontrolle',7,'2009-06-08 13:54:34',10542),
 (7916,4,'Imagenachbearbeitung',6,'2009-06-09 18:06:57',10542),
 (7917,4,'Imagenachbearbeitung',7,'2009-06-08 16:58:25',10542),
 (7918,5,'Struktur- und Metadaten',7,'2009-06-09 18:06:57',10542),
 (7919,1,'Bibliografische Aufnahme',6,'2009-06-05 10:54:51',10541),
 (7920,1,'Bibliografische Aufnahme',7,'2009-06-05 10:54:51',10541),
 (7921,2,'Scannen',6,'2009-06-08 16:20:59',10541),
 (7922,2,'Scannen',7,'2009-06-05 10:54:51',10541),
 (7923,3,'Qualitätskontrolle',6,'2009-06-08 17:00:21',10541),
 (7924,3,'Qualitätskontrolle',7,'2009-06-08 16:20:59',10541),
 (7925,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:03',10541),
 (7926,4,'Imagenachbearbeitung',7,'2009-06-08 17:00:21',10541),
 (7927,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:03',10541),
 (7928,1,'Bibliografische Aufnahme',6,'2009-06-05 10:49:16',10539),
 (7929,1,'Bibliografische Aufnahme',7,'2009-06-05 10:49:16',10539),
 (7930,2,'Scannen',6,'2009-06-08 15:37:33',10539),
 (7931,2,'Scannen',7,'2009-06-05 10:49:16',10539),
 (7932,3,'Qualitätskontrolle',6,'2009-06-08 17:31:58',10539),
 (7933,3,'Qualitätskontrolle',7,'2009-06-08 15:37:33',10539),
 (7934,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:40',10539),
 (7935,4,'Imagenachbearbeitung',7,'2009-06-08 17:31:58',10539),
 (7936,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:40',10539),
 (7937,1,'Bibliografische Aufnahme',6,'2009-06-05 10:43:41',10538),
 (7938,1,'Bibliografische Aufnahme',7,'2009-06-05 10:43:41',10538),
 (7939,2,'Scannen',6,'2009-06-08 14:47:18',10538),
 (7940,2,'Scannen',7,'2009-06-05 10:43:41',10538),
 (7941,3,'Qualitätskontrolle',6,'2009-06-08 15:31:47',10538),
 (7942,3,'Qualitätskontrolle',7,'2009-06-08 14:47:18',10538),
 (7943,4,'Imagenachbearbeitung',6,'2009-06-08 17:11:19',10538),
 (7944,4,'Imagenachbearbeitung',7,'2009-06-08 15:31:47',10538),
 (7945,5,'Struktur- und Metadaten',6,'2009-06-09 12:21:57',10538),
 (7946,5,'Struktur- und Metadaten',7,'2009-06-08 17:11:19',10538),
 (7947,1,'Bibliografische Aufnahme',6,'2009-06-05 10:09:19',10536),
 (7948,1,'Bibliografische Aufnahme',7,'2009-06-05 10:09:19',10536),
 (7949,2,'Scannen',6,'2009-06-10 11:07:34',10536),
 (7950,2,'Scannen',7,'2009-06-05 10:09:19',10536),
 (7951,1,'Bibliografische Aufnahme',6,'2009-06-05 09:58:58',10535),
 (7952,1,'Bibliografische Aufnahme',7,'2009-06-05 09:58:58',10535),
 (7953,1,'Bibliografische Aufnahme',6,'2009-06-05 09:35:43',10534),
 (7954,1,'Bibliografische Aufnahme',7,'2009-06-05 09:35:43',10534),
 (7955,1,'Bibliografische Aufnahme',6,'2009-06-05 07:31:43',10528),
 (7956,1,'Bibliografische Aufnahme',7,'2009-06-05 07:31:43',10528),
 (7957,2,'Scannen',6,'2009-06-09 09:41:55',10528),
 (7958,2,'Scannen',7,'2009-06-05 07:31:43',10528),
 (7959,3,'Qualitätskontrolle',6,'2009-06-09 11:22:53',10528),
 (7960,3,'Qualitätskontrolle',7,'2009-06-09 09:41:55',10528),
 (7961,4,'Imagenachbearbeitung',6,'2009-06-09 15:31:30',10528),
 (7962,4,'Imagenachbearbeitung',7,'2009-06-09 11:22:53',10528),
 (7963,5,'Struktur- und Metadaten',6,'2009-06-10 11:03:40',10528),
 (7964,5,'Struktur- und Metadaten',7,'2009-06-09 15:31:30',10528),
 (7965,1,'Bibliografische Aufnahme',6,'2009-06-05 07:12:37',10527),
 (7966,1,'Bibliografische Aufnahme',7,'2009-06-05 07:12:37',10527),
 (7967,2,'Scannen',6,'2009-06-09 14:41:43',10527),
 (7968,2,'Scannen',7,'2009-06-05 07:12:37',10527),
 (7969,3,'Qualitätskontrolle',6,'2009-06-10 09:21:01',10527),
 (7970,3,'Qualitätskontrolle',7,'2009-06-09 14:41:43',10527),
 (7971,1,'Bibliografische Aufnahme',6,'2009-06-05 07:06:55',10526),
 (7972,1,'Bibliografische Aufnahme',7,'2009-06-05 07:06:55',10526),
 (7973,1,'Bibliografische Aufnahme',6,'2009-06-05 06:58:26',10525),
 (7974,1,'Bibliografische Aufnahme',7,'2009-06-05 06:58:26',10525),
 (7975,1,'Bibliografische Aufnahme',6,'2009-06-04 16:50:08',10524),
 (7976,1,'Bibliografische Aufnahme',7,'2009-06-04 16:50:08',10524),
 (7977,1,'Bibliografische Aufnahme',6,'2009-06-04 16:14:40',10522),
 (7978,1,'Bibliografische Aufnahme',7,'2009-06-04 16:14:40',10522),
 (7979,1,'Bibliografische Aufnahme',6,'2009-06-04 14:17:24',10511),
 (7980,1,'Bibliografische Aufnahme',7,'2009-06-04 14:17:24',10511),
 (7981,2,'Scannen',7,'2009-06-08 14:11:14',10511),
 (7982,1,'Bibliografische Aufnahme',6,'2009-06-04 13:59:55',10507),
 (7983,1,'Bibliografische Aufnahme',7,'2009-06-04 13:59:55',10507),
 (7984,2,'Scannen',6,'2009-06-05 15:44:23',10507),
 (7985,2,'Scannen',7,'2009-06-04 13:59:55',10507),
 (7986,3,'Qualitätskontrolle',6,'2009-06-05 17:27:55',10507),
 (7987,3,'Qualitätskontrolle',7,'2009-06-05 15:44:23',10507),
 (7988,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:35',10507),
 (7989,4,'Imagenachbearbeitung',7,'2009-06-05 17:27:55',10507),
 (7990,1,'Bibliografische Aufnahme',6,'2009-06-04 13:44:11',10503),
 (7991,1,'Bibliografische Aufnahme',7,'2009-06-04 13:44:11',10503),
 (7992,2,'Scannen',6,'2009-06-05 19:24:50',10503),
 (7993,2,'Scannen',7,'2009-06-04 13:44:11',10503),
 (7994,3,'Qualitätskontrolle',6,'2009-06-08 12:42:38',10503),
 (7995,3,'Qualitätskontrolle',7,'2009-06-05 19:24:50',10503),
 (7996,4,'Imagenachbearbeitung',6,'2009-06-08 14:31:24',10503),
 (7997,4,'Imagenachbearbeitung',7,'2009-06-08 12:42:38',10503),
 (7998,1,'Bibliografische Aufnahme',6,'2009-06-04 12:14:42',10496),
 (7999,1,'Bibliografische Aufnahme',7,'2009-06-04 12:14:42',10496),
 (8000,1,'Bibliografische Aufnahme',6,'2009-06-04 12:11:23',10495),
 (8001,1,'Bibliografische Aufnahme',7,'2009-06-04 12:11:23',10495),
 (8002,2,'Scannen',6,'2009-06-08 08:33:03',10495),
 (8003,2,'Scannen',7,'2009-06-04 12:11:23',10495),
 (8004,3,'Qualitätskontrolle',6,'2009-06-08 09:27:53',10495),
 (8005,3,'Qualitätskontrolle',7,'2009-06-08 08:33:03',10495),
 (8006,4,'Imagenachbearbeitung',6,'2009-06-08 13:45:52',10495),
 (8007,4,'Imagenachbearbeitung',7,'2009-06-08 09:27:53',10495),
 (8008,1,'Bibliografische Aufnahme',6,'2009-06-04 12:08:30',10494),
 (8009,1,'Bibliografische Aufnahme',7,'2009-06-04 12:08:30',10494),
 (8010,2,'Scannen',6,'2009-06-08 15:26:24',10494),
 (8011,2,'Scannen',7,'2009-06-04 12:08:30',10494),
 (8012,3,'Qualitätskontrolle',6,'2009-06-08 17:14:08',10494),
 (8013,3,'Qualitätskontrolle',7,'2009-06-08 15:26:24',10494),
 (8014,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:11',10494),
 (8015,4,'Imagenachbearbeitung',7,'2009-06-08 17:14:08',10494),
 (8016,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:11',10494),
 (8017,1,'Bibliografische Aufnahme',6,'2009-06-04 11:54:50',10493),
 (8018,1,'Bibliografische Aufnahme',7,'2009-06-04 11:54:50',10493),
 (8019,2,'Scannen',6,'2009-06-05 18:07:01',10493),
 (8020,2,'Scannen',7,'2009-06-04 11:54:50',10493),
 (8021,3,'Qualitätskontrolle',6,'2009-06-08 11:03:38',10493),
 (8022,3,'Qualitätskontrolle',7,'2009-06-05 18:07:01',10493),
 (8023,4,'Imagenachbearbeitung',6,'2009-06-08 11:44:54',10493),
 (8024,4,'Imagenachbearbeitung',7,'2009-06-08 11:03:38',10493),
 (8025,1,'Bibliografische Aufnahme',6,'2009-06-04 11:49:06',10492),
 (8026,1,'Bibliografische Aufnahme',7,'2009-06-04 11:49:06',10492),
 (8027,2,'Scannen',6,'2009-06-05 16:13:36',10492),
 (8028,2,'Scannen',7,'2009-06-04 11:49:06',10492),
 (8029,3,'Qualitätskontrolle',6,'2009-06-05 17:45:03',10492),
 (8030,3,'Qualitätskontrolle',7,'2009-06-05 16:13:36',10492),
 (8031,4,'Imagenachbearbeitung',6,'2009-06-05 19:28:51',10492),
 (8032,4,'Imagenachbearbeitung',7,'2009-06-05 17:45:03',10492),
 (8033,1,'Bibliografische Aufnahme',6,'2009-06-04 11:31:34',10491),
 (8034,1,'Bibliografische Aufnahme',7,'2009-06-04 11:31:34',10491),
 (8035,2,'Scannen',6,'2009-06-05 17:44:17',10491),
 (8036,2,'Scannen',7,'2009-06-04 11:31:34',10491),
 (8037,3,'Qualitätskontrolle',6,'2009-06-05 18:38:17',10491),
 (8038,3,'Qualitätskontrolle',7,'2009-06-05 17:44:17',10491),
 (8039,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:06',10491),
 (8040,4,'Imagenachbearbeitung',7,'2009-06-05 18:38:17',10491),
 (8041,1,'Bibliografische Aufnahme',6,'2009-06-04 11:28:32',10490),
 (8042,1,'Bibliografische Aufnahme',7,'2009-06-04 11:28:32',10490),
 (8043,2,'Scannen',6,'2009-06-05 14:29:09',10490),
 (8044,2,'Scannen',7,'2009-06-04 11:28:32',10490),
 (8045,3,'Qualitätskontrolle',6,'2009-06-08 09:27:29',10490),
 (8046,3,'Qualitätskontrolle',7,'2009-06-05 14:29:09',10490),
 (8047,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:20',10490),
 (8048,4,'Imagenachbearbeitung',7,'2009-06-08 09:27:29',10490),
 (8049,5,'Struktur- und Metadaten',6,'2009-06-09 12:08:39',10490),
 (8050,5,'Struktur- und Metadaten',7,'2009-06-08 13:15:20',10490),
 (8051,1,'Bibliografische Aufnahme',6,'2009-06-04 11:22:40',10489),
 (8052,1,'Bibliografische Aufnahme',7,'2009-06-04 11:22:40',10489),
 (8053,2,'Scannen',6,'2009-06-05 17:23:36',10489),
 (8054,2,'Scannen',7,'2009-06-04 11:22:40',10489),
 (8055,3,'Qualitätskontrolle',6,'2009-06-08 15:04:16',10489),
 (8056,3,'Qualitätskontrolle',7,'2009-06-05 17:23:36',10489),
 (8057,4,'Imagenachbearbeitung',6,'2009-06-08 15:53:59',10489),
 (8058,4,'Imagenachbearbeitung',7,'2009-06-08 15:04:16',10489),
 (8059,5,'Struktur- und Metadaten',6,'2009-06-08 16:49:42',10489),
 (8060,5,'Struktur- und Metadaten',7,'2009-06-08 15:53:59',10489),
 (8061,1,'Bibliografische Aufnahme',6,'2009-06-04 11:19:45',10488),
 (8062,1,'Bibliografische Aufnahme',7,'2009-06-04 11:19:45',10488),
 (8063,2,'Scannen',6,'2009-06-05 17:39:52',10488),
 (8064,2,'Scannen',7,'2009-06-04 11:19:45',10488),
 (8065,3,'Qualitätskontrolle',6,'2009-06-08 14:49:19',10488),
 (8066,3,'Qualitätskontrolle',7,'2009-06-05 17:39:52',10488),
 (8067,4,'Imagenachbearbeitung',6,'2009-06-09 08:42:05',10488),
 (8068,4,'Imagenachbearbeitung',7,'2009-06-08 14:49:19',10488),
 (8069,5,'Struktur- und Metadaten',6,'2009-06-10 08:32:50',10488),
 (8070,5,'Struktur- und Metadaten',7,'2009-06-09 08:42:05',10488),
 (8071,1,'Bibliografische Aufnahme',6,'2009-06-04 10:13:47',10486),
 (8072,1,'Bibliografische Aufnahme',7,'2009-06-04 10:13:47',10486),
 (8073,2,'Scannen',6,'2009-06-05 15:32:01',10486),
 (8074,2,'Scannen',7,'2009-06-04 10:13:47',10486),
 (8075,3,'Qualitätskontrolle',6,'2009-06-05 16:00:21',10486),
 (8076,3,'Qualitätskontrolle',7,'2009-06-05 15:32:01',10486),
 (8077,4,'Imagenachbearbeitung',6,'2009-06-05 18:47:04',10486),
 (8078,4,'Imagenachbearbeitung',7,'2009-06-05 16:00:21',10486),
 (8079,1,'Bibliografische Aufnahme',6,'2009-06-04 09:48:05',10482),
 (8080,1,'Bibliografische Aufnahme',7,'2009-06-04 09:48:05',10482),
 (8081,2,'Scannen',6,'2009-06-05 17:55:47',10482),
 (8082,2,'Scannen',9,'2009-06-08 09:26:26',10482),
 (8083,2,'Scannen',7,'2009-06-04 09:48:05',10482),
 (8084,3,'Qualitätskontrolle',6,'2009-06-08 10:22:41',10482),
 (8085,3,'Qualitätskontrolle',9,'2009-06-08 10:22:41',10482),
 (8086,3,'Qualitätskontrolle',7,'2009-06-05 17:55:47',10482),
 (8087,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:19',10482),
 (8088,4,'Imagenachbearbeitung',9,'2009-06-08 13:15:19',10482),
 (8089,4,'Imagenachbearbeitung',7,'2009-06-08 10:22:41',10482),
 (8090,5,'Struktur- und Metadaten',6,'2009-06-09 17:04:11',10482),
 (8091,5,'Struktur- und Metadaten',7,'2009-06-08 13:15:19',10482),
 (8092,1,'Bibliografische Aufnahme',6,'2009-06-04 09:40:58',10481),
 (8093,1,'Bibliografische Aufnahme',7,'2009-06-04 09:40:58',10481),
 (8094,2,'Scannen',6,'2009-06-05 15:43:34',10481),
 (8095,2,'Scannen',9,'2009-06-05 15:43:34',10481),
 (8096,2,'Scannen',7,'2009-06-04 09:40:58',10481),
 (8097,3,'Qualitätskontrolle',6,'2009-06-05 16:27:43',10481),
 (8098,3,'Qualitätskontrolle',9,'2009-06-05 16:27:43',10481),
 (8099,3,'Qualitätskontrolle',7,'2009-06-05 15:43:34',10481),
 (8100,4,'Imagenachbearbeitung',6,'2009-06-05 19:39:30',10481),
 (8101,4,'Imagenachbearbeitung',7,'2009-06-05 16:27:43',10481),
 (8102,5,'Struktur- und Metadaten',6,'2009-06-08 15:22:32',10481),
 (8103,5,'Struktur- und Metadaten',7,'2009-06-05 19:39:30',10481),
 (8104,1,'Bibliografische Aufnahme',6,'2009-06-04 09:40:45',10480),
 (8105,1,'Bibliografische Aufnahme',7,'2009-06-04 09:40:45',10480),
 (8106,2,'Scannen',6,'2009-06-05 09:59:28',10480),
 (8107,2,'Scannen',7,'2009-06-04 09:40:45',10480),
 (8108,3,'Qualitätskontrolle',6,'2009-06-08 10:29:42',10480),
 (8109,3,'Qualitätskontrolle',7,'2009-06-05 09:59:28',10480),
 (8110,4,'Imagenachbearbeitung',6,'2009-06-08 11:20:17',10480),
 (8111,4,'Imagenachbearbeitung',7,'2009-06-08 10:29:42',10480),
 (8112,5,'Struktur- und Metadaten',6,'2009-06-09 15:34:29',10480),
 (8113,5,'Struktur- und Metadaten',7,'2009-06-08 11:20:17',10480),
 (8114,1,'Bibliografische Aufnahme',6,'2009-06-04 09:33:35',10479),
 (8115,1,'Bibliografische Aufnahme',7,'2009-06-04 09:33:35',10479),
 (8116,2,'Scannen',6,'2009-06-05 12:26:20',10479),
 (8117,2,'Scannen',7,'2009-06-04 09:33:35',10479),
 (8118,3,'Qualitätskontrolle',6,'2009-06-05 12:37:11',10479),
 (8119,3,'Qualitätskontrolle',7,'2009-06-05 12:26:20',10479),
 (8120,4,'Imagenachbearbeitung',6,'2009-06-05 19:24:02',10479),
 (8121,4,'Imagenachbearbeitung',7,'2009-06-05 12:37:11',10479),
 (8122,1,'Bibliografische Aufnahme',6,'2009-06-04 09:26:43',10478),
 (8123,1,'Bibliografische Aufnahme',7,'2009-06-04 09:26:43',10478),
 (8124,2,'Scannen',6,'2009-06-08 19:40:04',10478),
 (8125,2,'Scannen',7,'2009-06-04 09:26:43',10478),
 (8126,3,'Qualitätskontrolle',6,'2009-06-09 08:58:21',10478),
 (8127,3,'Qualitätskontrolle',7,'2009-06-08 19:40:04',10478),
 (8128,4,'Imagenachbearbeitung',6,'2009-06-09 14:06:06',10478),
 (8129,4,'Imagenachbearbeitung',7,'2009-06-09 08:58:21',10478),
 (8130,5,'Struktur- und Metadaten',6,'2009-06-10 10:47:10',10478),
 (8131,5,'Struktur- und Metadaten',7,'2009-06-09 14:06:06',10478),
 (8132,1,'Bibliografische Aufnahme',6,'2009-06-04 09:18:28',10477),
 (8133,1,'Bibliografische Aufnahme',7,'2009-06-04 09:18:28',10477),
 (8134,2,'Scannen',6,'2009-06-05 14:48:37',10477),
 (8135,2,'Scannen',7,'2009-06-04 09:18:28',10477),
 (8136,3,'Qualitätskontrolle',6,'2009-06-05 16:33:13',10477),
 (8137,3,'Qualitätskontrolle',7,'2009-06-05 14:48:37',10477),
 (8138,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:11',10477),
 (8139,4,'Imagenachbearbeitung',7,'2009-06-05 16:33:13',10477),
 (8140,1,'Bibliografische Aufnahme',6,'2009-06-04 09:14:44',10475),
 (8141,1,'Bibliografische Aufnahme',7,'2009-06-04 09:14:44',10475),
 (8142,2,'Scannen',6,'2009-06-05 13:07:14',10475),
 (8143,2,'Scannen',7,'2009-06-04 09:14:44',10475),
 (8144,3,'Qualitätskontrolle',6,'2009-06-05 15:26:38',10475),
 (8145,3,'Qualitätskontrolle',7,'2009-06-05 13:07:14',10475),
 (8146,4,'Imagenachbearbeitung',6,'2009-06-05 16:02:37',10475),
 (8147,4,'Imagenachbearbeitung',7,'2009-06-05 15:26:38',10475),
 (8148,5,'Struktur- und Metadaten',6,'2009-06-08 14:01:06',10475),
 (8149,5,'Struktur- und Metadaten',7,'2009-06-05 16:02:37',10475),
 (8150,1,'Bibliografische Aufnahme',6,'2009-06-04 09:13:25',10474),
 (8151,1,'Bibliografische Aufnahme',7,'2009-06-04 09:13:25',10474),
 (8152,2,'Scannen',6,'2009-06-05 14:55:55',10474),
 (8153,2,'Scannen',7,'2009-06-04 09:13:25',10474),
 (8154,3,'Qualitätskontrolle',6,'2009-06-08 09:00:16',10474),
 (8155,3,'Qualitätskontrolle',7,'2009-06-05 14:55:55',10474),
 (8156,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:18',10474),
 (8157,4,'Imagenachbearbeitung',7,'2009-06-08 09:00:16',10474),
 (8158,5,'Struktur- und Metadaten',6,'2009-06-09 15:46:06',10474),
 (8159,5,'Struktur- und Metadaten',7,'2009-06-08 13:15:18',10474),
 (8160,1,'Bibliografische Aufnahme',6,'2009-06-04 09:07:35',10473),
 (8161,1,'Bibliografische Aufnahme',7,'2009-06-04 09:07:35',10473),
 (8162,2,'Scannen',6,'2009-06-05 14:02:07',10473),
 (8163,2,'Scannen',7,'2009-06-04 09:07:35',10473),
 (8164,3,'Qualitätskontrolle',6,'2009-06-05 18:23:42',10473),
 (8165,3,'Qualitätskontrolle',7,'2009-06-05 14:02:07',10473),
 (8166,4,'Imagenachbearbeitung',6,'2009-06-08 14:03:56',10473),
 (8167,4,'Imagenachbearbeitung',7,'2009-06-05 18:23:42',10473),
 (8168,1,'Bibliografische Aufnahme',6,'2009-06-04 09:05:29',10472),
 (8169,1,'Bibliografische Aufnahme',7,'2009-06-04 09:05:29',10472),
 (8170,2,'Scannen',6,'2009-06-05 12:48:33',10472),
 (8171,2,'Scannen',7,'2009-06-04 09:05:29',10472),
 (8172,3,'Qualitätskontrolle',6,'2009-06-05 15:42:08',10472),
 (8173,3,'Qualitätskontrolle',7,'2009-06-05 12:48:33',10472),
 (8174,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:15',10472),
 (8175,4,'Imagenachbearbeitung',7,'2009-06-05 15:42:08',10472),
 (8176,5,'Struktur- und Metadaten',6,'2009-06-09 13:06:27',10472),
 (8177,5,'Struktur- und Metadaten',7,'2009-06-08 14:04:15',10472),
 (8178,1,'Bibliografische Aufnahme',6,'2009-06-04 08:52:06',10471),
 (8179,1,'Bibliografische Aufnahme',7,'2009-06-04 08:52:06',10471),
 (8180,2,'Scannen',6,'2009-06-05 12:05:38',10471),
 (8181,2,'Scannen',7,'2009-06-04 08:52:06',10471),
 (8182,3,'Qualitätskontrolle',6,'2009-06-05 12:54:56',10471),
 (8183,3,'Qualitätskontrolle',7,'2009-06-05 12:05:38',10471),
 (8184,4,'Imagenachbearbeitung',6,'2009-06-05 16:59:19',10471),
 (8185,4,'Imagenachbearbeitung',7,'2009-06-05 12:54:56',10471),
 (8186,1,'Bibliografische Aufnahme',6,'2009-06-03 16:25:15',10470),
 (8187,1,'Bibliografische Aufnahme',7,'2009-06-03 16:25:15',10470),
 (8188,2,'Scannen',6,'2009-06-08 10:01:20',10470),
 (8189,2,'Scannen',9,'2009-06-09 12:56:06',10470),
 (8190,2,'Scannen',7,'2009-06-03 16:25:15',10470),
 (8191,3,'Qualitätskontrolle',6,'2009-06-08 10:03:42',10470),
 (8192,3,'Qualitätskontrolle',9,'2009-06-09 13:25:26',10470),
 (8193,3,'Qualitätskontrolle',7,'2009-06-08 10:01:20',10470),
 (8194,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:20',10470),
 (8195,4,'Imagenachbearbeitung',9,'2009-06-09 14:05:54',10470),
 (8196,4,'Imagenachbearbeitung',7,'2009-06-08 10:03:42',10470),
 (8197,5,'Struktur- und Metadaten',7,'2009-06-08 17:05:06',10470),
 (8198,5,'Struktur- und Metadaten',9,'2009-06-08 17:05:06',10470),
 (8199,1,'Bibliografische Aufnahme',6,'2009-06-03 16:18:26',10469),
 (8200,1,'Bibliografische Aufnahme',7,'2009-06-03 16:18:26',10469),
 (8201,1,'Bibliografische Aufnahme',6,'2009-06-03 16:01:50',10468),
 (8202,1,'Bibliografische Aufnahme',7,'2009-06-03 16:01:50',10468),
 (8203,2,'Scannen',6,'2009-06-08 11:13:28',10468),
 (8204,2,'Scannen',7,'2009-06-03 16:01:50',10468),
 (8205,3,'Qualitätskontrolle',6,'2009-06-08 14:18:13',10468),
 (8206,3,'Qualitätskontrolle',7,'2009-06-08 11:13:28',10468),
 (8207,4,'Imagenachbearbeitung',6,'2009-06-08 15:30:57',10468),
 (8208,4,'Imagenachbearbeitung',7,'2009-06-08 14:18:13',10468),
 (8209,5,'Struktur- und Metadaten',6,'2009-06-08 16:28:40',10468),
 (8210,5,'Struktur- und Metadaten',7,'2009-06-08 15:30:57',10468),
 (8211,1,'Bibliografische Aufnahme',6,'2009-06-03 15:55:45',10467),
 (8212,1,'Bibliografische Aufnahme',7,'2009-06-03 15:55:45',10467),
 (8213,2,'Scannen',6,'2009-06-08 09:32:19',10467),
 (8214,2,'Scannen',9,'2009-06-10 06:15:04',10467),
 (8215,2,'Scannen',7,'2009-06-03 15:55:45',10467),
 (8216,3,'Qualitätskontrolle',9,'2009-06-08 13:05:46',10467),
 (8217,1,'Bibliografische Aufnahme',6,'2009-06-03 15:41:39',10466),
 (8218,1,'Bibliografische Aufnahme',7,'2009-06-03 15:41:39',10466),
 (8219,2,'Scannen',6,'2009-06-09 17:11:32',10466),
 (8220,2,'Scannen',9,'2009-06-09 17:11:32',10466),
 (8221,2,'Scannen',7,'2009-06-03 15:41:39',10466),
 (8222,3,'Qualitätskontrolle',6,'2009-06-09 18:10:53',10466),
 (8223,3,'Qualitätskontrolle',9,'2009-06-09 18:10:53',10466),
 (8224,3,'Qualitätskontrolle',7,'2009-06-09 17:11:32',10466),
 (8225,4,'Imagenachbearbeitung',6,'2009-06-10 10:49:28',10466),
 (8226,4,'Imagenachbearbeitung',7,'2009-06-09 18:10:53',10466),
 (8227,1,'Bibliografische Aufnahme',6,'2009-06-03 15:35:59',10465),
 (8228,1,'Bibliografische Aufnahme',7,'2009-06-03 15:35:59',10465),
 (8231,1,'Bibliografische Aufnahme',6,'2009-06-03 12:48:15',10460),
 (8232,1,'Bibliografische Aufnahme',7,'2009-06-03 12:48:15',10460),
 (8233,2,'Scannen',6,'2009-06-05 16:40:44',10460),
 (8234,2,'Scannen',9,'2009-06-08 15:35:09',10460),
 (8235,2,'Scannen',7,'2009-06-03 12:48:15',10460),
 (8236,3,'Qualitätskontrolle',6,'2009-06-08 16:48:00',10460),
 (8237,3,'Qualitätskontrolle',9,'2009-06-08 16:48:00',10460),
 (8238,3,'Qualitätskontrolle',7,'2009-06-05 16:40:44',10460),
 (8239,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:33',10460),
 (8240,4,'Imagenachbearbeitung',7,'2009-06-08 16:48:00',10460),
 (8241,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:33',10460),
 (8242,1,'Bibliografische Aufnahme',6,'2009-06-03 12:39:27',10459),
 (8243,1,'Bibliografische Aufnahme',7,'2009-06-03 12:39:27',10459),
 (8244,2,'Scannen',6,'2009-06-08 07:53:29',10459),
 (8245,2,'Scannen',7,'2009-06-03 12:39:27',10459),
 (8246,3,'Qualitätskontrolle',6,'2009-06-08 09:06:55',10459),
 (8247,3,'Qualitätskontrolle',7,'2009-06-08 07:53:29',10459),
 (8248,4,'Imagenachbearbeitung',6,'2009-06-08 11:20:15',10459),
 (8249,4,'Imagenachbearbeitung',7,'2009-06-08 09:06:55',10459),
 (8250,1,'Bibliografische Aufnahme',6,'2009-06-03 12:10:21',10458),
 (8251,1,'Bibliografische Aufnahme',7,'2009-06-03 12:10:21',10458),
 (8252,2,'Scannen',6,'2009-06-05 15:22:01',10458),
 (8253,2,'Scannen',7,'2009-06-03 12:10:21',10458),
 (8254,3,'Qualitätskontrolle',6,'2009-06-08 11:21:42',10458),
 (8255,3,'Qualitätskontrolle',7,'2009-06-05 15:22:01',10458),
 (8256,4,'Imagenachbearbeitung',6,'2009-06-08 13:45:52',10458),
 (8257,4,'Imagenachbearbeitung',7,'2009-06-08 11:21:42',10458),
 (8258,1,'Bibliografische Aufnahme',6,'2009-06-03 11:50:33',10456),
 (8259,1,'Bibliografische Aufnahme',7,'2009-06-03 11:50:33',10456),
 (8260,2,'Scannen',6,'2009-06-05 18:04:42',10456),
 (8261,2,'Scannen',9,'2009-06-08 10:31:19',10456),
 (8262,2,'Scannen',7,'2009-06-03 11:50:33',10456),
 (8263,3,'Qualitätskontrolle',6,'2009-06-09 16:18:01',10456),
 (8264,3,'Qualitätskontrolle',9,'2009-06-09 16:18:01',10456),
 (8265,3,'Qualitätskontrolle',7,'2009-06-05 18:04:42',10456),
 (8266,1,'Bibliografische Aufnahme',6,'2009-06-03 11:33:06',10453),
 (8267,1,'Bibliografische Aufnahme',7,'2009-06-03 11:33:06',10453),
 (8268,2,'Scannen',6,'2009-06-04 13:35:52',10453),
 (8269,2,'Scannen',7,'2009-06-03 11:33:06',10453),
 (8270,3,'Qualitätskontrolle',6,'2009-06-04 14:50:02',10453),
 (8271,3,'Qualitätskontrolle',7,'2009-06-04 13:35:52',10453),
 (8272,4,'Imagenachbearbeitung',6,'2009-06-04 17:02:32',10453),
 (8273,4,'Imagenachbearbeitung',7,'2009-06-04 14:50:02',10453),
 (8274,5,'Struktur- und Metadaten',7,'2009-06-08 07:44:13',10453),
 (8275,1,'Bibliografische Aufnahme',6,'2009-06-03 11:26:23',10452),
 (8276,1,'Bibliografische Aufnahme',7,'2009-06-03 11:26:23',10452),
 (8277,2,'Scannen',6,'2009-06-04 15:03:07',10452),
 (8278,2,'Scannen',9,'2009-06-04 15:55:10',10452),
 (8279,2,'Scannen',7,'2009-06-03 11:26:23',10452),
 (8280,3,'Qualitätskontrolle',6,'2009-06-04 16:26:58',10452),
 (8281,3,'Qualitätskontrolle',9,'2009-06-04 16:26:58',10452),
 (8282,3,'Qualitätskontrolle',7,'2009-06-04 15:03:07',10452),
 (8283,4,'Imagenachbearbeitung',6,'2009-06-04 17:35:55',10452),
 (8284,4,'Imagenachbearbeitung',7,'2009-06-04 16:26:58',10452),
 (8285,5,'Struktur- und Metadaten',6,'2009-06-05 09:08:20',10452),
 (8286,5,'Struktur- und Metadaten',7,'2009-06-04 17:35:55',10452),
 (8287,1,'Bibliografische Aufnahme',6,'2009-06-03 11:18:30',10451),
 (8288,1,'Bibliografische Aufnahme',7,'2009-06-03 11:18:30',10451),
 (8289,2,'Scannen',6,'2009-06-08 13:18:34',10451),
 (8290,2,'Scannen',7,'2009-06-03 11:18:30',10451),
 (8291,3,'Qualitätskontrolle',6,'2009-06-08 16:15:57',10451),
 (8292,3,'Qualitätskontrolle',7,'2009-06-08 13:18:34',10451),
 (8293,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:07',10451),
 (8294,4,'Imagenachbearbeitung',7,'2009-06-08 16:15:57',10451),
 (8295,1,'Bibliografische Aufnahme',6,'2009-06-03 11:11:06',10450),
 (8296,1,'Bibliografische Aufnahme',7,'2009-06-03 11:11:06',10450),
 (8297,2,'Scannen',6,'2009-06-05 10:27:23',10450),
 (8298,2,'Scannen',7,'2009-06-03 11:11:06',10450),
 (8299,3,'Qualitätskontrolle',6,'2009-06-05 18:31:57',10450),
 (8300,3,'Qualitätskontrolle',7,'2009-06-05 10:27:23',10450),
 (8301,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:31',10450),
 (8302,4,'Imagenachbearbeitung',7,'2009-06-05 18:31:57',10450),
 (8303,1,'Bibliografische Aufnahme',6,'2009-06-03 11:07:07',10449),
 (8304,1,'Bibliografische Aufnahme',7,'2009-06-03 11:07:07',10449),
 (8305,2,'Scannen',6,'2009-06-04 08:54:36',10449),
 (8306,2,'Scannen',7,'2009-06-03 11:07:07',10449),
 (8307,3,'Qualitätskontrolle',6,'2009-06-04 09:23:12',10449),
 (8308,3,'Qualitätskontrolle',7,'2009-06-04 08:54:36',10449),
 (8309,4,'Imagenachbearbeitung',6,'2009-06-04 09:51:31',10449),
 (8310,4,'Imagenachbearbeitung',7,'2009-06-04 09:23:12',10449),
 (8311,5,'Struktur- und Metadaten',6,'2009-06-04 18:43:17',10449),
 (8312,5,'Struktur- und Metadaten',7,'2009-06-04 09:51:31',10449),
 (8313,1,'Bibliografische Aufnahme',6,'2009-06-03 11:00:48',10448),
 (8314,1,'Bibliografische Aufnahme',7,'2009-06-03 11:00:48',10448),
 (8315,2,'Scannen',6,'2009-06-05 08:16:05',10448),
 (8316,2,'Scannen',7,'2009-06-03 11:00:48',10448),
 (8317,3,'Qualitätskontrolle',6,'2009-06-05 08:35:25',10448),
 (8318,3,'Qualitätskontrolle',7,'2009-06-05 08:16:05',10448),
 (8319,4,'Imagenachbearbeitung',6,'2009-06-05 09:48:21',10448),
 (8320,4,'Imagenachbearbeitung',7,'2009-06-05 08:35:25',10448),
 (8321,1,'Bibliografische Aufnahme',6,'2009-06-03 10:58:31',10447),
 (8322,1,'Bibliografische Aufnahme',7,'2009-06-03 10:58:31',10447),
 (8323,2,'Scannen',6,'2009-06-09 14:54:28',10447),
 (8324,2,'Scannen',9,'2009-06-09 14:54:28',10447),
 (8325,2,'Scannen',7,'2009-06-03 10:58:31',10447),
 (8326,3,'Qualitätskontrolle',6,'2009-06-09 16:38:55',10447),
 (8327,3,'Qualitätskontrolle',9,'2009-06-09 16:38:55',10447),
 (8328,3,'Qualitätskontrolle',7,'2009-06-09 14:54:28',10447),
 (8329,4,'Imagenachbearbeitung',6,'2009-06-10 11:01:08',10447),
 (8330,4,'Imagenachbearbeitung',7,'2009-06-09 16:38:55',10447),
 (8331,1,'Bibliografische Aufnahme',6,'2009-06-03 10:56:27',10446),
 (8332,1,'Bibliografische Aufnahme',7,'2009-06-03 10:56:27',10446),
 (8333,2,'Scannen',6,'2009-06-08 09:15:17',10446),
 (8334,2,'Scannen',9,'2009-06-08 09:15:17',10446),
 (8335,2,'Scannen',7,'2009-06-03 10:56:27',10446),
 (8336,3,'Qualitätskontrolle',6,'2009-06-08 10:20:24',10446),
 (8337,3,'Qualitätskontrolle',9,'2009-06-08 10:20:24',10446),
 (8338,3,'Qualitätskontrolle',7,'2009-06-08 09:15:17',10446),
 (8339,4,'Imagenachbearbeitung',6,'2009-06-08 13:15:19',10446),
 (8340,4,'Imagenachbearbeitung',7,'2009-06-08 10:20:24',10446),
 (8341,5,'Struktur- und Metadaten',6,'2009-06-09 16:15:59',10446),
 (8342,5,'Struktur- und Metadaten',7,'2009-06-08 13:15:19',10446),
 (8343,1,'Bibliografische Aufnahme',6,'2009-06-03 10:49:11',10445),
 (8344,1,'Bibliografische Aufnahme',7,'2009-06-03 10:49:11',10445),
 (8345,2,'Scannen',6,'2009-06-04 14:05:24',10445),
 (8346,2,'Scannen',7,'2009-06-03 10:49:11',10445),
 (8347,3,'Qualitätskontrolle',6,'2009-06-04 15:53:16',10445),
 (8348,3,'Qualitätskontrolle',7,'2009-06-04 14:05:24',10445),
 (8349,4,'Imagenachbearbeitung',6,'2009-06-04 18:16:51',10445),
 (8350,4,'Imagenachbearbeitung',7,'2009-06-04 15:53:16',10445),
 (8351,5,'Struktur- und Metadaten',6,'2009-06-05 13:16:43',10445),
 (8352,5,'Struktur- und Metadaten',7,'2009-06-04 18:16:51',10445),
 (8353,1,'Bibliografische Aufnahme',6,'2009-06-03 10:33:52',10442),
 (8354,1,'Bibliografische Aufnahme',7,'2009-06-03 10:33:52',10442),
 (8355,2,'Scannen',6,'2009-06-05 09:25:13',10442),
 (8356,2,'Scannen',7,'2009-06-03 10:33:52',10442),
 (8357,3,'Qualitätskontrolle',6,'2009-06-05 10:00:14',10442),
 (8358,3,'Qualitätskontrolle',7,'2009-06-05 09:25:13',10442),
 (8359,4,'Imagenachbearbeitung',6,'2009-06-05 13:04:56',10442),
 (8360,4,'Imagenachbearbeitung',7,'2009-06-05 10:00:14',10442),
 (8361,5,'Struktur- und Metadaten',6,'2009-06-09 11:34:10',10442),
 (8362,5,'Struktur- und Metadaten',7,'2009-06-05 13:04:56',10442),
 (8363,1,'Bibliografische Aufnahme',6,'2009-06-03 10:28:58',10439),
 (8364,1,'Bibliografische Aufnahme',7,'2009-06-03 10:28:58',10439);
INSERT INTO `history` (`historyid`,`numericvalue`,`stringvalue`,`type`,`date`,`processID`) VALUES 
 (8365,2,'Scannen',6,'2009-06-04 14:43:06',10439),
 (8366,2,'Scannen',7,'2009-06-03 10:28:58',10439),
 (8367,3,'Qualitätskontrolle',6,'2009-06-04 16:48:06',10439),
 (8368,3,'Qualitätskontrolle',7,'2009-06-04 14:43:06',10439),
 (8369,4,'Imagenachbearbeitung',6,'2009-06-05 13:00:51',10439),
 (8370,4,'Imagenachbearbeitung',7,'2009-06-04 16:48:06',10439),
 (8371,5,'Struktur- und Metadaten',6,'2009-06-08 16:30:40',10439),
 (8372,5,'Struktur- und Metadaten',7,'2009-06-05 13:00:51',10439),
 (8373,1,'Bibliografische Aufnahme',6,'2009-06-03 10:10:48',10438),
 (8374,1,'Bibliografische Aufnahme',7,'2009-06-03 10:10:48',10438),
 (8375,2,'Scannen',6,'2009-06-05 08:49:03',10438),
 (8376,2,'Scannen',7,'2009-06-03 10:10:48',10438),
 (8377,3,'Qualitätskontrolle',6,'2009-06-05 09:15:41',10438),
 (8378,3,'Qualitätskontrolle',7,'2009-06-05 08:49:03',10438),
 (8379,4,'Imagenachbearbeitung',6,'2009-06-05 16:02:37',10438),
 (8380,4,'Imagenachbearbeitung',7,'2009-06-05 09:15:41',10438),
 (8381,5,'Struktur- und Metadaten',6,'2009-06-09 12:00:03',10438),
 (8382,5,'Struktur- und Metadaten',7,'2009-06-05 16:02:37',10438),
 (8383,1,'Bibliografische Aufnahme',6,'2009-06-03 10:04:31',10437),
 (8384,1,'Bibliografische Aufnahme',7,'2009-06-03 10:04:31',10437),
 (8385,2,'Scannen',6,'2009-06-08 13:07:59',10437),
 (8386,2,'Scannen',7,'2009-06-03 10:04:31',10437),
 (8387,3,'Qualitätskontrolle',6,'2009-06-08 17:18:04',10437),
 (8388,3,'Qualitätskontrolle',7,'2009-06-08 13:07:59',10437),
 (8389,4,'Imagenachbearbeitung',6,'2009-06-09 18:07:37',10437),
 (8390,4,'Imagenachbearbeitung',7,'2009-06-08 17:18:04',10437),
 (8391,5,'Struktur- und Metadaten',7,'2009-06-09 18:07:37',10437),
 (8392,1,'Bibliografische Aufnahme',6,'2009-06-03 08:20:58',10435),
 (8393,1,'Bibliografische Aufnahme',7,'2009-06-03 08:20:58',10435),
 (8394,2,'Scannen',6,'2009-06-05 10:49:25',10435),
 (8395,2,'Scannen',7,'2009-06-03 08:20:58',10435),
 (8396,3,'Qualitätskontrolle',6,'2009-06-05 12:20:35',10435),
 (8397,3,'Qualitätskontrolle',7,'2009-06-05 10:49:25',10435),
 (8398,4,'Imagenachbearbeitung',6,'2009-06-05 18:32:33',10435),
 (8399,4,'Imagenachbearbeitung',7,'2009-06-05 12:20:35',10435),
 (8400,5,'Struktur- und Metadaten',7,'2009-06-09 11:20:54',10435),
 (8401,1,'Bibliografische Aufnahme',6,'2009-06-03 08:18:14',10434),
 (8402,1,'Bibliografische Aufnahme',7,'2009-06-03 08:18:14',10434),
 (8403,2,'Scannen',6,'2009-06-04 15:42:33',10434),
 (8404,2,'Scannen',9,'2009-06-04 17:52:16',10434),
 (8405,2,'Scannen',7,'2009-06-03 08:18:14',10434),
 (8406,3,'Qualitätskontrolle',6,'2009-06-04 19:08:19',10434),
 (8407,3,'Qualitätskontrolle',9,'2009-06-04 19:08:19',10434),
 (8408,3,'Qualitätskontrolle',7,'2009-06-04 15:42:33',10434),
 (8409,4,'Imagenachbearbeitung',6,'2009-06-05 12:52:47',10434),
 (8410,4,'Imagenachbearbeitung',7,'2009-06-04 19:08:19',10434),
 (8411,5,'Struktur- und Metadaten',7,'2009-06-09 11:20:50',10434),
 (8412,1,'Bibliografische Aufnahme',6,'2009-06-02 17:19:11',10430),
 (8413,1,'Bibliografische Aufnahme',7,'2009-06-02 17:19:11',10430),
 (8414,2,'Scannen',6,'2009-06-05 09:04:54',10430),
 (8415,2,'Scannen',7,'2009-06-02 17:19:11',10430),
 (8416,3,'Qualitätskontrolle',6,'2009-06-05 11:57:55',10430),
 (8417,3,'Qualitätskontrolle',7,'2009-06-05 09:04:54',10430),
 (8418,4,'Imagenachbearbeitung',6,'2009-06-05 16:36:24',10430),
 (8419,4,'Imagenachbearbeitung',7,'2009-06-05 11:57:55',10430),
 (8420,5,'Struktur- und Metadaten',7,'2009-06-08 17:13:46',10430),
 (8421,1,'Bibliografische Aufnahme',6,'2009-06-02 16:49:02',10429),
 (8422,1,'Bibliografische Aufnahme',7,'2009-06-02 16:49:02',10429),
 (8423,2,'Scannen',6,'2009-06-08 06:51:18',10429),
 (8424,2,'Scannen',7,'2009-06-02 16:49:02',10429),
 (8425,3,'Qualitätskontrolle',6,'2009-06-08 12:04:42',10429),
 (8426,3,'Qualitätskontrolle',7,'2009-06-08 06:51:18',10429),
 (8427,4,'Imagenachbearbeitung',6,'2009-06-08 14:01:38',10429),
 (8428,4,'Imagenachbearbeitung',7,'2009-06-08 12:04:42',10429),
 (8429,5,'Struktur- und Metadaten',6,'2009-06-09 17:29:58',10429),
 (8430,5,'Struktur- und Metadaten',7,'2009-06-08 14:01:38',10429),
 (8431,1,'Bibliografische Aufnahme',6,'2009-06-02 16:20:12',10428),
 (8432,1,'Bibliografische Aufnahme',7,'2009-06-02 16:20:12',10428),
 (8433,2,'Scannen',6,'2009-06-09 11:56:56',10428),
 (8434,2,'Scannen',9,'2009-06-09 14:09:30',10428),
 (8435,2,'Scannen',7,'2009-06-02 16:20:12',10428),
 (8436,3,'Qualitätskontrolle',6,'2009-06-09 15:07:11',10428),
 (8437,3,'Qualitätskontrolle',9,'2009-06-09 15:07:11',10428),
 (8438,3,'Qualitätskontrolle',7,'2009-06-09 11:56:56',10428),
 (8439,4,'Imagenachbearbeitung',7,'2009-06-09 18:00:49',10428),
 (8440,1,'Bibliografische Aufnahme',6,'2009-06-02 16:14:21',10427),
 (8441,1,'Bibliografische Aufnahme',7,'2009-06-02 16:14:21',10427),
 (8442,2,'Scannen',6,'2009-06-05 09:32:30',10427),
 (8443,2,'Scannen',7,'2009-06-02 16:14:21',10427),
 (8444,3,'Qualitätskontrolle',6,'2009-06-05 11:50:14',10427),
 (8445,3,'Qualitätskontrolle',7,'2009-06-05 09:32:30',10427),
 (8446,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:22',10427),
 (8447,4,'Imagenachbearbeitung',7,'2009-06-05 11:50:14',10427),
 (8448,5,'Struktur- und Metadaten',7,'2009-06-08 17:11:54',10427),
 (8449,1,'Bibliografische Aufnahme',6,'2009-06-02 14:10:53',10421),
 (8450,1,'Bibliografische Aufnahme',7,'2009-06-02 14:10:53',10421),
 (8451,2,'Scannen',6,'2009-06-04 08:43:58',10421),
 (8452,2,'Scannen',7,'2009-06-02 14:10:53',10421),
 (8453,3,'Qualitätskontrolle',6,'2009-06-04 09:40:43',10421),
 (8454,3,'Qualitätskontrolle',7,'2009-06-04 08:43:58',10421),
 (8455,4,'Imagenachbearbeitung',6,'2009-06-04 10:53:55',10421),
 (8456,4,'Imagenachbearbeitung',7,'2009-06-04 09:40:43',10421),
 (8457,5,'Struktur- und Metadaten',6,'2009-06-09 13:57:58',10421),
 (8458,5,'Struktur- und Metadaten',7,'2009-06-04 10:53:55',10421),
 (8459,1,'Bibliografische Aufnahme',6,'2009-06-02 14:00:24',10418),
 (8460,1,'Bibliografische Aufnahme',7,'2009-06-02 14:00:24',10418),
 (8461,2,'Scannen',6,'2009-06-04 06:39:43',10418),
 (8462,2,'Scannen',7,'2009-06-02 14:00:24',10418),
 (8463,3,'Qualitätskontrolle',6,'2009-06-04 07:53:15',10418),
 (8464,3,'Qualitätskontrolle',7,'2009-06-04 06:39:43',10418),
 (8465,4,'Imagenachbearbeitung',6,'2009-06-04 09:10:46',10418),
 (8466,4,'Imagenachbearbeitung',7,'2009-06-04 07:53:15',10418),
 (8467,5,'Struktur- und Metadaten',6,'2009-06-08 15:34:07',10418),
 (8468,5,'Struktur- und Metadaten',7,'2009-06-04 09:10:46',10418),
 (8469,1,'Bibliografische Aufnahme',6,'2009-06-02 13:52:21',10415),
 (8470,1,'Bibliografische Aufnahme',7,'2009-06-02 13:52:21',10415),
 (8471,2,'Scannen',6,'2009-06-04 08:54:43',10415),
 (8472,2,'Scannen',7,'2009-06-02 13:52:21',10415),
 (8473,3,'Qualitätskontrolle',6,'2009-06-04 09:48:17',10415),
 (8474,3,'Qualitätskontrolle',7,'2009-06-04 08:54:43',10415),
 (8475,4,'Imagenachbearbeitung',6,'2009-06-04 10:58:38',10415),
 (8476,4,'Imagenachbearbeitung',7,'2009-06-04 09:48:17',10415),
 (8477,5,'Struktur- und Metadaten',6,'2009-06-08 15:26:38',10415),
 (8478,5,'Struktur- und Metadaten',7,'2009-06-04 10:58:38',10415),
 (8479,1,'Bibliografische Aufnahme',6,'2009-06-02 13:45:21',10413),
 (8480,1,'Bibliografische Aufnahme',7,'2009-06-02 13:45:21',10413),
 (8481,2,'Scannen',6,'2009-06-05 08:37:02',10413),
 (8482,2,'Scannen',7,'2009-06-02 13:45:21',10413),
 (8483,3,'Qualitätskontrolle',6,'2009-06-05 09:06:33',10413),
 (8484,3,'Qualitätskontrolle',7,'2009-06-05 08:37:02',10413),
 (8485,4,'Imagenachbearbeitung',6,'2009-06-05 15:30:31',10413),
 (8486,4,'Imagenachbearbeitung',7,'2009-06-05 09:06:33',10413),
 (8487,5,'Struktur- und Metadaten',6,'2009-06-08 14:21:17',10413),
 (8488,5,'Struktur- und Metadaten',7,'2009-06-05 15:30:31',10413),
 (8489,1,'Bibliografische Aufnahme',6,'2009-06-02 13:38:06',10412),
 (8490,1,'Bibliografische Aufnahme',7,'2009-06-02 13:38:06',10412),
 (8491,2,'Scannen',6,'2009-06-05 07:34:45',10412),
 (8492,2,'Scannen',7,'2009-06-02 13:38:06',10412),
 (8493,3,'Qualitätskontrolle',6,'2009-06-05 09:24:28',10412),
 (8494,3,'Qualitätskontrolle',7,'2009-06-05 07:34:45',10412),
 (8495,4,'Imagenachbearbeitung',6,'2009-06-05 14:29:29',10412),
 (8496,4,'Imagenachbearbeitung',7,'2009-06-05 09:24:28',10412),
 (8497,5,'Struktur- und Metadaten',6,'2009-06-09 11:13:33',10412),
 (8498,5,'Struktur- und Metadaten',7,'2009-06-05 14:29:29',10412),
 (8499,1,'Bibliografische Aufnahme',6,'2009-06-02 12:58:19',10407),
 (8500,1,'Bibliografische Aufnahme',7,'2009-06-02 12:58:19',10407),
 (8501,2,'Scannen',6,'2009-06-05 09:58:42',10407),
 (8502,2,'Scannen',7,'2009-06-02 12:58:19',10407),
 (8503,3,'Qualitätskontrolle',6,'2009-06-05 11:19:28',10407),
 (8504,3,'Qualitätskontrolle',7,'2009-06-05 09:58:42',10407),
 (8505,4,'Imagenachbearbeitung',6,'2009-06-05 16:41:48',10407),
 (8506,4,'Imagenachbearbeitung',7,'2009-06-05 11:19:28',10407),
 (8507,5,'Struktur- und Metadaten',6,'2009-06-08 15:54:39',10407),
 (8508,5,'Struktur- und Metadaten',7,'2009-06-05 16:41:48',10407),
 (8509,1,'Bibliografische Aufnahme',6,'2009-06-02 12:48:00',10406),
 (8510,1,'Bibliografische Aufnahme',7,'2009-06-02 12:48:00',10406),
 (8511,2,'Scannen',7,'2009-06-09 10:04:23',10406),
 (8512,2,'Scannen',6,'2009-06-04 18:52:59',10406),
 (8513,2,'Scannen',9,'2009-06-09 10:04:23',10406),
 (8514,3,'Qualitätskontrolle',6,'2009-06-05 10:35:22',10406),
 (8515,3,'Qualitätskontrolle',9,'2009-06-09 10:58:54',10406),
 (8516,3,'Qualitätskontrolle',7,'2009-06-04 18:52:59',10406),
 (8517,4,'Imagenachbearbeitung',6,'2009-06-05 16:55:16',10406),
 (8518,4,'Imagenachbearbeitung',9,'2009-06-09 18:07:44',10406),
 (8519,4,'Imagenachbearbeitung',7,'2009-06-05 10:35:22',10406),
 (8520,5,'Struktur- und Metadaten',9,'2009-06-10 09:32:13',10406),
 (8521,1,'Bibliografische Aufnahme',6,'2009-06-02 12:38:01',10405),
 (8522,1,'Bibliografische Aufnahme',7,'2009-06-02 12:38:01',10405),
 (8523,2,'Scannen',6,'2009-06-05 11:14:06',10405),
 (8524,2,'Scannen',7,'2009-06-02 12:38:01',10405),
 (8525,3,'Qualitätskontrolle',6,'2009-06-05 13:23:16',10405),
 (8526,3,'Qualitätskontrolle',7,'2009-06-05 11:14:06',10405),
 (8527,4,'Imagenachbearbeitung',6,'2009-06-05 15:06:27',10405),
 (8528,4,'Imagenachbearbeitung',7,'2009-06-05 13:23:16',10405),
 (8529,5,'Struktur- und Metadaten',6,'2009-06-08 15:40:12',10405),
 (8530,5,'Struktur- und Metadaten',7,'2009-06-05 15:06:27',10405),
 (8531,1,'Bibliografische Aufnahme',6,'2009-06-02 12:26:42',10404),
 (8532,1,'Bibliografische Aufnahme',7,'2009-06-02 12:26:42',10404),
 (8533,2,'Scannen',6,'2009-06-05 13:04:27',10404),
 (8534,2,'Scannen',7,'2009-06-02 12:26:42',10404),
 (8535,3,'Qualitätskontrolle',6,'2009-06-08 10:28:05',10404),
 (8536,3,'Qualitätskontrolle',7,'2009-06-05 13:04:27',10404),
 (8537,4,'Imagenachbearbeitung',6,'2009-06-08 11:44:55',10404),
 (8538,4,'Imagenachbearbeitung',7,'2009-06-08 10:28:05',10404),
 (8539,1,'Bibliografische Aufnahme',6,'2009-06-02 12:16:56',10403),
 (8540,1,'Bibliografische Aufnahme',7,'2009-06-02 12:16:56',10403),
 (8541,2,'Scannen',6,'2009-06-08 13:58:39',10403),
 (8542,2,'Scannen',7,'2009-06-02 12:16:56',10403),
 (8543,3,'Qualitätskontrolle',6,'2009-06-08 15:34:04',10403),
 (8544,3,'Qualitätskontrolle',7,'2009-06-08 13:58:39',10403),
 (8545,4,'Imagenachbearbeitung',6,'2009-06-08 17:00:39',10403),
 (8546,4,'Imagenachbearbeitung',7,'2009-06-08 15:34:04',10403),
 (8547,5,'Struktur- und Metadaten',6,'2009-06-10 10:11:14',10403),
 (8548,5,'Struktur- und Metadaten',7,'2009-06-08 17:00:39',10403),
 (8549,1,'Bibliografische Aufnahme',6,'2009-06-02 12:10:01',10402),
 (8550,1,'Bibliografische Aufnahme',7,'2009-06-02 12:10:01',10402),
 (8551,2,'Scannen',6,'2009-06-08 12:34:16',10402),
 (8552,2,'Scannen',7,'2009-06-02 12:10:01',10402),
 (8553,3,'Qualitätskontrolle',6,'2009-06-08 15:34:21',10402),
 (8554,3,'Qualitätskontrolle',7,'2009-06-08 12:34:16',10402),
 (8555,4,'Imagenachbearbeitung',6,'2009-06-08 17:00:39',10402),
 (8556,4,'Imagenachbearbeitung',7,'2009-06-08 15:34:21',10402),
 (8557,5,'Struktur- und Metadaten',6,'2009-06-10 09:42:42',10402),
 (8558,5,'Struktur- und Metadaten',7,'2009-06-08 17:00:39',10402),
 (8559,1,'Bibliografische Aufnahme',6,'2009-06-02 11:48:53',10400),
 (8560,1,'Bibliografische Aufnahme',7,'2009-06-02 11:48:53',10400),
 (8561,2,'Scannen',6,'2009-06-05 07:42:02',10400),
 (8562,2,'Scannen',7,'2009-06-02 11:48:53',10400),
 (8563,3,'Qualitätskontrolle',6,'2009-06-05 09:16:43',10400),
 (8564,3,'Qualitätskontrolle',7,'2009-06-05 07:42:02',10400),
 (8565,4,'Imagenachbearbeitung',6,'2009-06-05 15:30:30',10400),
 (8566,4,'Imagenachbearbeitung',7,'2009-06-05 09:16:43',10400),
 (8567,5,'Struktur- und Metadaten',6,'2009-06-08 15:43:09',10400),
 (8568,5,'Struktur- und Metadaten',7,'2009-06-05 15:30:30',10400),
 (8569,1,'Bibliografische Aufnahme',6,'2009-06-02 11:47:06',10399),
 (8570,1,'Bibliografische Aufnahme',7,'2009-06-02 11:47:06',10399),
 (8571,2,'Scannen',6,'2009-06-04 18:47:00',10399),
 (8572,2,'Scannen',9,'2009-06-05 09:20:00',10399),
 (8573,2,'Scannen',7,'2009-06-02 11:47:06',10399),
 (8574,3,'Qualitätskontrolle',6,'2009-06-05 12:11:48',10399),
 (8575,3,'Qualitätskontrolle',9,'2009-06-05 12:11:48',10399),
 (8576,3,'Qualitätskontrolle',7,'2009-06-04 18:47:00',10399),
 (8577,4,'Imagenachbearbeitung',6,'2009-06-08 11:20:15',10399),
 (8578,4,'Imagenachbearbeitung',7,'2009-06-05 12:11:48',10399),
 (8579,5,'Struktur- und Metadaten',6,'2009-06-10 08:14:33',10399),
 (8580,5,'Struktur- und Metadaten',7,'2009-06-08 11:20:15',10399),
 (8581,1,'Bibliografische Aufnahme',6,'2009-06-02 11:42:44',10398),
 (8582,1,'Bibliografische Aufnahme',7,'2009-06-02 11:42:44',10398),
 (8583,2,'Scannen',6,'2009-06-05 15:41:43',10398),
 (8584,2,'Scannen',9,'2009-06-05 15:41:43',10398),
 (8585,2,'Scannen',7,'2009-06-02 11:42:44',10398),
 (8586,3,'Qualitätskontrolle',6,'2009-06-05 17:54:26',10398),
 (8587,3,'Qualitätskontrolle',9,'2009-06-05 17:54:26',10398),
 (8588,3,'Qualitätskontrolle',7,'2009-06-05 15:41:43',10398),
 (8589,4,'Imagenachbearbeitung',6,'2009-06-08 14:04:02',10398),
 (8590,4,'Imagenachbearbeitung',7,'2009-06-05 17:54:26',10398),
 (8591,5,'Struktur- und Metadaten',6,'2009-06-10 09:14:22',10398),
 (8592,5,'Struktur- und Metadaten',7,'2009-06-08 14:04:02',10398),
 (8611,2,'Scannen',6,'2009-05-28 11:23:32',10344),
 (8612,2,'Scannen',7,'2009-05-28 10:46:33',10344),
 (8613,3,'Qualitätskontrolle',6,'2009-05-28 11:59:32',10344),
 (8614,3,'Qualitätskontrolle',7,'2009-05-28 11:23:32',10344),
 (8615,4,'Imagenachbearbeitung',6,'2009-05-28 12:41:50',10344),
 (8616,4,'Imagenachbearbeitung',7,'2009-05-28 11:59:32',10344),
 (8617,5,'Struktur- und Metadaten',6,'2009-06-02 13:00:52',10344),
 (8618,5,'Struktur- und Metadaten',7,'2009-05-28 12:41:50',10344),
 (8619,7,'Archivierung',7,'2009-06-04 11:27:39',10344);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;


--
-- Definition of table `ldapgruppen`
--

DROP TABLE IF EXISTS `ldapgruppen`;
CREATE TABLE `ldapgruppen` (
  `ldapgruppenID` int(11) NOT NULL AUTO_INCREMENT,
  `titel` varchar(255) DEFAULT NULL,
  `usesShell` tinyint(1) DEFAULT NULL,
  `homeDir` varchar(255) DEFAULT NULL,
  `guid` varchar(255) DEFAULT NULL,
  `homeDirectory` varchar(255) DEFAULT NULL,
  `gidNumber` varchar(255) DEFAULT NULL,
  `userDN` varchar(255) DEFAULT NULL,
  `objectClasses` varchar(255) DEFAULT NULL,
  `sambaSID` varchar(255) DEFAULT NULL,
  `sn` varchar(255) DEFAULT NULL,
  `uid` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `displayName` varchar(255) DEFAULT NULL,
  `gecos` varchar(255) DEFAULT NULL,
  `loginShell` varchar(255) DEFAULT NULL,
  `sambaAcctFlags` varchar(255) DEFAULT NULL,
  `sambaLogonScript` varchar(255) DEFAULT NULL,
  `sambaPrimaryGroupSID` varchar(255) DEFAULT NULL,
  `sambaPwdMustChange` varchar(255) DEFAULT NULL,
  `sambaPasswordHistory` varchar(255) DEFAULT NULL,
  `sambaLogonHours` varchar(255) DEFAULT NULL,
  `sambaKickoffTime` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ldapgruppenID`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ldapgruppen`
--

/*!40000 ALTER TABLE `ldapgruppen` DISABLE KEYS */;
INSERT INTO `ldapgruppen` (`ldapgruppenID`,`titel`,`usesShell`,`homeDir`,`guid`,`homeDirectory`,`gidNumber`,`userDN`,`objectClasses`,`sambaSID`,`sn`,`uid`,`description`,`displayName`,`gecos`,`loginShell`,`sambaAcctFlags`,`sambaLogonScript`,`sambaPrimaryGroupSID`,`sambaPwdMustChange`,`sambaPasswordHistory`,`sambaLogonHours`,`sambaKickoffTime`) VALUES 
 (2,'Sub Göttingen',NULL,NULL,NULL,'/home/{login}','513','uid={login},ou=people,ou=users,dc=gdz,dc=sub,dc=uni-goettingen,dc=de','top,inetOrgPerson,,posixAccount,shadowAccount,sambaSamAccount','S-1-5-21-1027555608-1078789811-91453608-{uidnumber*2+1000}','{login}','{login}','Mitarbeiter Sub','{user full name}','Mitarbeiter Sub','/bin/false','[UX         ]','_{login}.bat','S-1-5-21-1027555608-1078789811-91453608-513','2147483647','0000000000000000000000000000000000000000000000000000000000000000','FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF','0');
/*!40000 ALTER TABLE `ldapgruppen` ENABLE KEYS */;


--
-- Definition of table `metadatenkonfigurationen`
--

DROP TABLE IF EXISTS `metadatenkonfigurationen`;
CREATE TABLE `metadatenkonfigurationen` (
  `MetadatenKonfigurationID` int(11) NOT NULL AUTO_INCREMENT,
  `Titel` varchar(255) DEFAULT NULL,
  `Datei` varchar(255) DEFAULT NULL,
  `orderMetadataByRuleset` bit(1) DEFAULT NULL,
  PRIMARY KEY (`MetadatenKonfigurationID`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `metadatenkonfigurationen`
--

/*!40000 ALTER TABLE `metadatenkonfigurationen` DISABLE KEYS */;
INSERT INTO `metadatenkonfigurationen` (`MetadatenKonfigurationID`,`Titel`,`Datei`,`orderMetadataByRuleset`) VALUES 
 (1,'rusdml','rusdml.xml',0x00),
 (2,'Digizeit Wirtschaft','dz_330_Economics.xml',0x00),
 (3,'Digizeit Anglistik','dz_420_English_Languages.xml',0x00),
 (4,'Digizeit Bibliothek','dz_020_Librarianship.xml',0x00),
 (5,'Digizeit Erziehungswissenschaften','dz_370_Education.xml',0x00),
 (6,'Digizeit Germanistik','dz_430_Germanic_Languages.xml',0x00),
 (7,'Digizeit Geschichte','dz_900_History.xml',0x00),
 (8,'Digizeit Kunst','dz_700_Arts.xml',0x00),
 (9,'Digizeit Musik','dz_780_Musicology.xml',0x00),
 (10,'Digizeit Naturwissenschaften','dz_500_Sciences.xml',0x00),
 (11,'Digizeit Philologie','dz_400_Philology.xml',0x00),
 (12,'Digizeit Recht','dz_340_Law.xml',0x00),
 (13,'Digizeit Religion','dz_200_Religion.xml',0x00),
 (14,'Digizeit Romanistik','dz_440_Romance_Languages.xml',0x00),
 (15,'Digizeit Soziologie','dz_300_Sociology.xml',0x00),
 (16,'statistisches Jahrbuch','StatJahrbuch.xml',0x00),
 (17,'GDZ','gdz.xml',0x00),
 (18,'Digizeitschriften','digizeit.xml',0x00),
 (20,'VD17 Göttingen','vd17_nova.xml',0x00),
 (26,'VD18 Göttingen','vd18.xml',0x00),
 (22,'Rezensionszeitschriften','gdz_Rezensionszeitschriften.xml',0x00),
 (23,'MPDL_ZFN','mpdl_zfn.xml',0x01),
 (24,'MPDL_Sengbusch','mpdl_sengbusch.xml',0x01),
 (25,'SimpleRulesetTitleAuthor','simple.xml',0x01);
/*!40000 ALTER TABLE `metadatenkonfigurationen` ENABLE KEYS */;


--
-- Definition of table `projectfilegroups`
--

DROP TABLE IF EXISTS `projectfilegroups`;
CREATE TABLE `projectfilegroups` (
  `ProjectFileGroupID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `mimetype` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `ProjekteID` int(11) DEFAULT NULL,
  PRIMARY KEY (`ProjectFileGroupID`),
  KEY `FK51AAC229327F143A` (`ProjekteID`)
) ENGINE=MyISAM AUTO_INCREMENT=72 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `projectfilegroups`
--

/*!40000 ALTER TABLE `projectfilegroups` DISABLE KEYS */;
INSERT INTO `projectfilegroups` (`ProjectFileGroupID`,`name`,`path`,`mimetype`,`suffix`,`ProjekteID`) VALUES 
 (10,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',14),
 (9,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',14),
 (5,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',17),
 (6,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',17),
 (7,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',1),
 (8,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',1),
 (11,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',19),
 (12,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',19),
 (13,'DEFAULT','b','image/jpeg','.jpg',22),
 (14,'MIN','a','image/jpeg','.jpg',22),
 (15,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',2),
 (16,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',2),
 (17,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/150/0/','image/jpeg','jpg',2),
 (18,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',2),
 (19,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',2),
 (20,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',13),
 (21,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/150/0/','image/jpeg','jpg',13),
 (22,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',13),
 (23,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',13),
 (24,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',13),
 (25,'MAX','http://www.digizeitschriften.de/content/$(CatalogIDDigital)/1000/0/','image/jpeg','jpg',5),
 (26,'PRESENTATION','file:///san-srv1/digizeittiff/$(CatalogIDDigital)/','image/tiff','tif',5),
 (27,'THUMBS','http://www.digizeitschriften.de/content/$(CatalogIDDigital)/150/0/','image/jpeg','jpg',5),
 (28,'DEFAULT','http://www.digizeitschriften.de/content/$(CatalogIDDigital)/800/0/','image/jpeg','jpg',5),
 (29,'MIN','http://www.digizeitschriften.de/content/$(CatalogIDDigital)/500/0/','image/jpeg','jpg',5),
 (31,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1200/0/','image/jpeg','jpg',19),
 (32,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',19),
 (35,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',1),
 (36,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',1),
 (37,'LOCAL','file://./','image/tiff','tif',20),
 (39,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',1),
 (40,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',25),
 (41,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',25),
 (43,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',25),
 (44,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',25),
 (45,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',25),
 (46,'DOWNLOAD','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/','application/pdf','.pdf',1),
 (47,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',14),
 (48,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',14),
 (49,'DOWNLOAD','/pfad/zu/pdf/content/server/dingsda/$(meta.CatalogIDDigital)/','application/pdf','pdf',14),
 (50,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',14),
 (51,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',26),
 (52,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1200/0/','image/jpeg','jpg',26),
 (53,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',26),
 (54,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',26),
 (55,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',27),
 (56,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',27),
 (57,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/120/0/','image/jpeg','jpg',27),
 (58,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1200/0/','image/jpeg','jpg',27),
 (59,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',16),
 (60,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',16),
 (61,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',16),
 (62,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',16),
 (63,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/150/0/','image/jpeg','jpg',16),
 (64,'MIN','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/500/0/','image/jpeg','jpg',18),
 (65,'THUMBS','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/150/0/','image/jpeg','jpg',18),
 (66,'DEFAULT','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/800/0/','image/jpeg','jpg',18),
 (67,'MAX','http://gdz-srv1.sub.uni-goettingen.de/content/$(meta.CatalogIDDigital)/1000/0/','image/jpeg','jpg',18),
 (68,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',18),
 (69,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',26),
 (70,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',19),
 (71,'PRESENTATION','file:///san.gdz-srv1/gdz/tiff/$(meta.CatalogIDDigital)/','image/tiff','tif',27);
/*!40000 ALTER TABLE `projectfilegroups` ENABLE KEYS */;


--
-- Definition of table `projektbenutzer`
--

DROP TABLE IF EXISTS `projektbenutzer`;
CREATE TABLE `projektbenutzer` (
  `BenutzerID` int(11) NOT NULL DEFAULT '0',
  `ProjekteID` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`BenutzerID`,`ProjekteID`),
  KEY `FKEC749D0E479273B5` (`ProjekteID`),
  KEY `FKEC749D0E15EED760` (`BenutzerID`),
  KEY `FKEC749D0E327F143A` (`ProjekteID`),
  KEY `FKEC749D0E8896477B` (`BenutzerID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `projektbenutzer`
--

/*!40000 ALTER TABLE `projektbenutzer` DISABLE KEYS */;
INSERT INTO `projektbenutzer` (`BenutzerID`,`ProjekteID`) VALUES 
 (1,4),
 (1,5),
 (1,9),
 (1,13),
 (2,2),
 (2,5),
 (2,10),
 (2,16),
 (2,18),
 (2,19),
 (2,27),
 (19,1),
 (20,1),
 (20,2),
 (20,4),
 (20,6),
 (20,7),
 (20,8),
 (20,9),
 (21,1),
 (22,1),
 (23,1),
 (24,1),
 (27,1),
 (27,2),
 (27,4),
 (27,5),
 (27,6),
 (27,7),
 (27,8),
 (27,12),
 (27,13),
 (28,1),
 (29,1),
 (32,8),
 (32,9),
 (32,11),
 (32,12),
 (33,1),
 (34,1),
 (34,2),
 (34,4),
 (34,5),
 (34,6),
 (34,7),
 (34,8),
 (34,9),
 (34,10),
 (34,11),
 (34,12),
 (34,13),
 (34,14),
 (34,15),
 (34,16),
 (34,18),
 (34,19),
 (34,20),
 (34,21),
 (34,25),
 (34,26),
 (34,27),
 (35,1),
 (38,1),
 (39,1),
 (39,2),
 (39,6),
 (39,7),
 (39,8),
 (39,12),
 (39,13),
 (39,14),
 (39,15),
 (39,16),
 (39,18),
 (39,19),
 (39,20),
 (39,22),
 (39,25),
 (42,1),
 (42,2),
 (42,5),
 (42,6),
 (42,7),
 (42,8),
 (42,9),
 (42,10),
 (42,11),
 (42,12),
 (42,13),
 (42,15),
 (42,16),
 (42,18),
 (42,19),
 (42,25),
 (42,26),
 (42,27),
 (43,4),
 (44,4),
 (45,4),
 (46,4),
 (47,2),
 (47,6),
 (47,7),
 (47,8),
 (47,12),
 (47,13),
 (50,4),
 (50,5),
 (51,1),
 (51,2),
 (51,5),
 (51,6),
 (51,7),
 (51,8),
 (51,9),
 (53,1),
 (53,2),
 (53,4),
 (53,5),
 (53,6),
 (53,7),
 (53,8),
 (53,9),
 (53,11),
 (53,12),
 (53,13),
 (53,14),
 (53,17),
 (53,22),
 (54,1),
 (54,2),
 (54,5),
 (54,6),
 (54,7),
 (54,8),
 (54,9),
 (56,4),
 (57,4),
 (61,2),
 (61,5),
 (62,4),
 (65,1),
 (66,2),
 (66,6),
 (66,16),
 (67,2),
 (67,6),
 (67,7),
 (67,8),
 (67,9),
 (67,10),
 (67,11),
 (67,12),
 (67,13),
 (67,15),
 (67,17),
 (67,18),
 (67,19),
 (67,22),
 (72,1),
 (72,2),
 (72,5),
 (72,6),
 (72,7),
 (72,8),
 (72,14),
 (73,5),
 (74,5),
 (75,5),
 (76,5),
 (77,5),
 (78,5),
 (79,4),
 (81,1),
 (81,10),
 (81,16),
 (81,18),
 (82,5),
 (84,2),
 (84,5),
 (84,7),
 (84,8),
 (84,12),
 (84,13),
 (84,14),
 (84,16),
 (84,18),
 (84,19),
 (84,20),
 (84,27),
 (85,2),
 (85,5),
 (85,7),
 (85,8),
 (85,12),
 (85,13),
 (85,14),
 (85,16),
 (85,18),
 (85,19),
 (85,25),
 (85,27),
 (86,2),
 (86,5),
 (86,7),
 (86,8),
 (86,12),
 (86,13),
 (86,14),
 (86,18),
 (86,25),
 (86,27),
 (87,5),
 (88,5),
 (89,1),
 (89,2),
 (89,4),
 (89,5),
 (89,6),
 (89,7),
 (89,8),
 (89,12),
 (89,13),
 (89,14),
 (89,25),
 (89,27),
 (90,5),
 (91,1),
 (91,2),
 (91,4),
 (91,5),
 (91,6),
 (91,7),
 (91,8),
 (91,12),
 (91,13),
 (91,14),
 (91,15),
 (91,16),
 (91,18),
 (91,19),
 (91,20),
 (91,25),
 (91,27),
 (92,1),
 (92,2),
 (92,4),
 (92,5),
 (92,6),
 (92,7),
 (92,8),
 (92,12),
 (92,13),
 (92,14),
 (92,15),
 (92,16),
 (92,17),
 (92,18),
 (92,19),
 (92,20),
 (92,21),
 (92,22),
 (92,25),
 (94,2),
 (94,27),
 (95,17),
 (95,19),
 (96,2),
 (96,5),
 (96,6),
 (96,7),
 (96,8),
 (96,12),
 (96,13),
 (96,14),
 (96,15),
 (96,16),
 (96,18),
 (96,19),
 (96,20),
 (96,25),
 (96,27),
 (97,2),
 (97,4),
 (97,5),
 (97,6),
 (97,7),
 (97,8),
 (97,12),
 (97,13),
 (97,14),
 (97,15),
 (97,16),
 (97,18),
 (97,19),
 (97,20),
 (97,21),
 (97,25),
 (97,27),
 (98,2),
 (98,4),
 (98,5),
 (98,6),
 (98,7),
 (98,8),
 (98,12),
 (98,13),
 (98,14),
 (98,15),
 (98,16),
 (98,18),
 (98,19),
 (98,20),
 (98,25),
 (98,27),
 (99,2),
 (99,4),
 (99,5),
 (99,7),
 (99,8),
 (99,12),
 (99,13),
 (99,14),
 (99,15),
 (99,16),
 (99,18),
 (99,19),
 (99,20),
 (99,27),
 (100,5),
 (100,18),
 (102,14),
 (103,5),
 (104,5),
 (105,5),
 (106,16),
 (107,2),
 (107,5),
 (107,8),
 (107,12),
 (107,13),
 (107,14),
 (107,15),
 (107,16),
 (107,18),
 (107,19),
 (107,20),
 (107,27),
 (108,2),
 (108,5),
 (108,7),
 (108,8),
 (108,12),
 (108,13),
 (108,14),
 (108,16),
 (108,19),
 (108,20),
 (108,27),
 (109,2),
 (109,5),
 (109,7),
 (109,8),
 (109,12),
 (109,13),
 (109,16),
 (109,18),
 (109,19),
 (109,27),
 (110,2),
 (110,5),
 (110,8),
 (110,12),
 (110,13),
 (110,14),
 (110,16),
 (110,18),
 (111,2),
 (111,5),
 (111,14),
 (111,15),
 (111,16),
 (111,20),
 (111,21),
 (112,2),
 (112,14),
 (112,15),
 (112,16),
 (112,20),
 (112,21),
 (112,25),
 (114,2),
 (114,5),
 (114,14),
 (114,15),
 (114,16),
 (114,18),
 (114,19),
 (114,20),
 (114,21),
 (115,19),
 (117,19),
 (118,19),
 (119,19),
 (120,19),
 (121,5),
 (123,2),
 (123,4),
 (123,5),
 (123,7),
 (123,8),
 (123,12),
 (123,13),
 (123,14),
 (123,15),
 (123,16),
 (123,17),
 (123,18),
 (123,19),
 (123,20),
 (123,22),
 (123,25),
 (123,27),
 (125,14),
 (125,19),
 (125,27),
 (126,14),
 (126,19),
 (126,27),
 (127,5),
 (128,5),
 (129,5),
 (130,1),
 (130,2),
 (130,4),
 (130,5),
 (130,7),
 (130,8),
 (130,12),
 (130,13),
 (130,14),
 (130,15),
 (130,16),
 (130,17),
 (130,18),
 (130,22),
 (131,2),
 (131,8),
 (131,12),
 (131,13),
 (131,18),
 (131,20),
 (131,27),
 (132,1),
 (132,2),
 (132,4),
 (132,5),
 (132,6),
 (132,7),
 (132,8),
 (132,12),
 (132,13),
 (132,14),
 (132,15),
 (132,16),
 (132,18),
 (132,19),
 (132,20),
 (132,25),
 (132,27),
 (133,1),
 (133,2),
 (133,4),
 (133,5),
 (133,6),
 (133,7),
 (133,8),
 (133,12),
 (133,13),
 (133,14),
 (133,15),
 (133,16),
 (133,18),
 (133,19),
 (133,20),
 (133,21),
 (133,22),
 (133,25),
 (133,27),
 (134,18),
 (135,2),
 (135,16),
 (135,19),
 (136,2),
 (136,16),
 (136,18),
 (136,19),
 (137,18),
 (137,19),
 (138,2),
 (138,5),
 (138,7),
 (138,8),
 (138,12),
 (138,13),
 (138,14),
 (138,16),
 (138,18),
 (138,19),
 (138,20),
 (138,27),
 (140,2),
 (140,5),
 (140,13),
 (140,14),
 (140,16),
 (140,18),
 (140,19),
 (142,2),
 (142,5),
 (142,16),
 (142,18),
 (142,27),
 (143,2),
 (143,5),
 (143,18),
 (143,27),
 (144,2),
 (144,5),
 (144,18),
 (144,27),
 (145,2),
 (145,5),
 (145,18),
 (145,25),
 (145,27),
 (146,2),
 (146,5),
 (146,16),
 (146,18),
 (146,27),
 (147,2),
 (147,5),
 (147,16),
 (147,18),
 (147,20),
 (147,27),
 (148,2),
 (148,5),
 (148,16),
 (148,18),
 (148,20),
 (148,27),
 (149,2),
 (149,5),
 (149,16),
 (149,18),
 (149,27),
 (150,2),
 (150,5),
 (150,16),
 (150,18),
 (150,19),
 (150,27),
 (152,27),
 (153,19),
 (153,27),
 (154,27),
 (155,27),
 (156,27),
 (157,27),
 (158,27),
 (159,2),
 (159,5);
/*!40000 ALTER TABLE `projektbenutzer` ENABLE KEYS */;


--
-- Definition of table `projekte`
--

DROP TABLE IF EXISTS `projekte`;
CREATE TABLE `projekte` (
  `ProjekteID` int(11) NOT NULL AUTO_INCREMENT,
  `Titel` varchar(255) DEFAULT NULL,
  `useDmsImport` tinyint(1) DEFAULT NULL,
  `dmsImportTimeOut` int(11) DEFAULT NULL,
  `dmsImportRootPath` varchar(255) DEFAULT NULL,
  `dmsImportImagesPath` varchar(255) DEFAULT NULL,
  `dmsImportSuccessPath` varchar(255) DEFAULT NULL,
  `dmsImportErrorPath` varchar(255) DEFAULT NULL,
  `dmsImportCreateProcessFolder` bit(1) DEFAULT NULL,
  `metsFormatDmsExport` bit(1) DEFAULT NULL,
  `metsFormatInternal` bit(1) DEFAULT NULL,
  `metsRightsOwner` varchar(255) DEFAULT NULL,
  `metsRightsOwnerLogo` varchar(255) DEFAULT NULL,
  `metsRightsOwnerSite` varchar(255) DEFAULT NULL,
  `metsDigiprovReference` varchar(255) DEFAULT NULL,
  `metsDigiprovPresentation` varchar(255) DEFAULT NULL,
  `fileFormatInternal` varchar(255) DEFAULT NULL,
  `fileFormatDmsExport` varchar(255) DEFAULT NULL,
  `metsPointerPath` varchar(255) DEFAULT NULL,
  `metsPointerPathAnchor` varchar(255) DEFAULT NULL,
  `metsDigiprovReferenceAnchor` varchar(255) DEFAULT NULL,
  `metsDigiprovPresentationAnchor` varchar(255) DEFAULT NULL,
  `metsPurl` varchar(255) DEFAULT NULL,
  `metsContentIDs` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ProjekteID`),
  KEY `FKC8539A94479273B5` (`ProjekteID`),
  KEY `FKC8539A94327F143A` (`ProjekteID`)
) ENGINE=MyISAM AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `projekte`
--

/*!40000 ALTER TABLE `projekte` DISABLE KEYS */;
INSERT INTO `projekte` (`ProjekteID`,`Titel`,`useDmsImport`,`dmsImportTimeOut`,`dmsImportRootPath`,`dmsImportImagesPath`,`dmsImportSuccessPath`,`dmsImportErrorPath`,`dmsImportCreateProcessFolder`,`metsFormatDmsExport`,`metsFormatInternal`,`metsRightsOwner`,`metsRightsOwnerLogo`,`metsRightsOwnerSite`,`metsDigiprovReference`,`metsDigiprovPresentation`,`fileFormatInternal`,`fileFormatDmsExport`,`metsPointerPath`,`metsPointerPathAnchor`,`metsDigiprovReferenceAnchor`,`metsDigiprovPresentationAnchor`,`metsPurl`,`metsContentIDs`) VALUES 
 (27,'VD18-Test',1,3600000,'/san.gdz-srv1/gdz/mets_repository/hotfolder/','/san.gdz-srv1/gdz/mets_repository/hotfolder/','/san.gdz-srv1/gdz/mets_repository/success/','/san.gdz-srv1/gdz/mets_repository/error_mets',0x00,NULL,NULL,'Digitalisierungszentrum der Niedersächsischen Staats- und Universitätsbibliothek Göttingen','http://gdz.sub.uni-goettingen.de/logo_gdz_dfgv.png','http://gdz.sub.uni-goettingen.de','http://opac.sub.uni-goettingen.de/DB=1/PPN?PPN=$(meta.CatalogIDDigital)','http://resolver.sub.uni-goettingen.de/purl?$(meta.CatalogIDDigital)','Mets','Mets','http://gdz.sub.uni-goettingen.de/mets_export.php?PPN=$(meta.topstruct.CatalogIDDigital)','http://gdz.sub.uni-goettingen.de/mets_export.php?PPN=$(meta.firstchild.CatalogIDDigital)','http://opac.sub.uni-goettingen.de/DB=1/PPN?PPN=$(meta.topstruct.CatalogIDDigital)','http://resolver.sub.uni-goettingen.de/purl?$(meta.topstruct.CatalogIDDigital)','http://resolver.sub.uni-goettingen.de/purl?$(meta.CatalogIDDigital)','NULL');
/*!40000 ALTER TABLE `projekte` ENABLE KEYS */;


--
-- Definition of table `prozesse`
--

DROP TABLE IF EXISTS `prozesse`;
CREATE TABLE `prozesse` (
  `ProzesseID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Titel` varchar(255) DEFAULT NULL,
  `IstTemplate` int(10) unsigned DEFAULT NULL,
  `EigenschaftenID` int(10) unsigned DEFAULT NULL,
  `ProjekteID` int(11) DEFAULT NULL,
  `sortHelperStatus` varchar(255) DEFAULT NULL,
  `sortHelperImages` int(11) DEFAULT NULL,
  `sortHelperArticles` int(11) DEFAULT NULL,
  `MetadatenKonfigurationID` int(11) DEFAULT NULL,
  `inAuswahllisteAnzeigen` tinyint(1) DEFAULT NULL,
  `erstellungsdatum` datetime DEFAULT NULL,
  `ausgabename` varchar(255) DEFAULT NULL,
  `swappedOut` bit(1) DEFAULT NULL,
  `sortHelperDocstructs` int(11) DEFAULT NULL,
  `sortHelperMetadata` int(11) DEFAULT NULL,
  PRIMARY KEY (`ProzesseID`),
  KEY `EigenschaftenID` (`EigenschaftenID`),
  KEY `FKC55ACC6D479273B5` (`ProjekteID`),
  KEY `FKC55ACC6D48ABBD0C` (`MetadatenKonfigurationID`),
  KEY `FKC55ACC6D327F143A` (`ProjekteID`),
  KEY `FKC55ACC6D3B361E7` (`MetadatenKonfigurationID`),
  KEY `FKC55ACC6DACAFE8C7` (`MetadatenKonfigurationID`)
) ENGINE=MyISAM AUTO_INCREMENT=10671 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `prozesse`
--

/*!40000 ALTER TABLE `prozesse` DISABLE KEYS */;
INSERT INTO `prozesse` (`ProzesseID`,`Titel`,`IstTemplate`,`EigenschaftenID`,`ProjekteID`,`sortHelperStatus`,`sortHelperImages`,`sortHelperArticles`,`MetadatenKonfigurationID`,`inAuswahllisteAnzeigen`,`erstellungsdatum`,`ausgabename`,`swappedOut`,`sortHelperDocstructs`,`sortHelperMetadata`) VALUES 
 (10278,'VD18-Test',1,NULL,27,'015014071',0,0,26,0,'2009-05-25 13:55:12','',0x00,0,0),
 (10344,'besceirew_PPN60068590X',0,NULL,27,'086014000',113,0,26,0,'2009-05-28 09:49:29',NULL,0x00,18,25),
 (10398,'eggejaco_PPN600787729_0001',0,NULL,27,'072014014',831,2,26,0,'2009-06-02 11:35:10',NULL,0x00,27,50),
 (10399,'eggejaco_PPN60078780X_0002',0,NULL,27,'072014014',775,2,26,0,'2009-06-02 11:43:23',NULL,0x00,54,77),
 (10400,'krebanfa_PPN600788822',0,NULL,27,'072014014',330,1,26,0,'2009-06-02 11:45:54',NULL,0x00,53,66),
 (10402,'heynsamm_PPN600792757_0001',0,NULL,27,'072014014',254,2,26,0,'2009-06-02 11:57:22',NULL,0x00,10,26),
 (10403,'heynsamm_PPN600792773_0002',0,NULL,27,'072014014',288,2,26,0,'2009-06-02 12:14:19',NULL,0x00,14,30),
 (10404,'untedekov_PPN600794784',0,NULL,27,'058014028',434,1,26,0,'2009-06-02 12:24:15',NULL,0x00,1,13),
 (10405,'schebetr_PPN600795454',0,NULL,27,'072014014',208,1,26,0,'2009-06-02 12:36:48',NULL,0x00,24,34),
 (10406,'wittuebe_PPN600795993',0,NULL,27,'015014071',208,1,26,0,'2009-06-02 12:46:44',NULL,0x00,1,14),
 (10407,'wincanme_PPN600796469',0,NULL,27,'072014014',102,1,26,0,'2009-06-02 12:56:42',NULL,0x00,10,18),
 (10412,'konivoprm_PPN600798852',0,NULL,27,'072014014',212,1,26,0,'2009-06-02 13:36:35',NULL,0x00,48,56),
 (10413,'chrijoha_PPN600799921',0,NULL,27,'072014014',398,1,26,0,'2009-06-02 13:43:16',NULL,0x00,20,28),
 (10415,'statdekop_PPN600800555',0,NULL,27,'072014014',58,1,26,0,'2009-06-02 13:50:51',NULL,0x00,16,30),
 (10418,'koniprpra_PPN600801292',0,NULL,27,'072014014',17,1,26,0,'2009-06-02 13:58:29',NULL,0x00,6,13),
 (10421,'biedgene_PPN600802108_0001',0,NULL,27,'072014014',214,2,26,0,'2009-06-02 14:07:58',NULL,0x00,12,28),
 (10427,'rohleinl_PPN600825248_0001',0,NULL,27,'058014028',486,2,26,0,'2009-06-02 16:11:39',NULL,0x00,28,24),
 (10428,'rohleinl_PPN60082862X_0002',0,NULL,27,'044014042',428,2,26,0,'2009-06-02 16:16:58',NULL,0x00,2,24),
 (10429,'zimmscri_PPN600860884',0,NULL,27,'072014014',122,1,26,0,'2009-06-02 16:46:55',NULL,0x00,11,23),
 (10430,'segnastr_PPN600861902_0001',0,NULL,27,'058014028',454,2,26,0,'2009-06-02 17:15:45',NULL,0x00,27,26),
 (10431,'segnastr_PPN600861929_0002',0,NULL,27,'058014028',493,2,26,0,'2009-06-02 17:19:15',NULL,0x00,0,0),
 (10432,'cilad_PPN600873838_0001',0,NULL,27,'058014028',813,2,26,0,'2009-06-03 08:07:46',NULL,0x00,0,0),
 (10433,'cilad_PPN600873854_0002',0,NULL,27,'058014028',712,2,26,0,'2009-06-03 08:12:32',NULL,0x00,0,0),
 (10434,'cilad_PPN600873897_0003',0,NULL,27,'058014028',772,2,26,0,'2009-06-03 08:15:50',NULL,0x00,2,30),
 (10435,'cilad_PPN600873927_0004',0,NULL,27,'058014028',749,2,26,0,'2009-06-03 08:18:29',NULL,0x00,33,15),
 (10437,'stetherr_PPN60088192X',0,NULL,27,'058014028',322,1,26,0,'2009-06-03 10:03:22',NULL,0x00,1,13),
 (10438,'bachuebe_PPN600882438',0,NULL,27,'072014014',60,1,26,0,'2009-06-03 10:08:52',NULL,0x00,16,24),
 (10439,'banianto_PPN600882969_0001',0,NULL,27,'072014014',1105,2,26,0,'2009-06-03 10:25:48',NULL,0x00,65,83),
 (10440,'banianto_PPN600883191_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-03 10:29:38',NULL,0x00,0,0),
 (10441,'banianto_PPN600883310_0003',0,NULL,27,'058014028',889,2,26,0,'2009-06-03 10:31:49',NULL,0x00,0,0),
 (10442,'schrbesc_PPN600884554',0,NULL,27,'072014014',40,1,26,0,'2009-06-03 10:32:01',NULL,0x00,7,17),
 (10443,'banianto_PPN600883442_0004',0,NULL,27,'058014028',740,2,26,0,'2009-06-03 10:34:04',NULL,0x00,0,0),
 (10444,'banianto_PPN600883582_0005',0,NULL,27,'058014028',809,2,26,0,'2009-06-03 10:36:08',NULL,0x00,0,0),
 (10445,'nitsneue_PPN600886190',0,NULL,27,'086014000',984,0,26,0,'2009-06-03 10:47:43',NULL,0x00,28,40),
 (10446,'reucvon_PPN600886700',0,NULL,27,'072014014',106,1,26,0,'2009-06-03 10:53:50',NULL,0x00,11,22),
 (10447,'forschri_PPN600886875',0,NULL,27,'058014028',592,1,26,0,'2009-06-03 10:36:55',NULL,0x00,1,13),
 (10448,'meingesc_PPN600887227',0,NULL,27,'058014028',106,1,26,0,'2009-06-03 10:59:36',NULL,0x00,1,16),
 (10449,'lesswie_PPN600887804',0,NULL,27,'086014000',120,1,26,0,'2009-06-03 11:05:56',NULL,0x00,14,19),
 (10450,'voiglehr_PPN600887448',0,NULL,27,'058014028',484,1,26,0,'2009-06-03 11:09:27',NULL,0x00,1,15),
 (10451,'bodekurz_PPN600891291',0,NULL,27,'058014028',496,1,26,0,'2009-06-03 11:16:57',NULL,0x00,1,14),
 (10452,'schageme_PPN600894738',0,NULL,27,'086014000',151,0,26,0,'2009-06-03 11:24:32',NULL,0x00,14,24),
 (10453,'nitspaul_PPN600895246_0001',0,NULL,27,'058014028',714,0,26,0,'2009-06-03 11:30:04',NULL,0x00,24,0),
 (10454,'nitspaul_PPN600895750_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-03 11:33:21',NULL,0x00,0,0),
 (10455,'nitspaul_PPN600896455_0003',0,NULL,27,'058014028',496,2,26,0,'2009-06-03 11:35:47',NULL,0x00,0,0),
 (10456,'tutejoha_PPN600907821',0,NULL,27,'044014042',521,1,26,0,'2009-06-03 11:48:41',NULL,0x00,1,15),
 (10458,'extevorn_PPN600917339',0,NULL,27,'058014028',74,1,26,0,'2009-06-03 12:08:36',NULL,0x00,1,14),
 (10459,'huchphil_PPN600923533',0,NULL,27,'058014028',298,1,26,0,'2009-06-03 12:37:13',NULL,0x00,1,14),
 (10460,'oestmatt_PPN600924165',0,NULL,27,'058014028',180,1,26,0,'2009-06-03 12:46:31',NULL,0x00,1,13),
 (10465,'santfrey_PPN600937666',0,NULL,27,'015014071',0,1,26,0,'2009-06-03 15:33:42',NULL,0x00,1,15),
 (10466,'brenpara_PPN600938808',0,NULL,27,'058014028',322,1,26,0,'2009-06-03 15:39:48',NULL,0x00,1,14),
 (10467,'hausfudic_PPN600939812',0,NULL,27,'015014071',0,1,26,0,'2009-06-03 15:54:11',NULL,0x00,1,13),
 (10468,'sothvers_PPN600940357',0,NULL,27,'072014014',342,1,26,0,'2009-06-03 16:00:21',NULL,0x00,20,30),
 (10469,'husgarti_PPN600941329',0,NULL,27,'015014071',0,1,26,0,'2009-06-03 16:16:50',NULL,0x00,1,13),
 (10470,'benngeda_PPN600941736',0,NULL,27,'058014028',284,1,26,0,'2009-06-03 16:23:52',NULL,0x00,1,14),
 (10471,'bodebesc_PPN601124308',0,NULL,27,'058014028',38,1,26,0,'2009-06-04 08:49:46',NULL,0x00,1,13),
 (10472,'mayegrun_PPN601124944',0,NULL,27,'072014014',321,1,26,0,'2009-06-04 09:03:55',NULL,0x00,20,30),
 (10473,'bodejoha_PPN601125150',0,NULL,27,'058014028',150,1,26,0,'2009-06-04 09:05:39',NULL,0x00,1,19),
 (10474,'kochmaye_PPN601125738',0,NULL,27,'072014014',46,1,26,0,'2009-06-04 09:11:47',NULL,0x00,4,13),
 (10475,'sackkosm_PPN601125800',0,NULL,27,'086014000',110,1,26,0,'2009-06-04 09:13:27',NULL,0x00,6,15),
 (10477,'lambcosm_PPN601126025',0,NULL,27,'058014028',358,1,26,0,'2009-06-04 09:17:19',NULL,0x00,1,13),
 (10478,'hambursa_PPN601126556',0,NULL,27,'072014014',257,1,26,0,'2009-06-04 09:24:51',NULL,0x00,13,23),
 (10479,'astrtadem_PPN60112698X',0,NULL,27,'058014028',30,1,26,0,'2009-06-04 09:31:46',NULL,0x00,1,12),
 (10480,'schuherr_PPN601127609',0,NULL,27,'072014014',36,1,26,0,'2009-06-04 09:39:23',NULL,0x00,6,14),
 (10481,'wincjoha_PPN601127544',0,NULL,27,'072014014',70,1,26,0,'2009-06-04 09:39:05',NULL,0x00,6,17),
 (10482,'wiedneue_PPN601128036',0,NULL,27,'072014014',76,1,26,0,'2009-06-04 09:46:51',NULL,0x00,7,16),
 (10486,'mauppari_PPN601130030',0,NULL,27,'058014028',110,1,26,0,'2009-06-04 10:10:38',NULL,0x00,1,14),
 (10488,'paccjoha_PPN601137574_0001',0,NULL,27,'072014014',172,2,26,0,'2009-06-04 11:17:16',NULL,0x00,11,28),
 (10489,'heinbesc_PPN601136713',0,NULL,27,'072014014',126,1,26,0,'2009-06-04 11:21:04',NULL,0x00,10,20),
 (10490,'wincjoha_PPN601134974',0,NULL,27,'072014014',42,1,26,0,'2009-06-04 11:25:26',NULL,0x00,5,14),
 (10491,'escharch_PPN601138449',0,NULL,27,'058014028',170,1,26,0,'2009-06-04 11:30:08',NULL,0x00,1,14),
 (10492,'rudidars_PPN601140621',0,NULL,27,'058014028',90,1,26,0,'2009-06-04 11:47:11',NULL,0x00,1,14),
 (10493,'windkarl_PPN60114113X',0,NULL,27,'058014028',86,1,26,0,'2009-06-04 11:53:03',NULL,0x00,1,15),
 (10494,'hogrprak_PPN601142225',0,NULL,27,'058014028',273,1,26,0,'2009-06-04 12:06:34',NULL,0x00,1,16),
 (10495,'meinvers_PPN601141709',0,NULL,27,'058014028',338,1,26,0,'2009-06-04 12:10:10',NULL,0x00,1,12),
 (10496,'plesosir_PPN601142683',0,NULL,27,'015014071',0,1,26,0,'2009-06-04 12:13:05',NULL,0x00,1,13),
 (10497,'kastastr_PPN601143043_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 12:16:00',NULL,0x00,0,0),
 (10498,'kastastr_PPN601143051_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 12:18:32',NULL,0x00,0,0),
 (10499,'hermhand_PPN601146875_0001',0,NULL,27,'058014028',489,2,26,0,'2009-06-04 13:05:23',NULL,0x00,0,0),
 (10500,'hermhand_PPN601146999_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 13:08:42',NULL,0x00,0,0),
 (10501,'hermhand_PPN601147138_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 13:13:44',NULL,0x00,0,0),
 (10502,'sammasta_PPN601149351_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 13:38:34',NULL,0x00,0,0),
 (10503,'sammasta_PPN601149394_0002',0,NULL,27,'058014028',302,2,26,0,'2009-06-04 13:42:03',NULL,0x00,30,47),
 (10504,'sammasta_PPN601149424_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-04 13:44:28',NULL,0x00,0,0),
 (10507,'wissjage_PPN60115133X',0,NULL,27,'058014028',257,1,26,0,'2009-06-04 13:58:40',NULL,0x00,1,13),
 (10511,'reglvodik_PPN601152786',0,NULL,27,'015014071',0,1,26,0,'2009-06-04 14:15:50',NULL,0x00,1,14),
 (10522,'reglvodik_PPN601161475',0,NULL,27,'015014071',0,1,26,0,'2009-06-04 16:13:01',NULL,0x00,1,14),
 (10524,'zantvers_PPN601163036',0,NULL,27,'015014071',0,1,26,0,'2009-06-04 16:48:05',NULL,0x00,1,14),
 (10525,'tielunte_PPN601185773',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 06:56:57',NULL,0x00,1,13),
 (10526,'spankr_PPN601185803',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 07:05:26',NULL,0x00,1,12),
 (10527,'philkuns_PPN601185870',0,NULL,27,'044014042',386,1,26,0,'2009-06-05 07:11:06',NULL,0x00,1,13),
 (10528,'morllehr_PPN601186036_0001_1',0,NULL,27,'072014014',530,2,26,0,'2009-06-05 07:27:53',NULL,0x00,44,62),
 (10529,'morllehr_PPN601186044_0001_2',0,NULL,27,'015014071',0,2,26,0,'2009-06-05 07:32:10',NULL,0x00,0,0),
 (10530,'morllehr_PPN601186052_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-05 07:37:43',NULL,0x00,0,0),
 (10534,'klotuebe_PPN601144201',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 09:34:14',NULL,0x00,1,13),
 (10535,'lacyneus_PPN601146867',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 09:56:10',NULL,0x00,1,12),
 (10536,'wuchd_PPN601192710',0,NULL,27,'029014057',0,1,26,0,'2009-06-05 10:04:43','',0x00,1,14),
 (10537,'homeil_PPN601196295_0001',0,NULL,27,'058014028',330,2,26,0,'2009-06-05 10:39:37',NULL,0x00,0,0),
 (10538,'reglfudir_PPN601145682',0,NULL,27,'072014014',117,1,26,0,'2009-06-05 10:39:36',NULL,0x00,20,28),
 (10539,'stolgedi_PPN601193466',0,NULL,27,'058014028',345,1,26,0,'2009-06-05 10:47:47',NULL,0x00,1,11),
 (10540,'homeil_PPN601196341_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-05 10:43:32',NULL,0x00,0,0),
 (10541,'anlewieij_PPN601197682',0,NULL,27,'058014028',168,1,26,0,'2009-06-05 10:52:37',NULL,0x00,1,14),
 (10542,'aescdesop_PPN601198069',0,NULL,27,'058014028',66,1,26,0,'2009-06-05 10:56:09',NULL,0x00,1,11),
 (10543,'frosunma_PPN601198557',0,NULL,27,'058014028',74,1,26,0,'2009-06-05 11:00:20',NULL,0x00,1,12),
 (10544,'homeod_PPN601199189',0,NULL,27,'029014057',0,1,26,0,'2009-06-05 11:07:22',NULL,0x00,1,14),
 (10545,'semlm_PPN601199758',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 11:13:27',NULL,0x00,1,14),
 (10546,'homewe_PPN601200837_0001',0,NULL,27,'029014057',0,2,26,0,'2009-06-05 11:33:11',NULL,0x00,0,0),
 (10547,'homewe_PPN601200853_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-05 11:36:10',NULL,0x00,0,0),
 (10548,'homewe_PPN60120087X_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-05 11:38:24',NULL,0x00,0,0),
 (10549,'linduebe_PPN601202252',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 11:40:54',NULL,0x00,1,14),
 (10550,'homewe_PPN601200888_0004',0,NULL,27,'058014028',450,2,26,0,'2009-06-05 11:41:37',NULL,0x00,0,0),
 (10551,'muelfrie_PPN601202872',0,NULL,27,'058014028',246,1,26,0,'2009-06-05 11:48:32',NULL,0x00,1,15),
 (10552,'homewe_PPN601203089_0001',0,NULL,27,'029014057',0,2,26,0,'2009-06-05 11:52:26',NULL,0x00,0,0),
 (10554,'homewe_PPN601203127_0002',0,NULL,27,'058014028',329,2,26,0,'2009-06-05 11:54:44',NULL,0x00,0,0),
 (10558,'hogrtheo_PPN601205057',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 12:10:20',NULL,0x00,1,14),
 (10559,'rohduber_PPN601206282',0,NULL,27,'015014071',0,1,26,0,'2009-06-05 12:22:45',NULL,0x00,1,15),
 (10562,'grieunroa_PPN601210905_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 08:27:48',NULL,0x00,0,0),
 (10563,'grieunroa_PPN60121093X_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 08:30:01',NULL,0x00,0,0),
 (10564,'grieunroa_PPN601210980_0003',0,NULL,27,'058014028',394,2,26,0,'2009-06-08 08:32:02',NULL,0x00,0,0),
 (10565,'soph_PPN601212037_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 08:44:40',NULL,0x00,0,0),
 (10566,'soph_PPN601212053_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 08:47:18',NULL,0x00,0,0),
 (10567,'theotheo_PPN601209257',0,NULL,27,'044014042',420,1,26,0,'2009-06-08 09:26:55',NULL,0x00,0,0),
 (10568,'euclsech_PPN601208536',0,NULL,27,'072014014',170,0,26,0,'2009-06-08 09:30:42',NULL,0x00,14,22),
 (10569,'eucleukl_PPN601207874',0,NULL,27,'015014071',0,1,26,0,'2009-06-08 09:46:05',NULL,0x00,1,13),
 (10571,'schleuth_PPN601205804',0,NULL,27,'044014042',214,1,26,0,'2009-06-08 09:49:04',NULL,0x00,0,0),
 (10573,'engevers_PPN601206851',0,NULL,27,'044014042',168,1,26,0,'2009-06-08 09:56:44',NULL,0x00,1,12),
 (10575,'cervlebe_PPN601218655_0001',0,NULL,27,'044014042',457,2,26,0,'2009-06-08 10:21:15',NULL,0x00,0,0),
 (10577,'cervlebe_PPN60121868X_0002',0,NULL,27,'044014042',466,2,26,0,'2009-06-08 10:23:22',NULL,0x00,0,0),
 (10578,'cervlebe_PPN601218736_0003',0,NULL,27,'044014042',527,2,26,0,'2009-06-08 10:25:31',NULL,0x00,0,0),
 (10579,'cervlebe_PPN601218779_0004',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 10:27:32',NULL,0x00,0,0),
 (10580,'cervlebe_PPN601218809_0005',0,NULL,27,'044014042',446,2,26,0,'2009-06-08 10:29:27',NULL,0x00,0,0),
 (10581,'cervlebe_PPN601218833_0006',0,NULL,27,'044014042',482,2,26,0,'2009-06-08 10:32:39',NULL,0x00,0,0),
 (10584,'macemace_PPN601228774',0,NULL,27,'058014028',122,1,26,0,'2009-06-08 11:02:58',NULL,0x00,1,13),
 (10585,'plutplut_PPN601228561_0001',0,NULL,27,'044014042',418,2,26,0,'2009-06-08 11:03:17',NULL,0x00,0,0),
 (10587,'plutplut_PPN601229592_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 11:11:21',NULL,0x00,0,0),
 (10589,'cervmora_PPN601230019_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 11:16:46',NULL,0x00,0,0),
 (10594,'plutplut_PPN601229975_0003',0,NULL,27,'029014057',530,2,26,0,'2009-06-08 11:15:46',NULL,0x00,0,0),
 (10595,'cervmora_PPN601230051_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 11:18:53',NULL,0x00,0,0),
 (10596,'plutplut_PPN601230868_0004',0,NULL,27,'058014028',650,2,26,0,'2009-06-08 11:22:53',NULL,0x00,0,0),
 (10598,'urspnaunf_PPN601231333',0,NULL,27,'058014028',236,0,26,0,'2009-06-08 11:27:33',NULL,0x00,3,12),
 (10599,'faraweis_PPN601232658',0,NULL,27,'015014071',0,1,26,0,'2009-06-08 11:34:17',NULL,0x00,1,13),
 (10601,'wagsjoha_PPN601233484',0,NULL,27,'015014071',0,1,26,0,'2009-06-08 11:39:44',NULL,0x00,1,13),
 (10602,'plutplut_PPN601232917_0005',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 11:37:30',NULL,0x00,0,0),
 (10604,'plutplut_PPN601233832_0006',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 11:43:04',NULL,0x00,0,0),
 (10607,'gereunbed_PPN601234510',0,NULL,27,'015014071',0,1,26,0,'2009-06-08 11:47:08',NULL,0x00,1,11),
 (10609,'plutplut_PPN601234855_0008',0,NULL,27,'029014057',0,2,26,0,'2009-06-08 11:51:12',NULL,0x00,0,0),
 (10611,'plutplut_PPN601235193_0009',0,NULL,27,'029014057',0,2,26,0,'2009-06-08 11:55:20',NULL,0x00,0,0),
 (10613,'straeials_PPN601236297_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:09:04',NULL,0x00,0,0),
 (10614,'straeials_PPN601236300_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:11:18',NULL,0x00,0,0),
 (10615,'straeials_PPN601236335_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:13:20',NULL,0x00,0,0),
 (10616,'straeials_PPN60123636X_0004',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:15:28',NULL,0x00,0,0),
 (10617,'andrbrie_PPN601232194',0,NULL,27,'044014042',422,1,26,0,'2009-06-08 12:19:05',NULL,0x00,1,16),
 (10618,'michjoha_PPN601238834_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:36:07',NULL,0x00,0,0),
 (10619,'michjoha_PPN60123894X_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:39:10',NULL,0x00,0,0),
 (10620,'michjoha_PPN601238966_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:41:39',NULL,0x00,0,0),
 (10621,'michjoha_PPN601238990_0004',0,NULL,27,'015014071',0,2,26,0,'2009-06-08 12:44:36',NULL,0x00,0,0),
 (10638,'pausaurev_PPN601279085_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 08:22:35',NULL,0x00,0,0),
 (10639,'pausaurev_PPN601279093_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 08:25:52',NULL,0x00,0,0),
 (10640,'luciluci_PPN601284046_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 09:52:28',NULL,0x00,0,0),
 (10641,'luciluci_PPN601284119_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 09:55:14',NULL,0x00,0,0),
 (10642,'luciluci_PPN601284232_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:01:39',NULL,0x00,0,0),
 (10643,'luciluci_PPN601284348_0004',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:03:47',NULL,0x00,0,0),
 (10644,'johadamid_PPN601287398_0001',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:30:55',NULL,0x00,0,0),
 (10645,'johadamid_PPN60128741X_0002',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:36:24',NULL,0x00,0,0),
 (10646,'johadamid_PPN601287428_0003',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:38:27',NULL,0x00,0,0),
 (10647,'luciluci_PPN60128450X_0005',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:38:31',NULL,0x00,0,0),
 (10648,'johadamid_PPN601287436_0004_1',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:40:23',NULL,0x00,0,0),
 (10649,'luciluci_PPN601284593_0006',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:41:16',NULL,0x00,0,0),
 (10650,'johadamid_PPN601287452_0004_2',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:43:57',NULL,0x00,0,0),
 (10651,'johadamid_PPN601287487_0005_1',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:46:07',NULL,0x00,0,0),
 (10652,'johadamid_PPN601287509_0005_2',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:48:17',NULL,0x00,0,0),
 (10653,'johadamid_PPN601287517_0006',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 10:50:23',NULL,0x00,0,0),
 (10654,'neueteunh_PPN601290550',0,NULL,27,'015014071',0,1,26,0,'2009-06-09 11:00:54',NULL,0x00,1,12),
 (10655,'johadamid_PPN60128755X_0007',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:00:36',NULL,0x00,0,0),
 (10656,'johadamid_PPN601287614_0008',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:03:31',NULL,0x00,0,0),
 (10657,'epicarri_PPN601290976',0,NULL,27,'015014071',0,1,26,0,'2009-06-09 11:04:30',NULL,0x00,1,11),
 (10658,'johadamid_PPN601287649_0009',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:05:29',NULL,0x00,0,0),
 (10659,'ptolclau_PPN601237331',0,NULL,27,'015014071',0,1,26,0,'2009-06-09 11:08:09',NULL,0x00,1,15),
 (10660,'johadamid_PPN601287665_0010',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:09:25',NULL,0x00,0,0),
 (10661,'johadamid_PPN601287673_0011',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:11:25',NULL,0x00,0,0),
 (10662,'johadamid_PPN601287711_0012',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:13:39',NULL,0x00,0,0),
 (10663,'johadamid_PPN60128772X_0013',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 11:15:48',NULL,0x00,0,0),
 (10664,'plutplut_PPN601234367_0007',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 12:39:16',NULL,0x00,0,0),
 (10670,'METSIT___VD18___rohleinl_600825248_ththththt',0,NULL,27,'015014071',0,2,26,0,'2009-06-09 15:02:34',NULL,0x00,0,0);
/*!40000 ALTER TABLE `prozesse` ENABLE KEYS */;


--
-- Definition of table `prozesseeigenschaften`
--

DROP TABLE IF EXISTS `prozesseeigenschaften`;
CREATE TABLE `prozesseeigenschaften` (
  `prozesseeigenschaftenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `prozesseID` int(10) unsigned NOT NULL DEFAULT '0',
  `Titel` varchar(255) DEFAULT NULL,
  `Wert` text,
  `IstObligatorisch` int(10) unsigned DEFAULT NULL,
  `DatentypenID` int(10) unsigned DEFAULT NULL,
  `Auswahl` blob,
  PRIMARY KEY (`prozesseeigenschaftenID`),
  KEY `DatentypenID` (`DatentypenID`),
  KEY `FK3B22499F966DB655` (`prozesseID`),
  KEY `FK3B22499F815A56DA` (`prozesseID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `prozesseeigenschaften`
--

/*!40000 ALTER TABLE `prozesseeigenschaften` DISABLE KEYS */;
/*!40000 ALTER TABLE `prozesseeigenschaften` ENABLE KEYS */;


--
-- Definition of table `schritte`
--

DROP TABLE IF EXISTS `schritte`;
CREATE TABLE `schritte` (
  `SchritteID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Titel` varchar(255) DEFAULT NULL,
  `EigenschaftenID` int(10) unsigned DEFAULT NULL,
  `Prioritaet` int(10) unsigned DEFAULT NULL,
  `Reihenfolge` int(10) unsigned DEFAULT NULL,
  `ProzesseID` int(10) unsigned DEFAULT NULL,
  `Bearbeitungsstatus` int(10) unsigned DEFAULT NULL,
  `BearbeitungsZeitpunkt` datetime DEFAULT NULL,
  `BearbeitungsBenutzerID` int(11) DEFAULT NULL,
  `BearbeitungsBeginn` datetime DEFAULT NULL,
  `Typ` int(11) DEFAULT '1',
  `beimAnnehmenModul` smallint(1) DEFAULT '0',
  `beimAnnehmenAbschliessen` smallint(1) DEFAULT '0',
  `beimAnnehmenModulUndAbschliessen` smallint(1) DEFAULT '0',
  `homeverzeichnisNutzen` smallint(6) DEFAULT NULL,
  `BearbeitungsEnde` datetime DEFAULT NULL,
  `typMetadaten` tinyint(1) DEFAULT NULL,
  `typAutomatisch` tinyint(1) DEFAULT NULL,
  `typImportFileUpload` tinyint(1) DEFAULT NULL,
  `typExportRus` tinyint(1) DEFAULT NULL,
  `typImagesLesen` tinyint(1) DEFAULT NULL,
  `typImagesSchreiben` tinyint(1) DEFAULT NULL,
  `typExportDMS` tinyint(1) DEFAULT NULL,
  `typBeimAnnehmenModul` tinyint(1) DEFAULT NULL,
  `typBeimAnnehmenAbschliessen` tinyint(1) DEFAULT NULL,
  `typBeimAnnehmenModulUndAbschliessen` tinyint(1) DEFAULT NULL,
  `typAutomatischScriptpfad` varchar(255) DEFAULT NULL,
  `typBeimAbschliessenVerifizieren` tinyint(1) NOT NULL DEFAULT '0',
  `typModulName` varchar(255) DEFAULT NULL,
  `edittype` int(11) DEFAULT NULL,
  PRIMARY KEY (`SchritteID`),
  KEY `EigenschaftenID` (`EigenschaftenID`),
  KEY `ProzesseID` (`ProzesseID`),
  KEY `BearbeitungsBenutzerID` (`BearbeitungsBenutzerID`),
  KEY `FKD7200736966DB655` (`ProzesseID`),
  KEY `FKD7200736E8A7F947` (`BearbeitungsBenutzerID`),
  KEY `Index_7` (`Prioritaet`,`Reihenfolge`,`Bearbeitungsstatus`),
  KEY `FKD7200736815A56DA` (`ProzesseID`),
  KEY `FKD72007365B4F6962` (`BearbeitungsBenutzerID`)
) ENGINE=MyISAM AUTO_INCREMENT=104420 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `schritte`
--

/*!40000 ALTER TABLE `schritte` DISABLE KEYS */;
INSERT INTO `schritte` (`SchritteID`,`Titel`,`EigenschaftenID`,`Prioritaet`,`Reihenfolge`,`ProzesseID`,`Bearbeitungsstatus`,`BearbeitungsZeitpunkt`,`BearbeitungsBenutzerID`,`BearbeitungsBeginn`,`Typ`,`beimAnnehmenModul`,`beimAnnehmenAbschliessen`,`beimAnnehmenModulUndAbschliessen`,`homeverzeichnisNutzen`,`BearbeitungsEnde`,`typMetadaten`,`typAutomatisch`,`typImportFileUpload`,`typExportRus`,`typImagesLesen`,`typImagesSchreiben`,`typExportDMS`,`typBeimAnnehmenModul`,`typBeimAnnehmenAbschliessen`,`typBeimAnnehmenModulUndAbschliessen`,`typAutomatischScriptpfad`,`typBeimAbschliessenVerifizieren`,`typModulName`,`edittype`) VALUES 
 (101673,'Struktur- und Metadaten',NULL,3,5,10278,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,'',NULL),
 (101670,'Scannen',NULL,0,2,10278,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,'',NULL),
 (101671,'Qualitätskontrolle',NULL,3,3,10278,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,'',NULL),
 (101669,'Bibliografische Aufnahme',NULL,3,1,10278,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0,'',0,'',NULL),
 (101672,'Imagenachbearbeitung',NULL,3,4,10278,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,'',NULL),
 (101674,'Import DMS',NULL,3,6,10278,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,1,0,'',0,'',NULL),
 (101675,'Archivierung',NULL,2,7,10278,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,'',NULL),
 (102131,'Archivierung',NULL,2,7,10344,1,'2009-06-04 11:27:39',1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102132,'Import DMS',NULL,3,6,10344,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102133,'Struktur- und Metadaten',NULL,3,5,10344,3,'2009-06-02 13:00:52',1,'2009-06-02 12:59:53',1,0,0,0,0,'2009-06-02 13:00:52',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102134,'Qualitätskontrolle',NULL,3,3,10344,3,'2009-05-28 11:59:32',1,'2009-05-28 11:28:33',1,0,0,0,0,'2009-05-28 11:59:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102135,'Bibliografische Aufnahme',NULL,3,1,10344,3,'2009-05-28 09:56:17',1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102136,'Imagenachbearbeitung',NULL,3,4,10344,3,'2009-05-28 12:41:50',1,'2009-05-28 12:01:36',1,0,0,0,0,'2009-05-28 12:41:50',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102137,'Scannen',NULL,0,2,10344,3,'2009-05-28 11:23:32',1,'2009-05-28 10:46:33',1,0,0,0,0,'2009-05-28 11:23:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102978,'Archivierung',NULL,2,7,10465,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102509,'Archivierung',NULL,2,7,10398,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102510,'Import DMS',NULL,3,6,10398,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102511,'Imagenachbearbeitung',NULL,3,4,10398,3,'2009-06-08 14:04:02',1,'2009-06-05 19:11:10',1,0,0,0,0,'2009-06-08 14:04:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102512,'Scannen',NULL,10,2,10398,3,'2009-06-05 15:41:43',1,'2009-06-05 15:01:50',1,0,0,0,0,'2009-06-05 15:41:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102513,'Bibliografische Aufnahme',NULL,3,1,10398,3,'2009-06-02 11:42:44',1,'2009-06-02 11:42:44',1,0,0,0,0,'2009-06-02 11:42:44',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102514,'Struktur- und Metadaten',NULL,3,5,10398,3,'2009-06-10 09:14:22',1,'2009-06-10 08:37:33',1,0,0,0,0,'2009-06-10 09:14:22',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102515,'Qualitätskontrolle',NULL,10,3,10398,3,'2009-06-05 17:54:26',1,'2009-06-05 16:09:58',1,0,0,0,0,'2009-06-05 17:54:26',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102516,'Import DMS',NULL,3,6,10399,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102517,'Scannen',NULL,0,2,10399,3,'2009-06-05 09:20:00',1,'2009-06-05 09:05:26',1,0,0,0,0,'2009-06-04 18:47:00',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102518,'Imagenachbearbeitung',NULL,3,4,10399,3,'2009-06-08 11:20:15',1,'2009-06-08 09:24:39',1,0,0,0,0,'2009-06-08 11:20:15',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102519,'Archivierung',NULL,2,7,10399,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102520,'Bibliografische Aufnahme',NULL,3,1,10399,3,'2009-06-02 11:47:06',1,'2009-06-02 11:47:06',1,0,0,0,0,'2009-06-02 11:47:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102521,'Struktur- und Metadaten',NULL,3,5,10399,3,'2009-06-10 08:14:33',1,'2009-06-09 14:51:06',1,0,0,0,0,'2009-06-10 08:14:33',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102522,'Qualitätskontrolle',NULL,10,3,10399,3,'2009-06-05 12:11:48',1,'2009-06-05 09:57:33',1,0,0,0,0,'2009-06-05 12:11:48',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102523,'Struktur- und Metadaten',NULL,3,5,10400,3,'2009-06-08 15:43:09',1,'2009-06-08 14:21:29',1,0,0,0,0,'2009-06-08 15:43:09',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102524,'Qualitätskontrolle',NULL,3,3,10400,3,'2009-06-05 09:16:43',1,'2009-06-05 08:13:47',1,0,0,0,0,'2009-06-05 09:16:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102525,'Archivierung',NULL,2,7,10400,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102526,'Imagenachbearbeitung',NULL,3,4,10400,3,'2009-06-05 15:30:30',1,'2009-06-05 13:08:13',1,0,0,0,0,'2009-06-05 15:30:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102527,'Scannen',NULL,0,2,10400,3,'2009-06-05 07:42:02',1,'2009-06-04 15:18:04',1,0,0,0,0,'2009-06-05 07:42:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102528,'Bibliografische Aufnahme',NULL,3,1,10400,3,'2009-06-02 11:48:53',1,'2009-06-02 11:48:53',1,0,0,0,0,'2009-06-02 11:48:53',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102529,'Import DMS',NULL,3,6,10400,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102558,'Scannen',NULL,0,2,10405,3,'2009-06-05 11:14:06',1,'2009-06-05 08:40:39',1,0,0,0,0,'2009-06-05 11:14:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102537,'Bibliografische Aufnahme',NULL,3,1,10402,3,'2009-06-02 12:10:01',1,'2009-06-02 12:10:01',1,0,0,0,0,'2009-06-02 12:10:01',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102538,'Archivierung',NULL,2,7,10402,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102539,'Import DMS',NULL,3,6,10402,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102540,'Imagenachbearbeitung',NULL,3,4,10402,3,'2009-06-08 17:00:39',1,'2009-06-08 15:36:26',1,0,0,0,0,'2009-06-08 17:00:39',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102541,'Struktur- und Metadaten',NULL,3,5,10402,3,'2009-06-10 09:42:42',1,'2009-06-10 09:24:02',1,0,0,0,0,'2009-06-10 09:42:42',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102542,'Scannen',NULL,0,2,10402,3,'2009-06-08 12:34:16',1,'2009-06-08 10:42:00',1,0,0,0,0,'2009-06-08 12:34:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102543,'Qualitätskontrolle',NULL,3,3,10402,3,'2009-06-08 15:34:21',1,'2009-06-08 14:59:03',1,0,0,0,0,'2009-06-08 15:34:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102544,'Struktur- und Metadaten',NULL,3,5,10403,3,'2009-06-10 10:11:14',1,'2009-06-10 09:50:46',1,0,0,0,0,'2009-06-10 10:11:14',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102545,'Archivierung',NULL,2,7,10403,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102546,'Import DMS',NULL,3,6,10403,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102547,'Bibliografische Aufnahme',NULL,3,1,10403,3,'2009-06-02 12:16:56',1,'2009-06-02 12:16:56',1,0,0,0,0,'2009-06-02 12:16:56',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102548,'Scannen',NULL,0,2,10403,3,'2009-06-08 13:58:39',1,'2009-06-08 12:34:41',1,0,0,0,0,'2009-06-08 13:58:39',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102549,'Qualitätskontrolle',NULL,3,3,10403,3,'2009-06-08 15:34:04',1,'2009-06-08 14:59:20',1,0,0,0,0,'2009-06-08 15:34:04',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102550,'Imagenachbearbeitung',NULL,3,4,10403,3,'2009-06-08 17:00:39',1,'2009-06-08 15:36:26',1,0,0,0,0,'2009-06-08 17:00:39',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102551,'Import DMS',NULL,3,6,10404,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102552,'Scannen',NULL,0,2,10404,3,'2009-06-05 13:04:27',1,'2009-06-05 10:17:34',1,0,0,0,0,'2009-06-05 13:04:27',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102553,'Qualitätskontrolle',NULL,3,3,10404,3,'2009-06-08 10:28:05',1,'2009-06-08 09:38:32',1,0,0,0,0,'2009-06-08 10:28:05',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102554,'Bibliografische Aufnahme',NULL,3,1,10404,3,'2009-06-02 12:26:42',1,'2009-06-02 12:26:42',1,0,0,0,0,'2009-06-02 12:26:42',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102555,'Struktur- und Metadaten',NULL,3,5,10404,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102556,'Archivierung',NULL,2,7,10404,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102557,'Imagenachbearbeitung',NULL,3,4,10404,3,'2009-06-08 11:44:55',1,'2009-06-08 10:43:17',1,0,0,0,0,'2009-06-08 11:44:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102559,'Bibliografische Aufnahme',NULL,3,1,10405,3,'2009-06-02 12:38:01',1,'2009-06-02 12:38:01',1,0,0,0,0,'2009-06-02 12:38:01',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102560,'Imagenachbearbeitung',NULL,3,4,10405,3,'2009-06-05 15:06:27',1,'2009-06-05 14:30:54',1,0,0,0,0,'2009-06-05 15:06:27',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102561,'Archivierung',NULL,2,7,10405,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102562,'Struktur- und Metadaten',NULL,3,5,10405,3,'2009-06-08 15:40:12',1,'2009-06-08 14:03:59',1,0,0,0,0,'2009-06-08 15:40:12',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102563,'Qualitätskontrolle',NULL,3,3,10405,3,'2009-06-05 13:23:16',1,'2009-06-05 13:02:02',1,0,0,0,0,'2009-06-05 13:23:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102564,'Import DMS',NULL,3,6,10405,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102565,'Struktur- und Metadaten',NULL,10,5,10406,0,'2009-06-10 09:32:13',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102566,'Qualitätskontrolle',NULL,10,3,10406,0,'2009-06-09 10:58:54',1,'2009-06-09 10:24:39',1,0,0,0,0,'2009-06-05 10:35:22',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102567,'Import DMS',NULL,3,6,10406,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102568,'Archivierung',NULL,2,7,10406,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102569,'Scannen',NULL,10,2,10406,1,'2009-06-09 10:04:23',1,'2009-06-09 09:46:32',1,0,0,0,0,'2009-06-04 18:52:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102570,'Imagenachbearbeitung',NULL,10,4,10406,0,'2009-06-09 18:07:44',1,'2009-06-09 18:00:38',1,0,0,0,0,'2009-06-05 16:55:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102571,'Bibliografische Aufnahme',NULL,3,1,10406,3,'2009-06-02 12:48:00',1,'2009-06-02 12:48:00',1,0,0,0,0,'2009-06-02 12:48:00',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102572,'Struktur- und Metadaten',NULL,3,5,10407,3,'2009-06-08 15:54:39',1,'2009-06-08 15:26:24',1,0,0,0,0,'2009-06-08 15:54:39',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102573,'Scannen',NULL,0,2,10407,3,'2009-06-05 09:58:42',1,'2009-06-05 09:28:20',1,0,0,0,0,'2009-06-05 09:58:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102574,'Bibliografische Aufnahme',NULL,3,1,10407,3,'2009-06-02 12:58:19',1,'2009-06-02 12:58:19',1,0,0,0,0,'2009-06-02 12:58:19',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102575,'Imagenachbearbeitung',NULL,3,4,10407,3,'2009-06-05 16:41:48',1,'2009-06-05 16:06:38',1,0,0,0,0,'2009-06-05 16:41:48',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102576,'Archivierung',NULL,2,7,10407,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102577,'Import DMS',NULL,3,6,10407,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102578,'Qualitätskontrolle',NULL,3,3,10407,3,'2009-06-05 11:19:28',1,'2009-06-05 10:03:12',1,0,0,0,0,'2009-06-05 11:19:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102614,'Struktur- und Metadaten',NULL,3,5,10413,3,'2009-06-08 14:21:17',1,'2009-06-08 13:34:13',1,0,0,0,0,'2009-06-08 14:21:17',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102607,'Struktur- und Metadaten',NULL,3,5,10412,3,'2009-06-09 11:13:33',1,'2009-06-09 10:07:33',1,0,0,0,0,'2009-06-09 11:13:33',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102608,'Import DMS',NULL,3,6,10412,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102609,'Bibliografische Aufnahme',NULL,3,1,10412,3,'2009-06-02 13:38:06',1,'2009-06-02 13:38:06',1,0,0,0,0,'2009-06-02 13:38:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102610,'Imagenachbearbeitung',NULL,3,4,10412,3,'2009-06-05 14:29:29',1,'2009-06-05 13:57:11',1,0,0,0,0,'2009-06-05 14:29:29',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102611,'Archivierung',NULL,2,7,10412,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102612,'Scannen',NULL,0,2,10412,3,'2009-06-05 07:34:45',1,'2009-06-05 06:03:13',1,0,0,0,0,'2009-06-05 07:34:45',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102613,'Qualitätskontrolle',NULL,3,3,10412,3,'2009-06-05 09:24:28',1,'2009-06-05 08:24:00',1,0,0,0,0,'2009-06-05 09:24:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102615,'Archivierung',NULL,2,7,10413,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102616,'Imagenachbearbeitung',NULL,3,4,10413,3,'2009-06-05 15:30:31',1,'2009-06-05 13:08:01',1,0,0,0,0,'2009-06-05 15:30:31',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102617,'Scannen',NULL,0,2,10413,3,'2009-06-05 08:37:02',1,'2009-06-05 06:03:34',1,0,0,0,0,'2009-06-05 08:37:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102618,'Import DMS',NULL,3,6,10413,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102619,'Bibliografische Aufnahme',NULL,3,1,10413,3,'2009-06-02 13:45:21',1,'2009-06-02 13:45:21',1,0,0,0,0,'2009-06-02 13:45:21',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102620,'Qualitätskontrolle',NULL,3,3,10413,3,'2009-06-05 09:06:33',1,'2009-06-05 08:41:27',1,0,0,0,0,'2009-06-05 09:06:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102628,'Archivierung',NULL,2,7,10415,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102629,'Struktur- und Metadaten',NULL,3,5,10415,3,'2009-06-08 15:26:38',1,'2009-06-08 14:55:44',1,0,0,0,0,'2009-06-08 15:26:38',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102630,'Imagenachbearbeitung',NULL,3,4,10415,3,'2009-06-04 10:58:38',1,'2009-06-04 10:34:25',1,0,0,0,0,'2009-06-04 10:58:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102631,'Qualitätskontrolle',NULL,3,3,10415,3,'2009-06-04 09:48:17',1,'2009-06-04 09:14:10',1,0,0,0,0,'2009-06-04 09:48:17',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102632,'Bibliografische Aufnahme',NULL,3,1,10415,3,'2009-06-02 13:52:21',1,'2009-06-02 13:52:21',1,0,0,0,0,'2009-06-02 13:52:21',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102633,'Import DMS',NULL,3,6,10415,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102634,'Scannen',NULL,0,2,10415,3,'2009-06-04 08:54:43',1,'2009-06-04 06:25:18',1,0,0,0,0,'2009-06-04 08:54:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102649,'Import DMS',NULL,3,6,10418,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102650,'Struktur- und Metadaten',NULL,3,5,10418,3,'2009-06-08 15:34:07',1,'2009-06-08 15:29:09',1,0,0,0,0,'2009-06-08 15:34:07',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102651,'Bibliografische Aufnahme',NULL,3,1,10418,3,'2009-06-02 14:00:24',1,'2009-06-02 14:00:24',1,0,0,0,0,'2009-06-02 14:00:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102652,'Archivierung',NULL,2,7,10418,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102653,'Qualitätskontrolle',NULL,3,3,10418,3,'2009-06-04 07:53:15',1,'2009-06-04 07:41:24',1,0,0,0,0,'2009-06-04 07:53:15',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102654,'Imagenachbearbeitung',NULL,3,4,10418,3,'2009-06-04 09:10:46',1,'2009-06-04 08:58:08',1,0,0,0,0,'2009-06-04 09:10:46',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102655,'Scannen',NULL,0,2,10418,3,'2009-06-04 06:39:43',1,'2009-06-04 06:25:00',1,0,0,0,0,'2009-06-04 06:39:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102670,'Imagenachbearbeitung',NULL,3,4,10421,3,'2009-06-04 10:53:55',1,'2009-06-04 09:51:42',1,0,0,0,0,'2009-06-04 10:53:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102671,'Import DMS',NULL,3,6,10421,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102672,'Struktur- und Metadaten',NULL,3,5,10421,3,'2009-06-09 13:57:58',1,'2009-06-08 16:32:00',1,0,0,0,0,'2009-06-09 13:57:58',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102673,'Qualitätskontrolle',NULL,3,3,10421,3,'2009-06-04 09:40:43',1,'2009-06-04 08:53:19',1,0,0,0,0,'2009-06-04 09:40:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102674,'Archivierung',NULL,2,7,10421,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102675,'Scannen',NULL,0,2,10421,3,'2009-06-04 08:43:58',1,'2009-06-04 06:24:16',1,0,0,0,0,'2009-06-04 08:43:58',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102676,'Bibliografische Aufnahme',NULL,3,1,10421,3,'2009-06-02 14:10:53',1,'2009-06-02 14:10:53',1,0,0,0,0,'2009-06-02 14:10:53',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102712,'Archivierung',NULL,2,7,10427,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102713,'Scannen',NULL,0,2,10427,3,'2009-06-05 09:32:30',1,'2009-06-05 06:05:14',1,0,0,0,0,'2009-06-05 09:32:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102714,'Import DMS',NULL,3,6,10427,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102715,'Imagenachbearbeitung',NULL,3,4,10427,3,'2009-06-08 14:04:22',1,'2009-06-05 19:11:14',1,0,0,0,0,'2009-06-08 14:04:22',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102716,'Struktur- und Metadaten',NULL,3,5,10427,1,'2009-06-08 17:11:54',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102717,'Qualitätskontrolle',NULL,3,3,10427,3,'2009-06-05 11:50:14',1,'2009-06-05 10:49:14',1,0,0,0,0,'2009-06-05 11:50:14',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102718,'Bibliografische Aufnahme',NULL,3,1,10427,3,'2009-06-02 16:14:21',1,'2009-06-02 16:14:21',1,0,0,0,0,'2009-06-02 16:14:21',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102719,'Import DMS',NULL,3,6,10428,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102720,'Struktur- und Metadaten',NULL,3,5,10428,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102721,'Scannen',NULL,0,2,10428,3,'2009-06-09 14:09:30',1,'2009-06-09 13:46:14',1,0,0,0,0,'2009-06-09 11:56:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102722,'Imagenachbearbeitung',NULL,3,4,10428,1,'2009-06-09 18:00:49',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102723,'Bibliografische Aufnahme',NULL,3,1,10428,3,'2009-06-02 16:20:12',1,'2009-06-02 16:20:12',1,0,0,0,0,'2009-06-02 16:20:12',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102724,'Archivierung',NULL,2,7,10428,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102725,'Qualitätskontrolle',NULL,10,3,10428,3,'2009-06-09 15:07:11',1,'2009-06-09 14:26:55',1,0,0,0,0,'2009-06-09 15:07:11',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102726,'Archivierung',NULL,2,7,10429,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102727,'Struktur- und Metadaten',NULL,3,5,10429,3,'2009-06-09 17:29:58',1,'2009-06-09 17:06:02',1,0,0,0,0,'2009-06-09 17:29:58',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102728,'Bibliografische Aufnahme',NULL,3,1,10429,3,'2009-06-02 16:49:02',1,'2009-06-02 16:49:02',1,0,0,0,0,'2009-06-02 16:49:02',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102729,'Qualitätskontrolle',NULL,3,3,10429,3,'2009-06-08 12:04:42',1,'2009-06-08 11:36:41',1,0,0,0,0,'2009-06-08 12:04:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102730,'Import DMS',NULL,3,6,10429,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102731,'Scannen',NULL,0,2,10429,3,'2009-06-08 06:51:18',1,'2009-06-08 06:09:11',1,0,0,0,0,'2009-06-08 06:51:18',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102732,'Imagenachbearbeitung',NULL,3,4,10429,3,'2009-06-08 14:01:38',1,'2009-06-08 12:05:44',1,0,0,0,0,'2009-06-08 14:01:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102873,'Archivierung',NULL,2,7,10450,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102733,'Imagenachbearbeitung',NULL,3,4,10430,3,'2009-06-05 16:36:24',1,'2009-06-05 15:04:46',1,0,0,0,0,'2009-06-05 16:36:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102734,'Archivierung',NULL,2,7,10430,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102735,'Bibliografische Aufnahme',NULL,3,1,10430,3,'2009-06-02 17:19:11',1,'2009-06-02 17:19:11',1,0,0,0,0,'2009-06-02 17:19:11',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102736,'Struktur- und Metadaten',NULL,3,5,10430,1,'2009-06-08 17:13:46',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102737,'Scannen',NULL,0,2,10430,3,'2009-06-05 09:04:54',1,'2009-06-05 09:04:49',1,0,0,0,0,'2009-06-05 09:04:54',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102738,'Qualitätskontrolle',NULL,3,3,10430,3,'2009-06-05 11:57:55',1,'2009-06-05 09:07:26',1,0,0,0,0,'2009-06-05 11:57:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102739,'Import DMS',NULL,3,6,10430,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102740,'Scannen',NULL,10,2,10431,3,'2009-06-05 15:57:06',1,'2009-06-05 15:43:11',1,0,0,0,0,'2009-06-05 15:57:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102741,'Bibliografische Aufnahme',NULL,3,1,10431,3,'2009-06-02 17:22:35',1,'2009-06-02 17:22:35',1,0,0,0,0,'2009-06-02 17:22:35',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102742,'Imagenachbearbeitung',NULL,3,4,10431,3,'2009-06-08 14:04:27',1,'2009-06-05 19:11:14',1,0,0,0,0,'2009-06-08 14:04:27',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102743,'Struktur- und Metadaten',NULL,3,5,10431,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102744,'Qualitätskontrolle',NULL,10,3,10431,3,'2009-06-05 18:07:23',1,'2009-06-05 17:28:38',1,0,0,0,0,'2009-06-05 18:07:23',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102745,'Import DMS',NULL,3,6,10431,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102746,'Archivierung',NULL,2,7,10431,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102747,'Struktur- und Metadaten',NULL,3,5,10432,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102748,'Qualitätskontrolle',NULL,10,3,10432,3,'2009-06-09 14:26:13',1,'2009-06-09 12:09:30',1,0,0,0,0,'2009-06-09 14:26:13',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102749,'Archivierung',NULL,2,7,10432,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102750,'Import DMS',NULL,3,6,10432,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102751,'Imagenachbearbeitung',NULL,3,4,10432,3,'2009-06-09 18:08:21',1,'2009-06-09 15:37:34',1,0,0,0,0,'2009-06-09 18:08:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102752,'Scannen',NULL,0,2,10432,3,'2009-06-09 12:07:42',1,'2009-06-09 12:07:08',1,0,0,0,0,'2009-06-08 18:12:39',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102753,'Bibliografische Aufnahme',NULL,3,1,10432,3,'2009-06-03 08:12:13',1,'2009-06-03 08:12:13',1,0,0,0,0,'2009-06-03 08:12:13',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102754,'Archivierung',NULL,2,7,10433,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102755,'Scannen',NULL,0,2,10433,3,'2009-06-05 15:22:44',1,'2009-06-05 13:58:51',1,0,0,0,0,'2009-06-04 16:14:41',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102756,'Struktur- und Metadaten',NULL,3,5,10433,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102757,'Bibliografische Aufnahme',NULL,3,1,10433,3,'2009-06-03 08:15:32',1,'2009-06-03 08:15:32',1,0,0,0,0,'2009-06-03 08:15:32',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102758,'Imagenachbearbeitung',NULL,3,4,10433,3,'2009-06-05 19:02:56',1,'2009-06-05 17:00:23',1,0,0,0,0,'2009-06-05 19:02:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102759,'Import DMS',NULL,3,6,10433,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102760,'Qualitätskontrolle',NULL,10,3,10433,3,'2009-06-05 16:52:38',1,'2009-06-05 15:36:15',1,0,0,0,0,'2009-06-05 16:52:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102761,'Imagenachbearbeitung',NULL,3,4,10434,3,'2009-06-05 12:52:47',1,'2009-06-05 09:31:50',1,0,0,0,0,'2009-06-05 12:52:47',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102762,'Archivierung',NULL,2,7,10434,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102763,'Scannen',NULL,0,2,10434,3,'2009-06-04 17:52:16',1,'2009-06-04 17:43:26',1,0,0,0,0,'2009-06-04 15:42:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102764,'Bibliografische Aufnahme',NULL,3,1,10434,3,'2009-06-03 08:18:14',1,'2009-06-03 08:18:14',1,0,0,0,0,'2009-06-03 08:18:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102765,'Import DMS',NULL,3,6,10434,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102766,'Qualitätskontrolle',NULL,10,3,10434,3,'2009-06-04 19:08:19',1,'2009-06-04 17:55:19',1,0,0,0,0,'2009-06-04 19:08:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102767,'Struktur- und Metadaten',NULL,3,5,10434,1,'2009-06-09 11:20:50',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102768,'Scannen',NULL,0,2,10435,3,'2009-06-05 10:49:25',1,'2009-06-05 09:02:29',1,0,0,0,0,'2009-06-05 10:49:25',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102769,'Qualitätskontrolle',NULL,3,3,10435,3,'2009-06-05 12:20:35',1,'2009-06-05 10:58:37',1,0,0,0,0,'2009-06-05 12:20:35',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102770,'Struktur- und Metadaten',NULL,3,5,10435,1,'2009-06-09 11:20:54',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102771,'Imagenachbearbeitung',NULL,3,4,10435,3,'2009-06-05 18:32:33',1,'2009-06-05 15:50:37',1,0,0,0,0,'2009-06-05 18:32:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102772,'Bibliografische Aufnahme',NULL,3,1,10435,3,'2009-06-03 08:20:58',1,'2009-06-03 08:20:58',1,0,0,0,0,'2009-06-03 08:20:58',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102773,'Import DMS',NULL,3,6,10435,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102774,'Archivierung',NULL,2,7,10435,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102782,'Qualitätskontrolle',NULL,3,3,10437,3,'2009-06-08 17:18:04',1,'2009-06-08 16:16:13',1,0,0,0,0,'2009-06-08 17:18:04',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102783,'Import DMS',NULL,3,6,10437,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102784,'Bibliografische Aufnahme',NULL,3,1,10437,3,'2009-06-03 10:04:31',1,'2009-06-03 10:04:31',1,0,0,0,0,'2009-06-03 10:04:31',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102785,'Imagenachbearbeitung',NULL,3,4,10437,3,'2009-06-09 18:07:37',1,'2009-06-08 19:46:40',1,0,0,0,0,'2009-06-09 18:07:37',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (102786,'Archivierung',NULL,2,7,10437,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102787,'Struktur- und Metadaten',NULL,3,5,10437,1,'2009-06-09 18:07:37',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (102788,'Scannen',NULL,0,2,10437,3,'2009-06-08 13:07:59',1,'2009-06-08 12:24:57',1,0,0,0,0,'2009-06-08 13:07:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102789,'Bibliografische Aufnahme',NULL,3,1,10438,3,'2009-06-03 10:10:48',1,'2009-06-03 10:10:48',1,0,0,0,0,'2009-06-03 10:10:48',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102790,'Import DMS',NULL,3,6,10438,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102791,'Qualitätskontrolle',NULL,3,3,10438,3,'2009-06-05 09:15:41',1,'2009-06-05 08:58:14',1,0,0,0,0,'2009-06-05 09:15:41',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102792,'Imagenachbearbeitung',NULL,3,4,10438,3,'2009-06-05 16:02:37',1,'2009-06-05 14:15:52',1,0,0,0,0,'2009-06-05 16:02:37',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102793,'Archivierung',NULL,2,7,10438,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102794,'Struktur- und Metadaten',NULL,3,5,10438,3,'2009-06-09 12:00:03',1,'2009-06-09 11:44:17',1,0,0,0,0,'2009-06-09 12:00:03',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102795,'Scannen',NULL,0,2,10438,3,'2009-06-05 08:49:03',1,'2009-06-05 08:27:03',1,0,0,0,0,'2009-06-05 08:49:03',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102796,'Import DMS',NULL,3,6,10439,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102797,'Archivierung',NULL,2,7,10439,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102798,'Bibliografische Aufnahme',NULL,3,1,10439,3,'2009-06-03 10:28:58',1,'2009-06-03 10:28:58',1,0,0,0,0,'2009-06-03 10:28:58',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102799,'Struktur- und Metadaten',NULL,3,5,10439,3,'2009-06-08 16:30:40',1,'2009-06-08 15:44:12',1,0,0,0,0,'2009-06-08 16:30:40',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102800,'Imagenachbearbeitung',NULL,3,4,10439,3,'2009-06-05 13:00:51',1,'2009-06-05 09:21:55',1,0,0,0,0,'2009-06-05 13:00:51',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102801,'Qualitätskontrolle',NULL,3,3,10439,3,'2009-06-04 16:48:06',1,'2009-06-04 15:09:05',1,0,0,0,0,'2009-06-04 16:48:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102802,'Scannen',NULL,0,2,10439,3,'2009-06-04 14:43:06',1,'2009-06-04 14:11:09',1,0,0,0,0,'2009-06-04 14:43:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102803,'Archivierung',NULL,2,7,10440,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102804,'Import DMS',NULL,3,6,10440,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102805,'Imagenachbearbeitung',NULL,3,4,10440,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102806,'Struktur- und Metadaten',NULL,3,5,10440,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102807,'Bibliografische Aufnahme',NULL,3,1,10440,3,'2009-06-03 10:31:33',1,'2009-06-03 10:31:33',1,0,0,0,0,'2009-06-03 10:31:33',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102808,'Qualitätskontrolle',NULL,10,3,10440,0,'2009-06-09 15:06:33',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102809,'Scannen',NULL,10,2,10440,1,'2009-06-05 06:56:21',1,'2009-06-04 12:06:51',1,0,0,0,0,'2009-06-04 09:00:50',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102810,'Archivierung',NULL,2,7,10441,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102811,'Qualitätskontrolle',NULL,10,3,10441,3,'2009-06-08 08:35:50',1,'2009-06-05 11:54:26',1,0,0,0,0,'2009-06-08 08:35:50',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102812,'Import DMS',NULL,3,6,10441,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102813,'Bibliografische Aufnahme',NULL,3,1,10441,3,'2009-06-03 10:33:50',1,'2009-06-03 10:33:50',1,0,0,0,0,'2009-06-03 10:33:50',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102814,'Struktur- und Metadaten',NULL,3,5,10441,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102815,'Imagenachbearbeitung',NULL,3,4,10441,3,'2009-06-08 11:20:16',1,'2009-06-08 08:56:16',1,0,0,0,0,'2009-06-08 11:20:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102816,'Scannen',NULL,0,2,10441,3,'2009-06-05 11:12:58',1,'2009-06-05 11:05:06',1,0,0,0,0,'2009-06-05 08:54:08',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102817,'Imagenachbearbeitung',NULL,3,4,10442,3,'2009-06-05 13:04:56',1,'2009-06-05 12:53:23',1,0,0,0,0,'2009-06-05 13:04:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102818,'Bibliografische Aufnahme',NULL,3,1,10442,3,'2009-06-03 10:33:52',1,'2009-06-03 10:33:52',1,0,0,0,0,'2009-06-03 10:33:52',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102819,'Qualitätskontrolle',NULL,3,3,10442,3,'2009-06-05 10:00:14',1,'2009-06-05 09:33:44',1,0,0,0,0,'2009-06-05 10:00:14',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102820,'Scannen',NULL,0,2,10442,3,'2009-06-05 09:25:13',1,'2009-06-05 09:01:56',1,0,0,0,0,'2009-06-05 09:25:13',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102821,'Struktur- und Metadaten',NULL,3,5,10442,3,'2009-06-09 11:34:10',1,'2009-06-09 11:21:47',1,0,0,0,0,'2009-06-09 11:34:10',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102822,'Import DMS',NULL,3,6,10442,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102823,'Archivierung',NULL,2,7,10442,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102824,'Imagenachbearbeitung',NULL,3,4,10443,3,'2009-06-09 17:30:35',1,'2009-06-09 15:24:57',1,0,0,0,0,'2009-06-09 17:30:35',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102825,'Qualitätskontrolle',NULL,3,3,10443,3,'2009-06-09 14:25:42',1,'2009-06-08 10:42:10',1,0,0,0,0,'2009-06-09 14:25:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102826,'Import DMS',NULL,3,6,10443,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102827,'Struktur- und Metadaten',NULL,3,5,10443,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102828,'Scannen',NULL,0,2,10443,3,'2009-06-08 10:41:30',1,'2009-06-08 06:08:41',1,0,0,0,0,'2009-06-08 10:41:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102829,'Bibliografische Aufnahme',NULL,3,1,10443,3,'2009-06-03 10:35:55',1,'2009-06-03 10:35:55',1,0,0,0,0,'2009-06-03 10:35:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102830,'Archivierung',NULL,2,7,10443,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102831,'Qualitätskontrolle',NULL,3,3,10444,3,'2009-06-05 18:53:45',1,'2009-06-05 15:44:03',1,0,0,0,0,'2009-06-05 18:53:45',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102832,'Archivierung',NULL,2,7,10444,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102833,'Scannen',NULL,0,2,10444,3,'2009-06-05 15:13:54',1,'2009-06-05 08:11:20',1,0,0,0,0,'2009-06-05 15:13:54',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102834,'Struktur- und Metadaten',NULL,3,5,10444,1,'2009-06-09 14:25:54',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102835,'Bibliografische Aufnahme',NULL,3,1,10444,3,'2009-06-03 10:38:12',1,'2009-06-03 10:38:12',1,0,0,0,0,'2009-06-03 10:38:12',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102836,'Import DMS',NULL,3,6,10444,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102837,'Imagenachbearbeitung',NULL,3,4,10444,3,'2009-06-08 14:03:51',1,'2009-06-05 19:11:09',1,0,0,0,0,'2009-06-08 14:03:51',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102838,'Archivierung',NULL,2,7,10445,1,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102839,'Struktur- und Metadaten',NULL,3,5,10445,3,'2009-06-05 13:16:43',1,'2009-06-05 12:28:11',1,0,0,0,0,'2009-06-05 13:16:43',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102840,'Qualitätskontrolle',NULL,3,3,10445,3,'2009-06-04 15:53:16',1,'2009-06-04 14:15:52',1,0,0,0,0,'2009-06-04 15:53:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102841,'Scannen',NULL,0,2,10445,3,'2009-06-04 14:05:24',1,'2009-06-04 06:51:55',1,0,0,0,0,'2009-06-04 14:05:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102842,'Import DMS',NULL,3,6,10445,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102843,'Imagenachbearbeitung',NULL,3,4,10445,3,'2009-06-04 18:16:51',1,'2009-06-04 15:54:11',1,0,0,0,0,'2009-06-04 18:16:51',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102844,'Bibliografische Aufnahme',NULL,3,1,10445,3,'2009-06-03 10:49:11',1,'2009-06-03 10:49:11',1,0,0,0,0,'2009-06-03 10:49:11',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102845,'Import DMS',NULL,3,6,10446,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102846,'Imagenachbearbeitung',NULL,3,4,10446,3,'2009-06-08 13:15:19',1,'2009-06-08 11:49:25',1,0,0,0,0,'2009-06-08 13:15:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102847,'Archivierung',NULL,2,7,10446,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102848,'Qualitätskontrolle',NULL,10,3,10446,3,'2009-06-08 10:20:24',1,'2009-06-08 10:04:09',1,0,0,0,0,'2009-06-08 10:20:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102849,'Bibliografische Aufnahme',NULL,3,1,10446,3,'2009-06-03 10:56:27',1,'2009-06-03 10:56:27',1,0,0,0,0,'2009-06-03 10:56:27',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102850,'Scannen',NULL,10,2,10446,3,'2009-06-08 09:15:17',1,'2009-06-08 08:45:54',1,0,0,0,0,'2009-06-08 09:15:17',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102851,'Struktur- und Metadaten',NULL,3,5,10446,3,'2009-06-09 16:15:59',1,'2009-06-09 15:47:03',1,0,0,0,0,'2009-06-09 16:15:59',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102852,'Qualitätskontrolle',NULL,10,3,10447,3,'2009-06-09 16:38:55',1,'2009-06-09 14:58:40',1,0,0,0,0,'2009-06-09 16:38:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102853,'Imagenachbearbeitung',NULL,3,4,10447,3,'2009-06-10 11:01:08',1,'2009-06-09 17:54:11',1,0,0,0,0,'2009-06-10 11:01:08',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102854,'Struktur- und Metadaten',NULL,3,5,10447,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102855,'Archivierung',NULL,2,7,10447,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102856,'Import DMS',NULL,3,6,10447,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102857,'Scannen',NULL,10,2,10447,3,'2009-06-09 14:54:28',1,'2009-06-09 14:54:20',1,0,0,0,0,'2009-06-09 14:54:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102858,'Bibliografische Aufnahme',NULL,3,1,10447,3,'2009-06-03 10:58:31',1,'2009-06-03 10:58:31',1,0,0,0,0,'2009-06-03 10:58:31',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102859,'Scannen',NULL,0,2,10448,3,'2009-06-05 08:16:05',1,'2009-06-05 07:47:05',1,0,0,0,0,'2009-06-05 08:16:05',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102860,'Archivierung',NULL,2,7,10448,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102861,'Qualitätskontrolle',NULL,3,3,10448,3,'2009-06-05 08:35:25',1,'2009-06-05 08:19:09',1,0,0,0,0,'2009-06-05 08:35:25',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102862,'Bibliografische Aufnahme',NULL,3,1,10448,3,'2009-06-03 11:00:48',1,'2009-06-03 11:00:48',1,0,0,0,0,'2009-06-03 11:00:48',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102863,'Imagenachbearbeitung',NULL,3,4,10448,3,'2009-06-05 09:48:21',1,'2009-06-05 09:06:17',1,0,0,0,0,'2009-06-05 09:48:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102864,'Struktur- und Metadaten',NULL,3,5,10448,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102865,'Import DMS',NULL,3,6,10448,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102866,'Import DMS',NULL,3,6,10449,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102867,'Imagenachbearbeitung',NULL,3,4,10449,3,'2009-06-04 09:51:31',1,'2009-06-04 09:33:53',1,0,0,0,0,'2009-06-04 09:51:31',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102868,'Qualitätskontrolle',NULL,3,3,10449,3,'2009-06-04 09:23:12',1,'2009-06-04 09:03:09',1,0,0,0,0,'2009-06-04 09:23:12',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102869,'Struktur- und Metadaten',NULL,3,5,10449,3,'2009-06-04 18:43:17',1,'2009-06-04 17:55:31',1,0,0,0,0,'2009-06-04 18:43:17',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102870,'Archivierung',NULL,2,7,10449,1,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102871,'Scannen',NULL,0,2,10449,3,'2009-06-04 08:54:36',1,'2009-06-04 07:19:40',1,0,0,0,0,'2009-06-04 08:54:36',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102872,'Bibliografische Aufnahme',NULL,3,1,10449,3,'2009-06-03 11:07:07',1,'2009-06-03 11:07:07',1,0,0,0,0,'2009-06-03 11:07:07',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102874,'Import DMS',NULL,3,6,10450,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102875,'Imagenachbearbeitung',NULL,3,4,10450,3,'2009-06-08 14:04:31',1,'2009-06-05 19:11:15',1,0,0,0,0,'2009-06-08 14:04:31',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102876,'Qualitätskontrolle',NULL,3,3,10450,3,'2009-06-05 18:31:57',1,'2009-06-05 14:54:24',1,0,0,0,0,'2009-06-05 18:31:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102877,'Struktur- und Metadaten',NULL,3,5,10450,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102878,'Bibliografische Aufnahme',NULL,3,1,10450,3,'2009-06-03 11:11:06',1,'2009-06-03 11:11:06',1,0,0,0,0,'2009-06-03 11:11:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102879,'Scannen',NULL,0,2,10450,3,'2009-06-05 10:27:23',1,'2009-06-05 07:55:32',1,0,0,0,0,'2009-06-05 10:27:23',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102880,'Scannen',NULL,0,2,10451,3,'2009-06-08 13:18:34',1,'2009-06-08 10:07:18',1,0,0,0,0,'2009-06-08 13:18:34',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102881,'Struktur- und Metadaten',NULL,3,5,10451,2,'2009-06-10 10:48:29',1,'2009-06-10 10:48:29',1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (102882,'Archivierung',NULL,2,7,10451,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102883,'Qualitätskontrolle',NULL,3,3,10451,3,'2009-06-08 16:15:57',1,'2009-06-08 15:27:14',1,0,0,0,0,'2009-06-08 16:15:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102884,'Bibliografische Aufnahme',NULL,3,1,10451,3,'2009-06-03 11:18:30',1,'2009-06-03 11:18:30',1,0,0,0,0,'2009-06-03 11:18:30',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102885,'Imagenachbearbeitung',NULL,3,4,10451,3,'2009-06-09 18:07:07',1,'2009-06-08 19:46:37',1,0,0,0,0,'2009-06-09 18:07:07',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (102886,'Import DMS',NULL,3,6,10451,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102887,'Bibliografische Aufnahme',NULL,3,1,10452,3,'2009-06-03 11:26:23',1,'2009-06-03 11:26:23',1,0,0,0,0,'2009-06-03 11:26:23',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102888,'Scannen',NULL,0,2,10452,3,'2009-06-04 15:55:10',1,'2009-06-04 15:44:44',1,0,0,0,0,'2009-06-04 15:03:07',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102889,'Qualitätskontrolle',NULL,10,3,10452,3,'2009-06-04 16:26:58',1,'2009-06-04 15:56:49',1,0,0,0,0,'2009-06-04 16:26:58',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102890,'Archivierung',NULL,2,7,10452,1,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102891,'Struktur- und Metadaten',NULL,3,5,10452,3,'2009-06-05 09:08:20',1,'2009-06-05 08:13:01',1,0,0,0,0,'2009-06-05 09:08:20',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102892,'Import DMS',NULL,3,6,10452,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102893,'Imagenachbearbeitung',NULL,3,4,10452,3,'2009-06-04 17:35:55',1,'2009-06-04 16:46:58',1,0,0,0,0,'2009-06-04 17:35:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102894,'Qualitätskontrolle',NULL,3,3,10453,3,'2009-06-04 14:50:02',1,'2009-06-04 13:38:37',1,0,0,0,0,'2009-06-04 14:50:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102895,'Archivierung',NULL,2,7,10453,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102896,'Import DMS',NULL,3,6,10453,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102897,'Bibliografische Aufnahme',NULL,3,1,10453,3,'2009-06-03 11:33:06',1,'2009-06-03 11:33:06',1,0,0,0,0,'2009-06-03 11:33:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102898,'Scannen',NULL,0,2,10453,3,'2009-06-04 13:35:52',1,'2009-06-04 08:06:14',1,0,0,0,0,'2009-06-04 13:35:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102899,'Struktur- und Metadaten',NULL,3,5,10453,1,'2009-06-08 07:44:13',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102900,'Imagenachbearbeitung',NULL,3,4,10453,3,'2009-06-04 17:02:32',1,'2009-06-04 14:56:26',1,0,0,0,0,'2009-06-04 17:02:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102901,'Import DMS',NULL,3,6,10454,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102902,'Bibliografische Aufnahme',NULL,3,1,10454,3,'2009-06-03 11:35:33',1,'2009-06-03 11:35:33',1,0,0,0,0,'2009-06-03 11:35:33',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102903,'Scannen',NULL,0,2,10454,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102904,'Qualitätskontrolle',NULL,3,3,10454,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102905,'Imagenachbearbeitung',NULL,3,4,10454,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102906,'Struktur- und Metadaten',NULL,3,5,10454,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102907,'Archivierung',NULL,2,7,10454,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102908,'Archivierung',NULL,2,7,10455,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102909,'Import DMS',NULL,3,6,10455,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102910,'Imagenachbearbeitung',NULL,3,4,10455,3,'2009-06-08 14:04:19',1,'2009-06-05 19:11:13',1,0,0,0,0,'2009-06-08 14:04:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102911,'Qualitätskontrolle',NULL,10,3,10455,3,'2009-06-05 15:42:40',1,'2009-06-05 15:42:32',1,0,0,0,0,'2009-06-05 15:42:40',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102912,'Scannen',NULL,0,2,10455,3,'2009-06-04 18:52:50',1,'2009-06-04 17:24:11',1,0,0,0,0,'2009-06-04 16:40:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102913,'Bibliografische Aufnahme',NULL,10,1,10455,3,'2009-06-03 11:38:04',1,'2009-06-03 11:38:04',1,0,0,0,0,'2009-06-03 11:38:04',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102914,'Struktur- und Metadaten',NULL,3,5,10455,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102915,'Import DMS',NULL,3,6,10456,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102916,'Qualitätskontrolle',NULL,10,3,10456,3,'2009-06-09 16:18:01',1,'2009-06-09 15:17:54',1,0,0,0,0,'2009-06-09 16:18:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102917,'Archivierung',NULL,2,7,10456,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102918,'Bibliografische Aufnahme',NULL,3,1,10456,3,'2009-06-03 11:50:33',1,'2009-06-03 11:50:33',1,0,0,0,0,'2009-06-03 11:50:33',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102919,'Struktur- und Metadaten',NULL,3,5,10456,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102920,'Scannen',NULL,0,2,10456,3,'2009-06-08 10:31:19',1,'2009-06-08 09:34:42',1,0,0,0,0,'2009-06-05 18:04:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102921,'Imagenachbearbeitung',NULL,3,4,10456,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102929,'Scannen',NULL,0,2,10458,3,'2009-06-05 15:22:01',1,'2009-06-05 14:58:21',1,0,0,0,0,'2009-06-05 15:22:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102930,'Imagenachbearbeitung',NULL,3,4,10458,3,'2009-06-08 13:45:52',1,'2009-06-08 12:05:42',1,0,0,0,0,'2009-06-08 13:45:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102931,'Qualitätskontrolle',NULL,3,3,10458,3,'2009-06-08 11:21:42',1,'2009-06-08 10:58:05',1,0,0,0,0,'2009-06-08 11:21:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102932,'Import DMS',NULL,3,6,10458,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102933,'Struktur- und Metadaten',NULL,3,5,10458,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102934,'Bibliografische Aufnahme',NULL,3,1,10458,3,'2009-06-03 12:10:21',1,'2009-06-03 12:10:21',1,0,0,0,0,'2009-06-03 12:10:21',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102935,'Archivierung',NULL,2,7,10458,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102936,'Archivierung',NULL,2,7,10459,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102937,'Import DMS',NULL,3,6,10459,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102938,'Struktur- und Metadaten',NULL,3,5,10459,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102939,'Scannen',NULL,0,2,10459,3,'2009-06-08 07:53:29',1,'2009-06-08 06:10:10',1,0,0,0,0,'2009-06-08 07:53:29',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102940,'Imagenachbearbeitung',NULL,3,4,10459,3,'2009-06-08 11:20:15',1,'2009-06-08 09:52:56',1,0,0,0,0,'2009-06-08 11:20:15',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102941,'Qualitätskontrolle',NULL,3,3,10459,3,'2009-06-08 09:06:55',1,'2009-06-08 07:59:42',1,0,0,0,0,'2009-06-08 09:06:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102942,'Bibliografische Aufnahme',NULL,3,1,10459,3,'2009-06-03 12:39:27',1,'2009-06-03 12:39:27',1,0,0,0,0,'2009-06-03 12:39:27',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102943,'Import DMS',NULL,3,6,10460,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102944,'Bibliografische Aufnahme',NULL,3,1,10460,3,'2009-06-03 12:48:15',1,'2009-06-03 12:48:15',1,0,0,0,0,'2009-06-03 12:48:15',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102945,'Archivierung',NULL,2,7,10460,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102946,'Imagenachbearbeitung',NULL,3,4,10460,3,'2009-06-09 18:07:33',1,'2009-06-08 19:46:39',1,0,0,0,0,'2009-06-09 18:07:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (102947,'Struktur- und Metadaten',NULL,3,5,10460,1,'2009-06-09 18:07:33',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (102948,'Scannen',NULL,0,2,10460,3,'2009-06-08 15:35:09',1,'2009-06-08 15:26:39',1,0,0,0,0,'2009-06-05 16:40:44',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102949,'Qualitätskontrolle',NULL,10,3,10460,3,'2009-06-08 16:48:00',1,'2009-06-08 16:34:39',1,0,0,0,0,'2009-06-08 16:48:00',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102979,'Scannen',NULL,0,2,10465,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102980,'Bibliografische Aufnahme',NULL,3,1,10465,3,'2009-06-03 15:35:59',1,'2009-06-03 15:35:59',1,0,0,0,0,'2009-06-03 15:35:59',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102981,'Struktur- und Metadaten',NULL,3,5,10465,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102982,'Qualitätskontrolle',NULL,3,3,10465,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102983,'Imagenachbearbeitung',NULL,3,4,10465,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102984,'Import DMS',NULL,3,6,10465,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102985,'Import DMS',NULL,3,6,10466,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102986,'Imagenachbearbeitung',NULL,3,4,10466,3,'2009-06-10 10:49:28',1,'2009-06-10 09:19:10',1,0,0,0,0,'2009-06-10 10:49:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102987,'Bibliografische Aufnahme',NULL,3,1,10466,3,'2009-06-03 15:41:39',1,'2009-06-03 15:41:39',1,0,0,0,0,'2009-06-03 15:41:39',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102988,'Qualitätskontrolle',NULL,10,3,10466,3,'2009-06-09 18:10:53',1,'2009-06-09 17:57:56',1,0,0,0,0,'2009-06-09 18:10:53',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102989,'Scannen',NULL,10,2,10466,3,'2009-06-09 17:11:32',1,'2009-06-09 16:56:53',1,0,0,0,0,'2009-06-09 17:11:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102990,'Struktur- und Metadaten',NULL,3,5,10466,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102991,'Archivierung',NULL,2,7,10466,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102992,'Scannen',NULL,10,2,10467,2,'2009-06-10 06:15:04',1,'2009-06-10 06:15:04',1,0,0,0,0,'2009-06-08 09:32:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102993,'Import DMS',NULL,3,6,10467,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (102994,'Qualitätskontrolle',NULL,10,3,10467,0,'2009-06-08 13:05:46',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102995,'Struktur- und Metadaten',NULL,3,5,10467,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (102996,'Bibliografische Aufnahme',NULL,3,1,10467,3,'2009-06-03 15:55:45',1,'2009-06-03 15:55:45',1,0,0,0,0,'2009-06-03 15:55:45',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102997,'Imagenachbearbeitung',NULL,3,4,10467,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (102998,'Archivierung',NULL,2,7,10467,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (102999,'Import DMS',NULL,3,6,10468,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103000,'Struktur- und Metadaten',NULL,3,5,10468,3,'2009-06-08 16:28:40',1,'2009-06-08 15:55:13',1,0,0,0,0,'2009-06-08 16:28:40',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103001,'Imagenachbearbeitung',NULL,3,4,10468,3,'2009-06-08 15:30:57',1,'2009-06-08 14:42:37',1,0,0,0,0,'2009-06-08 15:30:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103002,'Scannen',NULL,0,2,10468,3,'2009-06-08 11:13:28',1,'2009-06-08 11:11:16',1,0,0,0,0,'2009-06-08 11:13:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103003,'Bibliografische Aufnahme',NULL,3,1,10468,3,'2009-06-03 16:01:50',1,'2009-06-03 16:01:50',1,0,0,0,0,'2009-06-03 16:01:50',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103004,'Archivierung',NULL,2,7,10468,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103005,'Qualitätskontrolle',NULL,3,3,10468,3,'2009-06-08 14:18:13',1,'2009-06-08 12:07:43',1,0,0,0,0,'2009-06-08 14:18:13',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103006,'Imagenachbearbeitung',NULL,3,4,10469,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103007,'Import DMS',NULL,3,6,10469,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103008,'Qualitätskontrolle',NULL,3,3,10469,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103009,'Bibliografische Aufnahme',NULL,3,1,10469,3,'2009-06-03 16:18:26',1,'2009-06-03 16:18:26',1,0,0,0,0,'2009-06-03 16:18:26',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103010,'Archivierung',NULL,2,7,10469,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103011,'Struktur- und Metadaten',NULL,3,5,10469,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103012,'Scannen',NULL,0,2,10469,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103013,'Bibliografische Aufnahme',NULL,3,1,10470,3,'2009-06-03 16:25:15',1,'2009-06-03 16:25:15',1,0,0,0,0,'2009-06-03 16:25:15',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103014,'Imagenachbearbeitung',NULL,0,4,10470,3,'2009-06-09 14:05:54',1,'2009-06-09 14:04:40',1,0,0,0,0,'2009-06-08 13:15:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103015,'Import DMS',NULL,3,6,10470,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103016,'Archivierung',NULL,2,7,10470,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103017,'Struktur- und Metadaten',NULL,10,5,10470,1,'2009-06-08 17:05:06',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103018,'Scannen',NULL,0,2,10470,3,'2009-06-09 12:56:06',1,'2009-06-09 12:48:21',1,0,0,0,0,'2009-06-08 10:01:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103019,'Qualitätskontrolle',NULL,0,3,10470,3,'2009-06-09 13:25:26',1,'2009-06-09 12:59:11',1,0,0,0,0,'2009-06-08 10:03:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103020,'Struktur- und Metadaten',NULL,3,5,10471,2,'2009-06-10 11:10:19',1,'2009-06-10 11:10:19',1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103021,'Bibliografische Aufnahme',NULL,3,1,10471,3,'2009-06-04 08:52:06',1,'2009-06-04 08:52:06',1,0,0,0,0,'2009-06-04 08:52:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103022,'Import DMS',NULL,3,6,10471,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103023,'Imagenachbearbeitung',NULL,3,4,10471,3,'2009-06-05 16:59:19',1,'2009-06-05 15:12:32',1,0,0,0,0,'2009-06-05 16:59:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103024,'Scannen',NULL,0,2,10471,3,'2009-06-05 12:05:38',1,'2009-06-05 11:36:57',1,0,0,0,0,'2009-06-05 12:05:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103025,'Archivierung',NULL,2,7,10471,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103026,'Qualitätskontrolle',NULL,3,3,10471,3,'2009-06-05 12:54:56',1,'2009-06-05 12:33:03',1,0,0,0,0,'2009-06-05 12:54:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103027,'Import DMS',NULL,3,6,10472,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103028,'Bibliografische Aufnahme',NULL,3,1,10472,3,'2009-06-04 09:05:29',1,'2009-06-04 09:05:29',1,0,0,0,0,'2009-06-04 09:05:29',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103029,'Qualitätskontrolle',NULL,3,3,10472,3,'2009-06-05 15:42:08',1,'2009-06-05 15:04:09',1,0,0,0,0,'2009-06-05 15:42:08',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103030,'Archivierung',NULL,2,7,10472,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103031,'Struktur- und Metadaten',NULL,3,5,10472,3,'2009-06-09 13:06:27',1,'2009-06-09 12:26:26',1,0,0,0,0,'2009-06-09 13:06:27',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103032,'Imagenachbearbeitung',NULL,3,4,10472,3,'2009-06-08 14:04:15',1,'2009-06-05 19:11:13',1,0,0,0,0,'2009-06-08 14:04:15',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103033,'Scannen',NULL,0,2,10472,3,'2009-06-05 12:48:33',1,'2009-06-05 11:17:02',1,0,0,0,0,'2009-06-05 12:48:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103034,'Struktur- und Metadaten',NULL,3,5,10473,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103035,'Import DMS',NULL,3,6,10473,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103036,'Qualitätskontrolle',NULL,3,3,10473,3,'2009-06-05 18:23:42',1,'2009-06-05 18:01:36',1,0,0,0,0,'2009-06-05 18:23:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103037,'Archivierung',NULL,2,7,10473,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103038,'Bibliografische Aufnahme',NULL,3,1,10473,3,'2009-06-04 09:07:35',1,'2009-06-04 09:07:35',1,0,0,0,0,'2009-06-04 09:07:35',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103039,'Imagenachbearbeitung',NULL,3,4,10473,3,'2009-06-08 14:03:56',1,'2009-06-05 19:11:10',1,0,0,0,0,'2009-06-08 14:03:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103040,'Scannen',NULL,0,2,10473,3,'2009-06-05 14:02:07',1,'2009-06-05 13:10:06',1,0,0,0,0,'2009-06-05 14:02:07',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103041,'Import DMS',NULL,3,6,10474,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103042,'Qualitätskontrolle',NULL,3,3,10474,3,'2009-06-08 09:00:16',1,'2009-06-08 08:28:23',1,0,0,0,0,'2009-06-08 09:00:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103043,'Scannen',NULL,0,2,10474,3,'2009-06-05 14:55:55',1,'2009-06-05 14:30:27',1,0,0,0,0,'2009-06-05 14:55:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103044,'Archivierung',NULL,2,7,10474,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103045,'Struktur- und Metadaten',NULL,3,5,10474,3,'2009-06-09 15:46:06',1,'2009-06-09 15:34:50',1,0,0,0,0,'2009-06-09 15:46:06',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103046,'Bibliografische Aufnahme',NULL,3,1,10474,3,'2009-06-04 09:13:25',1,'2009-06-04 09:13:25',1,0,0,0,0,'2009-06-04 09:13:25',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103047,'Imagenachbearbeitung',NULL,3,4,10474,3,'2009-06-08 13:15:18',1,'2009-06-08 11:24:33',1,0,0,0,0,'2009-06-08 13:15:18',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103048,'Archivierung',NULL,2,7,10475,1,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103049,'Scannen',NULL,0,2,10475,3,'2009-06-05 13:07:14',1,'2009-06-05 12:28:01',1,0,0,0,0,'2009-06-05 13:07:14',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103050,'Imagenachbearbeitung',NULL,3,4,10475,3,'2009-06-05 16:02:37',1,'2009-06-05 15:40:47',1,0,0,0,0,'2009-06-05 16:02:37',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103051,'Qualitätskontrolle',NULL,3,3,10475,3,'2009-06-05 15:26:38',1,'2009-06-05 15:00:46',1,0,0,0,0,'2009-06-05 15:26:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103052,'Import DMS',NULL,3,6,10475,3,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103053,'Bibliografische Aufnahme',NULL,3,1,10475,3,'2009-06-04 09:14:44',1,'2009-06-04 09:14:44',1,0,0,0,0,'2009-06-04 09:14:44',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103054,'Struktur- und Metadaten',NULL,3,5,10475,3,'2009-06-08 14:01:06',1,'2009-06-08 13:12:44',1,0,0,0,0,'2009-06-08 14:01:06',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103062,'Imagenachbearbeitung',NULL,3,4,10477,3,'2009-06-08 14:04:11',1,'2009-06-05 19:11:12',1,0,0,0,0,'2009-06-08 14:04:11',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103063,'Import DMS',NULL,3,6,10477,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103064,'Scannen',NULL,0,2,10477,3,'2009-06-05 14:48:37',1,'2009-06-05 12:55:33',1,0,0,0,0,'2009-06-05 14:48:37',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103065,'Struktur- und Metadaten',NULL,3,5,10477,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103066,'Bibliografische Aufnahme',NULL,3,1,10477,3,'2009-06-04 09:18:28',1,'2009-06-04 09:18:28',1,0,0,0,0,'2009-06-04 09:18:28',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103067,'Qualitätskontrolle',NULL,3,3,10477,3,'2009-06-05 16:33:13',1,'2009-06-05 15:34:50',1,0,0,0,0,'2009-06-05 16:33:13',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103068,'Archivierung',NULL,2,7,10477,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103069,'Struktur- und Metadaten',NULL,3,5,10478,3,'2009-06-10 10:47:10',1,'2009-06-10 10:32:19',1,0,0,0,0,'2009-06-10 10:47:10',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103070,'Archivierung',NULL,2,7,10478,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103071,'Import DMS',NULL,3,6,10478,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103072,'Imagenachbearbeitung',NULL,3,4,10478,3,'2009-06-09 14:06:06',1,'2009-06-09 13:22:15',1,0,0,0,0,'2009-06-09 14:06:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103073,'Scannen',NULL,0,2,10478,3,'2009-06-08 19:40:04',1,'2009-06-08 18:29:35',1,0,0,0,0,'2009-06-08 19:40:04',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103074,'Bibliografische Aufnahme',NULL,3,1,10478,3,'2009-06-04 09:26:43',1,'2009-06-04 09:26:43',1,0,0,0,0,'2009-06-04 09:26:43',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103075,'Qualitätskontrolle',NULL,3,3,10478,3,'2009-06-09 08:58:21',1,'2009-06-09 07:47:06',1,0,0,0,0,'2009-06-09 08:58:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103076,'Qualitätskontrolle',NULL,3,3,10479,3,'2009-06-05 12:37:11',1,'2009-06-05 12:29:53',1,0,0,0,0,'2009-06-05 12:37:11',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103077,'Bibliografische Aufnahme',NULL,3,1,10479,3,'2009-06-04 09:33:35',1,'2009-06-04 09:33:35',1,0,0,0,0,'2009-06-04 09:33:35',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103078,'Import DMS',NULL,3,6,10479,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103079,'Archivierung',NULL,2,7,10479,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103080,'Scannen',NULL,0,2,10479,3,'2009-06-05 12:26:20',1,'2009-06-05 12:08:29',1,0,0,0,0,'2009-06-05 12:26:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103081,'Struktur- und Metadaten',NULL,3,5,10479,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103082,'Imagenachbearbeitung',NULL,3,4,10479,3,'2009-06-05 19:24:02',1,'2009-06-05 19:11:04',1,0,0,0,0,'2009-06-05 19:24:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103083,'Qualitätskontrolle',NULL,3,3,10480,3,'2009-06-08 10:29:42',1,'2009-06-08 08:51:31',1,0,0,0,0,'2009-06-08 10:29:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103084,'Archivierung',NULL,2,7,10480,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103085,'Struktur- und Metadaten',NULL,3,5,10480,3,'2009-06-09 15:34:29',1,'2009-06-09 15:24:31',1,0,0,0,0,'2009-06-09 15:34:29',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103086,'Bibliografische Aufnahme',NULL,3,1,10480,3,'2009-06-04 09:40:45',1,'2009-06-04 09:40:45',1,0,0,0,0,'2009-06-04 09:40:45',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103087,'Scannen',NULL,0,2,10480,3,'2009-06-05 09:59:28',1,'2009-06-05 09:37:47',1,0,0,0,0,'2009-06-05 09:59:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103088,'Import DMS',NULL,3,6,10480,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103089,'Imagenachbearbeitung',NULL,3,4,10480,3,'2009-06-08 11:20:17',1,'2009-06-08 10:43:05',1,0,0,0,0,'2009-06-08 11:20:17',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103090,'Archivierung',NULL,2,7,10481,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103091,'Import DMS',NULL,3,6,10481,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103092,'Imagenachbearbeitung',NULL,3,4,10481,3,'2009-06-05 19:39:30',1,'2009-06-05 19:11:16',1,0,0,0,0,'2009-06-05 19:39:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103093,'Scannen',NULL,10,2,10481,3,'2009-06-05 15:43:34',1,'2009-06-05 15:22:37',1,0,0,0,0,'2009-06-05 15:43:34',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103094,'Struktur- und Metadaten',NULL,3,5,10481,3,'2009-06-08 15:22:32',1,'2009-06-08 15:15:21',1,0,0,0,0,'2009-06-08 15:22:32',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103095,'Qualitätskontrolle',NULL,10,3,10481,3,'2009-06-05 16:27:43',1,'2009-06-05 16:01:09',1,0,0,0,0,'2009-06-05 16:27:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103096,'Bibliografische Aufnahme',NULL,3,1,10481,3,'2009-06-04 09:40:58',1,'2009-06-04 09:40:58',1,0,0,0,0,'2009-06-04 09:40:58',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103097,'Struktur- und Metadaten',NULL,3,5,10482,3,'2009-06-09 17:04:11',1,'2009-06-09 16:55:41',1,0,0,0,0,'2009-06-09 17:04:11',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103098,'Scannen',NULL,0,2,10482,3,'2009-06-08 09:26:26',1,'2009-06-08 09:26:06',1,0,0,0,0,'2009-06-05 17:55:47',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103099,'Import DMS',NULL,3,6,10482,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103100,'Bibliografische Aufnahme',NULL,3,1,10482,3,'2009-06-04 09:48:05',1,'2009-06-04 09:48:05',1,0,0,0,0,'2009-06-04 09:48:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103101,'Imagenachbearbeitung',NULL,10,4,10482,3,'2009-06-08 13:15:19',1,'2009-06-08 11:49:31',1,0,0,0,0,'2009-06-08 13:15:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL);
INSERT INTO `schritte` (`SchritteID`,`Titel`,`EigenschaftenID`,`Prioritaet`,`Reihenfolge`,`ProzesseID`,`Bearbeitungsstatus`,`BearbeitungsZeitpunkt`,`BearbeitungsBenutzerID`,`BearbeitungsBeginn`,`Typ`,`beimAnnehmenModul`,`beimAnnehmenAbschliessen`,`beimAnnehmenModulUndAbschliessen`,`homeverzeichnisNutzen`,`BearbeitungsEnde`,`typMetadaten`,`typAutomatisch`,`typImportFileUpload`,`typExportRus`,`typImagesLesen`,`typImagesSchreiben`,`typExportDMS`,`typBeimAnnehmenModul`,`typBeimAnnehmenAbschliessen`,`typBeimAnnehmenModulUndAbschliessen`,`typAutomatischScriptpfad`,`typBeimAbschliessenVerifizieren`,`typModulName`,`edittype`) VALUES 
 (103102,'Archivierung',NULL,2,7,10482,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103103,'Qualitätskontrolle',NULL,10,3,10482,3,'2009-06-08 10:22:41',1,'2009-06-08 10:20:09',1,0,0,0,0,'2009-06-08 10:22:41',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103125,'Import DMS',NULL,3,6,10486,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103126,'Bibliografische Aufnahme',NULL,3,1,10486,3,'2009-06-04 10:13:47',1,'2009-06-04 10:13:47',1,0,0,0,0,'2009-06-04 10:13:47',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103127,'Archivierung',NULL,2,7,10486,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103128,'Imagenachbearbeitung',NULL,3,4,10486,3,'2009-06-05 18:47:04',1,'2009-06-05 16:42:08',1,0,0,0,0,'2009-06-05 18:47:04',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103129,'Struktur- und Metadaten',NULL,3,5,10486,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103130,'Scannen',NULL,0,2,10486,3,'2009-06-05 15:32:01',1,'2009-06-05 14:53:08',1,0,0,0,0,'2009-06-05 15:32:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103131,'Qualitätskontrolle',NULL,3,3,10486,3,'2009-06-05 16:00:21',1,'2009-06-05 15:42:55',1,0,0,0,0,'2009-06-05 16:00:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103139,'Struktur- und Metadaten',NULL,3,5,10488,3,'2009-06-10 08:32:50',1,'2009-06-10 08:18:41',1,0,0,0,0,'2009-06-10 08:32:50',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103140,'Imagenachbearbeitung',NULL,3,4,10488,3,'2009-06-09 08:42:05',1,'2009-06-08 14:51:17',1,0,0,0,0,'2009-06-09 08:42:05',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103141,'Qualitätskontrolle',NULL,3,3,10488,3,'2009-06-08 14:49:19',1,'2009-06-08 13:52:19',1,0,0,0,0,'2009-06-08 14:49:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103142,'Import DMS',NULL,3,6,10488,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103143,'Scannen',NULL,0,2,10488,3,'2009-06-05 17:39:52',1,'2009-06-05 15:17:11',1,0,0,0,0,'2009-06-05 17:39:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103144,'Bibliografische Aufnahme',NULL,3,1,10488,3,'2009-06-04 11:19:45',1,'2009-06-04 11:19:45',1,0,0,0,0,'2009-06-04 11:19:45',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103145,'Archivierung',NULL,2,7,10488,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103146,'Imagenachbearbeitung',NULL,3,4,10489,3,'2009-06-08 15:53:59',1,'2009-06-08 15:11:48',1,0,0,0,0,'2009-06-08 15:53:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103147,'Qualitätskontrolle',NULL,3,3,10489,3,'2009-06-08 15:04:16',1,'2009-06-08 14:38:31',1,0,0,0,0,'2009-06-08 15:04:16',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103148,'Struktur- und Metadaten',NULL,3,5,10489,3,'2009-06-08 16:49:42',1,'2009-06-08 16:31:06',1,0,0,0,0,'2009-06-08 16:49:42',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103149,'Bibliografische Aufnahme',NULL,3,1,10489,3,'2009-06-04 11:22:40',1,'2009-06-04 11:22:40',1,0,0,0,0,'2009-06-04 11:22:40',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103150,'Scannen',NULL,0,2,10489,3,'2009-06-05 17:23:36',1,'2009-06-05 16:17:44',1,0,0,0,0,'2009-06-05 17:23:36',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103151,'Import DMS',NULL,3,6,10489,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103152,'Archivierung',NULL,2,7,10489,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103153,'Imagenachbearbeitung',NULL,3,4,10490,3,'2009-06-08 13:15:20',1,'2009-06-08 11:37:44',1,0,0,0,0,'2009-06-08 13:15:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103154,'Struktur- und Metadaten',NULL,3,5,10490,3,'2009-06-09 12:08:39',1,'2009-06-09 12:03:32',1,0,0,0,0,'2009-06-09 12:08:39',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103155,'Bibliografische Aufnahme',NULL,3,1,10490,3,'2009-06-04 11:28:32',1,'2009-06-04 11:28:32',1,0,0,0,0,'2009-06-04 11:28:32',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103156,'Scannen',NULL,0,2,10490,3,'2009-06-05 14:29:09',1,'2009-06-05 14:03:51',1,0,0,0,0,'2009-06-05 14:29:09',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103157,'Qualitätskontrolle',NULL,3,3,10490,3,'2009-06-08 09:27:29',1,'2009-06-08 09:08:14',1,0,0,0,0,'2009-06-08 09:27:29',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103158,'Archivierung',NULL,2,7,10490,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103159,'Import DMS',NULL,3,6,10490,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103160,'Scannen',NULL,0,2,10491,3,'2009-06-05 17:44:17',1,'2009-06-05 17:04:55',1,0,0,0,0,'2009-06-05 17:44:17',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103161,'Archivierung',NULL,2,7,10491,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103162,'Import DMS',NULL,3,6,10491,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103163,'Struktur- und Metadaten',NULL,3,5,10491,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103164,'Imagenachbearbeitung',NULL,3,4,10491,3,'2009-06-08 14:04:06',1,'2009-06-05 19:11:11',1,0,0,0,0,'2009-06-08 14:04:06',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103165,'Qualitätskontrolle',NULL,3,3,10491,3,'2009-06-05 18:38:17',1,'2009-06-05 17:54:51',1,0,0,0,0,'2009-06-05 18:38:17',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103166,'Bibliografische Aufnahme',NULL,3,1,10491,3,'2009-06-04 11:31:34',1,'2009-06-04 11:31:34',1,0,0,0,0,'2009-06-04 11:31:34',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103167,'Struktur- und Metadaten',NULL,3,5,10492,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103168,'Import DMS',NULL,3,6,10492,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103169,'Scannen',NULL,0,2,10492,3,'2009-06-05 16:13:36',1,'2009-06-05 15:34:13',1,0,0,0,0,'2009-06-05 16:13:36',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103170,'Bibliografische Aufnahme',NULL,3,1,10492,3,'2009-06-04 11:49:06',1,'2009-06-04 11:49:06',1,0,0,0,0,'2009-06-04 11:49:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103171,'Qualitätskontrolle',NULL,3,3,10492,3,'2009-06-05 17:45:03',1,'2009-06-05 17:08:12',1,0,0,0,0,'2009-06-05 17:45:03',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103172,'Archivierung',NULL,2,7,10492,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103173,'Imagenachbearbeitung',NULL,3,4,10492,3,'2009-06-05 19:28:51',1,'2009-06-05 19:11:14',1,0,0,0,0,'2009-06-05 19:28:51',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103174,'Scannen',NULL,0,2,10493,3,'2009-06-05 18:07:01',1,'2009-06-05 17:27:48',1,0,0,0,0,'2009-06-05 18:07:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103175,'Bibliografische Aufnahme',NULL,3,1,10493,3,'2009-06-04 11:54:50',1,'2009-06-04 11:54:50',1,0,0,0,0,'2009-06-04 11:54:50',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103176,'Qualitätskontrolle',NULL,3,3,10493,3,'2009-06-08 11:03:38',1,'2009-06-08 09:10:22',1,0,0,0,0,'2009-06-08 11:03:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103177,'Struktur- und Metadaten',NULL,3,5,10493,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103178,'Archivierung',NULL,2,7,10493,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103179,'Imagenachbearbeitung',NULL,3,4,10493,3,'2009-06-08 11:44:54',1,'2009-06-08 11:06:24',1,0,0,0,0,'2009-06-08 11:44:54',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103180,'Import DMS',NULL,3,6,10493,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103181,'Import DMS',NULL,3,6,10494,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103182,'Struktur- und Metadaten',NULL,3,5,10494,1,'2009-06-09 18:07:11',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103183,'Qualitätskontrolle',NULL,3,3,10494,3,'2009-06-08 17:14:08',1,'2009-06-08 15:41:56',1,0,0,0,0,'2009-06-08 17:14:08',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103184,'Imagenachbearbeitung',NULL,3,4,10494,3,'2009-06-09 18:07:11',1,'2009-06-08 19:46:37',1,0,0,0,0,'2009-06-09 18:07:11',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103185,'Scannen',NULL,0,2,10494,3,'2009-06-08 15:26:24',1,'2009-06-05 17:50:38',1,0,0,0,0,'2009-06-08 15:26:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103186,'Archivierung',NULL,2,7,10494,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103187,'Bibliografische Aufnahme',NULL,3,1,10494,3,'2009-06-04 12:08:30',1,'2009-06-04 12:08:30',1,0,0,0,0,'2009-06-04 12:08:30',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103188,'Import DMS',NULL,3,6,10495,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103189,'Struktur- und Metadaten',NULL,3,5,10495,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103190,'Archivierung',NULL,2,7,10495,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103191,'Imagenachbearbeitung',NULL,3,4,10495,3,'2009-06-08 13:45:52',1,'2009-06-08 12:05:43',1,0,0,0,0,'2009-06-08 13:45:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103192,'Qualitätskontrolle',NULL,3,3,10495,3,'2009-06-08 09:27:53',1,'2009-06-08 08:43:00',1,0,0,0,0,'2009-06-08 09:27:53',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103193,'Scannen',NULL,0,2,10495,3,'2009-06-08 08:33:03',1,'2009-06-08 07:02:16',1,0,0,0,0,'2009-06-08 08:33:03',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103194,'Bibliografische Aufnahme',NULL,3,1,10495,3,'2009-06-04 12:11:23',1,'2009-06-04 12:11:23',1,0,0,0,0,'2009-06-04 12:11:23',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103195,'Qualitätskontrolle',NULL,3,3,10496,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103196,'Bibliografische Aufnahme',NULL,3,1,10496,3,'2009-06-04 12:14:42',1,'2009-06-04 12:14:42',1,0,0,0,0,'2009-06-04 12:14:42',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103197,'Struktur- und Metadaten',NULL,3,5,10496,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103198,'Imagenachbearbeitung',NULL,3,4,10496,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103199,'Archivierung',NULL,2,7,10496,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103200,'Import DMS',NULL,3,6,10496,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103201,'Scannen',NULL,0,2,10496,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103202,'Import DMS',NULL,3,6,10497,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103203,'Bibliografische Aufnahme',NULL,3,1,10497,3,'2009-06-04 12:18:19',1,'2009-06-04 12:18:19',1,0,0,0,0,'2009-06-04 12:18:19',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103204,'Qualitätskontrolle',NULL,3,3,10497,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103205,'Scannen',NULL,0,2,10497,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103206,'Archivierung',NULL,2,7,10497,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103207,'Imagenachbearbeitung',NULL,3,4,10497,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103208,'Struktur- und Metadaten',NULL,3,5,10497,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103209,'Scannen',NULL,0,2,10498,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103210,'Qualitätskontrolle',NULL,3,3,10498,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103211,'Import DMS',NULL,3,6,10498,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103212,'Archivierung',NULL,2,7,10498,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103213,'Struktur- und Metadaten',NULL,3,5,10498,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103214,'Bibliografische Aufnahme',NULL,3,1,10498,3,'2009-06-04 12:21:10',1,'2009-06-04 12:21:10',1,0,0,0,0,'2009-06-04 12:21:10',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103215,'Imagenachbearbeitung',NULL,3,4,10498,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103216,'Import DMS',NULL,3,6,10499,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103217,'Bibliografische Aufnahme',NULL,3,1,10499,3,'2009-06-04 13:08:14',1,'2009-06-04 13:08:14',1,0,0,0,0,'2009-06-04 13:08:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103218,'Imagenachbearbeitung',NULL,3,4,10499,3,'2009-06-10 11:01:08',1,'2009-06-09 17:01:27',1,0,0,0,0,'2009-06-10 11:01:08',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103219,'Scannen',NULL,0,2,10499,3,'2009-06-08 14:03:08',1,'2009-06-08 12:12:52',1,0,0,0,0,'2009-06-05 17:23:04',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103220,'Qualitätskontrolle',NULL,10,3,10499,3,'2009-06-09 16:45:20',1,'2009-06-09 16:24:22',1,0,0,0,0,'2009-06-09 16:45:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103221,'Archivierung',NULL,2,7,10499,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103222,'Struktur- und Metadaten',NULL,3,5,10499,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103223,'Import DMS',NULL,3,6,10500,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103224,'Imagenachbearbeitung',NULL,3,4,10500,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103225,'Archivierung',NULL,2,7,10500,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103226,'Scannen',NULL,0,2,10500,1,'2009-06-05 18:15:01',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103227,'Struktur- und Metadaten',NULL,3,5,10500,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103228,'Qualitätskontrolle',NULL,3,3,10500,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103229,'Bibliografische Aufnahme',NULL,3,1,10500,3,'2009-06-04 13:11:48',1,'2009-06-04 13:11:48',1,0,0,0,0,'2009-06-04 13:11:48',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103230,'Import DMS',NULL,3,6,10501,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103231,'Bibliografische Aufnahme',NULL,3,1,10501,3,'2009-06-04 13:17:00',1,'2009-06-04 13:17:00',1,0,0,0,0,'2009-06-04 13:17:00',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103232,'Qualitätskontrolle',NULL,3,3,10501,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103233,'Scannen',NULL,0,2,10501,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103234,'Imagenachbearbeitung',NULL,3,4,10501,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103235,'Archivierung',NULL,2,7,10501,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103236,'Struktur- und Metadaten',NULL,3,5,10501,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103237,'Archivierung',NULL,2,7,10502,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103238,'Bibliografische Aufnahme',NULL,3,1,10502,3,'2009-06-04 13:41:47',1,'2009-06-04 13:41:47',1,0,0,0,0,'2009-06-04 13:41:47',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103239,'Qualitätskontrolle',NULL,3,3,10502,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103240,'Import DMS',NULL,3,6,10502,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103241,'Struktur- und Metadaten',NULL,3,5,10502,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103242,'Imagenachbearbeitung',NULL,3,4,10502,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103243,'Scannen',NULL,0,2,10502,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103244,'Qualitätskontrolle',NULL,3,3,10503,3,'2009-06-08 12:42:38',1,'2009-06-08 10:24:17',1,0,0,0,0,'2009-06-08 12:42:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103245,'Import DMS',NULL,3,6,10503,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103246,'Imagenachbearbeitung',NULL,3,4,10503,3,'2009-06-08 14:31:24',1,'2009-06-08 13:18:00',1,0,0,0,0,'2009-06-08 14:31:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103247,'Scannen',NULL,0,2,10503,3,'2009-06-05 19:24:50',1,'2009-06-05 15:36:13',1,0,0,0,0,'2009-06-05 19:24:50',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103248,'Bibliografische Aufnahme',NULL,3,1,10503,3,'2009-06-04 13:44:11',1,'2009-06-04 13:44:11',1,0,0,0,0,'2009-06-04 13:44:11',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103249,'Archivierung',NULL,2,7,10503,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103250,'Struktur- und Metadaten',NULL,3,5,10503,2,'2009-06-09 12:21:57',1,'2009-06-09 12:12:52',1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103251,'Import DMS',NULL,3,6,10504,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103252,'Scannen',NULL,0,2,10504,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103253,'Archivierung',NULL,2,7,10504,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103254,'Struktur- und Metadaten',NULL,3,5,10504,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103255,'Bibliografische Aufnahme',NULL,3,1,10504,3,'2009-06-04 13:46:37',1,'2009-06-04 13:46:37',1,0,0,0,0,'2009-06-04 13:46:37',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103256,'Qualitätskontrolle',NULL,3,3,10504,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103257,'Imagenachbearbeitung',NULL,3,4,10504,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103272,'Qualitätskontrolle',NULL,3,3,10507,3,'2009-06-05 17:27:55',1,'2009-06-05 16:24:03',1,0,0,0,0,'2009-06-05 17:27:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103273,'Import DMS',NULL,3,6,10507,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103274,'Struktur- und Metadaten',NULL,3,5,10507,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103275,'Imagenachbearbeitung',NULL,3,4,10507,3,'2009-06-08 14:04:35',1,'2009-06-05 19:11:16',1,0,0,0,0,'2009-06-08 14:04:35',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103276,'Bibliografische Aufnahme',NULL,3,1,10507,3,'2009-06-04 13:59:55',1,'2009-06-04 13:59:55',1,0,0,0,0,'2009-06-04 13:59:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103277,'Archivierung',NULL,2,7,10507,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103278,'Scannen',NULL,0,2,10507,3,'2009-06-05 15:44:23',1,'2009-06-05 14:07:34',1,0,0,0,0,'2009-06-05 15:44:23',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103300,'Imagenachbearbeitung',NULL,3,4,10511,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103301,'Scannen',NULL,0,2,10511,1,'2009-06-08 14:11:14',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103302,'Archivierung',NULL,2,7,10511,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103303,'Import DMS',NULL,3,6,10511,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103304,'Struktur- und Metadaten',NULL,3,5,10511,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103305,'Qualitätskontrolle',NULL,3,3,10511,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103306,'Bibliografische Aufnahme',NULL,3,1,10511,3,'2009-06-04 14:17:24',1,'2009-06-04 14:17:24',1,0,0,0,0,'2009-06-04 14:17:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103377,'Scannen',NULL,0,2,10522,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103378,'Archivierung',NULL,2,7,10522,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103379,'Import DMS',NULL,3,6,10522,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103380,'Bibliografische Aufnahme',NULL,3,1,10522,3,'2009-06-04 16:14:40',1,'2009-06-04 16:14:40',1,0,0,0,0,'2009-06-04 16:14:40',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103381,'Struktur- und Metadaten',NULL,3,5,10522,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103382,'Imagenachbearbeitung',NULL,3,4,10522,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103383,'Qualitätskontrolle',NULL,3,3,10522,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103391,'Struktur- und Metadaten',NULL,3,5,10524,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103392,'Qualitätskontrolle',NULL,3,3,10524,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103393,'Archivierung',NULL,2,7,10524,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103394,'Import DMS',NULL,3,6,10524,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103395,'Bibliografische Aufnahme',NULL,3,1,10524,3,'2009-06-04 16:50:08',1,'2009-06-04 16:50:08',1,0,0,0,0,'2009-06-04 16:50:08',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103396,'Imagenachbearbeitung',NULL,3,4,10524,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103397,'Scannen',NULL,0,2,10524,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103398,'Qualitätskontrolle',NULL,3,3,10525,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103399,'Bibliografische Aufnahme',NULL,3,1,10525,3,'2009-06-05 06:58:26',1,'2009-06-05 06:58:26',1,0,0,0,0,'2009-06-05 06:58:26',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103400,'Archivierung',NULL,2,7,10525,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103401,'Struktur- und Metadaten',NULL,3,5,10525,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103402,'Imagenachbearbeitung',NULL,3,4,10525,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103403,'Scannen',NULL,0,2,10525,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103404,'Import DMS',NULL,3,6,10525,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103405,'Bibliografische Aufnahme',NULL,3,1,10526,3,'2009-06-05 07:06:55',1,'2009-06-05 07:06:55',1,0,0,0,0,'2009-06-05 07:06:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103406,'Qualitätskontrolle',NULL,3,3,10526,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103407,'Import DMS',NULL,3,6,10526,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103408,'Imagenachbearbeitung',NULL,3,4,10526,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103409,'Struktur- und Metadaten',NULL,3,5,10526,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103410,'Scannen',NULL,0,2,10526,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103411,'Archivierung',NULL,2,7,10526,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103412,'Import DMS',NULL,3,6,10527,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103413,'Archivierung',NULL,2,7,10527,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103414,'Struktur- und Metadaten',NULL,3,5,10527,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103415,'Imagenachbearbeitung',NULL,3,4,10527,2,'2009-06-10 09:49:40',1,'2009-06-10 09:49:40',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103416,'Scannen',NULL,0,2,10527,3,'2009-06-09 14:41:43',1,'2009-06-09 14:12:09',1,0,0,0,0,'2009-06-09 14:41:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103417,'Qualitätskontrolle',NULL,3,3,10527,3,'2009-06-10 09:21:01',1,'2009-06-10 09:10:52',1,0,0,0,0,'2009-06-10 09:21:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103418,'Bibliografische Aufnahme',NULL,3,1,10527,3,'2009-06-05 07:12:37',1,'2009-06-05 07:12:37',1,0,0,0,0,'2009-06-05 07:12:37',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103419,'Scannen',NULL,0,2,10528,3,'2009-06-09 09:41:55',1,'2009-06-09 09:40:00',1,0,0,0,0,'2009-06-09 09:41:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103420,'Bibliografische Aufnahme',NULL,3,1,10528,3,'2009-06-05 07:31:43',1,'2009-06-05 07:31:43',1,0,0,0,0,'2009-06-05 07:31:43',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103421,'Archivierung',NULL,2,7,10528,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103422,'Import DMS',NULL,3,6,10528,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103423,'Imagenachbearbeitung',NULL,3,4,10528,3,'2009-06-09 15:31:30',1,'2009-06-09 13:17:31',1,0,0,0,0,'2009-06-09 15:31:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103424,'Qualitätskontrolle',NULL,3,3,10528,3,'2009-06-09 11:22:53',1,'2009-06-09 10:03:38',1,0,0,0,0,'2009-06-09 11:22:53',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103425,'Struktur- und Metadaten',NULL,3,5,10528,3,'2009-06-10 11:03:40',1,'2009-06-10 09:33:14',1,0,0,0,0,'2009-06-10 11:03:40',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103426,'Archivierung',NULL,2,7,10529,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103427,'Import DMS',NULL,3,6,10529,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103428,'Bibliografische Aufnahme',NULL,3,1,10529,3,'2009-06-05 07:34:34',1,'2009-06-05 07:34:34',1,0,0,0,0,'2009-06-05 07:34:34',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103429,'Qualitätskontrolle',NULL,3,3,10529,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103430,'Imagenachbearbeitung',NULL,3,4,10529,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103431,'Scannen',NULL,0,2,10529,2,'2009-06-10 07:57:10',1,'2009-06-10 07:57:10',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103432,'Struktur- und Metadaten',NULL,3,5,10529,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103433,'Bibliografische Aufnahme',NULL,3,1,10530,3,'2009-06-05 07:39:36',1,'2009-06-05 07:39:36',1,0,0,0,0,'2009-06-05 07:39:36',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103434,'Struktur- und Metadaten',NULL,3,5,10530,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103435,'Import DMS',NULL,3,6,10530,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103436,'Archivierung',NULL,2,7,10530,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103437,'Qualitätskontrolle',NULL,3,3,10530,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103438,'Imagenachbearbeitung',NULL,3,4,10530,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103439,'Scannen',NULL,0,2,10530,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103461,'Bibliografische Aufnahme',NULL,3,1,10534,3,'2009-06-05 09:35:43',1,'2009-06-05 09:35:43',1,0,0,0,0,'2009-06-05 09:35:43',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103462,'Qualitätskontrolle',NULL,3,3,10534,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103463,'Archivierung',NULL,2,7,10534,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103464,'Scannen',NULL,0,2,10534,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103465,'Import DMS',NULL,3,6,10534,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103466,'Struktur- und Metadaten',NULL,3,5,10534,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103467,'Imagenachbearbeitung',NULL,3,4,10534,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103468,'Import DMS',NULL,3,6,10535,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103469,'Qualitätskontrolle',NULL,3,3,10535,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103470,'Imagenachbearbeitung',NULL,3,4,10535,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103471,'Archivierung',NULL,2,7,10535,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103472,'Struktur- und Metadaten',NULL,3,5,10535,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103473,'Bibliografische Aufnahme',NULL,3,1,10535,3,'2009-06-05 09:58:58',1,'2009-06-05 09:58:58',1,0,0,0,0,'2009-06-05 09:58:58',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103474,'Scannen',NULL,0,2,10535,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103475,'Import DMS',NULL,3,6,10536,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103476,'Bibliografische Aufnahme',NULL,3,1,10536,3,'2009-06-05 10:09:19',1,'2009-06-05 10:09:19',1,0,0,0,0,'2009-06-05 10:09:19',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103477,'Imagenachbearbeitung',NULL,3,4,10536,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103478,'Qualitätskontrolle',NULL,3,3,10536,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103479,'Archivierung',NULL,2,7,10536,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103480,'Struktur- und Metadaten',NULL,3,5,10536,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103481,'Scannen',NULL,0,2,10536,3,'2009-06-10 11:07:34',1,'2009-06-10 10:07:25',1,0,0,0,0,'2009-06-10 11:07:34',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103482,'Struktur- und Metadaten',NULL,3,5,10537,1,'2009-06-09 18:07:15',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103483,'Imagenachbearbeitung',NULL,3,4,10537,3,'2009-06-09 18:07:15',1,'2009-06-08 19:46:38',1,0,0,0,0,'2009-06-09 18:07:15',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103484,'Import DMS',NULL,3,6,10537,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103485,'Archivierung',NULL,2,7,10537,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103486,'Scannen',NULL,10,2,10537,3,'2009-06-08 16:16:52',1,'2009-06-08 16:11:02',1,0,0,0,0,'2009-06-08 16:16:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103487,'Qualitätskontrolle',NULL,10,3,10537,3,'2009-06-08 16:36:20',1,'2009-06-08 16:20:53',1,0,0,0,0,'2009-06-08 16:36:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103488,'Bibliografische Aufnahme',NULL,3,1,10537,3,'2009-06-05 10:43:14',1,'2009-06-05 10:43:14',1,0,0,0,0,'2009-06-05 10:43:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103489,'Import DMS',NULL,3,6,10538,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103490,'Qualitätskontrolle',NULL,3,3,10538,3,'2009-06-08 15:31:47',1,'2009-06-08 14:57:50',1,0,0,0,0,'2009-06-08 15:31:47',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103491,'Scannen',NULL,0,2,10538,3,'2009-06-08 14:47:18',1,'2009-06-08 13:09:28',1,0,0,0,0,'2009-06-08 14:47:18',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103492,'Archivierung',NULL,2,7,10538,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103493,'Imagenachbearbeitung',NULL,3,4,10538,3,'2009-06-08 17:11:19',1,'2009-06-08 15:33:21',1,0,0,0,0,'2009-06-08 17:11:19',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103494,'Bibliografische Aufnahme',NULL,3,1,10538,3,'2009-06-05 10:43:41',1,'2009-06-05 10:43:41',1,0,0,0,0,'2009-06-05 10:43:41',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103495,'Struktur- und Metadaten',NULL,3,5,10538,3,'2009-06-09 12:21:57',1,'2009-06-09 11:37:03',1,0,0,0,0,'2009-06-09 12:21:57',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103496,'Archivierung',NULL,2,7,10539,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103497,'Qualitätskontrolle',NULL,3,3,10539,3,'2009-06-08 17:31:58',1,'2009-06-08 16:59:02',1,0,0,0,0,'2009-06-08 17:31:58',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103498,'Scannen',NULL,0,2,10539,3,'2009-06-08 15:37:33',1,'2009-06-08 14:09:24',1,0,0,0,0,'2009-06-08 15:37:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103499,'Bibliografische Aufnahme',NULL,3,1,10539,3,'2009-06-05 10:49:16',1,'2009-06-05 10:49:16',1,0,0,0,0,'2009-06-05 10:49:16',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103500,'Imagenachbearbeitung',NULL,3,4,10539,3,'2009-06-09 18:07:40',1,'2009-06-08 19:46:40',1,0,0,0,0,'2009-06-09 18:07:40',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103501,'Struktur- und Metadaten',NULL,3,5,10539,1,'2009-06-09 18:07:40',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103502,'Import DMS',NULL,3,6,10539,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103503,'Struktur- und Metadaten',NULL,3,5,10540,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103504,'Import DMS',NULL,3,6,10540,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103505,'Bibliografische Aufnahme',NULL,3,1,10540,3,'2009-06-05 10:52:10',1,'2009-06-05 10:52:10',1,0,0,0,0,'2009-06-05 10:52:10',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103506,'Imagenachbearbeitung',NULL,3,4,10540,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103507,'Archivierung',NULL,2,7,10540,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103508,'Scannen',NULL,0,2,10540,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103509,'Qualitätskontrolle',NULL,3,3,10540,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103510,'Scannen',NULL,0,2,10541,3,'2009-06-08 16:20:59',1,'2009-06-08 15:40:27',1,0,0,0,0,'2009-06-08 16:20:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103511,'Archivierung',NULL,2,7,10541,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103512,'Struktur- und Metadaten',NULL,3,5,10541,1,'2009-06-09 18:07:03',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103513,'Import DMS',NULL,3,6,10541,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103514,'Bibliografische Aufnahme',NULL,3,1,10541,3,'2009-06-05 10:54:51',1,'2009-06-05 10:54:51',1,0,0,0,0,'2009-06-05 10:54:51',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103515,'Imagenachbearbeitung',NULL,3,4,10541,3,'2009-06-09 18:07:03',1,'2009-06-08 19:46:36',1,0,0,0,0,'2009-06-09 18:07:03',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103516,'Qualitätskontrolle',NULL,3,3,10541,3,'2009-06-08 17:00:21',1,'2009-06-08 16:38:56',1,0,0,0,0,'2009-06-08 17:00:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103517,'Archivierung',NULL,2,7,10542,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103518,'Struktur- und Metadaten',NULL,3,5,10542,1,'2009-06-09 18:06:57',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103519,'Imagenachbearbeitung',NULL,3,4,10542,3,'2009-06-09 18:06:57',1,'2009-06-08 19:46:36',1,0,0,0,0,'2009-06-09 18:06:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103520,'Scannen',NULL,0,2,10542,3,'2009-06-08 13:54:34',1,'2009-06-08 13:20:44',1,0,0,0,0,'2009-06-08 13:54:34',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103521,'Bibliografische Aufnahme',NULL,3,1,10542,3,'2009-06-05 10:58:02',1,'2009-06-05 10:58:02',1,0,0,0,0,'2009-06-05 10:58:02',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103522,'Import DMS',NULL,3,6,10542,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103523,'Qualitätskontrolle',NULL,3,3,10542,3,'2009-06-08 16:58:25',1,'2009-06-08 16:48:28',1,0,0,0,0,'2009-06-08 16:58:25',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103524,'Scannen',NULL,0,2,10543,3,'2009-06-08 09:41:01',1,'2009-06-08 09:23:19',1,0,0,0,0,'2009-06-08 09:41:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103525,'Import DMS',NULL,3,6,10543,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103526,'Imagenachbearbeitung',NULL,3,4,10543,3,'2009-06-08 13:15:18',1,'2009-06-08 11:24:27',1,0,0,0,0,'2009-06-08 13:15:18',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103527,'Archivierung',NULL,2,7,10543,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103528,'Qualitätskontrolle',NULL,3,3,10543,3,'2009-06-08 10:55:40',1,'2009-06-08 10:29:25',1,0,0,0,0,'2009-06-08 10:55:40',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103529,'Struktur- und Metadaten',NULL,3,5,10543,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103530,'Bibliografische Aufnahme',NULL,3,1,10543,3,'2009-06-05 11:02:28',1,'2009-06-05 11:02:28',1,0,0,0,0,'2009-06-05 11:02:28',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103531,'Archivierung',NULL,2,7,10544,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103532,'Scannen',NULL,0,2,10544,3,'2009-06-10 10:00:23',1,'2009-06-10 09:31:22',1,0,0,0,0,'2009-06-09 16:03:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103533,'Struktur- und Metadaten',NULL,3,5,10544,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103534,'Imagenachbearbeitung',NULL,3,4,10544,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103535,'Import DMS',NULL,3,6,10544,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103536,'Qualitätskontrolle',NULL,10,3,10544,2,'2009-06-10 10:52:22',1,'2009-06-10 10:52:22',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103537,'Bibliografische Aufnahme',NULL,3,1,10544,3,'2009-06-05 11:08:42',1,'2009-06-05 11:08:42',1,0,0,0,0,'2009-06-05 11:08:42',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103538,'Struktur- und Metadaten',NULL,3,5,10545,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103539,'Qualitätskontrolle',NULL,10,3,10545,0,'2009-06-10 10:48:06',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103540,'Scannen',NULL,10,2,10545,2,'2009-06-10 11:08:41',1,'2009-06-10 11:08:41',1,0,0,0,0,'2009-06-10 09:41:49',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103541,'Bibliografische Aufnahme',NULL,3,1,10545,3,'2009-06-05 11:15:05',1,'2009-06-05 11:15:05',1,0,0,0,0,'2009-06-05 11:15:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103542,'Imagenachbearbeitung',NULL,3,4,10545,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103543,'Archivierung',NULL,2,7,10545,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103544,'Import DMS',NULL,3,6,10545,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103545,'Archivierung',NULL,2,7,10546,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103546,'Struktur- und Metadaten',NULL,3,5,10546,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103547,'Import DMS',NULL,3,6,10546,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103548,'Qualitätskontrolle',NULL,10,3,10546,2,'2009-06-10 10:33:25',1,'2009-06-10 10:33:25',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103549,'Bibliografische Aufnahme',NULL,3,1,10546,3,'2009-06-05 11:35:48',1,'2009-06-05 11:35:48',1,0,0,0,0,'2009-06-05 11:35:48',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103550,'Scannen',NULL,0,2,10546,3,'2009-06-10 09:09:25',1,'2009-06-09 13:24:03',1,0,0,0,0,'2009-06-09 09:55:52',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103551,'Imagenachbearbeitung',NULL,3,4,10546,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103552,'Archivierung',NULL,2,7,10547,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103553,'Qualitätskontrolle',NULL,3,3,10547,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103554,'Bibliografische Aufnahme',NULL,3,1,10547,3,'2009-06-05 11:38:06',1,'2009-06-05 11:38:06',1,0,0,0,0,'2009-06-05 11:38:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103555,'Imagenachbearbeitung',NULL,3,4,10547,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103556,'Struktur- und Metadaten',NULL,3,5,10547,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103557,'Import DMS',NULL,3,6,10547,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103558,'Scannen',NULL,0,2,10547,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103559,'Import DMS',NULL,3,6,10548,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103560,'Struktur- und Metadaten',NULL,3,5,10548,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103561,'Qualitätskontrolle',NULL,10,3,10548,0,'2009-06-10 11:09:28',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103562,'Archivierung',NULL,2,7,10548,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103563,'Scannen',NULL,10,2,10548,1,'2009-06-09 18:14:59',1,'2009-06-09 16:26:15',1,0,0,0,0,'2009-06-09 18:14:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103564,'Imagenachbearbeitung',NULL,3,4,10548,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103565,'Bibliografische Aufnahme',NULL,3,1,10548,3,'2009-06-05 11:41:20',1,'2009-06-05 11:41:20',1,0,0,0,0,'2009-06-05 11:41:20',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103566,'Import DMS',NULL,3,6,10549,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103567,'Archivierung',NULL,2,7,10549,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103568,'Struktur- und Metadaten',NULL,3,5,10549,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103569,'Bibliografische Aufnahme',NULL,3,1,10549,3,'2009-06-05 11:42:24',1,'2009-06-05 11:42:24',1,0,0,0,0,'2009-06-05 11:42:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103570,'Scannen',NULL,0,2,10549,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103571,'Qualitätskontrolle',NULL,3,3,10549,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103572,'Imagenachbearbeitung',NULL,3,4,10549,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103573,'Qualitätskontrolle',NULL,3,3,10550,3,'2009-06-08 17:35:59',1,'2009-06-08 17:04:38',1,0,0,0,0,'2009-06-08 17:35:59',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103574,'Archivierung',NULL,2,7,10550,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103575,'Struktur- und Metadaten',NULL,3,5,10550,1,'2009-06-09 18:07:20',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103576,'Imagenachbearbeitung',NULL,3,4,10550,3,'2009-06-09 18:07:20',1,'2009-06-08 19:46:38',1,0,0,0,0,'2009-06-09 18:07:20',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103577,'Import DMS',NULL,3,6,10550,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103578,'Scannen',NULL,0,2,10550,3,'2009-06-08 17:03:33',1,'2009-06-08 14:34:33',1,0,0,0,0,'2009-06-08 17:03:33',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103579,'Bibliografische Aufnahme',NULL,3,1,10550,3,'2009-06-05 11:45:52',1,'2009-06-05 11:45:52',1,0,0,0,0,'2009-06-05 11:45:52',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103580,'Qualitätskontrolle',NULL,3,3,10551,3,'2009-06-08 18:21:29',1,'2009-06-08 17:51:46',1,0,0,0,0,'2009-06-08 18:21:29',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103581,'Scannen',NULL,0,2,10551,3,'2009-06-08 17:35:54',1,'2009-06-08 16:29:01',1,0,0,0,0,'2009-06-08 17:35:54',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103582,'Struktur- und Metadaten',NULL,3,5,10551,1,'2009-06-09 18:07:28',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103583,'Import DMS',NULL,3,6,10551,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103584,'Archivierung',NULL,2,7,10551,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103585,'Imagenachbearbeitung',NULL,3,4,10551,3,'2009-06-09 18:07:28',1,'2009-06-08 19:46:39',1,0,0,0,0,'2009-06-09 18:07:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103586,'Bibliografische Aufnahme',NULL,3,1,10551,3,'2009-06-05 11:50:28',1,'2009-06-05 11:50:28',1,0,0,0,0,'2009-06-05 11:50:28',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103587,'Bibliografische Aufnahme',NULL,3,1,10552,3,'2009-06-05 11:54:29',1,'2009-06-05 11:54:29',1,0,0,0,0,'2009-06-05 11:54:29',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103588,'Struktur- und Metadaten',NULL,3,5,10552,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103589,'Imagenachbearbeitung',NULL,3,4,10552,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103590,'Scannen',NULL,0,2,10552,3,'2009-06-09 17:34:27',1,'2009-06-09 16:33:51',1,0,0,0,0,'2009-06-08 18:12:25',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103591,'Import DMS',NULL,3,6,10552,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103592,'Archivierung',NULL,2,7,10552,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103593,'Qualitätskontrolle',NULL,10,3,10552,2,'2009-06-09 17:40:20',1,'2009-06-09 17:40:20',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103601,'Scannen',NULL,0,2,10554,3,'2009-06-08 17:04:35',1,'2009-06-08 15:38:12',1,0,0,0,0,'2009-06-08 17:04:35',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103602,'Archivierung',NULL,2,7,10554,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103603,'Qualitätskontrolle',NULL,3,3,10554,3,'2009-06-08 18:31:50',1,'2009-06-08 18:20:01',1,0,0,0,0,'2009-06-08 18:31:50',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103604,'Import DMS',NULL,3,6,10554,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103605,'Bibliografische Aufnahme',NULL,3,1,10554,3,'2009-06-05 11:56:40',1,'2009-06-05 11:56:40',1,0,0,0,0,'2009-06-05 11:56:40',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103606,'Imagenachbearbeitung',NULL,3,4,10554,3,'2009-06-09 18:07:24',1,'2009-06-08 19:46:39',1,0,0,0,0,'2009-06-09 18:07:24',0,0,0,0,1,1,0,0,0,0,'',0,NULL,1),
 (103607,'Struktur- und Metadaten',NULL,3,5,10554,1,'2009-06-09 18:07:24',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,4),
 (103629,'Scannen',NULL,0,2,10558,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103630,'Struktur- und Metadaten',NULL,3,5,10558,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103631,'Archivierung',NULL,2,7,10558,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103632,'Qualitätskontrolle',NULL,3,3,10558,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103633,'Import DMS',NULL,3,6,10558,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103634,'Imagenachbearbeitung',NULL,3,4,10558,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103635,'Bibliografische Aufnahme',NULL,3,1,10558,3,'2009-06-05 12:11:53',1,'2009-06-05 12:11:53',1,0,0,0,0,'2009-06-05 12:11:53',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103636,'Import DMS',NULL,3,6,10559,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103637,'Scannen',NULL,0,2,10559,2,'2009-06-09 11:40:54',1,'2009-06-09 11:40:54',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103638,'Qualitätskontrolle',NULL,3,3,10559,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103639,'Imagenachbearbeitung',NULL,3,4,10559,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103640,'Archivierung',NULL,2,7,10559,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103641,'Struktur- und Metadaten',NULL,3,5,10559,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103642,'Bibliografische Aufnahme',NULL,3,1,10559,3,'2009-06-05 12:23:55',1,'2009-06-05 12:23:55',1,0,0,0,0,'2009-06-05 12:23:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104238,'Struktur- und Metadaten',NULL,3,5,10645,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103657,'Qualitätskontrolle',NULL,3,3,10562,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103658,'Import DMS',NULL,3,6,10562,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103659,'Scannen',NULL,0,2,10562,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103660,'Imagenachbearbeitung',NULL,3,4,10562,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103661,'Struktur- und Metadaten',NULL,3,5,10562,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103662,'Archivierung',NULL,2,7,10562,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103663,'Bibliografische Aufnahme',NULL,3,1,10562,3,'2009-06-08 08:29:45',1,'2009-06-08 08:29:45',1,0,0,0,0,'2009-06-08 08:29:45',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103664,'Bibliografische Aufnahme',NULL,3,1,10563,3,'2009-06-08 08:31:48',1,'2009-06-08 08:31:48',1,0,0,0,0,'2009-06-08 08:31:48',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103665,'Struktur- und Metadaten',NULL,3,5,10563,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103666,'Qualitätskontrolle',NULL,3,3,10563,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103667,'Imagenachbearbeitung',NULL,3,4,10563,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103668,'Scannen',NULL,0,2,10563,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103669,'Archivierung',NULL,2,7,10563,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103670,'Import DMS',NULL,3,6,10563,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103671,'Struktur- und Metadaten',NULL,3,5,10564,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103672,'Qualitätskontrolle',NULL,3,3,10564,3,'2009-06-09 13:13:38',1,'2009-06-09 12:57:28',1,0,0,0,0,'2009-06-09 13:13:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103673,'Archivierung',NULL,2,7,10564,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103674,'Imagenachbearbeitung',NULL,3,4,10564,3,'2009-06-09 14:26:07',1,'2009-06-09 13:17:30',1,0,0,0,0,'2009-06-09 14:26:07',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103675,'Import DMS',NULL,3,6,10564,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103676,'Scannen',NULL,0,2,10564,3,'2009-06-09 12:10:00',1,'2009-06-09 09:39:48',1,0,0,0,0,'2009-06-09 12:10:00',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103677,'Bibliografische Aufnahme',NULL,3,1,10564,3,'2009-06-08 08:33:45',1,'2009-06-08 08:33:45',1,0,0,0,0,'2009-06-08 08:33:45',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103678,'Imagenachbearbeitung',NULL,3,4,10565,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103679,'Archivierung',NULL,2,7,10565,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103680,'Import DMS',NULL,3,6,10565,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103681,'Scannen',NULL,0,2,10565,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103682,'Struktur- und Metadaten',NULL,3,5,10565,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103683,'Qualitätskontrolle',NULL,3,3,10565,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103684,'Bibliografische Aufnahme',NULL,3,1,10565,3,'2009-06-08 08:47:06',1,'2009-06-08 08:47:06',1,0,0,0,0,'2009-06-08 08:47:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103685,'Struktur- und Metadaten',NULL,3,5,10566,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103686,'Import DMS',NULL,3,6,10566,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103687,'Qualitätskontrolle',NULL,3,3,10566,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103688,'Bibliografische Aufnahme',NULL,3,1,10566,3,'2009-06-08 08:49:05',1,'2009-06-08 08:49:05',1,0,0,0,0,'2009-06-08 08:49:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103689,'Archivierung',NULL,2,7,10566,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103690,'Scannen',NULL,0,2,10566,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103691,'Imagenachbearbeitung',NULL,3,4,10566,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103692,'Scannen',NULL,0,2,10567,3,'2009-06-09 18:32:10',1,'2009-06-09 18:13:39',1,0,0,0,0,'2009-06-09 13:45:49',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103693,'Archivierung',NULL,2,7,10567,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103694,'Imagenachbearbeitung',NULL,3,4,10567,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103695,'Bibliografische Aufnahme',NULL,3,1,10567,3,'2009-06-08 09:27:42',1,'2009-06-08 09:27:42',1,0,0,0,0,'2009-06-08 09:27:42',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103696,'Struktur- und Metadaten',NULL,3,5,10567,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103697,'Import DMS',NULL,3,6,10567,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103698,'Qualitätskontrolle',NULL,10,3,10567,3,'2009-06-10 08:15:00',1,'2009-06-10 07:40:52',1,0,0,0,0,'2009-06-10 08:15:00',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103699,'Struktur- und Metadaten',NULL,3,5,10568,3,'2009-06-09 14:49:00',1,'2009-06-09 14:31:06',1,0,0,0,0,'2009-06-09 14:49:00',1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103700,'Imagenachbearbeitung',NULL,3,4,10568,3,'2009-06-09 12:47:42',1,'2009-06-09 12:09:05',1,0,0,0,0,'2009-06-09 12:47:42',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103701,'Import DMS',NULL,3,6,10568,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103702,'Archivierung',NULL,2,7,10568,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103703,'Bibliografische Aufnahme',NULL,3,1,10568,3,'2009-06-08 09:32:24',1,'2009-06-08 09:32:24',1,0,0,0,0,'2009-06-08 09:32:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103704,'Qualitätskontrolle',NULL,3,3,10568,3,'2009-06-09 10:00:58',1,'2009-06-09 08:50:30',1,0,0,0,0,'2009-06-09 10:00:58',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103705,'Scannen',NULL,0,2,10568,3,'2009-06-09 08:06:36',1,'2009-06-09 08:06:30',1,0,0,0,0,'2009-06-09 08:06:36',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103706,'Archivierung',NULL,2,7,10569,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103707,'Imagenachbearbeitung',NULL,3,4,10569,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103708,'Bibliografische Aufnahme',NULL,3,1,10569,3,'2009-06-08 09:47:38',1,'2009-06-08 09:47:38',1,0,0,0,0,'2009-06-08 09:47:38',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103709,'Scannen',NULL,0,2,10569,2,'2009-06-10 09:08:57',1,'2009-06-10 09:08:57',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103710,'Import DMS',NULL,3,6,10569,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103711,'Qualitätskontrolle',NULL,3,3,10569,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103712,'Struktur- und Metadaten',NULL,3,5,10569,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103720,'Bibliografische Aufnahme',NULL,3,1,10571,3,'2009-06-08 09:52:35',1,'2009-06-08 09:52:35',1,0,0,0,0,'2009-06-08 09:52:35',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103721,'Qualitätskontrolle',NULL,10,3,10571,3,'2009-06-09 18:24:27',1,'2009-06-09 18:16:53',1,0,0,0,0,'2009-06-09 18:24:27',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103722,'Scannen',NULL,10,2,10571,3,'2009-06-09 18:15:26',1,'2009-06-09 18:08:00',1,0,0,0,0,'2009-06-09 18:15:26',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103723,'Archivierung',NULL,2,7,10571,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103724,'Import DMS',NULL,3,6,10571,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103725,'Struktur- und Metadaten',NULL,3,5,10571,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103726,'Imagenachbearbeitung',NULL,3,4,10571,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103734,'Struktur- und Metadaten',NULL,3,5,10573,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103735,'Import DMS',NULL,3,6,10573,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103736,'Bibliografische Aufnahme',NULL,3,1,10573,3,'2009-06-08 09:58:43',1,'2009-06-08 09:58:43',1,0,0,0,0,'2009-06-08 09:58:43',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103737,'Archivierung',NULL,2,7,10573,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103738,'Imagenachbearbeitung',NULL,3,4,10573,2,'2009-06-10 09:25:34',1,'2009-06-10 09:25:34',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103739,'Qualitätskontrolle',NULL,3,3,10573,3,'2009-06-10 08:10:38',1,'2009-06-10 07:44:54',1,0,0,0,0,'2009-06-10 08:10:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103740,'Scannen',NULL,0,2,10573,3,'2009-06-10 07:11:41',1,'2009-06-10 06:10:49',1,0,0,0,0,'2009-06-10 07:11:41',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103748,'Imagenachbearbeitung',NULL,3,4,10575,2,'2009-06-10 09:15:02',1,'2009-06-10 09:15:02',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103749,'Bibliografische Aufnahme',NULL,3,1,10575,3,'2009-06-08 10:23:09',1,'2009-06-08 10:23:09',1,0,0,0,0,'2009-06-08 10:23:09',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103750,'Qualitätskontrolle',NULL,10,3,10575,3,'2009-06-10 08:57:56',1,'2009-06-10 08:15:30',1,0,0,0,0,'2009-06-10 08:57:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103751,'Scannen',NULL,0,2,10575,3,'2009-06-09 18:00:02',1,'2009-06-09 17:40:16',1,0,0,0,0,'2009-06-09 16:03:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103752,'Import DMS',NULL,3,6,10575,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103753,'Struktur- und Metadaten',NULL,3,5,10575,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103754,'Archivierung',NULL,2,7,10575,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103762,'Bibliografische Aufnahme',NULL,3,1,10577,3,'2009-06-08 10:25:19',1,'2009-06-08 10:25:19',1,0,0,0,0,'2009-06-08 10:25:19',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103763,'Archivierung',NULL,2,7,10577,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103764,'Import DMS',NULL,3,6,10577,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103765,'Scannen',NULL,0,2,10577,3,'2009-06-09 18:13:00',1,'2009-06-09 14:37:50',1,0,0,0,0,'2009-06-09 18:13:00',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103766,'Imagenachbearbeitung',NULL,3,4,10577,2,'2009-06-10 09:15:06',1,'2009-06-10 09:15:06',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103767,'Qualitätskontrolle',NULL,3,3,10577,3,'2009-06-10 08:37:21',1,'2009-06-10 08:12:53',1,0,0,0,0,'2009-06-10 08:37:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103768,'Struktur- und Metadaten',NULL,3,5,10577,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103769,'Qualitätskontrolle',NULL,3,3,10578,3,'2009-06-10 10:47:38',1,'2009-06-10 09:25:08',1,0,0,0,0,'2009-06-10 10:47:38',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103770,'Bibliografische Aufnahme',NULL,3,1,10578,3,'2009-06-08 10:27:17',1,'2009-06-08 10:27:17',1,0,0,0,0,'2009-06-08 10:27:17',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103771,'Import DMS',NULL,3,6,10578,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103772,'Imagenachbearbeitung',NULL,3,4,10578,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103773,'Archivierung',NULL,2,7,10578,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103774,'Struktur- und Metadaten',NULL,3,5,10578,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103775,'Scannen',NULL,0,2,10578,3,'2009-06-10 08:16:57',1,'2009-06-10 06:18:37',1,0,0,0,0,'2009-06-10 08:16:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103776,'Archivierung',NULL,2,7,10579,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103777,'Qualitätskontrolle',NULL,3,3,10579,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103778,'Bibliografische Aufnahme',NULL,3,1,10579,3,'2009-06-08 10:29:14',1,'2009-06-08 10:29:14',1,0,0,0,0,'2009-06-08 10:29:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103779,'Struktur- und Metadaten',NULL,3,5,10579,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103780,'Scannen',NULL,0,2,10579,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103781,'Imagenachbearbeitung',NULL,3,4,10579,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103782,'Import DMS',NULL,3,6,10579,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103783,'Struktur- und Metadaten',NULL,3,5,10580,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103784,'Archivierung',NULL,2,7,10580,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103785,'Qualitätskontrolle',NULL,3,3,10580,3,'2009-06-10 08:53:28',1,'2009-06-10 08:26:26',1,0,0,0,0,'2009-06-10 08:53:28',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103786,'Import DMS',NULL,3,6,10580,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103787,'Imagenachbearbeitung',NULL,3,4,10580,2,'2009-06-10 09:14:51',1,'2009-06-10 09:14:51',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103788,'Scannen',NULL,0,2,10580,3,'2009-06-10 08:25:46',1,'2009-06-10 06:08:19',1,0,0,0,0,'2009-06-10 08:25:46',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103789,'Bibliografische Aufnahme',NULL,3,1,10580,3,'2009-06-08 10:31:24',1,'2009-06-08 10:31:24',1,0,0,0,0,'2009-06-08 10:31:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103790,'Import DMS',NULL,3,6,10581,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103791,'Archivierung',NULL,2,7,10581,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103792,'Imagenachbearbeitung',NULL,3,4,10581,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103793,'Struktur- und Metadaten',NULL,3,5,10581,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103794,'Qualitätskontrolle',NULL,3,3,10581,3,'2009-06-10 10:22:18',1,'2009-06-10 09:44:07',1,0,0,0,0,'2009-06-10 10:22:18',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103795,'Bibliografische Aufnahme',NULL,3,1,10581,3,'2009-06-08 10:34:42',1,'2009-06-08 10:34:42',1,0,0,0,0,'2009-06-08 10:34:42',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103796,'Scannen',NULL,0,2,10581,3,'2009-06-10 09:29:45',1,'2009-06-10 07:12:39',1,0,0,0,0,'2009-06-10 09:29:45',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103811,'Struktur- und Metadaten',NULL,3,5,10584,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103812,'Bibliografische Aufnahme',NULL,3,1,10584,3,'2009-06-08 11:04:13',1,'2009-06-08 11:04:13',1,0,0,0,0,'2009-06-08 11:04:13',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103813,'Archivierung',NULL,2,7,10584,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103814,'Imagenachbearbeitung',NULL,3,4,10584,3,'2009-06-09 16:04:57',1,'2009-06-09 15:21:37',1,0,0,0,0,'2009-06-09 16:04:57',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103815,'Qualitätskontrolle',NULL,3,3,10584,3,'2009-06-09 13:52:54',1,'2009-06-09 13:43:54',1,0,0,0,0,'2009-06-09 13:52:54',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103816,'Import DMS',NULL,3,6,10584,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103817,'Scannen',NULL,0,2,10584,3,'2009-06-09 13:19:30',1,'2009-06-09 12:15:13',1,0,0,0,0,'2009-06-09 13:19:30',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103818,'Struktur- und Metadaten',NULL,3,5,10585,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103819,'Bibliografische Aufnahme',NULL,3,1,10585,3,'2009-06-08 11:05:54',1,'2009-06-08 11:05:54',1,0,0,0,0,'2009-06-08 11:05:54',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103820,'Qualitätskontrolle',NULL,10,3,10585,3,'2009-06-10 09:14:56',1,'2009-06-10 08:56:25',1,0,0,0,0,'2009-06-10 09:14:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103821,'Archivierung',NULL,2,7,10585,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103822,'Scannen',NULL,10,2,10585,3,'2009-06-10 08:42:01',1,'2009-06-10 08:31:13',1,0,0,0,0,'2009-06-10 08:42:01',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103823,'Imagenachbearbeitung',NULL,3,4,10585,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103824,'Import DMS',NULL,3,6,10585,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103832,'Scannen',NULL,10,2,10587,1,'2009-06-10 09:13:55',1,'2009-06-09 17:46:40',1,0,0,0,0,'2009-06-10 09:13:55',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103833,'Bibliografische Aufnahme',NULL,3,1,10587,3,'2009-06-08 11:13:29',1,'2009-06-08 11:13:29',1,0,0,0,0,'2009-06-08 11:13:29',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103834,'Imagenachbearbeitung',NULL,3,4,10587,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103835,'Qualitätskontrolle',NULL,10,3,10587,0,'2009-06-10 10:13:32',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103836,'Struktur- und Metadaten',NULL,3,5,10587,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103837,'Import DMS',NULL,3,6,10587,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103838,'Archivierung',NULL,2,7,10587,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103846,'Archivierung',NULL,2,7,10589,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103847,'Import DMS',NULL,3,6,10589,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103848,'Scannen',NULL,0,2,10589,2,'2009-06-10 10:09:19',1,'2009-06-10 10:09:19',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103849,'Imagenachbearbeitung',NULL,3,4,10589,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103850,'Qualitätskontrolle',NULL,3,3,10589,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103851,'Bibliografische Aufnahme',NULL,3,1,10589,3,'2009-06-08 11:18:41',1,'2009-06-08 11:18:41',1,0,0,0,0,'2009-06-08 11:18:41',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL);
INSERT INTO `schritte` (`SchritteID`,`Titel`,`EigenschaftenID`,`Prioritaet`,`Reihenfolge`,`ProzesseID`,`Bearbeitungsstatus`,`BearbeitungsZeitpunkt`,`BearbeitungsBenutzerID`,`BearbeitungsBeginn`,`Typ`,`beimAnnehmenModul`,`beimAnnehmenAbschliessen`,`beimAnnehmenModulUndAbschliessen`,`homeverzeichnisNutzen`,`BearbeitungsEnde`,`typMetadaten`,`typAutomatisch`,`typImportFileUpload`,`typExportRus`,`typImagesLesen`,`typImagesSchreiben`,`typExportDMS`,`typBeimAnnehmenModul`,`typBeimAnnehmenAbschliessen`,`typBeimAnnehmenModulUndAbschliessen`,`typAutomatischScriptpfad`,`typBeimAbschliessenVerifizieren`,`typModulName`,`edittype`) VALUES 
 (103852,'Struktur- und Metadaten',NULL,3,5,10589,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103881,'Bibliografische Aufnahme',NULL,3,1,10594,3,'2009-06-08 11:20:55',1,'2009-06-08 11:20:55',1,0,0,0,0,'2009-06-08 11:20:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103882,'Imagenachbearbeitung',NULL,10,4,10594,0,'2009-06-09 16:27:40',1,'2009-06-09 13:17:31',1,0,0,0,0,'2009-06-09 16:27:40',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103883,'Qualitätskontrolle',NULL,10,3,10594,1,'2009-06-09 09:32:43',1,'2009-06-09 09:00:07',1,0,0,0,0,'2009-06-09 09:32:43',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103884,'Scannen',NULL,0,2,10594,3,'2009-06-09 08:35:35',1,'2009-06-09 08:35:30',1,0,0,0,0,'2009-06-09 08:35:35',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103885,'Import DMS',NULL,3,6,10594,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103886,'Archivierung',NULL,2,7,10594,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103887,'Struktur- und Metadaten',NULL,10,5,10594,0,'2009-06-10 11:09:15',1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103888,'Imagenachbearbeitung',NULL,3,4,10595,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103889,'Bibliografische Aufnahme',NULL,3,1,10595,3,'2009-06-08 11:21:06',1,'2009-06-08 11:21:06',1,0,0,0,0,'2009-06-08 11:21:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103890,'Import DMS',NULL,3,6,10595,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103891,'Scannen',NULL,0,2,10595,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103892,'Archivierung',NULL,2,7,10595,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103893,'Struktur- und Metadaten',NULL,3,5,10595,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103894,'Qualitätskontrolle',NULL,3,3,10595,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103895,'Qualitätskontrolle',NULL,3,3,10596,3,'2009-06-09 13:58:32',1,'2009-06-09 12:59:51',1,0,0,0,0,'2009-06-09 13:58:32',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103896,'Struktur- und Metadaten',NULL,3,5,10596,1,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103897,'Archivierung',NULL,2,7,10596,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103898,'Imagenachbearbeitung',NULL,3,4,10596,3,'2009-06-09 16:04:56',1,'2009-06-09 14:07:38',1,0,0,0,0,'2009-06-09 16:04:56',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103899,'Import DMS',NULL,3,6,10596,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103900,'Bibliografische Aufnahme',NULL,3,1,10596,3,'2009-06-08 11:24:54',1,'2009-06-08 11:24:54',1,0,0,0,0,'2009-06-08 11:24:54',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103901,'Scannen',NULL,0,2,10596,3,'2009-06-09 12:46:21',1,'2009-06-09 08:48:13',1,0,0,0,0,'2009-06-09 12:46:21',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103909,'Import DMS',NULL,3,6,10598,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103910,'Scannen',NULL,0,2,10598,3,'2009-06-09 08:49:07',1,'2009-06-09 08:47:32',1,0,0,0,0,'2009-06-09 08:49:07',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103911,'Bibliografische Aufnahme',NULL,3,1,10598,3,'2009-06-08 11:29:02',1,'2009-06-08 11:29:02',1,0,0,0,0,'2009-06-08 11:29:02',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103912,'Struktur- und Metadaten',NULL,3,5,10598,2,'2009-06-09 16:16:37',1,'2009-06-09 16:16:34',1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103913,'Imagenachbearbeitung',NULL,3,4,10598,3,'2009-06-09 14:06:05',1,'2009-06-09 12:08:59',1,0,0,0,0,'2009-06-09 14:06:05',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103914,'Qualitätskontrolle',NULL,3,3,10598,3,'2009-06-09 09:48:12',1,'2009-06-09 09:00:49',1,0,0,0,0,'2009-06-09 09:48:12',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103915,'Archivierung',NULL,2,7,10598,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103916,'Import DMS',NULL,3,6,10599,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103917,'Qualitätskontrolle',NULL,3,3,10599,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103918,'Struktur- und Metadaten',NULL,3,5,10599,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103919,'Bibliografische Aufnahme',NULL,3,1,10599,3,'2009-06-08 11:35:52',1,'2009-06-08 11:35:52',1,0,0,0,0,'2009-06-08 11:35:52',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103920,'Imagenachbearbeitung',NULL,3,4,10599,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103921,'Archivierung',NULL,2,7,10599,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103922,'Scannen',NULL,0,2,10599,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103930,'Qualitätskontrolle',NULL,3,3,10601,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103931,'Bibliografische Aufnahme',NULL,3,1,10601,3,'2009-06-08 11:41:00',1,'2009-06-08 11:41:00',1,0,0,0,0,'2009-06-08 11:41:00',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103932,'Scannen',NULL,0,2,10601,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103933,'Import DMS',NULL,3,6,10601,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103934,'Archivierung',NULL,2,7,10601,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103935,'Imagenachbearbeitung',NULL,3,4,10601,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103936,'Struktur- und Metadaten',NULL,3,5,10601,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103937,'Archivierung',NULL,2,7,10602,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103938,'Struktur- und Metadaten',NULL,3,5,10602,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103939,'Qualitätskontrolle',NULL,3,3,10602,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103940,'Import DMS',NULL,3,6,10602,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103941,'Imagenachbearbeitung',NULL,3,4,10602,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103942,'Bibliografische Aufnahme',NULL,3,1,10602,3,'2009-06-08 11:41:20',1,'2009-06-08 11:41:20',1,0,0,0,0,'2009-06-08 11:41:20',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103943,'Scannen',NULL,0,2,10602,1,'2009-06-09 14:06:43',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103951,'Struktur- und Metadaten',NULL,3,5,10604,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103952,'Qualitätskontrolle',NULL,3,3,10604,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103953,'Import DMS',NULL,3,6,10604,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103954,'Archivierung',NULL,2,7,10604,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103955,'Bibliografische Aufnahme',NULL,3,1,10604,3,'2009-06-08 11:45:06',1,'2009-06-08 11:45:06',1,0,0,0,0,'2009-06-08 11:45:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103956,'Imagenachbearbeitung',NULL,3,4,10604,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103957,'Scannen',NULL,0,2,10604,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103972,'Struktur- und Metadaten',NULL,3,5,10607,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103973,'Archivierung',NULL,2,7,10607,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103974,'Imagenachbearbeitung',NULL,3,4,10607,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103975,'Qualitätskontrolle',NULL,3,3,10607,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103976,'Scannen',NULL,0,2,10607,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103977,'Import DMS',NULL,3,6,10607,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103978,'Bibliografische Aufnahme',NULL,3,1,10607,3,'2009-06-08 11:48:43',1,'2009-06-08 11:48:43',1,0,0,0,0,'2009-06-08 11:48:43',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103986,'Struktur- und Metadaten',NULL,3,5,10609,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (103987,'Archivierung',NULL,2,7,10609,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103988,'Scannen',NULL,10,2,10609,3,'2009-06-10 08:55:02',1,'2009-06-10 08:54:52',1,0,0,0,0,'2009-06-10 08:55:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103989,'Import DMS',NULL,3,6,10609,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (103990,'Bibliografische Aufnahme',NULL,3,1,10609,3,'2009-06-08 11:53:41',1,'2009-06-08 11:53:41',1,0,0,0,0,'2009-06-08 11:53:41',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (103991,'Imagenachbearbeitung',NULL,3,4,10609,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (103992,'Qualitätskontrolle',NULL,10,3,10609,1,'2009-06-09 16:11:03',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104000,'Import DMS',NULL,3,6,10611,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104001,'Bibliografische Aufnahme',NULL,3,1,10611,3,'2009-06-08 11:57:53',1,'2009-06-08 11:57:53',1,0,0,0,0,'2009-06-08 11:57:53',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104002,'Qualitätskontrolle',NULL,3,3,10611,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104003,'Archivierung',NULL,2,7,10611,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104004,'Scannen',NULL,0,2,10611,3,'2009-06-09 16:07:49',1,'2009-06-08 17:59:58',1,0,0,0,0,'2009-06-09 16:07:49',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104005,'Imagenachbearbeitung',NULL,3,4,10611,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104006,'Struktur- und Metadaten',NULL,3,5,10611,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104014,'Bibliografische Aufnahme',NULL,3,1,10613,3,'2009-06-08 12:11:02',1,'2009-06-08 12:11:02',1,0,0,0,0,'2009-06-08 12:11:02',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104015,'Archivierung',NULL,2,7,10613,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104016,'Struktur- und Metadaten',NULL,3,5,10613,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104017,'Scannen',NULL,0,2,10613,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104018,'Qualitätskontrolle',NULL,3,3,10613,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104019,'Imagenachbearbeitung',NULL,3,4,10613,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104020,'Import DMS',NULL,3,6,10613,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104021,'Archivierung',NULL,2,7,10614,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104022,'Import DMS',NULL,3,6,10614,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104023,'Bibliografische Aufnahme',NULL,3,1,10614,3,'2009-06-08 12:13:05',1,'2009-06-08 12:13:05',1,0,0,0,0,'2009-06-08 12:13:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104024,'Imagenachbearbeitung',NULL,3,4,10614,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104025,'Scannen',NULL,0,2,10614,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104026,'Struktur- und Metadaten',NULL,3,5,10614,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104027,'Qualitätskontrolle',NULL,3,3,10614,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104028,'Archivierung',NULL,2,7,10615,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104029,'Struktur- und Metadaten',NULL,3,5,10615,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104030,'Import DMS',NULL,3,6,10615,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104031,'Scannen',NULL,0,2,10615,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104032,'Bibliografische Aufnahme',NULL,3,1,10615,3,'2009-06-08 12:15:08',1,'2009-06-08 12:15:08',1,0,0,0,0,'2009-06-08 12:15:08',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104033,'Imagenachbearbeitung',NULL,3,4,10615,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104034,'Qualitätskontrolle',NULL,3,3,10615,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104035,'Archivierung',NULL,2,7,10616,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104036,'Imagenachbearbeitung',NULL,3,4,10616,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104037,'Scannen',NULL,0,2,10616,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104038,'Qualitätskontrolle',NULL,3,3,10616,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104039,'Bibliografische Aufnahme',NULL,3,1,10616,3,'2009-06-08 12:17:21',1,'2009-06-08 12:17:21',1,0,0,0,0,'2009-06-08 12:17:21',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104040,'Import DMS',NULL,3,6,10616,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104041,'Struktur- und Metadaten',NULL,3,5,10616,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104042,'Qualitätskontrolle',NULL,3,3,10617,3,'2009-06-10 10:31:58',1,'2009-06-09 17:27:24',1,0,0,0,0,'2009-06-10 10:31:58',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104043,'Scannen',NULL,0,2,10617,3,'2009-06-09 16:08:02',1,'2009-06-09 15:34:13',1,0,0,0,0,'2009-06-09 16:08:02',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104044,'Archivierung',NULL,2,7,10617,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104045,'Struktur- und Metadaten',NULL,3,5,10617,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104046,'Bibliografische Aufnahme',NULL,3,1,10617,3,'2009-06-08 12:20:36',1,'2009-06-08 12:20:36',1,0,0,0,0,'2009-06-08 12:20:36',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104047,'Imagenachbearbeitung',NULL,3,4,10617,2,'2009-06-10 11:16:05',1,'2009-06-10 11:16:03',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104048,'Import DMS',NULL,3,6,10617,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104049,'Qualitätskontrolle',NULL,3,3,10618,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104050,'Scannen',NULL,0,2,10618,2,'2009-06-10 08:33:28',1,'2009-06-10 08:33:28',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104051,'Struktur- und Metadaten',NULL,3,5,10618,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104052,'Bibliografische Aufnahme',NULL,3,1,10618,3,'2009-06-08 12:38:25',1,'2009-06-08 12:38:25',1,0,0,0,0,'2009-06-08 12:38:25',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104053,'Archivierung',NULL,2,7,10618,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104054,'Import DMS',NULL,3,6,10618,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104055,'Imagenachbearbeitung',NULL,3,4,10618,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104056,'Imagenachbearbeitung',NULL,3,4,10619,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104057,'Struktur- und Metadaten',NULL,3,5,10619,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104058,'Scannen',NULL,0,2,10619,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104059,'Bibliografische Aufnahme',NULL,3,1,10619,3,'2009-06-08 12:41:05',1,'2009-06-08 12:41:05',1,0,0,0,0,'2009-06-08 12:41:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104060,'Import DMS',NULL,3,6,10619,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104061,'Archivierung',NULL,2,7,10619,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104062,'Qualitätskontrolle',NULL,3,3,10619,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104063,'Qualitätskontrolle',NULL,10,3,10620,0,'2009-06-09 17:07:42',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104064,'Scannen',NULL,10,2,10620,1,'2009-06-09 14:44:10',1,'2009-06-09 12:33:09',1,0,0,0,0,'2009-06-09 14:44:10',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104065,'Struktur- und Metadaten',NULL,3,5,10620,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104066,'Imagenachbearbeitung',NULL,3,4,10620,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104067,'Archivierung',NULL,2,7,10620,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104068,'Import DMS',NULL,3,6,10620,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104069,'Bibliografische Aufnahme',NULL,3,1,10620,3,'2009-06-08 12:44:24',1,'2009-06-08 12:44:24',1,0,0,0,0,'2009-06-08 12:44:24',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104070,'Scannen',NULL,0,2,10621,2,'2009-06-09 16:20:38',1,'2009-06-09 16:20:38',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104071,'Struktur- und Metadaten',NULL,3,5,10621,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104072,'Imagenachbearbeitung',NULL,3,4,10621,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104073,'Archivierung',NULL,2,7,10621,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104074,'Bibliografische Aufnahme',NULL,3,1,10621,3,'2009-06-08 12:47:09',1,'2009-06-08 12:47:09',1,0,0,0,0,'2009-06-08 12:47:09',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104075,'Import DMS',NULL,3,6,10621,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104076,'Qualitätskontrolle',NULL,3,3,10621,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104189,'Bibliografische Aufnahme',NULL,3,1,10638,3,'2009-06-09 08:25:14',1,'2009-06-09 08:25:14',1,0,0,0,0,'2009-06-09 08:25:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104190,'Struktur- und Metadaten',NULL,3,5,10638,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104191,'Import DMS',NULL,3,6,10638,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104192,'Scannen',NULL,0,2,10638,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104193,'Archivierung',NULL,2,7,10638,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104194,'Imagenachbearbeitung',NULL,3,4,10638,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104195,'Qualitätskontrolle',NULL,3,3,10638,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104196,'Imagenachbearbeitung',NULL,3,4,10639,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104197,'Scannen',NULL,0,2,10639,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104198,'Bibliografische Aufnahme',NULL,3,1,10639,3,'2009-06-09 08:27:55',1,'2009-06-09 08:27:55',1,0,0,0,0,'2009-06-09 08:27:55',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104199,'Struktur- und Metadaten',NULL,3,5,10639,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104200,'Qualitätskontrolle',NULL,3,3,10639,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104201,'Archivierung',NULL,2,7,10639,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104202,'Import DMS',NULL,3,6,10639,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104203,'Bibliografische Aufnahme',NULL,3,1,10640,3,'2009-06-09 09:55:05',1,'2009-06-09 09:55:05',1,0,0,0,0,'2009-06-09 09:55:05',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104204,'Import DMS',NULL,3,6,10640,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104205,'Qualitätskontrolle',NULL,3,3,10640,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104206,'Archivierung',NULL,2,7,10640,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104207,'Struktur- und Metadaten',NULL,3,5,10640,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104208,'Scannen',NULL,0,2,10640,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104209,'Imagenachbearbeitung',NULL,3,4,10640,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104210,'Import DMS',NULL,3,6,10641,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104211,'Struktur- und Metadaten',NULL,3,5,10641,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104212,'Bibliografische Aufnahme',NULL,3,1,10641,3,'2009-06-09 09:57:33',1,'2009-06-09 09:57:33',1,0,0,0,0,'2009-06-09 09:57:33',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104213,'Imagenachbearbeitung',NULL,3,4,10641,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104214,'Archivierung',NULL,2,7,10641,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104215,'Scannen',NULL,0,2,10641,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104216,'Qualitätskontrolle',NULL,3,3,10641,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104266,'Scannen',NULL,0,2,10649,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104217,'Qualitätskontrolle',NULL,3,3,10642,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104218,'Bibliografische Aufnahme',NULL,3,1,10642,3,'2009-06-09 10:03:44',1,'2009-06-09 10:03:44',1,0,0,0,0,'2009-06-09 10:03:44',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104219,'Scannen',NULL,0,2,10642,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104220,'Imagenachbearbeitung',NULL,3,4,10642,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104221,'Import DMS',NULL,3,6,10642,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104222,'Archivierung',NULL,2,7,10642,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104223,'Struktur- und Metadaten',NULL,3,5,10642,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104224,'Archivierung',NULL,2,7,10643,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104225,'Bibliografische Aufnahme',NULL,3,1,10643,3,'2009-06-09 10:06:03',1,'2009-06-09 10:06:03',1,0,0,0,0,'2009-06-09 10:06:03',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104226,'Imagenachbearbeitung',NULL,3,4,10643,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104227,'Struktur- und Metadaten',NULL,3,5,10643,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104228,'Import DMS',NULL,3,6,10643,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104229,'Qualitätskontrolle',NULL,3,3,10643,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104230,'Scannen',NULL,0,2,10643,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104231,'Bibliografische Aufnahme',NULL,3,1,10644,3,'2009-06-09 10:33:25',1,'2009-06-09 10:33:25',1,0,0,0,0,'2009-06-09 10:33:25',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104232,'Import DMS',NULL,3,6,10644,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104233,'Struktur- und Metadaten',NULL,3,5,10644,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104234,'Scannen',NULL,0,2,10644,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104235,'Imagenachbearbeitung',NULL,3,4,10644,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104236,'Archivierung',NULL,2,7,10644,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104237,'Qualitätskontrolle',NULL,3,3,10644,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104239,'Qualitätskontrolle',NULL,3,3,10645,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104240,'Bibliografische Aufnahme',NULL,3,1,10645,3,'2009-06-09 10:38:12',1,'2009-06-09 10:38:12',1,0,0,0,0,'2009-06-09 10:38:12',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104241,'Imagenachbearbeitung',NULL,3,4,10645,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104242,'Scannen',NULL,0,2,10645,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104243,'Archivierung',NULL,2,7,10645,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104244,'Import DMS',NULL,3,6,10645,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104245,'Bibliografische Aufnahme',NULL,3,1,10646,3,'2009-06-09 10:40:11',1,'2009-06-09 10:40:11',1,0,0,0,0,'2009-06-09 10:40:11',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104246,'Qualitätskontrolle',NULL,3,3,10646,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104247,'Scannen',NULL,0,2,10646,2,'2009-06-10 10:39:09',1,'2009-06-10 10:39:09',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104248,'Imagenachbearbeitung',NULL,3,4,10646,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104249,'Archivierung',NULL,2,7,10646,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104250,'Import DMS',NULL,3,6,10646,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104251,'Struktur- und Metadaten',NULL,3,5,10646,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104252,'Qualitätskontrolle',NULL,3,3,10647,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104253,'Struktur- und Metadaten',NULL,3,5,10647,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104254,'Bibliografische Aufnahme',NULL,3,1,10647,3,'2009-06-09 10:41:14',1,'2009-06-09 10:41:14',1,0,0,0,0,'2009-06-09 10:41:14',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104255,'Import DMS',NULL,3,6,10647,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104256,'Imagenachbearbeitung',NULL,3,4,10647,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104257,'Scannen',NULL,0,2,10647,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104258,'Archivierung',NULL,2,7,10647,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104259,'Struktur- und Metadaten',NULL,3,5,10648,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104260,'Archivierung',NULL,2,7,10648,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104261,'Qualitätskontrolle',NULL,3,3,10648,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104262,'Bibliografische Aufnahme',NULL,3,1,10648,3,'2009-06-09 10:43:44',1,'2009-06-09 10:43:44',1,0,0,0,0,'2009-06-09 10:43:44',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104263,'Import DMS',NULL,3,6,10648,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104264,'Imagenachbearbeitung',NULL,3,4,10648,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104265,'Scannen',NULL,0,2,10648,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104267,'Bibliografische Aufnahme',NULL,3,1,10649,3,'2009-06-09 10:43:59',1,'2009-06-09 10:43:59',1,0,0,0,0,'2009-06-09 10:43:59',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104268,'Struktur- und Metadaten',NULL,3,5,10649,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104269,'Import DMS',NULL,3,6,10649,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104270,'Imagenachbearbeitung',NULL,3,4,10649,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104271,'Qualitätskontrolle',NULL,3,3,10649,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104272,'Archivierung',NULL,2,7,10649,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104273,'Import DMS',NULL,3,6,10650,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104274,'Struktur- und Metadaten',NULL,3,5,10650,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104275,'Archivierung',NULL,2,7,10650,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104276,'Bibliografische Aufnahme',NULL,3,1,10650,3,'2009-06-09 10:45:54',1,'2009-06-09 10:45:54',1,0,0,0,0,'2009-06-09 10:45:54',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104277,'Qualitätskontrolle',NULL,3,3,10650,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104278,'Scannen',NULL,0,2,10650,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104279,'Imagenachbearbeitung',NULL,3,4,10650,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104280,'Archivierung',NULL,2,7,10651,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104281,'Imagenachbearbeitung',NULL,3,4,10651,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104282,'Bibliografische Aufnahme',NULL,3,1,10651,3,'2009-06-09 10:47:56',1,'2009-06-09 10:47:56',1,0,0,0,0,'2009-06-09 10:47:56',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104283,'Struktur- und Metadaten',NULL,3,5,10651,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104284,'Scannen',NULL,0,2,10651,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104285,'Qualitätskontrolle',NULL,3,3,10651,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104286,'Import DMS',NULL,3,6,10651,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104287,'Imagenachbearbeitung',NULL,3,4,10652,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104288,'Bibliografische Aufnahme',NULL,3,1,10652,3,'2009-06-09 10:50:01',1,'2009-06-09 10:50:01',1,0,0,0,0,'2009-06-09 10:50:01',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104289,'Struktur- und Metadaten',NULL,3,5,10652,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104290,'Archivierung',NULL,2,7,10652,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104291,'Scannen',NULL,0,2,10652,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104292,'Qualitätskontrolle',NULL,3,3,10652,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104293,'Import DMS',NULL,3,6,10652,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104294,'Qualitätskontrolle',NULL,3,3,10653,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104295,'Archivierung',NULL,2,7,10653,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104296,'Import DMS',NULL,3,6,10653,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104297,'Scannen',NULL,0,2,10653,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104298,'Bibliografische Aufnahme',NULL,3,1,10653,3,'2009-06-09 10:56:38',1,'2009-06-09 10:56:38',1,0,0,0,0,'2009-06-09 10:56:38',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104299,'Struktur- und Metadaten',NULL,3,5,10653,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104300,'Imagenachbearbeitung',NULL,3,4,10653,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104301,'Qualitätskontrolle',NULL,3,3,10654,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104302,'Scannen',NULL,0,2,10654,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104303,'Import DMS',NULL,3,6,10654,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104304,'Struktur- und Metadaten',NULL,3,5,10654,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104305,'Bibliografische Aufnahme',NULL,3,1,10654,3,'2009-06-09 11:02:33',1,'2009-06-09 11:02:33',1,0,0,0,0,'2009-06-09 11:02:33',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104306,'Archivierung',NULL,2,7,10654,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104307,'Imagenachbearbeitung',NULL,3,4,10654,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104308,'Scannen',NULL,0,2,10655,2,'2009-06-09 18:13:55',1,'2009-06-09 18:13:55',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104309,'Bibliografische Aufnahme',NULL,3,1,10655,3,'2009-06-09 11:03:06',1,'2009-06-09 11:03:06',1,0,0,0,0,'2009-06-09 11:03:06',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104310,'Qualitätskontrolle',NULL,3,3,10655,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104311,'Struktur- und Metadaten',NULL,3,5,10655,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104312,'Archivierung',NULL,2,7,10655,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104313,'Import DMS',NULL,3,6,10655,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104314,'Imagenachbearbeitung',NULL,3,4,10655,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104315,'Imagenachbearbeitung',NULL,3,4,10656,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104316,'Bibliografische Aufnahme',NULL,3,1,10656,3,'2009-06-09 11:05:08',1,'2009-06-09 11:05:08',1,0,0,0,0,'2009-06-09 11:05:08',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104317,'Archivierung',NULL,2,7,10656,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104318,'Qualitätskontrolle',NULL,3,3,10656,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104319,'Struktur- und Metadaten',NULL,3,5,10656,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104320,'Import DMS',NULL,3,6,10656,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104321,'Scannen',NULL,0,2,10656,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104322,'Scannen',NULL,0,2,10657,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104323,'Struktur- und Metadaten',NULL,3,5,10657,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104324,'Bibliografische Aufnahme',NULL,3,1,10657,3,'2009-06-09 11:05:40',1,'2009-06-09 11:05:40',1,0,0,0,0,'2009-06-09 11:05:40',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104325,'Qualitätskontrolle',NULL,3,3,10657,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104326,'Archivierung',NULL,2,7,10657,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104327,'Import DMS',NULL,3,6,10657,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104328,'Imagenachbearbeitung',NULL,3,4,10657,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104329,'Scannen',NULL,0,2,10658,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104330,'Struktur- und Metadaten',NULL,3,5,10658,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104331,'Bibliografische Aufnahme',NULL,3,1,10658,3,'2009-06-09 11:07:32',1,'2009-06-09 11:07:32',1,0,0,0,0,'2009-06-09 11:07:32',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104332,'Import DMS',NULL,3,6,10658,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104333,'Imagenachbearbeitung',NULL,3,4,10658,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104334,'Qualitätskontrolle',NULL,3,3,10658,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104335,'Archivierung',NULL,2,7,10658,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104336,'Struktur- und Metadaten',NULL,3,5,10659,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104337,'Archivierung',NULL,2,7,10659,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104338,'Scannen',NULL,0,2,10659,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104339,'Bibliografische Aufnahme',NULL,3,1,10659,3,'2009-06-09 11:09:18',1,'2009-06-09 11:09:18',1,0,0,0,0,'2009-06-09 11:09:18',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104340,'Imagenachbearbeitung',NULL,3,4,10659,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104341,'Import DMS',NULL,3,6,10659,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104342,'Qualitätskontrolle',NULL,3,3,10659,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104343,'Bibliografische Aufnahme',NULL,3,1,10660,3,'2009-06-09 11:11:09',1,'2009-06-09 11:11:09',1,0,0,0,0,'2009-06-09 11:11:09',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104344,'Scannen',NULL,0,2,10660,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104345,'Qualitätskontrolle',NULL,3,3,10660,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104346,'Import DMS',NULL,3,6,10660,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104347,'Archivierung',NULL,2,7,10660,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104348,'Imagenachbearbeitung',NULL,3,4,10660,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104349,'Struktur- und Metadaten',NULL,3,5,10660,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104350,'Qualitätskontrolle',NULL,3,3,10661,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104351,'Import DMS',NULL,3,6,10661,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104352,'Archivierung',NULL,2,7,10661,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104353,'Struktur- und Metadaten',NULL,3,5,10661,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104354,'Imagenachbearbeitung',NULL,3,4,10661,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104355,'Bibliografische Aufnahme',NULL,3,1,10661,3,'2009-06-09 11:13:20',1,'2009-06-09 11:13:20',1,0,0,0,0,'2009-06-09 11:13:20',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104356,'Scannen',NULL,0,2,10661,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104357,'Imagenachbearbeitung',NULL,3,4,10662,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104358,'Scannen',NULL,0,2,10662,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104359,'Bibliografische Aufnahme',NULL,3,1,10662,3,'2009-06-09 11:15:34',1,'2009-06-09 11:15:34',1,0,0,0,0,'2009-06-09 11:15:34',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104360,'Struktur- und Metadaten',NULL,3,5,10662,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104361,'Archivierung',NULL,2,7,10662,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104362,'Import DMS',NULL,3,6,10662,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104363,'Qualitätskontrolle',NULL,3,3,10662,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104364,'Bibliografische Aufnahme',NULL,3,1,10663,3,'2009-06-09 11:17:28',1,'2009-06-09 11:17:28',1,0,0,0,0,'2009-06-09 11:17:28',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104365,'Scannen',NULL,0,2,10663,2,'2009-06-10 08:31:53',1,'2009-06-10 08:31:53',1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104366,'Archivierung',NULL,2,7,10663,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104367,'Imagenachbearbeitung',NULL,3,4,10663,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104368,'Struktur- und Metadaten',NULL,3,5,10663,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104369,'Import DMS',NULL,3,6,10663,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104370,'Qualitätskontrolle',NULL,3,3,10663,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104371,'Import DMS',NULL,3,6,10664,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL),
 (104372,'Imagenachbearbeitung',NULL,3,4,10664,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104373,'Archivierung',NULL,2,7,10664,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104374,'Qualitätskontrolle',NULL,10,3,10664,0,'2009-06-10 11:00:00',1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104375,'Scannen',NULL,10,2,10664,1,'2009-06-10 09:44:12',1,'2009-06-09 15:21:42',1,0,0,0,0,'2009-06-10 09:44:12',0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104376,'Bibliografische Aufnahme',NULL,3,1,10664,3,'2009-06-09 12:41:29',1,'2009-06-09 12:41:29',1,0,0,0,0,'2009-06-09 12:41:29',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104377,'Struktur- und Metadaten',NULL,3,5,10664,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104415,'Bibliografische Aufnahme',NULL,3,1,10670,3,'2009-06-09 15:05:54',1,'2009-06-09 15:05:54',1,0,0,0,0,'2009-06-09 15:05:54',0,0,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104416,'Struktur- und Metadaten',NULL,3,5,10670,0,NULL,1,NULL,1,0,0,0,0,NULL,1,0,0,0,1,0,0,0,0,0,'',0,NULL,NULL),
 (104413,'Archivierung',NULL,2,7,10670,0,NULL,1,NULL,1,0,0,0,0,NULL,0,1,0,0,0,0,0,0,0,0,'',0,NULL,NULL),
 (104414,'Qualitätskontrolle',NULL,3,3,10670,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104417,'Imagenachbearbeitung',NULL,3,4,10670,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104418,'Scannen',NULL,0,2,10670,1,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,1,1,0,0,0,0,'',0,NULL,NULL),
 (104419,'Import DMS',NULL,3,6,10670,0,NULL,1,NULL,1,0,0,0,0,NULL,0,0,0,0,0,0,1,0,0,0,'',0,NULL,NULL);
/*!40000 ALTER TABLE `schritte` ENABLE KEYS */;


--
-- Definition of table `schritteberechtigtebenutzer`
--

DROP TABLE IF EXISTS `schritteberechtigtebenutzer`;
CREATE TABLE `schritteberechtigtebenutzer` (
  `schritteberechtigtebenutzerID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `schritteID` int(10) unsigned NOT NULL DEFAULT '0',
  `BenutzerID` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`schritteberechtigtebenutzerID`),
  KEY `schritteID` (`schritteID`),
  KEY `BenutzerID` (`BenutzerID`),
  KEY `FK4BB889CF15EED760` (`BenutzerID`),
  KEY `FK4BB889CFD0832AF5` (`schritteID`),
  KEY `FK4BB889CF8896477B` (`BenutzerID`),
  KEY `FK4BB889CFBB6FCB7A` (`schritteID`)
) ENGINE=MyISAM AUTO_INCREMENT=8809 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `schritteberechtigtebenutzer`
--

/*!40000 ALTER TABLE `schritteberechtigtebenutzer` DISABLE KEYS */;
INSERT INTO `schritteberechtigtebenutzer` (`schritteberechtigtebenutzerID`,`schritteID`,`BenutzerID`) VALUES 
 (2,105,1),
 (4,116,1),
 (11,137,1),
 (13,117,1),
 (2591,23467,1),
 (2592,23172,1),
 (1638,25822,1),
 (2594,23174,1),
 (2593,23169,1),
 (3253,32471,1),
 (3254,32467,1),
 (3255,32468,1),
 (5495,49454,1),
 (5493,49451,1),
 (5490,49444,1),
 (5489,49443,1),
 (5488,49440,1),
 (5463,49240,1),
 (5462,49239,1),
 (5459,49233,1),
 (5458,49229,1),
 (5457,49228,1),
 (5454,49225,1),
 (5453,49222,1),
 (5452,49219,1),
 (5451,49217,1),
 (5446,49208,1),
 (5445,49207,1),
 (5444,49205,1),
 (5443,49203,1),
 (5440,49199,1),
 (5439,49198,1),
 (5436,49193,1),
 (5435,49192,1),
 (5434,49189,1),
 (5433,49186,1),
 (5432,49185,1),
 (5429,49181,1),
 (5428,49175,1),
 (5427,49174,1),
 (5426,49173,1),
 (5423,49168,1),
 (5422,49164,1),
 (5421,49162,1),
 (5418,49155,1),
 (5417,49154,1),
 (5414,49151,1),
 (5413,49147,1),
 (5412,49146,1),
 (5409,49142,1),
 (5406,49139,1),
 (5405,49138,1),
 (5404,49137,1),
 (5403,49130,1),
 (5402,49127,1),
 (5399,49124,1),
 (5398,49123,1),
 (5397,49122,1),
 (5394,49115,1),
 (5391,49111,1),
 (5390,49110,1),
 (5389,49107,1),
 (5386,49102,1),
 (5385,49099,1),
 (5384,49097,1),
 (5383,49095,1),
 (5382,49094,1),
 (5381,49091,1),
 (5378,49085,1),
 (5377,49084,1),
 (5374,49080,1),
 (5373,49078,1),
 (5370,49074,1),
 (5369,49073,1),
 (5368,49066,1),
 (5365,49062,1),
 (5364,49061,1),
 (5363,49059,1),
 (5360,49057,1),
 (5359,49053,1),
 (5358,49047,1),
 (5357,49046,1),
 (5356,49044,1),
 (5353,49042,1),
 (5350,49037,1),
 (5349,49034,1),
 (5346,49030,1),
 (5345,49028,1),
 (5344,49026,1),
 (5343,49020,1),
 (5342,49018,1),
 (5339,49016,1),
 (5338,49014,1),
 (5337,49013,1),
 (5336,49008,1),
 (5333,49004,1),
 (5332,49002,1),
 (5331,48999,1),
 (5328,48997,1),
 (5327,48996,1),
 (5324,48989,1),
 (5323,48987,1),
 (5320,48982,1),
 (5319,48981,1),
 (5318,48976,1),
 (5315,48972,1),
 (5314,48971,1),
 (5313,48969,1),
 (5312,48964,1),
 (5311,48963,1),
 (5308,48960,1),
 (5307,48957,1),
 (5306,48955,1),
 (5303,48950,1),
 (5300,48946,1),
 (5299,48944,1),
 (5298,48941,1),
 (5295,48936,1),
 (5294,48935,1),
 (5293,48931,1),
 (5290,48929,1),
 (5289,48928,1),
 (5288,48925,1),
 (5287,48923,1),
 (5284,48918,1),
 (5283,48916,1),
 (5282,48913,1),
 (5279,48908,1),
 (5278,48907,1),
 (5277,48906,1),
 (5274,48904,1),
 (5271,48893,1),
 (5270,48892,1),
 (5269,48891,1),
 (5256,48821,1),
 (5255,48820,1),
 (5254,48816,1),
 (5253,48815,1),
 (5252,48810,1),
 (5251,48808,1),
 (5248,48806,1),
 (5247,48804,1),
 (5244,48801,1),
 (5243,48797,1),
 (5242,48796,1),
 (5239,48789,1),
 (5238,48784,1),
 (5235,48781,1),
 (5234,48780,1),
 (5231,48776,1),
 (5230,48774,1),
 (5229,48772,1),
 (5226,48759,1),
 (5225,48758,1),
 (5224,48757,1),
 (5223,48752,1),
 (5220,48749,1),
 (5219,48748,1),
 (5216,48739,1),
 (5215,48738,1),
 (5214,48737,1),
 (5213,48734,1),
 (5212,48730,1),
 (5211,48729,1),
 (5208,48727,1),
 (5207,48726,1),
 (5206,48724,1),
 (5203,48718,1),
 (5200,48714,1),
 (5199,48710,1),
 (5198,48707,1),
 (5197,48706,1),
 (5196,48703,1),
 (5193,48692,1),
 (5190,48688,1),
 (5189,48685,1),
 (5188,48676,1),
 (5187,48672,1),
 (5184,48669,1),
 (5183,48666,1),
 (5182,48665,1),
 (5181,48663,1),
 (5178,48647,1),
 (5177,48646,1),
 (5176,48645,1),
 (5173,48642,1),
 (5172,48641,1),
 (5171,48637,1),
 (5166,48598,1),
 (5165,48595,1),
 (5164,48594,1),
 (5161,48591,1),
 (5160,48590,1),
 (5159,48586,1),
 (5154,48580,1),
 (5153,48579,1),
 (5152,48574,1),
 (5151,48570,1),
 (5148,48567,1),
 (5147,48566,1),
 (5146,48564,1),
 (5143,48560,1),
 (5142,48558,1),
 (5141,48552,1),
 (5138,48548,1),
 (5137,48547,1),
 (5136,48546,1),
 (5135,48543,1),
 (5132,48540,1),
 (5131,48535,1),
 (5128,48531,1),
 (5127,48529,1),
 (5126,48527,1),
 (5125,48524,1),
 (5122,48520,1),
 (5121,48518,1),
 (5120,48515,1),
 (5119,48513,1),
 (5116,48510,1),
 (5113,48504,1),
 (5112,48502,1),
 (5109,48495,1),
 (5108,48494,1),
 (5107,48493,1),
 (5106,48492,1),
 (5103,48486,1),
 (5102,48485,1),
 (5101,48482,1),
 (5098,48478,1),
 (5097,48477,1),
 (5096,48469,1),
 (5095,48468,1),
 (5094,48467,1),
 (5091,48463,1),
 (8520,48462,1),
 (5087,48459,1),
 (5084,48453,1),
 (5083,48450,1),
 (5082,48448,1),
 (5079,48441,1),
 (5078,48440,1),
 (5077,48439,1),
 (4877,47737,1),
 (4876,47734,1),
 (4873,47730,1),
 (4864,47656,1),
 (4859,47657,1),
 (4856,47653,1),
 (4220,41688,1),
 (5494,49452,1),
 (5500,49460,1),
 (5501,49461,1),
 (5502,49466,1),
 (5503,49469,1),
 (5504,49470,1),
 (5505,49471,1),
 (5512,49501,1),
 (5513,49502,1),
 (5514,49504,1),
 (5519,49522,1),
 (5522,49524,1),
 (5523,49528,1),
 (5530,49557,1),
 (5531,49558,1),
 (5532,49559,1),
 (5533,49563,1),
 (5536,49569,1),
 (5537,49570,1),
 (5540,49574,1),
 (5541,49577,1),
 (5542,49578,1),
 (5543,49581,1),
 (5544,49583,1),
 (5547,49585,1),
 (5548,49590,1),
 (5551,49593,1),
 (5552,49597,1),
 (5555,49602,1),
 (5556,49603,1),
 (5557,49607,1),
 (5558,49609,1),
 (5559,49610,1),
 (5560,49613,1),
 (5565,49618,1),
 (5566,49620,1),
 (5567,49623,1),
 (5568,49626,1),
 (5571,49629,1),
 (5572,49633,1),
 (5573,49635,1),
 (5574,49636,1),
 (5575,49637,1),
 (5578,49647,1),
 (5581,49650,1),
 (5582,49652,1),
 (5585,49655,1),
 (5586,49656,1),
 (5587,49657,1),
 (5588,49663,1),
 (5589,49666,1),
 (5592,49670,1),
 (5593,49674,1),
 (5594,49675,1),
 (5597,49679,1),
 (5598,49681,1),
 (5599,49685,1),
 (5600,49686,1),
 (5603,49690,1),
 (5604,49691,1),
 (5607,49697,1),
 (5610,49703,1),
 (5611,49704,1),
 (5612,49705,1),
 (5613,49708,1),
 (5614,49709,1),
 (5617,49713,1),
 (5620,49719,1),
 (5621,49720,1),
 (5622,49721,1),
 (5623,49725,1),
 (5624,49726,1),
 (5627,49731,1),
 (5628,49734,1),
 (5631,49740,1),
 (5632,49742,1),
 (5633,49744,1),
 (5634,49747,1),
 (5637,49750,1),
 (5638,49762,1),
 (5639,49764,1),
 (5640,49766,1),
 (5643,49768,1),
 (5644,49772,1),
 (5647,49776,1),
 (5650,49781,1),
 (5651,49783,1),
 (5652,49785,1),
 (5653,49787,1),
 (5654,49789,1),
 (5655,49791,1),
 (5658,49797,1),
 (5659,49798,1),
 (5660,49800,1),
 (5665,49809,1),
 (5666,49810,1),
 (5667,49811,1),
 (5668,49813,1),
 (5669,49816,1),
 (5670,49819,1),
 (5673,49824,1),
 (5676,49827,1),
 (5677,49830,1),
 (5678,49835,1),
 (5681,49838,1),
 (5682,49839,1),
 (5683,49841,1),
 (5684,49845,1),
 (5687,49848,1),
 (5688,49858,1),
 (5689,49859,1),
 (5692,49864,1),
 (5693,49866,1),
 (5694,49867,1),
 (5697,49873,1),
 (5698,49875,1),
 (5701,49878,1),
 (5702,49881,1),
 (5703,49884,1),
 (5706,49890,1),
 (5707,49891,1),
 (5708,49894,1),
 (5709,49896,1),
 (5712,49899,1),
 (5713,49901,1),
 (5714,49905,1),
 (5717,49909,1),
 (5720,49912,1),
 (5721,49914,1),
 (5722,49918,1),
 (5723,49919,1),
 (5724,49920,1),
 (5727,49927,1),
 (5728,49930,1),
 (5729,49933,1),
 (5732,49935,1),
 (5733,49937,1),
 (5736,49941,1),
 (5737,49944,1),
 (5738,49946,1),
 (5739,49950,1),
 (5742,49952,1),
 (5743,49955,1),
 (5746,49959,1),
 (5747,49960,1),
 (5748,49967,1),
 (5749,49968,1),
 (5750,49970,1),
 (5753,49977,1),
 (5754,49978,1),
 (5755,49980,1),
 (5758,49983,1),
 (5759,49984,1),
 (5762,49990,1),
 (5763,49991,1),
 (5764,49993,1),
 (5767,49995,1),
 (5770,50003,1),
 (5771,50007,1),
 (5772,50008,1),
 (5773,50011,1),
 (5776,50015,1),
 (5777,50017,1),
 (5780,27814,1),
 (5781,27831,1),
 (5782,27839,1),
 (5783,27855,1),
 (5784,27865,1),
 (5785,27881,1),
 (5786,27890,1),
 (5787,27895,1),
 (5788,27907,1),
 (5789,27936,1),
 (5790,27955,1),
 (5791,27974,1),
 (5792,27999,1),
 (5793,28017,1),
 (5794,28031,1),
 (5795,28033,1),
 (5796,30421,1),
 (5797,28060,1),
 (5798,28069,1),
 (5799,29468,1),
 (5800,28133,1),
 (5801,28144,1),
 (5802,28157,1),
 (5803,28166,1),
 (5804,28183,1),
 (5805,28449,1),
 (5806,28475,1),
 (5807,28492,1),
 (5808,28498,1),
 (5809,28605,1),
 (5810,28615,1),
 (5811,28629,1),
 (5812,28676,1),
 (5813,28688,1),
 (5814,28697,1),
 (5815,28726,1),
 (5816,28733,1),
 (5817,28741,1),
 (5818,28754,1),
 (5819,28764,1),
 (5820,28982,1),
 (5821,28967,1),
 (5822,28943,1),
 (5823,28958,1),
 (5824,28997,1),
 (5825,28999,1),
 (5826,29010,1),
 (5827,29024,1),
 (5828,29031,1),
 (5829,29044,1),
 (5830,29053,1),
 (5831,29073,1),
 (5832,29712,1),
 (5833,29472,1),
 (5834,29489,1),
 (5835,29501,1),
 (5836,29511,1),
 (5837,29521,1),
 (5838,29535,1),
 (5839,29543,1),
 (5840,29551,1),
 (5841,29564,1),
 (5842,29578,1),
 (5843,29588,1),
 (5844,29596,1),
 (5845,29604,1),
 (5846,29614,1),
 (5847,29628,1),
 (5848,29645,1),
 (5849,29647,1),
 (5850,29667,1),
 (5851,29671,1),
 (5852,29691,1),
 (5853,29740,1),
 (5854,29754,1),
 (5855,29775,1),
 (5856,29782,1),
 (5857,29795,1),
 (5858,29804,1),
 (5859,29812,1),
 (5860,29829,1),
 (5861,29843,1),
 (5862,29849,1),
 (5863,29863,1),
 (5864,29871,1),
 (5865,29884,1),
 (5866,29895,1),
 (5867,29907,1),
 (5868,29917,1),
 (5869,29930,1),
 (5870,29939,1),
 (5871,29948,1),
 (5872,29963,1),
 (5873,29969,1),
 (5874,29980,1),
 (5875,29995,1),
 (5876,30012,1),
 (5877,30028,1),
 (5878,30050,1),
 (5879,30107,1),
 (5880,30130,1),
 (5881,30133,1),
 (5882,30150,1),
 (5883,30157,1),
 (5884,30165,1),
 (5885,30185,1),
 (5886,30188,1),
 (5887,30204,1),
 (5888,30211,1),
 (5889,30220,1),
 (5890,30231,1),
 (5891,30242,1),
 (5892,30253,1),
 (5893,30294,1),
 (5894,30317,1),
 (5895,30405,1),
 (5896,30419,1),
 (5897,30386,1),
 (5898,30388,1),
 (5899,30452,1),
 (5900,30473,1),
 (5901,30484,1),
 (5902,30488,1),
 (5903,30501,1),
 (5904,30516,1),
 (5905,30522,1),
 (5906,30536,1),
 (5907,30550,1),
 (5908,30555,1),
 (5909,30580,1),
 (5910,30655,1),
 (5911,30595,1),
 (5912,30607,1),
 (5913,30623,1),
 (5914,30633,1),
 (5915,30642,1),
 (5916,30658,1),
 (5917,30678,1),
 (5918,30680,1),
 (5919,30697,1),
 (5920,30712,1),
 (5921,30717,1),
 (5922,30739,1),
 (5923,30754,1),
 (5924,30766,1),
 (5925,30795,1),
 (5926,30809,1),
 (5927,30822,1),
 (5928,30835,1),
 (5929,30845,1),
 (5930,30851,1),
 (5931,30860,1),
 (5932,30873,1),
 (5933,30882,1),
 (5934,30897,1),
 (5935,30903,1),
 (5936,30270,1),
 (5937,30330,1),
 (5938,30354,1),
 (5939,30372,1),
 (5940,30433,1),
 (5941,30455,1),
 (5942,30302,1),
 (5943,31508,1),
 (5944,31527,1),
 (5945,31529,1),
 (5946,31540,1),
 (5947,31556,1),
 (5948,31570,1),
 (5949,30729,1),
 (5950,36545,1),
 (5951,31272,1),
 (5952,31264,1),
 (5953,31249,1),
 (5954,31239,1),
 (5955,31225,1),
 (5956,31278,1),
 (5957,31295,1),
 (5958,31306,1),
 (5959,31318,1),
 (5960,31325,1),
 (5961,31334,1),
 (5962,31352,1),
 (5963,31356,1),
 (5964,31364,1),
 (5965,48369,1),
 (5966,50032,1),
 (5967,50035,1),
 (5968,50037,1),
 (5971,50039,1),
 (5972,50040,1),
 (5975,50047,1),
 (5976,50049,1),
 (5977,50050,1),
 (5980,50056,1),
 (5981,50060,1),
 (5982,50061,1),
 (5985,50063,1),
 (5986,50066,1),
 (5987,50069,1),
 (5990,50073,1),
 (5993,50076,1),
 (5994,50078,1),
 (5995,50081,1),
 (5996,50087,1),
 (5997,50088,1),
 (6000,50090,1),
 (6001,50095,1),
 (6004,50097,1),
 (6005,50098,1),
 (6006,50102,1),
 (6007,50103,1),
 (6008,50107,1),
 (6011,50112,1),
 (6012,50113,1),
 (6013,50114,1),
 (6018,50122,1),
 (6019,50125,1),
 (6020,50127,1),
 (6023,50133,1),
 (6024,50134,1),
 (6025,50136,1),
 (6026,50138,1),
 (6027,50140,1),
 (6030,50145,1),
 (6031,50149,1),
 (6032,50151,1),
 (6035,50153,1),
 (6038,50159,1),
 (6039,50161,1),
 (6040,50162,1),
 (6041,50170,1),
 (6042,50171,1),
 (6043,50172,1),
 (6046,50174,1),
 (6047,50176,1),
 (6048,50177,1),
 (6051,50183,1),
 (6054,50189,1),
 (6055,50191,1),
 (6056,50192,1),
 (6057,50195,1),
 (6058,50198,1),
 (6061,50201,1),
 (6062,50203,1),
 (6065,50209,1),
 (6066,50211,1),
 (6067,50213,1),
 (6070,50218,1),
 (6073,50223,1),
 (6074,50224,1),
 (6075,50226,1),
 (6076,50229,1),
 (6077,50231,1),
 (6080,50235,1),
 (6081,50238,1),
 (6082,50240,1),
 (6083,50243,1),
 (6086,50248,1),
 (6087,50251,1),
 (6090,50254,1),
 (6091,50255,1),
 (6094,50261,1),
 (6095,50262,1),
 (6098,50268,1),
 (6099,50270,1),
 (6100,50271,1),
 (6101,50275,1),
 (6102,50278,1),
 (6105,50281,1),
 (6108,50284,1),
 (6109,50286,1),
 (6110,50289,1),
 (6111,50291,1),
 (6112,50293,1),
 (6113,50296,1),
 (6116,50302,1),
 (6117,50303,1),
 (6118,50304,1),
 (6121,50310,1),
 (6122,50313,1),
 (6125,50317,1),
 (6126,50318,1),
 (6127,50322,1),
 (6128,50324,1),
 (6131,50327,1),
 (6132,50329,1),
 (6135,50335,1),
 (6136,50337,1),
 (6137,50340,1),
 (6140,50342,1),
 (6141,50346,1),
 (6142,50348,1),
 (6143,50350,1),
 (6146,50354,1),
 (6149,50358,1),
 (6150,50359,1),
 (6153,50365,1),
 (6154,50367,1),
 (6155,50370,1),
 (6156,50373,1),
 (6157,50374,1),
 (6160,50378,1),
 (6161,50381,1),
 (6162,50384,1),
 (6163,50385,1),
 (6166,50391,1),
 (6167,50392,1),
 (6170,50396,1),
 (6171,50400,1),
 (6172,50403,1),
 (6173,50405,1),
 (6178,50412,1),
 (6179,50414,1),
 (6180,50415,1),
 (6183,50421,1),
 (6184,50422,1),
 (6185,50423,1),
 (6188,50427,1),
 (6189,50433,1),
 (6190,50434,1),
 (6191,50435,1),
 (6194,50441,1),
 (6195,50443,1),
 (6196,50444,1),
 (6197,50447,1),
 (6200,50451,1),
 (6203,50457,1),
 (6204,50458,1),
 (6205,50460,1),
 (6665,51296,1),
 (6661,51288,1),
 (6662,51291,1),
 (6657,51284,1),
 (6656,51279,1),
 (6660,51286,1),
 (6654,51274,1),
 (6655,51275,1),
 (6651,51270,1),
 (6646,51261,1),
 (6647,51262,1),
 (6648,51263,1),
 (6644,51257,1),
 (6643,51255,1),
 (6645,51260,1),
 (6637,51245,1),
 (6638,51247,1),
 (6636,51244,1),
 (6632,51235,1),
 (6631,51234,1),
 (6635,51240,1),
 (6630,51232,1),
 (6626,51226,1),
 (6627,51228,1),
 (6624,51214,1),
 (6625,51217,1),
 (6621,51209,1),
 (6618,51206,1),
 (6616,51202,1),
 (6617,51205,1),
 (6614,51194,1),
 (6611,51192,1),
 (6615,51196,1),
 (6606,51182,1),
 (6609,51185,1),
 (6610,51189,1),
 (6601,51174,1),
 (6604,51177,1),
 (6605,51179,1),
 (6600,51171,1),
 (6596,51166,1),
 (6599,51170,1),
 (6595,51162,1),
 (6594,51161,1),
 (6593,51157,1),
 (6590,51154,1),
 (6586,51146,1),
 (6587,51149,1),
 (6585,51144,1),
 (6584,51142,1),
 (6583,51141,1),
 (6580,51134,1),
 (6576,51129,1),
 (6579,51133,1),
 (6575,51126,1),
 (6574,51122,1),
 (6573,51120,1),
 (6567,51116,1),
 (6566,51111,1),
 (6568,51117,1),
 (6561,51101,1),
 (6563,51107,1),
 (6562,51105,1),
 (6556,51092,1),
 (6559,51095,1),
 (6560,51096,1),
 (6551,51084,1),
 (6553,51086,1),
 (6552,51085,1),
 (6547,51078,1),
 (6548,51079,1),
 (6546,51075,1),
 (6541,51067,1),
 (6544,51071,1),
 (6545,51072,1),
 (6536,51056,1),
 (6537,51057,1),
 (6538,51059,1),
 (6532,51049,1),
 (6535,51054,1),
 (6531,51048,1),
 (6530,51045,1),
 (6526,51041,1),
 (6529,51043,1),
 (6524,51032,1),
 (6523,51031,1),
 (6525,51037,1),
 (6516,51020,1),
 (6519,51025,1),
 (6520,51026,1),
 (6515,51018,1),
 (6514,51017,1),
 (6511,51011,1),
 (6508,51008,1),
 (6506,51002,1),
 (6507,51004,1),
 (6503,50996,1),
 (6502,50995,1),
 (6501,50994,1),
 (6500,50992,1),
 (6499,50989,1),
 (6498,50987,1),
 (6494,50980,1),
 (6491,50977,1),
 (6495,50982,1),
 (6489,50970,1),
 (6486,50967,1),
 (6490,50973,1),
 (6485,50964,1),
 (6481,50957,1),
 (6482,50960,1),
 (6479,50953,1),
 (6478,50952,1),
 (6480,50956,1),
 (6471,50939,1),
 (6474,50946,1),
 (6475,50947,1),
 (6470,50935,1),
 (6469,50934,1),
 (6468,50933,1),
 (6461,50921,1),
 (6463,50923,1),
 (6462,50922,1),
 (6460,50920,1),
 (6457,50916,1),
 (6456,50912,1),
 (6416,50841,1),
 (6419,50844,1),
 (6420,50845,1),
 (6423,50850,1),
 (6424,50855,1),
 (6425,50857,1),
 (6455,50911,1),
 (6451,50904,1),
 (6454,50909,1),
 (6446,50894,1),
 (6447,50897,1),
 (6450,50899,1),
 (6443,50889,1),
 (6441,50886,1),
 (6442,50888,1),
 (6666,51297,1),
 (6669,51302,1),
 (6670,51305,1),
 (6671,51306,1),
 (6672,51307,1),
 (6675,51310,1),
 (6676,51315,1),
 (6677,51316,1),
 (6680,51321,1),
 (6681,51324,1),
 (6684,51329,1),
 (6685,51331,1),
 (6688,51334,1),
 (6689,51337,1),
 (6690,51339,1),
 (6691,51345,1),
 (6692,51346,1),
 (6695,51348,1),
 (6696,51351,1),
 (6699,51355,1),
 (6700,51359,1),
 (6701,51360,1),
 (6704,51363,1),
 (6705,51364,1),
 (6706,51369,1),
 (6707,51370,1),
 (6708,51371,1),
 (6713,51380,1),
 (6714,51383,1),
 (6715,51384,1),
 (6716,51388,1),
 (6717,51389,1),
 (6718,51394,1),
 (6721,51398,1),
 (6722,51399,1),
 (6725,51403,1),
 (6728,51408,1),
 (6729,51409,1),
 (6730,51411,1),
 (6733,51417,1),
 (6734,51418,1),
 (6735,51420,1),
 (6738,51424,1),
 (6739,51427,1),
 (6740,51428,1),
 (6741,51432,1),
 (6742,51436,1),
 (6743,51437,1),
 (6746,51442,1),
 (6747,51444,1),
 (6748,51445,1),
 (6751,51450,1),
 (6752,51452,1),
 (6755,51457,1),
 (6758,51460,1),
 (6759,51462,1),
 (6760,51464,1),
 (6763,51472,1),
 (6764,51473,1),
 (6765,51475,1),
 (6766,51478,1),
 (6767,51480,1),
 (6770,51484,1),
 (6771,51486,1),
 (6774,51490,1),
 (6775,51493,1),
 (6776,51495,1),
 (6777,51496,1),
 (6780,51499,1),
 (6783,51507,1),
 (6784,51509,1),
 (6785,51510,1),
 (6786,51513,1),
 (6789,51520,1),
 (6790,51521,1),
 (6791,51523,1),
 (6792,51527,1),
 (6793,51529,1),
 (6796,51532,1),
 (6799,51535,1),
 (6800,51536,1),
 (6801,51540,1),
 (6802,51541,1),
 (6805,51546,1),
 (6806,51549,1),
 (6807,51551,1),
 (6810,51554,1),
 (6811,51559,1),
 (6812,51561,1),
 (6813,51562,1),
 (6816,51567,1),
 (6817,51570,1),
 (6820,51575,1),
 (6821,51576,1),
 (6822,51577,1),
 (6823,51578,1),
 (6826,51585,1),
 (6829,51588,1),
 (6830,51591,1),
 (6831,51594,1),
 (6832,51595,1),
 (6835,51602,1),
 (6836,51604,1),
 (6839,51609,1),
 (6840,51610,1),
 (6841,51612,1),
 (6842,51613,1),
 (6843,51618,1),
 (6848,51623,1),
 (6849,51624,1),
 (6850,51627,1),
 (6851,51633,1),
 (6854,51636,1),
 (6855,51637,1),
 (6856,51640,1),
 (6859,51644,1),
 (6860,51647,1),
 (6863,51653,1),
 (6864,51654,1),
 (6865,51655,1),
 (6866,51658,1),
 (6867,51659,1),
 (6868,51661,1),
 (6873,51670,1),
 (6874,51671,1),
 (6875,51672,1),
 (6878,51678,1),
 (6879,51680,1),
 (6880,51683,1),
 (6881,51685,1),
 (6882,51688,1),
 (6883,51689,1),
 (6886,51693,1),
 (6889,51695,1),
 (6890,51696,1),
 (6893,51704,1),
 (6894,51706,1),
 (6895,51709,1),
 (6896,51711,1),
 (6897,51714,1),
 (6898,51717,1),
 (6901,51720,1),
 (6902,51722,1),
 (6905,51725,1),
 (6906,51729,1),
 (6907,51730,1),
 (6908,51731,1),
 (6911,51738,1),
 (6912,51740,1),
 (6913,51742,1),
 (6916,51747,1),
 (6919,51750,1),
 (6920,51752,1),
 (6921,51759,1),
 (6924,51762,1),
 (6925,51764,1),
 (6928,51769,1),
 (6929,51771,1),
 (6930,51773,1),
 (6931,51776,1),
 (6932,51779,1),
 (6935,51782,1),
 (6938,51784,1),
 (6939,51789,1),
 (6940,51790,1),
 (6941,51792,1),
 (6942,51795,1),
 (6943,51796,1),
 (6946,51802,1),
 (6947,51803,1),
 (6950,51808,1),
 (6951,51812,1),
 (6952,51813,1),
 (6955,51818,1),
 (6958,51824,1),
 (6959,51825,1),
 (6960,51827,1),
 (6961,51828,1),
 (6964,51834,1),
 (6965,51835,1),
 (6966,51837,1),
 (6969,51839,1),
 (6970,51845,1),
 (6971,51846,1),
 (6972,51850,1),
 (6975,51854,1),
 (6976,51856,1),
 (6977,51857,1),
 (6978,51859,1),
 (6981,51867,1),
 (6982,51868,1),
 (6985,51872,1),
 (6988,51878,1),
 (6989,51880,1),
 (6990,51881,1),
 (6993,51885,1),
 (6994,51886,1),
 (6995,51889,1),
 (6998,51894,1),
 (6999,51897,1),
 (7000,51898,1),
 (7001,51903,1),
 (7002,51905,1),
 (7005,51908,1),
 (7006,51910,1),
 (7007,51911,1),
 (7010,51916,1),
 (7011,51919,1),
 (7012,51921,1),
 (7015,51926,1),
 (7016,51927,1),
 (7017,51929,1),
 (7018,51931,1),
 (7023,51939,1),
 (7024,51940,1),
 (7025,51943,1),
 (7026,51946,1),
 (7027,51947,1),
 (7030,51950,1),
 (7031,51954,1),
 (7034,51956,1),
 (7035,51958,1),
 (7036,51963,1),
 (7037,51967,1),
 (7040,51971,1),
 (7043,51973,1),
 (7044,51976,1),
 (7045,51978,1),
 (7046,51982,1),
 (7049,51984,1),
 (7050,51985,1),
 (7791,57313,1),
 (7792,57314,1),
 (7795,57319,1),
 (7796,57321,1),
 (7797,57325,1),
 (7800,57327,1),
 (7801,57332,1),
 (7802,57334,1),
 (7803,57335,1),
 (7806,57340,1),
 (7807,57341,1),
 (7810,57344,1),
 (7811,57350,1),
 (7814,57354,1),
 (7815,57355,1),
 (7816,57359,1),
 (7817,57360,1),
 (7818,57362,1),
 (7823,57369,1),
 (7824,57371,1),
 (7825,57372,1),
 (7826,57375,1),
 (7827,57377,1),
 (7828,57379,1),
 (7831,57385,1),
 (7832,57387,1),
 (7835,57391,1),
 (7836,57393,1),
 (7837,57396,1),
 (7838,57397,1),
 (7841,57403,1),
 (7842,57407,1),
 (7843,57408,1),
 (7846,57411,1),
 (7847,57413,1),
 (7850,57417,1),
 (7851,57424,1),
 (7852,57426,1),
 (7855,57428,1),
 (7856,57429,1),
 (7857,57432,1),
 (7858,57435,1),
 (7861,57450,1),
 (7864,57454,1),
 (7865,57455,1),
 (7868,57465,1),
 (7869,57466,1),
 (7870,57468,1),
 (7871,57472,1),
 (7872,57475,1),
 (7873,57476,1),
 (7876,57483,1),
 (7879,57487,1),
 (7880,57488,1),
 (7881,57490,1),
 (7882,57491,1),
 (7883,57492,1),
 (7886,57499,1),
 (7887,57500,1),
 (7890,57505,1),
 (7891,57508,1),
 (7892,57510,1),
 (7893,57511,1),
 (7896,57516,1),
 (7897,57520,1),
 (7900,57524,1),
 (7901,57528,1),
 (7902,57530,1),
 (7903,57531,1),
 (7908,57537,1),
 (7909,57538,1),
 (7910,57539,1),
 (7911,57543,1),
 (7912,57549,1),
 (7913,57550,1),
 (7918,57554,1),
 (7919,57559,1),
 (7920,57560,1),
 (7921,57564,1),
 (7924,57567,1),
 (7925,57569,1),
 (7928,57573,1),
 (7929,57575,1),
 (7930,57576,1),
 (7931,57581,1),
 (7934,57586,1),
 (7935,57587,1),
 (7936,57588,1),
 (7937,57593,1),
 (7938,57595,1),
 (7941,57598,1),
 (7944,57603,1),
 (7945,57604,1),
 (7948,57607,1),
 (7949,57609,1),
 (7950,57612,1),
 (7951,57615,1),
 (7952,57617,1),
 (7953,57619,1),
 (7956,57625,1),
 (7957,57626,1),
 (7958,57628,1),
 (7963,57635,1),
 (7964,57638,1),
 (7965,57640,1),
 (7966,57642,1),
 (7967,57643,1),
 (7968,57647,1),
 (7971,57651,1),
 (7972,57653,1),
 (7973,57655,1),
 (7978,57664,1),
 (7979,57666,1),
 (7980,57668,1),
 (7981,57670,1),
 (7982,57673,1),
 (7983,57674,1),
 (7986,57678,1),
 (7989,57685,1),
 (7990,57686,1),
 (7991,57687,1),
 (7992,57688,1),
 (7995,57693,1),
 (7996,57696,1),
 (7999,57699,1),
 (8000,57703,1),
 (8001,57705,1),
 (8004,57708,1),
 (8005,57709,1),
 (8006,57715,1),
 (8007,57716,1),
 (8008,57719,1),
 (8011,57723,1),
 (8012,57724,1),
 (8015,57731,1),
 (8070,58023,1),
 (8071,58026,1),
 (8072,58027,1),
 (8073,58032,1),
 (8074,58034,1),
 (8075,58035,1),
 (8078,58038,1),
 (8079,58042,1),
 (8082,58044,1),
 (8083,58047,1),
 (8084,58049,1),
 (8085,58050,1),
 (8090,58058,1),
 (8091,58062,1),
 (8092,58063,1),
 (8093,58065,1),
 (8094,58066,1),
 (8095,58068,1),
 (8098,58077,1),
 (8099,58080,1),
 (8102,58082,1),
 (8103,58083,1),
 (8106,58087,1),
 (8107,58088,1),
 (8112,58107,1),
 (8113,58108,1),
 (8114,58110,1),
 (8117,58115,1),
 (8118,58117,1),
 (8119,58120,1),
 (8122,58132,1),
 (8123,58133,1),
 (8124,58137,1),
 (8127,58142,1),
 (8128,58143,1),
 (8129,58144,1),
 (8132,58152,1),
 (8133,58153,1),
 (8134,58154,1),
 (8139,58173,1),
 (8140,58175,1),
 (8141,58177,1),
 (8160,58269,1),
 (8161,58271,1),
 (8164,58275,1),
 (8165,58280,1),
 (8168,58282,1),
 (8169,58284,1),
 (8170,58287,1),
 (8173,58290,1),
 (8174,58291,1),
 (8175,58294,1),
 (8178,58297,1),
 (8179,58298,1),
 (8204,58435,1),
 (8205,58438,1),
 (8208,58442,1),
 (8209,58444,1),
 (8210,58445,1),
 (8211,58446,1),
 (8214,58453,1),
 (8215,58456,1),
 (8216,58457,1),
 (8219,58462,1),
 (8220,58463,1),
 (8223,58468,1),
 (8224,58473,1),
 (8227,58476,1),
 (8228,58477,1),
 (8231,58482,1),
 (8232,58484,1),
 (8233,58487,1),
 (8234,58489,1),
 (8235,58490,1),
 (8236,58492,1),
 (8241,58501,1),
 (8242,58503,1),
 (8243,58505,1),
 (8244,58507,1),
 (8245,58509,1),
 (8248,58514,1),
 (8253,58531,1),
 (8254,58534,1),
 (8255,58535,1),
 (8256,58536,1),
 (8257,58542,1),
 (8260,58544,1),
 (8263,58559,1),
 (8264,58560,1),
 (8265,58562,1),
 (8268,58565,1),
 (8269,58567,1),
 (8272,58569,1),
 (8275,58586,1),
 (8276,58588,1),
 (8279,58591,1),
 (8473,55352,1),
 (8483,60381,1),
 (8484,60383,1),
 (8485,60387,1),
 (8808,59219,1),
 (8807,59220,1);
/*!40000 ALTER TABLE `schritteberechtigtebenutzer` ENABLE KEYS */;


--
-- Definition of table `schritteberechtigtegruppen`
--

DROP TABLE IF EXISTS `schritteberechtigtegruppen`;
CREATE TABLE `schritteberechtigtegruppen` (
  `schritteberechtigtegruppenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `schritteID` int(10) unsigned NOT NULL DEFAULT '0',
  `BenutzerGruppenID` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`schritteberechtigtegruppenID`),
  KEY `schritteID` (`schritteID`),
  KEY `BenutzerGruppenID` (`BenutzerGruppenID`),
  KEY `FKA5A0CC8130A77454` (`BenutzerGruppenID`),
  KEY `FKA5A0CC81D0832AF5` (`schritteID`),
  KEY `FKA5A0CC811843242F` (`BenutzerGruppenID`),
  KEY `FKA5A0CC81BB6FCB7A` (`schritteID`)
) ENGINE=MyISAM AUTO_INCREMENT=84467 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `schritteberechtigtegruppen`
--

/*!40000 ALTER TABLE `schritteberechtigtegruppen` DISABLE KEYS */;
INSERT INTO `schritteberechtigtegruppen` (`schritteberechtigtegruppenID`,`schritteID`,`BenutzerGruppenID`) VALUES 
 (36,110,6),
 (42,120,6),
 (47,117,6),
 (58,177,6),
 (59,90,6),
 (61,229,6),
 (69,242,6),
 (77,255,6),
 (85,268,6),
 (93,281,6),
 (101,294,6),
 (109,307,6),
 (117,320,6),
 (125,333,6),
 (133,346,6),
 (141,359,6),
 (149,372,6),
 (157,385,6),
 (165,398,6),
 (173,411,6),
 (186,435,6),
 (194,448,6),
 (202,461,6),
 (210,474,6),
 (218,487,6),
 (226,500,6),
 (229,502,6),
 (237,515,6),
 (245,528,6),
 (253,541,6),
 (261,554,6),
 (269,567,6),
 (277,580,6),
 (285,593,6),
 (293,606,6),
 (301,619,6),
 (309,632,6),
 (317,645,6),
 (325,658,6),
 (333,671,6),
 (341,684,6),
 (349,697,6),
 (357,710,6),
 (365,723,6),
 (373,747,6),
 (381,771,6),
 (388,792,6),
 (401,741,6),
 (17658,21793,6),
 (17642,21773,6),
 (17651,21785,6),
 (423,834,6),
 (438,849,6),
 (445,856,6),
 (465,876,6),
 (467,877,6),
 (494,901,6),
 (514,917,6),
 (557,960,6),
 (580,981,6),
 (588,6441,6),
 (598,999,6),
 (600,1002,6),
 (605,4845,6),
 (617,1020,6),
 (619,1023,6),
 (637,1041,6),
 (639,1044,6),
 (654,1062,6),
 (656,1065,6),
 (671,1083,6),
 (673,1086,6),
 (688,1104,6),
 (690,1107,6),
 (705,1125,6),
 (707,1128,6),
 (722,1146,6),
 (724,1149,6),
 (747,1170,6),
 (762,1188,6),
 (764,1191,6),
 (779,1209,6),
 (781,1212,6),
 (796,1230,6),
 (798,1233,6),
 (813,1251,6),
 (815,1254,6),
 (830,1272,6),
 (832,1275,6),
 (847,1293,6),
 (849,1296,6),
 (864,1314,6),
 (866,1317,6),
 (881,1335,6),
 (883,1338,6),
 (898,1356,6),
 (900,1359,6),
 (915,1377,6),
 (917,1380,6),
 (932,1398,6),
 (934,1401,6),
 (949,1419,6),
 (951,1422,6),
 (966,1440,6),
 (968,1443,6),
 (983,1461,6),
 (985,1464,6),
 (1000,1482,6),
 (1002,1485,6),
 (1017,1503,6),
 (1019,1506,6),
 (1034,1524,6),
 (1036,1527,6),
 (1051,1545,6),
 (1053,1548,6),
 (1068,1566,6),
 (1070,1569,6),
 (1085,1587,6),
 (1087,1590,6),
 (1102,1608,6),
 (1104,1611,6),
 (1119,1629,6),
 (1121,1632,6),
 (1136,1650,6),
 (1138,1653,6),
 (1143,5076,6),
 (1158,1671,6),
 (1160,1674,6),
 (1178,1692,6),
 (1180,1695,6),
 (1201,1713,6),
 (1203,1716,6),
 (1221,1734,6),
 (1223,1737,6),
 (1230,5094,6),
 (1243,1755,6),
 (1245,1758,6),
 (1253,5097,6),
 (1265,1776,6),
 (1267,1779,6),
 (1290,1800,6),
 (1305,1818,6),
 (1307,1821,6),
 (1322,1839,6),
 (1324,1842,6),
 (1339,1860,6),
 (1341,1863,6),
 (1356,1881,6),
 (1358,1884,6),
 (1373,1902,6),
 (1375,1905,6),
 (1390,1923,6),
 (1392,1926,6),
 (1407,1944,6),
 (1409,1947,6),
 (1424,1965,6),
 (1426,1968,6),
 (1441,1986,6),
 (1443,1989,6),
 (1458,2007,6),
 (1460,2010,6),
 (1475,2028,6),
 (1477,2031,6),
 (1492,2049,6),
 (1494,2052,6),
 (1509,2070,6),
 (1511,2073,6),
 (1526,2091,6),
 (1528,2094,6),
 (1551,2115,6),
 (1574,2136,6),
 (1589,2154,6),
 (1591,2157,6),
 (1606,2175,6),
 (1608,2178,6),
 (1623,2196,6),
 (1625,2199,6),
 (1640,2217,6),
 (1642,2220,6),
 (1657,2238,6),
 (1659,2241,6),
 (1674,2259,6),
 (1676,2262,6),
 (1691,2280,6),
 (1693,2283,6),
 (1708,2301,6),
 (1710,2304,6),
 (1725,2322,6),
 (1727,2325,6),
 (1742,2343,6),
 (1744,2346,6),
 (1759,2364,6),
 (1761,2367,6),
 (1776,2385,6),
 (1778,2388,6),
 (1793,2406,6),
 (1795,2409,6),
 (1810,2427,6),
 (1812,2430,6),
 (1827,2448,6),
 (1829,2451,6),
 (1844,2469,6),
 (1846,2472,6),
 (1861,2490,6),
 (1863,2493,6),
 (1878,2511,6),
 (1880,2514,6),
 (1895,2532,6),
 (1897,2535,6),
 (1912,2553,6),
 (1914,2556,6),
 (1929,2574,6),
 (1931,2577,6),
 (1946,2595,6),
 (1948,2598,6),
 (1963,2616,6),
 (1965,2619,6),
 (1980,2637,6),
 (1982,2640,6),
 (1997,2658,6),
 (1999,2661,6),
 (2014,2679,6),
 (2016,2682,6),
 (2039,2703,6),
 (2054,2721,6),
 (2056,2724,6),
 (2071,2742,6),
 (2073,2745,6),
 (2088,2763,6),
 (2090,2766,6),
 (2105,2784,6),
 (2107,2787,6),
 (2122,2805,6),
 (2124,2808,6),
 (2139,2826,6),
 (2141,2829,6),
 (2164,2850,6),
 (2187,2871,6),
 (2202,2889,6),
 (2204,2892,6),
 (2219,2910,6),
 (2221,2913,6),
 (2236,2931,6),
 (2238,2934,6),
 (2261,2955,6),
 (2276,2973,6),
 (2278,2976,6),
 (2293,2994,6),
 (2295,2997,6),
 (2306,3008,6),
 (2322,3023,6),
 (2335,3039,6),
 (2350,3057,6),
 (2352,3060,6),
 (2367,3078,6),
 (2369,3081,6),
 (2384,3099,6),
 (2386,3102,6),
 (2401,3120,6),
 (2403,3123,6),
 (2418,3141,6),
 (2420,3144,6),
 (2443,3165,6),
 (2466,3186,6),
 (2489,3207,6),
 (2504,3225,6),
 (2506,3228,6),
 (2521,3246,6),
 (2523,3249,6),
 (2538,3267,6),
 (2540,3270,6),
 (2555,3288,6),
 (2557,3291,6),
 (2572,3309,6),
 (2574,3312,6),
 (2589,3330,6),
 (2591,3333,6),
 (2606,3351,6),
 (2608,3354,6),
 (2623,3372,6),
 (2625,3375,6),
 (2640,3393,6),
 (2642,3396,6),
 (2657,3414,6),
 (2659,3417,6),
 (2674,3435,6),
 (2676,3438,6),
 (2691,3456,6),
 (2693,3459,6),
 (2708,3477,6),
 (2710,3480,6),
 (2725,3498,6),
 (2727,3501,6),
 (2742,3519,6),
 (2744,3522,6),
 (2759,3540,6),
 (2761,3543,6),
 (2776,3561,6),
 (2778,3564,6),
 (2793,3582,6),
 (2795,3585,6),
 (2810,3603,6),
 (2812,3606,6),
 (2827,3624,6),
 (2829,3627,6),
 (2844,3645,6),
 (2846,3648,6),
 (2861,3666,6),
 (2863,3669,6),
 (2878,3687,6),
 (2880,3690,6),
 (2895,3708,6),
 (2897,3711,6),
 (2912,3729,6),
 (2914,3732,6),
 (2929,3750,6),
 (2931,3753,6),
 (2946,3771,6),
 (2948,3774,6),
 (2963,3792,6),
 (2965,3795,6),
 (2980,3813,6),
 (2982,3816,6),
 (2997,3834,6),
 (2999,3837,6),
 (3014,3855,6),
 (3016,3858,6),
 (3031,3876,6),
 (3033,3879,6),
 (3048,3897,6),
 (3050,3900,6),
 (3065,3918,6),
 (3067,3921,6),
 (3082,3939,6),
 (3084,3942,6),
 (3099,3960,6),
 (3101,3963,6),
 (3116,3981,6),
 (3118,3984,6),
 (3133,4002,6),
 (3135,4005,6),
 (3150,4023,6),
 (3152,4026,6),
 (3167,4044,6),
 (3169,4047,6),
 (3184,4065,6),
 (3186,4068,6),
 (3209,4089,6),
 (3224,4107,6),
 (3226,4110,6),
 (3241,4128,6),
 (3243,4131,6),
 (3258,4149,6),
 (3260,4152,6),
 (3275,4170,6),
 (3277,4173,6),
 (3292,4191,6),
 (3294,4194,6),
 (3309,4212,6),
 (3311,4215,6),
 (3326,4233,6),
 (3328,4236,6),
 (3343,4254,6),
 (3345,4257,6),
 (3360,4275,6),
 (3362,4278,6),
 (3377,4296,6),
 (3379,4299,6),
 (3402,4320,6),
 (3417,4338,6),
 (3419,4341,6),
 (3434,4359,6),
 (3436,4362,6),
 (3451,4380,6),
 (3453,4383,6),
 (3468,4401,6),
 (3470,4404,6),
 (3485,4422,6),
 (3487,4425,6),
 (3502,4443,6),
 (3504,4446,6),
 (3519,4464,6),
 (3521,4467,6),
 (3536,4485,6),
 (3538,4488,6),
 (3553,4506,6),
 (3555,4509,6),
 (3570,4527,6),
 (3572,4530,6),
 (3587,4548,6),
 (3589,4551,6),
 (3604,4569,6),
 (3606,4572,6),
 (3621,4590,6),
 (3623,4593,6),
 (3638,4611,6),
 (3640,4614,6),
 (3655,4632,6),
 (3657,4635,6),
 (3672,4653,6),
 (3674,4656,6),
 (3689,4674,6),
 (3691,4677,6),
 (3706,4695,6),
 (3708,4698,6),
 (3723,4716,6),
 (3725,4719,6),
 (3740,4737,6),
 (3742,4740,6),
 (3757,4758,6),
 (3759,4761,6),
 (3774,4779,6),
 (3776,4782,6),
 (3791,4800,6),
 (3793,4803,6),
 (3808,4821,6),
 (3810,4824,6),
 (3825,4842,6),
 (3837,4863,6),
 (3839,4866,6),
 (3854,4884,6),
 (3856,4887,6),
 (3871,4905,6),
 (3873,4908,6),
 (3888,4926,6),
 (3890,4929,6),
 (3905,4947,6),
 (3907,4950,6),
 (3922,4968,6),
 (3924,4971,6),
 (3939,4989,6),
 (3941,4992,6),
 (3956,5010,6),
 (3958,5013,6),
 (3973,5031,6),
 (3975,5034,6),
 (3990,5052,6),
 (3992,5055,6),
 (4007,5073,6),
 (4018,5115,6),
 (4020,5118,6),
 (4035,5136,6),
 (4037,5139,6),
 (4052,5157,6),
 (4054,5160,6),
 (4077,5181,6),
 (4100,5202,6),
 (4123,5223,6),
 (4146,5244,6),
 (4161,5262,6),
 (4163,5265,6),
 (4178,5283,6),
 (4180,5286,6),
 (4195,5304,6),
 (4197,5307,6),
 (4212,5325,6),
 (4214,5328,6),
 (4229,5346,6),
 (4231,5349,6),
 (4246,5367,6),
 (4248,5370,6),
 (4263,5388,6),
 (4265,5391,6),
 (4288,5412,6),
 (4311,5433,6),
 (4326,5451,6),
 (4328,5454,6),
 (4343,5472,6),
 (4345,5475,6),
 (4360,5493,6),
 (4362,5496,6),
 (4377,5514,6),
 (4379,5517,6),
 (4394,5535,6),
 (4396,5538,6),
 (4411,5556,6),
 (4413,5559,6),
 (4428,5577,6),
 (4430,5580,6),
 (4445,5598,6),
 (4447,5601,6),
 (4462,5619,6),
 (4464,5622,6),
 (4479,5640,6),
 (4481,5643,6),
 (4496,5661,6),
 (4498,5664,6),
 (4513,5682,6),
 (4515,5685,6),
 (4530,5703,6),
 (4532,5706,6),
 (4547,5724,6),
 (4549,5727,6),
 (4564,5745,6),
 (4566,5748,6),
 (4581,5766,6),
 (4583,5769,6),
 (4598,5787,6),
 (4600,5790,6),
 (4615,5808,6),
 (4617,5811,6),
 (4632,5829,6),
 (4634,5832,6),
 (4657,5853,6),
 (4670,5862,6),
 (4703,5895,6),
 (4726,5916,6),
 (4741,5934,6),
 (4743,5937,6),
 (4758,5955,6),
 (4760,5958,6),
 (4775,5976,6),
 (4777,5979,6),
 (4792,5997,6),
 (4794,6000,6),
 (4809,6018,6),
 (4811,6021,6),
 (4826,6039,6),
 (4828,6042,6),
 (4843,6060,6),
 (4845,6063,6),
 (4860,6081,6),
 (4862,6084,6),
 (4877,6102,6),
 (4879,6105,6),
 (4894,6123,6),
 (4896,6126,6),
 (4911,6144,6),
 (4913,6147,6),
 (4928,6165,6),
 (4930,6168,6),
 (4953,6189,6),
 (4976,6210,6),
 (4991,6228,6),
 (4993,6231,6),
 (5008,6249,6),
 (5010,6252,6),
 (5033,6273,6),
 (5048,6291,6),
 (5050,6294,6),
 (5065,6312,6),
 (5067,6315,6),
 (5082,6333,6),
 (5084,6336,6),
 (5099,6354,6),
 (5101,6357,6),
 (5116,6375,6),
 (5118,6378,6),
 (5133,6396,6),
 (5135,6399,6),
 (5150,6417,6),
 (5152,6420,6),
 (5167,6438,6),
 (5181,6459,6),
 (5183,6462,6),
 (5198,6480,6),
 (5200,6483,6),
 (5215,6501,6),
 (5217,6504,6),
 (5232,6522,6),
 (5234,6525,6),
 (5249,6543,6),
 (5251,6546,6),
 (5266,6564,6),
 (5268,6567,6),
 (5283,6585,6),
 (5285,6588,6),
 (5300,6606,6),
 (5302,6609,6),
 (5317,6627,6),
 (5562,6873,6),
 (5577,6891,6),
 (5579,6894,6),
 (5594,6912,6),
 (5596,6915,6),
 (5611,6933,6),
 (5613,6936,6),
 (5628,6954,6),
 (5630,6957,6),
 (5645,6975,6),
 (5647,6978,6),
 (5662,6996,6),
 (5664,6999,6),
 (5679,7017,6),
 (5681,7020,6),
 (5696,7038,6),
 (5698,7041,6),
 (5713,7059,6),
 (5715,7062,6),
 (5730,7080,6),
 (5732,7083,6),
 (5747,7101,6),
 (5749,7104,6),
 (5764,7122,6),
 (5766,7125,6),
 (5783,7146,6),
 (5800,7167,6),
 (5817,7188,6),
 (5834,7209,6),
 (5851,7230,6),
 (5868,7251,6),
 (5885,7272,6),
 (5900,7290,6),
 (5902,7293,6),
 (5917,7311,6),
 (5919,7314,6),
 (5934,7332,6),
 (5936,7335,6),
 (5953,7356,6),
 (5970,7377,6),
 (5987,7398,6),
 (6004,7419,6),
 (6021,7440,6),
 (6038,7461,6),
 (6055,7482,6),
 (6072,7503,6),
 (6089,7524,6),
 (6106,7545,6),
 (6123,7566,6),
 (6140,7587,6),
 (6157,7608,6),
 (6174,7629,6),
 (6191,7650,6),
 (6208,7671,6),
 (6225,7692,6),
 (6242,7713,6),
 (6259,7734,6),
 (6276,7755,6),
 (6293,7776,6),
 (6310,7797,6),
 (6327,7818,6),
 (6344,7839,6),
 (6361,7860,6),
 (6378,7881,6),
 (6395,7902,6),
 (6412,7923,6),
 (6429,7944,6),
 (6446,7965,6),
 (6463,7986,6),
 (6480,8007,6),
 (6497,8028,6),
 (6514,8049,6),
 (6531,8070,6),
 (6548,8091,6),
 (6565,8112,6),
 (6582,8133,6),
 (6599,8154,6),
 (6616,8175,6),
 (6633,8196,6),
 (6650,8217,6),
 (6667,8238,6),
 (6684,8259,6),
 (6701,8280,6),
 (6718,8301,6),
 (6735,8322,6),
 (6752,8343,6),
 (6769,8364,6),
 (6786,8385,6),
 (6803,8406,6),
 (6820,8427,6),
 (6837,8448,6),
 (6854,8469,6),
 (6871,8490,6),
 (6888,8511,6),
 (6905,8532,6),
 (6922,8553,6),
 (6939,8574,6),
 (6956,8595,6),
 (6973,8616,6),
 (6990,8637,6),
 (7007,8658,6),
 (7024,8679,6),
 (7041,8700,6),
 (7058,8721,6),
 (7075,8742,6),
 (7090,8760,6),
 (7092,8763,6),
 (7107,8781,6),
 (7109,8784,6),
 (7124,8802,6),
 (7126,8805,6),
 (7141,8823,6),
 (7143,8826,6),
 (7158,8844,6),
 (7160,8847,6),
 (7175,8865,6),
 (7177,8868,6),
 (7192,8886,6),
 (7194,8889,6),
 (7211,8910,6),
 (7228,8931,6),
 (7245,8952,6),
 (7262,8973,6),
 (7279,8994,6),
 (7296,9015,6),
 (7313,9036,6),
 (7330,9057,6),
 (7347,9078,6),
 (7364,9099,6),
 (7381,9120,6),
 (7398,9141,6),
 (7415,9162,6),
 (7432,9183,6),
 (7449,9204,6),
 (7466,9225,6),
 (7483,9246,6),
 (7500,9267,6),
 (7517,9288,6),
 (7534,9309,6),
 (7551,9330,6),
 (7568,9351,6),
 (7585,9372,6),
 (7602,9393,6),
 (7619,9414,6),
 (7636,9435,6),
 (7653,9456,6),
 (7670,9477,6),
 (7687,9498,6),
 (7704,9519,6),
 (7721,9540,6),
 (7738,9561,6),
 (7755,9582,6),
 (7772,9603,6),
 (7789,9624,6),
 (7806,9645,6),
 (7823,9666,6),
 (7840,9687,6),
 (7857,9708,6),
 (7874,9729,6),
 (7891,9750,6),
 (7908,9771,6),
 (7925,9792,6),
 (7942,9813,6),
 (7959,9834,6),
 (7976,9855,6),
 (7993,9876,6),
 (8010,9897,6),
 (8027,9918,6),
 (8044,9939,6),
 (8061,9960,6),
 (8078,9981,6),
 (8095,10002,6),
 (8112,10023,6),
 (8129,10044,6),
 (8146,10065,6),
 (8163,10086,6),
 (8180,10107,6),
 (8197,10128,6),
 (8214,10149,6),
 (8231,10170,6),
 (8248,10191,6),
 (8265,10212,6),
 (8282,10233,6),
 (8299,10254,6),
 (8316,10275,6),
 (8333,10296,6),
 (8350,10317,6),
 (8367,10338,6),
 (8384,10359,6),
 (8399,10377,6),
 (8401,10380,6),
 (8416,10398,6),
 (8418,10401,6),
 (8433,10419,6),
 (8435,10422,6),
 (8450,10440,6),
 (8452,10443,6),
 (8469,10464,6),
 (8486,10485,6),
 (8503,10506,6),
 (8520,10527,6),
 (8537,10548,6),
 (8554,10569,6),
 (8571,10590,6),
 (8588,10611,6),
 (8605,10632,6),
 (8622,10653,6),
 (8639,10674,6),
 (8656,10695,6),
 (8673,10716,6),
 (8690,10737,6),
 (8707,10758,6),
 (8724,10779,6),
 (8741,10800,6),
 (8758,10821,6),
 (8775,10842,6),
 (8792,10863,6),
 (8809,10884,6),
 (8826,10905,6),
 (8843,10926,6),
 (8860,10947,6),
 (8877,10968,6),
 (8894,10989,6),
 (8911,11010,6),
 (8928,11031,6),
 (8945,11052,6),
 (8962,11073,6),
 (8979,11094,6),
 (8996,11115,6),
 (9013,11136,6),
 (9030,11157,6),
 (9047,11178,6),
 (9064,11199,6),
 (9081,11220,6),
 (9098,11241,6),
 (9115,11262,6),
 (9132,11283,6),
 (9149,11304,6),
 (9166,11325,6),
 (9183,11346,6),
 (9200,11367,6),
 (9217,11388,6),
 (9234,11409,6),
 (9251,11430,6),
 (9268,11451,6),
 (9285,11472,6),
 (9302,11493,6),
 (9319,11514,6),
 (9336,11535,6),
 (9353,11556,6),
 (9370,11577,6),
 (9387,11598,6),
 (9404,11619,6),
 (9421,11640,6),
 (9438,11661,6),
 (9455,11682,6),
 (9472,11703,6),
 (9489,11724,6),
 (9506,11745,6),
 (9523,11766,6),
 (9540,11787,6),
 (9557,11808,6),
 (9574,11829,6),
 (9591,11850,6),
 (9608,11871,6),
 (9625,11892,6),
 (9642,11913,6),
 (9659,11934,6),
 (9676,11955,6),
 (9693,11976,6),
 (9710,11997,6),
 (9727,12018,6),
 (9742,12036,6),
 (9744,12039,6),
 (9759,12057,6),
 (9761,12060,6),
 (9776,12078,6),
 (9778,12081,6),
 (9793,12099,6),
 (9795,12102,6),
 (9810,12120,6),
 (9812,12123,6),
 (9829,12144,6),
 (9844,12162,6),
 (9846,12165,6),
 (9861,12183,6),
 (9863,12186,6),
 (9878,12204,6),
 (9880,12207,6),
 (9895,12225,6),
 (9897,12228,6),
 (9912,12246,6),
 (9914,12249,6),
 (9929,12267,6),
 (9931,12270,6),
 (9946,12288,6),
 (9948,12291,6),
 (9963,12309,6),
 (9965,12312,6),
 (9982,12333,6),
 (9997,12351,6),
 (9999,12354,6),
 (10014,12372,6),
 (10016,12375,6),
 (10031,12393,6),
 (10033,12396,6),
 (10050,12417,6),
 (10067,12438,6),
 (10084,12459,6),
 (10101,12480,6),
 (10118,12501,6),
 (10135,12522,6),
 (10150,12540,6),
 (10152,12543,6),
 (10167,12561,6),
 (10169,12564,6),
 (10184,12582,6),
 (10186,12585,6),
 (10201,12603,6),
 (10203,12606,6),
 (10218,12624,6),
 (10220,12627,6),
 (10235,12645,6),
 (10237,12648,6),
 (10252,12666,6),
 (10254,12669,6),
 (10269,12687,6),
 (10271,12690,6),
 (10286,12708,6),
 (10288,12711,6),
 (10303,12729,6),
 (10305,12732,6),
 (10320,12750,6),
 (10322,12753,6),
 (10337,12771,6),
 (10339,12774,6),
 (10354,12792,6),
 (10356,12795,6),
 (10371,12813,6),
 (10373,12816,6),
 (10388,12834,6),
 (10390,12837,6),
 (10405,12855,6),
 (10407,12858,6),
 (10422,12876,6),
 (10424,12879,6),
 (10439,12897,6),
 (10441,12900,6),
 (10456,12918,6),
 (10458,12921,6),
 (10473,12939,6),
 (10475,12942,6),
 (10490,12960,6),
 (10492,12963,6),
 (10507,12981,6),
 (10509,12984,6),
 (10524,13002,6),
 (10526,13005,6),
 (10541,13023,6),
 (10543,13026,6),
 (10558,13044,6),
 (10560,13047,6),
 (10577,13068,6),
 (10592,13086,6),
 (10594,13089,6),
 (10609,13107,6),
 (10611,13110,6),
 (10626,13128,6),
 (10628,13131,6),
 (10643,13149,6),
 (10645,13152,6),
 (10660,13170,6),
 (10662,13173,6),
 (10677,13191,6),
 (10679,13194,6),
 (10696,13215,6),
 (10711,13233,6),
 (10713,13236,6),
 (10730,13257,6),
 (10745,13275,6),
 (10747,13278,6),
 (10762,13296,6),
 (10764,13299,6),
 (10779,13317,6),
 (10781,13320,6),
 (10796,13338,6),
 (10798,13341,6),
 (10813,13359,6),
 (10815,13362,6),
 (10830,13380,6),
 (10832,13383,6),
 (10847,13401,6),
 (10849,13404,6),
 (10864,13422,6),
 (10866,13425,6),
 (10881,13443,6),
 (10883,13446,6),
 (10898,13464,6),
 (10900,13467,6),
 (10915,13485,6),
 (10917,13488,6),
 (10932,13506,6),
 (10934,13509,6),
 (10949,13527,6),
 (10951,13530,6),
 (10966,13548,6),
 (10968,13551,6),
 (10983,13569,6),
 (10985,13572,6),
 (11000,13590,6),
 (11002,13593,6),
 (11017,13611,6),
 (11019,13614,6),
 (11034,13632,6),
 (11036,13635,6),
 (11051,13653,6),
 (11053,13656,6),
 (11068,13674,6),
 (11070,13677,6),
 (11085,13695,6),
 (11087,13698,6),
 (11102,13716,6),
 (11104,13719,6),
 (11119,13737,6),
 (11121,13740,6),
 (11136,13758,6),
 (11138,13761,6),
 (11153,13779,6),
 (11155,13782,6),
 (11170,13800,6),
 (11172,13803,6),
 (11187,13821,6),
 (11189,13824,6),
 (11204,13842,6),
 (11206,13845,6),
 (11223,13866,6),
 (11238,13884,6),
 (11240,13887,6),
 (11255,13905,6),
 (11257,13908,6),
 (11272,13926,6),
 (11274,13929,6),
 (11289,13947,6),
 (11291,13950,6),
 (11306,13968,6),
 (11308,13971,6),
 (11323,13989,6),
 (11325,13992,6),
 (11340,14010,6),
 (11342,14013,6),
 (11357,14031,6),
 (11359,14034,6),
 (11374,14052,6),
 (11376,14055,6),
 (11391,14073,6),
 (11393,14076,6),
 (11408,14094,6),
 (11410,14097,6),
 (11425,14115,6),
 (11427,14118,6),
 (11442,14136,6),
 (11444,14139,6),
 (11459,14157,6),
 (11461,14160,6),
 (11476,14178,6),
 (11478,14181,6),
 (11493,14199,6),
 (11495,14202,6),
 (11510,14220,6),
 (11512,14223,6),
 (11527,14241,6),
 (11529,14244,6),
 (11544,14262,6),
 (11546,14265,6),
 (11561,14283,6),
 (11563,14286,6),
 (11578,14304,6),
 (11580,14307,6),
 (11595,14325,6),
 (11597,14328,6),
 (11612,14346,6),
 (11614,14349,6),
 (11629,14367,6),
 (11631,14370,6),
 (11646,14388,6),
 (11648,14391,6),
 (11663,14409,6),
 (11665,14412,6),
 (11680,14430,6),
 (11682,14433,6),
 (11697,14451,6),
 (11699,14454,6),
 (11714,14472,6),
 (11716,14475,6),
 (11731,14493,6),
 (11733,14496,6),
 (11748,14514,6),
 (11750,14517,6),
 (11765,14535,6),
 (11767,14538,6),
 (11782,14556,6),
 (11784,14559,6),
 (11799,14577,6),
 (11801,14580,6),
 (11816,14598,6),
 (11818,14601,6),
 (11833,14619,6),
 (11835,14622,6),
 (11850,14640,6),
 (11852,14643,6),
 (11867,14661,6),
 (11869,14664,6),
 (11884,14682,6),
 (11886,14685,6),
 (11901,14703,6),
 (11903,14706,6),
 (11918,14724,6),
 (11920,14727,6),
 (11935,14745,6),
 (11937,14748,6),
 (11952,14766,6),
 (11954,14769,6),
 (11969,14787,6),
 (11971,14790,6),
 (11986,14808,6),
 (11988,14811,6),
 (12003,14829,6),
 (12005,14832,6),
 (12020,14850,6),
 (12022,14853,6),
 (12037,14871,6),
 (12039,14874,6),
 (12054,14892,6),
 (12056,14895,6),
 (12071,14913,6),
 (12073,14916,6),
 (12088,14934,6),
 (12090,14937,6),
 (12105,14955,6),
 (12107,14958,6),
 (12122,14976,6),
 (12124,14979,6),
 (12139,14997,6),
 (12141,15000,6),
 (12156,15018,6),
 (12158,15021,6),
 (12175,15042,6),
 (12190,15060,6),
 (12192,15063,6),
 (12207,15081,6),
 (12209,15084,6),
 (12224,15102,6),
 (12226,15105,6),
 (12241,15123,6),
 (12243,15126,6),
 (12258,15144,6),
 (12260,15147,6),
 (12275,15165,6),
 (12277,15168,6),
 (12292,15186,6),
 (12294,15189,6),
 (12309,15207,6),
 (12311,15210,6),
 (12326,15228,6),
 (12328,15231,6),
 (12343,15249,6),
 (12345,15252,6),
 (12360,15270,6),
 (12362,15273,6),
 (12377,15291,6),
 (12379,15294,6),
 (12394,15312,6),
 (12396,15315,6),
 (12411,15333,6),
 (12413,15336,6),
 (12428,15354,6),
 (12430,15357,6),
 (12445,15375,6),
 (12447,15378,6),
 (12462,15396,6),
 (12464,15399,6),
 (12479,15417,6),
 (12481,15420,6),
 (12496,15438,6),
 (12498,15441,6),
 (12513,15459,6),
 (12515,15462,6),
 (12530,15480,6),
 (12532,15483,6),
 (12547,15501,6),
 (12549,15504,6),
 (12564,15522,6),
 (12566,15525,6),
 (12581,15543,6),
 (12583,15546,6),
 (12598,15564,6),
 (12600,15567,6),
 (12615,15585,6),
 (12617,15588,6),
 (12632,15606,6),
 (12634,15609,6),
 (12649,15627,6),
 (12651,15630,6),
 (12666,15648,6),
 (12668,15651,6),
 (12683,15669,6),
 (12685,15672,6),
 (12700,15690,6),
 (12702,15693,6),
 (12717,15711,6),
 (12719,15714,6),
 (12734,15732,6),
 (12736,15735,6),
 (12751,15753,6),
 (12753,15756,6),
 (12768,15774,6),
 (12770,15777,6),
 (12785,15795,6),
 (12787,15798,6),
 (12802,15816,6),
 (12804,15819,6),
 (12819,15837,6),
 (12821,15840,6),
 (12836,15858,6),
 (12838,15861,6),
 (12853,15879,6),
 (12855,15882,6),
 (12870,15900,6),
 (12872,15903,6),
 (12887,15921,6),
 (12889,15924,6),
 (12904,15942,6),
 (12906,15945,6),
 (12921,15963,6),
 (12923,15966,6),
 (12940,15987,6),
 (12955,16005,6),
 (12957,16008,6),
 (12972,16026,6),
 (12974,16029,6),
 (12989,16047,6),
 (12991,16050,6),
 (13006,16068,6),
 (13008,16071,6),
 (13023,16089,6),
 (13025,16092,6),
 (13040,16110,6),
 (13042,16113,6),
 (13057,16131,6),
 (13059,16134,6),
 (13074,16152,6),
 (13076,16155,6),
 (13091,16173,6),
 (13093,16176,6),
 (13108,16194,6),
 (13110,16197,6),
 (13125,16215,6),
 (13127,16218,6),
 (13142,16236,6),
 (13144,16239,6),
 (13159,16257,6),
 (13161,16260,6),
 (13176,16278,6),
 (13178,16281,6),
 (13193,16299,6),
 (13195,16302,6),
 (13210,16320,6),
 (13212,16323,6),
 (13227,16341,6),
 (13229,16344,6),
 (13244,16362,6),
 (13246,16365,6),
 (13261,16383,6),
 (13263,16386,6),
 (13278,16404,6),
 (13280,16407,6),
 (13295,16425,6),
 (13297,16428,6),
 (13312,16446,6),
 (13314,16449,6),
 (13329,16467,6),
 (13331,16470,6),
 (13346,16488,6),
 (13348,16491,6),
 (13363,16509,6),
 (13365,16512,6),
 (13380,16530,6),
 (13382,16533,6),
 (13397,16551,6),
 (13399,16554,6),
 (13414,16572,6),
 (13416,16575,6),
 (13433,16596,6),
 (13448,16614,6),
 (13450,16617,6),
 (13465,16635,6),
 (13467,16638,6),
 (13482,16656,6),
 (13484,16659,6),
 (13499,16677,6),
 (13501,16680,6),
 (13516,16698,6),
 (13518,16701,6),
 (13533,16719,6),
 (13535,16722,6),
 (13550,16740,6),
 (13552,16743,6),
 (13567,16761,6),
 (13569,16764,6),
 (13584,16782,6),
 (13586,16785,6),
 (13601,16803,6),
 (13603,16806,6),
 (13620,16827,6),
 (13635,16845,6),
 (13637,16848,6),
 (13652,16866,6),
 (13654,16869,6),
 (13669,16887,6),
 (13671,16890,6),
 (13686,16908,6),
 (13688,16911,6),
 (13703,16929,6),
 (13705,16932,6),
 (13720,16950,6),
 (13722,16953,6),
 (13737,16971,6),
 (13739,16974,6),
 (13754,16992,6),
 (13756,16995,6),
 (13771,17013,6),
 (13773,17016,6),
 (13788,17034,6),
 (13790,17037,6),
 (13805,17055,6),
 (13807,17058,6),
 (13822,17076,6),
 (13824,17079,6),
 (13839,17097,6),
 (13841,17100,6),
 (13856,17118,6),
 (13858,17121,6),
 (13875,17142,6),
 (13892,17163,6),
 (13907,17181,6),
 (13909,17184,6),
 (13924,17202,6),
 (13926,17205,6),
 (13943,17226,6),
 (13960,17247,6),
 (13975,17265,6),
 (13977,17268,6),
 (13992,17286,6),
 (13994,17289,6),
 (14009,17307,6),
 (14011,17310,6),
 (14026,17328,6),
 (14028,17331,6),
 (14043,17349,6),
 (14045,17352,6),
 (14060,17370,6),
 (14062,17373,6),
 (14079,17394,6),
 (14096,17415,6),
 (14113,17436,6),
 (14130,17457,6),
 (14145,17475,6),
 (14147,17478,6),
 (14164,17499,6),
 (14181,17520,6),
 (14198,17541,6),
 (14215,17562,6),
 (14232,17583,6),
 (14247,17601,6),
 (14249,17604,6),
 (14264,17622,6),
 (14266,17625,6),
 (14281,17643,6),
 (14283,17646,6),
 (14298,17664,6),
 (14300,17667,6),
 (14315,17685,6),
 (14317,17688,6),
 (14334,17709,6),
 (14351,17730,6),
 (14368,17751,6),
 (14383,17769,6),
 (14385,17772,6),
 (14400,17790,6),
 (14402,17793,6),
 (14417,17811,6),
 (14419,17814,6),
 (14434,17832,6),
 (14436,17835,6),
 (14451,17853,6),
 (14453,17856,6),
 (14468,17874,6),
 (14470,17877,6),
 (14485,17895,6),
 (14487,17898,6),
 (14502,17916,6),
 (14504,17919,6),
 (14519,17937,6),
 (14521,17940,6),
 (14536,17958,6),
 (14538,17961,6),
 (14553,17979,6),
 (14555,17982,6),
 (14570,18000,6),
 (14572,18003,6),
 (14587,18021,6),
 (14589,18024,6),
 (14604,18042,6),
 (15735,19439,6),
 (15747,19456,6),
 (16992,20971,6),
 (15651,19335,6),
 (15653,19337,6),
 (15206,18786,6),
 (15220,18803,6),
 (15225,18809,6),
 (15228,18811,6),
 (15635,19315,6),
 (15639,19319,6),
 (16722,20651,6),
 (16724,20654,6),
 (15280,18877,6),
 (15286,18884,6),
 (15293,18893,6),
 (15298,18900,6),
 (15311,18915,6),
 (15320,18925,6),
 (15337,18950,6),
 (15340,18952,6),
 (15346,18959,6),
 (15351,18964,6),
 (15373,18992,6),
 (15374,18994,6),
 (15377,18996,6),
 (15389,19012,6),
 (15407,19033,6),
 (15408,19034,6),
 (15412,19041,6),
 (15425,19057,6),
 (15431,19064,6),
 (15441,19076,6),
 (15450,19086,6),
 (15451,19089,6),
 (15469,19112,6),
 (15473,19116,6),
 (15486,19133,6),
 (15490,19136,6),
 (15502,19152,6),
 (15509,19160,6),
 (15512,19164,6),
 (15520,19171,6),
 (15530,19185,6),
 (15538,19194,6),
 (15558,19219,6),
 (15560,19222,6),
 (15569,19235,6),
 (15573,19240,6),
 (15594,19265,6),
 (15596,19267,6),
 (15760,19472,6),
 (15754,19464,6),
 (15623,19301,6),
 (15627,19307,6),
 (15667,19355,6),
 (15677,19366,6),
 (15688,19381,6),
 (15692,19385,6),
 (15709,19407,6),
 (15714,19413,6),
 (15727,19432,6),
 (15734,19438,6),
 (15787,19503,6),
 (15801,19521,6),
 (15982,19737,6),
 (16260,20079,6),
 (16257,20076,6),
 (15990,19745,6),
 (15997,19754,6),
 (16000,19756,6),
 (16016,19777,6),
 (16029,19793,6),
 (16032,19796,6),
 (16045,19813,6),
 (16052,19821,6),
 (16058,19827,6),
 (16073,19850,6),
 (16077,19855,6),
 (16085,19863,6),
 (16095,19876,6),
 (16104,19885,6),
 (16110,19894,6),
 (16127,19915,6),
 (16132,19919,6),
 (16133,19922,6),
 (16145,19938,6),
 (16152,19945,6),
 (16159,19956,6),
 (16169,19967,6),
 (16177,19978,6),
 (16190,19992,6),
 (16193,19996,6),
 (16203,20008,6),
 (16210,20018,6),
 (16220,20031,6),
 (16224,20036,6),
 (16235,20048,6),
 (16242,20058,6),
 (16276,20100,6),
 (16279,20103,6),
 (16289,20114,6),
 (16293,20120,6),
 (16307,20136,6),
 (16309,20137,6),
 (16322,20155,6),
 (16325,20159,6),
 (16347,20188,6),
 (16348,20189,6),
 (16361,20204,6),
 (16367,20212,6),
 (16376,20223,6),
 (16378,20226,6),
 (16395,20247,6),
 (16398,20249,6),
 (16417,20275,6),
 (16418,20276,6),
 (16431,20291,6),
 (16436,20296,6),
 (16444,20307,6),
 (16451,20313,6),
 (16457,20322,6),
 (16472,20339,6),
 (16476,20348,6),
 (16481,20352,6),
 (16498,20374,6),
 (16500,20375,6),
 (16521,20402,6),
 (16522,20403,6),
 (16527,20407,6),
 (16539,20424,6),
 (16542,20426,6),
 (16543,20427,6),
 (16560,20448,6),
 (16566,20456,6),
 (16579,20472,6),
 (16581,20474,6),
 (16599,20497,6),
 (16603,20501,6),
 (16615,20515,6),
 (16622,20527,6),
 (16627,20532,6),
 (16637,20544,6),
 (16647,20557,6),
 (16653,20564,6),
 (16671,20588,6),
 (16673,20589,6),
 (16680,20597,6),
 (16685,20602,6),
 (16742,20671,6),
 (16746,20679,6),
 (18583,22925,6),
 (16755,20688,6),
 (16768,20704,6),
 (16774,20710,6),
 (16786,20727,6),
 (16797,20741,6),
 (16803,20747,6),
 (16809,20755,6),
 (16818,20767,6),
 (16829,20779,6),
 (16834,20784,6),
 (16876,20838,6),
 (16868,20825,6),
 (16890,20851,6),
 (16894,20857,6),
 (16908,20872,6),
 (16917,20886,6),
 (16919,20888,6),
 (16930,20902,6),
 (16946,20921,6),
 (16947,20922,6),
 (16962,20941,6),
 (16964,20944,6),
 (17003,20985,6),
 (17010,20993,6),
 (17013,20996,6),
 (17025,21012,6),
 (17030,21020,6),
 (17043,21035,6),
 (17047,21040,6),
 (17065,21062,6),
 (17069,21067,6),
 (17078,21077,6),
 (17080,21078,6),
 (17091,21093,6),
 (17099,21106,6),
 (17115,21123,6),
 (17118,21126,6),
 (17127,21140,6),
 (17137,21151,6),
 (17142,21157,6),
 (17150,21168,6),
 (17170,21191,6),
 (17171,21192,6),
 (17180,21203,6),
 (17184,21209,6),
 (17194,21223,6),
 (17199,21229,6),
 (17216,21247,6),
 (17220,21254,6),
 (17227,21261,6),
 (17241,21279,6),
 (17248,21287,6),
 (17251,21289,6),
 (17261,21304,6),
 (17267,21311,6),
 (17278,21325,6),
 (17292,21343,6),
 (17303,21355,6),
 (17305,21356,6),
 (17316,21370,6),
 (17322,21381,6),
 (17333,21391,6),
 (17340,21402,6),
 (17347,21411,6),
 (17354,21418,6),
 (17365,21432,6),
 (17372,21440,6),
 (17381,21450,6),
 (17393,21465,6),
 (17397,21474,6),
 (17407,21485,6),
 (17425,21507,6),
 (17428,21510,6),
 (17435,21517,6),
 (17437,21518,6),
 (17448,21535,6),
 (17450,21536,6),
 (17472,21563,6),
 (17475,21568,6),
 (17483,21577,6),
 (17493,21589,6),
 (17502,21599,6),
 (17504,21604,6),
 (17516,21618,6),
 (17530,21636,6),
 (17540,21647,6),
 (17553,21663,6),
 (17556,21668,6),
 (17570,21684,6),
 (17576,21690,6),
 (17584,21700,6),
 (17597,21717,6),
 (17603,21725,6),
 (17610,21734,6),
 (17614,21738,6),
 (17629,21754,6),
 (17632,21759,6),
 (17663,21799,6),
 (17680,21821,6),
 (17682,21823,6),
 (17693,21837,6),
 (17695,21838,6),
 (17713,21861,6),
 (17718,21867,6),
 (17730,21883,6),
 (17738,21892,6),
 (17751,21907,6),
 (17755,21912,6),
 (17764,21921,6),
 (17768,21927,6),
 (17776,21937,6),
 (17784,21947,6),
 (17803,21972,6),
 (17808,21977,6),
 (17814,21986,6),
 (17816,21987,6),
 (17828,22002,6),
 (17829,22003,6),
 (17847,22026,6),
 (17851,22030,6),
 (17869,22054,6),
 (17876,22061,6),
 (17883,22069,6),
 (17888,22075,6),
 (17901,22095,6),
 (17905,22098,6),
 (17912,22106,6),
 (17922,22117,6),
 (17930,22128,6),
 (17942,22143,6),
 (17951,22154,6),
 (17958,22162,6),
 (17972,22182,6),
 (17973,22183,6),
 (24393,32162,6),
 (18046,22270,6),
 (18041,22263,6),
 (18063,22293,6),
 (18071,22301,6),
 (18086,22321,6),
 (18090,22324,6),
 (18099,22335,6),
 (18103,22339,6),
 (18115,22356,6),
 (18120,22362,6),
 (18130,22372,6),
 (18139,22384,6),
 (18154,22404,6),
 (18158,22408,6),
 (18172,22427,6),
 (18175,22429,6),
 (18188,22445,6),
 (18190,22447,6),
 (18193,22452,6),
 (18196,22454,6),
 (18216,22481,6),
 (18218,22485,6),
 (18240,22510,6),
 (18241,22511,6),
 (18253,22525,6),
 (18257,22531,6),
 (18261,22535,6),
 (18277,22555,6),
 (18280,22558,6),
 (18286,22568,6),
 (18302,22587,6),
 (18309,22593,6),
 (18314,22600,6),
 (18316,22601,6),
 (18330,22621,6),
 (18335,22628,6),
 (18356,22652,6),
 (18361,22660,6),
 (18371,22674,6),
 (18374,22677,6),
 (18386,22690,6),
 (18391,22694,6),
 (18404,22712,6),
 (18407,22715,6),
 (18417,22729,6),
 (18430,22744,6),
 (18433,22748,6),
 (18442,22761,6),
 (18450,22770,6),
 (18451,22771,6),
 (18473,22797,6),
 (18480,22807,6),
 (18482,22808,6),
 (18483,22809,6),
 (18520,22850,6),
 (18516,22846,6),
 (18536,22866,6),
 (18543,22874,6),
 (18558,22897,6),
 (18564,22902,6),
 (18571,22911,6),
 (18573,22913,6),
 (18587,22929,6),
 (18594,22936,6),
 (18598,22940,6),
 (18611,22955,6),
 (18619,22964,6),
 (18625,22971,6),
 (18649,22999,6),
 (18664,23015,6),
 (18667,23019,6),
 (18672,23025,6),
 (18681,23034,6),
 (18688,23043,6),
 (18691,23046,6),
 (18699,23056,6),
 (18702,23059,6),
 (18708,23066,6),
 (18716,23075,6),
 (18762,23123,6),
 (18768,23130,6),
 (18779,23143,6),
 (18788,23153,6),
 (18811,23176,6),
 (18818,23184,6),
 (18830,23198,6),
 (18837,23205,6),
 (18845,23220,6),
 (18853,23229,6),
 (18893,23275,6),
 (18904,23287,6),
 (18908,23292,6),
 (18913,23298,6),
 (18920,23307,6),
 (18932,23320,6),
 (18937,23325,6),
 (18941,23330,6),
 (18950,23340,6),
 (18958,23350,6),
 (18959,23351,6),
 (18968,23362,6),
 (18976,23371,6),
 (18977,23373,6),
 (18983,23379,6),
 (18993,23390,6),
 (19000,23399,6),
 (19006,23406,6),
 (19010,23410,6),
 (19013,23414,6),
 (19021,23423,6),
 (19025,23429,6),
 (19031,23436,6),
 (19040,23446,6),
 (19045,23452,6),
 (19052,23460,6),
 (19055,23463,6),
 (27644,35982,6),
 (19063,23473,6),
 (19072,23483,6),
 (19371,23830,6),
 (19307,23756,6),
 (19314,23764,6),
 (19348,23804,6),
 (19359,23816,6),
 (19110,23528,6),
 (19119,23538,6),
 (19123,23543,6),
 (19128,23548,6),
 (19137,23559,6),
 (19144,23567,6),
 (19156,23580,6),
 (19161,23587,6),
 (19166,23593,6),
 (19174,23602,6),
 (19177,23606,6),
 (19184,23614,6),
 (19187,23618,6),
 (19196,23628,6),
 (19203,23636,6),
 (19206,23640,6),
 (19212,23646,6),
 (19219,23654,6),
 (19223,23659,6),
 (19231,23668,6),
 (19236,23674,6),
 (19241,23681,6),
 (19253,23693,6),
 (19260,23702,6),
 (19270,23713,6),
 (19275,23719,6),
 (19364,23823,6),
 (19374,23834,6),
 (19381,23843,6),
 (19387,23849,6),
 (19396,23860,6),
 (19399,23863,6),
 (19403,23868,6),
 (19426,23898,6),
 (19435,23909,6),
 (19439,23914,6),
 (19449,23925,6),
 (19450,23926,6),
 (19544,24034,6),
 (19535,24023,6),
 (19551,24041,6),
 (19580,24076,6),
 (19561,24054,6),
 (19574,24068,6),
 (19584,24080,6),
 (19588,24085,6),
 (19596,24095,6),
 (19602,24101,6),
 (19608,24109,6),
 (19615,24117,6),
 (19620,24122,6),
 (19629,24132,6),
 (19634,24139,6),
 (19641,24147,6),
 (19645,24152,6),
 (19656,24165,6),
 (19663,24172,6),
 (19667,24178,6),
 (19676,24188,6),
 (19680,24192,6),
 (19687,24201,6),
 (19692,24206,6),
 (19699,24215,6),
 (19704,24221,6),
 (19711,24228,6),
 (19714,24232,6),
 (19722,24241,6),
 (19727,24247,6),
 (19733,24254,6),
 (19743,24266,6),
 (19747,24270,6),
 (19753,24277,6),
 (19758,24284,6),
 (19762,24288,6),
 (19768,24295,6),
 (19778,24307,6),
 (19781,24311,6),
 (19788,24318,6),
 (19812,24344,6),
 (19821,24355,6),
 (19824,24359,6),
 (19842,24379,6),
 (19850,24387,6),
 (19852,24390,6),
 (19863,24403,6),
 (19867,24407,6),
 (19874,24416,6),
 (19880,24422,6),
 (19882,24425,6),
 (19889,24433,6),
 (19896,24441,6),
 (19900,24446,6),
 (19906,24453,6),
 (19917,24466,6),
 (19920,24469,6),
 (19927,24478,6),
 (19931,24482,6),
 (19941,24494,6),
 (19945,24499,6),
 (19971,24528,6),
 (19964,24520,6),
 (19980,24537,6),
 (19986,24545,6),
 (19992,24552,6),
 (20011,24573,6),
 (20017,24579,6),
 (20022,24586,6),
 (20031,24596,6),
 (20034,24599,6),
 (20040,24606,6),
 (20048,24616,6),
 (20055,24624,6),
 (20056,24625,6),
 (20064,24634,6),
 (20069,24640,6),
 (20077,24649,6),
 (20085,24659,6),
 (20090,24665,6),
 (20097,24673,6),
 (20099,24675,6),
 (20105,24682,6),
 (20113,24692,6),
 (20116,24695,6),
 (20126,24707,6),
 (20131,24712,6),
 (20137,24719,6),
 (20141,24725,6),
 (20151,24735,6),
 (20154,24739,6),
 (20160,24747,6),
 (20168,24756,6),
 (20192,24782,6),
 (20194,24784,6),
 (20200,24791,6),
 (20206,24798,6),
 (20212,24806,6),
 (20222,24817,6),
 (20228,24824,6),
 (20233,24830,6),
 (20236,24833,6),
 (20242,24841,6),
 (20250,24849,6),
 (20257,24858,6),
 (20260,24861,6),
 (20267,24869,6),
 (20273,24877,6),
 (20283,24888,6),
 (20286,24891,6),
 (20294,24900,6),
 (20298,24905,6),
 (20306,24915,6),
 (20313,24923,6),
 (20314,24924,6),
 (20321,24932,6),
 (20329,24941,6),
 (20334,24948,6),
 (20342,24957,6),
 (20350,24966,6),
 (20357,24973,6),
 (20367,24984,6),
 (20368,24987,6),
 (20378,24997,6),
 (20380,25000,6),
 (20388,25010,6),
 (20393,25015,6),
 (20399,25023,6),
 (20408,25033,6),
 (20415,25041,6),
 (20418,25045,6),
 (20423,25050,6),
 (20429,25057,6),
 (20438,25068,6),
 (20441,25071,6),
 (20447,25078,6),
 (20452,25084,6),
 (20458,25091,6),
 (20464,25098,6),
 (20475,25111,6),
 (20480,25117,6),
 (20487,25125,6),
 (20488,25126,6),
 (20494,25133,6),
 (20503,25143,6),
 (20506,25148,6),
 (20512,25154,6),
 (20521,25164,6),
 (20525,25170,6),
 (20534,25179,6),
 (20539,25186,6),
 (20545,25192,6),
 (20549,25197,6),
 (20556,25205,6),
 (20564,25215,6),
 (20566,25218,6),
 (20574,25227,6),
 (20579,25233,6),
 (20584,25238,6),
 (20591,25246,6),
 (20596,25252,6),
 (20607,25265,6),
 (20612,25271,6),
 (20618,25278,6),
 (20622,25282,6),
 (20626,25287,6),
 (20634,25296,6),
 (20641,25304,6),
 (20644,25308,6),
 (20653,25319,6),
 (20659,25326,6),
 (20667,25335,6),
 (20671,25339,6),
 (20674,25343,6),
 (20684,25354,6),
 (20686,25357,6),
 (20694,25367,6),
 (20700,25374,6),
 (20705,25380,6),
 (20715,25391,6),
 (20716,25392,6),
 (20724,25401,6),
 (20729,25407,6),
 (20737,25416,6),
 (20743,25424,6),
 (20751,25433,6),
 (20757,25440,6),
 (20758,25442,6),
 (20766,25450,6),
 (20775,25461,6),
 (20776,25463,6),
 (20782,25469,6),
 (20790,25478,6),
 (20794,25483,6),
 (20800,25490,6),
 (20808,25499,6),
 (20814,25506,6),
 (20822,25516,6),
 (20829,25524,6),
 (20833,25529,6),
 (20840,25537,6),
 (20847,25545,6),
 (20853,25551,6),
 (20858,25558,6),
 (20864,25565,6),
 (20867,25568,6),
 (20877,25580,6),
 (20880,25583,6),
 (20888,25593,6),
 (20892,25597,6),
 (20901,25607,6),
 (20906,25614,6),
 (20908,25616,6),
 (20918,25627,6),
 (20922,25633,6),
 (20936,25649,6),
 (20938,25652,6),
 (20948,25662,6),
 (20951,25666,6),
 (20959,25675,6),
 (20969,25687,6),
 (20979,25698,6),
 (20980,25699,6),
 (20989,25709,6),
 (20996,25718,6),
 (20999,25721,6),
 (21004,25727,6),
 (21012,25736,6),
 (21016,25741,6),
 (21023,25749,6),
 (21028,25756,6),
 (21034,25763,6),
 (21044,25774,6),
 (21046,25776,6),
 (21062,25794,6),
 (21065,25799,6),
 (21079,25813,6),
 (21083,25818,6),
 (21092,25829,6),
 (21097,25835,6),
 (21100,25838,6),
 (21111,25851,6),
 (21113,25853,6),
 (21120,25862,6),
 (21127,25869,6),
 (21133,25876,6),
 (21142,25887,6),
 (21153,25900,6),
 (21158,25905,6),
 (21161,25909,6),
 (21167,25916,6),
 (21174,25925,6),
 (21178,25929,6),
 (21187,25940,6),
 (21195,25949,6),
 (21198,25952,6),
 (21204,25959,6),
 (21212,25968,6),
 (21215,25972,6),
 (21221,25979,6),
 (21227,25986,6),
 (21235,25996,6),
 (21242,26003,6),
 (21244,26006,6),
 (21255,26019,6),
 (21258,26023,6),
 (21263,26029,6),
 (21272,26039,6),
 (21274,26041,6),
 (21284,26053,6),
 (21291,26061,6),
 (21292,26062,6),
 (21298,26070,6),
 (21304,26076,6),
 (21310,26083,6),
 (21316,26090,6),
 (21322,26097,6),
 (21330,26107,6),
 (21335,26112,6),
 (21343,26121,6),
 (21346,26125,6),
 (21353,26133,6),
 (21358,26139,6),
 (21366,26149,6),
 (21373,26156,6),
 (21376,26160,6),
 (21383,26169,6),
 (21389,26176,6),
 (21397,26185,6),
 (21401,26189,6),
 (21411,26201,6),
 (21416,26207,6),
 (21420,26211,6),
 (21424,26216,6),
 (21430,26223,6),
 (21440,26234,6),
 (21445,26241,6),
 (21450,26247,6),
 (21458,26255,6),
 (21464,26263,6),
 (21467,26266,6),
 (21472,26272,6),
 (21483,26285,6),
 (21488,26291,6),
 (21492,26296,6),
 (21498,26302,6),
 (21502,26307,6),
 (21509,26316,6),
 (21516,26324,6),
 (21520,26328,6),
 (21528,26338,6),
 (21537,26347,6),
 (21541,26352,6),
 (21548,26360,6),
 (21551,26364,6),
 (21559,26374,6),
 (21567,26383,6),
 (21572,26388,6),
 (21574,26391,6),
 (21583,26401,6),
 (21586,26405,6),
 (21597,26418,6),
 (21606,26428,6),
 (21611,26433,6),
 (21621,26445,6),
 (21624,26449,6),
 (21630,26455,6),
 (21639,26466,6),
 (21643,26471,6),
 (21651,26480,6),
 (21653,26483,6),
 (21663,26494,6),
 (21667,26498,6),
 (21674,26507,6),
 (21679,26513,6),
 (21686,26521,6),
 (21688,26523,6),
 (21696,26533,6),
 (21709,26546,6),
 (21713,26551,6),
 (21720,26559,6),
 (21736,26577,6),
 (21771,26629,6),
 (21748,26597,6),
 (21758,26613,6),
 (21767,26624,6),
 (21778,26637,6),
 (21785,26645,6),
 (21792,26653,6),
 (21794,26655,6),
 (22078,27265,6),
 (22085,27273,6),
 (24097,31587,6),
 (22572,28319,6),
 (22579,28327,6),
 (22826,28864,6),
 (22829,28867,6),
 (22837,28877,6),
 (22846,28887,6),
 (24312,31998,6),
 (24306,31990,6),
 (24298,31981,6),
 (23477,30269,6),
 (23483,30281,6),
 (23615,30564,6),
 (23844,31048,6),
 (23721,30786,6),
 (23861,31078,6),
 (23904,31170,6),
 (24154,31704,6),
 (24157,31708,6),
 (24168,31721,6),
 (24172,31725,6),
 (24175,31729,6),
 (24291,31973,6),
 (24297,31980,6),
 (24439,32210,6),
 (24448,32220,6),
 (24462,32249,6),
 (24471,32259,6),
 (24475,32264,6),
 (24481,32271,6),
 (24496,32302,6),
 (24507,32321,6),
 (24511,32325,6),
 (24524,32346,6),
 (24532,32355,6),
 (24534,32357,6),
 (24571,32420,6),
 (24574,32423,6),
 (24578,32428,6),
 (24584,32435,6),
 (24595,32447,6),
 (24598,32451,6),
 (24640,32495,6),
 (24696,32554,6),
 (24681,32537,6),
 (24691,32548,6),
 (24700,32558,6),
 (24704,32563,6),
 (24766,32641,6),
 (24771,32647,6),
 (24779,32656,6),
 (24735,32604,6),
 (24743,32614,6),
 (24748,32620,6),
 (24782,32659,6),
 (24791,32670,6),
 (24798,32678,6),
 (24802,32683,6),
 (24806,32687,6),
 (24815,32698,6),
 (24821,32704,6),
 (24823,32707,6),
 (24834,32720,6),
 (24836,32722,6),
 (24846,32734,6),
 (24852,32741,6),
 (24857,32746,6),
 (24863,32753,6),
 (24869,32761,6),
 (24872,32764,6),
 (24881,32775,6),
 (24888,32783,6),
 (24889,32785,6),
 (24899,32796,6),
 (24903,32801,6),
 (24912,32811,6),
 (24917,32816,6),
 (24922,32822,6),
 (24925,32826,6),
 (24934,32836,6),
 (24942,32846,6),
 (24945,32849,6),
 (24953,32859,6),
 (24955,32861,6),
 (24966,32874,6),
 (24967,32875,6),
 (24973,32882,6),
 (24983,32894,6),
 (24987,32899,6),
 (24993,32905,6),
 (24997,32910,6),
 (25006,32921,6),
 (25012,32928,6),
 (25020,32937,6),
 (25022,32939,6),
 (25031,32950,6),
 (25036,32956,6),
 (25043,32963,6),
 (25048,32969,6),
 (25053,32975,6),
 (25058,32982,6),
 (25068,32993,6),
 (25074,33000,6),
 (25075,33001,6),
 (25085,33013,6),
 (25091,33020,6),
 (25094,33023,6),
 (25103,33033,6),
 (25106,33037,6),
 (25115,33048,6),
 (25117,33050,6),
 (25128,33062,6),
 (25131,33067,6),
 (25140,33077,6),
 (25141,33079,6),
 (25150,33089,6),
 (25155,33094,6),
 (25162,33103,6),
 (25167,33109,6),
 (25172,33114,6),
 (25182,33126,6),
 (25185,33129,6),
 (25191,33136,6),
 (25198,33144,6),
 (25202,33150,6),
 (25208,33156,6),
 (25215,33164,6),
 (25221,33171,6),
 (25225,33176,6),
 (25234,33186,6),
 (25237,33190,6),
 (25243,33197,6),
 (25249,33204,6),
 (25256,33212,6),
 (25265,33223,6),
 (25272,33231,6),
 (25273,33232,6),
 (25283,33244,6),
 (25288,33250,6),
 (25294,33257,6),
 (25300,33263,6),
 (25303,33267,6),
 (25314,33280,6),
 (25320,33286,6),
 (25325,33293,6),
 (25327,33295,6),
 (25337,33306,6),
 (25339,33309,6),
 (25350,33321,6),
 (25352,33324,6),
 (25361,33335,6),
 (25366,33341,6),
 (25372,33347,6),
 (25377,33354,6),
 (25382,33360,6),
 (25388,33366,6),
 (25396,33376,6),
 (25402,33382,6),
 (25406,33387,6),
 (25415,33398,6),
 (25418,33401,6),
 (25424,33408,6),
 (25432,33418,6),
 (25438,33425,6),
 (25441,33428,6),
 (25452,33441,6),
 (25454,33443,6),
 (25461,33451,6),
 (25465,33456,6),
 (25474,33467,6),
 (25477,33470,6),
 (25483,33477,6),
 (25490,33486,6),
 (25498,33495,6),
 (25501,33498,6),
 (25507,33505,6),
 (25517,33517,6),
 (25520,33520,6),
 (25526,33527,6),
 (25534,33537,6),
 (25539,33543,6),
 (25543,33547,6),
 (25549,33554,6),
 (25558,33565,6),
 (25562,33569,6),
 (25567,33575,6),
 (25575,33585,6),
 (25582,33592,6),
 (25589,33600,6),
 (25593,33606,6),
 (25598,33612,6),
 (25603,33618,6),
 (25614,33630,6),
 (25617,33633,6),
 (25625,33643,6),
 (25632,33650,6),
 (25634,33654,6),
 (25644,33664,6),
 (25650,33672,6),
 (25655,33678,6),
 (25659,33683,6),
 (25668,33693,6),
 (25671,33696,6),
 (25676,33703,6),
 (25685,33713,6),
 (25687,33715,6),
 (25698,33728,6),
 (25699,33729,6),
 (25710,33742,6),
 (25712,33744,6),
 (25717,33750,6),
 (25728,33763,6),
 (25731,33766,6),
 (25736,33772,6),
 (25744,33782,6),
 (25750,33789,6),
 (25758,33797,6),
 (25764,33804,6),
 (25770,33812,6),
 (25774,33817,6),
 (25781,33825,6),
 (25787,33832,6),
 (25794,33839,6),
 (25799,33846,6),
 (25801,33848,6),
 (25810,33858,6),
 (25816,33866,6),
 (25821,33871,6),
 (25830,33882,6),
 (25831,33883,6),
 (25840,33894,6),
 (25844,33899,6),
 (25850,33906,6),
 (25859,33916,6),
 (25862,33919,6),
 (25868,33926,6),
 (25878,33938,6),
 (25884,33945,6),
 (25886,33947,6),
 (25895,33957,6),
 (25901,33965,6),
 (25907,33972,6),
 (25914,33980,6),
 (25917,33984,6),
 (25923,33990,6),
 (25927,33995,6),
 (25937,34007,6),
 (25940,34010,6),
 (25947,34018,6),
 (25951,34023,6),
 (25961,34035,6),
 (25965,34039,6),
 (25969,34044,6),
 (25977,34054,6),
 (25983,34060,6),
 (25989,34068,6),
 (25994,34073,6),
 (26003,34084,6),
 (26007,34088,6),
 (26011,34093,6),
 (26021,34104,6),
 (26025,34110,6),
 (26029,34114,6),
 (26036,34122,6),
 (26041,34128,6),
 (26051,34139,6),
 (26056,34146,6),
 (26063,34154,6),
 (26066,34157,6),
 (26071,34163,6),
 (26080,34173,6),
 (26084,34178,6),
 (26094,34189,6),
 (26098,34194,6),
 (26105,34203,6),
 (26107,34205,6),
 (26118,34218,6),
 (26120,34221,6),
 (26128,34230,6),
 (26131,34233,6),
 (26138,34241,6),
 (26144,34248,6),
 (26149,34254,6),
 (26160,34267,6),
 (26162,34269,6),
 (26169,34277,6),
 (26175,34284,6),
 (26179,34289,6),
 (26185,34296,6),
 (26194,34307,6),
 (26202,34316,6),
 (26206,34321,6),
 (26211,34327,6),
 (26218,34335,6),
 (26224,34342,6),
 (26232,34351,6),
 (26235,34354,6),
 (26240,34360,6),
 (26245,34367,6),
 (26254,34377,6),
 (26258,34381,6),
 (26263,34387,6),
 (26272,34398,6),
 (26280,34407,6),
 (26283,34411,6),
 (26291,34420,6),
 (26297,34427,6),
 (26299,34429,6),
 (26305,34436,6),
 (26311,34443,6),
 (26317,34450,6),
 (26324,34459,6),
 (26331,34467,6),
 (26340,34477,6),
 (26346,34484,6),
 (26347,34485,6),
 (26354,34494,6),
 (26362,34502,6),
 (26369,34511,6),
 (26376,34519,6),
 (26379,34522,6),
 (26388,34533,6),
 (26391,34537,6),
 (26399,34546,6),
 (26405,34552,6),
 (26410,34559,6),
 (26415,34565,6),
 (26421,34572,6),
 (26429,34580,6),
 (26436,34589,6),
 (26442,34596,6),
 (26445,34599,6),
 (26450,34606,6),
 (26457,34614,6),
 (26461,34618,6),
 (26470,34628,6),
 (26475,34635,6),
 (26480,34640,6),
 (26489,34651,6),
 (26492,34654,6),
 (26502,34666,6),
 (26507,34672,6),
 (26509,34675,6),
 (26517,34684,6),
 (26524,34691,6),
 (26527,34695,6),
 (26535,34704,6),
 (26544,34715,6),
 (26549,34721,6),
 (26552,34724,6),
 (26562,34736,6),
 (26566,34741,6),
 (26569,34745,6),
 (26577,34753,6),
 (26581,34758,6),
 (26592,34771,6),
 (26595,34774,6),
 (26604,34785,6),
 (26605,34786,6),
 (26613,34795,6),
 (26621,34804,6),
 (26625,34809,6),
 (26629,34814,6),
 (26637,34824,6),
 (26641,34828,6),
 (26650,34839,6),
 (26658,34848,6),
 (26659,34849,6),
 (26669,34860,6),
 (26671,34863,6),
 (26677,34870,6),
 (26683,34878,6),
 (26693,34889,6),
 (26699,34896,6),
 (26701,34898,6),
 (26712,34911,6),
 (26717,34917,6),
 (26724,34925,6),
 (26725,34926,6),
 (26735,34938,6),
 (26737,34940,6),
 (26748,34953,6),
 (26749,34955,6),
 (26757,34964,6),
 (26763,34970,6),
 (26767,34975,6),
 (26778,34988,6),
 (26781,34991,6),
 (26785,34996,6),
 (26793,35005,6),
 (26797,35010,6),
 (26806,35020,6),
 (26810,35026,6),
 (26816,35032,6),
 (26822,35039,6),
 (26831,35050,6),
 (26837,35057,6),
 (26843,35064,6),
 (26845,35066,6),
 (26853,35075,6),
 (26862,35085,6),
 (26865,35089,6),
 (26870,35095,6),
 (26878,35105,6),
 (26886,35114,6),
 (26890,35119,6),
 (26897,35127,6),
 (26901,35131,6),
 (26906,35137,6),
 (26916,35149,6),
 (26917,35150,6),
 (26927,35162,6),
 (26931,35166,6),
 (26940,35177,6),
 (26941,35178,6),
 (26951,35189,6),
 (26957,35196,6),
 (26962,35203,6),
 (26966,35207,6),
 (26972,35215,6),
 (26982,35225,6),
 (26985,35230,6),
 (26993,35239,6),
 (26996,35242,6),
 (27002,35249,6),
 (27010,35259,6),
 (27013,35262,6),
 (27019,35269,6),
 (27026,35277,6),
 (27031,35283,6),
 (27041,35294,6),
 (27045,35300,6),
 (27053,35309,6),
 (27060,35317,6),
 (27061,35318,6),
 (27070,35328,6),
 (27074,35333,6),
 (27083,35343,6),
 (27090,35352,6),
 (27092,35354,6),
 (27102,35366,6),
 (27104,35368,6),
 (27112,35377,6),
 (27118,35385,6),
 (27121,35388,6),
 (27131,35400,6),
 (27136,35406,6),
 (27141,35411,6),
 (27149,35421,6),
 (27153,35425,6),
 (27161,35435,6),
 (27163,35437,6),
 (27171,35446,6),
 (27176,35452,6),
 (27181,35458,6),
 (27187,35465,6),
 (27196,35476,6),
 (27199,35479,6),
 (27206,35487,6),
 (27215,35497,6),
 (27219,35503,6),
 (27223,35507,6),
 (27234,35520,6),
 (27237,35523,6),
 (27246,35534,6),
 (27252,35541,6),
 (27256,35545,6),
 (27260,35550,6),
 (27267,35558,6),
 (27271,35564,6),
 (27282,35575,6),
 (27286,35580,6),
 (27289,35584,6),
 (27299,35596,6),
 (27304,35602,6),
 (27308,35606,6),
 (27318,35617,6),
 (27324,35625,6),
 (27329,35631,6),
 (27333,35636,6),
 (27339,35642,6),
 (27344,35648,6),
 (27349,35654,6),
 (27357,35663,6),
 (27366,35674,6),
 (27369,35678,6),
 (27374,35684,6),
 (27384,35695,6),
 (27386,35697,6),
 (27396,35709,6),
 (27398,35712,6),
 (27405,35720,6),
 (27413,35729,6),
 (27420,35737,6),
 (27421,35739,6),
 (27431,35750,6),
 (27437,35756,6),
 (27444,35765,6),
 (27445,35766,6),
 (27453,35775,6),
 (27580,35908,6),
 (27583,35911,6),
 (27592,35922,6),
 (27596,35926,6),
 (27604,35935,6),
 (27613,35946,6),
 (27615,35948,6),
 (27621,35955,6),
 (27629,35965,6),
 (27637,35974,6),
 (27641,35979,6),
 (27652,35991,6),
 (27656,35996,6),
 (27665,36006,6),
 (27670,36012,6),
 (28051,36477,6),
 (27975,36384,6),
 (27806,36156,6),
 (27812,36163,6),
 (27818,36170,6),
 (27822,36175,6),
 (27830,36185,6),
 (27835,36190,6),
 (27844,36200,6),
 (27849,36206,6),
 (27852,36210,6),
 (27872,36239,6),
 (27880,36248,6),
 (27905,36297,6),
 (27914,36308,6),
 (27921,36316,6),
 (27924,36319,6),
 (27931,36328,6),
 (27938,36335,6),
 (27942,36340,6),
 (27957,36363,6),
 (27962,36369,6),
 (27968,36376,6),
 (27980,36390,6),
 (27982,36392,6),
 (27989,36400,6),
 (28007,36425,6),
 (28011,36430,6),
 (28017,36437,6),
 (28025,36447,6),
 (28031,36453,6),
 (28044,36469,6),
 (28053,36479,6),
 (28066,36494,6),
 (28077,36505,6),
 (28362,36835,6),
 (28116,36552,6),
 (28118,36554,6),
 (28127,36565,6),
 (28135,36573,6),
 (28138,36578,6),
 (28146,36586,6),
 (28167,36608,6),
 (28175,36617,6),
 (28183,36627,6),
 (28184,36628,6),
 (28193,36639,6),
 (28201,36648,6),
 (28207,36654,6),
 (28210,36659,6),
 (28219,36669,6),
 (28224,36675,6),
 (28230,36681,6),
 (28233,36685,6),
 (28244,36698,6),
 (28250,36704,6),
 (28257,36712,6),
 (28263,36720,6),
 (28273,36731,6),
 (28278,36737,6),
 (28310,36775,6),
 (28319,36785,6),
 (28321,36788,6),
 (28332,36801,6),
 (28336,36805,6),
 (28342,36815,6),
 (28350,36823,6),
 (28371,36845,6),
 (28376,36851,6),
 (28385,36861,6),
 (28388,36866,6),
 (28394,36873,6),
 (29020,37598,6),
 (29028,37608,6),
 (29031,37611,6),
 (28443,36925,6),
 (28449,36932,6),
 (28455,36939,6),
 (28463,36949,6),
 (28466,36952,6),
 (28472,36959,6),
 (28478,36966,6),
 (28487,36976,6),
 (28490,36980,6),
 (28500,36992,6),
 (28504,36996,6),
 (28510,37003,6),
 (28516,37011,6),
 (28521,37016,6),
 (28529,37026,6),
 (28534,37031,6),
 (28542,37041,6),
 (28544,37043,6),
 (28550,37050,6),
 (28559,37061,6),
 (28567,37070,6),
 (28570,37074,6),
 (28577,37082,6),
 (28582,37087,6),
 (28588,37095,6),
 (28594,37101,6),
 (28600,37109,6),
 (28609,37119,6),
 (28610,37121,6),
 (28618,37129,6),
 (28622,37134,6),
 (28630,37144,6),
 (28638,37153,6),
 (28645,37161,6),
 (28649,37166,6),
 (28655,37173,6),
 (28662,37181,6),
 (28668,37188,6),
 (28675,37196,6),
 (28678,37199,6),
 (28683,37206,6),
 (28690,37213,6),
 (28694,37218,6),
 (28700,37225,6),
 (28709,37235,6),
 (28715,37242,6),
 (28718,37246,6),
 (28726,37255,6),
 (28731,37261,6),
 (28740,37272,6),
 (28747,37280,6),
 (28750,37283,6),
 (28758,37293,6),
 (28761,37296,6),
 (28768,37304,6),
 (28773,37310,6),
 (28783,37322,6),
 (28786,37326,6),
 (28794,37335,6),
 (28796,37337,6),
 (28804,37347,6),
 (28809,37353,6),
 (28816,37360,6),
 (28823,37368,6),
 (28830,37377,6),
 (28836,37384,6),
 (28840,37388,6),
 (28849,37399,6),
 (28851,37401,6),
 (28856,37407,6),
 (28864,37416,6),
 (28869,37422,6),
 (28876,37431,6),
 (28880,37435,6),
 (28887,37443,6),
 (28892,37449,6),
 (28901,37459,6),
 (28908,37468,6),
 (28915,37475,6),
 (28917,37478,6),
 (28924,37487,6),
 (28928,37491,6),
 (28937,37501,6),
 (28945,37511,6),
 (28947,37513,6),
 (28957,37525,6),
 (28962,37530,6),
 (28969,37539,6),
 (28971,37542,6),
 (28979,37551,6),
 (28983,37555,6),
 (28988,37561,6),
 (28999,37574,6),
 (29003,37579,6),
 (29011,37587,6),
 (29012,37589,6),
 (29041,37623,6),
 (29046,37628,6),
 (29051,37635,6),
 (29059,37644,6),
 (29065,37651,6),
 (29069,37655,6),
 (30348,39314,6),
 (29101,37689,6),
 (29106,37695,6),
 (29113,37703,6),
 (29114,37705,6),
 (29122,37714,6),
 (29131,37724,6),
 (29135,37729,6),
 (29138,37732,6),
 (29144,37739,6),
 (29155,37752,6),
 (29161,37759,6),
 (29169,37768,6),
 (29178,37779,6),
 (29184,37786,6),
 (29191,37794,6),
 (29195,37798,6),
 (29200,37805,6),
 (29205,37810,6),
 (29210,37817,6),
 (29218,37825,6),
 (29225,37833,6),
 (29230,37839,6),
 (29237,37848,6),
 (29255,37866,6),
 (29263,37876,6),
 (29268,37882,6),
 (29271,37885,6),
 (29276,37891,6),
 (29282,37898,6),
 (29310,37929,6),
 (29940,38719,6),
 (29941,38720,6),
 (29948,38728,6),
 (30217,39154,6),
 (29957,38738,6),
 (30094,39009,6),
 (30100,39016,6),
 (30132,39054,6),
 (30130,39050,6),
 (30137,39061,6),
 (30142,39066,6),
 (30183,39117,6),
 (30181,39115,6),
 (30173,39105,6),
 (30194,39130,6),
 (30222,39160,6),
 (30233,39173,6),
 (30237,39179,6),
 (30246,39191,6),
 (30264,39211,6),
 (30267,39215,6),
 (30270,39218,6),
 (30274,39222,6),
 (30286,39239,6),
 (30290,39243,6),
 (30302,39258,6),
 (30312,39269,6),
 (30324,39284,6),
 (30332,39295,6),
 (30345,39310,6),
 (30357,39323,6),
 (30362,39330,6),
 (30365,39333,6),
 (30372,39342,6),
 (30390,39366,6),
 (30395,39372,6),
 (30404,39383,6),
 (30408,39387,6),
 (30414,39394,6),
 (30423,39404,6),
 (30433,39416,6),
 (30438,39422,6),
 (30446,39432,6),
 (30454,39441,6),
 (30458,39446,6),
 (30462,39451,6),
 (30470,39460,6),
 (30474,39464,6),
 (30484,39475,6),
 (30495,39488,6),
 (30509,39514,6),
 (30540,39570,6),
 (30562,39611,6),
 (30580,39642,6),
 (30634,39745,6),
 (30683,39837,6),
 (30688,39843,6),
 (30695,39851,6),
 (31163,40777,6),
 (31171,40787,6),
 (31175,40791,6),
 (31409,41254,6),
 (31534,41495,6),
 (31536,41497,6),
 (31546,41509,6),
 (31547,41511,6),
 (31557,41522,6),
 (31637,41680,6),
 (31908,42160,6),
 (31943,42196,6),
 (31952,42207,6),
 (31961,42216,6),
 (32151,42511,6),
 (32158,42519,6),
 (32159,42520,6),
 (32169,42531,6),
 (32186,42561,6),
 (32192,42569,6),
 (32200,42578,6),
 (32205,42584,6),
 (32212,42592,6),
 (32214,42594,6),
 (32224,42606,6),
 (35104,47406,6),
 (32860,43565,6),
 (32818,43516,6),
 (32840,43541,6),
 (32836,43537,6),
 (32846,43548,6),
 (32852,43555,6),
 (32868,43574,6),
 (32878,43585,6),
 (32886,43594,6),
 (32888,43596,6),
 (32911,43621,6),
 (32916,43627,6),
 (32923,43635,6),
 (32924,43636,6),
 (32931,43644,6),
 (32939,43654,6),
 (32942,43657,6),
 (32948,43664,6),
 (32958,43676,6),
 (32963,43682,6),
 (32968,43687,6),
 (32972,43693,6),
 (32979,43701,6),
 (32985,43708,6),
 (32992,43716,6),
 (32999,43724,6),
 (33002,43727,6),
 (33015,43742,6),
 (33025,43753,6),
 (33038,43778,6),
 (33052,43793,6),
 (33072,43817,6),
 (33066,43809,6),
 (33079,43825,6),
 (33081,43827,6),
 (33090,43838,6),
 (33096,43844,6),
 (33099,43848,6),
 (33107,43858,6),
 (33112,43863,6),
 (33117,43869,6),
 (33835,45195,6),
 (33833,45193,6),
 (33842,45203,6),
 (34057,45611,6),
 (34130,45752,6),
 (34132,45755,6),
 (34138,45761,6),
 (34173,45822,6),
 (34321,46109,6),
 (34418,46297,6),
 (34424,46304,6),
 (34428,46308,6),
 (34437,46319,6),
 (34508,46445,6),
 (34513,46451,6),
 (34516,46455,6),
 (34522,46461,6),
 (34532,46473,6),
 (34534,46475,6),
 (34542,46485,6),
 (34548,46492,6),
 (34554,46498,6),
 (34561,46506,6),
 (34564,46510,6),
 (34575,46523,6),
 (34584,46538,6),
 (34594,46550,6),
 (34601,46557,6),
 (34620,46584,6),
 (34626,46590,6),
 (34637,46603,6),
 (34718,46751,6),
 (34726,46761,6),
 (34737,46778,6),
 (34775,46853,6),
 (34783,46863,6),
 (34790,46871,6),
 (34796,46878,6),
 (34947,47173,6),
 (34954,47182,6),
 (34962,47191,6),
 (34965,47194,6),
 (34974,47204,6),
 (35013,47280,6),
 (35019,47287,6),
 (35025,47294,6),
 (35074,47371,6),
 (35068,47364,6),
 (35054,47348,6),
 (35062,47358,6),
 (35078,47376,6),
 (35088,47388,6),
 (35093,47393,6),
 (35096,47397,6),
 (35111,47414,6),
 (35116,47421,6),
 (35288,47546,6),
 (35293,47552,6),
 (35301,47561,6),
 (35309,47571,6),
 (35313,47575,6),
 (35318,47581,6),
 (35326,47591,6),
 (35341,47618,6),
 (43842,59677,6),
 (35366,47661,6),
 (35380,47679,6),
 (35460,47837,6),
 (35476,47865,6),
 (35485,47875,6),
 (35492,47884,6),
 (35498,47890,6),
 (35504,47897,6),
 (35506,47900,6),
 (35516,47912,6),
 (35519,47915,6),
 (35529,47930,6),
 (35532,47934,6),
 (35537,47941,6),
 (35542,47949,6),
 (35552,47964,6),
 (35558,47974,6),
 (35560,47976,6),
 (35576,47998,6),
 (35577,48000,6),
 (35585,48010,6),
 (35593,48019,6),
 (35930,48617,6),
 (35938,48627,6),
 (35942,48632,6),
 (35955,48653,6),
 (35976,48684,6),
 (35983,48695,6),
 (36026,48768,6),
 (36315,49286,6),
 (36319,49291,6),
 (37252,49294,6),
 (37263,49307,6),
 (37267,49312,6),
 (37296,49357,6),
 (37303,49365,6),
 (37526,49756,6),
 (37583,49854,6),
 (38343,51220,6),
 (38819,52047,6),
 (38784,52002,6),
 (38790,52009,6),
 (38798,52018,6),
 (38805,52026,6),
 (38824,52052,6),
 (38830,52060,6),
 (38838,52069,6),
 (39150,52576,6),
 (39160,52588,6),
 (39594,53292,6),
 (39601,53301,6),
 (39610,53311,6),
 (39616,53318,6),
 (39622,53325,6),
 (39623,53326,6),
 (39632,53337,6),
 (39638,53344,6),
 (39644,53350,6),
 (39647,53354,6),
 (39655,53364,6),
 (39659,53368,6),
 (39669,53380,6),
 (39674,53386,6),
 (39682,53395,6),
 (39683,53396,6),
 (39690,53404,6),
 (39696,53411,6),
 (39701,53417,6),
 (39709,53426,6),
 (39714,53432,6),
 (39759,53504,6),
 (39761,53506,6),
 (39769,53516,6),
 (39777,53524,6),
 (39779,53527,6),
 (39790,53540,6),
 (39791,53541,6),
 (39801,53553,6),
 (39803,53555,6),
 (40421,54525,6),
 (40431,54536,6),
 (40444,54556,6),
 (40447,54560,6),
 (40453,54567,6),
 (40462,54576,6),
 (40466,54582,6),
 (40473,54590,6),
 (40479,54597,6),
 (40484,54603,6),
 (40487,54606,6),
 (40493,54613,6),
 (40504,54626,6),
 (40507,54629,6),
 (40513,54636,6),
 (40531,54665,6),
 (40539,54674,6),
 (40547,54683,6),
 (40551,54688,6),
 (40558,54696,6),
 (40561,54700,6),
 (40569,54710,6),
 (40581,54724,6),
 (40598,54743,6),
 (40667,54858,6),
 (40694,54901,6),
 (40702,54910,6),
 (40705,54914,6),
 (40884,55188,6),
 (40890,55195,6),
 (40907,55215,6),
 (40909,55217,6),
 (40917,55227,6),
 (40925,55236,6),
 (40930,55242,6),
 (40935,55248,6),
 (40942,55256,6),
 (40947,55262,6),
 (40953,55268,6),
 (40956,55273,6),
 (40964,55282,6),
 (40977,55296,6),
 (41015,55340,6),
 (41049,55381,6),
 (41057,55390,6),
 (41221,55651,6),
 (41251,55696,6),
 (41267,55718,6),
 (41270,55722,6),
 (41281,55734,6),
 (41284,55739,6),
 (41289,55744,6),
 (41294,55750,6),
 (44474,60409,6),
 (41847,56519,6),
 (41638,56271,6),
 (41663,56299,6),
 (41669,56307,6),
 (41683,56321,6),
 (41692,56331,6),
 (41695,56336,6),
 (41703,56344,6),
 (41712,56354,6),
 (41716,56359,6),
 (41721,56365,6),
 (41734,56385,6),
 (41739,56391,6),
 (41744,56396,6),
 (41750,56403,6),
 (41761,56415,6),
 (41764,56420,6),
 (41769,56426,6),
 (41775,56432,6),
 (41783,56441,6),
 (41787,56446,6),
 (41795,56455,6),
 (41800,56462,6),
 (41807,56469,6),
 (41813,56477,6),
 (41817,56481,6),
 (41827,56493,6),
 (41833,56500,6),
 (41837,56505,6),
 (41858,56532,6),
 (41859,56533,6),
 (41865,56540,6),
 (41875,56552,6),
 (42174,57020,6),
 (42179,57026,6),
 (42184,57031,6),
 (43816,59649,6),
 (43179,58671,6),
 (43190,58684,6),
 (78397,98069,6),
 (44331,60258,6),
 (43671,59437,6),
 (43680,59448,6),
 (43687,59456,6),
 (43693,59463,6),
 (43696,59466,6),
 (43822,59655,6),
 (43841,59676,6),
 (43851,59688,6),
 (43855,59692,6),
 (43863,59702,6),
 (43867,59706,6),
 (43876,59717,6),
 (43878,59719,6),
 (43886,59729,6),
 (43893,59737,6),
 (43899,59743,6),
 (43906,59752,6),
 (43921,59771,6),
 (43927,59779,6),
 (43930,59783,6),
 (43949,59811,6),
 (43955,59817,6),
 (43965,59828,6),
 (44326,60253,6),
 (43974,59839,6),
 (43978,59844,6),
 (44120,60012,6),
 (43990,59858,6),
 (44006,59880,6),
 (44012,59886,6),
 (44019,59895,6),
 (44463,60398,6),
 (44033,59911,6),
 (44056,59938,6),
 (44040,59919,6),
 (44051,59932,6),
 (44060,59942,6),
 (44065,59948,6),
 (44071,59955,6),
 (44080,59965,6),
 (44126,60019,6),
 (44090,59977,6),
 (44094,59982,6),
 (44115,60006,6),
 (44106,59996,6),
 (44130,60024,6),
 (44138,60034,6),
 (44143,60040,6),
 (44153,60051,6),
 (44154,60052,6),
 (44160,60059,6),
 (44171,60072,6),
 (44176,60077,6),
 (44255,60170,6),
 (44266,60183,6),
 (44191,60096,6),
 (44200,60105,6),
 (44203,60109,6),
 (44213,60121,6),
 (44216,60124,6),
 (44238,60150,6),
 (44226,60136,6),
 (44247,60161,6),
 (44256,60171,6),
 (44270,60188,6),
 (44277,60196,6),
 (44284,60204,6),
 (44288,60208,6),
 (44296,60217,6),
 (44300,60223,6),
 (44307,60230,6),
 (44312,60236,6),
 (44316,60241,6),
 (44347,60278,6),
 (44354,60285,6),
 (44357,60288,6),
 (44369,60300,6),
 (44372,60304,6),
 (44377,60309,6),
 (44388,60320,6),
 (44394,60326,6),
 (44404,60336,6),
 (44405,60337,6),
 (44418,60350,6),
 (44431,60363,6),
 (44443,60375,6),
 (44456,60391,6),
 (44469,60404,6),
 (44481,60416,6),
 (44494,60429,6),
 (44511,60450,6),
 (44521,60460,6),
 (44524,60463,6),
 (44607,60582,6),
 (44616,60591,6),
 (44623,60598,6),
 (44627,60602,6),
 (44664,60639,6),
 (44641,60616,6),
 (44657,60632,6),
 (57523,74644,6),
 (44689,60665,6),
 (44691,48462,6),
 (44896,60937,6),
 (44900,60941,6),
 (45002,61042,6),
 (45081,61121,6),
 (44989,61029,6),
 (44988,50125,6),
 (45074,61114,6),
 (52452,67837,6),
 (45065,61105,6),
 (45072,61112,6),
 (44984,61025,6),
 (45009,61049,6),
 (45023,61063,6),
 (49558,64715,6),
 (45036,61076,6),
 (45042,61082,6),
 (45047,61087,6),
 (45053,61093,6),
 (45087,61127,6),
 (45099,61139,6),
 (45105,61145,6),
 (45113,61153,6),
 (45115,61155,6),
 (45125,61165,6),
 (45133,61173,6),
 (45140,61180,6),
 (69699,89173,6),
 (45151,61191,6),
 (50526,65875,6),
 (45177,61217,6),
 (45180,61220,6),
 (45188,61228,6),
 (45195,61235,6),
 (45203,61243,6),
 (45207,61247,6),
 (45216,61256,6),
 (45233,61273,6),
 (45290,61330,6),
 (52914,68314,6),
 (45305,61345,6),
 (69693,89167,6),
 (45266,61306,6),
 (78437,98115,6),
 (69447,88884,6),
 (45280,61320,6),
 (45288,61328,6),
 (45316,61356,6),
 (45323,61363,6),
 (45329,61369,6),
 (45338,61378,6),
 (45344,61384,6),
 (45350,61390,6),
 (45358,61398,6),
 (45361,61401,6),
 (45369,61409,6),
 (45375,61415,6),
 (45384,61424,6),
 (45388,61428,6),
 (45398,61438,6),
 (45405,61445,6),
 (45410,61450,6),
 (45418,61458,6),
 (45426,61466,6),
 (45435,61475,6),
 (45442,61482,6),
 (45448,61488,6),
 (45453,61493,6),
 (45460,61500,6),
 (45468,61508,6),
 (45472,61512,6),
 (45482,61522,6),
 (45498,61541,6),
 (45696,61802,6),
 (45749,61870,6),
 (45752,61873,6),
 (45757,61878,6),
 (45765,61886,6),
 (45776,61897,6),
 (45783,61904,6),
 (45791,61912,6),
 (45792,61913,6),
 (45800,61921,6),
 (45808,61929,6),
 (45813,61934,6),
 (45823,61944,6),
 (45829,61950,6),
 (45840,61961,6),
 (45844,61965,6),
 (45851,61972,6),
 (45859,61980,6),
 (45862,61983,6),
 (45874,61995,6),
 (45878,61999,6),
 (45887,62008,6),
 (45890,62011,6),
 (45901,62022,6),
 (45909,62030,6),
 (45911,62032,6),
 (48195,63066,6),
 (47305,62052,6),
 (47316,62063,6),
 (47321,62068,6),
 (47327,62074,6),
 (47333,62080,6),
 (47342,62089,6),
 (47349,62096,6),
 (47358,62105,6),
 (47363,62110,6),
 (47373,62120,6),
 (47378,62125,6),
 (47386,62133,6),
 (47393,62140,6),
 (47399,62146,6),
 (47402,48892,6),
 (47409,62155,6),
 (47411,62157,6),
 (47419,62165,6),
 (47424,48906,6),
 (47425,48916,6),
 (47426,48918,6),
 (47427,48928,6),
 (47434,62176,6),
 (47446,62191,6),
 (47450,62195,6),
 (47458,62203,6),
 (47464,62209,6),
 (47473,62218,6),
 (47478,62223,6),
 (47497,62242,6),
 (47500,62245,6),
 (47511,62256,6),
 (47515,62260,6),
 (47524,62269,6),
 (47531,62276,6),
 (69456,88896,6),
 (69437,88874,6),
 (47552,62303,6),
 (69432,88869,6),
 (47568,62322,6),
 (47574,62328,6),
 (47582,62336,6),
 (47588,62342,6),
 (47595,62349,6),
 (47603,62357,6),
 (47608,62362,6),
 (47617,62371,6),
 (47622,62376,6),
 (47633,62387,6),
 (47641,62395,6),
 (47643,62397,6),
 (47652,62406,6),
 (47658,62412,6),
 (47665,62419,6),
 (47670,62424,6),
 (47681,62435,6),
 (47685,62439,6),
 (47693,62447,6),
 (47703,62457,6),
 (47705,62459,6),
 (47715,62469,6),
 (47721,62475,6),
 (47732,62486,6),
 (47737,62491,6),
 (47740,62494,6),
 (47753,62507,6),
 (47757,62511,6),
 (47767,62521,6),
 (47772,62526,6),
 (47776,62530,6),
 (47782,62536,6),
 (47793,62547,6),
 (47801,62555,6),
 (47808,62562,6),
 (47811,62565,6),
 (47817,62571,6),
 (47829,62583,6),
 (48188,63059,6),
 (48201,63072,6),
 (48207,63078,6),
 (48215,63086,6),
 (48217,63088,6),
 (48230,63101,6),
 (64262,82641,6),
 (48498,63456,6),
 (48505,63463,6),
 (48510,63468,6),
 (48518,63476,6),
 (48521,63479,6),
 (48530,63488,6),
 (48534,63492,6),
 (48544,63502,6),
 (48551,63509,6),
 (48555,63513,6),
 (48564,63522,6),
 (48575,63533,6),
 (48579,63537,6),
 (48588,63546,6),
 (48595,63553,6),
 (48600,63558,6),
 (48608,63566,6),
 (48611,63569,6),
 (48620,63578,6),
 (48629,63587,6),
 (48634,63592,6),
 (48645,63603,6),
 (48650,63608,6),
 (48657,63615,6),
 (48663,63621,6),
 (48671,63629,6),
 (48674,63632,6),
 (48682,63640,6),
 (48692,63650,6),
 (48696,63654,6),
 (48704,63662,6),
 (48710,63668,6),
 (48716,63674,6),
 (48727,63685,6),
 (48912,63928,6),
 (48920,63936,6),
 (48928,63944,6),
 (48932,63948,6),
 (48939,63955,6),
 (48947,63963,6),
 (48950,63966,6),
 (48959,63975,6),
 (48966,63982,6),
 (48976,63992,6),
 (48981,63997,6),
 (48986,64002,6),
 (48993,64009,6),
 (49001,64017,6),
 (49006,64022,6),
 (49016,64032,6),
 (49023,64039,6),
 (49028,64044,6),
 (49038,64054,6),
 (49041,64057,6),
 (49054,64070,6),
 (49060,64076,6),
 (49065,64081,6),
 (49238,64308,6),
 (49243,64313,6),
 (49439,64569,6),
 (49445,64575,6),
 (49450,64580,6),
 (49459,64589,6),
 (49555,64712,6),
 (49566,64723,6),
 (49577,64734,6),
 (49579,64736,6),
 (49589,64746,6),
 (49598,64755,6),
 (49601,64758,6),
 (49610,64767,6),
 (49615,64772,6),
 (49621,64778,6),
 (49629,64786,6),
 (49638,64795,6),
 (49643,64800,6),
 (49650,64807,6),
 (49656,64813,6),
 (49669,64826,6),
 (49670,64827,6),
 (49894,65120,6),
 (49901,65127,6),
 (49936,65171,6),
 (49949,65187,6),
 (49978,65222,6),
 (49983,65227,6),
 (50006,65256,6),
 (50018,65268,6),
 (50037,65293,6),
 (50108,65385,6),
 (50127,65407,6),
 (50397,65746,6),
 (50391,65740,6);
INSERT INTO `schritteberechtigtegruppen` (`schritteberechtigtegruppenID`,`schritteID`,`BenutzerGruppenID`) VALUES 
 (50411,65760,6),
 (50419,65768,6),
 (50428,65777,6),
 (50440,65789,6),
 (50434,65783,6),
 (50461,65810,6),
 (50471,65820,6),
 (50478,65827,6),
 (50334,65680,6),
 (50339,65685,6),
 (50345,65691,6),
 (50353,65699,6),
 (50449,65798,6),
 (50453,65802,6),
 (50381,65730,6),
 (50383,65732,6),
 (50487,65836,6),
 (50489,65838,6),
 (50499,65848,6),
 (50507,65856,6),
 (50511,65860,6),
 (50521,65870,6),
 (50532,65881,6),
 (50539,65888,6),
 (50548,65897,6),
 (50552,65901,6),
 (50562,65911,6),
 (50569,65918,6),
 (50605,65967,6),
 (50611,65975,6),
 (50617,65982,6),
 (50624,65991,6),
 (50634,66001,6),
 (50639,66006,6),
 (50654,66024,6),
 (50672,66042,6),
 (50679,66052,6),
 (50682,66055,6),
 (50692,66065,6),
 (50696,66069,6),
 (50705,66078,6),
 (50714,66087,6),
 (50715,66088,6),
 (50724,66097,6),
 (50730,66103,6),
 (50736,66109,6),
 (50744,66117,6),
 (50753,66126,6),
 (50757,66130,6),
 (50768,66141,6),
 (50774,66147,6),
 (50782,66155,6),
 (50789,66162,6),
 (50798,66171,6),
 (50801,66174,6),
 (50812,66185,6),
 (50813,66186,6),
 (50823,66196,6),
 (50827,66200,6),
 (50837,66210,6),
 (50846,66219,6),
 (50851,66224,6),
 (50855,66228,6),
 (50866,66239,6),
 (50872,66245,6),
 (50879,66252,6),
 (50886,66259,6),
 (50890,66263,6),
 (50899,66272,6),
 (50905,66278,6),
 (50912,66285,6),
 (50919,66292,6),
 (50925,66298,6),
 (50934,66307,6),
 (50943,66316,6),
 (50950,66323,6),
 (50956,66329,6),
 (50963,66336,6),
 (50968,66341,6),
 (50978,66351,6),
 (50984,66357,6),
 (50991,66364,6),
 (51001,66374,6),
 (51004,66377,6),
 (51012,66385,6),
 (51018,66391,6),
 (51024,66397,6),
 (51030,66403,6),
 (51041,66414,6),
 (51045,66418,6),
 (51053,66426,6),
 (51063,66436,6),
 (51066,66439,6),
 (51075,66448,6),
 (51084,66457,6),
 (51090,66463,6),
 (51096,66469,6),
 (51103,66476,6),
 (51131,66504,6),
 (51114,66487,6),
 (51123,66496,6),
 (51138,66511,6),
 (51142,66515,6),
 (51153,66526,6),
 (51156,66529,6),
 (51165,66538,6),
 (51173,66546,6),
 (51188,66564,6),
 (51196,66572,6),
 (51200,66576,6),
 (51210,66586,6),
 (51213,66589,6),
 (51223,66599,6),
 (51229,66605,6),
 (51239,66615,6),
 (51242,66618,6),
 (51248,66624,6),
 (51257,66633,6),
 (51262,66638,6),
 (51269,66645,6),
 (51279,66655,6),
 (51289,66665,6),
 (51292,66668,6),
 (51299,66675,6),
 (51308,66684,6),
 (51317,66693,6),
 (51318,66694,6),
 (51331,66707,6),
 (51336,66712,6),
 (51343,66719,6),
 (51346,66722,6),
 (51356,66732,6),
 (51361,66737,6),
 (51371,66747,6),
 (51374,66750,6),
 (51384,66760,6),
 (51390,66766,6),
 (51399,66775,6),
 (51405,66781,6),
 (51409,66785,6),
 (51418,66794,6),
 (51425,66801,6),
 (51431,66807,6),
 (51439,66815,6),
 (51448,66824,6),
 (51457,66833,6),
 (51462,66838,6),
 (51467,66843,6),
 (51473,66849,6),
 (51479,66855,6),
 (51489,66865,6),
 (51496,66872,6),
 (51505,66881,6),
 (51511,66887,6),
 (51517,66893,6),
 (51524,66900,6),
 (51533,66909,6),
 (51540,66916,6),
 (51547,66923,6),
 (51550,66926,6),
 (51562,66938,6),
 (51940,67325,6),
 (51573,66952,6),
 (51577,66956,6),
 (51585,66964,6),
 (51592,66971,6),
 (51604,66983,6),
 (51605,66984,6),
 (51616,66995,6),
 (51619,66998,6),
 (51626,67005,6),
 (51637,67016,6),
 (51642,67021,6),
 (51652,67031,6),
 (51657,67036,6),
 (51665,67044,6),
 (51670,67049,6),
 (51679,67058,6),
 (51682,67061,6),
 (51692,67071,6),
 (51700,67079,6),
 (51707,67086,6),
 (51711,67090,6),
 (51717,67096,6),
 (51729,67108,6),
 (51731,67110,6),
 (51739,67118,6),
 (51750,67129,6),
 (51753,67132,6),
 (51764,67143,6),
 (51768,67147,6),
 (51775,67154,6),
 (51784,67163,6),
 (51790,67169,6),
 (51796,67175,6),
 (51801,67180,6),
 (51871,67253,6),
 (51820,67199,6),
 (51823,67202,6),
 (51831,67210,6),
 (51839,67218,6),
 (51843,67222,6),
 (51850,67229,6),
 (51861,67243,6),
 (51867,67249,6),
 (51879,67261,6),
 (51887,67269,6),
 (51895,67277,6),
 (51901,67283,6),
 (51910,67292,6),
 (51915,67297,6),
 (51922,67304,6),
 (51943,67328,6),
 (51948,67333,6),
 (51996,67381,6),
 (51962,67347,6),
 (51970,67355,6),
 (51976,67361,6),
 (51984,67369,6),
 (51997,67382,6),
 (52006,67391,6),
 (52016,67401,6),
 (52022,67407,6),
 (52030,67415,6),
 (52033,67418,6),
 (52040,67425,6),
 (52050,67435,6),
 (52055,67440,6),
 (52060,67445,6),
 (52071,67456,6),
 (52079,67464,6),
 (52083,67468,6),
 (52094,67479,6),
 (52095,67480,6),
 (52104,67489,6),
 (52115,67500,6),
 (52117,67502,6),
 (52127,67512,6),
 (52130,67515,6),
 (52142,67527,6),
 (52149,67534,6),
 (52152,67537,6),
 (52158,67543,6),
 (52166,67551,6),
 (52177,67562,6),
 (52182,67567,6),
 (52192,67577,6),
 (52196,67581,6),
 (52200,67585,6),
 (52212,67597,6),
 (52257,67642,6),
 (52226,67611,6),
 (52232,67617,6),
 (52236,67621,6),
 (52242,67627,6),
 (52251,67636,6),
 (52268,67653,6),
 (52271,67656,6),
 (52282,67667,6),
 (52284,67669,6),
 (52291,67676,6),
 (52301,67686,6),
 (52305,67690,6),
 (52315,67700,6),
 (52323,67708,6),
 (52331,67716,6),
 (52334,67719,6),
 (52340,67725,6),
 (52352,67737,6),
 (52357,67742,6),
 (52365,67750,6),
 (52374,67759,6),
 (52378,67763,6),
 (52382,67767,6),
 (52390,67775,6),
 (52400,67785,6),
 (52405,67790,6),
 (52410,67795,6),
 (52422,67807,6),
 (52427,67812,6),
 (52431,67816,6),
 (52438,67823,6),
 (52445,67830,6),
 (52465,67850,6),
 (52468,67853,6),
 (52474,67859,6),
 (52481,67866,6),
 (52488,67873,6),
 (52500,67885,6),
 (52504,67889,6),
 (52510,67895,6),
 (52516,67901,6),
 (52525,67910,6),
 (52529,67914,6),
 (52538,67923,6),
 (52546,67931,6),
 (52553,67938,6),
 (52561,67946,6),
 (52566,67951,6),
 (52576,67961,6),
 (52582,67967,6),
 (52590,67975,6),
 (52596,67981,6),
 (52600,67985,6),
 (52612,67997,6),
 (52616,68001,6),
 (52623,68008,6),
 (52667,68052,6),
 (52636,68021,6),
 (52642,68027,6),
 (52649,68034,6),
 (52658,68043,6),
 (52674,68059,6),
 (52677,68062,6),
 (52687,68072,6),
 (67289,86511,6),
 (52703,68088,6),
 (52707,68094,6),
 (60843,78291,6),
 (52722,68113,6),
 (52728,68119,6),
 (52738,68129,6),
 (52739,68131,6),
 (52748,68142,6),
 (52759,68153,6),
 (52763,68157,6),
 (52769,68163,6),
 (52775,68169,6),
 (52786,68180,6),
 (52792,68186,6),
 (52800,68194,6),
 (52802,68196,6),
 (52812,68206,6),
 (52819,68213,6),
 (52824,68218,6),
 (52834,68228,6),
 (52843,68237,6),
 (52844,68238,6),
 (52857,68251,6),
 (52861,68255,6),
 (52865,68259,6),
 (53376,68905,6),
 (52879,68276,6),
 (52886,68283,6),
 (52898,68295,6),
 (52905,68302,6),
 (57514,74635,6),
 (60895,78344,6),
 (57507,74628,6),
 (52947,68356,6),
 (52949,68358,6),
 (53258,68755,6),
 (52965,68377,6),
 (60855,78303,6),
 (53736,69320,6),
 (52994,68418,6),
 (53000,68424,6),
 (61887,79558,6),
 (53254,68750,6),
 (60899,78348,6),
 (62768,80583,6),
 (53046,68485,6),
 (53275,68779,6),
 (62776,80591,6),
 (53767,69362,6),
 (53079,68532,6),
 (53085,68540,6),
 (53094,68554,6),
 (53097,68557,6),
 (61881,79552,6),
 (53760,69354,6),
 (53121,68587,6),
 (53740,69325,6),
 (62806,80621,6),
 (62789,80604,6),
 (53264,68763,6),
 (53165,68643,6),
 (62755,80570,6),
 (53749,69339,6),
 (53188,68675,6),
 (53196,68683,6),
 (53204,68691,6),
 (53213,68700,6),
 (53215,68702,6),
 (53237,68725,6),
 (53232,68719,6),
 (75162,94774,6),
 (53282,68787,6),
 (53298,68803,6),
 (53302,68807,6),
 (53310,68815,6),
 (53325,68833,6),
 (60866,78315,6),
 (60873,78322,6),
 (53364,68887,6),
 (53368,68891,6),
 (53386,68917,6),
 (53393,68928,6),
 (53401,68938,6),
 (53406,68946,6),
 (53412,68955,6),
 (53417,68961,6),
 (53427,68974,6),
 (53434,68987,6),
 (53437,68990,6),
 (53444,69000,6),
 (53451,69012,6),
 (53459,69021,6),
 (53466,69028,6),
 (53476,69038,6),
 (53497,69059,6),
 (53490,69052,6),
 (53502,69064,6),
 (53509,69071,6),
 (53514,69076,6),
 (53522,69084,6),
 (53532,69094,6),
 (53540,69102,6),
 (53545,69107,6),
 (53552,69114,6),
 (53560,69122,6),
 (53569,69131,6),
 (68952,88327,6),
 (53578,69140,6),
 (53587,69149,6),
 (57849,74991,6),
 (53625,69196,6),
 (53638,69209,6),
 (53641,69212,6),
 (53646,69217,6),
 (53654,69225,6),
 (53661,69232,6),
 (53673,69246,6),
 (53680,69253,6),
 (53682,69255,6),
 (53693,69266,6),
 (53730,69312,6),
 (53710,69286,6),
 (53723,69302,6),
 (62797,80612,6),
 (53780,69383,6),
 (53788,69393,6),
 (53789,69396,6),
 (53800,69412,6),
 (53804,69417,6),
 (53810,69425,6),
 (53822,69443,6),
 (53826,69450,6),
 (53836,69462,6),
 (53838,69465,6),
 (53847,69479,6),
 (53857,69492,6),
 (53865,69504,6),
 (53871,69512,6),
 (53876,69518,6),
 (53882,69530,6),
 (53887,69535,6),
 (53895,69546,6),
 (53902,69558,6),
 (53910,69569,6),
 (53916,69577,6),
 (53925,69590,6),
 (53929,69596,6),
 (53936,69605,6),
 (53945,69618,6),
 (53954,69631,6),
 (53957,69636,6),
 (53966,69647,6),
 (53975,69661,6),
 (53981,69671,6),
 (53989,69680,6),
 (53995,69689,6),
 (53999,69695,6),
 (54010,69710,6),
 (54019,69724,6),
 (54022,69727,6),
 (54031,69740,6),
 (54035,69747,6),
 (54045,69762,6),
 (54051,69771,6),
 (54058,69779,6),
 (54062,69785,6),
 (54075,69802,6),
 (54081,69813,6),
 (54088,69823,6),
 (54092,69828,6),
 (54097,69835,6),
 (54109,69853,6),
 (54117,69864,6),
 (54119,69867,6),
 (54131,69883,6),
 (54137,69893,6),
 (54139,69895,6),
 (54150,69912,6),
 (54154,69916,6),
 (54166,69934,6),
 (54173,69944,6),
 (54176,69948,6),
 (54187,69964,6),
 (54188,69965,6),
 (54195,69975,6),
 (54208,69994,6),
 (54210,69996,6),
 (54217,70007,6),
 (54225,70017,6),
 (54230,70026,6),
 (54237,70035,6),
 (54245,70046,6),
 (54251,70055,6),
 (54262,70070,6),
 (54271,70084,6),
 (54277,70093,6),
 (54284,70100,6),
 (54291,70113,6),
 (54296,70121,6),
 (54300,70126,6),
 (54307,70135,6),
 (54315,70147,6),
 (54325,70162,6),
 (54331,70169,6),
 (54335,70175,6),
 (54343,70187,6),
 (54353,70201,6),
 (54359,70211,6),
 (54369,70224,6),
 (54370,70225,6),
 (54380,70241,6),
 (54384,70245,6),
 (54395,70261,6),
 (62762,80577,6),
 (54407,70278,6),
 (54418,70293,6),
 (54420,70297,6),
 (54430,70312,6),
 (54433,70315,6),
 (54440,70325,6),
 (54449,70338,6),
 (54459,70353,6),
 (54464,70359,6),
 (54470,70368,6),
 (54477,70379,6),
 (54486,70392,6),
 (54494,70401,6),
 (54501,70413,6),
 (54508,70422,6),
 (54516,70433,6),
 (54518,70438,6),
 (54526,70447,6),
 (54534,70460,6),
 (54541,70469,6),
 (54551,70484,6),
 (54554,70490,6),
 (54559,70495,6),
 (54570,70511,6),
 (54575,70519,6),
 (54580,70525,6),
 (54589,70539,6),
 (54594,70546,6),
 (54601,70555,6),
 (54608,70565,6),
 (54620,70583,6),
 (54622,70585,6),
 (54633,70601,6),
 (54641,70613,6),
 (54644,70617,6),
 (54652,70629,6),
 (54659,70638,6),
 (54664,70645,6),
 (54675,70661,6),
 (54684,70673,6),
 (54687,70678,6),
 (54693,70688,6),
 (54700,70697,6),
 (54707,70707,6),
 (54717,70721,6),
 (54722,70728,6),
 (54730,70741,6),
 (54737,70750,6),
 (54746,70763,6),
 (54750,70767,6),
 (54756,70777,6),
 (54763,70788,6),
 (54771,70799,6),
 (54777,70808,6),
 (54787,70820,6),
 (54790,70825,6),
 (54803,70844,6),
 (54804,70845,6),
 (54815,70861,6),
 (54820,70868,6),
 (54826,70877,6),
 (54832,70885,6),
 (54845,70904,6),
 (54852,70913,6),
 (54854,70917,6),
 (54860,70925,6),
 (54873,70944,6),
 (54877,70950,6),
 (54881,70956,6),
 (54888,70965,6),
 (54900,70981,6),
 (54905,70990,6),
 (54909,70995,6),
 (54917,71006,6),
 (54927,71021,6),
 (54933,71031,6),
 (54937,71035,6),
 (54944,71045,6),
 (54957,71063,6),
 (54964,71074,6),
 (54969,71082,6),
 (54976,71091,6),
 (54985,71104,6),
 (54992,71114,6),
 (54994,71117,6),
 (55000,71125,6),
 (55011,71142,6),
 (55018,71152,6),
 (55025,71162,6),
 (55028,71166,6),
 (55039,71181,6),
 (55042,71185,6),
 (55051,71199,6),
 (55059,71209,6),
 (55066,71221,6),
 (55070,71225,6),
 (55082,71241,6),
 (55085,71247,6),
 (55093,71257,6),
 (55101,71271,6),
 (55111,71284,6),
 (55116,71290,6),
 (55123,71299,6),
 (55132,71314,6),
 (55133,71315,6),
 (55140,71325,6),
 (55148,71336,6),
 (55160,71354,6),
 (55164,71361,6),
 (55170,71367,6),
 (55176,71376,6),
 (55188,71392,6),
 (55189,71395,6),
 (55197,71406,6),
 (55209,71424,6),
 (55211,71427,6),
 (55219,71438,6),
 (55224,71445,6),
 (55233,71458,6),
 (55244,71474,6),
 (55248,71481,6),
 (55254,71488,6),
 (55261,71497,6),
 (55269,71511,6),
 (55277,71520,6),
 (55280,71525,6),
 (55292,71543,6),
 (55294,71545,6),
 (55303,71557,6),
 (55310,71567,6),
 (55318,71580,6),
 (55327,71593,6),
 (55329,71596,6),
 (55338,71607,6),
 (55347,71618,6),
 (55350,71622,6),
 (55361,71639,6),
 (55364,71642,6),
 (55371,71652,6),
 (55381,71666,6),
 (55385,71672,6),
 (55394,71686,6),
 (55399,71692,6),
 (55406,71702,6),
 (55416,71715,6),
 (55425,71730,6),
 (55427,71733,6),
 (55440,71751,6),
 (55443,71757,6),
 (55450,71765,6),
 (55461,71781,6),
 (55467,71790,6),
 (55471,71795,6),
 (55478,71805,6),
 (55488,71820,6),
 (55490,71822,6),
 (55497,71832,6),
 (55509,71849,6),
 (55515,71858,6),
 (55523,71868,6),
 (55530,71880,6),
 (55536,71886,6),
 (55540,71890,6),
 (55548,71901,6),
 (55553,71909,6),
 (55562,71923,6),
 (55567,71929,6),
 (55577,71942,6),
 (55585,71955,6),
 (55594,71968,6),
 (55598,71974,6),
 (55604,71982,6),
 (55612,71994,6),
 (55622,72008,6),
 (55629,72018,6),
 (55630,72019,6),
 (55639,72031,6),
 (55645,72040,6),
 (55654,72054,6),
 (55661,72063,6),
 (55668,72072,6),
 (55674,72081,6),
 (55684,72097,6),
 (55691,72107,6),
 (55693,72109,6),
 (55702,72122,6),
 (55711,72135,6),
 (55717,72143,6),
 (55721,72150,6),
 (55733,72166,6),
 (55740,72177,6),
 (55747,72187,6),
 (55754,72196,6),
 (55759,72202,6),
 (55765,72213,6),
 (55773,72223,6),
 (55777,72231,6),
 (55785,72240,6),
 (55796,72257,6),
 (55801,72263,6),
 (55811,72278,6),
 (55812,72281,6),
 (55821,72291,6),
 (55830,72304,6),
 (55839,72317,6),
 (55840,72319,6),
 (55847,72330,6),
 (55859,72346,6),
 (55865,72355,6),
 (55870,72364,6),
 (55879,72375,6),
 (55882,72379,6),
 (55895,72397,6),
 (55898,72401,6),
 (55905,72414,6),
 (55916,72426,6),
 (55917,72430,6),
 (55925,72440,6),
 (55937,72458,6),
 (55940,72461,6),
 (55948,72469,6),
 (55955,72480,6),
 (55965,72495,6),
 (55966,72496,6),
 (55977,72511,6),
 (55984,72523,6),
 (55991,72533,6),
 (55994,72536,6),
 (56006,72552,6),
 (56014,72565,6),
 (56019,72573,6),
 (56025,72580,6),
 (56035,72595,6),
 (56038,72599,6),
 (56046,72612,6),
 (56051,72617,6),
 (56057,72628,6),
 (56070,72644,6),
 (56073,72648,6),
 (56079,72657,6),
 (56087,72669,6),
 (56095,72680,6),
 (56100,72687,6),
 (56107,72699,6),
 (56116,72709,6),
 (56124,72722,6),
 (56128,72727,6),
 (56137,72736,6),
 (56144,72746,6),
 (56149,72755,6),
 (56158,72768,6),
 (56163,72774,6),
 (56170,72784,6),
 (56177,72796,6),
 (56188,72808,6),
 (56195,72818,6),
 (56199,72822,6),
 (56204,72827,6),
 (56216,72841,6),
 (56220,72848,6),
 (56228,72858,6),
 (56236,72871,6),
 (56239,72874,6),
 (56246,72884,6),
 (56256,72898,6),
 (56260,72904,6),
 (56269,72916,6),
 (56274,72924,6),
 (56284,72938,6),
 (56292,72948,6),
 (56301,72962,6),
 (56306,72970,6),
 (56310,72976,6),
 (56322,72992,6),
 (56325,72997,6),
 (56332,73008,6),
 (56339,73018,6),
 (56347,73027,6),
 (56355,73040,6),
 (56362,73049,6),
 (56371,73063,6),
 (56377,73070,6),
 (56384,73081,6),
 (56392,73092,6),
 (56398,73102,6),
 (56401,73107,6),
 (56410,73118,6),
 (56420,73133,6),
 (56422,73135,6),
 (56432,73150,6),
 (56437,73157,6),
 (56443,73166,6),
 (56455,73183,6),
 (62785,80600,6),
 (56465,73198,6),
 (56471,73205,6),
 (56482,73221,6),
 (56488,73230,6),
 (56492,73236,6),
 (56501,73250,6),
 (56511,73263,6),
 (56512,73264,6),
 (56519,73274,6),
 (56529,73290,6),
 (56537,73301,6),
 (56544,73308,6),
 (56547,73315,6),
 (56555,73327,6),
 (56567,73343,6),
 (56572,73351,6),
 (56576,73358,6),
 (56582,73364,6),
 (56594,73381,6),
 (56599,73388,6),
 (56605,73396,6),
 (56615,73410,6),
 (56619,73418,6),
 (56625,73425,6),
 (56634,73438,6),
 (56638,73444,6),
 (56646,73455,6),
 (56653,73466,6),
 (56663,73479,6),
 (56667,73486,6),
 (56673,73494,6),
 (56680,73504,6),
 (56689,73516,6),
 (56699,73530,6),
 (56701,73536,6),
 (56708,73544,6),
 (56716,73555,6),
 (56727,73571,6),
 (56732,73580,6),
 (56754,73608,6),
 (56765,73619,6),
 (56771,73625,6),
 (56776,73630,6),
 (56808,73671,6),
 (56874,73755,6),
 (56880,73762,6),
 (56887,73774,6),
 (56890,73777,6),
 (56902,73792,6),
 (56909,73800,6),
 (56914,73809,6),
 (56919,73817,6),
 (56925,73824,6),
 (56936,73840,6),
 (56942,73849,6),
 (56948,73856,6),
 (56955,73866,6),
 (56961,73875,6),
 (56970,73887,6),
 (56974,73894,6),
 (56987,73913,6),
 (56991,73918,6),
 (56999,73931,6),
 (57002,73934,6),
 (57010,73946,6),
 (57018,73957,6),
 (57023,73964,6),
 (57031,73976,6),
 (57037,73984,6),
 (57047,73999,6),
 (57055,74010,6),
 (57064,74023,6),
 (57068,74028,6),
 (57076,74039,6),
 (57079,74044,6),
 (57086,74055,6),
 (57093,74064,6),
 (57101,74075,6),
 (57113,74093,6),
 (57115,74096,6),
 (57124,74107,6),
 (57130,74118,6),
 (57139,74131,6),
 (57144,74138,6),
 (57154,74149,6),
 (57158,74156,6),
 (57165,74166,6),
 (57172,74176,6),
 (57179,74187,6),
 (57188,74201,6),
 (57191,74204,6),
 (57201,74219,6),
 (57211,74232,6),
 (57216,74240,6),
 (57221,74246,6),
 (57232,74263,6),
 (57233,74265,6),
 (57244,74280,6),
 (57248,74286,6),
 (57254,74294,6),
 (57261,74306,6),
 (57271,74320,6),
 (57278,74329,6),
 (57288,74343,6),
 (57291,74347,6),
 (57299,74358,6),
 (57306,74368,6),
 (57312,74376,6),
 (57320,74388,6),
 (57326,74398,6),
 (57337,74411,6),
 (57340,74416,6),
 (57350,74432,6),
 (57358,74443,6),
 (57364,74451,6),
 (57371,74462,6),
 (57375,74468,6),
 (57382,74476,6),
 (57390,74489,6),
 (57394,74494,6),
 (57406,74511,6),
 (57412,74519,6),
 (57415,74524,6),
 (57426,74541,6),
 (57433,74549,6),
 (57439,74559,6),
 (57443,74564,6),
 (57451,74572,6),
 (57457,74578,6),
 (57465,74586,6),
 (57473,74594,6),
 (57479,74600,6),
 (57490,74611,6),
 (57493,74614,6),
 (57501,74622,6),
 (57529,74650,6),
 (57536,74657,6),
 (57547,74668,6),
 (57551,74672,6),
 (57560,74681,6),
 (57564,74685,6),
 (57570,74691,6),
 (57581,74702,6),
 (57589,74710,6),
 (57599,74723,6),
 (57605,74729,6),
 (57618,74742,6),
 (57623,74747,6),
 (57629,74753,6),
 (57633,74757,6),
 (57645,74769,6),
 (57649,74773,6),
 (57655,74779,6),
 (57663,74787,6),
 (57673,74797,6),
 (57676,74800,6),
 (57682,74806,6),
 (57691,74815,6),
 (57698,74822,6),
 (57704,74828,6),
 (57715,74839,6),
 (57719,74843,6),
 (57730,74854,6),
 (57735,74859,6),
 (57740,74864,6),
 (57749,74873,6),
 (57757,74881,6),
 (57759,74883,6),
 (57767,74891,6),
 (57776,74905,6),
 (57786,74916,6),
 (57788,74918,6),
 (57800,74930,6),
 (57807,74940,6),
 (57812,74945,6),
 (57815,74948,6),
 (57822,74955,6),
 (57835,74971,6),
 (57837,74974,6),
 (57850,74992,6),
 (57863,75011,6),
 (57869,75019,6),
 (57871,75022,6),
 (57879,75034,6),
 (57886,75044,6),
 (57895,75055,6),
 (57902,75068,6),
 (57909,75075,6),
 (57914,75080,6),
 (61873,79544,6),
 (57927,75096,6),
 (57942,75112,6),
 (57953,75126,6),
 (57960,75136,6),
 (57964,75142,6),
 (57980,75162,6),
 (57984,75166,6),
 (57990,75172,6),
 (57998,75180,6),
 (58009,75191,6),
 (58016,75198,6),
 (58020,75202,6),
 (58026,75208,6),
 (58036,75218,6),
 (58043,75225,6),
 (58046,75228,6),
 (58055,75237,6),
 (58063,75245,6),
 (58067,75249,6),
 (58077,75259,6),
 (58085,75267,6),
 (58097,75282,6),
 (58106,75291,6),
 (58112,75297,6),
 (58119,75304,6),
 (58127,75312,6),
 (58132,75317,6),
 (58141,75326,6),
 (58149,75334,6),
 (58152,75337,6),
 (58158,75343,6),
 (58169,75354,6),
 (58178,75363,6),
 (58182,75367,6),
 (58196,75384,6),
 (58203,75391,6),
 (58211,75399,6),
 (58215,75403,6),
 (58227,75421,6),
 (58228,75409,6),
 (58235,75423,6),
 (58242,75430,6),
 (58252,75440,6),
 (58259,75447,6),
 (58264,75452,6),
 (58275,75463,6),
 (58278,75466,6),
 (58286,75474,6),
 (58296,75484,6),
 (58300,75488,6),
 (58308,75496,6),
 (58315,75503,6),
 (58319,75507,6),
 (58328,75516,6),
 (58336,75524,6),
 (58346,75534,6),
 (58353,75541,6),
 (58358,75546,6),
 (58366,75554,6),
 (58369,75557,6),
 (58376,75564,6),
 (58384,75572,6),
 (58395,75583,6),
 (58396,75584,6),
 (58405,75593,6),
 (58412,75600,6),
 (58422,75610,6),
 (58427,75615,6),
 (58434,75622,6),
 (58444,75632,6),
 (58447,75635,6),
 (58455,75643,6),
 (58461,75649,6),
 (58469,75657,6),
 (58473,75661,6),
 (58481,75669,6),
 (58496,75687,6),
 (58498,75689,6),
 (58505,75696,6),
 (58517,75708,6),
 (58521,75712,6),
 (58528,75719,6),
 (58536,75727,6),
 (58541,75732,6),
 (58547,75738,6),
 (58556,75747,6),
 (58561,75752,6),
 (58573,75764,6),
 (58578,75769,6),
 (58584,75775,6),
 (58590,75781,6),
 (58598,75789,6),
 (58605,75796,6),
 (58615,75806,6),
 (58620,75811,6),
 (58627,75818,6),
 (58631,75822,6),
 (58641,75832,6),
 (58646,75837,6),
 (58652,75843,6),
 (58664,75855,6),
 (58668,75859,6),
 (58673,75864,6),
 (58681,75872,6),
 (58689,75880,6),
 (58699,75890,6),
 (58705,75896,6),
 (58708,75899,6),
 (58719,75910,6),
 (58725,75916,6),
 (58735,75926,6),
 (58742,75933,6),
 (58744,75935,6),
 (58750,75941,6),
 (58757,75948,6),
 (58766,75957,6),
 (58772,75963,6),
 (58784,75975,6),
 (58789,75980,6),
 (58793,75984,6),
 (58802,75993,6),
 (58810,76001,6),
 (58813,76004,6),
 (58823,76014,6),
 (58829,76020,6),
 (58839,76030,6),
 (58844,76035,6),
 (58852,76043,6),
 (58856,76047,6),
 (58864,76055,6),
 (58875,76066,6),
 (58877,76068,6),
 (58886,76077,6),
 (58892,76083,6),
 (58897,76088,6),
 (58910,76101,6),
 (58917,76108,6),
 (58921,76112,6),
 (58925,76116,6),
 (58935,76126,6),
 (58941,76132,6),
 (58948,76139,6),
 (58958,76149,6),
 (58962,76153,6),
 (58967,76158,6),
 (58979,76170,6),
 (58984,76175,6),
 (58990,76181,6),
 (59021,76212,6),
 (59004,76195,6),
 (59012,76203,6),
 (81521,101482,6),
 (59038,76232,6),
 (59051,76245,6),
 (59055,76249,6),
 (59059,76253,6),
 (59067,76261,6),
 (59078,76272,6),
 (59084,76278,6),
 (59087,76281,6),
 (59100,76294,6),
 (59104,76298,6),
 (59113,76307,6),
 (59121,76315,6),
 (59124,76318,6),
 (59133,76327,6),
 (59137,76331,6),
 (59153,76350,6),
 (59158,76355,6),
 (59165,76362,6),
 (59173,76370,6),
 (59184,76381,6),
 (59186,76383,6),
 (59198,76395,6),
 (59206,76403,6),
 (59207,76404,6),
 (59219,76416,6),
 (59221,76418,6),
 (59232,76429,6),
 (59238,76435,6),
 (59244,76441,6),
 (59253,76450,6),
 (59260,76457,6),
 (59269,76466,6),
 (59276,76473,6),
 (59280,76477,6),
 (59284,76481,6),
 (59291,76488,6),
 (59300,76497,6),
 (59313,76513,6),
 (59326,76526,6),
 (59333,76533,6),
 (59338,76538,6),
 (59344,76544,6),
 (59354,76554,6),
 (59360,76560,6),
 (59364,76564,6),
 (59374,76574,6),
 (59379,76579,6),
 (59389,76589,6),
 (59392,76592,6),
 (59403,76603,6),
 (59404,76604,6),
 (59415,76615,6),
 (59419,76619,6),
 (59427,76627,6),
 (59434,76634,6),
 (59444,76644,6),
 (59450,76650,6),
 (59454,76654,6),
 (59461,76661,6),
 (59472,76672,6),
 (59475,76675,6),
 (59484,76684,6),
 (59489,76689,6),
 (59496,76696,6),
 (59505,76705,6),
 (59512,76712,6),
 (59518,76718,6),
 (59523,76723,6),
 (59530,76730,6),
 (59539,76740,6),
 (59549,76754,6),
 (59557,76766,6),
 (59562,76772,6),
 (59569,76781,6),
 (59572,76788,6),
 (59583,76802,6),
 (59592,76816,6),
 (59596,76821,6),
 (59606,76836,6),
 (59609,76839,6),
 (59614,76844,6),
 (59624,76854,6),
 (59629,76860,6),
 (59639,76874,6),
 (59647,76885,6),
 (59653,76893,6),
 (59658,76900,6),
 (59663,76908,6),
 (59673,76921,6),
 (59678,76931,6),
 (59714,76977,6),
 (59734,77003,6),
 (59746,77018,6),
 (59757,77029,6),
 (59773,77048,6),
 (59797,77078,6),
 (59809,77093,6),
 (59827,77114,6),
 (59831,77118,6),
 (59838,77125,6),
 (59854,77144,6),
 (59869,77162,6),
 (59874,77167,6),
 (59903,77205,6),
 (59983,77312,6),
 (59994,77323,6),
 (59999,77328,6),
 (60005,77334,6),
 (60016,77345,6),
 (60022,77351,6),
 (60024,77353,6),
 (60031,77360,6),
 (60040,77369,6),
 (60046,77375,6),
 (60054,77383,6),
 (60060,77389,6),
 (60066,77395,6),
 (60078,77407,6),
 (60081,77410,6),
 (60093,77422,6),
 (60100,77429,6),
 (60106,77435,6),
 (60108,77437,6),
 (60115,77444,6),
 (60124,77453,6),
 (60134,77463,6),
 (60141,77470,6),
 (60145,77474,6),
 (60152,77481,6),
 (60159,77488,6),
 (60169,77498,6),
 (60176,77505,6),
 (60179,77508,6),
 (60191,77520,6),
 (60192,77521,6),
 (60200,77529,6),
 (60210,77539,6),
 (60227,77560,6),
 (60236,77569,6),
 (60245,77578,6),
 (60252,77585,6),
 (60259,77592,6),
 (60268,77601,6),
 (60271,77604,6),
 (60279,77612,6),
 (60287,77620,6),
 (60291,77624,6),
 (60298,77631,6),
 (60304,77637,6),
 (60323,77657,6),
 (60324,77658,6),
 (60336,77670,6),
 (60339,77673,6),
 (60346,77680,6),
 (60354,77688,6),
 (60359,77693,6),
 (60369,77703,6),
 (60373,77707,6),
 (60380,77714,6),
 (60393,77727,6),
 (60394,77729,6),
 (60407,77747,6),
 (60412,77753,6),
 (60415,77758,6),
 (60428,77776,6),
 (60433,77784,6),
 (60439,77792,6),
 (60449,77807,6),
 (60450,77809,6),
 (60459,77821,6),
 (60467,77834,6),
 (60476,77845,6),
 (60480,77850,6),
 (60485,77857,6),
 (60492,77866,6),
 (60504,77881,6),
 (60509,77889,6),
 (60519,77901,6),
 (60525,77907,6),
 (60527,77909,6),
 (60538,77921,6),
 (60546,77934,6),
 (60549,77937,6),
 (60559,77953,6),
 (60565,77959,6),
 (60571,77970,6),
 (60579,77981,6),
 (60587,77990,6),
 (60590,77994,6),
 (60597,78003,6),
 (60604,78014,6),
 (60616,78030,6),
 (60620,78035,6),
 (60631,78049,6),
 (60633,78052,6),
 (60642,78065,6),
 (60651,78075,6),
 (60656,78084,6),
 (60660,78091,6),
 (60668,78103,6),
 (60674,78110,6),
 (60683,78122,6),
 (60689,78128,6),
 (60697,78140,6),
 (60703,78148,6),
 (60713,78159,6),
 (60720,78168,6),
 (60729,78177,6),
 (60732,78180,6),
 (60743,78191,6),
 (60745,78193,6),
 (60755,78203,6),
 (60764,78212,6),
 (60766,78214,6),
 (60774,78222,6),
 (60785,78233,6),
 (60791,78239,6),
 (60795,78243,6),
 (60800,78248,6),
 (60809,78257,6),
 (60820,78268,6),
 (60824,78272,6),
 (60834,78282,6),
 (60840,78288,6),
 (60879,78328,6),
 (60887,78336,6),
 (60904,78353,6),
 (60912,78361,6),
 (60923,78372,6),
 (60953,78408,6),
 (60933,78385,6),
 (60952,78407,6),
 (60973,78431,6),
 (60974,78432,6),
 (60984,78442,6),
 (60992,78450,6),
 (60998,78456,6),
 (61004,78462,6),
 (61011,78469,6),
 (61022,78480,6),
 (61023,78481,6),
 (61034,78492,6),
 (61039,78497,6),
 (61050,78508,6),
 (61056,78514,6),
 (61061,78519,6),
 (61066,78524,6),
 (61077,78535,6),
 (61084,78542,6),
 (61088,78546,6),
 (61094,78552,6),
 (61104,78562,6),
 (61109,78567,6),
 (61115,78573,6),
 (61126,78584,6),
 (61131,78589,6),
 (61141,78599,6),
 (61145,78603,6),
 (61153,78611,6),
 (61162,78620,6),
 (61164,78622,6),
 (61170,78628,6),
 (61178,78636,6),
 (61186,78644,6),
 (61215,78679,6),
 (61550,79125,6),
 (61605,79195,6),
 (61857,79528,6),
 (61858,79529,6),
 (61869,79540,6),
 (61893,79564,6),
 (61901,79572,6),
 (61911,79582,6),
 (61919,79590,6),
 (61921,79592,6),
 (61929,79600,6),
 (61938,79609,6),
 (61947,79618,6),
 (61949,79620,6),
 (61960,79631,6),
 (61966,79637,6),
 (61974,79645,6),
 (61980,79651,6),
 (61989,79660,6),
 (61995,79666,6),
 (62007,79679,6),
 (62011,79683,6),
 (62020,79692,6),
 (62031,79703,6),
 (62036,79708,6),
 (62045,79717,6),
 (62048,79720,6),
 (62053,79725,6),
 (62065,79737,6),
 (62071,79743,6),
 (62079,79751,6),
 (62082,79754,6),
 (62089,79761,6),
 (62099,79771,6),
 (62102,79774,6),
 (62110,79782,6),
 (62120,79792,6),
 (62125,79797,6),
 (62130,79802,6),
 (62152,79827,6),
 (62153,79828,6),
 (62160,79835,6),
 (62206,79893,6),
 (62234,79927,6),
 (62271,79976,6),
 (62554,80348,6),
 (62561,80355,6),
 (62569,80363,6),
 (62576,80370,6),
 (62583,80377,6),
 (62592,80386,6),
 (62599,80393,6),
 (62601,80395,6),
 (62610,80404,6),
 (62620,80414,6),
 (62623,80417,6),
 (62657,80460,6),
 (62667,80470,6),
 (62673,80476,6),
 (62680,80483,6),
 (62686,80489,6),
 (62729,80544,6),
 (62736,80551,6),
 (62743,80558,6),
 (62748,80563,6),
 (62812,80627,6),
 (62818,80633,6),
 (62824,80639,6),
 (62831,80646,6),
 (62842,80660,6),
 (62848,80670,6),
 (62856,80681,6),
 (62860,80687,6),
 (62867,80699,6),
 (62874,80707,6),
 (62885,80724,6),
 (62891,80731,6),
 (62898,80740,6),
 (62902,80747,6),
 (62909,80758,6),
 (62915,80766,6),
 (62925,80781,6),
 (62933,80793,6),
 (62940,80802,6),
 (62945,80809,6),
 (62956,80823,6),
 (62957,80826,6),
 (62964,80837,6),
 (62976,80853,6),
 (62983,80861,6),
 (62986,80864,6),
 (62995,80873,6),
 (63004,80887,6),
 (63007,80891,6),
 (63014,80902,6),
 (63023,80915,6),
 (63033,80929,6),
 (63035,80932,6),
 (63043,80943,6),
 (63048,80950,6),
 (63061,80969,6),
 (63062,80970,6),
 (63075,80988,6),
 (63076,80990,6),
 (63088,81006,6),
 (63095,81018,6),
 (63102,81028,6),
 (63107,81035,6),
 (63113,81043,6),
 (63122,81056,6),
 (63130,81068,6),
 (63137,81076,6),
 (63143,81086,6),
 (63151,81097,6),
 (63155,81103,6),
 (63161,81112,6),
 (63172,81128,6),
 (63174,81130,6),
 (63182,81142,6),
 (63191,81155,6),
 (63199,81165,6),
 (63203,81172,6),
 (63211,81183,6),
 (63219,81194,6),
 (63228,81208,6),
 (63236,81219,6),
 (63241,81226,6),
 (63250,81239,6),
 (63253,81244,6),
 (63264,81258,6),
 (63271,81269,6),
 (63278,81278,6),
 (63279,81280,6),
 (63286,81290,6),
 (63295,81303,6),
 (63301,81313,6),
 (63310,81326,6),
 (63318,81336,6),
 (63324,81346,6),
 (63334,81359,6),
 (63336,81362,6),
 (63347,81378,6),
 (63349,81380,6),
 (63356,81390,6),
 (63365,81403,6),
 (63370,81410,6),
 (63380,81425,6),
 (63384,81431,6),
 (63397,81449,6),
 (63401,81454,6),
 (63411,81469,6),
 (63414,81474,6),
 (63422,81483,6),
 (63432,81496,6),
 (63438,81508,6),
 (63442,81513,6),
 (63452,81527,6),
 (63458,81537,6),
 (63465,81544,6),
 (63469,81551,6),
 (63480,81567,6),
 (63487,81578,6),
 (63493,81586,6),
 (63500,81597,6),
 (63505,81603,6),
 (63512,81612,6),
 (63517,81620,6),
 (63527,81634,6),
 (63533,81645,6),
 (63543,81657,6),
 (63550,81667,6),
 (63553,81672,6),
 (63563,81686,6),
 (63566,81691,6),
 (63575,81703,6),
 (63582,81713,6),
 (63589,81723,6),
 (63597,81735,6),
 (63603,81745,6),
 (63612,81757,6),
 (63621,81769,6),
 (63625,81775,6),
 (63633,81786,6),
 (63636,81790,6),
 (63645,81802,6),
 (63654,81817,6),
 (63659,81824,6),
 (63664,81831,6),
 (63676,81845,6),
 (63680,81849,6),
 (63689,81864,6),
 (63693,81870,6),
 (63705,81886,6),
 (63712,81893,6),
 (63713,81894,6),
 (63720,81904,6),
 (63731,81919,6),
 (63735,81925,6),
 (63741,81936,6),
 (63749,81946,6),
 (63756,81955,6),
 (63763,81965,6),
 (63771,81977,6),
 (63776,81984,6),
 (63787,81999,6),
 (63793,82008,6),
 (63802,82021,6),
 (63810,82033,6),
 (63811,82034,6),
 (63823,82051,6),
 (63829,82059,6),
 (63835,82069,6),
 (63840,82076,6),
 (63850,82089,6),
 (63856,82098,6),
 (63864,82109,6),
 (63867,82115,6),
 (63879,82132,6),
 (63882,82135,6),
 (63890,82148,6),
 (63901,82162,6),
 (63902,82164,6),
 (63912,82177,6),
 (63920,82189,6),
 (63924,82195,6),
 (63936,82213,6),
 (63939,82216,6),
 (63950,82230,6),
 (63953,82237,6),
 (63963,82251,6),
 (63971,82263,6),
 (63973,82268,6),
 (63985,82282,6),
 (63990,82289,6),
 (63993,82294,6),
 (64003,82309,6),
 (64010,82318,6),
 (64016,82326,6),
 (64021,82334,6),
 (64032,82350,6),
 (64038,82358,6),
 (64043,82365,6),
 (64052,82378,6),
 (64059,82390,6),
 (64066,82399,6),
 (64075,82411,6),
 (64078,82417,6),
 (64087,82427,6),
 (64093,82439,6),
 (64104,82453,6),
 (64108,82458,6),
 (64113,82466,6),
 (64120,82477,6),
 (64126,82484,6),
 (64139,82501,6),
 (64142,82509,6),
 (64147,82514,6),
 (64159,82530,6),
 (64161,82534,6),
 (64174,82553,6),
 (64176,82555,6),
 (64185,82564,6),
 (64195,82574,6),
 (64198,82577,6),
 (64205,82584,6),
 (64214,82593,6),
 (64223,82602,6),
 (64224,82603,6),
 (64231,82610,6),
 (64244,82623,6),
 (64245,82624,6),
 (64253,82632,6),
 (64288,82673,6),
 (64291,82676,6),
 (64302,82687,6),
 (64306,82691,6),
 (64314,82699,6),
 (64319,82704,6),
 (64329,82714,6),
 (64345,82733,6),
 (64351,82739,6),
 (64356,82744,6),
 (64369,82757,6),
 (64374,82762,6),
 (64378,82766,6),
 (68766,88135,6),
 (68760,88129,6),
 (68736,88105,6),
 (68706,88066,6),
 (68696,88056,6),
 (64441,82829,6),
 (64449,82837,6),
 (64460,82848,6),
 (68679,88039,6),
 (68644,88004,6),
 (68637,87997,6),
 (64517,82905,6),
 (64527,82915,6),
 (64711,83159,6),
 (64741,83195,6),
 (65251,83873,6),
 (65256,83878,6),
 (65265,83887,6),
 (65269,83891,6),
 (65275,83897,6),
 (65283,83905,6),
 (65295,83917,6),
 (65299,83921,6),
 (65304,83926,6),
 (65310,83932,6),
 (65331,83956,6),
 (65336,83961,6),
 (65340,83965,6),
 (65353,83980,6),
 (65357,83987,6),
 (65362,83993,6),
 (65369,84003,6),
 (65376,84014,6),
 (65387,84030,6),
 (65556,84253,6),
 (65690,84432,6),
 (65697,84439,6),
 (65874,84673,6),
 (65940,84760,6),
 (65961,84784,6),
 (65964,84787,6),
 (65981,84807,6),
 (69467,88907,6),
 (66278,85209,6),
 (66283,85214,6),
 (66349,85298,6),
 (66352,85301,6),
 (66358,85307,6),
 (66367,85316,6),
 (66376,85325,6),
 (66381,85330,6),
 (66388,85337,6),
 (66393,85342,6),
 (66401,85350,6),
 (66411,85360,6),
 (66416,85365,6),
 (66421,85370,6),
 (66431,85380,6),
 (66439,85388,6),
 (66443,85392,6),
 (66455,85404,6),
 (66525,85495,6),
 (66918,86017,6),
 (67297,86519,6),
 (67304,86526,6),
 (67314,86536,6),
 (67322,86544,6),
 (67324,86546,6),
 (67334,86556,6),
 (67340,86562,6),
 (67363,86591,6),
 (67386,86620,6),
 (67391,86625,6),
 (67398,86632,6),
 (67409,86643,6),
 (67416,86650,6),
 (67424,86658,6),
 (67432,86666,6),
 (67436,86670,6),
 (67443,86677,6),
 (67450,86684,6),
 (67455,86689,6),
 (67464,86698,6),
 (67469,86703,6),
 (67481,86715,6),
 (67484,86718,6),
 (67493,86727,6),
 (67500,86734,6),
 (67504,86738,6),
 (67512,86746,6),
 (67527,86765,6),
 (68674,88034,6),
 (68665,88025,6),
 (68656,88016,6),
 (68659,88019,6),
 (68688,88048,6),
 (68754,88123,6),
 (68747,88116,6),
 (68740,88109,6),
 (67881,87148,6),
 (78429,98107,6),
 (67605,86851,6),
 (67609,86855,6),
 (67615,86861,6),
 (67622,86868,6),
 (67633,86879,6),
 (67638,86884,6),
 (67643,86889,6),
 (67651,86897,6),
 (67658,86904,6),
 (67665,86911,6),
 (67676,86922,6),
 (67681,86927,6),
 (67686,86932,6),
 (67692,86938,6),
 (74519,94094,6),
 (68128,87413,6),
 (74500,94072,6),
 (67746,87013,6),
 (67748,87015,6),
 (67761,87028,6),
 (67765,87032,6),
 (67770,87037,6),
 (67782,87049,6),
 (67785,87052,6),
 (67793,87060,6),
 (67803,87070,6),
 (67807,87074,6),
 (67813,87080,6),
 (67818,87085,6),
 (67830,87097,6),
 (67836,87103,6),
 (67845,87112,6),
 (67846,87113,6),
 (67855,87122,6),
 (67866,87133,6),
 (67870,87137,6),
 (67874,87141,6),
 (67888,87155,6),
 (67897,87164,6),
 (67905,87172,6),
 (67912,87179,6),
 (67920,87187,6),
 (67923,87190,6),
 (67932,87199,6),
 (67938,87205,6),
 (67950,87217,6),
 (67966,87236,6),
 (67973,87243,6),
 (67979,87249,6),
 (67984,87254,6),
 (67995,87265,6),
 (67999,87269,6),
 (68007,87277,6),
 (68011,87281,6),
 (68020,87290,6),
 (68030,87300,6),
 (68034,87304,6),
 (68039,87309,6),
 (68047,87317,6),
 (68063,87336,6),
 (68067,87340,6),
 (68075,87348,6),
 (78426,98104,6),
 (68106,87388,6),
 (68111,87393,6),
 (68133,87418,6),
 (68140,87425,6),
 (68145,87430,6),
 (68151,87436,6),
 (68160,87445,6),
 (68170,87455,6),
 (68174,87459,6),
 (68208,87505,6),
 (78406,98081,6),
 (78401,98076,6),
 (68290,87617,6),
 (68299,87626,6),
 (68425,87765,6),
 (68330,87663,6),
 (68338,87671,6),
 (68362,87698,6),
 (68365,87701,6),
 (68376,87712,6),
 (68383,87719,6),
 (68414,87754,6),
 (68422,87762,6),
 (68440,87781,6),
 (68463,87810,6),
 (68468,87815,6),
 (68472,87819,6),
 (68493,87842,6),
 (68500,87849,6),
 (68507,87856,6),
 (68514,87863,6),
 (68524,87873,6),
 (68537,87889,6),
 (68544,87896,6),
 (68553,87905,6),
 (68560,87912,6),
 (68565,87917,6),
 (68576,87928,6),
 (68579,87931,6),
 (68590,87942,6),
 (68595,87947,6),
 (68773,88142,6),
 (68781,88150,6),
 (68789,88158,6),
 (68810,88179,6),
 (68801,88170,6),
 (68816,88185,6),
 (68822,88191,6),
 (68830,88199,6),
 (68842,88211,6),
 (68844,88213,6),
 (68852,88221,6),
 (68861,88230,6),
 (68864,88233,6),
 (68871,88240,6),
 (68878,88247,6),
 (68890,88259,6),
 (68900,88272,6),
 (68908,88280,6),
 (68914,88286,6),
 (68922,88294,6),
 (68934,88306,6),
 (68939,88311,6),
 (68957,88332,6),
 (68975,88353,6),
 (68982,88360,6),
 (68990,88368,6),
 (68992,88370,6),
 (69000,88378,6),
 (69005,88383,6),
 (69018,88396,6),
 (69052,88437,6),
 (69063,88448,6),
 (69067,88452,6),
 (69078,88463,6),
 (69084,88469,6),
 (69087,88472,6),
 (69093,88478,6),
 (69105,88490,6),
 (69109,88494,6),
 (69114,88499,6),
 (69121,88506,6),
 (69128,88513,6),
 (69140,88525,6),
 (69146,88531,6),
 (69150,88535,6),
 (69200,88600,6),
 (69208,88608,6),
 (69222,88625,6),
 (69287,88712,6),
 (69299,88724,6),
 (69304,88729,6),
 (69313,88738,6),
 (69320,88745,6),
 (69326,88751,6),
 (69331,88756,6),
 (69340,88765,6),
 (69343,88768,6),
 (69352,88777,6),
 (69584,89039,6),
 (69595,89050,6),
 (69592,89047,6),
 (69395,88826,6),
 (69409,88843,6),
 (69417,88851,6),
 (78757,98464,6),
 (69494,88936,6),
 (69498,88940,6),
 (69506,88948,6),
 (69510,88952,6),
 (69520,88962,6),
 (69572,89027,6),
 (74527,94102,6),
 (69605,89060,6),
 (69663,89137,6),
 (69670,89144,6),
 (69679,89153,6),
 (69683,89157,6),
 (69704,89178,6),
 (69710,89184,6),
 (69717,89191,6),
 (69724,89198,6),
 (69731,89205,6),
 (69742,89216,6),
 (69751,89225,6),
 (69753,89227,6),
 (69761,89235,6),
 (69770,89244,6),
 (69773,89247,6),
 (69784,89258,6),
 (69801,89277,6),
 (69816,89292,6),
 (69820,89296,6),
 (69832,89308,6),
 (69840,89316,6),
 (69844,89320,6),
 (69851,89327,6),
 (69855,89331,6),
 (69862,89338,6),
 (69874,89350,6),
 (69881,89357,6),
 (69887,89363,6),
 (69891,89367,6),
 (69902,89378,6),
 (69906,89382,6),
 (69914,89390,6),
 (69923,89399,6),
 (69925,89401,6),
 (69938,89414,6),
 (69945,89421,6),
 (69952,89428,6),
 (69955,89431,6),
 (69960,89436,6),
 (69969,89445,6),
 (69976,89452,6),
 (69982,89458,6),
 (69994,89470,6),
 (69999,89475,6),
 (70003,89479,6),
 (70012,89488,6),
 (70021,89497,6),
 (70028,89504,6),
 (70035,89511,6),
 (71471,90996,6),
 (70050,89526,6),
 (70054,89530,6),
 (70063,89539,6),
 (70067,89543,6),
 (70072,89548,6),
 (70085,89561,6),
 (70092,89568,6),
 (70098,89574,6),
 (70104,89580,6),
 (70113,89589,6),
 (70118,89594,6),
 (70125,89601,6),
 (70133,89609,6),
 (70135,89611,6),
 (70143,89619,6),
 (70154,89630,6),
 (70162,89638,6),
 (70167,89643,6),
 (70176,89652,6),
 (70178,89654,6),
 (70190,89669,6),
 (70194,89675,6),
 (70198,89680,6),
 (70205,89690,6),
 (70215,89705,6),
 (70224,89718,6),
 (70226,89721,6),
 (70236,89735,6),
 (70243,89746,6),
 (70249,89752,6),
 (70260,89769,6),
 (70267,89778,6),
 (70268,89780,6),
 (70281,89793,6),
 (70285,89797,6),
 (70295,89807,6),
 (70302,89814,6),
 (70304,89816,6),
 (70312,89824,6),
 (70317,89829,6),
 (70328,89840,6),
 (70337,89849,6),
 (70340,89852,6),
 (70348,89860,6),
 (70355,89867,6),
 (70361,89873,6),
 (70366,89878,6),
 (70373,89885,6),
 (70386,89898,6),
 (70391,89903,6),
 (70395,89907,6),
 (70405,89917,6),
 (70408,89920,6),
 (70419,89931,6),
 (70422,89934,6),
 (70429,89941,6),
 (70437,89949,6),
 (70445,89957,6),
 (70452,89964,6),
 (70458,89970,6),
 (70464,89976,6),
 (70476,89988,6),
 (70479,89991,6),
 (70486,89998,6),
 (70499,90012,6),
 (70505,90018,6),
 (70512,90025,6),
 (70534,90049,6),
 (70542,90057,6),
 (70546,90061,6),
 (70553,90068,6),
 (70560,90075,6),
 (70568,90083,6),
 (70578,90093,6),
 (70583,90098,6),
 (70588,90103,6),
 (70597,90112,6),
 (70603,90118,6),
 (70612,90127,6),
 (70619,90134,6),
 (70622,90137,6),
 (70632,90147,6),
 (70637,90152,6),
 (70648,90163,6),
 (70652,90167,6),
 (70680,90200,6),
 (70689,90209,6),
 (70699,90220,6),
 (70703,90224,6),
 (70712,90233,6),
 (70721,90242,6),
 (70728,90249,6),
 (70733,90254,6),
 (70741,90262,6),
 (70746,90267,6),
 (70754,90275,6),
 (70762,90283,6),
 (70771,90292,6),
 (70775,90296,6),
 (70786,90307,6),
 (70793,90314,6),
 (70797,90318,6),
 (70802,90323,6),
 (70812,90333,6),
 (70817,90338,6),
 (70822,90343,6),
 (70831,90352,6),
 (70836,90357,6),
 (70847,90368,6),
 (70851,90372,6),
 (70862,90383,6),
 (70869,90390,6),
 (70873,90394,6),
 (70882,90403,6),
 (70890,90411,6),
 (70893,90414,6),
 (70903,90424,6),
 (70911,90432,6),
 (70919,90440,6),
 (70920,90441,6),
 (70930,90451,6),
 (70940,90461,6),
 (70943,90464,6),
 (70948,90469,6),
 (70957,90478,6),
 (70963,90484,6),
 (70973,90494,6),
 (70979,90500,6),
 (70983,90504,6),
 (70993,90514,6),
 (70998,90519,6),
 (71025,90549,6),
 (71033,90557,6),
 (71037,90561,6),
 (71045,90569,6),
 (71051,90575,6),
 (71062,90586,6),
 (71064,90588,6),
 (71073,90597,6),
 (71079,90603,6),
 (71091,90615,6),
 (71098,90622,6),
 (71105,90629,6),
 (71107,90631,6),
 (71115,90639,6),
 (71120,90644,6),
 (71128,90652,6),
 (71134,90658,6),
 (71147,90671,6),
 (71154,90678,6),
 (71161,90685,6),
 (71167,90691,6),
 (71174,90698,6),
 (71176,90700,6),
 (71186,90710,6),
 (71190,90714,6),
 (71202,90726,6),
 (71209,90733,6),
 (71217,90741,6),
 (71223,90747,6),
 (71229,90753,6),
 (71237,90761,6),
 (71243,90767,6),
 (71246,90770,6),
 (71254,90778,6),
 (71263,90787,6),
 (71272,90796,6),
 (71280,90804,6),
 (71283,90807,6),
 (71294,90818,6),
 (71299,90823,6),
 (71307,90831,6),
 (71311,90835,6),
 (71323,90848,6),
 (71333,90858,6),
 (71342,90867,6),
 (71348,90873,6),
 (71352,90877,6),
 (71361,90886,6),
 (71365,90890,6),
 (71372,90897,6),
 (71381,90906,6),
 (71391,90916,6),
 (71394,90919,6),
 (71399,90924,6),
 (71411,90936,6),
 (71419,90944,6),
 (71420,90945,6),
 (71428,90953,6),
 (71439,90964,6),
 (71443,90968,6),
 (71449,90974,6),
 (71458,90983,6),
 (71462,90987,6),
 (71495,91021,6),
 (71502,91029,6),
 (71509,91036,6),
 (71519,91046,6),
 (71528,91055,6),
 (71536,91063,6),
 (71537,91064,6),
 (71544,91071,6),
 (71551,91078,6),
 (71559,91086,6),
 (71566,91093,6),
 (71578,91105,6),
 (71585,91112,6),
 (71589,91116,6),
 (71597,91124,6),
 (71604,91131,6),
 (71610,91137,6),
 (71618,91145,6),
 (71624,91151,6),
 (71628,91155,6),
 (71636,91163,6),
 (71647,91174,6),
 (71649,91176,6),
 (71660,91187,6),
 (71665,91192,6),
 (71674,91201,6),
 (71680,91207,6),
 (71691,91219,6),
 (71697,91225,6),
 (71707,91235,6),
 (71713,91241,6),
 (71721,91249,6),
 (71730,91258,6),
 (71734,91262,6),
 (71745,91273,6),
 (71746,91274,6),
 (71753,91281,6),
 (71770,91299,6),
 (71778,91307,6),
 (71783,91312,6),
 (71792,91321,6),
 (71794,91323,6),
 (71804,91333,6),
 (71812,91341,6),
 (71817,91346,6),
 (71822,91351,6),
 (71831,91360,6),
 (71839,91368,6),
 (71846,91375,6),
 (71855,91384,6),
 (71860,91389,6),
 (71869,91398,6),
 (71871,91400,6),
 (71878,91407,6),
 (71889,91418,6),
 (71897,91426,6),
 (71905,91435,6),
 (71915,91445,6),
 (71924,91454,6),
 (71926,91456,6),
 (71937,91467,6),
 (71941,91471,6),
 (71948,91478,6),
 (71956,91486,6),
 (71964,91494,6),
 (71974,91504,6),
 (71979,91509,6),
 (71988,91518,6),
 (71995,91525,6),
 (71999,91529,6),
 (72003,91533,6),
 (72015,91545,6),
 (72017,91547,6),
 (72024,91554,6),
 (72031,91561,6),
 (72040,91570,6),
 (72047,91577,6),
 (72052,91582,6),
 (72059,91589,6),
 (72070,91600,6),
 (72079,91609,6),
 (72082,91612,6),
 (72091,91621,6),
 (72097,91627,6),
 (72105,91635,6),
 (72114,91644,6),
 (72121,91651,6),
 (72128,91658,6),
 (72129,91659,6),
 (72138,91668,6),
 (72148,91678,6),
 (72153,91683,6),
 (72162,91692,6),
 (72165,91695,6),
 (72177,91707,6),
 (72181,91711,6),
 (72185,91715,6),
 (72192,91722,6),
 (72201,91731,6),
 (72210,91740,6),
 (72214,91744,6),
 (72220,91750,6),
 (72230,91760,6),
 (72236,91766,6),
 (72241,91771,6),
 (72248,91778,6),
 (72255,91785,6),
 (72262,91792,6),
 (72270,91800,6),
 (72416,91946,6),
 (72289,91819,6),
 (72293,91823,6),
 (72299,91829,6),
 (72308,91838,6),
 (72317,91847,6),
 (72324,91854,6),
 (72330,91860,6),
 (72334,91864,6),
 (72343,91873,6),
 (72349,91879,6),
 (72357,91887,6),
 (72414,91944,6),
 (72368,91898,6),
 (72379,91909,6),
 (72385,91915,6),
 (72389,91919,6),
 (72395,91925,6),
 (72403,91933,6),
 (72429,91959,6),
 (72431,91961,6),
 (72443,91973,6),
 (72444,91974,6),
 (72451,91981,6),
 (72458,91988,6),
 (72467,91997,6),
 (72472,92002,6),
 (72484,92014,6),
 (72488,92018,6),
 (72497,92027,6),
 (72503,92033,6),
 (72510,92040,6),
 (72514,92044,6),
 (72524,92054,6),
 (72530,92060,6),
 (72541,92071,6),
 (72546,92076,6),
 (72550,92080,6),
 (72557,92087,6),
 (72565,92095,6),
 (72576,92106,6),
 (72699,92230,6),
 (78779,98486,6),
 (72662,92193,6),
 (78786,98493,6),
 (72669,92200,6),
 (72679,92210,6),
 (72684,92215,6),
 (72690,92221,6),
 (72708,92239,6),
 (72710,92241,6),
 (72721,92252,6),
 (72724,92255,6),
 (72730,92261,6),
 (72742,92273,6),
 (72746,92277,6),
 (72757,92288,6),
 (72764,92295,6),
 (72768,92299,6),
 (72773,92304,6),
 (72779,92310,6),
 (72788,92319,6),
 (72799,92330,6),
 (72803,92334,6),
 (72808,92339,6),
 (72817,92348,6),
 (72823,92354,6),
 (72830,92361,6),
 (72835,92366,6),
 (72843,92374,6),
 (72854,92385,6),
 (72862,92393,6),
 (72865,92396,6),
 (72875,92406,6),
 (72881,92412,6),
 (72890,92421,6),
 (72893,92424,6),
 (72900,92431,6),
 (72907,92438,6),
 (72916,92447,6),
 (72921,92452,6),
 (72931,92462,6),
 (72933,92464,6),
 (72940,92471,6),
 (72951,92482,6),
 (72960,92491,6),
 (72965,92496,6),
 (72973,92504,6),
 (72977,92508,6),
 (72986,92517,6),
 (72995,92526,6),
 (72999,92530,6),
 (73008,92539,6),
 (73011,92542,6),
 (73021,92552,6),
 (73026,92557,6),
 (73037,92568,6),
 (73043,92574,6),
 (73045,92576,6),
 (73052,92583,6),
 (73059,92590,6),
 (73066,92597,6),
 (73074,92605,6),
 (73086,92617,6),
 (73088,92619,6),
 (73106,92639,6),
 (73114,92647,6),
 (73122,92655,6),
 (73129,92662,6),
 (73140,92673,6),
 (73148,92682,6),
 (73158,92692,6),
 (73162,92696,6),
 (73170,92704,6),
 (73176,92710,6),
 (73188,92722,6),
 (73193,92727,6),
 (73197,92731,6),
 (73206,92740,6),
 (73216,92750,6),
 (73224,92759,6),
 (73230,92765,6),
 (73239,92774,6),
 (73250,92785,6),
 (73255,92790,6),
 (73263,92798,6),
 (73270,92805,6),
 (73275,92810,6),
 (73280,92815,6),
 (73289,92824,6),
 (73297,92832,6),
 (73300,92835,6),
 (73307,92842,6),
 (73318,92853,6),
 (73322,92857,6),
 (73332,92867,6),
 (73336,92871,6),
 (73346,92881,6),
 (73354,92889,6),
 (73359,92894,6),
 (73368,92903,6),
 (73370,92905,6),
 (73377,92912,6),
 (73390,92925,6),
 (73396,92931,6),
 (73403,92938,6),
 (73411,92946,6),
 (73418,92953,6),
 (73423,92958,6),
 (73431,92966,6),
 (73437,92972,6),
 (73444,92979,6),
 (73450,92985,6),
 (73456,92991,6),
 (73464,92999,6),
 (73469,93004,6),
 (73476,93011,6),
 (73483,93018,6),
 (73491,93026,6),
 (73498,93033,6),
 (73504,93039,6),
 (73510,93045,6),
 (73520,93055,6),
 (73528,93063,6),
 (73534,93069,6),
 (73544,93079,6),
 (73550,93085,6),
 (73558,93093,6),
 (73561,93096,6),
 (73571,93106,6),
 (73573,93108,6),
 (73582,93117,6),
 (73587,93122,6),
 (73598,93133,6),
 (73605,93140,6),
 (73608,93143,6),
 (73618,93153,6),
 (73625,93160,6),
 (73635,93170,6),
 (73641,93176,6),
 (73643,93178,6),
 (73651,93186,6),
 (73661,93196,6),
 (73668,93203,6),
 (73671,93206,6),
 (73681,93216,6),
 (73690,93225,6),
 (73695,93230,6),
 (73700,93235,6),
 (73711,93246,6),
 (73718,93253,6),
 (73723,93258,6),
 (73733,93268,6),
 (73739,93274,6),
 (73746,93281,6),
 (73748,93283,6),
 (73755,93290,6),
 (73765,93300,6),
 (73769,93304,6),
 (73780,93315,6),
 (73785,93320,6),
 (73792,93327,6),
 (73797,93332,6),
 (73807,93342,6),
 (73817,93352,6),
 (75156,94768,6),
 (73827,93362,6),
 (73836,93371,6),
 (73841,93376,6),
 (73851,93386,6),
 (73857,93392,6),
 (73861,93396,6),
 (73869,93404,6),
 (73874,93409,6),
 (73881,93416,6),
 (73892,93427,6),
 (73901,93436,6),
 (73902,93437,6),
 (73912,93447,6),
 (73918,93453,6),
 (73927,93462,6),
 (73932,93467,6),
 (73942,93477,6),
 (78766,98473,6),
 (73956,93491,6),
 (78774,98481,6),
 (73968,93503,6),
 (73974,93509,6),
 (73980,93515,6),
 (73988,93523,6),
 (73996,93531,6),
 (74003,93538,6),
 (74025,93562,6),
 (74031,93568,6),
 (74055,93593,6),
 (74061,93599,6),
 (74068,93606,6),
 (74078,93616,6),
 (74084,93622,6),
 (74094,93632,6),
 (74097,93635,6),
 (74115,93653,6),
 (74120,93658,6),
 (74127,93665,6),
 (74132,93670,6),
 (74143,93681,6),
 (74149,93687,6),
 (74152,93690,6),
 (74158,93696,6),
 (74165,93703,6),
 (74181,93720,6),
 (74191,93730,6),
 (74196,93735,6),
 (74200,93739,6),
 (74238,93786,6),
 (74239,93787,6),
 (74249,93797,6),
 (74270,93820,6),
 (74282,93833,6),
 (74317,93873,6),
 (74325,93881,6),
 (74355,93920,6),
 (74360,93925,6),
 (74370,93935,6),
 (74378,93943,6),
 (74387,93952,6),
 (74394,93959,6),
 (74399,93964,6),
 (74402,93967,6),
 (74415,93980,6),
 (74416,93981,6),
 (74426,93991,6),
 (74432,93997,6),
 (74439,94004,6),
 (74449,94014,6),
 (74452,94017,6),
 (74535,94110,6),
 (74539,94114,6),
 (74543,94118,6),
 (74555,94130,6),
 (74563,94139,6),
 (74573,94149,6),
 (74581,94157,6),
 (74585,94161,6),
 (74591,94167,6),
 (74601,94177,6),
 (74605,94181,6),
 (74617,94193,6),
 (74625,94201,6),
 (74628,94204,6),
 (74639,94215,6),
 (74643,94219,6),
 (74651,94227,6),
 (74657,94233,6),
 (74666,94242,6),
 (74683,94261,6),
 (74692,94270,6),
 (74698,94276,6),
 (76619,96243,6),
 (74709,94288,6),
 (74715,94294,6),
 (74745,94327,6),
 (74747,94329,6),
 (74755,94337,6),
 (74760,94342,6),
 (74768,94350,6),
 (74776,94358,6),
 (74781,94363,6),
 (74793,94375,6),
 (74800,94382,6),
 (74807,94389,6),
 (74813,94395,6),
 (74821,94403,6),
 (74823,94405,6),
 (74830,94412,6),
 (74838,94420,6),
 (74847,94429,6),
 (74869,94457,6),
 (74878,94466,6),
 (74936,94542,6),
 (74940,94546,6),
 (74947,94553,6),
 (74954,94560,6),
 (74960,94566,6),
 (74971,94577,6),
 (74975,94581,6),
 (74985,94591,6),
 (74987,94593,6),
 (74994,94600,6),
 (75006,94612,6),
 (75014,94620,6),
 (75017,94623,6),
 (75026,94632,6),
 (75034,94640,6),
 (75038,94644,6),
 (75044,94650,6),
 (75130,94742,6),
 (75063,94672,6),
 (75065,94674,6),
 (75084,94696,6),
 (75085,94697,6),
 (75096,94708,6),
 (75101,94713,6),
 (75109,94721,6),
 (75118,94730,6),
 (75122,94734,6),
 (75135,94747,6),
 (75141,94753,6),
 (75151,94763,6),
 (75173,94786,6),
 (75178,94791,6),
 (75197,94810,6),
 (75212,94826,6),
 (75217,94831,6),
 (75226,94840,6),
 (75232,94846,6),
 (75242,94856,6),
 (75248,94862,6),
 (75257,94871,6),
 (75265,94879,6),
 (75269,94883,6),
 (75273,94887,6),
 (75286,94900,6),
 (75295,94910,6),
 (75303,94918,6),
 (75309,94924,6),
 (75314,94929,6),
 (75320,94935,6),
 (75326,94941,6),
 (75333,94948,6),
 (75344,94959,6),
 (75347,94962,6),
 (75359,94974,6),
 (75362,94977,6),
 (75373,94988,6),
 (75376,94991,6),
 (75387,95002,6),
 (75406,95023,6),
 (75411,95028,6),
 (75420,95037,6),
 (75423,95040,6),
 (75433,95050,6),
 (75442,95059,6),
 (75443,95060,6),
 (75453,95070,6),
 (75463,95080,6),
 (75468,95085,6),
 (75476,95093,6),
 (75484,95101,6),
 (75488,95105,6),
 (75497,95114,6),
 (75502,95119,6),
 (75509,95126,6),
 (75514,95131,6),
 (75521,95138,6),
 (75528,95145,6),
 (75538,95155,6),
 (75546,95163,6),
 (75554,95171,6),
 (75557,95174,6),
 (75566,95183,6),
 (75571,95188,6),
 (75579,95196,6),
 (75586,95203,6),
 (75590,95207,6),
 (75599,95216,6),
 (75608,95225,6),
 (75620,95241,6),
 (75623,95238,6),
 (75626,95243,6),
 (75636,95253,6),
 (75640,95257,6),
 (75652,95269,6),
 (75654,95271,6),
 (75665,95282,6),
 (75668,95285,6),
 (75680,95297,6),
 (75686,95303,6),
 (75688,95305,6),
 (75698,95315,6),
 (75706,95323,6),
 (75710,95327,6),
 (75724,95341,6),
 (75733,95350,6),
 (75741,95358,6),
 (75746,95363,6),
 (75755,95372,6),
 (75764,95381,6),
 (75770,95387,6),
 (75776,95393,6),
 (75781,95398,6),
 (75792,95409,6),
 (75794,95411,6),
 (75805,95422,6),
 (75810,95427,6),
 (75817,95434,6),
 (75833,95450,6),
 (75839,95456,6),
 (75846,95463,6),
 (75850,95467,6),
 (75857,95474,6),
 (75867,95484,6),
 (75874,95491,6),
 (75889,95507,6),
 (75890,95508,6),
 (75898,95516,6),
 (75913,95532,6),
 (75922,95541,6),
 (75933,95553,6),
 (75938,95558,6),
 (75945,95565,6),
 (75951,95571,6),
 (75963,95583,6),
 (75969,95589,6),
 (75975,95595,6),
 (75979,95599,6),
 (75990,95610,6),
 (75998,95618,6),
 (76001,95621,6),
 (76008,95628,6),
 (76015,95635,6),
 (76023,95643,6),
 (76028,95648,6),
 (76037,95657,6),
 (76044,95664,6),
 (76055,95675,6),
 (76058,95678,6),
 (76067,95687,6),
 (76070,95690,6),
 (76079,95699,6),
 (76089,95709,6),
 (76096,95716,6),
 (76099,95719,6),
 (76109,95729,6),
 (76115,95735,6),
 (76121,95741,6),
 (76128,95748,6),
 (76137,95757,6),
 (76146,95766,6),
 (76152,95772,6),
 (76158,95778,6),
 (76167,95787,6),
 (76168,95788,6),
 (76178,95798,6),
 (76185,95805,6),
 (76191,95811,6),
 (76199,95819,6),
 (76208,95828,6),
 (76210,95830,6),
 (76221,95841,6),
 (76226,95846,6),
 (76236,95856,6),
 (76240,95860,6),
 (76251,95871,6),
 (76254,95874,6),
 (76260,95880,6),
 (76268,95888,6),
 (76273,95893,6),
 (76285,95905,6),
 (76293,95913,6),
 (76298,95918,6),
 (76305,95925,6),
 (76312,95932,6),
 (76315,95935,6),
 (76323,95943,6),
 (76329,95949,6),
 (76336,95956,6),
 (76348,95968,6),
 (76352,95972,6),
 (76357,95977,6),
 (76366,95986,6),
 (76376,95996,6),
 (76388,96009,6),
 (76395,96016,6),
 (76399,96020,6),
 (76405,96026,6),
 (76412,96033,6),
 (76420,96041,6),
 (76427,96048,6),
 (76445,96068,6),
 (76455,96078,6),
 (76464,96087,6),
 (76467,96090,6),
 (76478,96101,6),
 (76486,96109,6),
 (76493,96116,6),
 (76495,96118,6),
 (76505,96128,6),
 (76509,96132,6),
 (76520,96143,6),
 (76522,96145,6),
 (76530,96153,6),
 (76536,96159,6),
 (76544,96167,6),
 (76556,96179,6),
 (76563,96186,6),
 (76568,96191,6),
 (76571,96194,6),
 (76583,96206,6),
 (76586,96209,6),
 (76595,96218,6),
 (76603,96226,6),
 (76612,96235,6),
 (76630,96254,6),
 (76637,96261,6),
 (76641,96265,6),
 (76650,96274,6),
 (76657,96281,6),
 (76667,96291,6),
 (76674,96298,6),
 (76677,96301,6),
 (76682,96306,6),
 (76693,96317,6),
 (76696,96320,6),
 (76706,96330,6),
 (76713,96337,6),
 (76717,96341,6),
 (76725,96349,6),
 (76736,96360,6),
 (76742,96366,6),
 (76745,96369,6),
 (76756,96380,6),
 (76764,96388,6),
 (76767,96391,6),
 (76778,96402,6),
 (76783,96407,6),
 (76790,96414,6),
 (76795,96419,6),
 (76805,96429,6),
 (76814,96438,6),
 (76821,96445,6),
 (76825,96449,6),
 (76835,96459,6),
 (76842,96466,6),
 (76846,96470,6),
 (76855,96479,6),
 (76860,96484,6),
 (76869,96493,6),
 (76876,96500,6),
 (76884,96508,6),
 (76887,96511,6),
 (76896,96520,6),
 (76901,96525,6),
 (76907,96531,6),
 (76919,96543,6),
 (76922,96546,6),
 (76933,96557,6),
 (76939,96563,6),
 (76945,96569,6),
 (76950,96574,6),
 (76959,96583,6),
 (76966,96590,6),
 (76970,96594,6),
 (76982,96606,6),
 (76985,96609,6),
 (76993,96617,6),
 (77001,96625,6),
 (77006,96630,6),
 (77013,96637,6),
 (77021,96645,6),
 (77026,96650,6),
 (77035,96659,6),
 (77042,96666,6),
 (77047,96671,6),
 (77056,96680,6),
 (77061,96685,6),
 (77067,96691,6),
 (77075,96699,6),
 (77085,96709,6),
 (77089,96713,6),
 (77101,96725,6),
 (77108,96732,6),
 (77113,96737,6),
 (77116,96740,6),
 (77123,96747,6),
 (77143,96767,6),
 (77162,96786,6),
 (77167,96791,6),
 (77240,96864,6),
 (77181,96805,6),
 (77189,96813,6),
 (77204,96828,6),
 (77213,96837,6),
 (77246,96870,6),
 (77333,96960,6),
 (77251,96875,6),
 (77260,96884,6),
 (77265,96889,6),
 (77281,96906,6),
 (77289,96914,6),
 (77297,96923,6),
 (77309,96935,6),
 (77316,96942,6),
 (77343,96970,6),
 (78863,98584,6),
 (77392,97025,6),
 (77397,97030,6),
 (77410,97044,6),
 (77416,97050,6),
 (77426,97060,6),
 (77431,97065,6),
 (77435,97069,6),
 (77446,97080,6),
 (77450,97084,6),
 (77456,97090,6),
 (77466,97100,6),
 (77472,97106,6),
 (77480,97114,6),
 (77485,97119,6),
 (77494,97128,6),
 (77502,97136,6),
 (77510,97144,6),
 (77518,97152,6),
 (77522,97156,6),
 (77526,97160,6),
 (77536,97170,6),
 (77546,97180,6),
 (77550,97184,6),
 (77554,97188,6),
 (77565,97199,6),
 (77570,97204,6),
 (77581,97215,6),
 (77587,97221,6),
 (77592,97226,6),
 (77596,97230,6),
 (77606,97240,6),
 (77622,97258,6),
 (77630,97266,6),
 (77640,97276,6),
 (77644,97280,6),
 (77655,97291,6),
 (77657,97293,6),
 (77666,97302,6),
 (77682,97319,6),
 (77688,97325,6),
 (77696,97333,6),
 (77699,97336,6),
 (77709,97346,6),
 (77715,97352,6),
 (77725,97362,6),
 (77732,97369,6),
 (77736,97373,6),
 (77743,97380,6),
 (77750,97387,6),
 (77755,97392,6),
 (77766,97403,6),
 (77772,97409,6),
 (77779,97416,6),
 (77784,97421,6),
 (77790,97427,6),
 (77800,97437,6),
 (77806,97443,6),
 (77811,97448,6),
 (77818,97455,6),
 (77826,97463,6),
 (81612,101574,6),
 (77857,97494,6),
 (77870,97508,6),
 (77879,97517,6),
 (77884,97522,6),
 (77892,97530,6),
 (77894,97532,6),
 (77906,97544,6),
 (77914,97552,6),
 (77917,97555,6),
 (77928,97566,6),
 (77931,97569,6),
 (77939,97577,6),
 (77948,97586,6),
 (77952,97590,6),
 (77961,97599,6),
 (77964,97602,6),
 (77974,97612,6),
 (77983,97621,6),
 (77985,97623,6),
 (77998,97636,6),
 (78000,97638,6),
 (78009,97647,6),
 (78016,97654,6),
 (78020,97658,6),
 (78031,97669,6),
 (78035,97673,6),
 (78047,97685,6),
 (78052,97690,6),
 (78055,97693,6),
 (78064,97702,6),
 (78069,97707,6),
 (78080,97718,6),
 (78086,97724,6),
 (78091,97729,6),
 (78103,97741,6),
 (78106,97744,6),
 (78113,97751,6),
 (78121,97759,6),
 (78131,97769,6),
 (78135,97773,6),
 (78142,97780,6),
 (78147,97785,6),
 (78156,97794,6),
 (78161,97799,6),
 (78205,97848,6),
 (78213,97856,6),
 (78221,97864,6),
 (78224,97867,6),
 (78277,97925,6),
 (78270,97918,6),
 (78281,97929,6),
 (78367,98039,6),
 (78376,98048,6),
 (78382,98054,6),
 (78389,98061,6),
 (78444,98122,6),
 (78453,98131,6),
 (78456,98134,6),
 (78468,98146,6),
 (78474,98152,6),
 (78482,98160,6),
 (78487,98165,6),
 (78495,98173,6),
 (78499,98177,6),
 (78510,98193,6),
 (78515,98200,6),
 (78519,98207,6),
 (78527,98219,6),
 (78533,98226,6),
 (78541,98234,6),
 (78856,98577,6),
 (78554,98247,6),
 (78563,98256,6),
 (78572,98265,6),
 (78847,98568,6),
 (78583,98276,6),
 (78589,98282,6),
 (78599,98292,6),
 (78607,98300,6),
 (78612,98305,6),
 (78621,98314,6),
 (78628,98321,6),
 (78634,98327,6),
 (78643,98336,6),
 (78650,98343,6),
 (78652,98345,6),
 (78661,98354,6),
 (78670,98363,6),
 (78678,98371,6),
 (78685,98378,6),
 (78791,98498,6),
 (78796,98503,6),
 (78870,98591,6),
 (78874,98595,6),
 (78883,98604,6),
 (78888,98609,6),
 (78893,98614,6),
 (78906,98627,6),
 (78908,98629,6),
 (78919,98640,6),
 (78925,98646,6),
 (78932,98653,6),
 (78935,98656,6),
 (78945,98666,6),
 (78952,98673,6),
 (78956,98677,6),
 (78967,98688,6),
 (78970,98691,6),
 (78982,98703,6),
 (78989,98713,6),
 (78993,98717,6),
 (79002,98726,6),
 (79126,98878,6),
 (79134,98886,6),
 (79136,98888,6),
 (79147,98899,6),
 (79150,98902,6),
 (79162,98914,6),
 (79164,98916,6),
 (79173,98925,6),
 (79179,98931,6),
 (79189,98941,6),
 (79196,98948,6),
 (79199,98951,6),
 (79211,98963,6),
 (79216,98968,6),
 (79224,98976,6),
 (79228,98980,6),
 (79239,98991,6),
 (79245,98997,6),
 (79248,99000,6),
 (79259,99011,6),
 (79262,99014,6),
 (79270,99022,6),
 (79277,99029,6),
 (79284,99036,6),
 (79289,99041,6),
 (79297,99049,6),
 (79308,99060,6),
 (79315,99067,6),
 (79319,99071,6),
 (79328,99080,6),
 (79337,99089,6),
 (79340,99092,6),
 (79346,99098,6),
 (79354,99106,6),
 (79364,99116,6),
 (79367,99119,6),
 (79409,99173,6),
 (79418,99182,6),
 (79435,99205,6),
 (79443,99213,6),
 (79455,99226,6),
 (79597,99417,6),
 (79603,99423,6),
 (79613,99433,6),
 (79620,99440,6),
 (79624,99444,6),
 (79633,99453,6),
 (79638,99458,6),
 (79651,99471,6),
 (79694,99521,6),
 (79696,99523,6),
 (79708,99535,6),
 (79711,99538,6),
 (79720,99547,6),
 (79726,99553,6),
 (79733,99560,6),
 (79741,99568,6),
 (79747,99574,6),
 (79758,99585,6),
 (79764,99591,6),
 (79771,99598,6),
 (79775,99602,6),
 (79782,99609,6),
 (79791,99618,6),
 (79799,99626,6),
 (79804,99631,6),
 (79814,99643,6),
 (79827,99656,6),
 (79833,99662,6),
 (79839,99668,6),
 (79844,99673,6),
 (79851,99680,6),
 (79857,99686,6),
 (79863,99692,6),
 (79870,99699,6),
 (79882,99711,6),
 (79884,99713,6),
 (79894,99723,6),
 (79898,99727,6),
 (79909,99738,6),
 (79912,99741,6),
 (79924,99753,6),
 (79930,99759,6),
 (79933,99762,6),
 (79942,99771,6),
 (79949,99778,6),
 (79958,99787,6),
 (79967,99796,6),
 (79974,99803,6),
 (79981,99810,6),
 (79983,99812,6),
 (79989,99818,6),
 (79999,99828,6),
 (80007,99836,6),
 (80010,99839,6),
 (80020,99849,6),
 (80024,99853,6),
 (80032,99861,6),
 (80055,99884,6),
 (80060,99889,6),
 (80066,99895,6),
 (80073,99902,6),
 (80086,99915,6),
 (80090,99919,6),
 (80098,99927,6),
 (80101,99930,6),
 (80112,99941,6),
 (80121,99950,6),
 (80122,99951,6),
 (80130,99959,6),
 (80137,99966,6),
 (80145,99974,6),
 (80152,99981,6),
 (80159,99988,6),
 (80166,99995,6),
 (80176,100005,6),
 (80184,100013,6),
 (80191,100020,6),
 (80196,100025,6),
 (80201,100030,6),
 (80206,100035,6),
 (80217,100046,6),
 (80225,100054,6),
 (80233,100062,6),
 (80235,100064,6),
 (80244,100073,6),
 (80250,100079,6),
 (80260,100089,6),
 (80266,100095,6),
 (80272,100101,6),
 (80281,100110,6),
 (80286,100115,6),
 (80292,100121,6),
 (80316,100126,6),
 (80329,100139,6),
 (80336,100147,6),
 (80352,100164,6),
 (80359,100171,6),
 (80363,100175,6),
 (80377,100190,6),
 (80386,100199,6),
 (80396,100209,6),
 (80401,100214,6),
 (80404,100217,6),
 (80411,100224,6),
 (80418,100231,6),
 (80431,100244,6),
 (80436,100249,6),
 (80443,100256,6),
 (80449,100262,6),
 (80453,100266,6),
 (80464,100277,6),
 (80468,100281,6),
 (80477,100290,6),
 (80484,100297,6),
 (80492,100305,6),
 (80500,100313,6),
 (80506,100319,6),
 (80510,100323,6),
 (80516,100329,6),
 (80532,100346,6),
 (80537,100351,6),
 (80556,100372,6),
 (80566,100382,6),
 (80570,100386,6),
 (80576,100392,6),
 (80586,100402,6),
 (80590,100406,6),
 (80599,100415,6),
 (80604,100420,6),
 (80612,100428,6),
 (80622,100438,6),
 (80625,100441,6),
 (80634,100450,6),
 (80642,100458,6),
 (80648,100464,6),
 (80660,100477,6),
 (80666,100483,6),
 (80676,100493,6),
 (80682,100499,6),
 (80687,100504,6),
 (80696,100513,6),
 (80702,100519,6),
 (80709,100526,6),
 (80721,100538,6),
 (80727,100544,6),
 (80733,100550,6),
 (80736,100553,6),
 (80745,100562,6),
 (80752,100569,6),
 (80757,100574,6),
 (80765,100582,6),
 (80771,100588,6),
 (80791,100609,6),
 (80794,100612,6),
 (80803,100621,6),
 (80816,100637,6),
 (80826,100647,6),
 (80828,100649,6),
 (80840,100661,6),
 (80847,100668,6),
 (80849,100670,6),
 (80860,100681,6),
 (80939,100771,6),
 (80944,100776,6),
 (81041,100893,6),
 (81043,100895,6),
 (81052,100904,6),
 (81129,101008,6),
 (81137,101016,6),
 (81147,101026,6),
 (81150,101029,6),
 (81161,101040,6),
 (81167,101046,6),
 (81172,101051,6),
 (81179,101058,6),
 (81189,101068,6),
 (81192,101071,6),
 (81199,101078,6),
 (81211,101090,6),
 (81216,101095,6),
 (81220,101099,6),
 (81229,101108,6),
 (81240,101119,6),
 (81241,101120,6),
 (81251,101130,6),
 (81469,101427,6),
 (81482,101440,6),
 (81483,101441,6),
 (81495,101453,6),
 (81531,101492,6),
 (81538,101499,6),
 (81543,101504,6),
 (81547,101508,6),
 (81559,101520,6),
 (81561,101522,6),
 (81567,101528,6),
 (81576,101537,6),
 (81581,101542,6),
 (81594,101555,6),
 (81599,101560,6),
 (81616,101578,6),
 (81624,101586,6),
 (81630,101592,6),
 (81640,101602,6),
 (81644,101606,6),
 (81656,101618,6),
 (81663,101625,6),
 (81665,101627,6),
 (81672,101634,6),
 (81681,101643,6),
 (81714,101675,6),
 (81720,101681,6),
 (81727,101688,6),
 (81734,101695,6),
 (81736,101697,6),
 (81744,101705,6),
 (81750,101711,6),
 (81763,101725,6),
 (81776,101738,6),
 (81778,101740,6),
 (81787,101749,6),
 (81803,101766,6),
 (81821,101786,6),
 (81826,101791,6),
 (82251,102227,6),
 (81842,101807,6),
 (81844,101809,6),
 (81852,101817,6),
 (81859,101824,6),
 (81868,101833,6),
 (81874,101839,6),
 (81880,101845,6),
 (81887,101852,6),
 (81896,101861,6),
 (81904,101869,6),
 (81912,101877,6),
 (81918,101883,6),
 (81922,101887,6),
 (81930,101895,6),
 (81941,101906,6),
 (81946,101911,6),
 (81951,101916,6),
 (81956,101921,6),
 (81965,101930,6),
 (81976,101941,6),
 (81995,101963,6),
 (82010,101979,6),
 (82021,101991,6),
 (82034,102004,6),
 (82062,102036,6),
 (82071,102045,6),
 (82077,102051,6),
 (82083,102057,6),
 (82092,102066,6),
 (82099,102073,6),
 (82102,102076,6),
 (82113,102087,6),
 (82121,102095,6),
 (82127,102101,6),
 (82130,102104,6),
 (82140,102114,6),
 (82143,102117,6),
 (82151,102125,6),
 (82157,102131,6),
 (82179,102155,6),
 (82185,102161,6),
 (82192,102168,6),
 (82199,102175,6),
 (82208,102184,6),
 (82216,102192,6),
 (82222,102198,6),
 (82227,102203,6),
 (82237,102213,6),
 (82240,102216,6),
 (82253,102229,6),
 (82264,102240,6),
 (82269,102245,6),
 (82279,102255,6),
 (82281,102257,6),
 (82292,102268,6),
 (82300,102276,6),
 (82304,102280,6),
 (82309,102285,6),
 (82319,102295,6),
 (82325,102301,6),
 (82335,102311,6),
 (82340,102316,6),
 (82345,102321,6),
 (82353,102329,6),
 (82363,102339,6),
 (82368,102344,6),
 (82378,102354,6),
 (82381,102357,6),
 (82386,102362,6),
 (82396,102372,6),
 (82402,102378,6),
 (82408,102384,6),
 (82417,102393,6),
 (82424,102400,6),
 (82431,102407,6),
 (82439,102415,6),
 (82442,102418,6),
 (82451,102427,6),
 (82462,102438,6),
 (82463,102439,6),
 (82476,102452,6),
 (82482,102458,6),
 (82489,102465,6),
 (82492,102468,6),
 (82501,102477,6),
 (82508,102484,6),
 (82513,102489,6),
 (82519,102495,6),
 (82529,102505,6),
 (82533,102509,6),
 (82543,102519,6),
 (82549,102525,6),
 (82556,102532,6),
 (82562,102538,6),
 (82569,102545,6),
 (82580,102556,6),
 (82585,102561,6),
 (82592,102568,6),
 (82600,102576,6),
 (82603,102579,6),
 (82614,102590,6),
 (82618,102594,6),
 (82624,102600,6),
 (82635,102611,6),
 (82639,102615,6),
 (82650,102626,6),
 (82652,102628,6),
 (82664,102640,6),
 (82666,102642,6),
 (82676,102652,6),
 (82680,102656,6),
 (82693,102669,6),
 (82698,102674,6),
 (82705,102681,6),
 (82710,102686,6);
INSERT INTO `schritteberechtigtegruppen` (`schritteberechtigtegruppenID`,`schritteID`,`BenutzerGruppenID`) VALUES 
 (82719,102695,6),
 (82723,102699,6),
 (82733,102709,6),
 (82736,102712,6),
 (82748,102724,6),
 (82750,102726,6),
 (82758,102734,6),
 (82770,102746,6),
 (82773,102749,6),
 (82778,102754,6),
 (82786,102762,6),
 (82798,102774,6),
 (83420,103400,6),
 (82810,102786,6),
 (82817,102793,6),
 (82821,102797,6),
 (82827,102803,6),
 (82834,102810,6),
 (82847,102823,6),
 (82854,102830,6),
 (82856,102832,6),
 (82862,102838,6),
 (82871,102847,6),
 (82879,102855,6),
 (82884,102860,6),
 (82894,102870,6),
 (82897,102873,6),
 (82906,102882,6),
 (82914,102890,6),
 (82919,102895,6),
 (82931,102907,6),
 (82932,102908,6),
 (82941,102917,6),
 (82947,102923,6),
 (82959,102935,6),
 (82960,102936,6),
 (82969,102945,6),
 (82978,102954,6),
 (82987,102963,6),
 (82991,102967,6),
 (82999,102975,6),
 (83002,102978,6),
 (83015,102991,6),
 (83022,102998,6),
 (83028,103004,6),
 (83034,103010,6),
 (83040,103016,6),
 (83049,103025,6),
 (83054,103030,6),
 (83061,103037,6),
 (83068,103044,6),
 (83072,103048,6),
 (83091,103068,6),
 (83093,103070,6),
 (83102,103079,6),
 (83107,103084,6),
 (83113,103090,6),
 (83125,103102,6),
 (83147,103127,6),
 (83152,103132,6),
 (83165,103145,6),
 (83172,103152,6),
 (83178,103158,6),
 (83181,103161,6),
 (83192,103172,6),
 (83198,103178,6),
 (83206,103186,6),
 (83210,103190,6),
 (83219,103199,6),
 (83226,103206,6),
 (83232,103212,6),
 (83241,103221,6),
 (83245,103225,6),
 (83255,103235,6),
 (83257,103237,6),
 (83269,103249,6),
 (83273,103253,6),
 (83284,103264,6),
 (83291,103271,6),
 (83297,103277,6),
 (83301,103281,6),
 (83309,103289,6),
 (83317,103297,6),
 (83322,103302,6),
 (83328,103308,6),
 (83339,103319,6),
 (83343,103323,6),
 (83354,103334,6),
 (83356,103336,6),
 (83362,103342,6),
 (83372,103352,6),
 (83379,103359,6),
 (83388,103368,6),
 (83393,103373,6),
 (83398,103378,6),
 (83408,103388,6),
 (83413,103393,6),
 (83431,103411,6),
 (83433,103413,6),
 (83441,103421,6),
 (83446,103426,6),
 (83456,103436,6),
 (83463,103443,6),
 (83471,103451,6),
 (83478,103458,6),
 (83483,103463,6),
 (83491,103471,6),
 (83499,103479,6),
 (83505,103485,6),
 (83512,103492,6),
 (83516,103496,6),
 (83527,103507,6),
 (83531,103511,6),
 (83537,103517,6),
 (83547,103527,6),
 (83551,103531,6),
 (83563,103543,6),
 (83565,103545,6),
 (83572,103552,6),
 (83582,103562,6),
 (83587,103567,6),
 (83594,103574,6),
 (83604,103584,6),
 (83612,103592,6),
 (83616,103596,6),
 (83622,103602,6),
 (83631,103611,6),
 (83635,103615,6),
 (83643,103623,6),
 (83651,103631,6),
 (83660,103640,6),
 (83668,103648,6),
 (83681,103662,6),
 (83688,103669,6),
 (83692,103673,6),
 (83698,103679,6),
 (83708,103689,6),
 (83712,103693,6),
 (83721,103702,6),
 (83725,103706,6),
 (83738,103719,6),
 (83742,103723,6),
 (83746,103727,6),
 (83756,103737,6),
 (83763,103744,6),
 (83773,103754,6),
 (83780,103761,6),
 (83782,103763,6),
 (83792,103773,6),
 (83795,103776,6),
 (83803,103784,6),
 (83810,103791,6),
 (83820,103801,6),
 (83827,103808,6),
 (83832,103813,6),
 (83840,103821,6),
 (83847,103828,6),
 (83857,103838,6),
 (83860,103841,6),
 (83865,103846,6),
 (83878,103859,6),
 (83885,103866,6),
 (83886,103867,6),
 (83897,103878,6),
 (83905,103886,6),
 (83911,103892,6),
 (83916,103897,6),
 (83921,103902,6),
 (83934,103915,6),
 (83940,103921,6),
 (83942,103923,6),
 (83953,103934,6),
 (83956,103937,6),
 (83967,103948,6),
 (83973,103954,6),
 (83981,103962,6),
 (83984,103965,6),
 (83992,103973,6),
 (83998,103979,6),
 (84006,103987,6),
 (84017,103998,6),
 (84022,104003,6),
 (84029,104010,6),
 (84034,104015,6),
 (84040,104021,6),
 (84047,104028,6),
 (84054,104035,6),
 (84063,104044,6),
 (84072,104053,6),
 (84080,104061,6),
 (84086,104067,6),
 (84092,104073,6),
 (84108,104091,6),
 (84115,104098,6),
 (84124,104107,6),
 (84135,104118,6),
 (84136,104119,6),
 (84149,104132,6),
 (84153,104136,6),
 (84163,104146,6),
 (84167,104150,6),
 (84181,104165,6),
 (84191,104176,6),
 (84198,104183,6),
 (84208,104193,6),
 (84216,104201,6),
 (84221,104206,6),
 (84229,104214,6),
 (84237,104222,6),
 (84239,104224,6),
 (84251,104236,6),
 (84258,104243,6),
 (84264,104249,6),
 (84273,104258,6),
 (84275,104260,6),
 (84287,104272,6),
 (84290,104275,6),
 (84295,104280,6),
 (84305,104290,6),
 (84310,104295,6),
 (84321,104306,6),
 (84327,104312,6),
 (84332,104317,6),
 (84341,104326,6),
 (84350,104335,6),
 (84352,104337,6),
 (84362,104347,6),
 (84367,104352,6),
 (84376,104361,6),
 (84381,104366,6),
 (84388,104373,6),
 (84394,104379,6),
 (84404,104389,6),
 (84410,104395,6),
 (84420,104405,6),
 (84428,104413,6),
 (84439,104424,6),
 (84442,104427,6),
 (84449,104434,6),
 (84457,104442,6),
 (84466,104451,6);
/*!40000 ALTER TABLE `schritteberechtigtegruppen` ENABLE KEYS */;


--
-- Definition of table `schritteeigenschaften`
--

DROP TABLE IF EXISTS `schritteeigenschaften`;
CREATE TABLE `schritteeigenschaften` (
  `schritteeigenschaftenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `schritteID` int(10) unsigned NOT NULL DEFAULT '0',
  `Titel` varchar(255) DEFAULT NULL,
  `Wert` text,
  `IstObligatorisch` int(10) unsigned DEFAULT NULL,
  `DatentypenID` int(10) unsigned DEFAULT NULL,
  `Auswahl` blob,
  `creationDate` datetime DEFAULT NULL,
  PRIMARY KEY (`schritteeigenschaftenID`),
  KEY `DatentypenID` (`DatentypenID`),
  KEY `FK884E9D76D0832AF5` (`schritteID`),
  KEY `FK884E9D76BB6FCB7A` (`schritteID`)
) ENGINE=MyISAM AUTO_INCREMENT=23125 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `schritteeigenschaften`
--

/*!40000 ALTER TABLE `schritteeigenschaften` DISABLE KEYS */;
INSERT INTO `schritteeigenschaften` (`schritteeigenschaftenID`,`schritteID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`,`creationDate`) VALUES 
 (22838,102809,'Korrektur notwendig','Hallo, bitte folgende Korrekturen durchführen: Tif 0 - 2 löschen. Die ersten 4 Leerseiten fehlen. Es fehlen 6 Seiten nach Tif 46. Tif 58 (S. 15) Ecke rechts oben, Tif 59 (S. 16) Ecke links oben. Tif 332 (S. 289) Ecke rechts unten, Tif 333 (S. 290) Ecke links unten. Tif 788 (S. 745) Lichtreflex, daher schlecht lesbar. Tif 876 löschen. Es fehlen 2 Leerseiten nach Tif 877. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22839,102808,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo, bitte folgende Korrekturen durchführen: Es fehlen die Buchdeckel und der Rücken. Tif 0 - 2 löschen. Die ersten 4 Leerseiten fehlen. Es fehlen 6 Seiten nach Tif 46. Tif 58 (S. 15) Ecke rechts oben, Tif 59 (S. 16) Ecke links oben. Tif 332 (S. 289) Ecke rechts unten, Tif 333 (S. 290) Ecke links unten. Tif 788 (S. 745) Lichtreflex, daher schlecht lesbar. Tif 876 löschen. Es fehlen 2 Leerseiten nach Tif 877. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22863,102888,'Korrektur notwendig','Hallo Claudia, Tab II fehlt und 2 leere Seiten. Gruß Kasia ',0,NULL,NULL,NULL),
 (22864,102889,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Claudia, Tab II fehlt und 2 leere Seiten. Gruß Kasia ',0,NULL,NULL,NULL),
 (22870,102888,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (22871,102889,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (22873,102763,'Korrektur notwendig','hallo Angelika,\r\nbitte folg. Korrekturen vornehmen:\r\n- tif 13/S.VIII bitte nochmal versuchen, da doppelte Buchstaben\r\n- tiff 28/S.XXIII danach fehlen 2 Seiten, S. XXIIII u. nächstes Titelblatt\r\n- tif 712/S.683 danach fehlen 2 Seiten, Seite 684 und 685\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (22874,102766,'Korrektur notwendig','Korrektur für Schritt Scannen: hallo Angelika,\r\nbitte folg. Korrekturen vornehmen:\r\n- tif 13/S.VIII bitte nochmal versuchen, da doppelte Buchstaben\r\n- tiff 28/S.XXIII danach fehlen 2 Seiten, S. XXIIII u. nächstes Titelblatt\r\n- tif 712/S.683 danach fehlen 2 Seiten, Seite 684 und 685\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (22875,102913,'Korrektur notwendig','es fehlen die doppelseiten:\r\n-186/187(nach tif 210),190/191(nach tif 212),256/257(nach tif 278),282/283(nach tif 302),446/447(nach tif 468) und 450/451(nach tif 470)\r\n\r\ndoppelt tifs können gelöscht werden:\r\n-261/262,351/352 und 361/362',0,NULL,NULL,NULL),
 (22876,102912,'Korrektur notwendig','Korrektur für Schritt Bibliografische Aufnahme: es fehlen die doppelseiten:\r\n-186/187(nach tif 210),190/191(nach tif 212),256/257(nach tif 278),282/283(nach tif 302),446/447(nach tif 468) und 450/451(nach tif 470)\r\n\r\ndoppelt tifs können gelöscht werden:\r\n-261/262,351/352 und 361/362',0,NULL,NULL,NULL),
 (22877,102911,'Korrektur notwendig','Korrektur für Schritt Bibliografische Aufnahme: es fehlen die doppelseiten:\r\n-186/187(nach tif 210),190/191(nach tif 212),256/257(nach tif 278),282/283(nach tif 302),446/447(nach tif 468) und 450/451(nach tif 470)\r\n\r\ndoppelt tifs können gelöscht werden:\r\n-261/262,351/352 und 361/362',0,NULL,NULL,NULL),
 (22880,102755,'Korrektur notwendig','Hallo Rolf, bitte noch folgende Korrekturen:\r\nrecto:\r\nS. 421 (tif 225) löschen. Nach tif 277 die Seite 527 einfügen.\r\nverso:\r\neine weitere Leerseite nach tif 352 einfügen.\r\nDanke! Axel',0,NULL,NULL,NULL),
 (22881,102760,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Rolf, bitte noch folgende Korrekturen: recto: S. 421 (tif 225) löschen. Nach tif 277 die Seite 527 einfügen. verso: eine weitere Leerseite nach tif 352 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (22882,102763,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt, Angelika',0,NULL,NULL,NULL),
 (22883,102766,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt, Angelika',0,NULL,NULL,NULL),
 (22884,102912,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Alles verbessert, Gruß Toni',0,NULL,NULL,NULL),
 (22885,102911,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Alles verbessert, Gruß Toni',0,NULL,NULL,NULL),
 (22886,102809,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (22887,102808,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (22888,102517,'Korrektur notwendig','Hallo Sonja, Nach Tif 214 (S.411/412 und\r\nS.413/414) fehlen. Bitte einscannen. Danke\r\nGrüße Kasia  \r\n',0,NULL,NULL,NULL),
 (22889,102522,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Sonja, Nach Tif 214 (S.411/412 und\r\nS.413/414) fehlen. Bitte einscannen. Danke\r\nGrüße Kasia  \r\n',0,NULL,NULL,NULL),
 (22890,102569,'Korrektur notwendig','Hallo Toni, bitte die tifs 24 u. 25 löschen und nach tif 177 die Seiten 168 u. 169 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (22891,102566,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Toni, bitte die tifs 24 u. 25 löschen und nach tif 177 die Seiten 168 u. 169 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (22893,102569,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, Änderungen durchgeführt, ich hatte nicht die genaue Rahmengröße, hoffe es passt so. Gruß Bianka',0,NULL,NULL,NULL),
 (22894,102566,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, Änderungen durchgeführt, ich hatte nicht die genaue Rahmengröße, hoffe es passt so. Gruß Bianka . Alles in Ordnung . Danke Axel',0,NULL,NULL,NULL),
 (22897,102517,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Kasia, Seiten eingefügt. Gruß Bianka',0,NULL,NULL,NULL),
 (22898,102522,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Kasia, Seiten eingefügt. Gruß Bianka',0,NULL,NULL,NULL),
 (22899,102512,'Korrektur notwendig','Hallo Angelika, nach tif 50 bitte die Spalten 71-74 einfügen und nach tif 52 die Spalten 79-82. Ebenfalls nach tif 96 die Spalten 171-178. Danke! Axel  -->Erledigt. Gruß, Katha',0,NULL,NULL,NULL),
 (22900,102515,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Angelika, nach tif 50 bitte die Spalten 71-74 einfügen und nach tif 52 die Spalten 79-82. Ebenfalls nach tif 96 die Spalten 171-178. Danke! Axel',0,NULL,NULL,NULL),
 (22901,102816,'Korrektur notwendig','Hallo Angelika, bitte folgende Korrekturen vornehmen: 2 Seiten fehlen nach Tif 30, 2 Seiten fehlen nach Tif 40, Tif 143 (S. 118) Ecke oben links, Tif 442 (S. 417) Ecke oben rechts, Tif 443 (S. 418) Ecke oben links. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22902,102811,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Angelika, bitte folgende Korrekturen vornehmen: 2 Seiten fehlen nach Tif 30, 2 Seiten fehlen nach Tif 40, Tif 143 (S. 118) Ecke oben links, Tif 442 (S. 417) Ecke oben rechts, Tif 443 (S. 418) Ecke oben links. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22903,102512,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt,A.',0,NULL,NULL,NULL),
 (22904,102515,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt,A.',0,NULL,NULL,NULL),
 (22905,102816,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Bitte noch umbennen, Ecken bleiben, Danke, Angelika',0,NULL,NULL,NULL),
 (22906,102811,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Bitte noch umbennen, Ecken bleiben, Danke, Angelika',0,NULL,NULL,NULL),
 (22907,102755,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Erledigt. MfG Esther',0,NULL,NULL,NULL),
 (22908,102760,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Erledigt. MfG Esther. Danke! Axel',0,NULL,NULL,NULL),
 (22915,102755,'Korrektur notwendig','Hallo Esther, bitte die letzten Seiten erneut. Gruss Axel',0,NULL,NULL,NULL),
 (22916,102760,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Esther, bitte die letzten Seiten erneut. Gruss Axel',0,NULL,NULL,NULL),
 (22917,102512,'Korrektur notwendig','Hi, die Spalten 171-178 nach tif 100 müßten noch eingefügt werden. Danke! Axel --->auch Erledigt. Katha',0,NULL,NULL,NULL),
 (22918,102515,'Korrektur notwendig','Korrektur für Schritt Scannen: Hi, die Spalten 171-178 nach tif 100 müßten noch eingefügt werden. Danke! Axel',0,NULL,NULL,NULL),
 (22919,103093,'Korrektur notwendig','Hallo Sonja, nach Tif 3? fehlen 2 leere Seiten, bitte einscannen.Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (22920,103095,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Sonja, nach Tif 3? fehlen 2 leere Seiten, bitte einscannen.Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (22921,102755,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel,  ist behoben. Ahoi, Rolf',0,NULL,NULL,NULL),
 (22922,102760,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel,  ist behoben. Ahoi, Rolf',0,NULL,NULL,NULL),
 (22923,102740,'Korrektur notwendig','Hallo Katharina, bitte nach Tab. die leere Seiten einscannen und einfügen siehe Laufzettel.Danke.Gruß Kasia  --> erledigt. Gruß, Katha',0,NULL,NULL,NULL),
 (22924,102744,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Katharina, bitte nach Tab. die leere Seiten einscannen und einfügen siehe Laufzettel.Danke.Gruß Kasia',0,NULL,NULL,NULL),
 (22925,102911,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: es gab probleme mit der tifwriter-datei...falls es weiter probleme gibt..melden!',0,NULL,NULL,NULL),
 (22926,102850,'Korrektur notwendig','',0,NULL,NULL,NULL),
 (22927,102848,'Korrektur notwendig','Korrektur für Schritt Scannen: -',0,NULL,NULL,NULL),
 (22928,103018,'Korrektur notwendig','Hallo Thomas, bitte Buchrücken einscannen\r\nund einfügen. Danke. Grüße Kasia',0,NULL,NULL,NULL),
 (22929,103019,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Thomas, bitte Buchrücken einscannen und einfügen. Danke. Grüße Kasia/erl.Ch',0,NULL,NULL,NULL),
 (22930,103098,'Korrektur notwendig','Hallo Thomas, ich brauche noch den Buchrückeb. Danke! Axel. Erledigt. Axel',0,NULL,NULL,NULL),
 (22931,103103,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Thomas, ich brauche noch den Buchrückeb. Danke! Axel',0,NULL,NULL,NULL),
 (22932,103098,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, erledigt ;-)',0,NULL,NULL,NULL),
 (22933,103103,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, erledigt ;-)',0,NULL,NULL,NULL),
 (22934,102920,'Korrektur notwendig','Hallo Klaus, bitte folgende Korrekturen vornehmen: Ordner recto: 1 Seite fehlt nach Tif 7 S. XI), 1 Seite fehlt nach Tif 102 (S. 185). verso Ordner: Tif 9 (S. XIV) angeschnitten, Tif 36 (S. 50) angeschnitten, Tif 45 (S. 68) angeschnitten, 1 Seite fehlt nach Tif 233 (S. 446). Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (22935,102916,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Klaus, bitte folgende Korrekturen vornehmen: Ordner recto: 1 Seite fehlt nach Tif 7 S. XI), 1 Seite fehlt nach Tif 102 (S. 185). verso Ordner: Tif 9 (S. XIV) angeschnitten, Tif 36 (S. 50) angeschnitten, Tif 45 (S. 68) angeschnitten, 1 Seite fehlt nach Tif 233 (S. 446). Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (22943,103103,'Korrektur notwendig','bla',0,NULL,NULL,NULL),
 (22944,103101,'Korrektur notwendig','Korrektur für Schritt Qualitätskontrolle: bla',0,NULL,NULL,NULL),
 (22946,102920,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo ist korrigiert',0,NULL,NULL,NULL),
 (22947,102916,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo ist korrigiert',0,NULL,NULL,NULL),
 (22948,103219,'Korrektur notwendig','Hallo Katharina, die Tifs 9 - 30 müssen leider nochmal gescannt werden, die Bilder sind zur Buchmitte hin falsch aufgebaut. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22949,103220,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Katharina, die Tifs 9 - 30 müssen leider nochmal gescannt werden, die Bilder sind zur Buchmitte hin falsch aufgebaut. Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (22974,102992,'Korrektur notwendig','Hallo, Brunhilde! Bitte z. Recto \r\nTif 13 S. II + Tif 21 S. 9 unscharf\r\nTif 155-Tif 157  links ausgeschnitten\r\nz. Verso\r\nTif (S.46), Tif 154 (S.66), Tif 155 (S.68) rechts ausgeschnitten\r\nNach Tif 171 Deckel fehlt.\r\nMit freundlichen Grüssen Kasia',0,NULL,NULL,NULL),
 (22975,102994,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo, Brunhilde! Bitte z. Recto \r\nTif 13 S. II + Tif 21 S. 9 unscharf\r\nTif 155-Tif 157  links ausgeschnitten\r\nz. Verso\r\nTif (S.46), Tif 154 (S.66), Tif 155 (S.68) rechts ausgeschnitten\r\nNach Tif 171 Deckel fehlt.\r\nMit freundlichen Grüssen Kasia',0,NULL,NULL,NULL),
 (22983,103219,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: behoben  ;-)',0,NULL,NULL,NULL),
 (22984,103220,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: behoben  ;-)',0,NULL,NULL,NULL),
 (22988,102948,'Korrektur notwendig','Hallo Rico, bitte die S. 70 u. 71 nach tif 86 einügen.Danke! Axel',0,NULL,NULL,NULL),
 (22989,102949,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Rico, bitte die S. 70 u. 71 nach tif 86 einügen.Danke! Axel',0,NULL,NULL,NULL),
 (22993,102948,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Erledigt... Gruß. Rico',0,NULL,NULL,NULL),
 (22994,102949,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Erledigt... Gruß. Rico',0,NULL,NULL,NULL),
 (22997,102569,'Korrektur notwendig','Hey Bianca!\r\nBeim Strukturdatenerfassen ist mir aufgefallen, dass die S.72+73 fehlen (nach tif 84). Bitte nachscannen!\r\nDanke, Katharina!',0,NULL,NULL,NULL),
 (22998,102566,'Korrektur notwendig','Korrektur für Schritt Scannen: Hey Bianca! Beim Strukturdatenerfassen ist mir aufgefallen, dass die S.72+73 fehlen (nach tif 84). Bitte nachscannen! Danke, Katharina! Die Korrektur wurde erledigt. Gruss Axel',0,NULL,NULL,NULL),
 (22999,102570,'Korrektur notwendig','Korrektur für Schritt Scannen: Hey Bianca!\r\nBeim Strukturdatenerfassen ist mir aufgefallen, dass die S.72+73 fehlen (nach tif 84). Bitte nachscannen!\r\nDanke, Katharina!',0,NULL,NULL,NULL),
 (23000,102565,'Korrektur notwendig','Korrektur für Schritt Scannen: Hey Bianca!\r\nBeim Strukturdatenerfassen ist mir aufgefallen, dass die S.72+73 fehlen (nach tif 84). Bitte nachscannen!\r\nDanke, Katharina!',0,NULL,NULL,NULL),
 (23001,103486,'Korrektur notwendig','hallo thomas,\r\nbitte doppelseite 301/302 nachscannen..\r\nfelix',0,NULL,NULL,NULL),
 (23002,103487,'Korrektur notwendig','Korrektur für Schritt Scannen: hallo thomas,\r\nbitte doppelseite 301/302 nachscannen..\r\nfelix',0,NULL,NULL,NULL),
 (23003,103018,'Korrektur notwendig','Liebe Katarzyna,\r\nS. 176-177 nach Image 180 fehlen. Grüße Cordula',0,NULL,NULL,NULL),
 (23004,103019,'Korrektur notwendig','Korrektur für Schritt Scannen: Liebe Katarzyna,\r\nS. 176-177 nach Image 180 fehlen. Grüße Cordula',0,NULL,NULL,NULL),
 (23005,103014,'Korrektur notwendig','Korrektur für Schritt Scannen: Liebe Katarzyna,\r\nS. 176-177 nach Image 180 fehlen. Grüße Cordula',0,NULL,NULL,NULL),
 (23006,103017,'Korrektur notwendig','Korrektur für Schritt Scannen: Liebe Katarzyna,\r\nS. 176-177 nach Image 180 fehlen. Grüße Cordula',0,NULL,NULL,NULL),
 (23007,102569,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, Seiten eingefügt. Gruß Bianka',0,NULL,NULL,NULL),
 (23008,102566,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, Seiten eingefügt. Gruß Bianka',0,NULL,NULL,NULL),
 (23009,102857,'Korrektur notwendig','Hallo Esther, im linken Set fehlt die Seite 290. Bitte nach tif 153 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (23010,102852,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Esther, im linken Set fehlt die Seite 290. Bitte nach tif 153 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (23011,102752,'Korrektur notwendig','Hallo Gundula, Set VERSO Tif 38 (S.58) fehlt. Bitte einscannen und einfügen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23012,102748,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Gundula, Set VERSO Tif 38 (S.58) fehlt. Bitte einscannen und einfügen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23015,102566,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Imagenachbearbeitung: Hallo Eric, bitte nur noch die Seiten 72 u. 73 optimieren (wurden nach tif 84) nachträglich eingefügt. Danke! Axel',0,NULL,NULL,NULL),
 (23016,102570,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Imagenachbearbeitung: Hallo Eric, bitte nur noch die Seiten 72 u. 73 optimieren (wurden nach tif 84) nachträglich eingefügt. Danke! Axel',0,NULL,NULL,NULL),
 (23019,103550,'Korrektur notwendig','Hallo Esther, folgende angeschnittene Seiten bitte erneut scannen: 48 (53.tif), 70 (75.tif), 128 (133.tif), 129 (134.tif). Die Seiten 446/447 fehlen nach 450.tif. Gruss - Klaus.',0,NULL,NULL,NULL),
 (23020,103548,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Esther, folgende angeschnittene Seiten bitte erneut scannen: 48 (53.tif), 70 (75.tif), 128 (133.tif), 129 (134.tif). Die Seiten 446/447 fehlen nach 450.tif. Gruss - Klaus.',0,NULL,NULL,NULL),
 (23021,102857,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, hab die Seite nachgescannt und eingefügt. Gruß, Gundula',0,NULL,NULL,NULL),
 (23022,102852,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, hab die Seite nachgescannt und eingefügt. Gruß, Gundula',0,NULL,NULL,NULL),
 (23025,102752,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Kasia, ich hab die Seite nachgescannt und eingefügt. Gruß, Gundula',0,NULL,NULL,NULL),
 (23026,102748,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Kasia, ich hab die Seite nachgescannt und eingefügt. Gruß, Gundula',0,NULL,NULL,NULL),
 (23029,102721,'Korrektur notwendig','Hallo Toni,\r\nbitte folg. Korrekturen ausführen:\r\n- tiff 37+38 (S. 18 + 19) löschen, da doppelt\r\n- tiff 273 (S.254) bitte nochmal versuchen, da Text abgeschnitten\r\n- tiff 275+276 (S.254+255) löschen, da doppelt\r\n- tiff 283+284 (S. 260+265) löschen, da doppelt\r\n- nach tiff 324 (s. 301) fehlen die Seiten 302+303, bitte nachscannen u. einfügen\r\n- tiff 410+411 (Tafel V + Leerseite)löschen, da doppelt\r\n- tiff 428429 (Taf. XIII+ Leerseite) löschen, da doppelt\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (23030,102725,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Toni,\r\nbitte folg. Korrekturen ausführen:\r\n- tiff 37+38 (S. 18 + 19) löschen, da doppelt\r\n- tiff 273 (S.254) bitte nochmal versuchen, da Text abgeschnitten\r\n- tiff 275+276 (S.254+255) löschen, da doppelt\r\n- tiff 283+284 (S. 260+265) löschen, da doppelt\r\n- nach tiff 324 (s. 301) fehlen die Seiten 302+303, bitte nachscannen u. einfügen\r\n- tiff 410+411 (Tafel V + Leerseite)löschen, da doppelt\r\n- tiff 428429 (Taf. XIII+ Leerseite) löschen, da doppelt\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (23031,103018,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt gruß sonja',0,NULL,NULL,NULL),
 (23032,103019,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt gruß sonja',0,NULL,NULL,NULL),
 (23036,103019,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Imagenachbearbeitung: Hallo, bitte die beiden Tifs: 181 und 182\r\n(nachscan.tif Ordner)optimieren und entsprechend einfügen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23037,103014,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Imagenachbearbeitung: Hallo, bitte die beiden Tifs: 181 und 182\r\n(nachscan.tif Ordner)optimieren und entsprechend einfügen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23044,103014,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Imagenachbearbeitung: bearbeitet und abgeschlossen',0,NULL,NULL,NULL),
 (23045,103014,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Struktur- und Metadaten: bearbeitet und abgeschlossen',0,NULL,NULL,NULL),
 (23046,103017,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Struktur- und Metadaten: bearbeitet und abgeschlossen',0,NULL,NULL,NULL),
 (23047,102721,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo, alles nochmal verbessert!\r\nGruß Toni',0,NULL,NULL,NULL),
 (23048,102725,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo, alles nochmal verbessert!\r\nGruß Toni',0,NULL,NULL,NULL),
 (23050,102857,'Korrektur notwendig','Hallo Claudia, im linken Set fehlt die Seite 148. Bitte nach tif 83 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (23051,102852,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Claudia, im linken Set fehlt die Seite 148. Bitte nach tif 83 einfügen. Danke! Axel',0,NULL,NULL,NULL),
 (23052,102857,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Scannen: Hallo Axel, hab den Nachscan 83b genannt. Hoffe, nun ist alles ok.\r\n\r\nLG claudia',0,NULL,NULL,NULL),
 (23055,102809,'Korrektur notwendig','Hallo Claudia, folgende Korrekturen bitte durchführen: Tif 3 ist um 180° falsch eingescannt, es fehlen 6 Seiten nach Tif 50, Tif 792 (S. 745) ist wegen eines Lichtreflexes schlecht lesbar, bitte nochmal scannen Tif 881 ist um 180° falsch eingescannt, bitte nochmal. Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (23056,102808,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Claudia, folgende Korrekturen bitte durchführen: Tif 3 ist um 180° falsch eingescannt, es fehlen 6 Seiten nach Tif 50, Tif 792 (S. 745) ist wegen eines Lichtreflexes schlecht lesbar, bitte nochmal scannen Tif 881 ist um 180° falsch eingescannt, bitte nochmal. Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (23064,103692,'Korrektur notwendig','Hallo Toni, S.IV + V fehlen nach 8.tif. S.XVI (19.tif) arg schief, ebenso S.4 (23.tif). S.170/171 fehlen nach 188.tif. Folgende Seiten sind arg schief: 401,403,405,407,409,411. Gruss - Klaus.',0,NULL,NULL,NULL),
 (23065,103698,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Toni, S.IV + V fehlen nach 8.tif. S.XVI (19.tif) arg schief, ebenso S.4 (23.tif). S.170/171 fehlen nach 188.tif. Folgende tiffs sind arg schief: 401,403,405,407,409,411. Gruss - Klaus/erl.',0,NULL,NULL,NULL),
 (23067,103988,'Korrektur notwendig','Hallo Gundula,\r\nbitte folg. Korrekturen\r\nim Verso Ordner:\r\n- nach tif 7(S.4) fehlt S.6, bitte einfügen\r\n- tif 205 (S.400), bitte löschen, da doppelt\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (23068,103992,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Gundula,\r\nbitte folg. Korrekturen\r\nim Verso Ordner:\r\n- nach tif 7(S.4) fehlt S.6, bitte einfügen\r\n- tif 205 (S.400), bitte löschen, da doppelt\r\n\r\nDanke und viele Grüße,\r\nMartina',0,NULL,NULL,NULL),
 (23069,103590,'Korrektur notwendig','Hallo Klaus, bitte noch einmal durchsehen. Gruss Axel',0,NULL,NULL,NULL),
 (23070,103593,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Klaus, bitte noch einmal durchsehen. Gruss Axel',0,NULL,NULL,NULL),
 (23073,103751,'Korrektur notwendig','Hallo Birgit, im Ordner -recto fehlt die Seite 247 nach 140.tif. Gruss - Klaus.',0,NULL,NULL,NULL),
 (23074,103750,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Birgit, im Ordner -recto fehlt die Seite 247 nach 140.tif. Gruss - Klaus/erl.',0,NULL,NULL,NULL),
 (23075,102989,'Korrektur notwendig','Hallo Thomas, bitte Tif 7 und Tif 8 löschen, nach Tif 82 (S.59) fehlen Seiten: 60 und 61. Nach Tif 128 (S.107) fehlen 2 Seiten: 108 und 109. Tif 320 löschen (Deckel). Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23076,102988,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Thomas, bitte Tif 7 und Tif 8 löschen, nach Tif 82 (S.59) fehlen Seiten: 60 und 61. Nach Tif 128 (S.107) fehlen 2 Seiten: 108 und 109. Tif 320 löschen (Deckel). Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23078,104064,'Korrektur notwendig','Hallo Claudia H., bitte die Seiten auf denen vom Scan-Robot Staubpunkte über der Schrift sind, bitte nochmal scannen. Außerdem fehlen S.242/243 (zwischen 254/255.tif) und bei S.501/502 (512/513.tif) müsstest versuchen, sie so zu scannen, dass die Seitenzahl zu sehen ist. Gruß, Susi',0,NULL,NULL,NULL),
 (23079,104063,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Claudia H., bitte die Seiten auf denen vom Scan-Robot Staubpunkte über der Schrift sind, bitte nochmal scannen. Außerdem fehlen S.242/243 (zwischen 254/255.tif) und bei S.501/502 (512/513.tif) müsstest versuchen, sie so zu scannen, dass die Seitenzahl zu sehen ist. Gruß, Susi',0,NULL,NULL,NULL),
 (23081,103532,'Korrektur notwendig','Hallo Jan, bitte die Seiten 406 u. 407 nach tif 409 einfügen. Erneut tif 434 (S. 432). Danke! Axel',0,NULL,NULL,NULL),
 (23082,103536,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Jan, bitte die Seiten 406 u. 407 nach tif 409 einfügen. Erneut tif 434 (S. 432). Danke! Axel',0,NULL,NULL,NULL),
 (23085,103590,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, alles durchgesehen, die nötigen nachgescannt; verso war ok. Gruß von Klaus',0,NULL,NULL,NULL),
 (23086,103593,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel, alles durchgesehen, die nötigen nachgescannt; verso war ok. Gruß von Klaus',0,NULL,NULL,NULL),
 (23089,103751,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Klaus, tif 140a im Ordner korr. Gruß von Klaus',0,NULL,NULL,NULL),
 (23090,103750,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Klaus, tif 140a im Ordner korr. Gruß von Klaus',0,NULL,NULL,NULL),
 (23091,103722,'Korrektur notwendig','Hi Jan, bitte S.138/139 (zwischen 144/145.tif) nachscannen und 127/128.tif löschen. MfG, Susi',0,NULL,NULL,NULL),
 (23092,103721,'Korrektur notwendig','Korrektur für Schritt Scannen: Hi Jan, bitte S.138/139 (zwischen 144/145.tif) nachscannen und 127/128.tif löschen. MfG, Susi',0,NULL,NULL,NULL),
 (23093,103532,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (23094,103536,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt',0,NULL,NULL,NULL),
 (23095,102570,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Struktur- und Metadaten: korrigiert eric.',0,NULL,NULL,NULL),
 (23096,102565,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Struktur- und Metadaten: korrigiert eric.',0,NULL,NULL,NULL),
 (23097,103692,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: gemacht, FreD',0,NULL,NULL,NULL),
 (23098,103698,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: gemacht, FreD',0,NULL,NULL,NULL),
 (23099,103822,'Korrektur notwendig','Hallo Ivonne, bitte folgende Korrekturen durchführen: 2 Seiten fehlen nach Tif 244 (S. 231), 2 Seiten fehlen nach Tif 278 (S. 267), Tif 377/378 (S. 368/369) doppelt, bitte löschen. Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (23100,103820,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Ivonne, bitte folgende Korrekturen durchführen: 2 Seiten fehlen nach Tif 244 (S. 231), 2 Seiten fehlen nach Tif 278 (S. 267), Tif 377/378 (S. 368/369) doppelt, bitte löschen. Danke und Gruß von Stephan',0,NULL,NULL,NULL),
 (23101,103988,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Scannen: erledigt',0,NULL,NULL,NULL),
 (23102,103532,'Korrektur notwendig','Bitte S. 434 nach tif 438 einfügen. Danke! Axel\r\n',0,NULL,NULL,NULL),
 (23103,103536,'Korrektur notwendig','Korrektur für Schritt Scannen: Bitte S. 434 nach tif 438 einfügen. Danke! Axel\r\n',0,NULL,NULL,NULL),
 (23104,103550,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt  :-)',0,NULL,NULL,NULL),
 (23105,103548,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: erledigt  :-)',0,NULL,NULL,NULL),
 (23106,102569,'Korrektur notwendig','Hallo Bianca, nach tif 134 fehlen die Seiten 122 und 123. Bitte nachscannen. Danke und viele Grüße, Cordula',0,NULL,NULL,NULL),
 (23107,102566,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Bianca, nach tif 134 fehlen die Seiten 122 und 123. Bitte nachscannen. Danke und viele Grüße, Cordula',0,NULL,NULL,NULL),
 (23108,102570,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Bianca, nach tif 134 fehlen die Seiten 122 und 123. Bitte nachscannen. Danke und viele Grüße, Cordula',0,NULL,NULL,NULL),
 (23109,102565,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Bianca, nach tif 134 fehlen die Seiten 122 und 123. Bitte nachscannen. Danke und viele Grüße, Cordula',0,NULL,NULL,NULL),
 (23110,103532,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel S. 434 eingefügt\r\nGruß Claudia',0,NULL,NULL,NULL),
 (23111,103536,'Korrektur durchgefuehrt','Korrekturlösung für Schritt Qualitätskontrolle: Hallo Axel S. 434 eingefügt\r\nGruß Claudia',0,NULL,NULL,NULL),
 (23113,103832,'Korrektur notwendig','Hallo Rolf, folgende Tifs sind angeschnitten: Tif 27 (S. 18), Tif 29 (S. 20), Tif 30 (S. 21), Tif 31 (S. 22), Tif 33 (S. 24), Tif 42 (S. 33), Tif 47 (S. 38), Tif 76 (S. 67), Tif 77 (S. 68), Tif 98 (s. 89), Tif 362 (S. 353), Tif 380 (S. 371), Tif 381 (S. 372), Tif 404 (S. 395) und Tif 412 (S. 403). Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (23114,103835,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Rolf, folgende Tifs sind angeschnitten: Tif 27 (S. 18), Tif 29 (S. 20), Tif 30 (S. 21), Tif 31 (S. 22), Tif 33 (S. 24), Tif 42 (S. 33), Tif 47 (S. 38), Tif 76 (S. 67), Tif 77 (S. 68), Tif 98 (s. 89), Tif 362 (S. 353), Tif 380 (S. 371), Tif 381 (S. 372), Tif 404 (S. 395) und Tif 412 (S. 403). Vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (23116,103540,'Korrektur notwendig','Hallo Ivonne, bitte folgende Korrekturen vornehmen: 2 Leerseiten fehlen nach Tif 2, 2 Seiten fehlen nach Tif 315 (Tab. IX + Leerseite fehlt), 2 Leerseiten fehlen nach Tif 366 (Tab. XXXV), vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (23117,103539,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Ivonne, bitte folgende Korrekturen vornehmen: 2 Leerseiten fehlen nach Tif 2, 2 Seiten fehlen nach Tif 315 (Tab. IX + Leerseite fehlt), 2 Leerseiten fehlen nach Tif 366 (Tab. XXXV), vielen Dank und Gruß von Stephan',0,NULL,NULL,NULL),
 (23118,104375,'Korrektur notwendig','Hallo Rolf, Tif 497, 498 (S.484,485) löschen (doppelt). Vor Tif 499 (S.488) 2 Seiten fehlen S.486 u.487.Nach Tif 566 (S.555)fehlt die Seite 655 und eine leere Seite vor Tif 567.\r\nDeckel um 180° drehen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23119,104374,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Rolf, Tif 497, 498 (S.484,485) löschen (doppelt). Vor Tif 499 (S.488) 2 Seiten fehlen S.486 u.487.Nach Tif 566 (S.555)fehlt die Seite 655 und eine leere Seite vor Tif 567.\r\nDeckel um 180° drehen. Danke. Gruß Kasia',0,NULL,NULL,NULL),
 (23120,103883,'Korrektur notwendig','Liebe Katarzyna, bitte tif 1 löschen. Danke Cordula',0,NULL,NULL,NULL),
 (23121,103882,'Korrektur notwendig','Korrektur für Schritt Qualitätskontrolle: Liebe Katarzyna, bitte tif 1 löschen. Danke Cordula',0,NULL,NULL,NULL),
 (23122,103887,'Korrektur notwendig','Korrektur für Schritt Qualitätskontrolle: Liebe Katarzyna, bitte tif 1 löschen. Danke Cordula',0,NULL,NULL,NULL),
 (23123,103563,'Korrektur notwendig','Hallo Claudia, im linken Ordner fehlt S.344 (zwischen 190/191.tif). Gruß, Susi',0,NULL,NULL,NULL),
 (23124,103561,'Korrektur notwendig','Korrektur für Schritt Scannen: Hallo Claudia, im linken Ordner fehlt S.344 (zwischen 190/191.tif). Gruß, Susi',0,NULL,NULL,NULL);
/*!40000 ALTER TABLE `schritteeigenschaften` ENABLE KEYS */;


--
-- Definition of table `vorlagen`
--

DROP TABLE IF EXISTS `vorlagen`;
CREATE TABLE `vorlagen` (
  `VorlagenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ProzesseID` int(10) unsigned DEFAULT NULL,
  `Herkunft` varchar(255) DEFAULT NULL,
  `EigenschaftenID` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`VorlagenID`),
  KEY `ProzesseID` (`ProzesseID`),
  KEY `EigenschaftenID` (`EigenschaftenID`),
  KEY `FK9A466882966DB655` (`ProzesseID`),
  KEY `FK9A466882815A56DA` (`ProzesseID`)
) ENGINE=MyISAM AUTO_INCREMENT=10562 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `vorlagen`
--

/*!40000 ALTER TABLE `vorlagen` DISABLE KEYS */;
INSERT INTO `vorlagen` (`VorlagenID`,`ProzesseID`,`Herkunft`,`EigenschaftenID`) VALUES 
 (10235,10344,NULL,NULL),
 (10289,10398,NULL,NULL),
 (10290,10399,NULL,NULL),
 (10291,10400,NULL,NULL),
 (10293,10402,NULL,NULL),
 (10294,10403,NULL,NULL),
 (10295,10404,NULL,NULL),
 (10296,10405,NULL,NULL),
 (10297,10406,NULL,NULL),
 (10298,10407,NULL,NULL),
 (10303,10412,NULL,NULL),
 (10304,10413,NULL,NULL),
 (10306,10415,NULL,NULL),
 (10309,10418,NULL,NULL),
 (10312,10421,NULL,NULL),
 (10318,10427,NULL,NULL),
 (10319,10428,NULL,NULL),
 (10320,10429,NULL,NULL),
 (10321,10430,NULL,NULL),
 (10322,10431,NULL,NULL),
 (10323,10432,NULL,NULL),
 (10324,10433,NULL,NULL),
 (10325,10434,NULL,NULL),
 (10326,10435,NULL,NULL),
 (10416,10525,NULL,NULL),
 (10328,10437,NULL,NULL),
 (10329,10438,NULL,NULL),
 (10330,10439,NULL,NULL),
 (10331,10440,NULL,NULL),
 (10332,10441,NULL,NULL),
 (10333,10442,NULL,NULL),
 (10334,10443,NULL,NULL),
 (10335,10444,NULL,NULL),
 (10336,10445,NULL,NULL),
 (10337,10446,NULL,NULL),
 (10338,10447,NULL,NULL),
 (10339,10448,NULL,NULL),
 (10340,10449,NULL,NULL),
 (10341,10450,NULL,NULL),
 (10342,10451,NULL,NULL),
 (10343,10452,NULL,NULL),
 (10344,10453,NULL,NULL),
 (10345,10454,NULL,NULL),
 (10346,10455,NULL,NULL),
 (10347,10456,NULL,NULL),
 (10349,10458,NULL,NULL),
 (10350,10459,NULL,NULL),
 (10351,10460,NULL,NULL),
 (10356,10465,NULL,NULL),
 (10357,10466,NULL,NULL),
 (10358,10467,NULL,NULL),
 (10359,10468,NULL,NULL),
 (10360,10469,NULL,NULL),
 (10361,10470,NULL,NULL),
 (10362,10471,NULL,NULL),
 (10363,10472,NULL,NULL),
 (10364,10473,NULL,NULL),
 (10365,10474,NULL,NULL),
 (10366,10475,NULL,NULL),
 (10368,10477,NULL,NULL),
 (10369,10478,NULL,NULL),
 (10370,10479,NULL,NULL),
 (10371,10480,NULL,NULL),
 (10372,10481,NULL,NULL),
 (10373,10482,NULL,NULL),
 (10377,10486,NULL,NULL),
 (10379,10488,NULL,NULL),
 (10380,10489,NULL,NULL),
 (10381,10490,NULL,NULL),
 (10382,10491,NULL,NULL),
 (10383,10492,NULL,NULL),
 (10384,10493,NULL,NULL),
 (10385,10494,NULL,NULL),
 (10386,10495,NULL,NULL),
 (10387,10496,NULL,NULL),
 (10388,10497,NULL,NULL),
 (10389,10498,NULL,NULL),
 (10390,10499,NULL,NULL),
 (10391,10500,NULL,NULL),
 (10392,10501,NULL,NULL),
 (10393,10502,NULL,NULL),
 (10394,10503,NULL,NULL),
 (10395,10504,NULL,NULL),
 (10398,10507,NULL,NULL),
 (10402,10511,NULL,NULL),
 (10413,10522,NULL,NULL),
 (10415,10524,NULL,NULL),
 (10417,10526,NULL,NULL),
 (10418,10527,NULL,NULL),
 (10419,10528,NULL,NULL),
 (10420,10529,NULL,NULL),
 (10421,10530,NULL,NULL),
 (10425,10534,NULL,NULL),
 (10426,10535,NULL,NULL),
 (10427,10536,NULL,NULL),
 (10428,10537,NULL,NULL),
 (10429,10538,NULL,NULL),
 (10430,10539,NULL,NULL),
 (10431,10540,NULL,NULL),
 (10432,10541,NULL,NULL),
 (10433,10542,NULL,NULL),
 (10434,10543,NULL,NULL),
 (10435,10544,NULL,NULL),
 (10436,10545,NULL,NULL),
 (10437,10546,NULL,NULL),
 (10438,10547,NULL,NULL),
 (10439,10548,NULL,NULL),
 (10440,10549,NULL,NULL),
 (10441,10550,NULL,NULL),
 (10442,10551,NULL,NULL),
 (10443,10552,NULL,NULL),
 (10445,10554,NULL,NULL),
 (10449,10558,NULL,NULL),
 (10450,10559,NULL,NULL),
 (10453,10562,NULL,NULL),
 (10454,10563,NULL,NULL),
 (10455,10564,NULL,NULL),
 (10456,10565,NULL,NULL),
 (10457,10566,NULL,NULL),
 (10458,10567,NULL,NULL),
 (10459,10568,NULL,NULL),
 (10460,10569,NULL,NULL),
 (10462,10571,NULL,NULL),
 (10464,10573,NULL,NULL),
 (10466,10575,NULL,NULL),
 (10468,10577,NULL,NULL),
 (10469,10578,NULL,NULL),
 (10470,10579,NULL,NULL),
 (10471,10580,NULL,NULL),
 (10472,10581,NULL,NULL),
 (10475,10584,NULL,NULL),
 (10476,10585,NULL,NULL),
 (10478,10587,NULL,NULL),
 (10480,10589,NULL,NULL),
 (10485,10594,NULL,NULL),
 (10486,10595,NULL,NULL),
 (10487,10596,NULL,NULL),
 (10489,10598,NULL,NULL),
 (10490,10599,NULL,NULL),
 (10492,10601,NULL,NULL),
 (10493,10602,NULL,NULL),
 (10495,10604,NULL,NULL),
 (10498,10607,NULL,NULL),
 (10500,10609,NULL,NULL),
 (10502,10611,NULL,NULL),
 (10504,10613,NULL,NULL),
 (10505,10614,NULL,NULL),
 (10506,10615,NULL,NULL),
 (10507,10616,NULL,NULL),
 (10508,10617,NULL,NULL),
 (10509,10618,NULL,NULL),
 (10510,10619,NULL,NULL),
 (10511,10620,NULL,NULL),
 (10512,10621,NULL,NULL),
 (10529,10638,NULL,NULL),
 (10530,10639,NULL,NULL),
 (10531,10640,NULL,NULL),
 (10532,10641,NULL,NULL),
 (10533,10642,NULL,NULL),
 (10534,10643,NULL,NULL),
 (10535,10644,NULL,NULL),
 (10536,10645,NULL,NULL),
 (10537,10646,NULL,NULL),
 (10538,10647,NULL,NULL),
 (10539,10648,NULL,NULL),
 (10540,10649,NULL,NULL),
 (10541,10650,NULL,NULL),
 (10542,10651,NULL,NULL),
 (10543,10652,NULL,NULL),
 (10544,10653,NULL,NULL),
 (10545,10654,NULL,NULL),
 (10546,10655,NULL,NULL),
 (10547,10656,NULL,NULL),
 (10548,10657,NULL,NULL),
 (10549,10658,NULL,NULL),
 (10550,10659,NULL,NULL),
 (10551,10660,NULL,NULL),
 (10552,10661,NULL,NULL),
 (10553,10662,NULL,NULL),
 (10554,10663,NULL,NULL),
 (10555,10664,NULL,NULL),
 (10561,10670,NULL,NULL);
/*!40000 ALTER TABLE `vorlagen` ENABLE KEYS */;


--
-- Definition of table `vorlageneigenschaften`
--

DROP TABLE IF EXISTS `vorlageneigenschaften`;
CREATE TABLE `vorlageneigenschaften` (
  `vorlageneigenschaftenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vorlagenID` int(10) unsigned NOT NULL DEFAULT '0',
  `Titel` varchar(255) DEFAULT NULL,
  `Wert` text,
  `IstObligatorisch` int(10) unsigned DEFAULT NULL,
  `DatentypenID` int(10) unsigned DEFAULT NULL,
  `Auswahl` blob,
  PRIMARY KEY (`vorlageneigenschaftenID`),
  KEY `DatentypenID` (`DatentypenID`),
  KEY `FKAA25B7AA174D539E` (`vorlagenID`),
  KEY `FKAA25B7AA239F423` (`vorlagenID`)
) ENGINE=MyISAM AUTO_INCREMENT=107197 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `vorlageneigenschaften`
--

/*!40000 ALTER TABLE `vorlageneigenschaften` DISABLE KEYS */;
INSERT INTO `vorlageneigenschaften` (`vorlageneigenschaftenID`,`vorlagenID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (104886,10361,'Signatur','8 ARS MIL 402/83',0,NULL,NULL),
 (104887,10361,'Verlag','Müller',0,NULL,NULL),
 (104888,10361,'Erscheinungsjahr','1794',0,NULL,NULL),
 (104889,10361,'Autoren','Bennigsen, Levin August Gottlieb',0,NULL,NULL),
 (104890,10361,'Erscheinungsort','Riga',0,NULL,NULL),
 (104891,10361,'Titel (Sortierung)','Gedanken Über Einige Dem Officier Der Leichten Reuterey Nothwendige Kenntnisse',0,NULL,NULL),
 (104412,10318,'Titel','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104410,10318,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104411,10318,'Titel (Band) (Sortierung)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104408,10318,'Verlag','Röse',0,NULL,NULL),
 (104409,10318,'Autoren (Band)','Röhl, Lambert Heinrich',0,NULL,NULL),
 (105953,10459,'Autoren','Euclides',0,NULL,NULL),
 (105951,10459,'Signatur','8 AUCT GR IV, 3999',0,NULL,NULL),
 (105952,10459,'PPN analog a-Satz','PPN145525368',0,NULL,NULL),
 (105954,10459,'Verlag','Verlag d. Buchhandlung d. Waisenhauses',0,NULL,NULL),
 (105955,10459,'Titel','Die sechs ersten Bücher der geometrischen Anfangsgründe des Euklides zum Gebrauch der Schulen',0,NULL,NULL),
 (105961,10460,'Titel','Euklids Data',0,NULL,NULL),
 (105962,10460,'Verlag','Cotta',0,NULL,NULL),
 (105965,10460,'Titel (Sortierung)','Euklids Data',0,NULL,NULL),
 (105966,10460,'Autoren','Euclides',0,NULL,NULL),
 (105963,10460,'Erscheinungsort','Stuttgart',0,NULL,NULL),
 (105964,10460,'Erscheinungsjahr','1780',0,NULL,NULL),
 (105959,10460,'Signatur','8 AUCT GR IV, 4038',0,NULL,NULL),
 (105960,10460,'PPN analog a-Satz','PPN145525414',0,NULL,NULL),
 (103478,10235,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (103479,10235,'PPN analog a-Satz','PPN137514387',0,NULL,NULL),
 (103480,10235,'Signatur','8 ITIN I, 1531',0,NULL,NULL),
 (103481,10235,'Erscheinungsjahr','1780',0,NULL,NULL),
 (103482,10235,'Autoren','',0,NULL,NULL),
 (103483,10235,'Titel (Sortierung)','Beschreibung einer Reise, welche im Jahr 1769. nach der Sierra Morena in Spanien vom Elsaß aus unternommen wurde',0,NULL,NULL),
 (103484,10235,'Verlag','Weygand',0,NULL,NULL),
 (103485,10235,'Titel','Beschreibung einer Reise, welche im Jahr 1769. nach der Sierra Morena in Spanien vom Elsaß aus unternommen wurde',0,NULL,NULL),
 (104043,10289,'Signatur','8 ARS MIL 22/15:1',0,NULL,NULL),
 (104044,10289,'Verlag','Walther',0,NULL,NULL),
 (104045,10289,'Titel','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104046,10289,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104047,10289,'Titel (Sortierung)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-LexiconNeues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104048,10289,'Titel (Band) (Sortierung)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104049,10289,'Bandnummer','Theil 1',0,NULL,NULL),
 (104050,10289,'Erscheinungsjahr','1757',0,NULL,NULL),
 (104051,10289,'PPN analog f-Satz','PPN188809511',0,NULL,NULL),
 (104052,10289,'Autoren','Eggers, Jacob',0,NULL,NULL),
 (104053,10289,'Autoren (Band)','Eggers, Jacob',0,NULL,NULL),
 (104054,10289,'PPN analog c-Satz','PPN140630880',0,NULL,NULL),
 (104055,10289,'Erscheinungsort','Dresden',0,NULL,NULL),
 (104056,10289,'Titel (Band)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104057,10289,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104058,10290,'Signatur','8 ARS MIL 22/15:2',0,NULL,NULL),
 (104059,10290,'Titel (Band) (Sortierung)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104060,10290,'Autoren (Band)','Eggers, Jacob',0,NULL,NULL),
 (104061,10290,'Verlag','Walther',0,NULL,NULL),
 (104062,10290,'Bandnummer','Theil 2',0,NULL,NULL),
 (104063,10290,'Titel (Sortierung)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104064,10290,'Titel','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104065,10290,'PPN analog c-Satz','PPN140630880',0,NULL,NULL),
 (104066,10290,'Erscheinungsjahr','1757',0,NULL,NULL),
 (104067,10290,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104068,10290,'Titel (Band)','Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon',0,NULL,NULL),
 (104069,10290,'Autoren','Eggers, Jacob',0,NULL,NULL),
 (104070,10290,'Erscheinungsort','Dresden',0,NULL,NULL),
 (104071,10290,'PPN analog f-Satz','PPN180755846',0,NULL,NULL),
 (104072,10290,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104073,10291,'Titel (Sortierung)','Anfangsgründe der eigentlichen Kriegswissenschaft',0,NULL,NULL),
 (104074,10291,'Titel','Anfangsgründe der eigentlichen Kriegswissenschaft',0,NULL,NULL),
 (104075,10291,'PPN analog a-Satz','PPN143897578',0,NULL,NULL),
 (104076,10291,'Autoren','Krebs, Heinrich Johann',0,NULL,NULL),
 (104077,10291,'Signatur','8 ARS MIL 272/67',0,NULL,NULL),
 (104078,10291,'Verlag','Korte',0,NULL,NULL),
 (104079,10291,'Erscheinungsjahr','1784',0,NULL,NULL),
 (104080,10291,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104096,10293,'PPN analog f-Satz','PPN150858868',0,NULL,NULL),
 (104097,10293,'Titel','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104098,10293,'Titel (Band) (Sortierung)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104099,10293,'Erscheinungsjahr','1778',0,NULL,NULL),
 (104100,10293,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104101,10293,'Verlag','Weidmann & Reich',0,NULL,NULL),
 (104102,10293,'Signatur','8 ARCH I, 361:1',0,NULL,NULL),
 (104103,10293,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104104,10293,'PPN analog c-Satz','PPN15085885X',0,NULL,NULL),
 (104105,10293,'Titel (Band)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104106,10293,'Titel (Sortierung)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104107,10293,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104108,10293,'Autoren (Band)','Heyne, Chr. G.',0,NULL,NULL),
 (104109,10293,'Autoren','Heyne, Chr. G.',0,NULL,NULL),
 (104110,10293,'Bandnummer','Stück 1',0,NULL,NULL),
 (104111,10294,'Verlag','Weidmann & Reich',0,NULL,NULL),
 (104112,10294,'Autoren','Heyne, Chr. G.',0,NULL,NULL),
 (104113,10294,'Titel (Band)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104114,10294,'Titel (Band) (Sortierung)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104115,10294,'Autoren (Band)','Heyne, Chr. G.',0,NULL,NULL),
 (104116,10294,'Bandnummer','Stück 2',0,NULL,NULL),
 (104117,10294,'Titel','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104118,10294,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104119,10294,'Erscheinungsjahr','1779',0,NULL,NULL),
 (104120,10294,'Signatur','8 ARCH I, 361:2',0,NULL,NULL),
 (104121,10294,'PPN analog c-Satz','PPN15085885X',0,NULL,NULL),
 (104122,10294,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104123,10294,'PPN analog f-Satz','PPN150858876',0,NULL,NULL),
 (104124,10294,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104125,10294,'Titel (Sortierung)','Sammlung antiquarischer Aufsätze',0,NULL,NULL),
 (104126,10295,'Erscheinungsjahr','1794',0,NULL,NULL),
 (104127,10295,'Signatur','8 ARS MIL 268/39',0,NULL,NULL),
 (104128,10295,'Titel (Sortierung)','Unterricht des Königs von Preußen [i. e. Friedrich Preußen, König, II.] an die Generale seiner Armeen',0,NULL,NULL),
 (104129,10295,'Verlag','Helwing',0,NULL,NULL),
 (104130,10295,'Autoren','Friedrich <Preußen, König, II.>',0,NULL,NULL),
 (104131,10295,'PPN analog a-Satz','PPN143884999',0,NULL,NULL),
 (104132,10295,'Titel','Unterricht des Königs von Preußen [i. e. Friedrich Preußen, König, II.] an die Generale seiner Armeen',0,NULL,NULL),
 (104133,10295,'Erscheinungsort','Hannover',0,NULL,NULL),
 (104134,10296,'Titel (Sortierung)','Betrachtungen und Erfahrungen über verschiedene militarische Gegenstände und Vorfälle',0,NULL,NULL),
 (104135,10296,'Titel','Betrachtungen und Erfahrungen über verschiedene militarische Gegenstände und Vorfälle',0,NULL,NULL),
 (104136,10296,'Signatur','8 ARS MIL 272/55',0,NULL,NULL),
 (104137,10296,'Erscheinungsort','Nürnberg',0,NULL,NULL),
 (104138,10296,'PPN analog a-Satz','PPN143897489',0,NULL,NULL),
 (104139,10296,'Erscheinungsjahr','1779',0,NULL,NULL),
 (104140,10296,'Verlag','Felßeckerische Buchhandlung',0,NULL,NULL),
 (104141,10296,'Autoren','Schertel von Burtenbach, Anton Eberhard',0,NULL,NULL),
 (104142,10297,'Titel (Sortierung)','Ueber den Ursprung der Pyramiden in Egypten und der Ruinen von Persepolis',0,NULL,NULL),
 (104143,10297,'Erscheinungsjahr','1789',0,NULL,NULL),
 (104144,10297,'PPN analog a-Satz','PPN133510662',0,NULL,NULL),
 (104145,10297,'Autoren','Witte, Samuel Simon',0,NULL,NULL),
 (104146,10297,'Titel','Ueber den Ursprung der Pyramiden in Egypten und der Ruinen von Persepolis',0,NULL,NULL),
 (104147,10297,'Signatur','8 ARCH II, 1906',0,NULL,NULL),
 (104148,10297,'Verlag','Müller',0,NULL,NULL),
 (104149,10297,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104150,10298,'Erscheinungsjahr','1762',0,NULL,NULL),
 (104151,10298,'Titel','Anmerkungen über die Baukunst der Alten',0,NULL,NULL),
 (104152,10298,'Verlag','Dyck',0,NULL,NULL),
 (104153,10298,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104154,10298,'Titel (Sortierung)','Anmerkungen über die Baukunst der Alten',0,NULL,NULL),
 (104155,10298,'Signatur','8 ARCH II, 45',0,NULL,NULL),
 (104156,10298,'Autoren','Winckelmann, Johann Joachim',0,NULL,NULL),
 (104157,10298,'PPN analog a-Satz','PPN133504883',0,NULL,NULL),
 (104218,10303,'Verlag','',0,NULL,NULL),
 (104219,10303,'PPN analog a-Satz','PPN330240129',0,NULL,NULL),
 (104220,10303,'Signatur','8 ARS MIL 264/83',0,NULL,NULL),
 (104221,10303,'Erscheinungsort','Frankfurt',0,NULL,NULL),
 (104222,10303,'Titel (Sortierung)','Königs von Preußen Majestät Unterricht von der Kriegs-Kunst an seine Generals',0,NULL,NULL),
 (104223,10303,'Autoren','Friedrich <Preußen, König, II.>',0,NULL,NULL),
 (104224,10303,'Titel','Des Königs von Preußen Majestät Unterricht von der Kriegs-Kunst an seine Generals',0,NULL,NULL),
 (104225,10303,'Erscheinungsjahr','1761',0,NULL,NULL),
 (104226,10304,'PPN analog a-Satz','PPN137365764',0,NULL,NULL),
 (104227,10304,'Titel','Johann Friderich Christ ehemaligen öffentlichen Lehrers der Dichtkunst auf der Universität zu Leipzig Abhandlungen über die Litteratur und Kunstwerke vornemlich des Alterthums',0,NULL,NULL),
 (104228,10304,'Erscheinungsjahr','1776',0,NULL,NULL),
 (104229,10304,'Autoren','Christ, Johann Friedrich',0,NULL,NULL),
 (104230,10304,'Titel (Sortierung)','Johann Friderich Christ ehemaligen öffentlichen Lehrers der Dichtkunst auf der Universität zu Leipzig Abhandlungen über die Litteratur und Kunstwerke vornemlich des Alterthums',0,NULL,NULL),
 (104231,10304,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104232,10304,'Verlag','Saalbach',0,NULL,NULL),
 (104233,10304,'Signatur','8 ARCH I, 359',0,NULL,NULL),
 (104249,10306,'Titel (Sortierung)','Statuten Des Königlichen Preußischen Ordens Vom Schwartzen Adler',0,NULL,NULL),
 (104250,10306,'Signatur','4 H BOR UN I, 3156',0,NULL,NULL),
 (104251,10306,'Erscheinungsort','Cölln an der Spree',0,NULL,NULL),
 (104252,10306,'Verlag','Liebpert',0,NULL,NULL),
 (104253,10306,'Erscheinungsjahr','1701',0,NULL,NULL),
 (104254,10306,'PPN analog a-Satz','PPN151594775',0,NULL,NULL),
 (104255,10306,'Titel','Statuten Des Königlichen Preußischen Ordens Vom Schwartzen Adler',0,NULL,NULL),
 (104256,10306,'Autoren','',0,NULL,NULL),
 (104280,10309,'Titel (Sortierung)','Königliches Preußisches Privilegium Auf 12. Jahr Vor die nach Rußland handelnde Compagnie',0,NULL,NULL),
 (104281,10309,'PPN analog a-Satz','PPN15587375X',0,NULL,NULL),
 (104282,10309,'Verlag','Schlechtiger',0,NULL,NULL),
 (104283,10309,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104284,10309,'Autoren','',0,NULL,NULL),
 (104285,10309,'Titel','Königliches Preußisches Privilegium Auf 12. Jahr Vor die nach Rußland handelnde Compagnie',0,NULL,NULL),
 (104286,10309,'Signatur','4 H BOR UN I, 2289',0,NULL,NULL),
 (104287,10309,'Erscheinungsjahr','1725',0,NULL,NULL),
 (104318,10312,'Signatur','4 H BAV II, 3802',0,NULL,NULL),
 (104319,10312,'Verlag','Dietzel',0,NULL,NULL),
 (104320,10312,'Titel (Sortierung)','Genealogie der hohen Fürstenhäuser im Fränkischen Crayse ...',0,NULL,NULL),
 (104321,10312,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104322,10312,'PPN analog c-Satz','PPN135848695',0,NULL,NULL),
 (104323,10312,'Autoren','Biedermann, Johann Gottfried',0,NULL,NULL),
 (104324,10312,'Autoren (Band)','Biedermann, Johann Gottfried',0,NULL,NULL),
 (104325,10312,'Bandnummer','Theil 1',0,NULL,NULL),
 (104326,10312,'Titel','Genealogie der hohen Fürstenhäuser im Fränkischen Crayse ...',0,NULL,NULL),
 (104327,10312,'Erscheinungsjahr','1746',0,NULL,NULL),
 (104328,10312,'Titel (Band) (Sortierung)','Genealogie der hohen Fürstenhäuser im Fränkischen Crayse ...',0,NULL,NULL),
 (104329,10312,'Erscheinungsort','Bayreuth',0,NULL,NULL),
 (104330,10312,'Titel (Band)','Genealogie der hohen Fürstenhäuser im Fränkischen Crayse ...',0,NULL,NULL),
 (104331,10312,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104332,10312,'PPN analog f-Satz','PPN135848709',0,NULL,NULL),
 (104413,10318,'Autoren','Röhl, Lambert Heinrich',0,NULL,NULL),
 (104414,10318,'Signatur','8 ASTR I, 1676:1',0,NULL,NULL),
 (104415,10318,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104416,10318,'Titel (Band)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104417,10318,'Bandnummer','Theil 1',0,NULL,NULL),
 (104418,10318,'Titel (Sortierung)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104419,10318,'Erscheinungsjahr','1768',0,NULL,NULL),
 (104420,10318,'Erscheinungsort','Greifswald',0,NULL,NULL),
 (104421,10318,'PPN analog f-Satz','PPN142865826',0,NULL,NULL),
 (104422,10318,'PPN analog c-Satz','PPN142865818',0,NULL,NULL),
 (104423,10319,'Titel','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104424,10319,'Bandnummer','Theil 2',0,NULL,NULL),
 (104425,10319,'Signatur','8 ASTR I, 1676:2',0,NULL,NULL),
 (104426,10319,'Autoren (Band)','Röhl, Lambert Heinrich',0,NULL,NULL),
 (104427,10319,'PPN analog f-Satz','PPN142865834',0,NULL,NULL),
 (104428,10319,'Autoren','Röhl, Lambert Heinrich',0,NULL,NULL),
 (104429,10319,'Titel (Band) (Sortierung)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104430,10319,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104431,10319,'Erscheinungsort','Greifswald',0,NULL,NULL),
 (104432,10319,'Titel (Band)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104433,10319,'Verlag','Röse',0,NULL,NULL),
 (104434,10319,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104435,10319,'PPN analog c-Satz','PPN142865818',0,NULL,NULL),
 (104436,10319,'Erscheinungsjahr','1779',0,NULL,NULL),
 (104437,10319,'Titel (Sortierung)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (104438,10320,'Signatur','8 ASTR I, 1231',0,NULL,NULL),
 (104439,10320,'Verlag','Liebernickel',0,NULL,NULL),
 (104440,10320,'PPN analog a-Satz','PPN144459892',0,NULL,NULL),
 (104441,10320,'Erscheinungsjahr','1706',0,NULL,NULL),
 (104442,10320,'Titel','Scriptura S. Copernizans seu potius Astronomia Copernico-Scripturaria Bipartita Das ist: Ein gantz neu- und sehr curioser Astronomischer Beweißthum/ Des Copernicanischen Welt-Gebäudes aus Heil. Schrifft/',0,NULL,NULL),
 (104443,10320,'Erscheinungsort','Hamburg',0,NULL,NULL),
 (104444,10320,'Titel (Sortierung)','Scriptura S. Copernizans seu potius Astronomia Copernico-Scripturaria Bipartita Das ist: Ein gantz neu- und sehr curioser Astronomischer Beweißthum/ Des Copernicanischen Welt-Gebäudes aus Heil. Schrifft/',0,NULL,NULL),
 (104445,10320,'Autoren','Zimmermann, Johann Jacob',0,NULL,NULL),
 (104446,10321,'Erscheinungsjahr','1775',0,NULL,NULL),
 (104447,10321,'Titel (Sortierung)','Astronomische Vorlesungen',0,NULL,NULL),
 (104448,10321,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104449,10321,'Titel (Band)','Astronomische Vorlesungen',0,NULL,NULL),
 (104450,10321,'Signatur','8 ASTR I, 1691:1',0,NULL,NULL),
 (104451,10321,'Autoren (Band)','Segner, Johann Andreas',0,NULL,NULL),
 (104452,10321,'Titel (Band) (Sortierung)','Astronomische Vorlesungen',0,NULL,NULL),
 (104453,10321,'Bandnummer','Theil 1',0,NULL,NULL),
 (104454,10321,'Verlag','Curt',0,NULL,NULL),
 (104455,10321,'Erscheinungsort','Halle',0,NULL,NULL),
 (104456,10321,'PPN analog f-Satz','PPN142865869',0,NULL,NULL),
 (104457,10321,'Autoren','Segner, Johann Andreas',0,NULL,NULL),
 (104458,10321,'Titel','Astronomische Vorlesungen',0,NULL,NULL),
 (104459,10321,'PPN analog c-Satz','PPN142865850',0,NULL,NULL),
 (104460,10321,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104461,10322,'Erscheinungsjahr','1776',0,NULL,NULL),
 (104462,10322,'Titel (Band) (Sortierung)','Astronomische Vorlesungen',0,NULL,NULL),
 (104463,10322,'Bandnummer','Theil 2',0,NULL,NULL),
 (104464,10322,'PPN analog f-Satz','PPN142865877',0,NULL,NULL),
 (104465,10322,'Titel (Sortierung)','Astronomische Vorlesungen',0,NULL,NULL),
 (104466,10322,'PPN analog c-Satz','PPN142865850',0,NULL,NULL),
 (104467,10322,'Titel (Band)','Astronomische Vorlesungen',0,NULL,NULL),
 (104468,10322,'Verlag','Curt',0,NULL,NULL),
 (104469,10322,'Erscheinungsort','Halle',0,NULL,NULL),
 (104470,10322,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104471,10322,'Titel','Astronomische Vorlesungen',0,NULL,NULL),
 (104472,10322,'Signatur','8 ASTR I, 1691:2',0,NULL,NULL),
 (104473,10322,'Autoren','Segner, Johann Andreas',0,NULL,NULL),
 (104474,10322,'Autoren (Band)','Segner, Johann Andreas',0,NULL,NULL),
 (104475,10322,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104476,10323,'Bandnummer','Theil 1',0,NULL,NULL),
 (104477,10323,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104478,10323,'Titel (Band)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104479,10323,'Titel (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104480,10323,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104481,10323,'Autoren','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104482,10323,'Signatur','8 ANT I, 1280:1',0,NULL,NULL),
 (104483,10323,'Verlag','Breitkopf',0,NULL,NULL),
 (104484,10323,'Titel','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104485,10323,'Erscheinungsjahr','1775',0,NULL,NULL),
 (104486,10323,'PPN analog c-Satz','PPN133507823',0,NULL,NULL),
 (104487,10323,'Autoren (Band)','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104488,10323,'PPN analog f-Satz','PPN164239189',0,NULL,NULL),
 (104489,10323,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104490,10323,'Titel (Band) (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104491,10324,'Erscheinungsjahr','1776',0,NULL,NULL),
 (104492,10324,'Autoren','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104493,10324,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104494,10324,'Titel (Band) (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104495,10324,'Titel (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104496,10324,'PPN analog f-Satz','PPN164239413',0,NULL,NULL),
 (104497,10324,'Bandnummer','Theil 2',0,NULL,NULL),
 (104498,10324,'Autoren (Band)','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104499,10324,'Titel (Band)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104500,10324,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104501,10324,'Verlag','Bohn',0,NULL,NULL),
 (104502,10324,'PPN analog c-Satz','PPN133507823',0,NULL,NULL),
 (104503,10324,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104504,10324,'Signatur','8 ANT I, 1280:2',0,NULL,NULL),
 (104505,10324,'Titel','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104506,10325,'Signatur','8 ANT I, 1280:3',0,NULL,NULL),
 (104507,10325,'Verlag','Bohn',0,NULL,NULL),
 (104508,10325,'Autoren','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104509,10325,'Erscheinungsjahr','1776',0,NULL,NULL),
 (104510,10325,'Titel (Band)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104511,10325,'Autoren (Band)','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104512,10325,'Bandnummer','Theil 3',0,NULL,NULL),
 (104513,10325,'PPN analog f-Satz','PPN164239316',0,NULL,NULL),
 (104514,10325,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104515,10325,'Nummer (Sortierung)','30',0,NULL,NULL),
 (104516,10325,'Titel','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104517,10325,'PPN analog c-Satz','PPN133507823',0,NULL,NULL),
 (104518,10325,'Titel (Band) (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104519,10325,'Titel (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104520,10325,'Nummer (Benennung)','0003',0,NULL,NULL),
 (104521,10326,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104522,10326,'Titel (Band)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104523,10326,'Titel (Band) (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104524,10326,'Nummer (Sortierung)','40',0,NULL,NULL),
 (104525,10326,'Titel','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104526,10326,'PPN analog c-Satz','PPN133507823',0,NULL,NULL),
 (104527,10326,'Verlag','Bohn',0,NULL,NULL),
 (104528,10326,'Autoren (Band)','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104529,10326,'Signatur','8 ANT I, 1280:4',0,NULL,NULL),
 (104530,10326,'Titel (Sortierung)','D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer',0,NULL,NULL),
 (104531,10326,'Autoren','Cilano, Georg Christian Maternus',0,NULL,NULL),
 (104532,10326,'PPN analog f-Satz','PPN16423926X',0,NULL,NULL),
 (104533,10326,'Bandnummer','Theil 4',0,NULL,NULL),
 (104534,10326,'Nummer (Benennung)','0004',0,NULL,NULL),
 (104535,10326,'Erscheinungsjahr','1776',0,NULL,NULL),
 (105467,10416,'Autoren','Tielcke, Johann Gottlieb',0,NULL,NULL),
 (105460,10416,'Signatur','8 ARS MIL 532/17',0,NULL,NULL),
 (105461,10416,'PPN analog a-Satz','PPN144236532',0,NULL,NULL),
 (105462,10416,'Verlag','Gerlach',0,NULL,NULL),
 (105463,10416,'Erscheinungsort','Dreßden',0,NULL,NULL),
 (105464,10416,'Titel (Sortierung)','Unterricht für die Officiers, die sich zu Feld-Ingenieurs bilden, oder doch den Feldzügen mit Nutzen beywohnen wollen',0,NULL,NULL),
 (105465,10416,'Titel','Unterricht für die Officiers, die sich zu Feld-Ingenieurs bilden, oder doch den Feldzügen mit Nutzen beywohnen wollen',0,NULL,NULL),
 (105466,10416,'Erscheinungsjahr','1769',0,NULL,NULL),
 (104544,10328,'Verlag','Stage',0,NULL,NULL),
 (104545,10328,'Titel (Sortierung)','Herrn Paul von Stetten, des jüngern Erläuterungen der in Kupfer gestochenen Vorstellungen, aus der Geschichte der Reichsstadt Augsburg',0,NULL,NULL),
 (104546,10328,'Autoren','Stetten, Paul',0,NULL,NULL),
 (104547,10328,'Signatur','4 H BAV I, 3310',0,NULL,NULL),
 (104548,10328,'Erscheinungsjahr','1767',0,NULL,NULL),
 (104549,10328,'Erscheinungsort','Augsburg',0,NULL,NULL),
 (104550,10328,'Titel','Herrn Paul von Stetten, des jüngern Erläuterungen der in Kupfer gestochenen Vorstellungen, aus der Geschichte der Reichsstadt Augsburg',0,NULL,NULL),
 (104551,10328,'PPN analog a-Satz','PPN223998591',0,NULL,NULL),
 (104552,10329,'Erscheinungsjahr','1786',0,NULL,NULL),
 (104553,10329,'Titel','Ueber die Benennung Pfalz-Baiern',0,NULL,NULL),
 (104554,10329,'Autoren','Bachmann, Johann Heinrich',0,NULL,NULL),
 (104555,10329,'Verlag','[S.l.]',0,NULL,NULL),
 (104556,10329,'PPN analog a-Satz','PPN137708726',0,NULL,NULL),
 (104557,10329,'Signatur','4 H BAV I, 1448',0,NULL,NULL),
 (104558,10329,'Titel (Sortierung)','Ueber die Benennung Pfalz-Baiern',0,NULL,NULL),
 (104559,10329,'Erscheinungsort','[Mannheim]',0,NULL,NULL),
 (104560,10330,'Titel (Band) (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104561,10330,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104562,10330,'Titel (Band)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104563,10330,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104564,10330,'Autoren (Band)','Banier, Antoine',0,NULL,NULL),
 (104565,10330,'Erscheinungsjahr','1754',0,NULL,NULL),
 (104566,10330,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104567,10330,'Signatur','8 ANT II, 324:1',0,NULL,NULL),
 (104568,10330,'PPN analog f-Satz','PPN135093260',0,NULL,NULL),
 (104569,10330,'Titel (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104570,10330,'Verlag','Dyck',0,NULL,NULL),
 (104571,10330,'Bandnummer','Band 1',0,NULL,NULL),
 (104572,10330,'Titel','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104573,10330,'PPN analog c-Satz','PPN135093252',0,NULL,NULL),
 (104574,10330,'Autoren','Banier, Antoine',0,NULL,NULL),
 (104575,10331,'Signatur','8 ANT II, 324:2',0,NULL,NULL),
 (104576,10331,'Bandnummer','Band 2',0,NULL,NULL),
 (104577,10331,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104578,10331,'Erscheinungsjahr','1756',0,NULL,NULL),
 (104579,10331,'Titel (Band) (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104580,10331,'Titel (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104581,10331,'Titel (Band)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104582,10331,'PPN analog c-Satz','PPN135093252',0,NULL,NULL),
 (104583,10331,'Titel','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104584,10331,'Verlag','Dyck',0,NULL,NULL),
 (104585,10331,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104586,10331,'PPN analog f-Satz','PPN135093279',0,NULL,NULL),
 (104587,10331,'Autoren (Band)','Banier, Antoine',0,NULL,NULL),
 (104588,10331,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104589,10331,'Autoren','Banier, Antoine',0,NULL,NULL),
 (104590,10332,'Titel','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104591,10332,'PPN analog f-Satz','PPN135093287',0,NULL,NULL),
 (104592,10332,'Titel (Band) (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104593,10332,'Nummer (Sortierung)','30',0,NULL,NULL),
 (104594,10332,'Titel (Band)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104595,10332,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104596,10332,'PPN analog c-Satz','PPN135093252',0,NULL,NULL),
 (104597,10332,'Nummer (Benennung)','0003',0,NULL,NULL),
 (104598,10332,'Autoren','Banier, Antoine',0,NULL,NULL),
 (104599,10332,'Verlag','Dyck',0,NULL,NULL),
 (104600,10332,'Signatur','8 ANT II, 324:3',0,NULL,NULL),
 (104601,10332,'Bandnummer','[Bd. 3]',0,NULL,NULL),
 (104602,10332,'Titel (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104603,10332,'Autoren (Band)','Banier, Antoine',0,NULL,NULL),
 (104604,10332,'Erscheinungsjahr','1764',0,NULL,NULL),
 (104605,10333,'Verlag','Mohr',0,NULL,NULL),
 (104606,10333,'Signatur','8 ASTR I, 2775',0,NULL,NULL),
 (104607,10333,'Titel (Sortierung)','Beschreibung des Mechanismus eines sechsundzwanzigfüssigen Teleskops ohnweit Kiel',0,NULL,NULL),
 (104608,10333,'Autoren','Schrader, Johann Gottlieb Friedrich',0,NULL,NULL),
 (104609,10333,'Erscheinungsjahr','1794',0,NULL,NULL),
 (104610,10333,'Titel','Beschreibung des Mechanismus eines sechsundzwanzigfüssigen Teleskops ohnweit Kiel',0,NULL,NULL),
 (104611,10333,'Erscheinungsort','Kiel',0,NULL,NULL),
 (104612,10333,'PPN analog a-Satz','PPN14293707X',0,NULL,NULL),
 (104613,10334,'Nummer (Sortierung)','40',0,NULL,NULL),
 (104614,10334,'Erscheinungsjahr','1765',0,NULL,NULL),
 (104615,10334,'Titel (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104616,10334,'PPN analog f-Satz','PPN135093295',0,NULL,NULL),
 (104617,10334,'PPN analog c-Satz','PPN135093252',0,NULL,NULL),
 (104618,10334,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104619,10334,'Verlag','Dyck',0,NULL,NULL),
 (104620,10334,'Titel (Band) (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104621,10334,'Signatur','8 ANT II, 324:4',0,NULL,NULL),
 (104622,10334,'Autoren (Band)','Banier, Antoine',0,NULL,NULL),
 (104623,10334,'Bandnummer','Band 4',0,NULL,NULL),
 (104624,10334,'Nummer (Benennung)','0004',0,NULL,NULL),
 (104625,10334,'Titel (Band)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104626,10334,'Titel','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104627,10334,'Autoren','Banier, Antoine',0,NULL,NULL),
 (104628,10335,'PPN analog f-Satz','PPN183971132',0,NULL,NULL),
 (104629,10335,'Titel (Band) (Sortierung)','Nebst einem Register über alle Bände',0,NULL,NULL),
 (104630,10335,'Titel (Sortierung)','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104631,10335,'Titel (Band)','Nebst einem Register über alle Bände',0,NULL,NULL),
 (104632,10335,'Nummer (Benennung)','0005',0,NULL,NULL),
 (104633,10335,'Erscheinungsjahr','1766',0,NULL,NULL),
 (104634,10335,'Signatur','8 ANT II, 324:5',0,NULL,NULL),
 (104635,10335,'PPN analog c-Satz','PPN135093252',0,NULL,NULL),
 (104636,10335,'Autoren (Band)','Banier, Antoine',0,NULL,NULL),
 (104637,10335,'Bandnummer','Band 5',0,NULL,NULL),
 (104638,10335,'Autoren','Banier, Antoine',0,NULL,NULL),
 (104639,10335,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104640,10335,'Titel','Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte',0,NULL,NULL),
 (104641,10335,'Verlag','Dyck',0,NULL,NULL),
 (104642,10335,'Nummer (Sortierung)','50',0,NULL,NULL),
 (104643,10336,'Verlag','Fleischer',0,NULL,NULL),
 (104644,10336,'Autoren','Nitsch, Paul Friedrich Achat',0,NULL,NULL),
 (104645,10336,'PPN analog a-Satz','PPN133508994',0,NULL,NULL),
 (104646,10336,'Titel','Neues Mythologisches Wörterbuch',0,NULL,NULL),
 (104647,10336,'Signatur','8 ANT II, 23',0,NULL,NULL),
 (104648,10336,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104649,10336,'Titel (Sortierung)','Neues Mythologisches Wörterbuch',0,NULL,NULL),
 (104650,10336,'Erscheinungsjahr','1793',0,NULL,NULL),
 (104651,10337,'PPN analog a-Satz','PPN135105560',0,NULL,NULL),
 (104652,10337,'Autoren','Reuchlin, Fridericus Jacobus; Weber, Georg Friedrich',0,NULL,NULL),
 (104653,10337,'Verlag','Ahl',0,NULL,NULL),
 (104654,10337,'Titel (Sortierung)','Von den Leichen der Morgenländer',0,NULL,NULL),
 (104655,10337,'Titel','Von den Leichen der Morgenländer',0,NULL,NULL),
 (104656,10337,'Erscheinungsort','Coburg',0,NULL,NULL),
 (104657,10337,'Signatur','8 ANT II, 2281',0,NULL,NULL),
 (104658,10337,'Erscheinungsjahr','1782',0,NULL,NULL),
 (104659,10338,'Autoren','Forstmann, Christoph Wilhelm',0,NULL,NULL),
 (104660,10338,'Titel','Christ. Wilh. Forstmanns ausführlicher Unterricht von zeigenden und schlagenden Taschenuhren',0,NULL,NULL),
 (104661,10338,'Signatur','8 ASTR I, 2483',0,NULL,NULL),
 (104662,10338,'Erscheinungsjahr','1779',0,NULL,NULL),
 (104663,10338,'PPN analog a-Satz','PPN142952311',0,NULL,NULL),
 (104664,10338,'Verlag','Waisenhaus',0,NULL,NULL),
 (104665,10338,'Erscheinungsort','Halle',0,NULL,NULL),
 (104666,10338,'Titel (Sortierung)','Christ. Wilh. Forstmanns ausführlicher Unterricht von zeigenden und schlagenden Taschenuhren',0,NULL,NULL),
 (104667,10339,'Verlag','Meyer',0,NULL,NULL),
 (104668,10339,'Titel','Geschichte des Luxus der Athenienser von den ältesten Zeiten an bis auf den Tod Philipps von Makedonien',0,NULL,NULL),
 (104669,10339,'Erscheinungsjahr','1782',0,NULL,NULL),
 (104670,10339,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (104671,10339,'Autoren','Meiners, Christoph',0,NULL,NULL),
 (104672,10339,'Signatur','8 ANT III, 1293',0,NULL,NULL),
 (104673,10339,'Titel (Sortierung)','Geschichte des Luxus der Athenienser von den ältesten Zeiten an bis auf den Tod Philipps von Makedonien',0,NULL,NULL),
 (104674,10339,'PPN analog a-Satz','PPN135205522',0,NULL,NULL),
 (104675,10340,'Erscheinungsjahr','1769',0,NULL,NULL),
 (104676,10340,'Titel (Sortierung)','Wie die Alten den Tod gebildet',0,NULL,NULL),
 (104677,10340,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104678,10340,'Autoren','Lessing, Gotthold Ephraim',0,NULL,NULL),
 (104679,10340,'PPN analog a-Satz','PPN150899947',0,NULL,NULL),
 (104680,10340,'Signatur','8 ARCH III, 967',0,NULL,NULL),
 (104681,10340,'Titel','Wie die Alten den Tod gebildet',0,NULL,NULL),
 (104682,10340,'Verlag','Voß',0,NULL,NULL),
 (104683,10341,'Verlag','Verlage des Industrie-Comptoirs',0,NULL,NULL),
 (104684,10341,'Erscheinungsjahr','1799',0,NULL,NULL),
 (104685,10341,'Signatur','8 ASTR I, 1734',0,NULL,NULL),
 (104686,10341,'PPN analog a-Satz','PPN151103054',0,NULL,NULL),
 (104687,10341,'Titel','Lehrbuch einer populären Sternkunde nach dem gegenwärtigen Zustande der Wissenschaft',0,NULL,NULL),
 (104688,10341,'Titel (Sortierung)','Lehrbuch einer populären Sternkunde nach dem gegenwärtigen Zustande der Wissenschaft',0,NULL,NULL),
 (104689,10341,'Autoren','Voigt, Johann Heinrich',0,NULL,NULL),
 (104690,10341,'Erscheinungsort','Weimar',0,NULL,NULL),
 (104691,10342,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104692,10342,'PPN analog a-Satz','PPN142865982',0,NULL,NULL),
 (104693,10342,'Signatur','8 ASTR I, 1715',0,NULL,NULL),
 (104694,10342,'Autoren','Bode, Johann Elert',0,NULL,NULL),
 (104695,10342,'Titel','Kurzer Entwurf der astronomischen Wissenschaften',0,NULL,NULL),
 (104696,10342,'Erscheinungsjahr','1794',0,NULL,NULL),
 (104697,10342,'Titel (Sortierung)','Kurzer Entwurf der astronomischen Wissenschaften',0,NULL,NULL),
 (104698,10342,'Verlag','Himburg',0,NULL,NULL),
 (104699,10343,'Autoren','Schärer, Johann Rudolf',0,NULL,NULL),
 (104700,10343,'Titel (Sortierung)','Gemeinnüzige Unterhaltungen über die Himmelskörper',0,NULL,NULL),
 (104701,10343,'Signatur','8 ASTR I, 1708',0,NULL,NULL),
 (104702,10343,'PPN analog a-Satz','PPN142865966',0,NULL,NULL),
 (104703,10343,'Erscheinungsjahr','1785',0,NULL,NULL),
 (104704,10343,'Titel','Gemeinnüzige Unterhaltungen über die Himmelskörper',0,NULL,NULL),
 (104705,10343,'Erscheinungsort','Bern',0,NULL,NULL),
 (104706,10343,'Verlag','Haller',0,NULL,NULL),
 (104707,10344,'Nummer (Benennung)','0001',0,NULL,NULL),
 (104708,10344,'Signatur','8 ANT I, 897:1',0,NULL,NULL),
 (104709,10344,'PPN analog c-Satz','PPN037340786',0,NULL,NULL),
 (104710,10344,'Titel','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104711,10344,'Titel (Sortierung)','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104712,10344,'Titel (Band)','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104713,10344,'PPN analog f-Satz','PPN150732902',0,NULL,NULL),
 (104714,10344,'Titel (Band) (Sortierung)','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104715,10344,'Autoren (Band)','Nitsch, Paul Friedrich Achat',0,NULL,NULL),
 (104716,10344,'Autoren','Nitsch, Paul Friedrich Achat',0,NULL,NULL),
 (104717,10344,'Erscheinungsjahr','1791',0,NULL,NULL),
 (104718,10344,'Erscheinungsort','Erfurt',0,NULL,NULL),
 (104719,10344,'Verlag','Keyser',0,NULL,NULL),
 (104720,10344,'Bandnummer','Theil 1',0,NULL,NULL),
 (104721,10344,'Nummer (Sortierung)','10',0,NULL,NULL),
 (104722,10345,'Bandnummer','Theil 2',0,NULL,NULL),
 (104723,10345,'Titel (Band)',' / herausgegeben und fortgesetzt von M. Johann Georg Christian Höpfner Konrektor am Gymnasio illustri zu Eisleben ...',0,NULL,NULL),
 (104724,10345,'Autoren (Band)','Nitsch, Paul Friedrich Achat; Köpke, Georg Gustav Samuel',0,NULL,NULL),
 (104725,10345,'Signatur','8 ANT I, 897:2',0,NULL,NULL),
 (104726,10345,'Titel (Sortierung)','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104727,10345,'Titel','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104728,10345,'Erscheinungsort','Erfurt',0,NULL,NULL),
 (104729,10345,'PPN analog c-Satz','PPN037340786',0,NULL,NULL),
 (104730,10345,'PPN analog f-Satz','PPN038378922',0,NULL,NULL),
 (104731,10345,'Autoren','Nitsch, Paul Friedrich Achat',0,NULL,NULL),
 (104732,10345,'Titel (Band) (Sortierung)',' / herausgegeben und fortgesetzt von M. Johann Georg Christian Höpfner Konrektor am Gymnasio illustri zu Eisleben ...',0,NULL,NULL),
 (104733,10345,'Erscheinungsjahr','1795',0,NULL,NULL),
 (104734,10345,'Verlag','Keyser',0,NULL,NULL),
 (104735,10345,'Nummer (Benennung)','0002',0,NULL,NULL),
 (104736,10345,'Nummer (Sortierung)','20',0,NULL,NULL),
 (104737,10346,'Titel (Band) (Sortierung)',' / herausgegeben und fortgesetzt von M. Johann Georg Christian Höpfner Konrektor am Gymnasio illustri zu Eisleben ...',0,NULL,NULL),
 (104738,10346,'Erscheinungsort','Erfurt',0,NULL,NULL),
 (104739,10346,'Titel (Band)',' / herausgegeben und fortgesetzt von M. Johann Georg Christian Höpfner Konrektor am Gymnasio illustri zu Eisleben ...',0,NULL,NULL),
 (104740,10346,'Verlag','Keyser',0,NULL,NULL),
 (104741,10346,'Autoren','Nitsch, Paul Friedrich Achat',0,NULL,NULL),
 (104742,10346,'Erscheinungsjahr','1800',0,NULL,NULL),
 (104743,10346,'PPN analog c-Satz','PPN037340786',0,NULL,NULL),
 (104744,10346,'Bandnummer','Theil 3',0,NULL,NULL),
 (104745,10346,'Nummer (Sortierung)','30',0,NULL,NULL),
 (104746,10346,'Titel','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104747,10346,'Nummer (Benennung)','0003',0,NULL,NULL),
 (104748,10346,'Autoren (Band)','Nitsch, Paul Friedrich Achat; Köpke, Georg Gustav Samuel',0,NULL,NULL),
 (104749,10346,'Titel (Sortierung)','Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften',0,NULL,NULL),
 (104750,10346,'PPN analog f-Satz','PPN038378930',0,NULL,NULL),
 (104751,10346,'Signatur','8 ANT I, 897:3',0,NULL,NULL),
 (104752,10347,'Erscheinungsjahr','1782',0,NULL,NULL),
 (104753,10347,'PPN analog a-Satz','PPN14286594X',0,NULL,NULL),
 (104754,10347,'Autoren','Tutenberg, Johann Carl',0,NULL,NULL),
 (104755,10347,'Titel','Johann Carl Tutenberg\'s Unterhaltende Betrachtung der Himmelskörper, oder des großen Weltall\'s; für Kinder',0,NULL,NULL),
 (104756,10347,'Signatur','8 ASTR I, 1703',0,NULL,NULL),
 (104757,10347,'Titel (Sortierung)','Johann Carl Tutenberg\'s Unterhaltende Betrachtung der Himmelskörper, oder des großen Weltall\'s; für Kinder',0,NULL,NULL),
 (104758,10347,'Verlag','Dieterich',0,NULL,NULL),
 (104759,10347,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (104768,10349,'Signatur','8 ART PLAST V, 2437',0,NULL,NULL),
 (104769,10349,'Erscheinungsjahr','1770',0,NULL,NULL),
 (104770,10349,'Titel (Sortierung)','Vornehmste Lebensumstände des wegen seiner Kunst im Graviren hochberühmten Ritters Ferdinand von St. Urbain',0,NULL,NULL),
 (104771,10349,'Erscheinungsort','Nürnberg',0,NULL,NULL),
 (104772,10349,'PPN analog a-Satz','PPN146083180',0,NULL,NULL),
 (104773,10349,'Autoren','Exter, Friedrich',0,NULL,NULL),
 (104774,10349,'Verlag','Zeh',0,NULL,NULL),
 (104775,10349,'Titel','Vornehmste Lebensumstände des wegen seiner Kunst im Graviren hochberühmten Ritters Ferdinand von St. Urbain',0,NULL,NULL),
 (104776,10350,'Autoren','Huch, Ernst Ludwig Daniel',0,NULL,NULL),
 (104777,10350,'Titel','Philosophie der Bildhauer',0,NULL,NULL),
 (104778,10350,'Signatur','8 ART PLAST V, 2162',0,NULL,NULL),
 (104779,10350,'Verlag','Halle',0,NULL,NULL),
 (104780,10350,'Erscheinungsjahr','1775',0,NULL,NULL),
 (104781,10350,'PPN analog a-Satz','PPN146082036',0,NULL,NULL),
 (104782,10350,'Titel (Sortierung)','Philosophie der Bildhauer',0,NULL,NULL),
 (104783,10350,'Erscheinungsort','Brandenburg',0,NULL,NULL),
 (104784,10351,'Titel (Sortierung)','Matthias Oesterreichs, Inspectors der großen Königlichen Bilder-Gallerie zu Sans-Souci, Beschreibung und Erklärung der Grupen, Statüen, ganzen und halben Brust-Stücke, Basreliefs, Urnen und Vasen von Marmor, Bronze und Bley, sowohl von antiker als moderner Arbeit, welche die Sammlung Sr. Majestät, des Königs von Preußen, ausmachen',0,NULL,NULL),
 (104785,10351,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104786,10351,'Signatur','8 ART PLAST V, 1826',0,NULL,NULL),
 (104787,10351,'Autoren','Oesterreich, Matthias',0,NULL,NULL),
 (104788,10351,'Titel','Matthias Oesterreichs, Inspectors der großen Königlichen Bilder-Gallerie zu Sans-Souci, Beschreibung und Erklärung der Grupen, Statüen, ganzen und halben Brust-Stücke, Basreliefs, Urnen und Vasen von Marmor, Bronze und Bley, sowohl von antiker als moderner Arbeit, welche die Sammlung Sr. Majestät, des Königs von Preußen, ausmachen',0,NULL,NULL),
 (104789,10351,'Verlag','Decker',0,NULL,NULL),
 (104790,10351,'Erscheinungsjahr','1775',0,NULL,NULL),
 (104791,10351,'PPN analog a-Satz','PPN146082702',0,NULL,NULL),
 (104846,10356,'Verlag','Dieterich',0,NULL,NULL),
 (104847,10356,'Titel (Sortierung)','Freyer Auszug aus des Herrn Marquis von Santa-Cruz-Marzenado, Gedanken von Kriegs- und Staatsgeschäften',0,NULL,NULL),
 (104848,10356,'Erscheinungsjahr','1775',0,NULL,NULL),
 (104849,10356,'Titel','Freyer Auszug aus des Herrn Marquis von Santa-Cruz-Marzenado, Gedanken von Kriegs- und Staatsgeschäften',0,NULL,NULL),
 (104850,10356,'PPN analog a-Satz','PPN143946021',0,NULL,NULL),
 (104851,10356,'Erscheinungsort','Gotha',0,NULL,NULL),
 (104852,10356,'Autoren','Santa Cruz de Marcenado, Alvaro de Navia Osorio',0,NULL,NULL),
 (104853,10356,'Signatur','8 ARS MIL 316/7',0,NULL,NULL),
 (104854,10357,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (104855,10357,'Verlag','Leo',0,NULL,NULL),
 (104856,10357,'PPN analog a-Satz','PPN143946765',0,NULL,NULL),
 (104857,10357,'Titel (Sortierung)','Paradoxa, größtentheils militärischen Inhalts',0,NULL,NULL),
 (104858,10357,'Signatur','8 ARS MIL 320/15',0,NULL,NULL),
 (104859,10357,'Erscheinungsjahr','1798',0,NULL,NULL),
 (104860,10357,'Autoren','Brenkenhoff, Leopold',0,NULL,NULL),
 (104861,10357,'Titel','Paradoxa, größtentheils militärischen Inhalts',0,NULL,NULL),
 (104862,10358,'Autoren','',0,NULL,NULL),
 (104863,10358,'Titel','Haushalts-Reglement für die Chur-Braunschweig-Lüneburgische Infanterie',0,NULL,NULL),
 (104864,10358,'Erscheinungsjahr','1786',0,NULL,NULL),
 (104865,10358,'Signatur','8 ARS MIL 382/79',0,NULL,NULL),
 (104866,10358,'PPN analog a-Satz','PPN190629622',0,NULL,NULL),
 (104867,10358,'Erscheinungsort','Hannover',0,NULL,NULL),
 (104868,10358,'Verlag','Schlüter',0,NULL,NULL),
 (104869,10358,'Titel (Sortierung)','Haushalts-Reglement für die Chur-Braunschweig-Lüneburgische Infanterie',0,NULL,NULL),
 (104870,10359,'Erscheinungsjahr','1787',0,NULL,NULL),
 (104871,10359,'Signatur','8 ARS MIL 402/93',0,NULL,NULL),
 (104872,10359,'Verlag','Barmeier',0,NULL,NULL),
 (104873,10359,'Autoren','Sothen, Otto',0,NULL,NULL),
 (104874,10359,'Titel','Versuch einer Abhandlung von der militairischen Reiterey',0,NULL,NULL),
 (104875,10359,'PPN analog a-Satz','PPN144032635',0,NULL,NULL),
 (104876,10359,'Titel (Sortierung)','Versuch einer Abhandlung von der militairischen Reiterey',0,NULL,NULL),
 (104877,10359,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (104878,10360,'Autoren','Hüsgen, Henrich Sebastian',0,NULL,NULL),
 (104879,10360,'Verlag','Bayrhoffer',0,NULL,NULL),
 (104880,10360,'Erscheinungsort','Frankfurt am Mayn',0,NULL,NULL),
 (104881,10360,'Signatur','8 ART PLAST IV, 825',0,NULL,NULL),
 (104882,10360,'Erscheinungsjahr','1790',0,NULL,NULL),
 (104883,10360,'Titel','Artistisches Magazin',0,NULL,NULL),
 (104884,10360,'Titel (Sortierung)','Artistisches Magazin',0,NULL,NULL),
 (104885,10360,'PPN analog a-Satz','PPN146096886',0,NULL,NULL),
 (104892,10361,'Titel','Gedanken Über Einige Dem Officier Der Leichten Reuterey Nothwendige Kenntnisse',0,NULL,NULL),
 (104893,10361,'PPN analog a-Satz','PPN144032643',0,NULL,NULL),
 (104894,10362,'Erscheinungsjahr','1800',0,NULL,NULL),
 (104895,10362,'Verlag','Himburg',0,NULL,NULL),
 (104896,10362,'Titel','Beschreibung und Gebrauch einer allgemeinen Himmelscharte, mit einem durchscheinenden Horizont',0,NULL,NULL),
 (104897,10362,'PPN analog a-Satz','PPN191720208',0,NULL,NULL),
 (104898,10362,'Titel (Sortierung)','Beschreibung und Gebrauch einer allgemeinen Himmelscharte, mit einem durchscheinenden Horizont',0,NULL,NULL),
 (104899,10362,'Signatur','8 ASTR II, 452',0,NULL,NULL),
 (104900,10362,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104901,10362,'Autoren','Bode, Johann Elert',0,NULL,NULL),
 (104902,10363,'Erscheinungsort','Mannheim',0,NULL,NULL),
 (104903,10363,'Verlag','Hof- u. Akademie-Buchdrucker',0,NULL,NULL),
 (104904,10363,'Autoren','Mayer, Christian',0,NULL,NULL),
 (104905,10363,'Signatur','8 ASTR II, 1010',0,NULL,NULL),
 (104906,10363,'Erscheinungsjahr','1778',0,NULL,NULL),
 (104907,10363,'Titel','Gründliche Vertheidigung neuer Beobachtungen von Fixsterntrabanten, welche zu Mannheim auf der kurfürstlichen Sternwarte entdecket worden sind',0,NULL,NULL),
 (104908,10363,'PPN analog a-Satz','PPN142913839',0,NULL,NULL),
 (104909,10363,'Titel (Sortierung)','Gründliche Vertheidigung neuer Beobachtungen von Fixsterntrabanten, welche zu Mannheim auf der kurfürstlichen Sternwarte entdecket worden sind',0,NULL,NULL),
 (104910,10364,'PPN analog a-Satz','PPN151545782',0,NULL,NULL),
 (104911,10364,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104912,10364,'Erscheinungsjahr','1784',0,NULL,NULL),
 (104913,10364,'Signatur','8 ASTR II, 4285',0,NULL,NULL),
 (104914,10364,'Verlag','Verf.',0,NULL,NULL),
 (104915,10364,'Titel','Johann Elert Bode Astronom der Königlichen Akademie der Wissenschaften ... Von dem neu entdeckten Planeten',0,NULL,NULL),
 (104916,10364,'Autoren','Bode, Johann Elert',0,NULL,NULL),
 (104917,10364,'Titel (Sortierung)','Johann Elert Bode Astronom der Königlichen Akademie der Wissenschaften ... Von dem neu entdeckten Planeten',0,NULL,NULL),
 (104918,10365,'Signatur','8 ASTR II, 116',0,NULL,NULL),
 (104919,10365,'PPN analog a-Satz','PPN144461986',0,NULL,NULL),
 (104920,10365,'Erscheinungsort','[S.l.]',0,NULL,NULL),
 (104921,10365,'Erscheinungsjahr','1790',0,NULL,NULL),
 (104922,10365,'Verlag','',0,NULL,NULL),
 (104923,10365,'Autoren','Koch, Julius August',0,NULL,NULL),
 (104924,10365,'Titel (Sortierung)','Mayersches Zodiacal-Sternverzeichniss, auf den Anfang des Jahres 1800 reducirt, und durch Hinzusetzung der Längen und Breiten der Sterne, wie auch der jährlichen Veränderung in der geraden Aufsteigung und Abweichung',0,NULL,NULL),
 (104925,10365,'Titel','Mayersches Zodiacal-Sternverzeichniss, auf den Anfang des Jahres 1800 reducirt, und durch Hinzusetzung der Längen und Breiten der Sterne, wie auch der jährlichen Veränderung in der geraden Aufsteigung und Abweichung',0,NULL,NULL),
 (104926,10366,'Erscheinungsjahr','1785',0,NULL,NULL),
 (104927,10366,'Signatur','8 ASTR II, 4287',0,NULL,NULL),
 (104928,10366,'Titel (Sortierung)','Kosmologische Betrachtungen über den neu entdeckten Planeten',0,NULL,NULL),
 (104929,10366,'Autoren','Sack, Friedrich Wilhelm',0,NULL,NULL),
 (104930,10366,'Verlag','Decker',0,NULL,NULL),
 (104931,10366,'Titel','Kosmologische Betrachtungen über den neu entdeckten Planeten',0,NULL,NULL),
 (104932,10366,'Erscheinungsort','Berlin',0,NULL,NULL),
 (104933,10366,'PPN analog a-Satz','PPN143017934',0,NULL,NULL),
 (104942,10368,'Titel (Sortierung)','Cosmologische Briefe über die Einrichtung des Weltbaues',0,NULL,NULL),
 (104943,10368,'Autoren','Lambert, Johann Heinrich',0,NULL,NULL),
 (104944,10368,'Erscheinungsjahr','1761',0,NULL,NULL),
 (104945,10368,'PPN analog a-Satz','PPN142880132',0,NULL,NULL),
 (104946,10368,'Signatur','8 ASTR I, 6528',0,NULL,NULL),
 (104947,10368,'Verlag','Klett',0,NULL,NULL),
 (104948,10368,'Erscheinungsort','Augspurg',0,NULL,NULL),
 (104949,10368,'Titel','Cosmologische Briefe über die Einrichtung des Weltbaues',0,NULL,NULL),
 (104950,10369,'Verlag','Fickelscherr',0,NULL,NULL),
 (104951,10369,'Erscheinungsjahr','1772',0,NULL,NULL),
 (104952,10369,'Erscheinungsort','Jena',0,NULL,NULL),
 (104953,10369,'Autoren','Hamberger, Adolph Albrecht',0,NULL,NULL),
 (104954,10369,'Signatur','8 ASTR I, 6224',0,NULL,NULL),
 (104955,10369,'Titel','Die Ursachen der Bewegung der Planeten, der Schwehre und des Zusammenhangens der Körper',0,NULL,NULL),
 (104956,10369,'Titel (Sortierung)','Ursachen der Bewegung der Planeten, der Schwehre und des Zusammenhangens der Körper',0,NULL,NULL),
 (104957,10369,'PPN analog a-Satz','PPN142880094',0,NULL,NULL),
 (104958,10370,'PPN analog a-Satz','PPN142926043',0,NULL,NULL),
 (104959,10370,'Titel (Sortierung)','Astronomische Tafeln der mittlern Abstände der Sonne in Zeit vom ersten Punct der Frühlings Tag- und Nacht-Gleichen und ihrer mittlern Bewegungen für Monate und Tage zur Verwandlung der Sternzeit in mittlere Sonnenzeit und umgekehrt',0,NULL,NULL),
 (104960,10370,'Erscheinungsort','[Gotha]',0,NULL,NULL),
 (104961,10370,'Autoren','Ernst <Sachsen-Gotha-Altenburg, Herzog, II.>',0,NULL,NULL),
 (104962,10370,'Titel','Astronomische Tafeln der mittlern Abstände der Sonne in Zeit vom ersten Punct der Frühlings Tag- und Nacht-Gleichen und ihrer mittlern Bewegungen für Monate und Tage zur Verwandlung der Sternzeit in mittlere Sonnenzeit und umgekehrt',0,NULL,NULL),
 (104963,10370,'Signatur','8 ASTR II, 2730',0,NULL,NULL),
 (104964,10370,'Erscheinungsjahr','1799',0,NULL,NULL),
 (104965,10370,'Verlag','',0,NULL,NULL),
 (104966,10371,'Titel','Herrn Edmund Halleys richtige Sonnen-Tabellen auf den Londonischen mittlern Mittag gestellt',0,NULL,NULL),
 (104967,10371,'PPN analog a-Satz','PPN142926256',0,NULL,NULL),
 (104968,10371,'Verlag','Strauß',0,NULL,NULL),
 (104969,10371,'Titel (Sortierung)','Herrn Edmund Halleys richtige Sonnen-Tabellen auf den Londonischen mittlern Mittag gestellt',0,NULL,NULL),
 (104970,10371,'Erscheinungsjahr','1763',0,NULL,NULL),
 (104971,10371,'Signatur','8 ASTR II, 2715',0,NULL,NULL),
 (104972,10371,'Autoren','Schumacher, Christoph Siegmund',0,NULL,NULL),
 (104973,10371,'Erscheinungsort','Jena',0,NULL,NULL),
 (104974,10372,'Autoren','Winckelmann, Johann Joachim',0,NULL,NULL),
 (104975,10372,'Verlag','Walther',0,NULL,NULL),
 (104976,10372,'Signatur','4 ARCH I, 4610',0,NULL,NULL),
 (104977,10372,'Titel (Sortierung)','Johann Winckelmanns Nachrichten von den neuesten Herculanischen Entdeckungen',0,NULL,NULL),
 (104978,10372,'Erscheinungsjahr','1764',0,NULL,NULL),
 (104979,10372,'Erscheinungsort','Dresden',0,NULL,NULL),
 (104980,10372,'Titel','Johann Winckelmanns Nachrichten von den neuesten Herculanischen Entdeckungen',0,NULL,NULL),
 (104981,10372,'PPN analog a-Satz','PPN134029003',0,NULL,NULL),
 (104982,10373,'Autoren','Wiedeburg, Johann Ernst Basilius',0,NULL,NULL),
 (104983,10373,'Signatur','8 ASTR II, 2935',0,NULL,NULL),
 (104984,10373,'Erscheinungsjahr','1776',0,NULL,NULL),
 (104985,10373,'Titel','Neue Muthmasungen über die SonnenFlecken Kometen und die erste Geschichte der Erde',0,NULL,NULL),
 (104986,10373,'Verlag','Ettinger',0,NULL,NULL),
 (104987,10373,'Titel (Sortierung)','Neue Muthmasungen über die SonnenFlecken Kometen und die erste Geschichte der Erde',0,NULL,NULL),
 (104988,10373,'PPN analog a-Satz','PPN142942561',0,NULL,NULL),
 (104989,10373,'Erscheinungsort','Gotha',0,NULL,NULL),
 (105035,10377,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105036,10377,'Titel (Sortierung)','Parisischen Astronomi Sendschreiben von den Cometen',0,NULL,NULL),
 (105037,10377,'Verlag','Haude',0,NULL,NULL),
 (105038,10377,'Signatur','8 ASTR II, 4584',0,NULL,NULL),
 (105039,10377,'Titel','Eines Parisischen Astronomi Sendschreiben von den Cometen',0,NULL,NULL),
 (105040,10377,'Erscheinungsjahr','1744',0,NULL,NULL),
 (105041,10377,'PPN analog a-Satz','PPN143018523',0,NULL,NULL),
 (105042,10377,'Autoren','Maupertuis, Pierre Louis Moreau',0,NULL,NULL),
 (105058,10379,'Signatur','4 ASTR II, 3624:1',0,NULL,NULL),
 (105059,10379,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105060,10379,'Erscheinungsort','Wien',0,NULL,NULL),
 (105061,10379,'Titel (Sortierung)','Johann Freyherrn von Paccassi Einleitung in die Theorie des Mondes',0,NULL,NULL),
 (105062,10379,'Titel (Band)','Johann Freyherrn von Paccassi Einleitung in die Theorie des Mondes',0,NULL,NULL),
 (105063,10379,'Titel','Johann Freyherrn von Paccassi Einleitung in die Theorie des Mondes',0,NULL,NULL),
 (105064,10379,'Bandnummer','Abt.1',0,NULL,NULL),
 (105065,10379,'Titel (Band) (Sortierung)','Johann Freyherrn von Paccassi Einleitung in die Theorie des Mondes',0,NULL,NULL),
 (105066,10379,'Autoren (Band)','Paccassi, Johann',0,NULL,NULL),
 (105067,10379,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105068,10379,'Autoren','Paccassi, Johann',0,NULL,NULL),
 (105069,10379,'PPN analog f-Satz','PPN601137299',0,NULL,NULL),
 (105070,10379,'PPN analog c-Satz','PPN601136926',0,NULL,NULL),
 (105071,10379,'Verlag','Gaßler',0,NULL,NULL),
 (105072,10379,'Erscheinungsjahr','1783',0,NULL,NULL),
 (105073,10380,'Verlag','Kayserl. Academie derer Wissenschafften',0,NULL,NULL),
 (105074,10380,'PPN analog a-Satz','PPN303648880',0,NULL,NULL),
 (105075,10380,'Autoren','Heinsius, Gottfried',0,NULL,NULL),
 (105076,10380,'Titel (Sortierung)','Beschreibung des im Anfang des Jahrs 1744 erschienenen Cometen',0,NULL,NULL),
 (105077,10380,'Erscheinungsort','St. Petersburg',0,NULL,NULL),
 (105078,10380,'Titel','Beschreibung des im Anfang des Jahrs 1744 erschienenen Cometen',0,NULL,NULL),
 (105079,10380,'Signatur','4 ASTR II, 4945',0,NULL,NULL),
 (105080,10380,'Erscheinungsjahr','1744',0,NULL,NULL),
 (105081,10381,'Titel','Johann Winckelmanns, Präsidentens der Alterthümer in Rom, und Scrittore der Vaticanischen Bibliothek... Abhandlung von der Fähigkeit der Empfindung des Schönen in der Kunst und dem Unterrichte in derselben. An den Edelgebohrnen Freyherrn, Friedrich Rudolph von Berg, aus Liefland',0,NULL,NULL),
 (105082,10381,'PPN analog a-Satz','PPN145995461',0,NULL,NULL),
 (105083,10381,'Titel (Sortierung)','Johann Winckelmanns, Präsidentens der Alterthümer in Rom, und Scrittore der Vaticanischen Bibliothek... Abhandlung von der Fähigkeit der Empfindung des Schönen in der Kunst und dem Unterrichte in derselben. An den Edelgebohrnen Freyherrn, Friedrich Rudolph von Berg, aus Liefland',0,NULL,NULL),
 (105084,10381,'Autoren','Winckelmann, Johann',0,NULL,NULL),
 (105085,10381,'Verlag','Walther',0,NULL,NULL),
 (105086,10381,'Signatur','4 ART PLAST I, 202',0,NULL,NULL),
 (105087,10381,'Erscheinungsjahr','1763',0,NULL,NULL),
 (105088,10381,'Erscheinungsort','Dreßden',0,NULL,NULL),
 (105089,10382,'Verlag','Nikolai',0,NULL,NULL),
 (105090,10382,'Titel (Sortierung)','Archäologie der Literatur und Kunst',0,NULL,NULL),
 (105091,10382,'Titel','Archäologie der Literatur und Kunst',0,NULL,NULL),
 (105092,10382,'PPN analog a-Satz','PPN137361882',0,NULL,NULL),
 (105093,10382,'Erscheinungsjahr','1787',0,NULL,NULL),
 (105094,10382,'Erscheinungsort','Stettin',0,NULL,NULL),
 (105095,10382,'Signatur','8 ANT I, 754',0,NULL,NULL),
 (105096,10382,'Autoren','Eschenburg, Johann Joachim',0,NULL,NULL),
 (105097,10383,'Titel','Darstellung Der Neuen Methode Des Herrn Du Sejour Sonnen- Und Mondfinsternisse Für Einen Gegebenen Ort Analytisch Zu Berechnen',0,NULL,NULL),
 (105098,10383,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105099,10383,'Erscheinungsjahr','1794',0,NULL,NULL),
 (105100,10383,'PPN analog a-Satz','PPN14291441X',0,NULL,NULL),
 (105101,10383,'Autoren','Rüdiger, Christian Friedrich',0,NULL,NULL),
 (105102,10383,'Titel (Sortierung)','Darstellung Der Neuen Methode Des Herrn Du Sejour Sonnen- Und Mondfinsternisse Für Einen Gegebenen Ort Analytisch Zu Berechnen',0,NULL,NULL),
 (105103,10383,'Signatur','8 ASTR II, 1635',0,NULL,NULL),
 (105104,10383,'Verlag','Schäfer',0,NULL,NULL),
 (105105,10384,'Erscheinungsjahr','1783',0,NULL,NULL),
 (105106,10384,'PPN analog a-Satz','PPN144496194',0,NULL,NULL),
 (105107,10384,'Autoren','Windisch, Karl Gottlieb',0,NULL,NULL),
 (105108,10384,'Titel (Sortierung)','Karl Gottlieb von Windisch\'s Briefe über den Schachspieler des Hrn. von Kempelen',0,NULL,NULL),
 (105109,10384,'Verlag','Mechel',0,NULL,NULL),
 (105110,10384,'Signatur','8 ART ILL 2991',0,NULL,NULL),
 (105111,10384,'Erscheinungsort','Basel',0,NULL,NULL),
 (105112,10384,'Titel','Karl Gottlieb von Windisch\'s Briefe über den Schachspieler des Hrn. von Kempelen',0,NULL,NULL),
 (105113,10385,'Titel (Sortierung)','Praktische Anweisung zum planimetrischen Vermessen der Feldmarken und wie davon die Carten auszuarbeiten, zu berechnen und die Vermeß-Register einzurichten sind',0,NULL,NULL),
 (105114,10385,'Autoren','Hogrewe, Johann Ludwig',0,NULL,NULL),
 (105115,10385,'Signatur','4 GEOM PR 410',0,NULL,NULL),
 (105116,10385,'Verlag','Helwing',0,NULL,NULL),
 (105117,10385,'Erscheinungsjahr','1798',0,NULL,NULL),
 (105118,10385,'Erscheinungsort','Hannover',0,NULL,NULL),
 (105119,10385,'PPN analog a-Satz','PPN252613740',0,NULL,NULL),
 (105120,10385,'Titel','Praktische Anweisung zum planimetrischen Vermessen der Feldmarken und wie davon die Carten auszuarbeiten, zu berechnen und die Vermeß-Register einzurichten sind',0,NULL,NULL),
 (105121,10386,'Signatur','8 ANT II, 567',0,NULL,NULL),
 (105122,10386,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (105123,10386,'PPN analog a-Satz','PPN135074053',0,NULL,NULL),
 (105124,10386,'Erscheinungsjahr','1775',0,NULL,NULL),
 (105125,10386,'Titel','Versuch über die Religionsgeschichte der ältesten Völker besonders der Egyptier',0,NULL,NULL),
 (105126,10386,'Titel (Sortierung)','Versuch über die Religionsgeschichte der ältesten Völker besonders der Egyptier',0,NULL,NULL),
 (105127,10386,'Autoren','Meiners, Christoph',0,NULL,NULL),
 (105128,10386,'Verlag','Dieterich',0,NULL,NULL),
 (105129,10387,'PPN analog a-Satz','PPN135095360',0,NULL,NULL),
 (105130,10387,'Erscheinungsjahr','1783',0,NULL,NULL),
 (105131,10387,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105132,10387,'Titel (Sortierung)','Osiris und Sokrates',0,NULL,NULL),
 (105133,10387,'Signatur','8 ANT II, 904',0,NULL,NULL);
INSERT INTO `vorlageneigenschaften` (`vorlageneigenschaftenID`,`vorlagenID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (105134,10387,'Verlag','Lange',0,NULL,NULL),
 (105135,10387,'Autoren','Plessing, Friedrich Victor Leberecht',0,NULL,NULL),
 (105136,10387,'Titel','Osiris und Sokrates',0,NULL,NULL),
 (105137,10388,'Titel (Sortierung)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105138,10388,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (105139,10388,'Signatur','8 ASTR I, 585:1',0,NULL,NULL),
 (105140,10388,'Autoren','Kästner, Abraham Gotthelf',0,NULL,NULL),
 (105141,10388,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105142,10388,'Titel (Band)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105143,10388,'Erscheinungsjahr','1772',0,NULL,NULL),
 (105144,10388,'Bandnummer','Sammlung 1',0,NULL,NULL),
 (105145,10388,'Verlag','Vandenhöck',0,NULL,NULL),
 (105146,10388,'PPN analog c-Satz','PPN144415569',0,NULL,NULL),
 (105147,10388,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105148,10388,'PPN analog f-Satz','PPN144415577',0,NULL,NULL),
 (105149,10388,'Autoren (Band)','Kästner, Abraham Gotthelf',0,NULL,NULL),
 (105150,10388,'Titel','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105151,10388,'Titel (Band) (Sortierung)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105152,10389,'PPN analog f-Satz','PPN144415585',0,NULL,NULL),
 (105153,10389,'Titel','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105154,10389,'Titel (Sortierung)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105155,10389,'Verlag','Vandenhöck',0,NULL,NULL),
 (105156,10389,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105157,10389,'Erscheinungsjahr','1774',0,NULL,NULL),
 (105158,10389,'Autoren','Kästner, Abraham Gotthelf',0,NULL,NULL),
 (105159,10389,'Titel (Band)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105160,10389,'Bandnummer','Sammlung 2',0,NULL,NULL),
 (105161,10389,'Signatur','8 ASTR I, 585:2',0,NULL,NULL),
 (105162,10389,'Titel (Band) (Sortierung)','Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe',0,NULL,NULL),
 (105163,10389,'Autoren (Band)','Kästner, Abraham Gotthelf',0,NULL,NULL),
 (105164,10389,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105165,10389,'PPN analog c-Satz','PPN144415569',0,NULL,NULL),
 (105166,10389,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (105167,10390,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105168,10390,'Titel (Band)','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105169,10390,'Erscheinungsjahr','1787',0,NULL,NULL),
 (105170,10390,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105171,10390,'Signatur','8 ANT II, 346:1',0,NULL,NULL),
 (105172,10390,'Titel (Sortierung)','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105173,10390,'PPN analog c-Satz','PPN135093473',0,NULL,NULL),
 (105174,10390,'PPN analog f-Satz','PPN135093481',0,NULL,NULL),
 (105175,10390,'Bandnummer','Bd. 1',0,NULL,NULL),
 (105176,10390,'Titel','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105177,10390,'Autoren (Band)','Hermann, Martin Gottfried',0,NULL,NULL),
 (105178,10390,'Verlag','Nicolai',0,NULL,NULL),
 (105179,10390,'Titel (Band) (Sortierung)','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105180,10390,'Autoren','Hermann, Martin Gottfried',0,NULL,NULL),
 (105181,10390,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105182,10391,'Bandnummer','Bd. 2',0,NULL,NULL),
 (105183,10391,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105184,10391,'Signatur','8 ANT II, 346:2',0,NULL,NULL),
 (105185,10391,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105186,10391,'Erscheinungsjahr','1790',0,NULL,NULL),
 (105187,10391,'PPN analog f-Satz','PPN13509349X',0,NULL,NULL),
 (105188,10391,'Autoren (Band)','Hermann, Martin Gottfried',0,NULL,NULL),
 (105189,10391,'PPN analog c-Satz','PPN135093473',0,NULL,NULL),
 (105190,10391,'Titel (Band) (Sortierung)','Handbuch der Mythologie enthaltend die Mythen aus den Lyrischen Dichtern der Griechen',0,NULL,NULL),
 (105191,10391,'Autoren','Hermann, Martin Gottfried',0,NULL,NULL),
 (105192,10391,'Titel','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105193,10391,'Verlag','Nicolai',0,NULL,NULL),
 (105194,10391,'Titel (Band)','Handbuch der Mythologie enthaltend die Mythen aus den Lyrischen Dichtern der Griechen',0,NULL,NULL),
 (105195,10391,'Titel (Sortierung)','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105196,10391,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105197,10392,'Titel','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105198,10392,'Nummer (Sortierung)','30',0,NULL,NULL),
 (105199,10392,'PPN analog f-Satz','PPN135093503',0,NULL,NULL),
 (105200,10392,'Titel (Band)','Handbuch der Mythologie enthaltend die astronomischen Mythen der Griechen',0,NULL,NULL),
 (105201,10392,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105202,10392,'Autoren','Hermann, Martin Gottfried',0,NULL,NULL),
 (105203,10392,'Verlag','Nicolai',0,NULL,NULL),
 (105204,10392,'Autoren (Band)','Herrmann, Martin Gottfried',0,NULL,NULL),
 (105205,10392,'PPN analog c-Satz','PPN135093473',0,NULL,NULL),
 (105206,10392,'Nummer (Benennung)','0003',0,NULL,NULL),
 (105207,10392,'Erscheinungsjahr','1795',0,NULL,NULL),
 (105208,10392,'Titel (Band) (Sortierung)','Handbuch der Mythologie enthaltend die astronomischen Mythen der Griechen',0,NULL,NULL),
 (105209,10392,'Titel (Sortierung)','Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet',0,NULL,NULL),
 (105210,10392,'Bandnummer','Bd. 3',0,NULL,NULL),
 (105211,10392,'Signatur','8 ANT II, 346:3',0,NULL,NULL),
 (105212,10393,'PPN analog c-Satz','PPN142915661',0,NULL,NULL),
 (105213,10393,'Verlag','Decker',0,NULL,NULL),
 (105214,10393,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105215,10393,'Signatur','8 ASTR II, 1875:1',0,NULL,NULL),
 (105216,10393,'Titel (Band)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105217,10393,'PPN analog f-Satz','PPN191835846',0,NULL,NULL),
 (105218,10393,'Bandnummer','Band 1',0,NULL,NULL),
 (105219,10393,'Titel (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105220,10393,'Autoren','',0,NULL,NULL),
 (105221,10393,'Autoren (Band)','',0,NULL,NULL),
 (105222,10393,'Erscheinungsjahr','1776',0,NULL,NULL),
 (105223,10393,'Titel','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105224,10393,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105225,10393,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105226,10393,'Titel (Band) (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105227,10394,'Autoren (Band)','',0,NULL,NULL),
 (105228,10394,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105229,10394,'Autoren','',0,NULL,NULL),
 (105230,10394,'Bandnummer','Band 2',0,NULL,NULL),
 (105231,10394,'Titel','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105232,10394,'PPN analog c-Satz','PPN142915661',0,NULL,NULL),
 (105233,10394,'PPN analog f-Satz','PPN191835862',0,NULL,NULL),
 (105234,10394,'Titel (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105235,10394,'Verlag','Decker',0,NULL,NULL),
 (105236,10394,'Signatur','8 ASTR II, 1875:2',0,NULL,NULL),
 (105237,10394,'Erscheinungsjahr','1776',0,NULL,NULL),
 (105238,10394,'Titel (Band)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105239,10394,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105240,10394,'Titel (Band) (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105241,10394,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105242,10395,'Verlag','Decker',0,NULL,NULL),
 (105243,10395,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105244,10395,'Autoren (Band)','',0,NULL,NULL),
 (105245,10395,'Nummer (Sortierung)','30',0,NULL,NULL),
 (105246,10395,'Titel (Band)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105247,10395,'Erscheinungsjahr','1776',0,NULL,NULL),
 (105248,10395,'Nummer (Benennung)','0003',0,NULL,NULL),
 (105249,10395,'Bandnummer','Band 3',0,NULL,NULL),
 (105250,10395,'Titel (Band) (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105251,10395,'Signatur','8 ASTR II, 1875:3',0,NULL,NULL),
 (105252,10395,'PPN analog c-Satz','PPN142915661',0,NULL,NULL),
 (105253,10395,'Titel','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105254,10395,'PPN analog f-Satz','PPN191835900',0,NULL,NULL),
 (105255,10395,'Titel (Sortierung)','Sammlung astronomischer Tafeln',0,NULL,NULL),
 (105256,10395,'Autoren','',0,NULL,NULL),
 (105280,10398,'Verlag','Dieterich',0,NULL,NULL),
 (105281,10398,'Titel','Der Jäger im Felde oder kurze Abhandlung wie der Dienst bei leichten Truppen im Felde zu verrichten',0,NULL,NULL),
 (105282,10398,'Signatur','8 ARS MIL 410/33',0,NULL,NULL),
 (105283,10398,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (105284,10398,'Titel (Sortierung)','Jäger im Felde oder kurze Abhandlung wie der Dienst bei leichten Truppen im Felde zu verrichten',0,NULL,NULL),
 (105285,10398,'Erscheinungsjahr','1784',0,NULL,NULL),
 (105286,10398,'PPN analog a-Satz','PPN144067234',0,NULL,NULL),
 (105287,10398,'Autoren','Wissel, Georg',0,NULL,NULL),
 (105326,10402,'Erscheinungsjahr','1750',0,NULL,NULL),
 (105327,10402,'Verlag','[s.n.]',0,NULL,NULL),
 (105328,10402,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105329,10402,'Signatur','8 ARS MIL 442/23',0,NULL,NULL),
 (105330,10402,'Titel','Reglement, Vor die Königl. Preußische Infanterie',0,NULL,NULL),
 (105331,10402,'PPN analog a-Satz','PPN144129736',0,NULL,NULL),
 (105332,10402,'Titel (Sortierung)','Reglement, Vor die Königl. Preußische Infanterie',0,NULL,NULL),
 (105333,10402,'Autoren','',0,NULL,NULL),
 (105428,10413,'Verlag','[s.n.]',0,NULL,NULL),
 (105429,10413,'Erscheinungsjahr','1750',0,NULL,NULL),
 (105430,10413,'Signatur','8 ARS MIL 442/25',0,NULL,NULL),
 (105431,10413,'Autoren','',0,NULL,NULL),
 (105432,10413,'PPN analog a-Satz','PPN144129752',0,NULL,NULL),
 (105433,10413,'Titel (Sortierung)','Reglement Vor die Königl. Preußische Cavallerie-Regimenter',0,NULL,NULL),
 (105434,10413,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105435,10413,'Titel','Reglement Vor die Königl. Preußische Cavallerie-Regimenter',0,NULL,NULL),
 (105452,10415,'Signatur','8 ARS MIL 468/67',0,NULL,NULL),
 (105453,10415,'Titel','Versuch über die Märsche der Armeen, die Läger, Schlachten und den Operations-Plan',0,NULL,NULL),
 (105454,10415,'Verlag','Waltherische Hofbuchhandlung',0,NULL,NULL),
 (105455,10415,'Erscheinungsjahr','1778',0,NULL,NULL),
 (105456,10415,'Erscheinungsort','Dresden',0,NULL,NULL),
 (105457,10415,'PPN analog a-Satz','PPN144205157',0,NULL,NULL),
 (105458,10415,'Titel (Sortierung)','Versuch über die Märsche der Armeen, die Läger, Schlachten und den Operations-Plan',0,NULL,NULL),
 (105459,10415,'Autoren','Zanthier, Friedrich Wilhelm',0,NULL,NULL),
 (105468,10417,'Signatur','8 ARS MIL 716/23',0,NULL,NULL),
 (105469,10417,'Titel','Spanisches Kriegs-Reglement',0,NULL,NULL),
 (105470,10417,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105471,10417,'Titel (Sortierung)','Spanisches Kriegs-Reglement',0,NULL,NULL),
 (105472,10417,'Erscheinungsjahr','1736',0,NULL,NULL),
 (105473,10417,'PPN analog a-Satz','PPN144324342',0,NULL,NULL),
 (105474,10417,'Verlag','Haude',0,NULL,NULL),
 (105475,10417,'Autoren','',0,NULL,NULL),
 (105476,10418,'Erscheinungsjahr','1754',0,NULL,NULL),
 (105477,10418,'Verlag','König',0,NULL,NULL),
 (105478,10418,'Titel','Die Kunst im Schachspiel ein Meister zu werden. das ist: Ein neuer Unterricht, wie man in kurzem dieses so edle und beliebte Spiel nach seiner Vollkommenheit erlernen könne',0,NULL,NULL),
 (105479,10418,'Erscheinungsort','Straßburg',0,NULL,NULL),
 (105480,10418,'PPN analog a-Satz','PPN14447851X',0,NULL,NULL),
 (105481,10418,'Autoren','Philidor, André Dancian',0,NULL,NULL),
 (105482,10418,'Signatur','8 ART ILL 2970',0,NULL,NULL),
 (105483,10418,'Titel (Sortierung)','Kunst im Schachspiel ein Meister zu werden. das ist: Ein neuer Unterricht, wie man in kurzem dieses so edle und beliebte Spiel nach seiner Vollkommenheit erlernen könne',0,NULL,NULL),
 (105484,10419,'Signatur','8 ARS MIL 598/71:1,1',0,NULL,NULL),
 (105485,10419,'Erscheinungsjahr','1795',0,NULL,NULL),
 (105486,10419,'PPN analog f-Satz','PPN144272202',0,NULL,NULL),
 (105487,10419,'Titel','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105488,10419,'Autoren (Band)','Morla, Tomás',0,NULL,NULL),
 (105489,10419,'Nummer (Sortierung)','11',0,NULL,NULL),
 (105490,10419,'PPN analog c-Satz','PPN144272199',0,NULL,NULL),
 (105491,10419,'Titel (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105492,10419,'Titel (Band)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105493,10419,'Titel (Band) (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105494,10419,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105495,10419,'Nummer (Benennung)','0001_1',0,NULL,NULL),
 (105496,10419,'Verlag','Barth',0,NULL,NULL),
 (105497,10419,'Autoren','Morla, Tomás',0,NULL,NULL),
 (105498,10419,'Bandnummer','Theil 1, Band 1',0,NULL,NULL),
 (105499,10420,'Erscheinungsjahr','1796',0,NULL,NULL),
 (105500,10420,'Titel','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105501,10420,'Titel (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105502,10420,'Bandnummer','Theil 1, Band 2',0,NULL,NULL),
 (105503,10420,'Nummer (Sortierung)','12',0,NULL,NULL),
 (105504,10420,'Titel (Band) (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105505,10420,'Autoren (Band)','Morla, Tomás',0,NULL,NULL),
 (105506,10420,'PPN analog f-Satz','PPN144272210',0,NULL,NULL),
 (105507,10420,'Titel (Band)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105508,10420,'Signatur','8 ARS MIL 598/71:1,2',0,NULL,NULL),
 (105509,10420,'PPN analog c-Satz','PPN144272199',0,NULL,NULL),
 (105510,10420,'Autoren','Morla, Tomás',0,NULL,NULL),
 (105511,10420,'Nummer (Benennung)','0001_2',0,NULL,NULL),
 (105512,10420,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105513,10420,'Verlag','Barth',0,NULL,NULL),
 (105514,10421,'Titel (Band) (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105515,10421,'Autoren','Morla, Tomás',0,NULL,NULL),
 (105516,10421,'Erscheinungsjahr','1797',0,NULL,NULL),
 (105517,10421,'Signatur','8 ARS MIL 598/71:2',0,NULL,NULL),
 (105518,10421,'Titel (Band)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105519,10421,'Bandnummer','Theil 2',0,NULL,NULL),
 (105520,10421,'PPN analog f-Satz','PPN144272229',0,NULL,NULL),
 (105521,10421,'Verlag','Barth',0,NULL,NULL),
 (105522,10421,'Titel (Sortierung)','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105523,10421,'Autoren (Band)','Morla, Tomás',0,NULL,NULL),
 (105524,10421,'Titel','Lehrbuch der Artilleriewissenschaft',0,NULL,NULL),
 (105525,10421,'PPN analog c-Satz','PPN144272199',0,NULL,NULL),
 (105526,10421,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105527,10421,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105528,10421,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105553,10425,'Titel','Ueber den Nutzen und Gebrauch der alten geschnittenen Steine und ihrer Abdrücke',0,NULL,NULL),
 (105554,10425,'Erscheinungsjahr','1768',0,NULL,NULL),
 (105555,10425,'Verlag','Richter',0,NULL,NULL),
 (105556,10425,'Titel (Sortierung)','Ueber den Nutzen und Gebrauch der alten geschnittenen Steine und ihrer Abdrücke',0,NULL,NULL),
 (105557,10425,'Autoren','Klotz, Christian Adolf',0,NULL,NULL),
 (105558,10425,'PPN analog a-Satz','PPN151023158',0,NULL,NULL),
 (105559,10425,'Signatur','8 ARCH III, 2919',0,NULL,NULL),
 (105560,10425,'Erscheinungsort','Altenburg',0,NULL,NULL),
 (105561,10426,'Erscheinungsjahr','1786',0,NULL,NULL),
 (105562,10426,'Titel','Neustes Reglement für die sämmtliche Kaiserlich Königliche Kavallerie',0,NULL,NULL),
 (105563,10426,'Autoren','',0,NULL,NULL),
 (105564,10426,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105565,10426,'Verlag','Unger',0,NULL,NULL),
 (105566,10426,'PPN analog a-Satz','PPN144043742',0,NULL,NULL),
 (105567,10426,'Signatur','8 ARS MIL 404/5',0,NULL,NULL),
 (105568,10426,'Titel (Sortierung)','Neustes Reglement für die sämmtliche Kaiserlich Königliche Kavallerie',0,NULL,NULL),
 (105569,10427,'Erscheinungsort','Jena',0,NULL,NULL),
 (105570,10427,'Signatur','HG-MAG 8 ASTR II, 4593',0,NULL,NULL),
 (105571,10427,'Verlag','Ritter',0,NULL,NULL),
 (105572,10427,'Erscheinungsjahr','1744',0,NULL,NULL),
 (105573,10427,'Autoren','Wucherer, Johannes Friedrich',0,NULL,NULL),
 (105574,10427,'Titel','D. Joh. Friedrich Wucherers, Der H. Schrift und Natur-Lehre Prof. P. Ord. wie auch Hochfürstl. Sachsen-Weimarischen Kirchen-Raths, Gründliche Erörterung der Frage: Ob die Cometen nichts gutes bedeuten?',0,NULL,NULL),
 (105575,10427,'PPN analog a-Satz','PPN144568462',0,NULL,NULL),
 (105576,10427,'Titel (Sortierung)','D. Joh. Friedrich Wucherers, Der H. Schrift und Natur-Lehre Prof. P. Ord. wie auch Hochfürstl. Sachsen-Weimarischen Kirchen-Raths, Gründliche Erörterung der Frage: Ob die Cometen nichts gutes bedeuten?',0,NULL,NULL),
 (105577,10428,'Verlag','Korte',0,NULL,NULL),
 (105578,10428,'Titel (Band)','Homers Ilias',0,NULL,NULL),
 (105579,10428,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105580,10428,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105581,10428,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105582,10428,'Autoren','Homerus',0,NULL,NULL),
 (105583,10428,'Bandnummer','Bd. 1',0,NULL,NULL),
 (105584,10428,'Erscheinungsjahr','1778',0,NULL,NULL),
 (105585,10428,'Signatur','8 AUCT GR II, 847:1',0,NULL,NULL),
 (105586,10428,'Titel (Band) (Sortierung)','Homers Ilias',0,NULL,NULL),
 (105587,10428,'Titel (Sortierung)','Homers Ilias',0,NULL,NULL),
 (105588,10428,'PPN analog c-Satz','PPN141736453',0,NULL,NULL),
 (105589,10428,'Erscheinungsort','Flensburg',0,NULL,NULL),
 (105590,10428,'Titel','Homers Ilias',0,NULL,NULL),
 (105591,10428,'PPN analog f-Satz','PPN196257468',0,NULL,NULL),
 (105592,10429,'Signatur','8 ARS MIL 404/4',0,NULL,NULL),
 (105593,10429,'PPN analog a-Satz','PPN144043750',0,NULL,NULL),
 (105594,10429,'Titel (Sortierung)','Reglement für die Röm. Kayserlich-Königliche Infanterie, Cavallerie und Feld-Artillerie',0,NULL,NULL),
 (105595,10429,'Verlag','',0,NULL,NULL),
 (105596,10429,'Erscheinungsort','[S.l.]',0,NULL,NULL),
 (105597,10429,'Titel','Reglement für die Röm. Kayserlich-Königliche Infanterie, Cavallerie und Feld-Artillerie',0,NULL,NULL),
 (105598,10429,'Autoren','',0,NULL,NULL),
 (105599,10429,'Erscheinungsjahr','1757',0,NULL,NULL),
 (105600,10430,'Titel (Sortierung)','Gedichte',0,NULL,NULL),
 (105601,10430,'PPN analog a-Satz','PPN141363029',0,NULL,NULL),
 (105602,10430,'Autoren','Stolberg-Stolberg, Christian zu',0,NULL,NULL),
 (105603,10430,'Titel','Gedichte',0,NULL,NULL),
 (105604,10430,'Signatur','8 AUCT GR I, 783',0,NULL,NULL),
 (105605,10430,'Erscheinungsort','Hamburg',0,NULL,NULL),
 (105606,10430,'Verlag','Bohn',0,NULL,NULL),
 (105607,10430,'Erscheinungsjahr','1782',0,NULL,NULL),
 (105608,10431,'Titel (Band)','Homers Ilias',0,NULL,NULL),
 (105609,10431,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105610,10431,'Titel (Band) (Sortierung)','Homers Ilias',0,NULL,NULL),
 (105611,10431,'Bandnummer','Bd. 2',0,NULL,NULL),
 (105612,10431,'Titel (Sortierung)','Homers Ilias',0,NULL,NULL),
 (105613,10431,'Erscheinungsjahr','1778',0,NULL,NULL),
 (105614,10431,'PPN analog c-Satz','PPN141736453',0,NULL,NULL),
 (105615,10431,'Signatur','8 AUCT GR II, 847:2',0,NULL,NULL),
 (105616,10431,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105617,10431,'PPN analog f-Satz','PPN196257476',0,NULL,NULL),
 (105618,10431,'Titel','Homers Ilias',0,NULL,NULL),
 (105619,10431,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105620,10431,'Autoren','Homerus',0,NULL,NULL),
 (105621,10431,'Verlag','Korte',0,NULL,NULL),
 (105622,10431,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105623,10432,'Titel (Sortierung)','Anleitung wie ein junger Artillerie-Offizier in seinem Fache eine richtige Beurtheilungskraft nach Grundsätzen erlanget',0,NULL,NULL),
 (105624,10432,'PPN analog a-Satz','PPN144272180',0,NULL,NULL),
 (105625,10432,'Autoren','',0,NULL,NULL),
 (105626,10432,'Signatur','8 ARS MIL 598/65',0,NULL,NULL),
 (105627,10432,'Erscheinungsjahr','1785',0,NULL,NULL),
 (105628,10432,'Titel','Anleitung wie ein junger Artillerie-Offizier in seinem Fache eine richtige Beurtheilungskraft nach Grundsätzen erlanget',0,NULL,NULL),
 (105629,10432,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105630,10432,'Verlag','Craz',0,NULL,NULL),
 (105631,10433,'Erscheinungsjahr','1779',0,NULL,NULL),
 (105632,10433,'PPN analog a-Satz','PPN143159259',0,NULL,NULL),
 (105633,10433,'Autoren','Aeschines <Socraticus>',0,NULL,NULL),
 (105634,10433,'Signatur','8 AUCT GR III, 5380',0,NULL,NULL),
 (105635,10433,'Titel','Aeschines des Socratikers philosophische Gespräche',0,NULL,NULL),
 (105636,10433,'Verlag','Orell, Geßner, Füßlein',0,NULL,NULL),
 (105637,10433,'Erscheinungsort','Zürich',0,NULL,NULL),
 (105638,10433,'Titel (Sortierung)','Aeschines des Socratikers philosophische Gespräche',0,NULL,NULL),
 (105639,10434,'Erscheinungsjahr','1775',0,NULL,NULL),
 (105640,10434,'Signatur','8 AUCT GR II, 1821',0,NULL,NULL),
 (105641,10434,'PPN analog a-Satz','PPN143942182',0,NULL,NULL),
 (105642,10434,'Autoren','Homerus',0,NULL,NULL),
 (105643,10434,'Titel (Sortierung)','Frosch- und Mäuse-Krieg',0,NULL,NULL),
 (105644,10434,'Titel','Der Frosch- und Mäuse-Krieg',0,NULL,NULL),
 (105645,10434,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105646,10434,'Verlag','Wittekindt',0,NULL,NULL),
 (105647,10435,'Titel (Sortierung)','Homers Odüßee',0,NULL,NULL),
 (105648,10435,'Signatur','8 AUCT GR II, 1494',0,NULL,NULL),
 (105649,10435,'Verlag','Selbstverl.',0,NULL,NULL),
 (105650,10435,'Erscheinungsjahr','1781',0,NULL,NULL),
 (105651,10435,'Titel','Homers Odüßee',0,NULL,NULL),
 (105652,10435,'Autoren','Homerus',0,NULL,NULL),
 (105653,10435,'Erscheinungsort','Hamburg',0,NULL,NULL),
 (105654,10435,'PPN analog a-Satz','PPN143926616',0,NULL,NULL),
 (105655,10436,'Verlag','Renger',0,NULL,NULL),
 (105656,10436,'Autoren','Semler, Christian Gottlieb',0,NULL,NULL),
 (105657,10436,'Titel','M. Christian Gottlieb Semlers Astrognosia Nova oder Ausführliche Beschreibung des gantzen Fixstern und Planeten Himmels',0,NULL,NULL),
 (105658,10436,'Signatur','8 ASTR II, 648',0,NULL,NULL),
 (105659,10436,'Titel (Sortierung)','M. Christian Gottlieb Semlers Astrognosia Nova oder Ausführliche Beschreibung des gantzen Fixstern und Planeten Himmels',0,NULL,NULL),
 (105660,10436,'Erscheinungsjahr','1742',0,NULL,NULL),
 (105661,10436,'PPN analog a-Satz','PPN142872482',0,NULL,NULL),
 (105662,10436,'Erscheinungsort','Halle',0,NULL,NULL),
 (105663,10437,'Titel (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105664,10437,'PPN analog c-Satz','PPN141695838',0,NULL,NULL),
 (105665,10437,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (105666,10437,'Titel (Band) (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105667,10437,'Signatur','8 AUCT GR II, 490:1',0,NULL,NULL),
 (105668,10437,'Autoren','Homerus',0,NULL,NULL),
 (105669,10437,'PPN analog f-Satz','PPN227084136',0,NULL,NULL),
 (105670,10437,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105671,10437,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105672,10437,'Bandnummer','Bd. 1',0,NULL,NULL),
 (105673,10437,'Titel (Band)','Des Homerus Werke',0,NULL,NULL),
 (105674,10437,'Verlag','Meyer',0,NULL,NULL),
 (105675,10437,'Erscheinungsjahr','1769',0,NULL,NULL),
 (105676,10437,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105677,10437,'Titel','Des Homerus Werke',0,NULL,NULL),
 (105678,10438,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (105679,10438,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105680,10438,'PPN analog c-Satz','PPN141695838',0,NULL,NULL),
 (105681,10438,'PPN analog f-Satz','PPN249151944',0,NULL,NULL),
 (105682,10438,'Titel (Band)','Des Homerus Werke',0,NULL,NULL),
 (105683,10438,'Autoren','Homerus',0,NULL,NULL),
 (105684,10438,'Titel (Band) (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105685,10438,'Erscheinungsjahr','1769',0,NULL,NULL),
 (105686,10438,'Bandnummer','Bd. 2',0,NULL,NULL),
 (105687,10438,'Titel (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105688,10438,'Verlag','Meyer',0,NULL,NULL),
 (105689,10438,'Signatur','8 AUCT GR II, 490:2',0,NULL,NULL),
 (105690,10438,'Titel','Des Homerus Werke',0,NULL,NULL),
 (105691,10438,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105692,10438,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105693,10439,'Signatur','8 AUCT GR II, 490:3',0,NULL,NULL),
 (105694,10439,'PPN analog f-Satz','PPN491776365',0,NULL,NULL),
 (105695,10439,'Verlag','Meyer',0,NULL,NULL),
 (105696,10439,'PPN analog c-Satz','PPN141695838',0,NULL,NULL),
 (105697,10439,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (105698,10439,'Titel (Band)','Des Homerus Werke',0,NULL,NULL),
 (105699,10439,'Titel (Band) (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105700,10439,'Bandnummer','Bd. 3 = Abtheilung 1',0,NULL,NULL),
 (105701,10439,'Nummer (Benennung)','0003',0,NULL,NULL),
 (105702,10439,'Erscheinungsjahr','1770',0,NULL,NULL),
 (105703,10439,'Autoren','Homerus',0,NULL,NULL),
 (105704,10439,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105705,10439,'Nummer (Sortierung)','30',0,NULL,NULL),
 (105706,10439,'Titel (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105707,10439,'Titel','Des Homerus Werke',0,NULL,NULL),
 (105708,10440,'Autoren','Lindenau, Carl Friedrich',0,NULL,NULL),
 (105709,10440,'Titel','Ueber Winterpostirungen',0,NULL,NULL),
 (105710,10440,'Erscheinungsjahr','1789',0,NULL,NULL),
 (105711,10440,'Titel (Sortierung)','Ueber Winterpostirungen',0,NULL,NULL),
 (105712,10440,'PPN analog a-Satz','PPN144206013',0,NULL,NULL),
 (105713,10440,'Verlag','Beygang',0,NULL,NULL),
 (105714,10440,'Signatur','8 ARS MIL 484/19',0,NULL,NULL),
 (105715,10440,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (105716,10441,'Titel (Band)','Iliade',0,NULL,NULL),
 (105717,10441,'Autoren','Homerus',0,NULL,NULL),
 (105718,10441,'Bandnummer','Bd. 4 = Abtheilung 2',0,NULL,NULL),
 (105719,10441,'Signatur','8 AUCT GR II, 490:4',0,NULL,NULL),
 (105720,10441,'Verlag','Meyer',0,NULL,NULL),
 (105721,10441,'Nummer (Sortierung)','40',0,NULL,NULL),
 (105722,10441,'PPN analog f-Satz','PPN320986381',0,NULL,NULL),
 (105723,10441,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105724,10441,'Nummer (Benennung)','0004',0,NULL,NULL),
 (105725,10441,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (105726,10441,'Erscheinungsjahr','1771',0,NULL,NULL),
 (105727,10441,'Titel','Des Homerus Werke',0,NULL,NULL),
 (105728,10441,'Titel (Sortierung)','Homerus Werke',0,NULL,NULL),
 (105729,10441,'Titel (Band) (Sortierung)','Iliade',0,NULL,NULL),
 (105730,10441,'PPN analog c-Satz','PPN141695838',0,NULL,NULL),
 (105731,10442,'Autoren','Müller, Friedrich Christoph',0,NULL,NULL),
 (105732,10442,'Titel','Friedrich Christoph von Müller, vom Gebrauch der Taschenuhren, zu geometrischen Messungen; und insbesondere zum Aufnehmen militairischer Situationscharten',0,NULL,NULL),
 (105733,10442,'Signatur','8 ARS MIL 470/23',0,NULL,NULL),
 (105734,10442,'Verlag','Decker',0,NULL,NULL),
 (105735,10442,'Titel (Sortierung)','Friedrich Christoph von Müller, vom Gebrauch der Taschenuhren, zu geometrischen Messungen; und insbesondere zum Aufnehmen militairischer Situationscharten',0,NULL,NULL),
 (105736,10442,'PPN analog a-Satz','PPN144205327',0,NULL,NULL),
 (105737,10442,'Erscheinungsort','Berlin ; Leipzig',0,NULL,NULL),
 (105738,10442,'Erscheinungsjahr','1777',0,NULL,NULL),
 (105739,10443,'Titel (Band)','Ilias',0,NULL,NULL),
 (105740,10443,'Titel','Homers Werke',0,NULL,NULL),
 (105741,10443,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105742,10443,'Autoren','Homerus',0,NULL,NULL),
 (105743,10443,'PPN analog c-Satz','PPN141695897',0,NULL,NULL),
 (105744,10443,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105745,10443,'Erscheinungsort','Zürich',0,NULL,NULL),
 (105746,10443,'Titel (Sortierung)','Homers Werke',0,NULL,NULL),
 (105747,10443,'Titel (Band) (Sortierung)','Ilias',0,NULL,NULL),
 (105748,10443,'PPN analog f-Satz','PPN141695919',0,NULL,NULL),
 (105749,10443,'Erscheinungsjahr','1778',0,NULL,NULL),
 (105750,10443,'Bandnummer','Bd. 1',0,NULL,NULL),
 (105751,10443,'Signatur','8 AUCT GR II, 491:1',0,NULL,NULL),
 (105752,10443,'Verlag','Orell, Geßner, Füeßlin',0,NULL,NULL),
 (105753,10443,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105769,10445,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105770,10445,'PPN analog f-Satz','PPN141695935',0,NULL,NULL),
 (105771,10445,'Titel (Band)','Odyssee',0,NULL,NULL),
 (105772,10445,'Autoren','Homerus',0,NULL,NULL),
 (105773,10445,'Erscheinungsort','Zürich',0,NULL,NULL),
 (105774,10445,'Verlag','Orell, Geßner, Füeßlin',0,NULL,NULL),
 (105775,10445,'Titel','Homers Werke',0,NULL,NULL),
 (105776,10445,'Titel (Sortierung)','Homers Werke',0,NULL,NULL),
 (105777,10445,'Erscheinungsjahr','1778',0,NULL,NULL),
 (105778,10445,'Bandnummer','Bd. 2',0,NULL,NULL),
 (105779,10445,'PPN analog c-Satz','PPN141695897',0,NULL,NULL),
 (105780,10445,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105781,10445,'Signatur','8 AUCT GR II, 491:2',0,NULL,NULL),
 (105782,10445,'Titel (Band) (Sortierung)','Odyssee',0,NULL,NULL),
 (105783,10445,'Autoren (Band)','Homerus',0,NULL,NULL),
 (105829,10449,'Erscheinungsjahr','1785',0,NULL,NULL),
 (105830,10449,'Titel','Theoretische und praktische Anweisung zur militairischen Aufnahme oder Vermessung im Felde',0,NULL,NULL),
 (105831,10449,'Signatur','8 ARS MIL 470/19',0,NULL,NULL),
 (105832,10449,'Titel (Sortierung)','Theoretische und praktische Anweisung zur militairischen Aufnahme oder Vermessung im Felde',0,NULL,NULL),
 (105833,10449,'Autoren','Hogrewe, Johann Ludwig',0,NULL,NULL),
 (105834,10449,'Erscheinungsort','Hannover',0,NULL,NULL),
 (105835,10449,'PPN analog a-Satz','PPN144205319',0,NULL,NULL),
 (105836,10449,'Verlag','Pockwitz',0,NULL,NULL),
 (105837,10450,'Verlag','Königl. Hofbuchdruckerey',0,NULL,NULL),
 (105838,10450,'Titel (Sortierung)','Über Die Abweichung Geworfener Körper Von Der Verticalen Richtungsebene',0,NULL,NULL),
 (105839,10450,'PPN analog a-Satz','PPN144279657',0,NULL,NULL),
 (105840,10450,'Titel','Über Die Abweichung Geworfener Körper Von Der Verticalen Richtungsebene',0,NULL,NULL),
 (105841,10450,'Erscheinungsjahr','1795',0,NULL,NULL),
 (105842,10450,'Signatur','8 ARS MIL 620/29',0,NULL,NULL),
 (105843,10450,'Autoren','Rohde, Johann Philipp',0,NULL,NULL),
 (105844,10450,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105868,10453,'Titel (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105869,10453,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105870,10453,'Titel (Band) (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105871,10453,'Erscheinungsjahr','1767',0,NULL,NULL),
 (105872,10453,'Autoren','',0,NULL,NULL),
 (105873,10453,'Erscheinungsort','Brandenburg',0,NULL,NULL),
 (105874,10453,'Signatur','8 AUCT GR I, 4104:1',0,NULL,NULL),
 (105875,10453,'Verlag','Halle',0,NULL,NULL),
 (105876,10453,'Titel','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105877,10453,'Autoren (Band)','',0,NULL,NULL),
 (105878,10453,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105879,10453,'PPN analog f-Satz','PPN143888854',0,NULL,NULL),
 (105880,10453,'Titel (Band)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105881,10453,'PPN analog c-Satz','PPN143888846',0,NULL,NULL),
 (105882,10453,'Bandnummer','Bd. 1',0,NULL,NULL),
 (105883,10454,'Autoren','',0,NULL,NULL),
 (105884,10454,'Autoren (Band)','',0,NULL,NULL),
 (105885,10454,'Verlag','Halle',0,NULL,NULL),
 (105886,10454,'Titel (Band)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105887,10454,'Erscheinungsjahr','1767',0,NULL,NULL),
 (105888,10454,'PPN analog c-Satz','PPN143888846',0,NULL,NULL),
 (105889,10454,'Titel (Band) (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105890,10454,'Erscheinungsort','Brandenburg',0,NULL,NULL),
 (105891,10454,'Bandnummer','Bd. 2',0,NULL,NULL),
 (105892,10454,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105893,10454,'PPN analog f-Satz','PPN185840140',0,NULL,NULL),
 (105894,10454,'Titel','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105895,10454,'Titel (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105896,10454,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105897,10454,'Signatur','8 AUCT GR I, 4104:2',0,NULL,NULL),
 (105898,10455,'Titel','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105899,10455,'Autoren','',0,NULL,NULL),
 (105900,10455,'Nummer (Sortierung)','30',0,NULL,NULL),
 (105901,10455,'PPN analog c-Satz','PPN143888846',0,NULL,NULL),
 (105902,10455,'Titel (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105903,10455,'Titel (Band) (Sortierung)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105904,10455,'Signatur','8 AUCT GR I, 4104:3',0,NULL,NULL),
 (105905,10455,'Erscheinungsjahr','1768',0,NULL,NULL),
 (105906,10455,'Nummer (Benennung)','0003',0,NULL,NULL),
 (105907,10455,'Autoren (Band)','',0,NULL,NULL),
 (105908,10455,'PPN analog f-Satz','PPN185840175',0,NULL,NULL),
 (105909,10455,'Verlag','Halle',0,NULL,NULL),
 (105910,10455,'Bandnummer','Bd. 3',0,NULL,NULL),
 (105911,10455,'Titel (Band)','Griechische und römische Anthologie in deutschen Uebersetzungen',0,NULL,NULL),
 (105912,10455,'Erscheinungsort','Brandenburg',0,NULL,NULL),
 (105913,10456,'PPN analog c-Satz','PPN142113638',0,NULL,NULL),
 (105914,10456,'Titel (Band)','Sophokles',0,NULL,NULL),
 (105915,10456,'Verlag','Schweighauser',0,NULL,NULL),
 (105916,10456,'Titel (Band) (Sortierung)','Sophokles',0,NULL,NULL),
 (105917,10456,'Autoren (Band)','Sophocles',0,NULL,NULL),
 (105918,10456,'Autoren','Sophocles',0,NULL,NULL),
 (105919,10456,'Nummer (Sortierung)','10',0,NULL,NULL),
 (105920,10456,'Titel','Sophokles',0,NULL,NULL),
 (105921,10456,'Erscheinungsjahr','1781',0,NULL,NULL),
 (105922,10456,'Bandnummer','Theil 1',0,NULL,NULL),
 (105923,10456,'Signatur','8 AUCT GR II, 6322:1',0,NULL,NULL),
 (105924,10456,'Titel (Sortierung)','Sophokles',0,NULL,NULL),
 (105925,10456,'Nummer (Benennung)','0001',0,NULL,NULL),
 (105926,10456,'Erscheinungsort','Basel',0,NULL,NULL),
 (105927,10456,'PPN analog f-Satz','PPN232431531',0,NULL,NULL),
 (105928,10457,'Nummer (Sortierung)','20',0,NULL,NULL),
 (105929,10457,'PPN analog c-Satz','PPN142113638',0,NULL,NULL),
 (105930,10457,'Erscheinungsjahr','1781',0,NULL,NULL),
 (105931,10457,'Titel (Band) (Sortierung)','Sophokles',0,NULL,NULL),
 (105932,10457,'PPN analog f-Satz','PPN23243154X',0,NULL,NULL),
 (105933,10457,'Bandnummer','Theil 2',0,NULL,NULL),
 (105934,10457,'Autoren (Band)','Sophocles',0,NULL,NULL),
 (105935,10457,'Nummer (Benennung)','0002',0,NULL,NULL),
 (105936,10457,'Signatur','8 AUCT GR II, 6322:2',0,NULL,NULL),
 (105937,10457,'Verlag','Schweighauser',0,NULL,NULL),
 (105938,10457,'Autoren','Sophocles',0,NULL,NULL),
 (105939,10457,'Titel','Sophokles',0,NULL,NULL),
 (105940,10457,'Titel (Band)','Sophokles',0,NULL,NULL),
 (105941,10457,'Titel (Sortierung)','Sophokles',0,NULL,NULL),
 (105942,10457,'Erscheinungsort','Basel',0,NULL,NULL),
 (105943,10458,'Signatur','8 AUCT GR IV, 4855',0,NULL,NULL),
 (105944,10458,'Verlag','Franke',0,NULL,NULL),
 (105945,10458,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105946,10458,'Titel (Sortierung)','Theokrits Idyllen Und Epigramme',0,NULL,NULL),
 (105947,10458,'Erscheinungsjahr','1793',0,NULL,NULL),
 (105948,10458,'PPN analog a-Satz','PPN145612465',0,NULL,NULL),
 (105949,10458,'Autoren','Theocritus',0,NULL,NULL),
 (105950,10458,'Titel','Theokrits Idyllen Und Epigramme',0,NULL,NULL),
 (105956,10459,'Erscheinungsjahr','1773',0,NULL,NULL),
 (105957,10459,'Titel (Sortierung)','sechs ersten Bücher der geometrischen Anfangsgründe des Euklides zum Gebrauch der Schulen',0,NULL,NULL),
 (105958,10459,'Erscheinungsort','Halle',0,NULL,NULL),
 (105975,10462,'Signatur','8 AUCT GR III, 5934',0,NULL,NULL),
 (105976,10462,'Autoren','Schlosser, Johann Georg',0,NULL,NULL),
 (105977,10462,'PPN analog a-Satz','PPN134906047',0,NULL,NULL),
 (105978,10462,'Titel (Sortierung)','Euthyphron II',0,NULL,NULL),
 (105979,10462,'Verlag','Serini',0,NULL,NULL),
 (105980,10462,'Titel','Euthyphron II',0,NULL,NULL),
 (105981,10462,'Erscheinungsjahr','1787',0,NULL,NULL),
 (105982,10462,'Erscheinungsort','Basel',0,NULL,NULL),
 (105991,10464,'Erscheinungsort','Berlin',0,NULL,NULL),
 (105992,10464,'PPN analog a-Satz','PPN147737443',0,NULL,NULL),
 (105993,10464,'Autoren','Engel, Johann Jakob ',0,NULL,NULL),
 (105994,10464,'Verlag','Voß',0,NULL,NULL),
 (105995,10464,'Titel','Versuch einer Methode die Vernunftlehre aus Platonischen Dialogen zu entwickeln',0,NULL,NULL),
 (105996,10464,'Titel (Sortierung)','Versuch einer Methode die Vernunftlehre aus Platonischen Dialogen zu entwickeln',0,NULL,NULL),
 (105997,10464,'Signatur','8 AUCT GR III, 7146',0,NULL,NULL),
 (105998,10464,'Erscheinungsjahr','1780',0,NULL,NULL),
 (106007,10466,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106008,10466,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106009,10466,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106010,10466,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106011,10466,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106012,10466,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106013,10466,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106014,10466,'PPN analog f-Satz','PPN185285201',0,NULL,NULL),
 (106015,10466,'Signatur','8 FAB II, 731:1',0,NULL,NULL),
 (106016,10466,'Verlag','Fritsch',0,NULL,NULL),
 (106017,10466,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106018,10466,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106019,10466,'Erscheinungsjahr','1775',0,NULL,NULL),
 (106020,10466,'Bandnummer','Theil 1',0,NULL,NULL),
 (106021,10466,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106030,10468,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106031,10468,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106032,10468,'PPN analog f-Satz','PPN185285228',0,NULL,NULL),
 (106033,10468,'Signatur','8 FAB II, 731:2',0,NULL,NULL),
 (106034,10468,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106035,10468,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106036,10468,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106037,10468,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106038,10468,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106039,10468,'Bandnummer','Theil 2',0,NULL,NULL),
 (106040,10468,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106041,10468,'Verlag','Fritsch',0,NULL,NULL),
 (106042,10468,'Erscheinungsjahr','1775',0,NULL,NULL),
 (106043,10468,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106044,10468,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106045,10469,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106046,10469,'Bandnummer','Theil 3',0,NULL,NULL),
 (106047,10469,'PPN analog f-Satz','PPN185285252',0,NULL,NULL),
 (106048,10469,'Verlag','Fritsch',0,NULL,NULL),
 (106049,10469,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106050,10469,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106051,10469,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106052,10469,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106053,10469,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106054,10469,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106055,10469,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106056,10469,'Signatur','8 FAB II, 731:3',0,NULL,NULL),
 (106057,10469,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106058,10469,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106059,10469,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106060,10470,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106061,10470,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106062,10470,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106063,10470,'Nummer (Sortierung)','40',0,NULL,NULL),
 (106064,10470,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106065,10470,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106066,10470,'Bandnummer','Theil 4',0,NULL,NULL),
 (106067,10470,'Verlag','Fritsch',0,NULL,NULL),
 (106068,10470,'Signatur','8 FAB II, 731:4',0,NULL,NULL),
 (106069,10470,'Nummer (Benennung)','0004',0,NULL,NULL),
 (106070,10470,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106071,10470,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106072,10470,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106073,10470,'PPN analog f-Satz','PPN185285260',0,NULL,NULL),
 (106074,10470,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106075,10471,'PPN analog f-Satz','PPN185285325',0,NULL,NULL),
 (106076,10471,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106077,10471,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106078,10471,'Verlag','Fritsch',0,NULL,NULL),
 (106079,10471,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106080,10471,'Nummer (Benennung)','0005',0,NULL,NULL),
 (106081,10471,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106082,10471,'Nummer (Sortierung)','50',0,NULL,NULL),
 (106083,10471,'Erscheinungsort','Weimar',0,NULL,NULL),
 (106084,10471,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106085,10471,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106086,10471,'Signatur','8 FAB II, 731:5',0,NULL,NULL),
 (106087,10471,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106088,10471,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106089,10471,'Bandnummer','Theil 5',0,NULL,NULL),
 (106090,10472,'Titel','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106091,10472,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106092,10472,'Titel (Band)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106093,10472,'PPN analog f-Satz','PPN185285368',0,NULL,NULL),
 (106094,10472,'Signatur','8 FAB II, 731:6',0,NULL,NULL),
 (106095,10472,'PPN analog c-Satz','PPN147559049',0,NULL,NULL),
 (106096,10472,'Nummer (Sortierung)','60',0,NULL,NULL),
 (106097,10472,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106098,10472,'Titel (Band) (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106099,10472,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106100,10472,'Verlag','Fritsch',0,NULL,NULL),
 (106101,10472,'Bandnummer','Theil 6',0,NULL,NULL),
 (106102,10472,'Erscheinungsort','Weimar',0,NULL,NULL),
 (106103,10472,'Titel (Sortierung)','Leben und Thaten des weisen Junkers Don Quixote von Mancha',0,NULL,NULL),
 (106104,10472,'Nummer (Benennung)','0006',0,NULL,NULL),
 (106121,10475,'Titel','Mäcenas. Von Kluger und Gerechter Regierung',0,NULL,NULL),
 (106122,10475,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106123,10475,'Signatur','8 AUCT GR V, 6820',0,NULL,NULL),
 (106124,10475,'PPN analog a-Satz','PPN15027128X',0,NULL,NULL),
 (106125,10475,'Verlag','Ritter',0,NULL,NULL),
 (106126,10475,'Titel (Sortierung)','Mäcenas. Von Kluger und Gerechter Regierung',0,NULL,NULL),
 (106127,10475,'Autoren','Mäcenas, ...',0,NULL,NULL),
 (106128,10475,'Erscheinungsjahr','1748',0,NULL,NULL),
 (106129,10476,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106130,10476,'Verlag','Hermann',0,NULL,NULL),
 (106131,10476,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106132,10476,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106133,10476,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106134,10476,'Autoren','Plutarchus',0,NULL,NULL),
 (106135,10476,'PPN analog f-Satz','PPN146185269',0,NULL,NULL),
 (106136,10476,'Signatur','8 AUCT LAT V, 3107:1',0,NULL,NULL),
 (106137,10476,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106138,10476,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106139,10476,'Erscheinungsjahr','1783',0,NULL,NULL),
 (106140,10476,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106141,10476,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106142,10476,'Bandnummer','[Bd. 1]',0,NULL,NULL),
 (106143,10476,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106152,10478,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106153,10478,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106154,10478,'Bandnummer','Band 2',0,NULL,NULL),
 (106155,10478,'Erscheinungsjahr','1784',0,NULL,NULL),
 (106156,10478,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106157,10478,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106158,10478,'Verlag','Hermann',0,NULL,NULL),
 (106159,10478,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106160,10478,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106161,10478,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106162,10478,'PPN analog f-Satz','PPN146185277',0,NULL,NULL),
 (106163,10478,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106164,10478,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106165,10478,'Signatur','8 AUCT GR V, 3107:2',0,NULL,NULL),
 (106166,10478,'Autoren','Plutarchus',0,NULL,NULL),
 (106175,10480,'Erscheinungsjahr','1779',0,NULL,NULL),
 (106176,10480,'Bandnummer','Bd. 1',0,NULL,NULL),
 (106177,10480,'Verlag','Dodsley',0,NULL,NULL),
 (106178,10480,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106179,10480,'Signatur','8 FAB II, 907:1',0,NULL,NULL),
 (106180,10480,'PPN analog f-Satz','PPN133535258',0,NULL,NULL),
 (106181,10480,'Titel','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106182,10480,'Titel (Sortierung)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106183,10480,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106184,10480,'Titel (Band)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106185,10480,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106186,10480,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106187,10480,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106188,10480,'PPN analog c-Satz','PPN13353524X',0,NULL,NULL),
 (106189,10480,'Titel (Band) (Sortierung)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106230,10485,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106231,10485,'Verlag','Hermann',0,NULL,NULL),
 (106232,10485,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106233,10485,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106234,10485,'PPN analog f-Satz','PPN146185285',0,NULL,NULL),
 (106235,10485,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106236,10485,'Erscheinungsjahr','1786',0,NULL,NULL),
 (106237,10485,'Autoren','Plutarchus',0,NULL,NULL),
 (106238,10485,'Signatur','8 AUCT GR V, 3107:3',0,NULL,NULL),
 (106239,10485,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106240,10485,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106241,10485,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106242,10485,'Bandnummer','Band 3',0,NULL,NULL),
 (106243,10485,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106244,10485,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106245,10486,'Bandnummer','Bd. 2',0,NULL,NULL),
 (106246,10486,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106247,10486,'Titel (Band)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106248,10486,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106249,10486,'Signatur','8 FAB II, 907:2',0,NULL,NULL),
 (106250,10486,'Titel','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106251,10486,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106252,10486,'Titel (Sortierung)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106253,10486,'Autoren','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106254,10486,'Titel (Band) (Sortierung)','Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte',0,NULL,NULL),
 (106255,10486,'Autoren (Band)','Cervantes Saavedra, Miguel',0,NULL,NULL),
 (106256,10486,'Verlag','Dodsley',0,NULL,NULL),
 (106257,10486,'PPN analog c-Satz','PPN13353524X',0,NULL,NULL),
 (106258,10486,'PPN analog f-Satz','PPN133535266',0,NULL,NULL),
 (106259,10486,'Erscheinungsjahr','1779',0,NULL,NULL),
 (106260,10487,'Nummer (Sortierung)','40',0,NULL,NULL),
 (106261,10487,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106262,10487,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106263,10487,'Erscheinungsjahr','1789',0,NULL,NULL),
 (106264,10487,'PPN analog f-Satz','PPN146185293',0,NULL,NULL),
 (106265,10487,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106266,10487,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106267,10487,'Nummer (Benennung)','0004',0,NULL,NULL),
 (106268,10487,'Signatur','8 AUCT GR V, 3107:4',0,NULL,NULL),
 (106269,10487,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106270,10487,'Autoren','Plutarchus',0,NULL,NULL),
 (106271,10487,'Bandnummer','Band 4',0,NULL,NULL),
 (106272,10487,'Verlag','Hermann',0,NULL,NULL),
 (106273,10487,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106274,10487,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106291,10489,'Erscheinungsort','Breslau',0,NULL,NULL),
 (106292,10489,'Autoren','',0,NULL,NULL),
 (106293,10489,'Titel','Ursprung, Natur und Fortpflanzung einer heiligen Wissenschaft, Schrift und Sprache unter den Stammvätern des Menschengeschlechts: oder Erklärung dunkler Fabeln und Traditionen von Adam, Seth, Henoch, Noah, Abraham, Joseph und Moses',0,NULL,NULL),
 (106294,10489,'Signatur','8 BIBL I, 1370',0,NULL,NULL),
 (106295,10489,'Titel (Sortierung)','Ursprung, Natur und Fortpflanzung einer heiligen Wissenschaft, Schrift und Sprache unter den Stammvätern des Menschengeschlechts: oder Erklärung dunkler Fabeln und Traditionen von Adam, Seth, Henoch, Noah, Abraham, Joseph und Moses',0,NULL,NULL),
 (106296,10489,'Erscheinungsjahr','1786',0,NULL,NULL),
 (106297,10489,'PPN analog a-Satz','PPN146464524',0,NULL,NULL),
 (106298,10489,'Verlag','Löwe',0,NULL,NULL),
 (106299,10490,'Erscheinungsjahr','1719',0,NULL,NULL),
 (106300,10490,'PPN analog a-Satz','PPN145848922',0,NULL,NULL),
 (106301,10490,'Titel (Sortierung)','weise und tugendhaffte Epictetus, In der Sauer-Brunnen-Cur zu Schwalbach',0,NULL,NULL),
 (106302,10490,'Autoren','Faramond, Ludwig Ernst',0,NULL,NULL),
 (106303,10490,'Signatur','8 AUCT GR V, 750 (1)',0,NULL,NULL),
 (106304,10490,'Verlag','Monath',0,NULL,NULL),
 (106305,10490,'Titel','Der weise und tugendhaffte Epictetus, In der Sauer-Brunnen-Cur zu Schwalbach',0,NULL,NULL),
 (106306,10490,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106315,10492,'Titel (Sortierung)','Johann Wagstaffs Gründlich Ausgeführte Materie Von der Hexerey Oder: Die Meynung derer jenigen so da glauben, daß es Hexen gebe; Deutlich widerlegt und mit vernünfftigen Anmerckungen über jedes Capitel erläutert',0,NULL,NULL),
 (106316,10492,'Signatur','8 AUCT GR V, 750 (2)',0,NULL,NULL),
 (106317,10492,'Erscheinungsort','Halle',0,NULL,NULL),
 (106318,10492,'Autoren','Wagstaffe, John',0,NULL,NULL),
 (106319,10492,'PPN analog a-Satz','PPN145848949',0,NULL,NULL),
 (106320,10492,'Erscheinungsjahr','1711',0,NULL,NULL),
 (106321,10492,'Verlag','Renger',0,NULL,NULL),
 (106322,10492,'Titel','Johann Wagstaffs Gründlich Ausgeführte Materie Von der Hexerey Oder: Die Meynung derer jenigen so da glauben, daß es Hexen gebe; Deutlich widerlegt und mit vernünfftigen Anmerckungen über jedes Capitel erläutert',0,NULL,NULL),
 (106323,10493,'Signatur','8 AUCT GR V, 3107:5',0,NULL,NULL),
 (106324,10493,'PPN analog f-Satz','PPN146185307',0,NULL,NULL),
 (106325,10493,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106326,10493,'Verlag','Hermann',0,NULL,NULL),
 (106327,10493,'Erscheinungsjahr','1793',0,NULL,NULL),
 (106328,10493,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106329,10493,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106330,10493,'Bandnummer','Band 5',0,NULL,NULL),
 (106331,10493,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106332,10493,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106333,10493,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106334,10493,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106335,10493,'Nummer (Sortierung)','50',0,NULL,NULL),
 (106336,10493,'Autoren','Plutarchus',0,NULL,NULL),
 (106337,10493,'Nummer (Benennung)','0005',0,NULL,NULL),
 (106346,10495,'PPN analog f-Satz','PPN146185315',0,NULL,NULL),
 (106347,10495,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106348,10495,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106349,10495,'Nummer (Sortierung)','60',0,NULL,NULL),
 (106350,10495,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106351,10495,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106352,10495,'Erscheinungsjahr','1795',0,NULL,NULL),
 (106353,10495,'Nummer (Benennung)','0006',0,NULL,NULL),
 (106354,10495,'Verlag','Hermann',0,NULL,NULL),
 (106355,10495,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106356,10495,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106357,10495,'Autoren','Plutarchus',0,NULL,NULL),
 (106358,10495,'Signatur','8 AUCT GR V, 3107:6',0,NULL,NULL),
 (106359,10495,'Bandnummer','Band 6',0,NULL,NULL),
 (106360,10495,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106377,10498,'Autoren','',0,NULL,NULL),
 (106378,10498,'Verlag','',0,NULL,NULL),
 (106379,10498,'Erscheinungsjahr','1712',0,NULL,NULL),
 (106380,10498,'Titel','Gerechtigkeit und Bescheidenheit des abgenöthigten Toggenburger-Kriegs',0,NULL,NULL),
 (106381,10498,'Erscheinungsort','[S.l.]',0,NULL,NULL),
 (106382,10498,'Signatur','8 AUCT GR V, 750 (3)',0,NULL,NULL),
 (106383,10498,'Titel (Sortierung)','Gerechtigkeit und Bescheidenheit des abgenöthigten Toggenburger-Kriegs',0,NULL,NULL),
 (106384,10498,'PPN analog a-Satz','PPN145848965',0,NULL,NULL),
 (106393,10500,'Bandnummer','Band 8',0,NULL,NULL),
 (106394,10500,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106395,10500,'Signatur','8 AUCT GR V, 3107:8',0,NULL,NULL),
 (106396,10500,'PPN analog f-Satz','PPN146185331',0,NULL,NULL),
 (106397,10500,'Autoren','Plutarchus',0,NULL,NULL),
 (106398,10500,'Verlag','Hermann',0,NULL,NULL),
 (106399,10500,'Nummer (Sortierung)','80',0,NULL,NULL),
 (106400,10500,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106401,10500,'Erscheinungsjahr','1798',0,NULL,NULL),
 (106402,10500,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106403,10500,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106404,10500,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106405,10500,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106406,10500,'Nummer (Benennung)','0008',0,NULL,NULL),
 (106407,10500,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106416,10502,'PPN analog f-Satz','PPN14618534X',0,NULL,NULL),
 (106417,10502,'Autoren','Plutarchus',0,NULL,NULL),
 (106418,10502,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (106419,10502,'Nummer (Sortierung)','90',0,NULL,NULL),
 (106420,10502,'Bandnummer','Bd. 9',0,NULL,NULL),
 (106421,10502,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (106422,10502,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106423,10502,'Verlag','Hermann',0,NULL,NULL),
 (106424,10502,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106425,10502,'Nummer (Benennung)','0009',0,NULL,NULL),
 (106426,10502,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106427,10502,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (106428,10502,'Signatur','8 AUCT GR V, 3107:9',0,NULL,NULL),
 (106429,10502,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (106430,10502,'Erscheinungsjahr','1800',0,NULL,NULL),
 (106439,10504,'Erscheinungsjahr','1775',0,NULL,NULL),
 (106440,10504,'PPN analog c-Satz','PPN145750566',0,NULL,NULL),
 (106441,10504,'Titel (Sortierung)','Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106442,10504,'Titel (Band) (Sortierung)','Erster Band oder Europa',0,NULL,NULL),
 (106443,10504,'Autoren (Band)','Strabo',0,NULL,NULL),
 (106444,10504,'PPN analog f-Satz','PPN145750574',0,NULL,NULL),
 (106445,10504,'Verlag','Meyer',0,NULL,NULL),
 (106446,10504,'Autoren','Strabo',0,NULL,NULL),
 (106447,10504,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106448,10504,'Titel','Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106449,10504,'Titel (Band)','Erster Band oder Europa',0,NULL,NULL),
 (106450,10504,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (106451,10504,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106452,10504,'Signatur','8 AUCT GR IV, 7110:1',0,NULL,NULL),
 (106453,10504,'Bandnummer','Bd. 1',0,NULL,NULL),
 (106454,10505,'Bandnummer','Bd. 2',0,NULL,NULL),
 (106455,10505,'Erscheinungsjahr','1775',0,NULL,NULL),
 (106456,10505,'PPN analog f-Satz','PPN145750582',0,NULL,NULL),
 (106457,10505,'Titel','Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106458,10505,'Verlag','Meyer',0,NULL,NULL),
 (106459,10505,'Titel (Band)','Zweyter Band oder Europa',0,NULL,NULL),
 (106460,10505,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106461,10505,'Titel (Sortierung)','Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106462,10505,'Autoren','Strabo',0,NULL,NULL),
 (106463,10505,'PPN analog c-Satz','PPN145750566',0,NULL,NULL),
 (106464,10505,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106465,10505,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (106466,10505,'Titel (Band) (Sortierung)','Zweyter Band oder Europa',0,NULL,NULL),
 (106467,10505,'Signatur','8 AUCT GR IV, 7110:2',0,NULL,NULL),
 (106468,10505,'Autoren (Band)','Strabo',0,NULL,NULL),
 (106469,10506,'Titel (Band) (Sortierung)','Dritter Band oder Asien',0,NULL,NULL),
 (106470,10506,'PPN analog c-Satz','PPN145750566',0,NULL,NULL),
 (106471,10506,'Signatur','8 AUCT GR IV, 7110:3',0,NULL,NULL),
 (106472,10506,'Verlag','Meyer',0,NULL,NULL),
 (106473,10506,'Titel (Sortierung)','Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106474,10506,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (106475,10506,'Bandnummer','Bd. 3',0,NULL,NULL),
 (106476,10506,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106477,10506,'Titel (Band)','Dritter Band oder Asien',0,NULL,NULL),
 (106478,10506,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106479,10506,'Autoren (Band)','Strabo',0,NULL,NULL),
 (106480,10506,'Autoren','Strabo',0,NULL,NULL),
 (106481,10506,'PPN analog f-Satz','PPN145750590',0,NULL,NULL),
 (106482,10506,'Titel','Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106483,10506,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106484,10507,'Titel (Sortierung)','Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106485,10507,'PPN analog c-Satz','PPN145750566',0,NULL,NULL),
 (106486,10507,'Bandnummer','Bd. 4',0,NULL,NULL),
 (106487,10507,'Erscheinungsort','Lemgo',0,NULL,NULL),
 (106488,10507,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106489,10507,'Nummer (Benennung)','0004',0,NULL,NULL),
 (106490,10507,'Titel (Band)','Vierter und letzter Band oder Asien und Afrika',0,NULL,NULL),
 (106491,10507,'Nummer (Sortierung)','40',0,NULL,NULL),
 (106492,10507,'Autoren (Band)','Strabo',0,NULL,NULL),
 (106493,10507,'PPN analog f-Satz','PPN145750604',0,NULL,NULL),
 (106494,10507,'Titel (Band) (Sortierung)','Vierter und letzter Band oder Asien und Afrika',0,NULL,NULL),
 (106495,10507,'Titel','Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung',0,NULL,NULL),
 (106496,10507,'Signatur','8 AUCT GR IV, 7110:4',0,NULL,NULL),
 (106497,10507,'Autoren','Strabo',0,NULL,NULL),
 (106498,10507,'Verlag','Meyer',0,NULL,NULL),
 (106499,10508,'Signatur','4 ITIN I, 771',0,NULL,NULL),
 (106500,10508,'PPN analog a-Satz','PPN137370245',0,NULL,NULL),
 (106501,10508,'Verlag','Füeßli',0,NULL,NULL),
 (106502,10508,'Erscheinungsjahr','1776',0,NULL,NULL),
 (106503,10508,'Erscheinungsort','Winterthur',0,NULL,NULL),
 (106504,10508,'Titel','Briefe aus der Schweiz',0,NULL,NULL),
 (106505,10508,'Titel (Sortierung)','Briefe aus der Schweiz',0,NULL,NULL),
 (106506,10508,'Autoren','Andreae, Johann Gerhard Reinhard',0,NULL,NULL),
 (106507,10509,'PPN analog f-Satz','PPN150110308',0,NULL,NULL),
 (106508,10509,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106509,10509,'Titel (Band) (Sortierung)','Anmerkungen zu Matthäus, Marcus und Lucas',0,NULL,NULL),
 (106510,10509,'Titel (Band)','Anmerkungen zu Matthäus, Marcus und Lucas',0,NULL,NULL),
 (106511,10509,'Autoren','Michaelis, Johann David',0,NULL,NULL),
 (106512,10509,'Signatur','8 BIBL II, 2336:1',0,NULL,NULL),
 (106513,10509,'Verlag','Vandenhoek & Ruprecht',0,NULL,NULL),
 (106514,10509,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106515,10509,'Autoren (Band)','Michaelis, Johann David',0,NULL,NULL),
 (106516,10509,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106517,10509,'Titel','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106518,10509,'Bandnummer','Theil 1',0,NULL,NULL),
 (106519,10509,'PPN analog c-Satz','PPN150110294',0,NULL,NULL),
 (106520,10509,'Erscheinungsjahr','1790',0,NULL,NULL),
 (106521,10509,'Titel (Sortierung)','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106522,10510,'Titel (Sortierung)','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL);
INSERT INTO `vorlageneigenschaften` (`vorlageneigenschaftenID`,`vorlagenID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (106523,10510,'Titel (Band) (Sortierung)','Anmerkungen zum Evangelio Johannis und der Geschichte der Apostel',0,NULL,NULL),
 (106524,10510,'PPN analog f-Satz','PPN150110316',0,NULL,NULL),
 (106525,10510,'Titel (Band)','Anmerkungen zum Evangelio Johannis und der Geschichte der Apostel',0,NULL,NULL),
 (106526,10510,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106527,10510,'Erscheinungsjahr','1790',0,NULL,NULL),
 (106528,10510,'Signatur','8 BIBL II, 2336:2',0,NULL,NULL),
 (106529,10510,'PPN analog c-Satz','PPN150110294',0,NULL,NULL),
 (106530,10510,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106531,10510,'Autoren','Michaelis, Johann David',0,NULL,NULL),
 (106532,10510,'Autoren (Band)','Michaelis, Johann David',0,NULL,NULL),
 (106533,10510,'Verlag','Vandenhoek & Ruprecht',0,NULL,NULL),
 (106534,10510,'Titel','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106535,10510,'Bandnummer','Theil 2',0,NULL,NULL),
 (106536,10510,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106537,10511,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106538,10511,'Signatur','8 BIBL II, 2336:3',0,NULL,NULL),
 (106539,10511,'Verlag','Vandenhoek & Ruprecht',0,NULL,NULL),
 (106540,10511,'PPN analog f-Satz','PPN150110324',0,NULL,NULL),
 (106541,10511,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106542,10511,'PPN analog c-Satz','PPN150110294',0,NULL,NULL),
 (106543,10511,'Titel','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106544,10511,'Titel (Band)','Anmerkungen zu den Briefen an die Römer, Corinthier, Galater und Epheser',0,NULL,NULL),
 (106545,10511,'Titel (Band) (Sortierung)','Anmerkungen zu den Briefen an die Römer, Corinthier, Galater und Epheser',0,NULL,NULL),
 (106546,10511,'Autoren','Michaelis, Johann David',0,NULL,NULL),
 (106547,10511,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106548,10511,'Erscheinungsjahr','1791',0,NULL,NULL),
 (106549,10511,'Titel (Sortierung)','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106550,10511,'Bandnummer','Theil 3',0,NULL,NULL),
 (106551,10511,'Autoren (Band)','Michaelis, Johann David',0,NULL,NULL),
 (106552,10512,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106553,10512,'Nummer (Sortierung)','40',0,NULL,NULL),
 (106554,10512,'Nummer (Benennung)','0004',0,NULL,NULL),
 (106555,10512,'Signatur','8 BIBL II, 2336:4',0,NULL,NULL),
 (106556,10512,'Autoren (Band)','Michaelis, Johann David',0,NULL,NULL),
 (106557,10512,'Titel','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106558,10512,'Autoren','Michaelis, Johann David',0,NULL,NULL),
 (106559,10512,'Bandnummer','Theil 4',0,NULL,NULL),
 (106560,10512,'Titel (Sortierung)','Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments',0,NULL,NULL),
 (106561,10512,'PPN analog f-Satz','PPN150110332',0,NULL,NULL),
 (106562,10512,'PPN analog c-Satz','PPN150110294',0,NULL,NULL),
 (106563,10512,'Titel (Band)','Anmerkungen zu den Briefen an die Philipper, Colosser, Thessalonicher, an Timotheus, Titus, Philemon, zum Brief an die Hebräer, den catholischen Briefen, und zur Offenbarung Johannis des Theologen',0,NULL,NULL),
 (106564,10512,'Erscheinungsjahr','1792',0,NULL,NULL),
 (106565,10512,'Verlag','Vandenhoek & Ruprecht',0,NULL,NULL),
 (106566,10512,'Titel (Band) (Sortierung)','Anmerkungen zu den Briefen an die Philipper, Colosser, Thessalonicher, an Timotheus, Titus, Philemon, zum Brief an die Hebräer, den catholischen Briefen, und zur Offenbarung Johannis des Theologen',0,NULL,NULL),
 (106758,10529,'Verlag','Birnstiel',0,NULL,NULL),
 (106759,10529,'Bandnummer','T. 1',0,NULL,NULL),
 (106760,10529,'Titel (Band)','Erster Theil, welchem eine Abhandlung von den griechischen Kampfspielen nebst einer Charte von Griechenland beygefüget ist',0,NULL,NULL),
 (106761,10529,'Autoren (Band)','Pausanias <Periegeta>',0,NULL,NULL),
 (106762,10529,'Titel (Sortierung)','Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106763,10529,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106764,10529,'Titel','Des Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106765,10529,'Erscheinungsort','Berlin',0,NULL,NULL),
 (106766,10529,'Erscheinungsjahr','1766',0,NULL,NULL),
 (106767,10529,'Autoren','Pausanias <Periegeta>',0,NULL,NULL),
 (106768,10529,'Titel (Band) (Sortierung)','Erster Theil, welchem eine Abhandlung von den griechischen Kampfspielen nebst einer Charte von Griechenland beygefüget ist',0,NULL,NULL),
 (106769,10529,'Signatur','8 AUCT GR V, 4429:1',0,NULL,NULL),
 (106770,10529,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106771,10529,'PPN analog f-Satz','PPN143485326',0,NULL,NULL),
 (106772,10529,'PPN analog c-Satz','PPN143485318',0,NULL,NULL),
 (106773,10530,'Bandnummer','T. 2',0,NULL,NULL),
 (106774,10530,'Verlag','Birnstiel',0,NULL,NULL),
 (106775,10530,'Titel (Sortierung)','Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106776,10530,'PPN analog c-Satz','PPN143485318',0,NULL,NULL),
 (106777,10530,'Titel (Band)','Des Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106778,10530,'Signatur','8 AUCT GR V, 4429:2',0,NULL,NULL),
 (106779,10530,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106780,10530,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106781,10530,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106782,10530,'Titel','Des Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106783,10530,'Erscheinungsjahr','1766',0,NULL,NULL),
 (106784,10530,'PPN analog f-Satz','PPN143485334',0,NULL,NULL),
 (106785,10530,'Autoren (Band)','Pausanias <Periegeta>',0,NULL,NULL),
 (106786,10530,'Titel (Band) (Sortierung)','Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...',0,NULL,NULL),
 (106787,10530,'Autoren','Pausanias <Periegeta>',0,NULL,NULL),
 (106788,10531,'Verlag','Weidmann',0,NULL,NULL),
 (106789,10531,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106790,10531,'Erscheinungsjahr','1788',0,NULL,NULL),
 (106791,10531,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106792,10531,'Signatur','8 AUCT GR V, 1233:1',0,NULL,NULL),
 (106793,10531,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106794,10531,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106795,10531,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106796,10531,'Bandnummer','Theil 1',0,NULL,NULL),
 (106797,10531,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106798,10531,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106799,10531,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106800,10531,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106801,10531,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106802,10531,'PPN analog f-Satz','PPN145895203',0,NULL,NULL),
 (106803,10532,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106804,10532,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106805,10532,'Erscheinungsjahr','1788',0,NULL,NULL),
 (106806,10532,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106807,10532,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106808,10532,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106809,10532,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106810,10532,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106811,10532,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106812,10532,'PPN analog f-Satz','PPN171592573',0,NULL,NULL),
 (106813,10532,'Verlag','Weidmann',0,NULL,NULL),
 (106814,10532,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106815,10532,'Bandnummer','Theil 2',0,NULL,NULL),
 (106816,10532,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106817,10532,'Signatur','8 AUCT GR V, 1233:2',0,NULL,NULL),
 (106818,10533,'PPN analog f-Satz','PPN17159259X',0,NULL,NULL),
 (106819,10533,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106820,10533,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106821,10533,'Signatur','8 AUCT GR V, 1233:3',0,NULL,NULL),
 (106822,10533,'Bandnummer','Theil 3',0,NULL,NULL),
 (106823,10533,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106824,10533,'Verlag','Weidmann',0,NULL,NULL),
 (106825,10533,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106826,10533,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106827,10533,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106828,10533,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106829,10533,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106830,10533,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106831,10533,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106832,10533,'Erscheinungsjahr','1788',0,NULL,NULL),
 (106833,10534,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106834,10534,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106835,10534,'Bandnummer','Theil 4',0,NULL,NULL),
 (106836,10534,'Nummer (Sortierung)','40',0,NULL,NULL),
 (106837,10534,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106838,10534,'Nummer (Benennung)','0004',0,NULL,NULL),
 (106839,10534,'Signatur','8 AUCT GR V, 1233:4',0,NULL,NULL),
 (106840,10534,'PPN analog f-Satz','PPN171592646',0,NULL,NULL),
 (106841,10534,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106842,10534,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106843,10534,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106844,10534,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106845,10534,'Verlag','Weidmann',0,NULL,NULL),
 (106846,10534,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106847,10534,'Erscheinungsjahr','1789',0,NULL,NULL),
 (106848,10535,'Autoren','',0,NULL,NULL),
 (106849,10535,'Nummer (Benennung)','0001',0,NULL,NULL),
 (106850,10535,'Titel (Band) (Sortierung)','Welcher das Buch Hiobs enthält',0,NULL,NULL),
 (106851,10535,'Autoren (Band)','',0,NULL,NULL),
 (106852,10535,'Bandnummer','T. 1',0,NULL,NULL),
 (106853,10535,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106854,10535,'Nummer (Sortierung)','10',0,NULL,NULL),
 (106855,10535,'PPN analog f-Satz','PPN151759073',0,NULL,NULL),
 (106856,10535,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106857,10535,'Titel (Band)','Welcher das Buch Hiobs enthält',0,NULL,NULL),
 (106858,10535,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106859,10535,'Erscheinungsjahr','1769',0,NULL,NULL),
 (106860,10535,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106861,10535,'Verlag','Dieterich',0,NULL,NULL),
 (106862,10535,'Signatur','8 BIBL II, 1587:1',0,NULL,NULL),
 (106863,10536,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106864,10536,'Titel (Band)','Welcher das erste Buch Mose enthält',0,NULL,NULL),
 (106865,10536,'Erscheinungsort','Gotha',0,NULL,NULL),
 (106866,10536,'Bandnummer','T. 2',0,NULL,NULL),
 (106867,10536,'Signatur','8 BIBL II, 1587:2',0,NULL,NULL),
 (106868,10536,'Verlag','Dieterich',0,NULL,NULL),
 (106869,10536,'Titel (Band) (Sortierung)','Welcher das erste Buch Mose enthält',0,NULL,NULL),
 (106870,10536,'Autoren','',0,NULL,NULL),
 (106871,10536,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106872,10536,'Nummer (Benennung)','0002',0,NULL,NULL),
 (106873,10536,'Autoren (Band)','',0,NULL,NULL),
 (106874,10536,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106875,10536,'PPN analog f-Satz','PPN151759081',0,NULL,NULL),
 (106876,10536,'Nummer (Sortierung)','20',0,NULL,NULL),
 (106877,10536,'Erscheinungsjahr','1770',0,NULL,NULL),
 (106878,10537,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106879,10537,'Erscheinungsjahr','1771',0,NULL,NULL),
 (106880,10537,'Titel (Band)','Welcher das zweite und dritte Buch Mose enthält',0,NULL,NULL),
 (106881,10537,'Nummer (Sortierung)','30',0,NULL,NULL),
 (106882,10537,'Autoren (Band)','',0,NULL,NULL),
 (106883,10537,'Autoren','',0,NULL,NULL),
 (106884,10537,'Verlag','Dieterich',0,NULL,NULL),
 (106885,10537,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106886,10537,'Titel (Band) (Sortierung)','Welcher das zweite und dritte Buch Mose enthält',0,NULL,NULL),
 (106887,10537,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106888,10537,'Bandnummer','T. 3',0,NULL,NULL),
 (106889,10537,'Signatur','8 BIBL II, 1587:3',0,NULL,NULL),
 (106890,10537,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106891,10537,'PPN analog f-Satz','PPN15175909X',0,NULL,NULL),
 (106892,10537,'Nummer (Benennung)','0003',0,NULL,NULL),
 (106893,10538,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106894,10538,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106895,10538,'Signatur','8 AUCT GR V, 1233:5',0,NULL,NULL),
 (106896,10538,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106897,10538,'Bandnummer','Theil 5',0,NULL,NULL),
 (106898,10538,'Nummer (Sortierung)','50',0,NULL,NULL),
 (106899,10538,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106900,10538,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106901,10538,'Verlag','Weidmann',0,NULL,NULL),
 (106902,10538,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106903,10538,'Nummer (Benennung)','0005',0,NULL,NULL),
 (106904,10538,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106905,10538,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106906,10538,'Erscheinungsjahr','1789',0,NULL,NULL),
 (106907,10538,'PPN analog f-Satz','PPN171592697',0,NULL,NULL),
 (106908,10539,'Autoren (Band)','',0,NULL,NULL),
 (106909,10539,'Erscheinungsjahr','1772',0,NULL,NULL),
 (106910,10539,'Bandnummer','T. 4, Hälfte 1',0,NULL,NULL),
 (106911,10539,'Erscheinungsort','Gotha',0,NULL,NULL),
 (106912,10539,'Titel (Band) (Sortierung)','Welche das vierte Buch Mose enthält',0,NULL,NULL),
 (106913,10539,'Nummer (Benennung)','0004_1',0,NULL,NULL),
 (106914,10539,'Autoren','',0,NULL,NULL),
 (106915,10539,'Titel (Band)','Welche das vierte Buch Mose enthält',0,NULL,NULL),
 (106916,10539,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106917,10539,'Verlag','Dieterich',0,NULL,NULL),
 (106918,10539,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106919,10539,'Nummer (Sortierung)','41',0,NULL,NULL),
 (106920,10539,'Signatur','8 BIBL II, 1587:4,1',0,NULL,NULL),
 (106921,10539,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106922,10539,'PPN analog f-Satz','PPN151759111',0,NULL,NULL),
 (106923,10540,'Autoren (Band)','Lucianus <Samosatensis>',0,NULL,NULL),
 (106924,10540,'Titel (Band)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106925,10540,'PPN analog f-Satz','PPN171592719',0,NULL,NULL),
 (106926,10540,'PPN analog c-Satz','PPN14589519X',0,NULL,NULL),
 (106927,10540,'Titel (Band) (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106928,10540,'Erscheinungsjahr','1789',0,NULL,NULL),
 (106929,10540,'Erscheinungsort','Leipzig',0,NULL,NULL),
 (106930,10540,'Bandnummer','Theil 6',0,NULL,NULL),
 (106931,10540,'Verlag','Weidmann',0,NULL,NULL),
 (106932,10540,'Nummer (Benennung)','0006',0,NULL,NULL),
 (106933,10540,'Titel','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106934,10540,'Signatur','8 AUCt GR V, 1233:6',0,NULL,NULL),
 (106935,10540,'Autoren','Lucianus <Samosatensis>',0,NULL,NULL),
 (106936,10540,'Titel (Sortierung)','Lucians von Samosata Sämtliche Werke',0,NULL,NULL),
 (106937,10540,'Nummer (Sortierung)','60',0,NULL,NULL),
 (106938,10541,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106939,10541,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106940,10541,'Nummer (Sortierung)','42',0,NULL,NULL),
 (106941,10541,'Autoren','',0,NULL,NULL),
 (106942,10541,'Autoren (Band)','',0,NULL,NULL),
 (106943,10541,'PPN analog f-Satz','PPN15175912X',0,NULL,NULL),
 (106944,10541,'Nummer (Benennung)','0004_2',0,NULL,NULL),
 (106945,10541,'Verlag','Dieterich',0,NULL,NULL),
 (106946,10541,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106947,10541,'Erscheinungsjahr','1773',0,NULL,NULL),
 (106948,10541,'Erscheinungsort','Gotha',0,NULL,NULL),
 (106949,10541,'Titel (Band)','Welche das fünfte Buch Mose enthält',0,NULL,NULL),
 (106950,10541,'Titel (Band) (Sortierung)','Welche das fünfte Buch Mose enthält',0,NULL,NULL),
 (106951,10541,'Bandnummer','T. 4, Hälfte 2',0,NULL,NULL),
 (106952,10541,'Signatur','8 BIBL II, 1587:4,2',0,NULL,NULL),
 (106953,10542,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106954,10542,'Signatur','8 BIBL II, 1587:5,1',0,NULL,NULL),
 (106955,10542,'Erscheinungsort','Gotha',0,NULL,NULL),
 (106956,10542,'Nummer (Sortierung)','51',0,NULL,NULL),
 (106957,10542,'Autoren (Band)','',0,NULL,NULL),
 (106958,10542,'Titel (Band)','Welche die Bücher Josua und der Richter enthält',0,NULL,NULL),
 (106959,10542,'Erscheinungsjahr','1774',0,NULL,NULL),
 (106960,10542,'PPN analog f-Satz','PPN151759146',0,NULL,NULL),
 (106961,10542,'Verlag','Dieterich',0,NULL,NULL),
 (106962,10542,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106963,10542,'Autoren','',0,NULL,NULL),
 (106964,10542,'Nummer (Benennung)','0005_1',0,NULL,NULL),
 (106965,10542,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106966,10542,'Bandnummer','Theil 5, Hälfte 1',0,NULL,NULL),
 (106967,10542,'Titel (Band) (Sortierung)','Welche die Bücher Josua und der Richter enthält',0,NULL,NULL),
 (106968,10543,'Titel (Band)','Welche die Bücher Samuels und Ruth enthält',0,NULL,NULL),
 (106969,10543,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106970,10543,'Nummer (Benennung)','0005_2',0,NULL,NULL),
 (106971,10543,'Autoren (Band)','',0,NULL,NULL),
 (106972,10543,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106973,10543,'Nummer (Sortierung)','52',0,NULL,NULL),
 (106974,10543,'Erscheinungsjahr','1777',0,NULL,NULL),
 (106975,10543,'PPN analog f-Satz','PPN151759154',0,NULL,NULL),
 (106976,10543,'Autoren','',0,NULL,NULL),
 (106977,10543,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106978,10543,'Signatur','8 BIBL II, 1587:5,2',0,NULL,NULL),
 (106979,10543,'Titel (Band) (Sortierung)','Welche die Bücher Samuels und Ruth enthält',0,NULL,NULL),
 (106980,10543,'Verlag','Dieterich',0,NULL,NULL),
 (106981,10543,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106982,10543,'Bandnummer','Theil 5, Hälfte 2',0,NULL,NULL),
 (106983,10544,'Autoren','',0,NULL,NULL),
 (106984,10544,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (106985,10544,'Signatur','8 BIBL II, 1587:6',0,NULL,NULL),
 (106986,10544,'Nummer (Sortierung)','60',0,NULL,NULL),
 (106987,10544,'Titel (Band)','Welcher die Psalmen enthält',0,NULL,NULL),
 (106988,10544,'Erscheinungsjahr','1771',0,NULL,NULL),
 (106989,10544,'Autoren (Band)','',0,NULL,NULL),
 (106990,10544,'PPN analog f-Satz','PPN151759162',0,NULL,NULL),
 (106991,10544,'Bandnummer','Theil 6',0,NULL,NULL),
 (106992,10544,'Verlag','Dieterich',0,NULL,NULL),
 (106993,10544,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106994,10544,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (106995,10544,'Titel (Band) (Sortierung)','Welcher die Psalmen enthält',0,NULL,NULL),
 (106996,10544,'Nummer (Benennung)','0006',0,NULL,NULL),
 (106997,10544,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (106998,10545,'Autoren','',0,NULL,NULL),
 (106999,10545,'Erscheinungsjahr','1703',0,NULL,NULL),
 (107000,10545,'Titel (Sortierung)','Neue Testament Unsers Herren Jesu Christi',0,NULL,NULL),
 (107001,10545,'PPN analog a-Satz','PPN146557778',0,NULL,NULL),
 (107002,10545,'Titel','Das Neue Testament Unsers Herren Jesu Christi',0,NULL,NULL),
 (107003,10545,'Signatur','8 BIBL II, 2182',0,NULL,NULL),
 (107004,10545,'Erscheinungsort','Offenbach am Mayn',0,NULL,NULL),
 (107005,10545,'Verlag','Launoy',0,NULL,NULL),
 (107006,10546,'Nummer (Benennung)','0007',0,NULL,NULL),
 (107007,10546,'Autoren','',0,NULL,NULL),
 (107008,10546,'Titel (Band)','Welcher die Sprüche und den Prediger Salomons enthält',0,NULL,NULL),
 (107009,10546,'Nummer (Sortierung)','70',0,NULL,NULL),
 (107010,10546,'PPN analog f-Satz','PPN151759170',0,NULL,NULL),
 (107011,10546,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (107012,10546,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107013,10546,'Titel (Band) (Sortierung)','Welcher die Sprüche und den Prediger Salomons enthält',0,NULL,NULL),
 (107014,10546,'Bandnummer','Theil 7',0,NULL,NULL),
 (107015,10546,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107016,10546,'Signatur','8 BIBL II, 1587:7',0,NULL,NULL),
 (107017,10546,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107018,10546,'Autoren (Band)','',0,NULL,NULL),
 (107019,10546,'Erscheinungsjahr','1778',0,NULL,NULL),
 (107020,10546,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107021,10547,'Erscheinungsort','Gotha',0,NULL,NULL),
 (107022,10547,'Titel (Band) (Sortierung)','Welcher die Weissagungen Jesaiä enthält',0,NULL,NULL),
 (107023,10547,'PPN analog f-Satz','PPN151759189',0,NULL,NULL),
 (107024,10547,'Signatur','8 BIBL II, 1587:8',0,NULL,NULL),
 (107025,10547,'Titel (Band)','Welcher die Weissagungen Jesaiä enthält',0,NULL,NULL),
 (107026,10547,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107027,10547,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107028,10547,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107029,10547,'Nummer (Sortierung)','80',0,NULL,NULL),
 (107030,10547,'Bandnummer','Theil 8',0,NULL,NULL),
 (107031,10547,'Autoren (Band)','',0,NULL,NULL),
 (107032,10547,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107033,10547,'Nummer (Benennung)','0008',0,NULL,NULL),
 (107034,10547,'Autoren','',0,NULL,NULL),
 (107035,10547,'Erscheinungsjahr','1779',0,NULL,NULL),
 (107036,10548,'PPN analog a-Satz','PPN145822257',0,NULL,NULL),
 (107037,10548,'Signatur','8 AUCT GR V, 607',0,NULL,NULL),
 (107038,10548,'Titel','Arrians Epictet',0,NULL,NULL),
 (107039,10548,'Autoren','Epictetus',0,NULL,NULL),
 (107040,10548,'Erscheinungsjahr','1766',0,NULL,NULL),
 (107041,10548,'Verlag','Orell, Geßner, und Co.',0,NULL,NULL),
 (107042,10548,'Titel (Sortierung)','Arrians Epictet',0,NULL,NULL),
 (107043,10548,'Erscheinungsort','Zürich',0,NULL,NULL),
 (107044,10549,'Nummer (Sortierung)','90',0,NULL,NULL),
 (107045,10549,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107046,10549,'Autoren (Band)','',0,NULL,NULL),
 (107047,10549,'Nummer (Benennung)','0009',0,NULL,NULL),
 (107048,10549,'PPN analog f-Satz','PPN151759197',0,NULL,NULL),
 (107049,10549,'Autoren','',0,NULL,NULL),
 (107050,10549,'Bandnummer','Theil 9',0,NULL,NULL),
 (107051,10549,'Signatur','8 BIBL II, 1587:9',0,NULL,NULL),
 (107052,10549,'Titel (Band) (Sortierung)','Welcher die Weissagungen und Klagelieder Jeremiä enthält',0,NULL,NULL),
 (107053,10549,'Erscheinungsjahr','1778',0,NULL,NULL),
 (107054,10549,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (107055,10549,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107056,10549,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107057,10549,'Titel (Band)','Welcher die Weissagungen und Klagelieder Jeremiä enthält',0,NULL,NULL),
 (107058,10549,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107059,10550,'Signatur','8 AUCT GR V, 4276',0,NULL,NULL),
 (107060,10550,'Erscheinungsjahr','1795',0,NULL,NULL),
 (107061,10550,'Autoren','Ptolemäus, Claudius',0,NULL,NULL),
 (107062,10550,'Titel (Sortierung)','Claudius Ptolemäus Astronom zu Alexandrien ... Beobachtung und Beschreibung der Gestirne und der Bewegung der himmlischen Sphäre',0,NULL,NULL),
 (107063,10550,'PPN analog a-Satz','PPN143462008',0,NULL,NULL),
 (107064,10550,'Erscheinungsort','Berlin',0,NULL,NULL),
 (107065,10550,'Verlag','Nicolai',0,NULL,NULL),
 (107066,10550,'Titel','Claudius Ptolemäus Astronom zu Alexandrien ... Beobachtung und Beschreibung der Gestirne und der Bewegung der himmlischen Sphäre',0,NULL,NULL),
 (107067,10551,'Bandnummer','Theil 10',0,NULL,NULL),
 (107068,10551,'Erscheinungsjahr','1781',0,NULL,NULL),
 (107069,10551,'PPN analog f-Satz','PPN151759200',0,NULL,NULL),
 (107070,10551,'Autoren (Band)','',0,NULL,NULL),
 (107071,10551,'Signatur','8 BIBL II, 1587:10',0,NULL,NULL),
 (107072,10551,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107073,10551,'Titel (Band)','Welcher Ezechiel und Daniel enthält',0,NULL,NULL),
 (107074,10551,'Nummer (Sortierung)','100',0,NULL,NULL),
 (107075,10551,'Nummer (Benennung)','0010',0,NULL,NULL),
 (107076,10551,'Titel (Band) (Sortierung)','Welcher Ezechiel und Daniel enthält',0,NULL,NULL),
 (107077,10551,'Erscheinungsort','Gotha',0,NULL,NULL),
 (107078,10551,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107079,10551,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107080,10551,'Autoren','',0,NULL,NULL),
 (107081,10551,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107082,10552,'Bandnummer','Theil 11',0,NULL,NULL),
 (107083,10552,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107084,10552,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107085,10552,'Titel (Band) (Sortierung)','Welcher die zwölf kleinen Propheten enthält',0,NULL,NULL),
 (107086,10552,'Autoren (Band)','',0,NULL,NULL),
 (107087,10552,'Erscheinungsjahr','1782',0,NULL,NULL),
 (107088,10552,'Nummer (Benennung)','0011',0,NULL,NULL),
 (107089,10552,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107090,10552,'Signatur','8 BIBL II, 1587:11',0,NULL,NULL),
 (107091,10552,'Nummer (Sortierung)','110',0,NULL,NULL),
 (107092,10552,'PPN analog f-Satz','PPN151759219',0,NULL,NULL),
 (107093,10552,'Autoren','',0,NULL,NULL),
 (107094,10552,'Erscheinungsort','Gotha',0,NULL,NULL),
 (107095,10552,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107096,10552,'Titel (Band)','Welcher die zwölf kleinen Propheten enthält',0,NULL,NULL),
 (107097,10553,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107098,10553,'Bandnummer','Theil 12',0,NULL,NULL),
 (107099,10553,'PPN analog f-Satz','PPN227809661',0,NULL,NULL),
 (107100,10553,'Erscheinungsjahr','1785',0,NULL,NULL),
 (107101,10553,'Titel (Band)','Welcher die Bücher der Könige und Chronik enthält',0,NULL,NULL),
 (107102,10553,'Erscheinungsort','Göttingen',0,NULL,NULL),
 (107103,10553,'Autoren','',0,NULL,NULL),
 (107104,10553,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107105,10553,'Autoren (Band)','',0,NULL,NULL),
 (107106,10553,'Nummer (Benennung)','0012',0,NULL,NULL),
 (107107,10553,'Nummer (Sortierung)','120',0,NULL,NULL),
 (107108,10553,'Signatur','8 BIBL II, 1587:12',0,NULL,NULL),
 (107109,10553,'Titel (Band) (Sortierung)','Welcher die Bücher der Könige und Chronik enthält',0,NULL,NULL),
 (107110,10553,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107111,10553,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107112,10554,'Nummer (Benennung)','0013',0,NULL,NULL),
 (107113,10554,'Titel (Band)','Welcher die Bücher Esra, Nehemia und Esther enthält',0,NULL,NULL),
 (107114,10554,'Autoren (Band)','',0,NULL,NULL),
 (107115,10554,'Nummer (Sortierung)','130',0,NULL,NULL),
 (107116,10554,'Signatur','8 BIBL II, 1587:13',0,NULL,NULL),
 (107117,10554,'Titel','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107118,10554,'PPN analog c-Satz','PPN151759065',0,NULL,NULL),
 (107119,10554,'Autoren','',0,NULL,NULL),
 (107120,10554,'Verlag','Vandenhoeck',0,NULL,NULL),
 (107121,10554,'Erscheinungsjahr','1783',0,NULL,NULL),
 (107122,10554,'Titel (Sortierung)','Johann David Michaelis deutsche Uebersetzung des Alten Testaments',0,NULL,NULL),
 (107123,10554,'Titel (Band) (Sortierung)','Welcher die Bücher Esra, Nehemia und Esther enthält',0,NULL,NULL),
 (107124,10554,'Erscheinungsort','Gotha',0,NULL,NULL),
 (107125,10554,'Bandnummer','Theil 13',0,NULL,NULL),
 (107126,10554,'PPN analog f-Satz','PPN151759243',0,NULL,NULL),
 (107127,10555,'Titel (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (107128,10555,'Titel (Band)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (107129,10555,'Nummer (Benennung)','0007',0,NULL,NULL),
 (107130,10555,'Autoren','Plutarchus',0,NULL,NULL),
 (107131,10555,'PPN analog f-Satz','PPN146185323',0,NULL,NULL),
 (107132,10555,'Autoren (Band)','Plutarchus',0,NULL,NULL),
 (107133,10555,'Erscheinungsort','Frankfurt am Main',0,NULL,NULL),
 (107134,10555,'Titel (Band) (Sortierung)','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (107135,10555,'Titel','Plutarchs moralische Abhandlungen',0,NULL,NULL),
 (107136,10555,'Verlag','Hermann',0,NULL,NULL),
 (107137,10555,'Bandnummer','Band 7',0,NULL,NULL),
 (107138,10555,'Nummer (Sortierung)','70',0,NULL,NULL),
 (107139,10555,'Signatur','8 AUCT GR V, 3107:7',0,NULL,NULL),
 (107140,10555,'Erscheinungsjahr','1797',0,NULL,NULL),
 (107141,10555,'PPN analog c-Satz','PPN146185250',0,NULL,NULL),
 (107188,10561,'Titel','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (107189,10561,'PPN analog f-Satz','142865826',0,NULL,NULL),
 (107183,10561,'Bandnummer','Theil 1',0,NULL,NULL),
 (107184,10561,'Nummer (Sortierung)','',0,NULL,NULL),
 (107185,10561,'Titel (Band)','thththth',0,NULL,NULL),
 (107186,10561,'Signatur','',0,NULL,NULL),
 (107187,10561,'Autoren (Band)','Röhl, Lambert Heinrich',0,NULL,NULL),
 (107182,10561,'Verlag','Röse',0,NULL,NULL),
 (107190,10561,'Titel (Sortierung)','Einleitung in die Astronomischen Wissenschaften',0,NULL,NULL),
 (107191,10561,'PPN analog c-Satz','142865818',0,NULL,NULL),
 (107192,10561,'Erscheinungsort','Greifswald',0,NULL,NULL),
 (107193,10561,'Autoren','Röhl, Lambert Heinrich',0,NULL,NULL),
 (107194,10561,'Titel (Band) (Sortierung)','thththth',0,NULL,NULL),
 (107195,10561,'Nummer (Benennung)','ththththt',0,NULL,NULL),
 (107196,10561,'Erscheinungsjahr','1768',0,NULL,NULL);
/*!40000 ALTER TABLE `vorlageneigenschaften` ENABLE KEYS */;


--
-- Definition of table `werkstuecke`
--

DROP TABLE IF EXISTS `werkstuecke`;
CREATE TABLE `werkstuecke` (
  `WerkstueckeID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ProzesseID` int(10) unsigned DEFAULT NULL,
  `EigenschaftenID` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`WerkstueckeID`),
  KEY `ProzesseID` (`ProzesseID`),
  KEY `EigenschaftenID` (`EigenschaftenID`),
  KEY `FK98DED745966DB655` (`ProzesseID`),
  KEY `FK98DED745815A56DA` (`ProzesseID`)
) ENGINE=MyISAM AUTO_INCREMENT=10607 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `werkstuecke`
--

/*!40000 ALTER TABLE `werkstuecke` DISABLE KEYS */;
INSERT INTO `werkstuecke` (`WerkstueckeID`,`ProzesseID`,`EigenschaftenID`) VALUES 
 (10280,10344,NULL),
 (10334,10398,NULL),
 (10335,10399,NULL),
 (10336,10400,NULL),
 (10338,10402,NULL),
 (10339,10403,NULL),
 (10340,10404,NULL),
 (10341,10405,NULL),
 (10342,10406,NULL),
 (10343,10407,NULL),
 (10348,10412,NULL),
 (10349,10413,NULL),
 (10351,10415,NULL),
 (10354,10418,NULL),
 (10357,10421,NULL),
 (10363,10427,NULL),
 (10364,10428,NULL),
 (10365,10429,NULL),
 (10366,10430,NULL),
 (10367,10431,NULL),
 (10368,10432,NULL),
 (10369,10433,NULL),
 (10370,10434,NULL),
 (10371,10435,NULL),
 (10461,10525,NULL),
 (10373,10437,NULL),
 (10374,10438,NULL),
 (10375,10439,NULL),
 (10376,10440,NULL),
 (10377,10441,NULL),
 (10378,10442,NULL),
 (10379,10443,NULL),
 (10380,10444,NULL),
 (10381,10445,NULL),
 (10382,10446,NULL),
 (10383,10447,NULL),
 (10384,10448,NULL),
 (10385,10449,NULL),
 (10386,10450,NULL),
 (10387,10451,NULL),
 (10388,10452,NULL),
 (10389,10453,NULL),
 (10390,10454,NULL),
 (10391,10455,NULL),
 (10392,10456,NULL),
 (10394,10458,NULL),
 (10395,10459,NULL),
 (10396,10460,NULL),
 (10401,10465,NULL),
 (10402,10466,NULL),
 (10403,10467,NULL),
 (10404,10468,NULL),
 (10405,10469,NULL),
 (10406,10470,NULL),
 (10407,10471,NULL),
 (10408,10472,NULL),
 (10409,10473,NULL),
 (10410,10474,NULL),
 (10411,10475,NULL),
 (10413,10477,NULL),
 (10414,10478,NULL),
 (10415,10479,NULL),
 (10416,10480,NULL),
 (10417,10481,NULL),
 (10418,10482,NULL),
 (10422,10486,NULL),
 (10424,10488,NULL),
 (10425,10489,NULL),
 (10426,10490,NULL),
 (10427,10491,NULL),
 (10428,10492,NULL),
 (10429,10493,NULL),
 (10430,10494,NULL),
 (10431,10495,NULL),
 (10432,10496,NULL),
 (10433,10497,NULL),
 (10434,10498,NULL),
 (10435,10499,NULL),
 (10436,10500,NULL),
 (10437,10501,NULL),
 (10438,10502,NULL),
 (10439,10503,NULL),
 (10440,10504,NULL),
 (10443,10507,NULL),
 (10447,10511,NULL),
 (10458,10522,NULL),
 (10460,10524,NULL),
 (10462,10526,NULL),
 (10463,10527,NULL),
 (10464,10528,NULL),
 (10465,10529,NULL),
 (10466,10530,NULL),
 (10470,10534,NULL),
 (10471,10535,NULL),
 (10472,10536,NULL),
 (10473,10537,NULL),
 (10474,10538,NULL),
 (10475,10539,NULL),
 (10476,10540,NULL),
 (10477,10541,NULL),
 (10478,10542,NULL),
 (10479,10543,NULL),
 (10480,10544,NULL),
 (10481,10545,NULL),
 (10482,10546,NULL),
 (10483,10547,NULL),
 (10484,10548,NULL),
 (10485,10549,NULL),
 (10486,10550,NULL),
 (10487,10551,NULL),
 (10488,10552,NULL),
 (10490,10554,NULL),
 (10494,10558,NULL),
 (10495,10559,NULL),
 (10498,10562,NULL),
 (10499,10563,NULL),
 (10500,10564,NULL),
 (10501,10565,NULL),
 (10502,10566,NULL),
 (10503,10567,NULL),
 (10504,10568,NULL),
 (10505,10569,NULL),
 (10507,10571,NULL),
 (10509,10573,NULL),
 (10511,10575,NULL),
 (10513,10577,NULL),
 (10514,10578,NULL),
 (10515,10579,NULL),
 (10516,10580,NULL),
 (10517,10581,NULL),
 (10520,10584,NULL),
 (10521,10585,NULL),
 (10523,10587,NULL),
 (10525,10589,NULL),
 (10530,10594,NULL),
 (10531,10595,NULL),
 (10532,10596,NULL),
 (10534,10598,NULL),
 (10535,10599,NULL),
 (10537,10601,NULL),
 (10538,10602,NULL),
 (10540,10604,NULL),
 (10543,10607,NULL),
 (10545,10609,NULL),
 (10547,10611,NULL),
 (10549,10613,NULL),
 (10550,10614,NULL),
 (10551,10615,NULL),
 (10552,10616,NULL),
 (10553,10617,NULL),
 (10554,10618,NULL),
 (10555,10619,NULL),
 (10556,10620,NULL),
 (10557,10621,NULL),
 (10574,10638,NULL),
 (10575,10639,NULL),
 (10576,10640,NULL),
 (10577,10641,NULL),
 (10578,10642,NULL),
 (10579,10643,NULL),
 (10580,10644,NULL),
 (10581,10645,NULL),
 (10582,10646,NULL),
 (10583,10647,NULL),
 (10584,10648,NULL),
 (10585,10649,NULL),
 (10586,10650,NULL),
 (10587,10651,NULL),
 (10588,10652,NULL),
 (10589,10653,NULL),
 (10590,10654,NULL),
 (10591,10655,NULL),
 (10592,10656,NULL),
 (10593,10657,NULL),
 (10594,10658,NULL),
 (10595,10659,NULL),
 (10596,10660,NULL),
 (10597,10661,NULL),
 (10598,10662,NULL),
 (10599,10663,NULL),
 (10600,10664,NULL),
 (10606,10670,NULL);
/*!40000 ALTER TABLE `werkstuecke` ENABLE KEYS */;


--
-- Definition of table `werkstueckeeigenschaften`
--

DROP TABLE IF EXISTS `werkstueckeeigenschaften`;
CREATE TABLE `werkstueckeeigenschaften` (
  `werkstueckeeigenschaftenID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `werkstueckeID` int(10) unsigned NOT NULL DEFAULT '0',
  `Titel` varchar(255) DEFAULT NULL,
  `Wert` text,
  `IstObligatorisch` int(10) unsigned DEFAULT NULL,
  `DatentypenID` int(10) unsigned DEFAULT NULL,
  `Auswahl` blob,
  PRIMARY KEY (`werkstueckeeigenschaftenID`),
  KEY `DatentypenID` (`DatentypenID`),
  KEY `FK7B209DC763042F0B` (`werkstueckeID`),
  KEY `FK7B209DC7C9900466` (`werkstueckeID`)
) ENGINE=MyISAM AUTO_INCREMENT=85389 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `werkstueckeeigenschaften`
--

/*!40000 ALTER TABLE `werkstueckeeigenschaften` DISABLE KEYS */;
INSERT INTO `werkstueckeeigenschaften` (`werkstueckeeigenschaftenID`,`werkstueckeID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (83920,10406,'PPN digital a-Satz','PPN600941736',0,NULL,NULL),
 (83921,10406,'VD18ID','',0,NULL,NULL),
 (83922,10406,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83599,10363,'VD18ID','',0,NULL,NULL),
 (83598,10363,'TifHeaderDocumentname','rohleinl_PPN600825248_0001',0,NULL,NULL),
 (84630,10505,'ATS','eucleukl',0,NULL,NULL),
 (84631,10505,'VD18ID','',0,NULL,NULL),
 (84632,10505,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84633,10505,'PPN digital a-Satz','PPN601207874',0,NULL,NULL),
 (83039,10280,'TifHeaderDocumentname','besceirew_PPN60068590X',0,NULL,NULL),
 (83040,10280,'DocType','monograph',0,NULL,NULL),
 (83041,10280,'ATS','besceirew',0,NULL,NULL),
 (83042,10280,'VD18ID','',0,NULL,NULL),
 (83043,10280,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Beschreibung einer Reise, welche im Jahr 1769. nach der Sierra Morena in Spanien vom Elsaß aus unternommen wurde|<AUTOREN/HERAUSGEBER>|<JAHR>1780|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>besceirew_PPN60068590X|',0,NULL,NULL),
 (83044,10280,'PPN digital a-Satz','PPN60068590X',0,NULL,NULL),
 (83045,10280,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83391,10334,'PPN digital c-Satz','PPN600787699',0,NULL,NULL),
 (83392,10334,'ATS','eggejaco',0,NULL,NULL),
 (83393,10334,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83394,10334,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon|<AUTOREN/HERAUSGEBER>Eggers, Jacob|<JAHR>1757|<ERSCHEINUNGSORT>Dresden|<VERZ_STRCT>eggejaco_PPN600787729_0001|',0,NULL,NULL),
 (83395,10334,'PPN digital f-Satz','PPN600787729',0,NULL,NULL),
 (83396,10334,'DocType','multivolume',0,NULL,NULL),
 (83397,10334,'TifHeaderDocumentname','eggejaco_PPN600787729_0001',0,NULL,NULL),
 (83398,10334,'VD18ID','',0,NULL,NULL),
 (83399,10335,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83400,10335,'PPN digital c-Satz','PPN600787699',0,NULL,NULL),
 (83401,10335,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Jacob von Eggers, Königl. Pohln. und Churfürstl. Sächsischen Oberstens ... Neues Kriegs- Ingenieur- Artillerie- See- und Ritter-Lexicon|<AUTOREN/HERAUSGEBER>Eggers, Jacob|<JAHR>1757|<ERSCHEINUNGSORT>Dresden|<VERZ_STRCT>eggejaco_PPN60078780X_0002|',0,NULL,NULL),
 (83402,10335,'PPN digital f-Satz','PPN60078780X',0,NULL,NULL),
 (83403,10335,'DocType','multivolume',0,NULL,NULL),
 (83404,10335,'TifHeaderDocumentname','eggejaco_PPN60078780X_0002',0,NULL,NULL),
 (83405,10335,'VD18ID','',0,NULL,NULL),
 (83406,10335,'ATS','eggejaco',0,NULL,NULL),
 (83407,10336,'VD18ID','',0,NULL,NULL),
 (83408,10336,'DocType','monograph',0,NULL,NULL),
 (83409,10336,'TifHeaderDocumentname','krebanfa_PPN600788822',0,NULL,NULL),
 (83410,10336,'PPN digital a-Satz','PPN600788822',0,NULL,NULL),
 (83411,10336,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83412,10336,'ATS','krebanfa',0,NULL,NULL),
 (83413,10336,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Anfangsgründe der eigentlichen Kriegswissenschaft|<AUTOREN/HERAUSGEBER>Krebs, Heinrich Johann|<JAHR>1784|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>krebanfa_PPN600788822|',0,NULL,NULL),
 (83421,10338,'DocType','multivolume',0,NULL,NULL),
 (83422,10338,'PPN digital c-Satz','PPN600792706',0,NULL,NULL),
 (83423,10338,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sammlung antiquarischer Aufsätze|<AUTOREN/HERAUSGEBER>Heyne, Chr. G.|<JAHR>1778|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>heynsamm_PPN600792757_0001|',0,NULL,NULL),
 (83424,10338,'VD18ID','',0,NULL,NULL),
 (83425,10338,'PPN digital f-Satz','PPN600792757',0,NULL,NULL),
 (83426,10338,'ATS','heynsamm',0,NULL,NULL),
 (83427,10338,'TifHeaderDocumentname','heynsamm_PPN600792757_0001',0,NULL,NULL),
 (83428,10338,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83429,10339,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sammlung antiquarischer Aufsätze|<AUTOREN/HERAUSGEBER>Heyne, Chr. G.|<JAHR>1779|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>heynsamm_PPN600792773_0002|',0,NULL,NULL),
 (83430,10339,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83431,10339,'VD18ID','',0,NULL,NULL),
 (83432,10339,'PPN digital f-Satz','PPN600792773',0,NULL,NULL),
 (83433,10339,'ATS','heynsamm',0,NULL,NULL),
 (83434,10339,'PPN digital c-Satz','PPN600792706',0,NULL,NULL),
 (83435,10339,'TifHeaderDocumentname','heynsamm_PPN600792773_0002',0,NULL,NULL),
 (83436,10339,'DocType','multivolume',0,NULL,NULL),
 (83437,10340,'DocType','monograph',0,NULL,NULL),
 (83438,10340,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Unterricht des Königs von Preußen [i. e. Friedrich Preußen, König, II.] an die Generale seiner Armeen|<AUTOREN/HERAUSGEBER>Friedrich <Preußen, König, II.>|<JAHR>1794|<ERSCHEINUNGSORT>Hannover|<VERZ_STRCT>untedekov_PPN600794784|',0,NULL,NULL),
 (83439,10340,'PPN digital a-Satz','PPN600794784',0,NULL,NULL),
 (83440,10340,'VD18ID','',0,NULL,NULL),
 (83441,10340,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83442,10340,'TifHeaderDocumentname','untedekov_PPN600794784',0,NULL,NULL),
 (83443,10340,'ATS','untedekov',0,NULL,NULL),
 (83444,10341,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Betrachtungen und Erfahrungen über verschiedene militarische Gegenstände und Vorfälle|<AUTOREN/HERAUSGEBER>Schertel von Burtenbach, Anton Eberhard|<JAHR>1779|<ERSCHEINUNGSORT>Nürnberg|<VERZ_STRCT>schebetr_PPN600795454|',0,NULL,NULL),
 (83445,10341,'PPN digital a-Satz','PPN600795454',0,NULL,NULL),
 (83446,10341,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83447,10341,'ATS','schebetr',0,NULL,NULL),
 (83448,10341,'TifHeaderDocumentname','schebetr_PPN600795454',0,NULL,NULL),
 (83449,10341,'DocType','monograph',0,NULL,NULL),
 (83450,10341,'VD18ID','',0,NULL,NULL),
 (83451,10342,'DocType','monograph',0,NULL,NULL),
 (83452,10342,'ATS','wittuebe',0,NULL,NULL),
 (83453,10342,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Ueber den Ursprung der Pyramiden in Egypten und der Ruinen von Persepolis|<AUTOREN/HERAUSGEBER>Witte, Samuel Simon|<JAHR>1789|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>wittuebe_PPN600795993|',0,NULL,NULL),
 (83454,10342,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83455,10342,'TifHeaderDocumentname','wittuebe_PPN600795993',0,NULL,NULL),
 (83456,10342,'PPN digital a-Satz','PPN600795993',0,NULL,NULL),
 (83457,10342,'VD18ID','',0,NULL,NULL),
 (83458,10343,'VD18ID','',0,NULL,NULL),
 (83459,10343,'ATS','wincanme',0,NULL,NULL),
 (83460,10343,'DocType','monograph',0,NULL,NULL),
 (83461,10343,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83462,10343,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Anmerkungen über die Baukunst der Alten|<AUTOREN/HERAUSGEBER>Winckelmann, Johann Joachim|<JAHR>1762|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>wincanme_PPN600796469|',0,NULL,NULL),
 (83463,10343,'PPN digital a-Satz','PPN600796469',0,NULL,NULL),
 (83464,10343,'TifHeaderDocumentname','wincanme_PPN600796469',0,NULL,NULL),
 (83493,10348,'TifHeaderDocumentname','konivoprm_PPN600798852',0,NULL,NULL),
 (83494,10348,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83495,10348,'VD18ID','',0,NULL,NULL),
 (83496,10348,'ATS','konivoprm',0,NULL,NULL),
 (83497,10348,'DocType','monograph',0,NULL,NULL),
 (83498,10348,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Des Königs von Preußen Majestät Unterricht von der Kriegs-Kunst an seine Generals|<AUTOREN/HERAUSGEBER>Friedrich <Preußen, König, II.>|<JAHR>1761|<ERSCHEINUNGSORT>Frankfurt|<VERZ_STRCT>konivoprm_PPN600798852|',0,NULL,NULL),
 (83499,10348,'PPN digital a-Satz','PPN600798852',0,NULL,NULL),
 (83500,10349,'TifHeaderDocumentname','chrijoha_PPN600799921',0,NULL,NULL),
 (83501,10349,'PPN digital a-Satz','PPN600799921',0,NULL,NULL),
 (83502,10349,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83503,10349,'DocType','monograph',0,NULL,NULL),
 (83504,10349,'VD18ID','',0,NULL,NULL),
 (83505,10349,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Friderich Christ ehemaligen öffentlichen Lehrers der Dichtkunst auf der Universität zu Leipzig Abhandlungen über die Litteratur und Kunstwerke vornemlich des Alterthums|<AUTOREN/HERAUSGEBER>Christ, Johann Friedrich|<JAHR>1776|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>chrijoha_PPN600799921|',0,NULL,NULL),
 (83506,10349,'ATS','chrijoha',0,NULL,NULL),
 (83514,10351,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Statuten Des Königlichen Preußischen Ordens Vom Schwartzen Adler|<AUTOREN/HERAUSGEBER>|<JAHR>1701|<ERSCHEINUNGSORT>Cölln an der Spree|<VERZ_STRCT>statdekop_PPN600800555|',0,NULL,NULL),
 (83515,10351,'VD18ID','',0,NULL,NULL),
 (83516,10351,'DocType','monograph',0,NULL,NULL),
 (83517,10351,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83518,10351,'PPN digital a-Satz','PPN600800555',0,NULL,NULL),
 (83519,10351,'ATS','statdekop',0,NULL,NULL),
 (83520,10351,'TifHeaderDocumentname','statdekop_PPN600800555',0,NULL,NULL),
 (83534,10354,'ATS','koniprpra',0,NULL,NULL),
 (83535,10354,'DocType','monograph',0,NULL,NULL),
 (83536,10354,'TifHeaderDocumentname','koniprpra_PPN600801292',0,NULL,NULL),
 (83537,10354,'VD18ID','',0,NULL,NULL),
 (83538,10354,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83539,10354,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Königliches Preußisches Privilegium Auf 12. Jahr Vor die nach Rußland handelnde Compagnie|<AUTOREN/HERAUSGEBER>|<JAHR>1725|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>koniprpra_PPN600801292|',0,NULL,NULL),
 (83540,10354,'PPN digital a-Satz','PPN600801292',0,NULL,NULL),
 (83555,10357,'TifHeaderDocumentname','biedgene_PPN600802108_0001',0,NULL,NULL),
 (83556,10357,'DocType','multivolume',0,NULL,NULL),
 (83557,10357,'PPN digital c-Satz','PPN60080206X',0,NULL,NULL),
 (83558,10357,'VD18ID','',0,NULL,NULL),
 (83559,10357,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83560,10357,'ATS','biedgene',0,NULL,NULL),
 (83561,10357,'PPN digital f-Satz','PPN600802108',0,NULL,NULL),
 (83562,10357,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Genealogie der hohen Fürstenhäuser im Fränkischen Crayse ...|<AUTOREN/HERAUSGEBER>Biedermann, Johann Gottfried|<JAHR>1746|<ERSCHEINUNGSORT>Bayreuth|<VERZ_STRCT>biedgene_PPN600802108_0001|',0,NULL,NULL),
 (83600,10363,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83601,10363,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Einleitung in die Astronomischen Wissenschaften|<AUTOREN/HERAUSGEBER>Röhl, Lambert Heinrich|<JAHR>1768|<ERSCHEINUNGSORT>Greifswald|<VERZ_STRCT>rohleinl_PPN600825248_0001|',0,NULL,NULL),
 (83602,10363,'PPN digital c-Satz','PPN600823393',0,NULL,NULL),
 (83603,10363,'PPN digital f-Satz','PPN600825248',0,NULL,NULL),
 (83604,10363,'DocType','multivolume',0,NULL,NULL),
 (83605,10363,'ATS','rohleinl',0,NULL,NULL),
 (83606,10364,'VD18ID','',0,NULL,NULL),
 (83607,10364,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83608,10364,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Einleitung in die Astronomischen Wissenschaften|<AUTOREN/HERAUSGEBER>Röhl, Lambert Heinrich|<JAHR>1779|<ERSCHEINUNGSORT>Greifswald|<VERZ_STRCT>rohleinl_PPN60082862X_0002|',0,NULL,NULL),
 (83609,10364,'PPN digital f-Satz','PPN60082862X',0,NULL,NULL),
 (83610,10364,'ATS','rohleinl',0,NULL,NULL),
 (83611,10364,'TifHeaderDocumentname','rohleinl_PPN60082862X_0002',0,NULL,NULL),
 (83612,10364,'PPN digital c-Satz','PPN600823393',0,NULL,NULL),
 (83613,10364,'DocType','multivolume',0,NULL,NULL),
 (83614,10365,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Scriptura S. Copernizans seu potius Astronomia Copernico-Scripturaria Bipartita Das ist: Ein gantz neu- und sehr curioser Astronomischer Beweißthum/ Des Copernicanischen Welt-Gebäudes aus Heil. Schrifft/|<AUTOREN/HERAUSGEBER>Zimmermann, Johann Jacob|<JAHR>1706|<ERSCHEINUNGSORT>Hamburg|<VERZ_STRCT>zimmscri_PPN600860884|',0,NULL,NULL),
 (83615,10365,'DocType','monograph',0,NULL,NULL),
 (83616,10365,'PPN digital a-Satz','PPN600860884',0,NULL,NULL),
 (83617,10365,'VD18ID','Bircher',0,NULL,NULL),
 (83618,10365,'TifHeaderDocumentname','zimmscri_PPN600860884',0,NULL,NULL),
 (83619,10365,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83620,10365,'ATS','zimmscri',0,NULL,NULL),
 (83621,10366,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Astronomische Vorlesungen|<AUTOREN/HERAUSGEBER>Segner, Johann Andreas|<JAHR>1775|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>segnastr_PPN600861902_0001|',0,NULL,NULL),
 (83622,10366,'VD18ID','',0,NULL,NULL),
 (83623,10366,'PPN digital f-Satz','PPN600861902',0,NULL,NULL),
 (83624,10366,'PPN digital c-Satz','PPN600861872',0,NULL,NULL),
 (83625,10366,'DocType','multivolume',0,NULL,NULL),
 (83626,10366,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83627,10366,'ATS','segnastr',0,NULL,NULL),
 (83628,10366,'TifHeaderDocumentname','segnastr_PPN600861902_0001',0,NULL,NULL),
 (83629,10367,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83630,10367,'DocType','multivolume',0,NULL,NULL),
 (83631,10367,'TifHeaderDocumentname','segnastr_PPN600861929_0002',0,NULL,NULL),
 (83632,10367,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Astronomische Vorlesungen|<AUTOREN/HERAUSGEBER>Segner, Johann Andreas|<JAHR>1776|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>segnastr_PPN600861929_0002|',0,NULL,NULL),
 (83633,10367,'PPN digital f-Satz','PPN600861929',0,NULL,NULL),
 (83634,10367,'PPN digital c-Satz','PPN600861872',0,NULL,NULL),
 (83635,10367,'ATS','segnastr',0,NULL,NULL),
 (83636,10367,'VD18ID','',0,NULL,NULL),
 (83637,10368,'VD18ID','',0,NULL,NULL),
 (83638,10368,'DocType','multivolume',0,NULL,NULL),
 (83639,10368,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer|<AUTOREN/HERAUSGEBER>Cilano, Georg Christian Maternus|<JAHR>1775|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cilad_PPN600873838_0001|',0,NULL,NULL),
 (83640,10368,'PPN digital c-Satz','PPN600873811',0,NULL,NULL),
 (83641,10368,'ATS','cilad',0,NULL,NULL),
 (83642,10368,'PPN digital f-Satz','PPN600873838',0,NULL,NULL),
 (83643,10368,'TifHeaderDocumentname','cilad_PPN600873838_0001',0,NULL,NULL),
 (83644,10368,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83645,10369,'ATS','cilad',0,NULL,NULL),
 (83646,10369,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83647,10369,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer|<AUTOREN/HERAUSGEBER>Cilano, Georg Christian Maternus|<JAHR>1776|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cilad_PPN600873854_0002|',0,NULL,NULL),
 (83648,10369,'TifHeaderDocumentname','cilad_PPN600873854_0002',0,NULL,NULL),
 (83649,10369,'PPN digital c-Satz','PPN600873811',0,NULL,NULL),
 (83650,10369,'VD18ID','',0,NULL,NULL),
 (83651,10369,'DocType','multivolume',0,NULL,NULL),
 (83652,10369,'PPN digital f-Satz','PPN600873854',0,NULL,NULL),
 (83653,10370,'PPN digital f-Satz','PPN600873897',0,NULL,NULL),
 (83654,10370,'ATS','cilad',0,NULL,NULL),
 (83655,10370,'TifHeaderDocumentname','cilad_PPN600873897_0003',0,NULL,NULL),
 (83656,10370,'DocType','multivolume',0,NULL,NULL),
 (83657,10370,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer|<AUTOREN/HERAUSGEBER>Cilano, Georg Christian Maternus|<JAHR>1776|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cilad_PPN600873897_0003|',0,NULL,NULL),
 (83658,10370,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83659,10370,'PPN digital c-Satz','PPN600873811',0,NULL,NULL),
 (83660,10370,'VD18ID','',0,NULL,NULL),
 (83661,10371,'DocType','multivolume',0,NULL,NULL),
 (83662,10371,'ATS','cilad',0,NULL,NULL),
 (83663,10371,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83664,10371,'TifHeaderDocumentname','cilad_PPN600873927_0004',0,NULL,NULL),
 (83665,10371,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>D. Georg Christian Maternus von Cilano weiland Königl. dänischen Justitzraths Professors der Medicin und Naturlehre, wie auch der römischen und griechischen Alterthümer ... ausführliche Abhandlung der römischen Alterthümer|<AUTOREN/HERAUSGEBER>Cilano, Georg Christian Maternus|<JAHR>1776|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cilad_PPN600873927_0004|',0,NULL,NULL),
 (83666,10371,'PPN digital c-Satz','PPN600873811',0,NULL,NULL),
 (83667,10371,'PPN digital f-Satz','PPN600873927',0,NULL,NULL),
 (83668,10371,'VD18ID','',0,NULL,NULL),
 (84310,10461,'VD18ID','',0,NULL,NULL),
 (84311,10461,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84312,10461,'TifHeaderDocumentname','tielunte_PPN601185773',0,NULL,NULL),
 (84313,10461,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Unterricht für die Officiers, die sich zu Feld-Ingenieurs bilden, oder doch den Feldzügen mit Nutzen beywohnen wollen|<AUTOREN/HERAUSGEBER>Tielcke, Johann Gottlieb|<JAHR>1769|<ERSCHEINUNGSORT>Dreßden|<VERZ_STRCT>tielunte_PPN601185773|',0,NULL,NULL),
 (84314,10461,'PPN digital a-Satz','PPN601185773',0,NULL,NULL),
 (83676,10373,'VD18ID','',0,NULL,NULL),
 (83677,10373,'ATS','stetherr',0,NULL,NULL),
 (83678,10373,'TifHeaderDocumentname','stetherr_PPN60088192X',0,NULL,NULL),
 (83679,10373,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83680,10373,'PPN digital a-Satz','PPN60088192X',0,NULL,NULL),
 (83681,10373,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Herrn Paul von Stetten, des jüngern Erläuterungen der in Kupfer gestochenen Vorstellungen, aus der Geschichte der Reichsstadt Augsburg|<AUTOREN/HERAUSGEBER>Stetten, Paul|<JAHR>1767|<ERSCHEINUNGSORT>Augsburg|<VERZ_STRCT>stetherr_PPN60088192X|',0,NULL,NULL),
 (83682,10373,'DocType','monograph',0,NULL,NULL),
 (83683,10374,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83684,10374,'DocType','monograph',0,NULL,NULL),
 (83685,10374,'TifHeaderDocumentname','bachuebe_PPN600882438',0,NULL,NULL),
 (83686,10374,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Ueber die Benennung Pfalz-Baiern|<AUTOREN/HERAUSGEBER>Bachmann, Johann Heinrich|<JAHR>1786|<ERSCHEINUNGSORT>[Mannheim]|<VERZ_STRCT>bachuebe_PPN600882438|',0,NULL,NULL),
 (83687,10374,'ATS','bachuebe',0,NULL,NULL),
 (83688,10374,'PPN digital a-Satz','PPN600882438',0,NULL,NULL),
 (83689,10374,'VD18ID','',0,NULL,NULL),
 (83690,10375,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte|<AUTOREN/HERAUSGEBER>Banier, Antoine|<JAHR>1754|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>banianto_PPN600882969_0001|',0,NULL,NULL),
 (83691,10375,'VD18ID','',0,NULL,NULL),
 (83692,10375,'TifHeaderDocumentname','banianto_PPN600882969_0001',0,NULL,NULL),
 (83693,10375,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83694,10375,'PPN digital f-Satz','PPN600882969',0,NULL,NULL),
 (83695,10375,'DocType','multivolume',0,NULL,NULL),
 (83696,10375,'ATS','banianto',0,NULL,NULL),
 (83697,10375,'PPN digital c-Satz','PPN600882578',0,NULL,NULL),
 (83698,10376,'DocType','multivolume',0,NULL,NULL),
 (83699,10376,'PPN digital f-Satz','PPN600883191',0,NULL,NULL),
 (83700,10376,'VD18ID','',0,NULL,NULL),
 (83701,10376,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte|<AUTOREN/HERAUSGEBER>Banier, Antoine|<JAHR>1756|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>banianto_PPN600883191_0002|',0,NULL,NULL),
 (83702,10376,'TifHeaderDocumentname','banianto_PPN600883191_0002',0,NULL,NULL),
 (83703,10376,'ATS','banianto',0,NULL,NULL),
 (83704,10376,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83705,10376,'PPN digital c-Satz','PPN600882578',0,NULL,NULL),
 (83706,10377,'VD18ID','',0,NULL,NULL),
 (83707,10377,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83708,10377,'PPN digital f-Satz','PPN600883310',0,NULL,NULL),
 (83709,10377,'ATS','banianto',0,NULL,NULL),
 (83710,10377,'DocType','multivolume',0,NULL,NULL),
 (83711,10377,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte|<AUTOREN/HERAUSGEBER>Banier, Antoine|<JAHR>1764|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>banianto_PPN600883310_0003|',0,NULL,NULL),
 (83712,10377,'PPN digital c-Satz','PPN600882578',0,NULL,NULL),
 (83713,10377,'TifHeaderDocumentname','banianto_PPN600883310_0003',0,NULL,NULL),
 (83714,10378,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Beschreibung des Mechanismus eines sechsundzwanzigfüssigen Teleskops ohnweit Kiel|<AUTOREN/HERAUSGEBER>Schrader, Johann Gottlieb Friedrich|<JAHR>1794|<ERSCHEINUNGSORT>Kiel|<VERZ_STRCT>schrbesc_PPN600884554|',0,NULL,NULL),
 (83715,10378,'TifHeaderDocumentname','schrbesc_PPN600884554',0,NULL,NULL),
 (83716,10378,'PPN digital a-Satz','PPN600884554',0,NULL,NULL),
 (83717,10378,'VD18ID','',0,NULL,NULL),
 (83718,10378,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83719,10378,'ATS','schrbesc',0,NULL,NULL),
 (83720,10378,'DocType','monograph',0,NULL,NULL),
 (83721,10379,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte|<AUTOREN/HERAUSGEBER>Banier, Antoine|<JAHR>1765|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>banianto_PPN600883442_0004|',0,NULL,NULL),
 (83722,10379,'PPN digital c-Satz','PPN600882578',0,NULL,NULL),
 (83723,10379,'ATS','banianto',0,NULL,NULL),
 (83724,10379,'PPN digital f-Satz','PPN600883442',0,NULL,NULL),
 (83725,10379,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83726,10379,'DocType','multivolume',0,NULL,NULL),
 (83727,10379,'VD18ID','',0,NULL,NULL),
 (83728,10379,'TifHeaderDocumentname','banianto_PPN600883442_0004',0,NULL,NULL),
 (83729,10380,'ATS','banianto',0,NULL,NULL),
 (83730,10380,'VD18ID','',0,NULL,NULL),
 (83731,10380,'DocType','multivolume',0,NULL,NULL),
 (83732,10380,'PPN digital f-Satz','PPN600883582',0,NULL,NULL),
 (83733,10380,'PPN digital c-Satz','PPN600882578',0,NULL,NULL),
 (83734,10380,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83735,10380,'TifHeaderDocumentname','banianto_PPN600883582_0005',0,NULL,NULL),
 (83736,10380,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Anton Baniers, Mitglieds der Akademie der Innschriften und schönen Wissenschaften, Erläuterung der Götterlehre und Fabeln aus der Geschichte|<AUTOREN/HERAUSGEBER>Banier, Antoine|<JAHR>1766|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>banianto_PPN600883582_0005|',0,NULL,NULL),
 (83737,10381,'VD18ID','',0,NULL,NULL),
 (83738,10381,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83739,10381,'PPN digital a-Satz','PPN600886190',0,NULL,NULL),
 (83740,10381,'DocType','monograph',0,NULL,NULL),
 (83741,10381,'ATS','nitsneue',0,NULL,NULL),
 (83742,10381,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Neues Mythologisches Wörterbuch|<AUTOREN/HERAUSGEBER>Nitsch, Paul Friedrich Achat|<JAHR>1793|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>nitsneue_PPN600886190|',0,NULL,NULL),
 (83743,10381,'TifHeaderDocumentname','nitsneue_PPN600886190',0,NULL,NULL),
 (83744,10382,'TifHeaderDocumentname','reucvon_PPN600886700',0,NULL,NULL),
 (83745,10382,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83746,10382,'DocType','monograph',0,NULL,NULL),
 (83747,10382,'ATS','reucvon',0,NULL,NULL),
 (83748,10382,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Von den Leichen der Morgenländer|<AUTOREN/HERAUSGEBER>Reuchlin, Fridericus Jacobus; Weber, Georg Friedrich|<JAHR>1782|<ERSCHEINUNGSORT>Coburg|<VERZ_STRCT>reucvon_PPN600886700|',0,NULL,NULL),
 (83749,10382,'PPN digital a-Satz','PPN600886700',0,NULL,NULL),
 (83750,10382,'VD18ID','',0,NULL,NULL),
 (83751,10383,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Christ. Wilh. Forstmanns ausführlicher Unterricht von zeigenden und schlagenden Taschenuhren|<AUTOREN/HERAUSGEBER>Forstmann, Christoph Wilhelm|<JAHR>1779|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>forschri_PPN600886875|',0,NULL,NULL),
 (83752,10383,'DocType','monograph',0,NULL,NULL),
 (83753,10383,'ATS','forschri',0,NULL,NULL),
 (83754,10383,'PPN digital a-Satz','PPN600886875',0,NULL,NULL),
 (83755,10383,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83756,10383,'TifHeaderDocumentname','forschri_PPN600886875',0,NULL,NULL),
 (83757,10383,'VD18ID','',0,NULL,NULL),
 (83758,10384,'PPN digital a-Satz','PPN600887227',0,NULL,NULL),
 (83759,10384,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Geschichte des Luxus der Athenienser von den ältesten Zeiten an bis auf den Tod Philipps von Makedonien|<AUTOREN/HERAUSGEBER>Meiners, Christoph|<JAHR>1782|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>meingesc_PPN600887227|',0,NULL,NULL),
 (83760,10384,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83761,10384,'DocType','monograph',0,NULL,NULL),
 (83762,10384,'TifHeaderDocumentname','meingesc_PPN600887227',0,NULL,NULL),
 (83763,10384,'ATS','meingesc',0,NULL,NULL),
 (83764,10384,'VD18ID','',0,NULL,NULL),
 (83765,10385,'ATS','lesswie',0,NULL,NULL),
 (83766,10385,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83767,10385,'PPN digital a-Satz','PPN600887804',0,NULL,NULL),
 (83768,10385,'TifHeaderDocumentname','lesswie_PPN600887804',0,NULL,NULL),
 (83769,10385,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Wie die Alten den Tod gebildet|<AUTOREN/HERAUSGEBER>Lessing, Gotthold Ephraim|<JAHR>1769|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>lesswie_PPN600887804|',0,NULL,NULL),
 (83770,10385,'VD18ID','',0,NULL,NULL),
 (83771,10385,'DocType','monograph',0,NULL,NULL),
 (83772,10386,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83773,10386,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Lehrbuch einer populären Sternkunde nach dem gegenwärtigen Zustande der Wissenschaft|<AUTOREN/HERAUSGEBER>Voigt, Johann Heinrich|<JAHR>1799|<ERSCHEINUNGSORT>Weimar|<VERZ_STRCT>voiglehr_PPN600887448|',0,NULL,NULL),
 (83774,10386,'ATS','voiglehr',0,NULL,NULL),
 (83775,10386,'DocType','monograph',0,NULL,NULL),
 (83776,10386,'TifHeaderDocumentname','voiglehr_PPN600887448',0,NULL,NULL),
 (83777,10386,'PPN digital a-Satz','PPN600887448',0,NULL,NULL),
 (83778,10386,'VD18ID','',0,NULL,NULL),
 (83779,10387,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Kurzer Entwurf der astronomischen Wissenschaften|<AUTOREN/HERAUSGEBER>Bode, Johann Elert|<JAHR>1794|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>bodekurz_PPN600891291|',0,NULL,NULL),
 (83780,10387,'DocType','monograph',0,NULL,NULL),
 (83781,10387,'PPN digital a-Satz','PPN600891291',0,NULL,NULL),
 (83782,10387,'VD18ID','',0,NULL,NULL),
 (83783,10387,'ATS','bodekurz',0,NULL,NULL),
 (83784,10387,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83785,10387,'TifHeaderDocumentname','bodekurz_PPN600891291',0,NULL,NULL),
 (83786,10388,'ATS','schageme',0,NULL,NULL),
 (83787,10388,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83788,10388,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Gemeinnüzige Unterhaltungen über die Himmelskörper|<AUTOREN/HERAUSGEBER>Schärer, Johann Rudolf|<JAHR>1785|<ERSCHEINUNGSORT>Bern|<VERZ_STRCT>schageme_PPN600894738|',0,NULL,NULL),
 (83789,10388,'DocType','monograph',0,NULL,NULL),
 (83790,10388,'TifHeaderDocumentname','schageme_PPN600894738',0,NULL,NULL),
 (83791,10388,'PPN digital a-Satz','PPN600894738',0,NULL,NULL),
 (83792,10388,'VD18ID','',0,NULL,NULL),
 (83793,10389,'DocType','multivolume',0,NULL,NULL),
 (83794,10389,'PPN digital f-Satz','PPN600895246',0,NULL,NULL),
 (83795,10389,'PPN digital c-Satz','PPN600895076',0,NULL,NULL),
 (83796,10389,'ATS','nitspaul',0,NULL,NULL),
 (83797,10389,'TifHeaderDocumentname','nitspaul_PPN600895246_0001',0,NULL,NULL),
 (83798,10389,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83799,10389,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften|<AUTOREN/HERAUSGEBER>Nitsch, Paul Friedrich Achat|<JAHR>1791|<ERSCHEINUNGSORT>Erfurt|<VERZ_STRCT>nitspaul_PPN600895246_0001|',0,NULL,NULL),
 (83800,10389,'VD18ID','',0,NULL,NULL),
 (83801,10390,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83802,10390,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften|<AUTOREN/HERAUSGEBER>Nitsch, Paul Friedrich Achat|<JAHR>1795|<ERSCHEINUNGSORT>Erfurt|<VERZ_STRCT>nitspaul_PPN600895750_0002|',0,NULL,NULL),
 (83803,10390,'PPN digital c-Satz','PPN600895076',0,NULL,NULL),
 (83804,10390,'PPN digital f-Satz','PPN600895750',0,NULL,NULL),
 (83805,10390,'TifHeaderDocumentname','nitspaul_PPN600895750_0002',0,NULL,NULL),
 (83806,10390,'DocType','multivolume',0,NULL,NULL),
 (83807,10390,'VD18ID','',0,NULL,NULL),
 (83808,10390,'ATS','nitspaul',0,NULL,NULL),
 (83809,10391,'PPN digital c-Satz','PPN600895076',0,NULL,NULL),
 (83810,10391,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Paul Friedrich Achat Nitsch\'s ... Beschreibung des häuslichen, gottesdienstlichen, sittlichen, politischen, kriegerischen und wissenschaftlichen Zustandes der Griechen nach den verschiedenen Zeitaltern und Völkerschaften|<AUTOREN/HERAUSGEBER>Nitsch, Paul Friedrich Achat|<JAHR>1800|<ERSCHEINUNGSORT>Erfurt|<VERZ_STRCT>nitspaul_PPN600896455_0003|',0,NULL,NULL),
 (83811,10391,'ATS','nitspaul',0,NULL,NULL),
 (83812,10391,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83813,10391,'TifHeaderDocumentname','nitspaul_PPN600896455_0003',0,NULL,NULL),
 (83814,10391,'DocType','multivolume',0,NULL,NULL),
 (83815,10391,'PPN digital f-Satz','PPN600896455',0,NULL,NULL),
 (83816,10391,'VD18ID','',0,NULL,NULL),
 (83817,10392,'PPN digital a-Satz','PPN600907821',0,NULL,NULL),
 (83818,10392,'TifHeaderDocumentname','tutejoha_PPN600907821',0,NULL,NULL),
 (83819,10392,'VD18ID','',0,NULL,NULL),
 (83820,10392,'DocType','monograph',0,NULL,NULL),
 (83821,10392,'ATS','tutejoha',0,NULL,NULL),
 (83822,10392,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83823,10392,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Carl Tutenberg\'s Unterhaltende Betrachtung der Himmelskörper, oder des großen Weltall\'s; für Kinder|<AUTOREN/HERAUSGEBER>Tutenberg, Johann Carl|<JAHR>1782|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>tutejoha_PPN600907821|',0,NULL,NULL),
 (83830,10394,'TifHeaderDocumentname','extevorn_PPN600917339',0,NULL,NULL),
 (83831,10394,'PPN digital a-Satz','PPN600917339',0,NULL,NULL),
 (83832,10394,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83833,10394,'VD18ID','',0,NULL,NULL),
 (83834,10394,'ATS','extevorn',0,NULL,NULL),
 (83835,10394,'DocType','monograph',0,NULL,NULL),
 (83836,10394,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Vornehmste Lebensumstände des wegen seiner Kunst im Graviren hochberühmten Ritters Ferdinand von St. Urbain|<AUTOREN/HERAUSGEBER>Exter, Friedrich|<JAHR>1770|<ERSCHEINUNGSORT>Nürnberg|<VERZ_STRCT>extevorn_PPN600917339|',0,NULL,NULL),
 (83837,10395,'VD18ID','',0,NULL,NULL),
 (83838,10395,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83839,10395,'TifHeaderDocumentname','huchphil_PPN600923533',0,NULL,NULL),
 (83840,10395,'ATS','huchphil',0,NULL,NULL),
 (83841,10395,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Philosophie der Bildhauer|<AUTOREN/HERAUSGEBER>Huch, Ernst Ludwig Daniel|<JAHR>1775|<ERSCHEINUNGSORT>Brandenburg|<VERZ_STRCT>huchphil_PPN600923533|',0,NULL,NULL),
 (83842,10395,'PPN digital a-Satz','PPN600923533',0,NULL,NULL),
 (83843,10395,'DocType','monograph',0,NULL,NULL),
 (83844,10396,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Matthias Oesterreichs, Inspectors der großen Königlichen Bilder-Gallerie zu Sans-Souci, Beschreibung und Erklärung der Grupen, Statüen, ganzen und halben Brust-Stücke, Basreliefs, Urnen und Vasen von Marmor, Bronze und Bley, sowohl von antiker als moderner Arbeit, welche die Sammlung Sr. Majestät, des Königs von Preußen, ausmachen|<AUTOREN/HERAUSGEBER>Oesterreich, Matthias|<JAHR>1775|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>oestmatt_PPN600924165|',0,NULL,NULL),
 (83845,10396,'DocType','monograph',0,NULL,NULL),
 (83846,10396,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83847,10396,'TifHeaderDocumentname','oestmatt_PPN600924165',0,NULL,NULL),
 (83848,10396,'ATS','oestmatt',0,NULL,NULL),
 (83849,10396,'PPN digital a-Satz','PPN600924165',0,NULL,NULL),
 (83850,10396,'VD18ID','',0,NULL,NULL),
 (83885,10401,'PPN digital a-Satz','PPN600937666',0,NULL,NULL),
 (83886,10401,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83887,10401,'DocType','monograph',0,NULL,NULL),
 (83888,10401,'TifHeaderDocumentname','santfrey_PPN600937666',0,NULL,NULL),
 (83889,10401,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Freyer Auszug aus des Herrn Marquis von Santa-Cruz-Marzenado, Gedanken von Kriegs- und Staatsgeschäften|<AUTOREN/HERAUSGEBER>Santa Cruz de Marcenado, Alvaro de Navia Osorio|<JAHR>1775|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>santfrey_PPN600937666|',0,NULL,NULL),
 (83890,10401,'ATS','santfrey',0,NULL,NULL),
 (83891,10401,'VD18ID','',0,NULL,NULL),
 (83892,10402,'PPN digital a-Satz','PPN600938808',0,NULL,NULL),
 (83893,10402,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83894,10402,'VD18ID','',0,NULL,NULL),
 (83895,10402,'TifHeaderDocumentname','brenpara_PPN600938808',0,NULL,NULL),
 (83896,10402,'ATS','brenpara',0,NULL,NULL),
 (83897,10402,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Paradoxa, größtentheils militärischen Inhalts|<AUTOREN/HERAUSGEBER>Brenkenhoff, Leopold|<JAHR>1798|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>brenpara_PPN600938808|',0,NULL,NULL),
 (83898,10402,'DocType','monograph',0,NULL,NULL),
 (83899,10403,'VD18ID','',0,NULL,NULL),
 (83900,10403,'DocType','monograph',0,NULL,NULL),
 (83901,10403,'PPN digital a-Satz','PPN600939812',0,NULL,NULL),
 (83902,10403,'ATS','hausfudic',0,NULL,NULL),
 (83903,10403,'TifHeaderDocumentname','hausfudic_PPN600939812',0,NULL,NULL),
 (83904,10403,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Haushalts-Reglement für die Chur-Braunschweig-Lüneburgische Infanterie|<AUTOREN/HERAUSGEBER>|<JAHR>1786|<ERSCHEINUNGSORT>Hannover|<VERZ_STRCT>hausfudic_PPN600939812|',0,NULL,NULL),
 (83905,10403,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83906,10404,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83907,10404,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Versuch einer Abhandlung von der militairischen Reiterey|<AUTOREN/HERAUSGEBER>Sothen, Otto|<JAHR>1787|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>sothvers_PPN600940357|',0,NULL,NULL),
 (83908,10404,'DocType','monograph',0,NULL,NULL),
 (83909,10404,'PPN digital a-Satz','PPN600940357',0,NULL,NULL),
 (83910,10404,'ATS','sothvers',0,NULL,NULL),
 (83911,10404,'TifHeaderDocumentname','sothvers_PPN600940357',0,NULL,NULL),
 (83912,10404,'VD18ID','',0,NULL,NULL),
 (83913,10405,'DocType','monograph',0,NULL,NULL),
 (83914,10405,'PPN digital a-Satz','PPN600941329',0,NULL,NULL),
 (83915,10405,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Artistisches Magazin|<AUTOREN/HERAUSGEBER>Hüsgen, Henrich Sebastian|<JAHR>1790|<ERSCHEINUNGSORT>Frankfurt am Mayn|<VERZ_STRCT>husgarti_PPN600941329|',0,NULL,NULL),
 (83916,10405,'TifHeaderDocumentname','husgarti_PPN600941329',0,NULL,NULL),
 (83917,10405,'VD18ID','',0,NULL,NULL),
 (83918,10405,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83919,10405,'ATS','husgarti',0,NULL,NULL),
 (83923,10406,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Gedanken Über Einige Dem Officier Der Leichten Reuterey Nothwendige Kenntnisse|<AUTOREN/HERAUSGEBER>Bennigsen, Levin August Gottlieb|<JAHR>1794|<ERSCHEINUNGSORT>Riga|<VERZ_STRCT>benngeda_PPN600941736|',0,NULL,NULL),
 (83924,10406,'DocType','monograph',0,NULL,NULL),
 (83925,10406,'ATS','benngeda',0,NULL,NULL),
 (83926,10406,'TifHeaderDocumentname','benngeda_PPN600941736',0,NULL,NULL),
 (83927,10407,'TifHeaderDocumentname','bodebesc_PPN601124308',0,NULL,NULL),
 (83928,10407,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83929,10407,'ATS','bodebesc',0,NULL,NULL),
 (83930,10407,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Beschreibung und Gebrauch einer allgemeinen Himmelscharte, mit einem durchscheinenden Horizont|<AUTOREN/HERAUSGEBER>Bode, Johann Elert|<JAHR>1800|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>bodebesc_PPN601124308|',0,NULL,NULL),
 (83931,10407,'PPN digital a-Satz','PPN601124308',0,NULL,NULL),
 (83932,10407,'DocType','monograph',0,NULL,NULL),
 (83933,10407,'VD18ID','',0,NULL,NULL),
 (83934,10408,'VD18ID','',0,NULL,NULL),
 (83935,10408,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Gründliche Vertheidigung neuer Beobachtungen von Fixsterntrabanten, welche zu Mannheim auf der kurfürstlichen Sternwarte entdecket worden sind|<AUTOREN/HERAUSGEBER>Mayer, Christian|<JAHR>1778|<ERSCHEINUNGSORT>Mannheim|<VERZ_STRCT>mayegrun_PPN601124944|',0,NULL,NULL),
 (83936,10408,'DocType','monograph',0,NULL,NULL),
 (83937,10408,'ATS','mayegrun',0,NULL,NULL),
 (83938,10408,'TifHeaderDocumentname','mayegrun_PPN601124944',0,NULL,NULL),
 (83939,10408,'PPN digital a-Satz','PPN601124944',0,NULL,NULL),
 (83940,10408,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83941,10409,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83942,10409,'DocType','monograph',0,NULL,NULL),
 (83943,10409,'TifHeaderDocumentname','bodejoha_PPN601125150',0,NULL,NULL),
 (83944,10409,'PPN digital a-Satz','PPN601125150',0,NULL,NULL),
 (83945,10409,'ATS','bodejoha',0,NULL,NULL),
 (83946,10409,'VD18ID','',0,NULL,NULL),
 (83947,10409,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Elert Bode Astronom der Königlichen Akademie der Wissenschaften ... Von dem neu entdeckten Planeten|<AUTOREN/HERAUSGEBER>Bode, Johann Elert|<JAHR>1784|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>bodejoha_PPN601125150|',0,NULL,NULL),
 (83948,10410,'DocType','monograph',0,NULL,NULL),
 (83949,10410,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83950,10410,'PPN digital a-Satz','PPN601125738',0,NULL,NULL),
 (83951,10410,'VD18ID','',0,NULL,NULL),
 (83952,10410,'ATS','kochmaye',0,NULL,NULL),
 (83953,10410,'TifHeaderDocumentname','kochmaye_PPN601125738',0,NULL,NULL),
 (83954,10410,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Mayersches Zodiacal-Sternverzeichniss, auf den Anfang des Jahres 1800 reducirt, und durch Hinzusetzung der Längen und Breiten der Sterne, wie auch der jährlichen Veränderung in der geraden Aufsteigung und Abweichung|<AUTOREN/HERAUSGEBER>Koch, Julius August|<JAHR>1790|<ERSCHEINUNGSORT>[S.l.]|<VERZ_STRCT>kochmaye_PPN601125738|',0,NULL,NULL),
 (83955,10411,'PPN digital a-Satz','PPN601125800',0,NULL,NULL),
 (83956,10411,'VD18ID','',0,NULL,NULL),
 (83957,10411,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83958,10411,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Kosmologische Betrachtungen über den neu entdeckten Planeten|<AUTOREN/HERAUSGEBER>Sack, Friedrich Wilhelm|<JAHR>1785|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>sackkosm_PPN601125800|',0,NULL,NULL),
 (83959,10411,'ATS','sackkosm',0,NULL,NULL),
 (83960,10411,'TifHeaderDocumentname','sackkosm_PPN601125800',0,NULL,NULL),
 (83961,10411,'DocType','monograph',0,NULL,NULL),
 (83968,10413,'ATS','lambcosm',0,NULL,NULL),
 (83969,10413,'VD18ID','',0,NULL,NULL),
 (83970,10413,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83971,10413,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Cosmologische Briefe über die Einrichtung des Weltbaues|<AUTOREN/HERAUSGEBER>Lambert, Johann Heinrich|<JAHR>1761|<ERSCHEINUNGSORT>Augspurg|<VERZ_STRCT>lambcosm_PPN601126025|',0,NULL,NULL),
 (83972,10413,'PPN digital a-Satz','PPN601126025',0,NULL,NULL),
 (83973,10413,'TifHeaderDocumentname','lambcosm_PPN601126025',0,NULL,NULL),
 (83974,10413,'DocType','monograph',0,NULL,NULL),
 (83975,10414,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Die Ursachen der Bewegung der Planeten, der Schwehre und des Zusammenhangens der Körper|<AUTOREN/HERAUSGEBER>Hamberger, Adolph Albrecht|<JAHR>1772|<ERSCHEINUNGSORT>Jena|<VERZ_STRCT>hambursa_PPN601126556|',0,NULL,NULL),
 (83976,10414,'DocType','monograph',0,NULL,NULL),
 (83977,10414,'PPN digital a-Satz','PPN601126556',0,NULL,NULL),
 (83978,10414,'ATS','hambursa',0,NULL,NULL),
 (83979,10414,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83980,10414,'TifHeaderDocumentname','hambursa_PPN601126556',0,NULL,NULL),
 (83981,10414,'VD18ID','',0,NULL,NULL),
 (83982,10415,'ATS','astrtadem',0,NULL,NULL),
 (83983,10415,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Astronomische Tafeln der mittlern Abstände der Sonne in Zeit vom ersten Punct der Frühlings Tag- und Nacht-Gleichen und ihrer mittlern Bewegungen für Monate und Tage zur Verwandlung der Sternzeit in mittlere Sonnenzeit und umgekehrt|<AUTOREN/HERAUSGEBER>Ernst <Sachsen-Gotha-Altenburg, Herzog, II.>|<JAHR>1799|<ERSCHEINUNGSORT>[Gotha]|<VERZ_STRCT>astrtadem_PPN60112698X|',0,NULL,NULL),
 (83984,10415,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83985,10415,'DocType','monograph',0,NULL,NULL),
 (83986,10415,'TifHeaderDocumentname','astrtadem_PPN60112698X',0,NULL,NULL),
 (83987,10415,'PPN digital a-Satz','PPN60112698X',0,NULL,NULL),
 (83988,10415,'VD18ID','',0,NULL,NULL),
 (83989,10416,'PPN digital a-Satz','PPN601127609',0,NULL,NULL),
 (83990,10416,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (83991,10416,'VD18ID','',0,NULL,NULL),
 (83992,10416,'DocType','monograph',0,NULL,NULL),
 (83993,10416,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Herrn Edmund Halleys richtige Sonnen-Tabellen auf den Londonischen mittlern Mittag gestellt|<AUTOREN/HERAUSGEBER>Schumacher, Christoph Siegmund|<JAHR>1763|<ERSCHEINUNGSORT>Jena|<VERZ_STRCT>schuherr_PPN601127609|',0,NULL,NULL),
 (83994,10416,'TifHeaderDocumentname','schuherr_PPN601127609',0,NULL,NULL),
 (83995,10416,'ATS','schuherr',0,NULL,NULL),
 (83996,10417,'PPN digital a-Satz','PPN601127544',0,NULL,NULL),
 (83997,10417,'TifHeaderDocumentname','wincjoha_PPN601127544',0,NULL,NULL),
 (83998,10417,'ATS','wincjoha',0,NULL,NULL),
 (83999,10417,'VD18ID','',0,NULL,NULL),
 (84000,10417,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84001,10417,'DocType','monograph',0,NULL,NULL),
 (84002,10417,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Winckelmanns Nachrichten von den neuesten Herculanischen Entdeckungen|<AUTOREN/HERAUSGEBER>Winckelmann, Johann Joachim|<JAHR>1764|<ERSCHEINUNGSORT>Dresden|<VERZ_STRCT>wincjoha_PPN601127544|',0,NULL,NULL),
 (84003,10418,'PPN digital a-Satz','PPN601128036',0,NULL,NULL),
 (84004,10418,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84005,10418,'DocType','monograph',0,NULL,NULL),
 (84006,10418,'ATS','wiedneue',0,NULL,NULL),
 (84007,10418,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Neue Muthmasungen über die SonnenFlecken Kometen und die erste Geschichte der Erde|<AUTOREN/HERAUSGEBER>Wiedeburg, Johann Ernst Basilius|<JAHR>1776|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>wiedneue_PPN601128036|',0,NULL,NULL),
 (84008,10418,'TifHeaderDocumentname','wiedneue_PPN601128036',0,NULL,NULL),
 (84009,10418,'VD18ID','',0,NULL,NULL),
 (84031,10422,'DocType','monograph',0,NULL,NULL),
 (84032,10422,'ATS','mauppari',0,NULL,NULL),
 (84033,10422,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Eines Parisischen Astronomi Sendschreiben von den Cometen|<AUTOREN/HERAUSGEBER>Maupertuis, Pierre Louis Moreau|<JAHR>1744|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>mauppari_PPN601130030|',0,NULL,NULL),
 (84034,10422,'PPN digital a-Satz','PPN601130030',0,NULL,NULL),
 (84035,10422,'TifHeaderDocumentname','mauppari_PPN601130030',0,NULL,NULL),
 (84036,10422,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84037,10422,'VD18ID','',0,NULL,NULL),
 (84045,10424,'PPN digital f-Satz','PPN601137574',0,NULL,NULL),
 (84046,10424,'DocType','multivolume',0,NULL,NULL),
 (84047,10424,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84048,10424,'VD18ID','',0,NULL,NULL),
 (84049,10424,'TifHeaderDocumentname','paccjoha_PPN601137574_0001',0,NULL,NULL),
 (84050,10424,'PPN digital c-Satz','PPN601137442',0,NULL,NULL),
 (84051,10424,'ATS','paccjoha',0,NULL,NULL),
 (84052,10424,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann Freyherrn von Paccassi Einleitung in die Theorie des Mondes|<AUTOREN/HERAUSGEBER>Paccassi, Johann|<JAHR>1783|<ERSCHEINUNGSORT>Wien|<VERZ_STRCT>paccjoha_PPN601137574_0001|',0,NULL,NULL),
 (84053,10425,'ATS','heinbesc',0,NULL,NULL),
 (84054,10425,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84055,10425,'VD18ID','',0,NULL,NULL),
 (84056,10425,'TifHeaderDocumentname','heinbesc_PPN601136713',0,NULL,NULL),
 (84057,10425,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Beschreibung des im Anfang des Jahrs 1744 erschienenen Cometen|<AUTOREN/HERAUSGEBER>Heinsius, Gottfried|<JAHR>1744|<ERSCHEINUNGSORT>St. Petersburg|<VERZ_STRCT>heinbesc_PPN601136713|',0,NULL,NULL),
 (84058,10425,'DocType','monograph',0,NULL,NULL),
 (84059,10425,'PPN digital a-Satz','PPN601136713',0,NULL,NULL),
 (84060,10426,'TifHeaderDocumentname','wincjoha_PPN601134974',0,NULL,NULL),
 (84061,10426,'PPN digital a-Satz','PPN601134974',0,NULL,NULL),
 (84062,10426,'ATS','wincjoha',0,NULL,NULL),
 (84063,10426,'VD18ID','',0,NULL,NULL),
 (84064,10426,'DocType','monograph',0,NULL,NULL),
 (84065,10426,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84066,10426,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Winckelmanns, Präsidentens der Alterthümer in Rom, und Scrittore der Vaticanischen Bibliothek... Abhandlung von der Fähigkeit der Empfindung des Schönen in der Kunst und dem Unterrichte in derselben. An den Edelgebohrnen Freyherrn, Friedrich Rudolph von Berg, aus Liefland|<AUTOREN/HERAUSGEBER>Winckelmann, Johann|<JAHR>1763|<ERSCHEINUNGSORT>Dreßden|<VERZ_STRCT>wincjoha_PPN601134974|',0,NULL,NULL),
 (84067,10427,'TifHeaderDocumentname','escharch_PPN601138449',0,NULL,NULL),
 (84068,10427,'PPN digital a-Satz','PPN601138449',0,NULL,NULL),
 (84069,10427,'ATS','escharch',0,NULL,NULL),
 (84070,10427,'VD18ID','',0,NULL,NULL),
 (84071,10427,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Archäologie der Literatur und Kunst|<AUTOREN/HERAUSGEBER>Eschenburg, Johann Joachim|<JAHR>1787|<ERSCHEINUNGSORT>Stettin|<VERZ_STRCT>escharch_PPN601138449|',0,NULL,NULL),
 (84072,10427,'DocType','monograph',0,NULL,NULL),
 (84073,10427,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84074,10428,'DocType','monograph',0,NULL,NULL),
 (84075,10428,'TifHeaderDocumentname','rudidars_PPN601140621',0,NULL,NULL),
 (84076,10428,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84077,10428,'ATS','rudidars',0,NULL,NULL),
 (84078,10428,'PPN digital a-Satz','PPN601140621',0,NULL,NULL),
 (84079,10428,'VD18ID','',0,NULL,NULL),
 (84080,10428,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Darstellung Der Neuen Methode Des Herrn Du Sejour Sonnen- Und Mondfinsternisse Für Einen Gegebenen Ort Analytisch Zu Berechnen|<AUTOREN/HERAUSGEBER>Rüdiger, Christian Friedrich|<JAHR>1794|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>rudidars_PPN601140621|',0,NULL,NULL),
 (84081,10429,'PPN digital a-Satz','PPN60114113X',0,NULL,NULL),
 (84082,10429,'ATS','windkarl',0,NULL,NULL),
 (84083,10429,'DocType','monograph',0,NULL,NULL),
 (84084,10429,'VD18ID','',0,NULL,NULL),
 (84085,10429,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Karl Gottlieb von Windisch\'s Briefe über den Schachspieler des Hrn. von Kempelen|<AUTOREN/HERAUSGEBER>Windisch, Karl Gottlieb|<JAHR>1783|<ERSCHEINUNGSORT>Basel|<VERZ_STRCT>windkarl_PPN60114113X|',0,NULL,NULL),
 (84086,10429,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84087,10429,'TifHeaderDocumentname','windkarl_PPN60114113X',0,NULL,NULL),
 (84088,10430,'PPN digital a-Satz','PPN601142225',0,NULL,NULL),
 (84089,10430,'TifHeaderDocumentname','hogrprak_PPN601142225',0,NULL,NULL),
 (84090,10430,'ATS','hogrprak',0,NULL,NULL),
 (84091,10430,'DocType','monograph',0,NULL,NULL),
 (84092,10430,'VD18ID','',0,NULL,NULL),
 (84093,10430,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84094,10430,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Praktische Anweisung zum planimetrischen Vermessen der Feldmarken und wie davon die Carten auszuarbeiten, zu berechnen und die Vermeß-Register einzurichten sind|<AUTOREN/HERAUSGEBER>Hogrewe, Johann Ludwig|<JAHR>1798|<ERSCHEINUNGSORT>Hannover|<VERZ_STRCT>hogrprak_PPN601142225|',0,NULL,NULL),
 (84095,10431,'PPN digital a-Satz','PPN601141709',0,NULL,NULL),
 (84096,10431,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Versuch über die Religionsgeschichte der ältesten Völker besonders der Egyptier|<AUTOREN/HERAUSGEBER>Meiners, Christoph|<JAHR>1775|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>meinvers_PPN601141709|',0,NULL,NULL),
 (84097,10431,'ATS','meinvers',0,NULL,NULL),
 (84098,10431,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84099,10431,'TifHeaderDocumentname','meinvers_PPN601141709',0,NULL,NULL),
 (84100,10431,'VD18ID','',0,NULL,NULL),
 (84101,10431,'DocType','monograph',0,NULL,NULL),
 (84102,10432,'DocType','monograph',0,NULL,NULL),
 (84103,10432,'TifHeaderDocumentname','plesosir_PPN601142683',0,NULL,NULL),
 (84104,10432,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Osiris und Sokrates|<AUTOREN/HERAUSGEBER>Plessing, Friedrich Victor Leberecht|<JAHR>1783|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>plesosir_PPN601142683|',0,NULL,NULL),
 (84105,10432,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84106,10432,'PPN digital a-Satz','PPN601142683',0,NULL,NULL),
 (84107,10432,'VD18ID','',0,NULL,NULL),
 (84108,10432,'ATS','plesosir',0,NULL,NULL),
 (84109,10433,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84110,10433,'DocType','multivolume',0,NULL,NULL),
 (84111,10433,'TifHeaderDocumentname','kastastr_PPN601143043_0001',0,NULL,NULL),
 (84112,10433,'PPN digital c-Satz','PPN601143019',0,NULL,NULL),
 (84113,10433,'ATS','kastastr',0,NULL,NULL),
 (84114,10433,'VD18ID','',0,NULL,NULL),
 (84115,10433,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe|<AUTOREN/HERAUSGEBER>Kästner, Abraham Gotthelf|<JAHR>1772|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>kastastr_PPN601143043_0001|',0,NULL,NULL),
 (84116,10433,'PPN digital f-Satz','PPN601143043',0,NULL,NULL),
 (84117,10434,'TifHeaderDocumentname','kastastr_PPN601143051_0002',0,NULL,NULL),
 (84118,10434,'PPN digital f-Satz','PPN601143051',0,NULL,NULL),
 (84119,10434,'VD18ID','',0,NULL,NULL),
 (84120,10434,'DocType','multivolume',0,NULL,NULL),
 (84121,10434,'ATS','kastastr',0,NULL,NULL),
 (84122,10434,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Astronomische Abhandlungen zu weiterer Ausführung der astronomischen Anfangsgründe|<AUTOREN/HERAUSGEBER>Kästner, Abraham Gotthelf|<JAHR>1774|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>kastastr_PPN601143051_0002|',0,NULL,NULL),
 (84123,10434,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84124,10434,'PPN digital c-Satz','PPN601143019',0,NULL,NULL),
 (84125,10435,'TifHeaderDocumentname','hermhand_PPN601146875_0001',0,NULL,NULL),
 (84126,10435,'PPN digital c-Satz','PPN601146832',0,NULL,NULL),
 (84127,10435,'DocType','multivolume',0,NULL,NULL),
 (84128,10435,'PPN digital f-Satz','PPN601146875',0,NULL,NULL),
 (84129,10435,'VD18ID','',0,NULL,NULL),
 (84130,10435,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84131,10435,'ATS','hermhand',0,NULL,NULL),
 (84132,10435,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet|<AUTOREN/HERAUSGEBER>Hermann, Martin Gottfried|<JAHR>1787|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>hermhand_PPN601146875_0001|',0,NULL,NULL),
 (84133,10436,'PPN digital c-Satz','PPN601146832',0,NULL,NULL),
 (84134,10436,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84135,10436,'DocType','multivolume',0,NULL,NULL),
 (84136,10436,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet|<AUTOREN/HERAUSGEBER>Hermann, Martin Gottfried|<JAHR>1790|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>hermhand_PPN601146999_0002|',0,NULL,NULL),
 (84137,10436,'VD18ID','',0,NULL,NULL),
 (84138,10436,'TifHeaderDocumentname','hermhand_PPN601146999_0002',0,NULL,NULL),
 (84139,10436,'PPN digital f-Satz','PPN601146999',0,NULL,NULL),
 (84140,10436,'ATS','hermhand',0,NULL,NULL),
 (84141,10437,'TifHeaderDocumentname','hermhand_PPN601147138_0003',0,NULL,NULL),
 (84142,10437,'ATS','hermhand',0,NULL,NULL),
 (84143,10437,'DocType','multivolume',0,NULL,NULL),
 (84144,10437,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84145,10437,'PPN digital c-Satz','PPN601146832',0,NULL,NULL),
 (84146,10437,'VD18ID','',0,NULL,NULL),
 (84147,10437,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Handbuch der Mythologie aus Homer und Hesiod, als Grundlage zu einer richtigern Fabellehre des Alterthums mit erläuternden Anmerkungen begleitet|<AUTOREN/HERAUSGEBER>Hermann, Martin Gottfried|<JAHR>1795|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>hermhand_PPN601147138_0003|',0,NULL,NULL),
 (84148,10437,'PPN digital f-Satz','PPN601147138',0,NULL,NULL),
 (84149,10438,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84150,10438,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sammlung astronomischer Tafeln|<AUTOREN/HERAUSGEBER>|<JAHR>1776|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>sammasta_PPN601149351_0001|',0,NULL,NULL),
 (84151,10438,'PPN digital c-Satz','PPN601149327',0,NULL,NULL),
 (84152,10438,'PPN digital f-Satz','PPN601149351',0,NULL,NULL),
 (84153,10438,'ATS','sammasta',0,NULL,NULL),
 (84154,10438,'DocType','multivolume',0,NULL,NULL),
 (84155,10438,'VD18ID','',0,NULL,NULL),
 (84156,10438,'TifHeaderDocumentname','sammasta_PPN601149351_0001',0,NULL,NULL),
 (84157,10439,'DocType','multivolume',0,NULL,NULL),
 (84158,10439,'PPN digital f-Satz','PPN601149394',0,NULL,NULL),
 (84159,10439,'TifHeaderDocumentname','sammasta_PPN601149394_0002',0,NULL,NULL),
 (84160,10439,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84161,10439,'PPN digital c-Satz','PPN601149327',0,NULL,NULL),
 (84162,10439,'VD18ID','',0,NULL,NULL),
 (84163,10439,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sammlung astronomischer Tafeln|<AUTOREN/HERAUSGEBER>|<JAHR>1776|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>sammasta_PPN601149394_0002|',0,NULL,NULL),
 (84164,10439,'ATS','sammasta',0,NULL,NULL),
 (84165,10440,'PPN digital c-Satz','PPN601149327',0,NULL,NULL),
 (84166,10440,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sammlung astronomischer Tafeln|<AUTOREN/HERAUSGEBER>|<JAHR>1776|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>sammasta_PPN601149424_0003|',0,NULL,NULL),
 (84167,10440,'ATS','sammasta',0,NULL,NULL),
 (84168,10440,'VD18ID','',0,NULL,NULL),
 (84169,10440,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84170,10440,'TifHeaderDocumentname','sammasta_PPN601149424_0003',0,NULL,NULL),
 (84171,10440,'PPN digital f-Satz','PPN601149424',0,NULL,NULL),
 (84172,10440,'DocType','multivolume',0,NULL,NULL),
 (84186,10443,'DocType','monograph',0,NULL,NULL),
 (84187,10443,'VD18ID','',0,NULL,NULL),
 (84188,10443,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84189,10443,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Der Jäger im Felde oder kurze Abhandlung wie der Dienst bei leichten Truppen im Felde zu verrichten|<AUTOREN/HERAUSGEBER>Wissel, Georg|<JAHR>1784|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>wissjage_PPN60115133X|',0,NULL,NULL),
 (84190,10443,'TifHeaderDocumentname','wissjage_PPN60115133X',0,NULL,NULL),
 (84191,10443,'ATS','wissjage',0,NULL,NULL),
 (84192,10443,'PPN digital a-Satz','PPN60115133X',0,NULL,NULL),
 (84213,10447,'ATS','reglvodik',0,NULL,NULL),
 (84214,10447,'DocType','monograph',0,NULL,NULL),
 (84215,10447,'VD18ID','',0,NULL,NULL),
 (84216,10447,'TifHeaderDocumentname','reglvodik_PPN601152786',0,NULL,NULL),
 (84217,10447,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84218,10447,'PPN digital a-Satz','PPN601152786',0,NULL,NULL),
 (84219,10447,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Reglement, Vor die Königl. Preußische Infanterie|<AUTOREN/HERAUSGEBER>|<JAHR>1750|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>reglvodik_PPN601152786|',0,NULL,NULL),
 (84282,10458,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84283,10458,'DocType','monograph',0,NULL,NULL),
 (84284,10458,'VD18ID','',0,NULL,NULL),
 (84285,10458,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Reglement Vor die Königl. Preußische Cavallerie-Regimenter|<AUTOREN/HERAUSGEBER>|<JAHR>1750|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>reglvodik_PPN601161475|',0,NULL,NULL),
 (84286,10458,'TifHeaderDocumentname','reglvodik_PPN601161475',0,NULL,NULL),
 (84287,10458,'PPN digital a-Satz','PPN601161475',0,NULL,NULL),
 (84288,10458,'ATS','reglvodik',0,NULL,NULL),
 (84303,10460,'VD18ID','',0,NULL,NULL),
 (84304,10460,'ATS','zantvers',0,NULL,NULL),
 (84305,10460,'DocType','monograph',0,NULL,NULL),
 (84306,10460,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Versuch über die Märsche der Armeen, die Läger, Schlachten und den Operations-Plan|<AUTOREN/HERAUSGEBER>Zanthier, Friedrich Wilhelm|<JAHR>1778|<ERSCHEINUNGSORT>Dresden|<VERZ_STRCT>zantvers_PPN601163036|',0,NULL,NULL),
 (84307,10460,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84308,10460,'PPN digital a-Satz','PPN601163036',0,NULL,NULL),
 (84309,10460,'TifHeaderDocumentname','zantvers_PPN601163036',0,NULL,NULL),
 (84315,10461,'ATS','tielunte',0,NULL,NULL),
 (84316,10461,'DocType','monograph',0,NULL,NULL),
 (84317,10462,'ATS','spankr',0,NULL,NULL),
 (84318,10462,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Spanisches Kriegs-Reglement|<AUTOREN/HERAUSGEBER>|<JAHR>1736|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>spankr_PPN601185803|',0,NULL,NULL),
 (84319,10462,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL);
INSERT INTO `werkstueckeeigenschaften` (`werkstueckeeigenschaftenID`,`werkstueckeID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (84320,10462,'DocType','monograph',0,NULL,NULL),
 (84321,10462,'VD18ID','',0,NULL,NULL),
 (84322,10462,'TifHeaderDocumentname','spankr_PPN601185803',0,NULL,NULL),
 (84323,10462,'PPN digital a-Satz','PPN601185803',0,NULL,NULL),
 (84324,10463,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Die Kunst im Schachspiel ein Meister zu werden. das ist: Ein neuer Unterricht, wie man in kurzem dieses so edle und beliebte Spiel nach seiner Vollkommenheit erlernen könne|<AUTOREN/HERAUSGEBER>Philidor, André Dancian|<JAHR>1754|<ERSCHEINUNGSORT>Straßburg|<VERZ_STRCT>philkuns_PPN601185870|',0,NULL,NULL),
 (84325,10463,'VD18ID','',0,NULL,NULL),
 (84326,10463,'ATS','philkuns',0,NULL,NULL),
 (84327,10463,'TifHeaderDocumentname','philkuns_PPN601185870',0,NULL,NULL),
 (84328,10463,'DocType','monograph',0,NULL,NULL),
 (84329,10463,'PPN digital a-Satz','PPN601185870',0,NULL,NULL),
 (84330,10463,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84331,10464,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lehrbuch der Artilleriewissenschaft|<AUTOREN/HERAUSGEBER>Morla, Tomás|<JAHR>1795|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>morllehr_PPN601186036_0001_1|',0,NULL,NULL),
 (84332,10464,'PPN digital f-Satz','PPN601186036',0,NULL,NULL),
 (84333,10464,'TifHeaderDocumentname','morllehr_PPN601186036_0001_1',0,NULL,NULL),
 (84334,10464,'DocType','multivolume',0,NULL,NULL),
 (84335,10464,'VD18ID','',0,NULL,NULL),
 (84336,10464,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84337,10464,'ATS','morllehr',0,NULL,NULL),
 (84338,10464,'PPN digital c-Satz','PPN601186028',0,NULL,NULL),
 (84339,10465,'PPN digital c-Satz','PPN601186028',0,NULL,NULL),
 (84340,10465,'DocType','multivolume',0,NULL,NULL),
 (84341,10465,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lehrbuch der Artilleriewissenschaft|<AUTOREN/HERAUSGEBER>Morla, Tomás|<JAHR>1796|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>morllehr_PPN601186044_0001_2|',0,NULL,NULL),
 (84342,10465,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84343,10465,'PPN digital f-Satz','PPN601186044',0,NULL,NULL),
 (84344,10465,'ATS','morllehr',0,NULL,NULL),
 (84345,10465,'VD18ID','',0,NULL,NULL),
 (84346,10465,'TifHeaderDocumentname','morllehr_PPN601186044_0001_2',0,NULL,NULL),
 (84347,10466,'VD18ID','',0,NULL,NULL),
 (84348,10466,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84349,10466,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lehrbuch der Artilleriewissenschaft|<AUTOREN/HERAUSGEBER>Morla, Tomás|<JAHR>1797|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>morllehr_PPN601186052_0002|',0,NULL,NULL),
 (84350,10466,'DocType','multivolume',0,NULL,NULL),
 (84351,10466,'TifHeaderDocumentname','morllehr_PPN601186052_0002',0,NULL,NULL),
 (84352,10466,'PPN digital c-Satz','PPN601186028',0,NULL,NULL),
 (84353,10466,'ATS','morllehr',0,NULL,NULL),
 (84354,10466,'PPN digital f-Satz','PPN601186052',0,NULL,NULL),
 (84373,10470,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84374,10470,'VD18ID','',0,NULL,NULL),
 (84375,10470,'TifHeaderDocumentname','klotuebe_PPN601144201',0,NULL,NULL),
 (84376,10470,'DocType','monograph',0,NULL,NULL),
 (84377,10470,'PPN digital a-Satz','PPN601144201',0,NULL,NULL),
 (84378,10470,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Ueber den Nutzen und Gebrauch der alten geschnittenen Steine und ihrer Abdrücke|<AUTOREN/HERAUSGEBER>Klotz, Christian Adolf|<JAHR>1768|<ERSCHEINUNGSORT>Altenburg|<VERZ_STRCT>klotuebe_PPN601144201|',0,NULL,NULL),
 (84379,10470,'ATS','klotuebe',0,NULL,NULL),
 (84380,10471,'TifHeaderDocumentname','lacyneus_PPN601146867',0,NULL,NULL),
 (84381,10471,'PPN digital a-Satz','PPN601146867',0,NULL,NULL),
 (84382,10471,'DocType','monograph',0,NULL,NULL),
 (84383,10471,'VD18ID','',0,NULL,NULL),
 (84384,10471,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Neustes Reglement für die sämmtliche Kaiserlich Königliche Kavallerie|<AUTOREN/HERAUSGEBER>|<JAHR>1786|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>lacyneus_PPN601146867|',0,NULL,NULL),
 (84385,10471,'ATS','lacyneus',0,NULL,NULL),
 (84386,10471,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84387,10472,'PPN digital a-Satz','PPN601192710',0,NULL,NULL),
 (84388,10472,'TifHeaderDocumentname','wuchd_PPN601192710',0,NULL,NULL),
 (84389,10472,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>D. Joh. Friedrich Wucherers, Der H. Schrift und Natur-Lehre Prof. P. Ord. wie auch Hochfürstl. Sachsen-Weimarischen Kirchen-Raths, Gründliche Erörterung der Frage: Ob die Cometen nichts gutes bedeuten?|<AUTOREN/HERAUSGEBER>Wucherer, Johannes Friedrich|<JAHR>1744|<ERSCHEINUNGSORT>Jena|<VERZ_STRCT>wuchd_PPN601192710|',0,NULL,NULL),
 (84390,10472,'VD18ID','',0,NULL,NULL),
 (84391,10472,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84392,10472,'DocType','monograph',0,NULL,NULL),
 (84393,10472,'ATS','wuchd_',0,NULL,NULL),
 (84394,10473,'PPN digital f-Satz','PPN601196295',0,NULL,NULL),
 (84395,10473,'PPN digital c-Satz','PPN601196260',0,NULL,NULL),
 (84396,10473,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84397,10473,'TifHeaderDocumentname','homeil_PPN601196295_0001',0,NULL,NULL),
 (84398,10473,'VD18ID','',0,NULL,NULL),
 (84399,10473,'ATS','homeil',0,NULL,NULL),
 (84400,10473,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Homers Ilias|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1778|<ERSCHEINUNGSORT>Flensburg|<VERZ_STRCT>homeil_PPN601196295_0001|',0,NULL,NULL),
 (84401,10473,'DocType','multivolume',0,NULL,NULL),
 (84402,10474,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Reglement für die Röm. Kayserlich-Königliche Infanterie, Cavallerie und Feld-Artillerie|<AUTOREN/HERAUSGEBER>|<JAHR>1757|<ERSCHEINUNGSORT>[S.l.]|<VERZ_STRCT>reglfudir_PPN601145682|',0,NULL,NULL),
 (84403,10474,'PPN digital a-Satz','PPN601145682',0,NULL,NULL),
 (84404,10474,'ATS','reglfudir',0,NULL,NULL),
 (84405,10474,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84406,10474,'VD18ID','',0,NULL,NULL),
 (84407,10474,'DocType','monograph',0,NULL,NULL),
 (84408,10474,'TifHeaderDocumentname','reglfudir_PPN601145682',0,NULL,NULL),
 (84409,10475,'DocType','monograph',0,NULL,NULL),
 (84410,10475,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84411,10475,'TifHeaderDocumentname','stolgedi_PPN601193466',0,NULL,NULL),
 (84412,10475,'VD18ID','',0,NULL,NULL),
 (84413,10475,'PPN digital a-Satz','PPN601193466',0,NULL,NULL),
 (84414,10475,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Gedichte|<AUTOREN/HERAUSGEBER>Stolberg-Stolberg, Christian zu|<JAHR>1782|<ERSCHEINUNGSORT>Hamburg|<VERZ_STRCT>stolgedi_PPN601193466|',0,NULL,NULL),
 (84415,10475,'ATS','stolgedi',0,NULL,NULL),
 (84416,10476,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Homers Ilias|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1778|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>homeil_PPN601196341_0002|',0,NULL,NULL),
 (84417,10476,'DocType','multivolume',0,NULL,NULL),
 (84418,10476,'VD18ID','',0,NULL,NULL),
 (84419,10476,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84420,10476,'ATS','homeil',0,NULL,NULL),
 (84421,10476,'PPN digital f-Satz','PPN601196341',0,NULL,NULL),
 (84422,10476,'TifHeaderDocumentname','homeil_PPN601196341_0002',0,NULL,NULL),
 (84423,10476,'PPN digital c-Satz','PPN601196260',0,NULL,NULL),
 (84424,10477,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Anleitung wie ein junger Artillerie-Offizier in seinem Fache eine richtige Beurtheilungskraft nach Grundsätzen erlanget|<AUTOREN/HERAUSGEBER>|<JAHR>1785|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>anlewieij_PPN601197682|',0,NULL,NULL),
 (84425,10477,'DocType','monograph',0,NULL,NULL),
 (84426,10477,'ATS','anlewieij',0,NULL,NULL),
 (84427,10477,'PPN digital a-Satz','PPN601197682',0,NULL,NULL),
 (84428,10477,'VD18ID','',0,NULL,NULL),
 (84429,10477,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84430,10477,'TifHeaderDocumentname','anlewieij_PPN601197682',0,NULL,NULL),
 (84431,10478,'ATS','aescdesop',0,NULL,NULL),
 (84432,10478,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84433,10478,'TifHeaderDocumentname','aescdesop_PPN601198069',0,NULL,NULL),
 (84434,10478,'DocType','monograph',0,NULL,NULL),
 (84435,10478,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Aeschines des Socratikers philosophische Gespräche|<AUTOREN/HERAUSGEBER>Aeschines <Socraticus>|<JAHR>1779|<ERSCHEINUNGSORT>Zürich|<VERZ_STRCT>aescdesop_PPN601198069|',0,NULL,NULL),
 (84436,10478,'VD18ID','',0,NULL,NULL),
 (84437,10478,'PPN digital a-Satz','PPN601198069',0,NULL,NULL),
 (84438,10479,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84439,10479,'DocType','monograph',0,NULL,NULL),
 (84440,10479,'VD18ID','',0,NULL,NULL),
 (84441,10479,'ATS','frosunma',0,NULL,NULL),
 (84442,10479,'PPN digital a-Satz','PPN601198557',0,NULL,NULL),
 (84443,10479,'TifHeaderDocumentname','frosunma_PPN601198557',0,NULL,NULL),
 (84444,10479,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Der Frosch- und Mäuse-Krieg|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1775|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>frosunma_PPN601198557|',0,NULL,NULL),
 (84445,10480,'PPN digital a-Satz','PPN601199189',0,NULL,NULL),
 (84446,10480,'ATS','homeod',0,NULL,NULL),
 (84447,10480,'TifHeaderDocumentname','homeod_PPN601199189',0,NULL,NULL),
 (84448,10480,'DocType','monograph',0,NULL,NULL),
 (84449,10480,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84450,10480,'VD18ID','',0,NULL,NULL),
 (84451,10480,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Homers Odüßee|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1781|<ERSCHEINUNGSORT>Hamburg|<VERZ_STRCT>homeod_PPN601199189|',0,NULL,NULL),
 (84452,10481,'VD18ID','',0,NULL,NULL),
 (84453,10481,'DocType','monograph',0,NULL,NULL),
 (84454,10481,'ATS','semlm',0,NULL,NULL),
 (84455,10481,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>M. Christian Gottlieb Semlers Astrognosia Nova oder Ausführliche Beschreibung des gantzen Fixstern und Planeten Himmels|<AUTOREN/HERAUSGEBER>Semler, Christian Gottlieb|<JAHR>1742|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>semlm_PPN601199758|',0,NULL,NULL),
 (84456,10481,'TifHeaderDocumentname','semlm_PPN601199758',0,NULL,NULL),
 (84457,10481,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84458,10481,'PPN digital a-Satz','PPN601199758',0,NULL,NULL),
 (84459,10482,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84460,10482,'TifHeaderDocumentname','homewe_PPN601200837_0001',0,NULL,NULL),
 (84461,10482,'DocType','multivolume',0,NULL,NULL),
 (84462,10482,'PPN digital f-Satz','PPN601200837',0,NULL,NULL),
 (84463,10482,'PPN digital c-Satz','PPN601200829',0,NULL,NULL),
 (84464,10482,'ATS','homewe',0,NULL,NULL),
 (84465,10482,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Homerus Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1769|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>homewe_PPN601200837_0001|',0,NULL,NULL),
 (84466,10482,'VD18ID','',0,NULL,NULL),
 (84467,10483,'VD18ID','',0,NULL,NULL),
 (84468,10483,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Homerus Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1769|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>homewe_PPN601200853_0002|',0,NULL,NULL),
 (84469,10483,'TifHeaderDocumentname','homewe_PPN601200853_0002',0,NULL,NULL),
 (84470,10483,'DocType','multivolume',0,NULL,NULL),
 (84471,10483,'PPN digital f-Satz','PPN601200853',0,NULL,NULL),
 (84472,10483,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84473,10483,'PPN digital c-Satz','PPN601200829',0,NULL,NULL),
 (84474,10483,'ATS','homewe',0,NULL,NULL),
 (84475,10484,'PPN digital c-Satz','PPN601200829',0,NULL,NULL),
 (84476,10484,'VD18ID','',0,NULL,NULL),
 (84477,10484,'DocType','multivolume',0,NULL,NULL),
 (84478,10484,'PPN digital f-Satz','PPN60120087X',0,NULL,NULL),
 (84479,10484,'TifHeaderDocumentname','homewe_PPN60120087X_0003',0,NULL,NULL),
 (84480,10484,'ATS','homewe',0,NULL,NULL),
 (84481,10484,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84482,10484,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Homerus Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1770|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>homewe_PPN60120087X_0003|',0,NULL,NULL),
 (84483,10485,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84484,10485,'TifHeaderDocumentname','linduebe_PPN601202252',0,NULL,NULL),
 (84485,10485,'PPN digital a-Satz','PPN601202252',0,NULL,NULL),
 (84486,10485,'ATS','linduebe',0,NULL,NULL),
 (84487,10485,'DocType','monograph',0,NULL,NULL),
 (84488,10485,'VD18ID','',0,NULL,NULL),
 (84489,10485,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Ueber Winterpostirungen|<AUTOREN/HERAUSGEBER>Lindenau, Carl Friedrich|<JAHR>1789|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>linduebe_PPN601202252|',0,NULL,NULL),
 (84490,10486,'PPN digital c-Satz','PPN601200829',0,NULL,NULL),
 (84491,10486,'PPN digital f-Satz','PPN601200888',0,NULL,NULL),
 (84492,10486,'DocType','multivolume',0,NULL,NULL),
 (84493,10486,'VD18ID','',0,NULL,NULL),
 (84494,10486,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84495,10486,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Homerus Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1771|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>homewe_PPN601200888_0004|',0,NULL,NULL),
 (84496,10486,'ATS','homewe',0,NULL,NULL),
 (84497,10486,'TifHeaderDocumentname','homewe_PPN601200888_0004',0,NULL,NULL),
 (84498,10487,'TifHeaderDocumentname','muelfrie_PPN601202872',0,NULL,NULL),
 (84499,10487,'PPN digital a-Satz','PPN601202872',0,NULL,NULL),
 (84500,10487,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Friedrich Christoph von Müller, vom Gebrauch der Taschenuhren, zu geometrischen Messungen; und insbesondere zum Aufnehmen militairischer Situationscharten|<AUTOREN/HERAUSGEBER>Müller, Friedrich Christoph|<JAHR>1777|<ERSCHEINUNGSORT>Berlin ; Leipzig|<VERZ_STRCT>muelfrie_PPN601202872|',0,NULL,NULL),
 (84501,10487,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84502,10487,'VD18ID','',0,NULL,NULL),
 (84503,10487,'ATS','muelfrie',0,NULL,NULL),
 (84504,10487,'DocType','monograph',0,NULL,NULL),
 (84505,10488,'DocType','multivolume',0,NULL,NULL),
 (84506,10488,'PPN digital c-Satz','PPN601203070',0,NULL,NULL),
 (84507,10488,'TifHeaderDocumentname','homewe_PPN601203089_0001',0,NULL,NULL),
 (84508,10488,'PPN digital f-Satz','PPN601203089',0,NULL,NULL),
 (84509,10488,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84510,10488,'VD18ID','',0,NULL,NULL),
 (84511,10488,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Homers Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1778|<ERSCHEINUNGSORT>Zürich|<VERZ_STRCT>homewe_PPN601203089_0001|',0,NULL,NULL),
 (84512,10488,'ATS','homewe',0,NULL,NULL),
 (84520,10490,'ATS','homewe',0,NULL,NULL),
 (84521,10490,'DocType','multivolume',0,NULL,NULL),
 (84522,10490,'VD18ID','',0,NULL,NULL),
 (84523,10490,'PPN digital f-Satz','PPN601203127',0,NULL,NULL),
 (84524,10490,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84525,10490,'TifHeaderDocumentname','homewe_PPN601203127_0002',0,NULL,NULL),
 (84526,10490,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Homers Werke|<AUTOREN/HERAUSGEBER>Homerus|<JAHR>1778|<ERSCHEINUNGSORT>Zürich|<VERZ_STRCT>homewe_PPN601203127_0002|',0,NULL,NULL),
 (84527,10490,'PPN digital c-Satz','PPN601203070',0,NULL,NULL),
 (84549,10494,'VD18ID','',0,NULL,NULL),
 (84550,10494,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84551,10494,'PPN digital a-Satz','PPN601205057',0,NULL,NULL),
 (84552,10494,'DocType','monograph',0,NULL,NULL),
 (84553,10494,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Theoretische und praktische Anweisung zur militairischen Aufnahme oder Vermessung im Felde|<AUTOREN/HERAUSGEBER>Hogrewe, Johann Ludwig|<JAHR>1785|<ERSCHEINUNGSORT>Hannover|<VERZ_STRCT>hogrtheo_PPN601205057|',0,NULL,NULL),
 (84554,10494,'ATS','hogrtheo',0,NULL,NULL),
 (84555,10494,'TifHeaderDocumentname','hogrtheo_PPN601205057',0,NULL,NULL),
 (84556,10495,'PPN digital a-Satz','PPN601206282',0,NULL,NULL),
 (84557,10495,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Über Die Abweichung Geworfener Körper Von Der Verticalen Richtungsebene|<AUTOREN/HERAUSGEBER>Rohde, Johann Philipp|<JAHR>1795|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>rohduber_PPN601206282|',0,NULL,NULL),
 (84558,10495,'DocType','monograph',0,NULL,NULL),
 (84559,10495,'ATS','rohduber',0,NULL,NULL),
 (84560,10495,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84561,10495,'TifHeaderDocumentname','rohduber_PPN601206282',0,NULL,NULL),
 (84562,10495,'VD18ID','',0,NULL,NULL),
 (84576,10498,'ATS','grieunroa',0,NULL,NULL),
 (84577,10498,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Griechische und römische Anthologie in deutschen Uebersetzungen|<AUTOREN/HERAUSGEBER>|<JAHR>1767|<ERSCHEINUNGSORT>Brandenburg|<VERZ_STRCT>grieunroa_PPN601210905_0001|',0,NULL,NULL),
 (84578,10498,'TifHeaderDocumentname','grieunroa_PPN601210905_0001',0,NULL,NULL),
 (84579,10498,'PPN digital f-Satz','PPN601210905',0,NULL,NULL),
 (84580,10498,'DocType','multivolume',0,NULL,NULL),
 (84581,10498,'PPN digital c-Satz','PPN601210891',0,NULL,NULL),
 (84582,10498,'VD18ID','',0,NULL,NULL),
 (84583,10498,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84584,10499,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Griechische und römische Anthologie in deutschen Uebersetzungen|<AUTOREN/HERAUSGEBER>|<JAHR>1767|<ERSCHEINUNGSORT>Brandenburg|<VERZ_STRCT>grieunroa_PPN60121093X_0002|',0,NULL,NULL),
 (84585,10499,'PPN digital c-Satz','PPN601210891',0,NULL,NULL),
 (84586,10499,'PPN digital f-Satz','PPN60121093X',0,NULL,NULL),
 (84587,10499,'VD18ID','',0,NULL,NULL),
 (84588,10499,'ATS','grieunroa',0,NULL,NULL),
 (84589,10499,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84590,10499,'DocType','multivolume',0,NULL,NULL),
 (84591,10499,'TifHeaderDocumentname','grieunroa_PPN60121093X_0002',0,NULL,NULL),
 (84592,10500,'DocType','multivolume',0,NULL,NULL),
 (84593,10500,'TifHeaderDocumentname','grieunroa_PPN601210980_0003',0,NULL,NULL),
 (84594,10500,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Griechische und römische Anthologie in deutschen Uebersetzungen|<AUTOREN/HERAUSGEBER>|<JAHR>1768|<ERSCHEINUNGSORT>Brandenburg|<VERZ_STRCT>grieunroa_PPN601210980_0003|',0,NULL,NULL),
 (84595,10500,'VD18ID','',0,NULL,NULL),
 (84596,10500,'PPN digital f-Satz','PPN601210980',0,NULL,NULL),
 (84597,10500,'ATS','grieunroa',0,NULL,NULL),
 (84598,10500,'PPN digital c-Satz','PPN601210891',0,NULL,NULL),
 (84599,10500,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84600,10501,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84601,10501,'PPN digital c-Satz','PPN601212029',0,NULL,NULL),
 (84602,10501,'VD18ID','',0,NULL,NULL),
 (84603,10501,'TifHeaderDocumentname','soph_PPN601212037_0001',0,NULL,NULL),
 (84604,10501,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sophokles|<AUTOREN/HERAUSGEBER>Sophocles|<JAHR>1781|<ERSCHEINUNGSORT>Basel|<VERZ_STRCT>soph_PPN601212037_0001|',0,NULL,NULL),
 (84605,10501,'DocType','multivolume',0,NULL,NULL),
 (84606,10501,'PPN digital f-Satz','PPN601212037',0,NULL,NULL),
 (84607,10501,'ATS','soph',0,NULL,NULL),
 (84608,10502,'DocType','multivolume',0,NULL,NULL),
 (84609,10502,'PPN digital c-Satz','PPN601212029',0,NULL,NULL),
 (84610,10502,'ATS','soph',0,NULL,NULL),
 (84611,10502,'VD18ID','',0,NULL,NULL),
 (84612,10502,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84613,10502,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Sophokles|<AUTOREN/HERAUSGEBER>Sophocles|<JAHR>1781|<ERSCHEINUNGSORT>Basel|<VERZ_STRCT>soph_PPN601212053_0002|',0,NULL,NULL),
 (84614,10502,'TifHeaderDocumentname','soph_PPN601212053_0002',0,NULL,NULL),
 (84615,10502,'PPN digital f-Satz','PPN601212053',0,NULL,NULL),
 (84616,10503,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Theokrits Idyllen Und Epigramme|<AUTOREN/HERAUSGEBER>Theocritus|<JAHR>1793|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>theotheo_PPN601209257|',0,NULL,NULL),
 (84617,10503,'ATS','theotheo',0,NULL,NULL),
 (84618,10503,'VD18ID','',0,NULL,NULL),
 (84619,10503,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84620,10503,'TifHeaderDocumentname','theotheo_PPN601209257',0,NULL,NULL),
 (84621,10503,'DocType','monograph',0,NULL,NULL),
 (84622,10503,'PPN digital a-Satz','PPN601209257',0,NULL,NULL),
 (84623,10504,'VD18ID','',0,NULL,NULL),
 (84624,10504,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84625,10504,'TifHeaderDocumentname','euclsech_PPN601208536',0,NULL,NULL),
 (84626,10504,'PPN digital a-Satz','PPN601208536',0,NULL,NULL),
 (84627,10504,'ATS','euclsech',0,NULL,NULL),
 (84628,10504,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Die sechs ersten Bücher der geometrischen Anfangsgründe des Euklides zum Gebrauch der Schulen|<AUTOREN/HERAUSGEBER>Euclides|<JAHR>1773|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>euclsech_PPN601208536|',0,NULL,NULL),
 (84629,10504,'DocType','monograph',0,NULL,NULL),
 (84634,10505,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Euklids Data|<AUTOREN/HERAUSGEBER>Euclides|<JAHR>1780|<ERSCHEINUNGSORT>Stuttgart|<VERZ_STRCT>eucleukl_PPN601207874|',0,NULL,NULL),
 (84635,10505,'TifHeaderDocumentname','eucleukl_PPN601207874',0,NULL,NULL),
 (84636,10505,'DocType','monograph',0,NULL,NULL),
 (84643,10507,'VD18ID','',0,NULL,NULL),
 (84644,10507,'TifHeaderDocumentname','schleuth_PPN601205804',0,NULL,NULL),
 (84645,10507,'DocType','monograph',0,NULL,NULL),
 (84646,10507,'ATS','schleuth',0,NULL,NULL),
 (84647,10507,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84648,10507,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Euthyphron II|<AUTOREN/HERAUSGEBER>Schlosser, Johann Georg|<JAHR>1787|<ERSCHEINUNGSORT>Basel|<VERZ_STRCT>schleuth_PPN601205804|',0,NULL,NULL),
 (84649,10507,'PPN digital a-Satz','PPN601205804',0,NULL,NULL),
 (84656,10509,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Versuch einer Methode die Vernunftlehre aus Platonischen Dialogen zu entwickeln|<AUTOREN/HERAUSGEBER>Engel, Johann Jakob |<JAHR>1780|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>engevers_PPN601206851|',0,NULL,NULL),
 (84657,10509,'DocType','monograph',0,NULL,NULL),
 (84658,10509,'ATS','engevers',0,NULL,NULL),
 (84659,10509,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84660,10509,'PPN digital a-Satz','PPN601206851',0,NULL,NULL),
 (84661,10509,'TifHeaderDocumentname','engevers_PPN601206851',0,NULL,NULL),
 (84662,10509,'VD18ID','',0,NULL,NULL),
 (84669,10511,'PPN digital f-Satz','PPN601218655',0,NULL,NULL),
 (84670,10511,'DocType','multivolume',0,NULL,NULL),
 (84671,10511,'TifHeaderDocumentname','cervlebe_PPN601218655_0001',0,NULL,NULL),
 (84672,10511,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84673,10511,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1775|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervlebe_PPN601218655_0001|',0,NULL,NULL),
 (84674,10511,'ATS','cervlebe',0,NULL,NULL),
 (84675,10511,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84676,10511,'VD18ID','',0,NULL,NULL),
 (84684,10513,'PPN digital f-Satz','PPN60121868X',0,NULL,NULL),
 (84685,10513,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84686,10513,'VD18ID','',0,NULL,NULL),
 (84687,10513,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84688,10513,'TifHeaderDocumentname','cervlebe_PPN60121868X_0002',0,NULL,NULL),
 (84689,10513,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1775|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervlebe_PPN60121868X_0002|',0,NULL,NULL),
 (84690,10513,'ATS','cervlebe',0,NULL,NULL),
 (84691,10513,'DocType','multivolume',0,NULL,NULL),
 (84692,10514,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84693,10514,'VD18ID','',0,NULL,NULL),
 (84694,10514,'PPN digital f-Satz','PPN601218736',0,NULL,NULL),
 (84695,10514,'TifHeaderDocumentname','cervlebe_PPN601218736_0003',0,NULL,NULL),
 (84696,10514,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1777|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervlebe_PPN601218736_0003|',0,NULL,NULL),
 (84697,10514,'DocType','multivolume',0,NULL,NULL),
 (84698,10514,'ATS','cervlebe',0,NULL,NULL),
 (84699,10514,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84700,10515,'TifHeaderDocumentname','cervlebe_PPN601218779_0004',0,NULL,NULL),
 (84701,10515,'PPN digital f-Satz','PPN601218779',0,NULL,NULL),
 (84702,10515,'DocType','multivolume',0,NULL,NULL),
 (84703,10515,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1777|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervlebe_PPN601218779_0004|',0,NULL,NULL),
 (84704,10515,'VD18ID','',0,NULL,NULL),
 (84705,10515,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84706,10515,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84707,10515,'ATS','cervlebe',0,NULL,NULL),
 (84708,10516,'DocType','multivolume',0,NULL,NULL),
 (84709,10516,'ATS','cervlebe',0,NULL,NULL),
 (84710,10516,'PPN digital f-Satz','PPN601218809',0,NULL,NULL),
 (84711,10516,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1777|<ERSCHEINUNGSORT>Weimar|<VERZ_STRCT>cervlebe_PPN601218809_0005|',0,NULL,NULL),
 (84712,10516,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84713,10516,'TifHeaderDocumentname','cervlebe_PPN601218809_0005',0,NULL,NULL),
 (84714,10516,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84715,10516,'VD18ID','',0,NULL,NULL),
 (84716,10517,'TifHeaderDocumentname','cervlebe_PPN601218833_0006',0,NULL,NULL),
 (84717,10517,'PPN digital f-Satz','PPN601218833',0,NULL,NULL),
 (84718,10517,'PPN digital c-Satz','PPN601218647',0,NULL,NULL),
 (84719,10517,'VD18ID','',0,NULL,NULL),
 (84720,10517,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84721,10517,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Leben und Thaten des weisen Junkers Don Quixote von Mancha|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1777|<ERSCHEINUNGSORT>Weimar|<VERZ_STRCT>cervlebe_PPN601218833_0006|',0,NULL,NULL),
 (84722,10517,'ATS','cervlebe',0,NULL,NULL),
 (84723,10517,'DocType','multivolume',0,NULL,NULL),
 (84738,10520,'ATS','macemace',0,NULL,NULL),
 (84739,10520,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Mäcenas. Von Kluger und Gerechter Regierung|<AUTOREN/HERAUSGEBER>Mäcenas, ...|<JAHR>1748|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>macemace_PPN601228774|',0,NULL,NULL),
 (84740,10520,'TifHeaderDocumentname','macemace_PPN601228774',0,NULL,NULL),
 (84741,10520,'DocType','monograph',0,NULL,NULL),
 (84742,10520,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84743,10520,'VD18ID','',0,NULL,NULL),
 (84744,10520,'PPN digital a-Satz','PPN601228774',0,NULL,NULL),
 (84745,10521,'DocType','multivolume',0,NULL,NULL),
 (84746,10521,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84747,10521,'TifHeaderDocumentname','plutplut_PPN601228561_0001',0,NULL,NULL),
 (84748,10521,'PPN digital f-Satz','PPN601228561',0,NULL,NULL),
 (84749,10521,'ATS','plutplut',0,NULL,NULL),
 (84750,10521,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1783|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601228561_0001|',0,NULL,NULL),
 (84751,10521,'VD18ID','',0,NULL,NULL),
 (84752,10521,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84760,10523,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84761,10523,'ATS','plutplut',0,NULL,NULL),
 (84762,10523,'DocType','multivolume',0,NULL,NULL),
 (84763,10523,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1784|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601229592_0002|',0,NULL,NULL),
 (84764,10523,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84765,10523,'VD18ID','',0,NULL,NULL),
 (84766,10523,'PPN digital f-Satz','PPN601229592',0,NULL,NULL),
 (84767,10523,'TifHeaderDocumentname','plutplut_PPN601229592_0002',0,NULL,NULL),
 (84775,10525,'TifHeaderDocumentname','cervmora_PPN601230019_0001',0,NULL,NULL),
 (84776,10525,'DocType','multivolume',0,NULL,NULL),
 (84777,10525,'ATS','cervmora',0,NULL,NULL),
 (84778,10525,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1779|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervmora_PPN601230019_0001|',0,NULL,NULL),
 (84779,10525,'PPN digital c-Satz','PPN601230000',0,NULL,NULL),
 (84780,10525,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84781,10525,'VD18ID','',0,NULL,NULL),
 (84782,10525,'PPN digital f-Satz','PPN601230019',0,NULL,NULL),
 (84816,10530,'DocType','multivolume',0,NULL,NULL),
 (84817,10530,'ATS','plutplut',0,NULL,NULL),
 (84818,10530,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84819,10530,'TifHeaderDocumentname','plutplut_PPN601229975_0003',0,NULL,NULL),
 (84820,10530,'PPN digital f-Satz','PPN601229975',0,NULL,NULL),
 (84821,10530,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84822,10530,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1786|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601229975_0003|',0,NULL,NULL),
 (84823,10530,'VD18ID','',0,NULL,NULL),
 (84824,10531,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84825,10531,'TifHeaderDocumentname','cervmora_PPN601230051_0002',0,NULL,NULL),
 (84826,10531,'PPN digital c-Satz','PPN601230000',0,NULL,NULL),
 (84827,10531,'ATS','cervmora',0,NULL,NULL),
 (84828,10531,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Moralische Novellen Des Miguel de Cervantes Saavedra, Verfassers des Don Quixotte|<AUTOREN/HERAUSGEBER>Cervantes Saavedra, Miguel|<JAHR>1779|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>cervmora_PPN601230051_0002|',0,NULL,NULL),
 (84829,10531,'PPN digital f-Satz','PPN601230051',0,NULL,NULL),
 (84830,10531,'VD18ID','',0,NULL,NULL),
 (84831,10531,'DocType','multivolume',0,NULL,NULL),
 (84832,10532,'ATS','plutplut',0,NULL,NULL),
 (84833,10532,'TifHeaderDocumentname','plutplut_PPN601230868_0004',0,NULL,NULL),
 (84834,10532,'DocType','multivolume',0,NULL,NULL),
 (84835,10532,'PPN digital f-Satz','PPN601230868',0,NULL,NULL),
 (84836,10532,'VD18ID','',0,NULL,NULL),
 (84837,10532,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1789|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601230868_0004|',0,NULL,NULL),
 (84838,10532,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84839,10532,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84855,10534,'VD18ID','',0,NULL,NULL),
 (84856,10534,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Ursprung, Natur und Fortpflanzung einer heiligen Wissenschaft, Schrift und Sprache unter den Stammvätern des Menschengeschlechts: oder Erklärung dunkler Fabeln und Traditionen von Adam, Seth, Henoch, Noah, Abraham, Joseph und Moses|<AUTOREN/HERAUSGEBER>|<JAHR>1786|<ERSCHEINUNGSORT>Breslau|<VERZ_STRCT>urspnaunf_PPN601231333|',0,NULL,NULL),
 (84857,10534,'TifHeaderDocumentname','urspnaunf_PPN601231333',0,NULL,NULL),
 (84858,10534,'PPN digital a-Satz','PPN601231333',0,NULL,NULL),
 (84859,10534,'ATS','urspnaunf',0,NULL,NULL),
 (84860,10534,'DocType','monograph',0,NULL,NULL),
 (84861,10534,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84862,10535,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Der weise und tugendhaffte Epictetus, In der Sauer-Brunnen-Cur zu Schwalbach|<AUTOREN/HERAUSGEBER>Faramond, Ludwig Ernst|<JAHR>1719|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>faraweis_PPN601232658|',0,NULL,NULL),
 (84863,10535,'DocType','monograph',0,NULL,NULL),
 (84864,10535,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84865,10535,'VD18ID','',0,NULL,NULL),
 (84866,10535,'TifHeaderDocumentname','faraweis_PPN601232658',0,NULL,NULL),
 (84867,10535,'PPN digital a-Satz','PPN601232658',0,NULL,NULL),
 (84868,10535,'ATS','faraweis',0,NULL,NULL),
 (84876,10537,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84877,10537,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Johann Wagstaffs Gründlich Ausgeführte Materie Von der Hexerey Oder: Die Meynung derer jenigen so da glauben, daß es Hexen gebe; Deutlich widerlegt und mit vernünfftigen Anmerckungen über jedes Capitel erläutert|<AUTOREN/HERAUSGEBER>Wagstaffe, John|<JAHR>1711|<ERSCHEINUNGSORT>Halle|<VERZ_STRCT>wagsjoha_PPN601233484|',0,NULL,NULL),
 (84878,10537,'PPN digital a-Satz','PPN601233484',0,NULL,NULL),
 (84879,10537,'DocType','monograph',0,NULL,NULL),
 (84880,10537,'ATS','wagsjoha',0,NULL,NULL),
 (84881,10537,'TifHeaderDocumentname','wagsjoha_PPN601233484',0,NULL,NULL),
 (84882,10537,'VD18ID','',0,NULL,NULL),
 (84883,10538,'TifHeaderDocumentname','plutplut_PPN601232917_0005',0,NULL,NULL),
 (84884,10538,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84885,10538,'DocType','multivolume',0,NULL,NULL),
 (84886,10538,'VD18ID','',0,NULL,NULL),
 (84887,10538,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1793|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601232917_0005|',0,NULL,NULL),
 (84888,10538,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84889,10538,'PPN digital f-Satz','PPN601232917',0,NULL,NULL),
 (84890,10538,'ATS','plutplut',0,NULL,NULL),
 (84898,10540,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84899,10540,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1795|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601233832_0006|',0,NULL,NULL),
 (84900,10540,'ATS','plutplut',0,NULL,NULL),
 (84901,10540,'TifHeaderDocumentname','plutplut_PPN601233832_0006',0,NULL,NULL),
 (84902,10540,'PPN digital f-Satz','PPN601233832',0,NULL,NULL),
 (84903,10540,'DocType','multivolume',0,NULL,NULL),
 (84904,10540,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84905,10540,'VD18ID','',0,NULL,NULL),
 (84918,10543,'PPN digital a-Satz','PPN601234510',0,NULL,NULL),
 (84919,10543,'TifHeaderDocumentname','gereunbed_PPN601234510',0,NULL,NULL),
 (84920,10543,'VD18ID','',0,NULL,NULL),
 (84921,10543,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Gerechtigkeit und Bescheidenheit des abgenöthigten Toggenburger-Kriegs|<AUTOREN/HERAUSGEBER>|<JAHR>1712|<ERSCHEINUNGSORT>[S.l.]|<VERZ_STRCT>gereunbed_PPN601234510|',0,NULL,NULL),
 (84922,10543,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84923,10543,'DocType','monograph',0,NULL,NULL),
 (84924,10543,'ATS','gereunbed',0,NULL,NULL),
 (84932,10545,'TifHeaderDocumentname','plutplut_PPN601234855_0008',0,NULL,NULL),
 (84933,10545,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1798|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601234855_0008|',0,NULL,NULL),
 (84934,10545,'ATS','plutplut',0,NULL,NULL),
 (84935,10545,'PPN digital f-Satz','PPN601234855',0,NULL,NULL),
 (84936,10545,'VD18ID','',0,NULL,NULL),
 (84937,10545,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84938,10545,'DocType','multivolume',0,NULL,NULL),
 (84939,10545,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84947,10547,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1800|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601235193_0009|',0,NULL,NULL),
 (84948,10547,'ATS','plutplut',0,NULL,NULL),
 (84949,10547,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84950,10547,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (84951,10547,'TifHeaderDocumentname','plutplut_PPN601235193_0009',0,NULL,NULL),
 (84952,10547,'DocType','multivolume',0,NULL,NULL),
 (84953,10547,'VD18ID','',0,NULL,NULL),
 (84954,10547,'PPN digital f-Satz','PPN601235193',0,NULL,NULL),
 (84961,10549,'PPN digital f-Satz','PPN601236297',0,NULL,NULL),
 (84962,10549,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung|<AUTOREN/HERAUSGEBER>Strabo|<JAHR>1775|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>straeials_PPN601236297_0001|',0,NULL,NULL),
 (84963,10549,'DocType','multivolume',0,NULL,NULL),
 (84964,10549,'ATS','straeials',0,NULL,NULL),
 (84965,10549,'VD18ID','',0,NULL,NULL),
 (84966,10549,'TifHeaderDocumentname','straeials_PPN601236297_0001',0,NULL,NULL),
 (84967,10549,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84968,10549,'PPN digital c-Satz','PPN601236076',0,NULL,NULL),
 (84969,10550,'PPN digital c-Satz','PPN601236076',0,NULL,NULL),
 (84970,10550,'TifHeaderDocumentname','straeials_PPN601236300_0002',0,NULL,NULL),
 (84971,10550,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung|<AUTOREN/HERAUSGEBER>Strabo|<JAHR>1775|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>straeials_PPN601236300_0002|',0,NULL,NULL),
 (84972,10550,'ATS','straeials',0,NULL,NULL),
 (84973,10550,'VD18ID','',0,NULL,NULL),
 (84974,10550,'DocType','multivolume',0,NULL,NULL),
 (84975,10550,'PPN digital f-Satz','PPN601236300',0,NULL,NULL),
 (84976,10550,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84977,10551,'ATS','straeials',0,NULL,NULL),
 (84978,10551,'VD18ID','',0,NULL,NULL),
 (84979,10551,'DocType','multivolume',0,NULL,NULL),
 (84980,10551,'PPN digital f-Satz','PPN601236335',0,NULL,NULL),
 (84981,10551,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84982,10551,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung|<AUTOREN/HERAUSGEBER>Strabo|<JAHR>1777|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>straeials_PPN601236335_0003|',0,NULL,NULL),
 (84983,10551,'PPN digital c-Satz','PPN601236076',0,NULL,NULL),
 (84984,10551,'TifHeaderDocumentname','straeials_PPN601236335_0003',0,NULL,NULL),
 (84985,10552,'VD18ID','',0,NULL,NULL),
 (84986,10552,'DocType','multivolume',0,NULL,NULL),
 (84987,10552,'ATS','straeials',0,NULL,NULL),
 (84988,10552,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (84989,10552,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Strabo eines alten stoischen Weltweisen aus der Stadt Amasia gebürtig allgemeine Erdbeschreibung|<AUTOREN/HERAUSGEBER>Strabo|<JAHR>1777|<ERSCHEINUNGSORT>Lemgo|<VERZ_STRCT>straeials_PPN60123636X_0004|',0,NULL,NULL),
 (84990,10552,'PPN digital f-Satz','PPN60123636X',0,NULL,NULL),
 (84991,10552,'TifHeaderDocumentname','straeials_PPN60123636X_0004',0,NULL,NULL),
 (84992,10552,'PPN digital c-Satz','PPN601236076',0,NULL,NULL),
 (84993,10553,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Briefe aus der Schweiz|<AUTOREN/HERAUSGEBER>Andreae, Johann Gerhard Reinhard|<JAHR>1776|<ERSCHEINUNGSORT>Winterthur|<VERZ_STRCT>andrbrie_PPN601232194|',0,NULL,NULL),
 (84994,10553,'ATS','andrbrie',0,NULL,NULL),
 (84995,10553,'VD18ID','',0,NULL,NULL),
 (84996,10553,'TifHeaderDocumentname','andrbrie_PPN601232194',0,NULL,NULL),
 (84997,10553,'DocType','monograph',0,NULL,NULL),
 (84998,10553,'PPN digital a-Satz','PPN601232194',0,NULL,NULL),
 (84999,10553,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85000,10554,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85001,10554,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments|<AUTOREN/HERAUSGEBER>Michaelis, Johann David|<JAHR>1790|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>michjoha_PPN601238834_0001|',0,NULL,NULL),
 (85002,10554,'PPN digital f-Satz','PPN601238834',0,NULL,NULL),
 (85003,10554,'DocType','multivolume',0,NULL,NULL),
 (85004,10554,'TifHeaderDocumentname','michjoha_PPN601238834_0001',0,NULL,NULL),
 (85005,10554,'ATS','michjoha',0,NULL,NULL),
 (85006,10554,'PPN digital c-Satz','PPN601237919',0,NULL,NULL),
 (85007,10554,'VD18ID','',0,NULL,NULL),
 (85008,10555,'VD18ID','',0,NULL,NULL),
 (85009,10555,'ATS','michjoha',0,NULL,NULL),
 (85010,10555,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85011,10555,'TifHeaderDocumentname','michjoha_PPN60123894X_0002',0,NULL,NULL),
 (85012,10555,'PPN digital c-Satz','PPN601237919',0,NULL,NULL),
 (85013,10555,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments|<AUTOREN/HERAUSGEBER>Michaelis, Johann David|<JAHR>1790|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>michjoha_PPN60123894X_0002|',0,NULL,NULL),
 (85014,10555,'PPN digital f-Satz','PPN60123894X',0,NULL,NULL),
 (85015,10555,'DocType','multivolume',0,NULL,NULL),
 (85016,10556,'PPN digital c-Satz','PPN601237919',0,NULL,NULL),
 (85017,10556,'ATS','michjoha',0,NULL,NULL),
 (85018,10556,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments|<AUTOREN/HERAUSGEBER>Michaelis, Johann David|<JAHR>1791|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>michjoha_PPN601238966_0003|',0,NULL,NULL),
 (85019,10556,'VD18ID','',0,NULL,NULL),
 (85020,10556,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85021,10556,'PPN digital f-Satz','PPN601238966',0,NULL,NULL),
 (85022,10556,'TifHeaderDocumentname','michjoha_PPN601238966_0003',0,NULL,NULL),
 (85023,10556,'DocType','multivolume',0,NULL,NULL),
 (85024,10557,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85025,10557,'TifHeaderDocumentname','michjoha_PPN601238990_0004',0,NULL,NULL),
 (85026,10557,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis Anmerkungen für Ungelehrte, zu seiner Uebersetzung des Neuen Testaments|<AUTOREN/HERAUSGEBER>Michaelis, Johann David|<JAHR>1792|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>michjoha_PPN601238990_0004|',0,NULL,NULL),
 (85027,10557,'PPN digital f-Satz','PPN601238990',0,NULL,NULL),
 (85028,10557,'PPN digital c-Satz','PPN601237919',0,NULL,NULL),
 (85029,10557,'ATS','michjoha',0,NULL,NULL),
 (85030,10557,'VD18ID','',0,NULL,NULL),
 (85031,10557,'DocType','multivolume',0,NULL,NULL),
 (85137,10574,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85138,10574,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...|<AUTOREN/HERAUSGEBER>Pausanias <Periegeta>|<JAHR>1766|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>pausaurev_PPN601279085_0001|',0,NULL,NULL),
 (85139,10574,'DocType','multivolume',0,NULL,NULL),
 (85140,10574,'TifHeaderDocumentname','pausaurev_PPN601279085_0001',0,NULL,NULL),
 (85141,10574,'PPN digital c-Satz','PPN601279069',0,NULL,NULL),
 (85142,10574,'PPN digital f-Satz','PPN601279085',0,NULL,NULL),
 (85143,10574,'VD18ID','',0,NULL,NULL),
 (85144,10574,'ATS','pausaurev',0,NULL,NULL),
 (85145,10575,'DocType','multivolume',0,NULL,NULL),
 (85146,10575,'PPN digital f-Satz','PPN601279093',0,NULL,NULL),
 (85147,10575,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85148,10575,'ATS','pausaurev',0,NULL,NULL),
 (85149,10575,'PPN digital c-Satz','PPN601279069',0,NULL,NULL),
 (85150,10575,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Des Pausanias ausführliche Reisebeschreibung von Griechenland aus dem Griechischen übersetzet und mit Anmerkungen erläutert von Johann Eustachius Goldhagen, ...|<AUTOREN/HERAUSGEBER>Pausanias <Periegeta>|<JAHR>1766|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>pausaurev_PPN601279093_0002|',0,NULL,NULL),
 (85151,10575,'VD18ID','',0,NULL,NULL),
 (85152,10575,'TifHeaderDocumentname','pausaurev_PPN601279093_0002',0,NULL,NULL),
 (85153,10576,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1788|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN601284046_0001|',0,NULL,NULL),
 (85154,10576,'PPN digital f-Satz','PPN601284046',0,NULL,NULL),
 (85155,10576,'DocType','multivolume',0,NULL,NULL),
 (85156,10576,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85157,10576,'VD18ID','',0,NULL,NULL),
 (85158,10576,'TifHeaderDocumentname','luciluci_PPN601284046_0001',0,NULL,NULL),
 (85159,10576,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85160,10576,'ATS','luciluci',0,NULL,NULL),
 (85161,10577,'VD18ID','',0,NULL,NULL),
 (85162,10577,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85163,10577,'ATS','luciluci',0,NULL,NULL),
 (85164,10577,'PPN digital f-Satz','PPN601284119',0,NULL,NULL),
 (85165,10577,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85166,10577,'DocType','multivolume',0,NULL,NULL),
 (85167,10577,'TifHeaderDocumentname','luciluci_PPN601284119_0002',0,NULL,NULL),
 (85168,10577,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1788|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN601284119_0002|',0,NULL,NULL),
 (85169,10578,'DocType','multivolume',0,NULL,NULL),
 (85170,10578,'VD18ID','',0,NULL,NULL),
 (85171,10578,'PPN digital f-Satz','PPN601284232',0,NULL,NULL),
 (85172,10578,'ATS','luciluci',0,NULL,NULL),
 (85173,10578,'TifHeaderDocumentname','luciluci_PPN601284232_0003',0,NULL,NULL),
 (85174,10578,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1788|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN601284232_0003|',0,NULL,NULL),
 (85175,10578,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85176,10578,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85177,10579,'TifHeaderDocumentname','luciluci_PPN601284348_0004',0,NULL,NULL),
 (85178,10579,'PPN digital f-Satz','PPN601284348',0,NULL,NULL),
 (85179,10579,'DocType','multivolume',0,NULL,NULL),
 (85180,10579,'ATS','luciluci',0,NULL,NULL),
 (85181,10579,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85182,10579,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85183,10579,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1789|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN601284348_0004|',0,NULL,NULL),
 (85184,10579,'VD18ID','',0,NULL,NULL),
 (85185,10580,'PPN digital f-Satz','PPN601287398',0,NULL,NULL),
 (85186,10580,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1769|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287398_0001|',0,NULL,NULL),
 (85187,10580,'TifHeaderDocumentname','johadamid_PPN601287398_0001',0,NULL,NULL),
 (85188,10580,'DocType','multivolume',0,NULL,NULL),
 (85189,10580,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85190,10580,'VD18ID','',0,NULL,NULL),
 (85191,10580,'ATS','johadamid',0,NULL,NULL),
 (85192,10580,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85193,10581,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1770|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN60128741X_0002|',0,NULL,NULL),
 (85194,10581,'TifHeaderDocumentname','johadamid_PPN60128741X_0002',0,NULL,NULL),
 (85195,10581,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85196,10581,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85197,10581,'VD18ID','',0,NULL,NULL),
 (85198,10581,'PPN digital f-Satz','PPN60128741X',0,NULL,NULL),
 (85199,10581,'ATS','johadamid',0,NULL,NULL),
 (85200,10581,'DocType','multivolume',0,NULL,NULL),
 (85201,10582,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1771|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287428_0003|',0,NULL,NULL),
 (85202,10582,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85203,10582,'DocType','multivolume',0,NULL,NULL),
 (85204,10582,'PPN digital f-Satz','PPN601287428',0,NULL,NULL),
 (85205,10582,'ATS','johadamid',0,NULL,NULL),
 (85206,10582,'VD18ID','',0,NULL,NULL),
 (85207,10582,'TifHeaderDocumentname','johadamid_PPN601287428_0003',0,NULL,NULL),
 (85208,10582,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85209,10583,'PPN digital f-Satz','PPN60128450X',0,NULL,NULL),
 (85210,10583,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85211,10583,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85212,10583,'DocType','multivolume',0,NULL,NULL),
 (85213,10583,'VD18ID','',0,NULL,NULL),
 (85214,10583,'ATS','luciluci',0,NULL,NULL),
 (85215,10583,'TifHeaderDocumentname','luciluci_PPN60128450X_0005',0,NULL,NULL),
 (85216,10583,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1789|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN60128450X_0005|',0,NULL,NULL),
 (85217,10584,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85218,10584,'TifHeaderDocumentname','johadamid_PPN601287436_0004_1',0,NULL,NULL),
 (85219,10584,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1772|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287436_0004_1|',0,NULL,NULL),
 (85220,10584,'VD18ID','',0,NULL,NULL),
 (85221,10584,'DocType','multivolume',0,NULL,NULL),
 (85222,10584,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85223,10584,'PPN digital f-Satz','PPN601287436',0,NULL,NULL),
 (85224,10584,'ATS','johadamid',0,NULL,NULL),
 (85225,10585,'PPN digital f-Satz','PPN601284593',0,NULL,NULL),
 (85226,10585,'VD18ID','',0,NULL,NULL),
 (85227,10585,'ATS','luciluci',0,NULL,NULL),
 (85228,10585,'DocType','multivolume',0,NULL,NULL),
 (85229,10585,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Lucians von Samosata Sämtliche Werke|<AUTOREN/HERAUSGEBER>Lucianus <Samosatensis>|<JAHR>1789|<ERSCHEINUNGSORT>Leipzig|<VERZ_STRCT>luciluci_PPN601284593_0006|',0,NULL,NULL),
 (85230,10585,'PPN digital c-Satz','PPN601283961',0,NULL,NULL),
 (85231,10585,'TifHeaderDocumentname','luciluci_PPN601284593_0006',0,NULL,NULL),
 (85232,10585,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85233,10586,'VD18ID','',0,NULL,NULL),
 (85234,10586,'DocType','multivolume',0,NULL,NULL),
 (85235,10586,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1773|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287452_0004_2|',0,NULL,NULL),
 (85236,10586,'ATS','johadamid',0,NULL,NULL),
 (85237,10586,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85238,10586,'PPN digital f-Satz','PPN601287452',0,NULL,NULL),
 (85239,10586,'TifHeaderDocumentname','johadamid_PPN601287452_0004_2',0,NULL,NULL),
 (85240,10586,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85241,10587,'VD18ID','',0,NULL,NULL),
 (85242,10587,'TifHeaderDocumentname','johadamid_PPN601287487_0005_1',0,NULL,NULL),
 (85243,10587,'ATS','johadamid',0,NULL,NULL),
 (85244,10587,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85245,10587,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85246,10587,'DocType','multivolume',0,NULL,NULL),
 (85247,10587,'PPN digital f-Satz','PPN601287487',0,NULL,NULL),
 (85248,10587,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1774|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287487_0005_1|',0,NULL,NULL),
 (85249,10588,'DocType','multivolume',0,NULL,NULL),
 (85250,10588,'ATS','johadamid',0,NULL,NULL),
 (85251,10588,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1777|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287509_0005_2|',0,NULL,NULL),
 (85252,10588,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85253,10588,'PPN digital f-Satz','PPN601287509',0,NULL,NULL),
 (85254,10588,'TifHeaderDocumentname','johadamid_PPN601287509_0005_2',0,NULL,NULL),
 (85255,10588,'VD18ID','',0,NULL,NULL),
 (85256,10588,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85257,10589,'TifHeaderDocumentname','johadamid_PPN601287517_0006',0,NULL,NULL),
 (85258,10589,'PPN digital f-Satz','PPN601287517',0,NULL,NULL),
 (85259,10589,'ATS','johadamid',0,NULL,NULL),
 (85260,10589,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1771|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287517_0006|',0,NULL,NULL),
 (85261,10589,'DocType','multivolume',0,NULL,NULL),
 (85262,10589,'VD18ID','',0,NULL,NULL),
 (85263,10589,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85264,10589,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85265,10590,'PPN digital a-Satz','PPN601290550',0,NULL,NULL),
 (85266,10590,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85267,10590,'VD18ID','',0,NULL,NULL),
 (85268,10590,'ATS','neueteunh',0,NULL,NULL),
 (85269,10590,'TifHeaderDocumentname','neueteunh_PPN601290550',0,NULL,NULL),
 (85270,10590,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Das Neue Testament Unsers Herren Jesu Christi|<AUTOREN/HERAUSGEBER>|<JAHR>1703|<ERSCHEINUNGSORT>Offenbach am Mayn|<VERZ_STRCT>neueteunh_PPN601290550|',0,NULL,NULL),
 (85271,10590,'DocType','monograph',0,NULL,NULL),
 (85272,10591,'DocType','multivolume',0,NULL,NULL),
 (85273,10591,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85274,10591,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85275,10591,'PPN digital f-Satz','PPN60128755X',0,NULL,NULL),
 (85276,10591,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1778|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN60128755X_0007|',0,NULL,NULL),
 (85277,10591,'ATS','johadamid',0,NULL,NULL),
 (85278,10591,'TifHeaderDocumentname','johadamid_PPN60128755X_0007',0,NULL,NULL),
 (85279,10591,'VD18ID','',0,NULL,NULL),
 (85280,10592,'TifHeaderDocumentname','johadamid_PPN601287614_0008',0,NULL,NULL),
 (85281,10592,'PPN digital f-Satz','PPN601287614',0,NULL,NULL),
 (85282,10592,'VD18ID','',0,NULL,NULL),
 (85283,10592,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85284,10592,'DocType','multivolume',0,NULL,NULL),
 (85285,10592,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1779|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287614_0008|',0,NULL,NULL),
 (85286,10592,'ATS','johadamid',0,NULL,NULL),
 (85287,10592,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85288,10593,'ATS','epicarri',0,NULL,NULL),
 (85289,10593,'VD18ID','',0,NULL,NULL),
 (85290,10593,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Arrians Epictet|<AUTOREN/HERAUSGEBER>Epictetus|<JAHR>1766|<ERSCHEINUNGSORT>Zürich|<VERZ_STRCT>epicarri_PPN601290976|',0,NULL,NULL),
 (85291,10593,'PPN digital a-Satz','PPN601290976',0,NULL,NULL),
 (85292,10593,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85293,10593,'DocType','monograph',0,NULL,NULL),
 (85294,10593,'TifHeaderDocumentname','epicarri_PPN601290976',0,NULL,NULL),
 (85295,10594,'PPN digital f-Satz','PPN601287649',0,NULL,NULL),
 (85296,10594,'DocType','multivolume',0,NULL,NULL),
 (85297,10594,'VD18ID','',0,NULL,NULL),
 (85298,10594,'TifHeaderDocumentname','johadamid_PPN601287649_0009',0,NULL,NULL),
 (85299,10594,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85300,10594,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1778|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287649_0009|',0,NULL,NULL),
 (85301,10594,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85302,10594,'ATS','johadamid',0,NULL,NULL),
 (85303,10595,'TifHeaderImagedescription','|<DOC_TYPE>Monographie|<HAUPTTITEL>Claudius Ptolemäus Astronom zu Alexandrien ... Beobachtung und Beschreibung der Gestirne und der Bewegung der himmlischen Sphäre|<AUTOREN/HERAUSGEBER>Ptolemäus, Claudius|<JAHR>1795|<ERSCHEINUNGSORT>Berlin|<VERZ_STRCT>ptolclau_PPN601237331|',0,NULL,NULL),
 (85304,10595,'DocType','monograph',0,NULL,NULL),
 (85305,10595,'VD18ID','',0,NULL,NULL),
 (85306,10595,'TifHeaderDocumentname','ptolclau_PPN601237331',0,NULL,NULL),
 (85307,10595,'PPN digital a-Satz','PPN601237331',0,NULL,NULL),
 (85308,10595,'ATS','ptolclau',0,NULL,NULL),
 (85309,10595,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85310,10596,'VD18ID','',0,NULL,NULL),
 (85311,10596,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85312,10596,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1781|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287665_0010|',0,NULL,NULL),
 (85313,10596,'ATS','johadamid',0,NULL,NULL),
 (85314,10596,'DocType','multivolume',0,NULL,NULL),
 (85315,10596,'PPN digital f-Satz','PPN601287665',0,NULL,NULL),
 (85316,10596,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85317,10596,'TifHeaderDocumentname','johadamid_PPN601287665_0010',0,NULL,NULL),
 (85318,10597,'TifHeaderDocumentname','johadamid_PPN601287673_0011',0,NULL,NULL),
 (85319,10597,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85320,10597,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1782|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN601287673_0011|',0,NULL,NULL),
 (85321,10597,'DocType','multivolume',0,NULL,NULL),
 (85322,10597,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85323,10597,'PPN digital f-Satz','PPN601287673',0,NULL,NULL),
 (85324,10597,'ATS','johadamid',0,NULL,NULL),
 (85325,10597,'VD18ID','',0,NULL,NULL);
INSERT INTO `werkstueckeeigenschaften` (`werkstueckeeigenschaftenID`,`werkstueckeID`,`Titel`,`Wert`,`IstObligatorisch`,`DatentypenID`,`Auswahl`) VALUES 
 (85326,10598,'DocType','multivolume',0,NULL,NULL),
 (85327,10598,'VD18ID','',0,NULL,NULL),
 (85328,10598,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1785|<ERSCHEINUNGSORT>Göttingen|<VERZ_STRCT>johadamid_PPN601287711_0012|',0,NULL,NULL),
 (85329,10598,'PPN digital f-Satz','PPN601287711',0,NULL,NULL),
 (85330,10598,'ATS','johadamid',0,NULL,NULL),
 (85331,10598,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85332,10598,'TifHeaderDocumentname','johadamid_PPN601287711_0012',0,NULL,NULL),
 (85333,10598,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85334,10599,'PPN digital c-Satz','PPN601287339',0,NULL,NULL),
 (85335,10599,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85336,10599,'PPN digital f-Satz','PPN60128772X',0,NULL,NULL),
 (85337,10599,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Johann David Michaelis deutsche Uebersetzung des Alten Testaments|<AUTOREN/HERAUSGEBER>|<JAHR>1783|<ERSCHEINUNGSORT>Gotha|<VERZ_STRCT>johadamid_PPN60128772X_0013|',0,NULL,NULL),
 (85338,10599,'DocType','multivolume',0,NULL,NULL),
 (85339,10599,'VD18ID','',0,NULL,NULL),
 (85340,10599,'TifHeaderDocumentname','johadamid_PPN60128772X_0013',0,NULL,NULL),
 (85341,10599,'ATS','johadamid',0,NULL,NULL),
 (85342,10600,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Plutarchs moralische Abhandlungen|<AUTOREN/HERAUSGEBER>Plutarchus|<JAHR>1797|<ERSCHEINUNGSORT>Frankfurt am Main|<VERZ_STRCT>plutplut_PPN601234367_0007|',0,NULL,NULL),
 (85343,10600,'PPN digital f-Satz','PPN601234367',0,NULL,NULL),
 (85344,10600,'DocType','multivolume',0,NULL,NULL),
 (85345,10600,'PPN digital c-Satz','PPN601228405',0,NULL,NULL),
 (85346,10600,'VD18ID','',0,NULL,NULL),
 (85347,10600,'TifHeaderDocumentname','plutplut_PPN601234367_0007',0,NULL,NULL),
 (85348,10600,'ATS','plutplut',0,NULL,NULL),
 (85349,10600,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85387,10606,'Artist','Niedersächsische Staats- und Universitätsbibliothek Göttingen, Germany',0,NULL,NULL),
 (85386,10606,'PPN digital f-Satz','600825248',0,NULL,NULL),
 (85381,10606,'TifHeaderImagedescription','|<DOC_TYPE>Band_MultivolumeWork|<HAUPTTITEL>Einleitung in die Astronomischen Wissenschaften|<AUTOREN/HERAUSGEBER>Röhl, Lambert Heinrich|<JAHR>1768|<ERSCHEINUNGSORT>Greifswald|<VERZ_STRCT>rohleinl_600825248_ththththt|',0,NULL,NULL),
 (85382,10606,'TifHeaderDocumentname','rohleinl_600825248_ththththt',0,NULL,NULL),
 (85383,10606,'DocType','multivolume',0,NULL,NULL),
 (85384,10606,'VD18ID','',0,NULL,NULL),
 (85385,10606,'ATS','rohleinl',0,NULL,NULL),
 (85388,10606,'PPN digital c-Satz','600823393',0,NULL,NULL);
/*!40000 ALTER TABLE `werkstueckeeigenschaften` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
